#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 7610
#define LARGE_STATE_COUNT 2061
#define SYMBOL_COUNT 379
#define ALIAS_COUNT 7
#define TOKEN_COUNT 165
#define EXTERNAL_TOKEN_COUNT 9
#define FIELD_COUNT 43
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 333

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_with = 16,
  anon_sym_var = 17,
  anon_sym_let = 18,
  anon_sym_const = 19,
  anon_sym_BANG = 20,
  anon_sym_else = 21,
  anon_sym_if = 22,
  anon_sym_switch = 23,
  anon_sym_for = 24,
  anon_sym_LPAREN = 25,
  anon_sym_RPAREN = 26,
  anon_sym_await = 27,
  anon_sym_in = 28,
  anon_sym_of = 29,
  anon_sym_while = 30,
  anon_sym_do = 31,
  anon_sym_try = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  sym__glimmer_template_content = 46,
  anon_sym_LTtemplate_GT = 47,
  anon_sym_LT_SLASHtemplate_GT = 48,
  anon_sym_GT = 49,
  anon_sym_DOT = 50,
  anon_sym_DQUOTE = 51,
  anon_sym_SQUOTE = 52,
  anon_sym_class = 53,
  anon_sym_async = 54,
  anon_sym_function = 55,
  anon_sym_EQ_GT = 56,
  anon_sym_QMARK_DOT = 57,
  anon_sym_new = 58,
  anon_sym_using = 59,
  anon_sym_PLUS_EQ = 60,
  anon_sym_DASH_EQ = 61,
  anon_sym_STAR_EQ = 62,
  anon_sym_SLASH_EQ = 63,
  anon_sym_PERCENT_EQ = 64,
  anon_sym_CARET_EQ = 65,
  anon_sym_AMP_EQ = 66,
  anon_sym_PIPE_EQ = 67,
  anon_sym_GT_GT_EQ = 68,
  anon_sym_GT_GT_GT_EQ = 69,
  anon_sym_LT_LT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_AMP_AMP_EQ = 72,
  anon_sym_PIPE_PIPE_EQ = 73,
  anon_sym_QMARK_QMARK_EQ = 74,
  anon_sym_DOT_DOT_DOT = 75,
  anon_sym_AMP_AMP = 76,
  anon_sym_PIPE_PIPE = 77,
  anon_sym_GT_GT = 78,
  anon_sym_GT_GT_GT = 79,
  anon_sym_LT_LT = 80,
  anon_sym_AMP = 81,
  anon_sym_CARET = 82,
  anon_sym_PIPE = 83,
  anon_sym_PLUS = 84,
  anon_sym_DASH = 85,
  anon_sym_SLASH = 86,
  anon_sym_PERCENT = 87,
  anon_sym_STAR_STAR = 88,
  anon_sym_LT = 89,
  anon_sym_LT_EQ = 90,
  anon_sym_EQ_EQ = 91,
  anon_sym_EQ_EQ_EQ = 92,
  anon_sym_BANG_EQ = 93,
  anon_sym_BANG_EQ_EQ = 94,
  anon_sym_GT_EQ = 95,
  anon_sym_QMARK_QMARK = 96,
  anon_sym_instanceof = 97,
  anon_sym_TILDE = 98,
  anon_sym_void = 99,
  anon_sym_delete = 100,
  anon_sym_PLUS_PLUS = 101,
  anon_sym_DASH_DASH = 102,
  sym_unescaped_double_string_fragment = 103,
  sym_unescaped_single_string_fragment = 104,
  sym_escape_sequence = 105,
  aux_sym_comment_token1 = 106,
  anon_sym_BQUOTE = 107,
  anon_sym_DOLLAR_LBRACE = 108,
  anon_sym_SLASH2 = 109,
  sym_regex_pattern = 110,
  sym_regex_flags = 111,
  sym_number = 112,
  sym_private_property_identifier = 113,
  anon_sym_target = 114,
  sym_this = 115,
  sym_super = 116,
  sym_true = 117,
  sym_false = 118,
  sym_null = 119,
  sym_undefined = 120,
  anon_sym_AT = 121,
  anon_sym_static = 122,
  anon_sym_readonly = 123,
  anon_sym_get = 124,
  anon_sym_set = 125,
  anon_sym_QMARK = 126,
  anon_sym_declare = 127,
  anon_sym_public = 128,
  anon_sym_private = 129,
  anon_sym_protected = 130,
  anon_sym_override = 131,
  anon_sym_module = 132,
  anon_sym_any = 133,
  anon_sym_number = 134,
  anon_sym_boolean = 135,
  anon_sym_string = 136,
  anon_sym_symbol = 137,
  anon_sym_object = 138,
  anon_sym_abstract = 139,
  anon_sym_satisfies = 140,
  anon_sym_require = 141,
  anon_sym_extends = 142,
  anon_sym_implements = 143,
  anon_sym_global = 144,
  anon_sym_interface = 145,
  anon_sym_enum = 146,
  anon_sym_DASH_QMARK_COLON = 147,
  anon_sym_PLUS_QMARK_COLON = 148,
  anon_sym_QMARK_COLON = 149,
  anon_sym_asserts = 150,
  anon_sym_infer = 151,
  anon_sym_is = 152,
  anon_sym_keyof = 153,
  anon_sym_unique = 154,
  anon_sym_unknown = 155,
  anon_sym_never = 156,
  anon_sym_LBRACE_PIPE = 157,
  anon_sym_PIPE_RBRACE = 158,
  sym__automatic_semicolon = 159,
  sym__template_chars = 160,
  sym__ternary_qmark = 161,
  sym_html_comment = 162,
  sym__function_signature_automatic_semicolon = 163,
  sym___error_recovery = 164,
  sym_program = 165,
  sym_export_statement = 166,
  sym_namespace_export = 167,
  sym_export_clause = 168,
  sym_export_specifier = 169,
  sym__module_export_name = 170,
  sym_declaration = 171,
  sym_import = 172,
  sym_import_statement = 173,
  sym_import_clause = 174,
  sym__from_clause = 175,
  sym_namespace_import = 176,
  sym_named_imports = 177,
  sym_import_specifier = 178,
  sym_import_attribute = 179,
  sym_expression_statement = 180,
  sym_variable_declaration = 181,
  sym_lexical_declaration = 182,
  sym_variable_declarator = 183,
  sym_statement_block = 184,
  sym_else_clause = 185,
  sym_if_statement = 186,
  sym_switch_statement = 187,
  sym_for_statement = 188,
  sym_for_in_statement = 189,
  sym__for_header = 190,
  sym_while_statement = 191,
  sym_do_statement = 192,
  sym_try_statement = 193,
  sym_with_statement = 194,
  sym_break_statement = 195,
  sym_continue_statement = 196,
  sym_debugger_statement = 197,
  sym_return_statement = 198,
  sym_throw_statement = 199,
  sym_empty_statement = 200,
  sym_labeled_statement = 201,
  sym_switch_body = 202,
  sym_switch_case = 203,
  sym_switch_default = 204,
  sym_catch_clause = 205,
  sym_finally_clause = 206,
  sym_parenthesized_expression = 207,
  sym_expression = 208,
  sym_primary_expression = 209,
  sym_yield_expression = 210,
  sym_object = 211,
  sym_object_pattern = 212,
  sym_assignment_pattern = 213,
  sym_object_assignment_pattern = 214,
  sym_array = 215,
  sym_array_pattern = 216,
  sym_glimmer_template = 217,
  sym_glimmer_opening_tag = 218,
  sym_glimmer_closing_tag = 219,
  sym_nested_identifier = 220,
  sym_class = 221,
  sym_class_declaration = 222,
  sym_class_heritage = 223,
  sym_function_expression = 224,
  sym_function_declaration = 225,
  sym_generator_function = 226,
  sym_generator_function_declaration = 227,
  sym_arrow_function = 228,
  sym__call_signature = 229,
  sym__formal_parameter = 230,
  sym_optional_chain = 231,
  sym_call_expression = 232,
  sym_new_expression = 233,
  sym_await_expression = 234,
  sym_member_expression = 235,
  sym_subscript_expression = 236,
  sym_assignment_expression = 237,
  sym__augmented_assignment_lhs = 238,
  sym_augmented_assignment_expression = 239,
  sym__initializer = 240,
  sym__destructuring_pattern = 241,
  sym_spread_element = 242,
  sym_ternary_expression = 243,
  sym_binary_expression = 244,
  sym_unary_expression = 245,
  sym_update_expression = 246,
  sym_sequence_expression = 247,
  sym_string = 248,
  sym_comment = 249,
  sym_template_string = 250,
  sym_template_substitution = 251,
  sym_regex = 252,
  sym_meta_property = 253,
  sym_arguments = 254,
  sym_decorator = 255,
  sym_decorator_member_expression = 256,
  sym_decorator_call_expression = 257,
  sym_class_body = 258,
  sym_formal_parameters = 259,
  sym_class_static_block = 260,
  sym_pattern = 261,
  sym_rest_pattern = 262,
  sym_method_definition = 263,
  sym_pair = 264,
  sym_pair_pattern = 265,
  sym__property_name = 266,
  sym_computed_property_name = 267,
  sym_public_field_definition = 268,
  sym__import_identifier = 269,
  sym_non_null_expression = 270,
  sym_method_signature = 271,
  sym_abstract_method_signature = 272,
  sym_function_signature = 273,
  sym_type_assertion = 274,
  sym_as_expression = 275,
  sym_satisfies_expression = 276,
  sym_instantiation_expression = 277,
  sym_import_require_clause = 278,
  sym_extends_clause = 279,
  sym__extends_clause_single = 280,
  sym_implements_clause = 281,
  sym_ambient_declaration = 282,
  sym_abstract_class_declaration = 283,
  sym_module = 284,
  sym_internal_module = 285,
  sym__module = 286,
  sym_import_alias = 287,
  sym_nested_type_identifier = 288,
  sym_interface_declaration = 289,
  sym_extends_type_clause = 290,
  sym_enum_declaration = 291,
  sym_enum_body = 292,
  sym_enum_assignment = 293,
  sym_type_alias_declaration = 294,
  sym_accessibility_modifier = 295,
  sym_override_modifier = 296,
  sym_required_parameter = 297,
  sym_optional_parameter = 298,
  sym__parameter_name = 299,
  sym_omitting_type_annotation = 300,
  sym_adding_type_annotation = 301,
  sym_opting_type_annotation = 302,
  sym_type_annotation = 303,
  sym__type_query_member_expression_in_type_annotation = 304,
  sym__type_query_call_expression_in_type_annotation = 305,
  sym_asserts = 306,
  sym_asserts_annotation = 307,
  sym__type = 308,
  sym_tuple_parameter = 309,
  sym_optional_tuple_parameter = 310,
  sym_optional_type = 311,
  sym_rest_type = 312,
  sym__tuple_type_member = 313,
  sym_constructor_type = 314,
  sym__primary_type = 315,
  sym_template_type = 316,
  sym_template_literal_type = 317,
  sym_infer_type = 318,
  sym_conditional_type = 319,
  sym_generic_type = 320,
  sym_type_predicate = 321,
  sym_type_predicate_annotation = 322,
  sym__type_query_member_expression = 323,
  sym__type_query_subscript_expression = 324,
  sym__type_query_call_expression = 325,
  sym__type_query_instantiation_expression = 326,
  sym_type_query = 327,
  sym_index_type_query = 328,
  sym_lookup_type = 329,
  sym_mapped_type_clause = 330,
  sym_literal_type = 331,
  sym__number = 332,
  sym_existential_type = 333,
  sym_flow_maybe_type = 334,
  sym_parenthesized_type = 335,
  sym_predefined_type = 336,
  sym_type_arguments = 337,
  sym_object_type = 338,
  sym_call_signature = 339,
  sym_property_signature = 340,
  sym_type_parameters = 341,
  sym_type_parameter = 342,
  sym_default_type = 343,
  sym_constraint = 344,
  sym_construct_signature = 345,
  sym_index_signature = 346,
  sym_array_type = 347,
  sym_tuple_type = 348,
  sym_readonly_type = 349,
  sym_union_type = 350,
  sym_intersection_type = 351,
  sym_function_type = 352,
  aux_sym_program_repeat1 = 353,
  aux_sym_export_statement_repeat1 = 354,
  aux_sym_export_clause_repeat1 = 355,
  aux_sym_named_imports_repeat1 = 356,
  aux_sym_variable_declaration_repeat1 = 357,
  aux_sym_switch_body_repeat1 = 358,
  aux_sym_object_repeat1 = 359,
  aux_sym_object_pattern_repeat1 = 360,
  aux_sym_array_repeat1 = 361,
  aux_sym_array_pattern_repeat1 = 362,
  aux_sym_glimmer_template_repeat1 = 363,
  aux_sym_sequence_expression_repeat1 = 364,
  aux_sym_string_repeat1 = 365,
  aux_sym_string_repeat2 = 366,
  aux_sym_template_string_repeat1 = 367,
  aux_sym_class_body_repeat1 = 368,
  aux_sym_formal_parameters_repeat1 = 369,
  aux_sym_extends_clause_repeat1 = 370,
  aux_sym_implements_clause_repeat1 = 371,
  aux_sym_extends_type_clause_repeat1 = 372,
  aux_sym_enum_body_repeat1 = 373,
  aux_sym_template_literal_type_repeat1 = 374,
  aux_sym_type_arguments_repeat1 = 375,
  aux_sym_object_type_repeat1 = 376,
  aux_sym_type_parameters_repeat1 = 377,
  aux_sym_tuple_type_repeat1 = 378,
  alias_sym_interface_body = 379,
  alias_sym_property_identifier = 380,
  alias_sym_shorthand_property_identifier = 381,
  alias_sym_shorthand_property_identifier_pattern = 382,
  alias_sym_statement_identifier = 383,
  alias_sym_this_type = 384,
  alias_sym_type_identifier = 385,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [anon_sym_GT] = ">",
  [anon_sym_DOT] = ".",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_abstract] = "abstract",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym___error_recovery] = "__error_recovery",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_nested_identifier] = "nested_identifier",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_type_assertion] = "type_assertion",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym___error_recovery] = sym___error_recovery,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_type_assertion] = sym_type_assertion,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_close_tag = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_index_type = 20,
  field_initializer = 21,
  field_key = 22,
  field_kind = 23,
  field_label = 24,
  field_left = 25,
  field_module = 26,
  field_name = 27,
  field_object = 28,
  field_open_tag = 29,
  field_operator = 30,
  field_optional_chain = 31,
  field_parameter = 32,
  field_parameters = 33,
  field_pattern = 34,
  field_property = 35,
  field_return_type = 36,
  field_right = 37,
  field_sign = 38,
  field_source = 39,
  field_type = 40,
  field_type_arguments = 41,
  field_type_parameters = 42,
  field_value = 43,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 1},
  [14] = {.index = 3, .length = 1},
  [16] = {.index = 13, .length = 2},
  [17] = {.index = 15, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 1},
  [20] = {.index = 20, .length = 2},
  [21] = {.index = 22, .length = 2},
  [22] = {.index = 24, .length = 2},
  [23] = {.index = 26, .length = 2},
  [24] = {.index = 28, .length = 1},
  [25] = {.index = 29, .length = 2},
  [26] = {.index = 31, .length = 2},
  [27] = {.index = 33, .length = 2},
  [28] = {.index = 35, .length = 2},
  [32] = {.index = 37, .length = 1},
  [33] = {.index = 38, .length = 2},
  [34] = {.index = 40, .length = 2},
  [35] = {.index = 42, .length = 2},
  [36] = {.index = 44, .length = 1},
  [37] = {.index = 45, .length = 2},
  [38] = {.index = 47, .length = 2},
  [39] = {.index = 49, .length = 6},
  [40] = {.index = 55, .length = 1},
  [41] = {.index = 56, .length = 3},
  [42] = {.index = 59, .length = 3},
  [43] = {.index = 62, .length = 2},
  [44] = {.index = 64, .length = 2},
  [45] = {.index = 66, .length = 2},
  [46] = {.index = 68, .length = 2},
  [47] = {.index = 70, .length = 1},
  [48] = {.index = 71, .length = 2},
  [49] = {.index = 73, .length = 1},
  [50] = {.index = 74, .length = 2},
  [51] = {.index = 76, .length = 1},
  [52] = {.index = 77, .length = 2},
  [53] = {.index = 79, .length = 4},
  [54] = {.index = 83, .length = 2},
  [55] = {.index = 85, .length = 2},
  [56] = {.index = 87, .length = 3},
  [57] = {.index = 90, .length = 2},
  [58] = {.index = 92, .length = 2},
  [59] = {.index = 94, .length = 2},
  [60] = {.index = 96, .length = 2},
  [61] = {.index = 98, .length = 1},
  [62] = {.index = 99, .length = 2},
  [63] = {.index = 101, .length = 2},
  [64] = {.index = 103, .length = 2},
  [67] = {.index = 99, .length = 2},
  [68] = {.index = 105, .length = 4},
  [69] = {.index = 29, .length = 2},
  [70] = {.index = 33, .length = 2},
  [71] = {.index = 109, .length = 3},
  [72] = {.index = 71, .length = 2},
  [73] = {.index = 71, .length = 2},
  [74] = {.index = 112, .length = 2},
  [75] = {.index = 112, .length = 2},
  [76] = {.index = 114, .length = 3},
  [77] = {.index = 114, .length = 3},
  [78] = {.index = 117, .length = 3},
  [79] = {.index = 120, .length = 2},
  [80] = {.index = 122, .length = 3},
  [81] = {.index = 125, .length = 4},
  [82] = {.index = 129, .length = 3},
  [83] = {.index = 132, .length = 2},
  [84] = {.index = 134, .length = 2},
  [85] = {.index = 136, .length = 1},
  [86] = {.index = 137, .length = 1},
  [87] = {.index = 98, .length = 1},
  [88] = {.index = 112, .length = 2},
  [89] = {.index = 29, .length = 2},
  [90] = {.index = 138, .length = 2},
  [91] = {.index = 140, .length = 5},
  [92] = {.index = 145, .length = 1},
  [93] = {.index = 146, .length = 1},
  [94] = {.index = 147, .length = 2},
  [95] = {.index = 149, .length = 3},
  [96] = {.index = 152, .length = 2},
  [97] = {.index = 154, .length = 3},
  [98] = {.index = 157, .length = 6},
  [99] = {.index = 163, .length = 1},
  [100] = {.index = 164, .length = 1},
  [101] = {.index = 165, .length = 3},
  [102] = {.index = 168, .length = 3},
  [103] = {.index = 171, .length = 4},
  [104] = {.index = 175, .length = 2},
  [105] = {.index = 177, .length = 2},
  [106] = {.index = 179, .length = 3},
  [107] = {.index = 182, .length = 4},
  [108] = {.index = 186, .length = 1},
  [109] = {.index = 187, .length = 2},
  [110] = {.index = 189, .length = 1},
  [111] = {.index = 190, .length = 2},
  [112] = {.index = 192, .length = 3},
  [113] = {.index = 195, .length = 2},
  [114] = {.index = 197, .length = 4},
  [115] = {.index = 201, .length = 2},
  [116] = {.index = 203, .length = 2},
  [117] = {.index = 205, .length = 4},
  [118] = {.index = 203, .length = 2},
  [119] = {.index = 209, .length = 4},
  [120] = {.index = 213, .length = 4},
  [121] = {.index = 217, .length = 5},
  [122] = {.index = 222, .length = 3},
  [123] = {.index = 225, .length = 2},
  [124] = {.index = 225, .length = 2},
  [125] = {.index = 227, .length = 2},
  [126] = {.index = 229, .length = 1},
  [127] = {.index = 230, .length = 2},
  [128] = {.index = 232, .length = 4},
  [129] = {.index = 236, .length = 4},
  [130] = {.index = 240, .length = 4},
  [131] = {.index = 244, .length = 2},
  [132] = {.index = 246, .length = 2},
  [133] = {.index = 248, .length = 2},
  [134] = {.index = 250, .length = 3},
  [135] = {.index = 253, .length = 2},
  [136] = {.index = 255, .length = 4},
  [137] = {.index = 255, .length = 4},
  [138] = {.index = 259, .length = 4},
  [139] = {.index = 259, .length = 4},
  [140] = {.index = 152, .length = 2},
  [141] = {.index = 263, .length = 1},
  [142] = {.index = 263, .length = 1},
  [143] = {.index = 190, .length = 2},
  [144] = {.index = 192, .length = 3},
  [145] = {.index = 264, .length = 2},
  [146] = {.index = 266, .length = 3},
  [147] = {.index = 269, .length = 2},
  [148] = {.index = 271, .length = 3},
  [149] = {.index = 274, .length = 2},
  [150] = {.index = 276, .length = 3},
  [151] = {.index = 279, .length = 1},
  [152] = {.index = 280, .length = 2},
  [153] = {.index = 282, .length = 2},
  [154] = {.index = 284, .length = 5},
  [155] = {.index = 280, .length = 2},
  [156] = {.index = 289, .length = 1},
  [157] = {.index = 290, .length = 4},
  [158] = {.index = 294, .length = 2},
  [159] = {.index = 296, .length = 1},
  [160] = {.index = 297, .length = 2},
  [161] = {.index = 299, .length = 2},
  [162] = {.index = 301, .length = 2},
  [163] = {.index = 303, .length = 4},
  [164] = {.index = 307, .length = 2},
  [165] = {.index = 309, .length = 3},
  [166] = {.index = 312, .length = 3},
  [167] = {.index = 315, .length = 3},
  [168] = {.index = 318, .length = 4},
  [169] = {.index = 322, .length = 4},
  [170] = {.index = 326, .length = 4},
  [171] = {.index = 330, .length = 5},
  [172] = {.index = 335, .length = 2},
  [173] = {.index = 337, .length = 2},
  [174] = {.index = 339, .length = 1},
  [175] = {.index = 340, .length = 4},
  [176] = {.index = 340, .length = 4},
  [177] = {.index = 344, .length = 3},
  [178] = {.index = 347, .length = 2},
  [179] = {.index = 349, .length = 3},
  [180] = {.index = 352, .length = 2},
  [181] = {.index = 354, .length = 3},
  [182] = {.index = 357, .length = 2},
  [183] = {.index = 357, .length = 2},
  [184] = {.index = 315, .length = 3},
  [185] = {.index = 359, .length = 3},
  [186] = {.index = 362, .length = 3},
  [187] = {.index = 147, .length = 2},
  [188] = {.index = 365, .length = 2},
  [189] = {.index = 367, .length = 3},
  [190] = {.index = 370, .length = 4},
  [191] = {.index = 374, .length = 3},
  [192] = {.index = 377, .length = 3},
  [193] = {.index = 380, .length = 2},
  [194] = {.index = 382, .length = 3},
  [195] = {.index = 385, .length = 5},
  [196] = {.index = 380, .length = 2},
  [197] = {.index = 390, .length = 3},
  [198] = {.index = 390, .length = 3},
  [199] = {.index = 393, .length = 3},
  [200] = {.index = 396, .length = 2},
  [201] = {.index = 398, .length = 4},
  [202] = {.index = 147, .length = 2},
  [203] = {.index = 402, .length = 1},
  [204] = {.index = 403, .length = 2},
  [205] = {.index = 405, .length = 2},
  [206] = {.index = 407, .length = 2},
  [207] = {.index = 409, .length = 2},
  [208] = {.index = 411, .length = 3},
  [209] = {.index = 414, .length = 1},
  [210] = {.index = 415, .length = 3},
  [211] = {.index = 418, .length = 2},
  [212] = {.index = 420, .length = 3},
  [213] = {.index = 423, .length = 3},
  [214] = {.index = 426, .length = 3},
  [215] = {.index = 429, .length = 3},
  [216] = {.index = 432, .length = 4},
  [217] = {.index = 436, .length = 5},
  [218] = {.index = 441, .length = 3},
  [219] = {.index = 444, .length = 2},
  [220] = {.index = 446, .length = 2},
  [221] = {.index = 448, .length = 4},
  [222] = {.index = 452, .length = 4},
  [223] = {.index = 456, .length = 4},
  [224] = {.index = 460, .length = 3},
  [225] = {.index = 463, .length = 2},
  [226] = {.index = 465, .length = 3},
  [227] = {.index = 468, .length = 2},
  [228] = {.index = 470, .length = 2},
  [229] = {.index = 472, .length = 2},
  [230] = {.index = 474, .length = 1},
  [231] = {.index = 475, .length = 4},
  [232] = {.index = 479, .length = 3},
  [233] = {.index = 482, .length = 4},
  [234] = {.index = 486, .length = 5},
  [235] = {.index = 491, .length = 1},
  [236] = {.index = 492, .length = 2},
  [237] = {.index = 494, .length = 4},
  [238] = {.index = 498, .length = 4},
  [239] = {.index = 502, .length = 2},
  [240] = {.index = 504, .length = 4},
  [241] = {.index = 508, .length = 4},
  [242] = {.index = 512, .length = 2},
  [243] = {.index = 514, .length = 2},
  [244] = {.index = 516, .length = 3},
  [245] = {.index = 519, .length = 3},
  [246] = {.index = 522, .length = 2},
  [247] = {.index = 524, .length = 2},
  [248] = {.index = 526, .length = 1},
  [249] = {.index = 527, .length = 1},
  [250] = {.index = 528, .length = 3},
  [251] = {.index = 531, .length = 3},
  [252] = {.index = 534, .length = 3},
  [253] = {.index = 537, .length = 3},
  [254] = {.index = 540, .length = 4},
  [255] = {.index = 544, .length = 2},
  [256] = {.index = 546, .length = 4},
  [257] = {.index = 550, .length = 3},
  [258] = {.index = 553, .length = 2},
  [259] = {.index = 555, .length = 4},
  [260] = {.index = 559, .length = 4},
  [261] = {.index = 563, .length = 4},
  [262] = {.index = 567, .length = 3},
  [264] = {.index = 570, .length = 4},
  [265] = {.index = 574, .length = 5},
  [266] = {.index = 579, .length = 5},
  [267] = {.index = 584, .length = 5},
  [268] = {.index = 589, .length = 3},
  [269] = {.index = 592, .length = 3},
  [270] = {.index = 595, .length = 3},
  [271] = {.index = 592, .length = 3},
  [272] = {.index = 598, .length = 2},
  [273] = {.index = 600, .length = 4},
  [274] = {.index = 604, .length = 4},
  [275] = {.index = 608, .length = 3},
  [276] = {.index = 611, .length = 2},
  [277] = {.index = 613, .length = 2},
  [278] = {.index = 615, .length = 3},
  [279] = {.index = 618, .length = 2},
  [280] = {.index = 620, .length = 2},
  [281] = {.index = 622, .length = 1},
  [282] = {.index = 623, .length = 3},
  [283] = {.index = 626, .length = 3},
  [284] = {.index = 629, .length = 4},
  [285] = {.index = 633, .length = 4},
  [286] = {.index = 637, .length = 3},
  [287] = {.index = 640, .length = 3},
  [288] = {.index = 643, .length = 2},
  [289] = {.index = 645, .length = 4},
  [290] = {.index = 649, .length = 5},
  [291] = {.index = 654, .length = 5},
  [292] = {.index = 659, .length = 4},
  [293] = {.index = 663, .length = 4},
  [294] = {.index = 667, .length = 3},
  [295] = {.index = 670, .length = 3},
  [296] = {.index = 670, .length = 3},
  [297] = {.index = 673, .length = 2},
  [298] = {.index = 675, .length = 2},
  [299] = {.index = 677, .length = 3},
  [300] = {.index = 680, .length = 2},
  [301] = {.index = 682, .length = 2},
  [302] = {.index = 684, .length = 4},
  [303] = {.index = 688, .length = 3},
  [304] = {.index = 691, .length = 3},
  [305] = {.index = 694, .length = 4},
  [306] = {.index = 698, .length = 3},
  [307] = {.index = 701, .length = 3},
  [308] = {.index = 704, .length = 2},
  [309] = {.index = 706, .length = 5},
  [310] = {.index = 711, .length = 5},
  [311] = {.index = 716, .length = 4},
  [312] = {.index = 716, .length = 4},
  [313] = {.index = 720, .length = 4},
  [314] = {.index = 724, .length = 3},
  [315] = {.index = 727, .length = 2},
  [316] = {.index = 729, .length = 2},
  [317] = {.index = 731, .length = 3},
  [318] = {.index = 734, .length = 4},
  [319] = {.index = 738, .length = 4},
  [320] = {.index = 742, .length = 3},
  [321] = {.index = 745, .length = 3},
  [322] = {.index = 748, .length = 4},
  [323] = {.index = 752, .length = 3},
  [324] = {.index = 755, .length = 3},
  [325] = {.index = 758, .length = 5},
  [326] = {.index = 763, .length = 3},
  [327] = {.index = 766, .length = 4},
  [328] = {.index = 770, .length = 4},
  [329] = {.index = 774, .length = 3},
  [330] = {.index = 777, .length = 3},
  [331] = {.index = 780, .length = 4},
  [332] = {.index = 784, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_constructor, 1},
  [13] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_argument, 0},
    {field_operator, 1},
  [19] =
    {field_type_arguments, 1},
  [20] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [22] =
    {field_parameters, 0},
    {field_return_type, 1},
  [24] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [26] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [28] =
    {field_declaration, 2},
  [29] =
    {field_left, 0},
    {field_right, 2},
  [31] =
    {field_body, 2},
    {field_label, 0},
  [33] =
    {field_body, 2},
    {field_parameter, 0},
  [35] =
    {field_body, 1},
    {field_name, 0},
  [37] =
    {field_source, 1},
  [38] =
    {field_body, 2},
    {field_object, 1},
  [40] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [42] =
    {field_name, 0},
    {field_type, 1},
  [44] =
    {field_kind, 0},
  [45] =
    {field_condition, 1},
    {field_consequence, 2},
  [47] =
    {field_body, 2},
    {field_value, 1},
  [49] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [55] =
    {field_pattern, 1},
  [56] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [59] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [62] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [64] =
    {field_body, 2},
    {field_condition, 1},
  [66] =
    {field_body, 1},
    {field_handler, 2},
  [68] =
    {field_body, 1},
    {field_finalizer, 2},
  [70] =
    {field_label, 1},
  [71] =
    {field_body, 2},
    {field_name, 1},
  [73] =
    {field_value, 0},
  [74] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [76] =
    {field_body, 2},
  [77] =
    {field_body, 2},
    {field_type_parameters, 1},
  [79] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [83] =
    {field_arguments, 2},
    {field_constructor, 1},
  [85] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [87] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [90] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [92] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [94] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [96] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [98] =
    {field_name, 1},
  [99] =
    {field_name, 0},
    {field_type_arguments, 1},
  [101] =
    {field_name, 0},
    {field_value, 1},
  [103] =
    {field_constraint, 1},
    {field_name, 0},
  [105] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [109] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [112] =
    {field_object, 0},
    {field_property, 2},
  [114] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [117] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [120] =
    {field_arguments, 2},
    {field_function, 0},
  [122] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [125] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [129] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [132] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [136] =
    {field_source, 2, .inherited = true},
  [137] =
    {field_value, 2},
  [138] =
    {field_key, 0},
    {field_value, 2},
  [140] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [145] =
    {field_source, 2},
  [146] =
    {field_value, 1},
  [147] =
    {field_name, 0},
    {field_type, 2},
  [149] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 3},
    {field_name, 2},
  [154] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [157] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [163] =
    {field_type, 2},
  [164] =
    {field_pattern, 2},
  [165] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [168] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [171] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [175] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [177] =
    {field_body, 1},
    {field_condition, 3},
  [179] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [182] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [186] =
    {field_decorator, 0, .inherited = true},
  [187] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [189] =
    {field_decorator, 1, .inherited = true},
  [190] =
    {field_body, 3},
    {field_name, 1},
  [192] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [195] =
    {field_type_arguments, 1},
    {field_value, 0},
  [197] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [201] =
    {field_body, 3},
    {field_type_parameters, 1},
  [203] =
    {field_body, 3},
    {field_parameter, 1},
  [205] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [209] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [213] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [217] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [222] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [225] =
    {field_left, 1},
    {field_right, 3},
  [227] =
    {field_flags, 3},
    {field_pattern, 1},
  [229] =
    {field_parameters, 1},
  [230] =
    {field_function, 0},
    {field_type_arguments, 1},
  [232] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [236] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [240] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [244] =
    {field_name, 1},
    {field_value, 2},
  [246] =
    {field_constraint, 2},
    {field_name, 1},
  [248] =
    {field_module, 0},
    {field_name, 2},
  [250] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [253] =
    {field_parameters, 0},
    {field_return_type, 2},
  [255] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [259] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [263] =
    {field_type, 1},
  [264] =
    {field_index, 2},
    {field_object, 0},
  [266] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [269] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [271] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [274] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [276] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [279] =
    {field_source, 3, .inherited = true},
  [280] =
    {field_alias, 2},
    {field_name, 0},
  [282] =
    {field_name, 1},
    {field_value, 3},
  [284] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [289] =
    {field_pattern, 3},
  [290] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [294] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [296] =
    {field_name, 2},
  [297] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [299] =
    {field_name, 1},
    {field_type, 2},
  [301] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [303] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [307] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [309] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [312] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [315] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [318] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [322] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [326] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [330] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [335] =
    {field_parameters, 1},
    {field_type, 2},
  [337] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [339] =
    {field_parameters, 2},
  [340] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [344] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [347] =
    {field_parameters, 1},
    {field_type, 3},
  [349] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [352] =
    {field_body, 4},
    {field_name, 2},
  [354] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [357] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [359] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [362] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [365] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [367] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [370] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [374] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [377] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [380] =
    {field_alias, 3},
    {field_name, 1},
  [382] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [385] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [390] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [393] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [396] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [398] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [402] =
    {field_type, 3},
  [403] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [405] =
    {field_name, 2},
    {field_type, 3},
  [407] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [409] =
    {field_name, 1},
    {field_type, 3},
  [411] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [414] =
    {field_name, 3},
  [415] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [418] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [420] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [423] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [426] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [429] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [432] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [436] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [441] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [444] =
    {field_parameters, 2},
    {field_type, 3},
  [446] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [448] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [452] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [456] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [460] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [463] =
    {field_parameters, 2},
    {field_type, 4},
  [465] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [468] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [470] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [472] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [474] =
    {field_name, 2, .inherited = true},
  [475] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [479] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [482] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [486] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [491] =
    {field_source, 4},
  [492] =
    {field_body, 3},
    {field_value, 1},
  [494] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [498] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [502] =
    {field_body, 4},
    {field_parameter, 2},
  [504] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [508] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [512] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [514] =
    {field_name, 2},
    {field_type, 4},
  [516] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [519] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [522] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [524] =
    {field_name, 3},
    {field_type, 4},
  [526] =
    {field_type, 4},
  [527] =
    {field_name, 4},
  [528] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [531] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [534] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [537] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [540] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [544] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [546] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [550] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [553] =
    {field_index, 3},
    {field_object, 0},
  [555] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [559] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [563] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [567] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [570] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [574] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [579] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [584] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [589] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [592] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [595] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [598] =
    {field_sign, 0},
    {field_type, 5},
  [600] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [604] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [608] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [611] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [613] =
    {field_name, 3},
    {field_type, 5},
  [615] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [618] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [620] =
    {field_name, 4},
    {field_type, 5},
  [622] =
    {field_name, 5},
  [623] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [626] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [629] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [633] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [637] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [640] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [643] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [645] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [649] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [654] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [659] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [663] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [667] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [670] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [673] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [675] =
    {field_name, 4},
    {field_type, 6},
  [677] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [680] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [682] =
    {field_name, 5},
    {field_type, 6},
  [684] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [688] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [691] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [694] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [698] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [701] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [704] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [706] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [711] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [716] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [720] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [724] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [727] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [729] =
    {field_name, 5},
    {field_type, 7},
  [731] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [734] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [738] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [742] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [745] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [748] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [752] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [755] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [758] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [763] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [766] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [770] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [774] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [777] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [780] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [784] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [13] = {
    [0] = alias_sym_type_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_this_type,
  },
  [25] = {
    [0] = sym_identifier,
  },
  [26] = {
    [0] = alias_sym_statement_identifier,
  },
  [27] = {
    [0] = sym_identifier,
  },
  [29] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [30] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [31] = {
    [1] = sym_identifier,
  },
  [47] = {
    [1] = alias_sym_statement_identifier,
  },
  [48] = {
    [1] = alias_sym_type_identifier,
  },
  [61] = {
    [1] = alias_sym_type_identifier,
  },
  [62] = {
    [0] = alias_sym_type_identifier,
  },
  [63] = {
    [0] = alias_sym_type_identifier,
  },
  [64] = {
    [0] = alias_sym_type_identifier,
  },
  [65] = {
    [1] = alias_sym_type_identifier,
  },
  [66] = {
    [1] = anon_sym_unique,
  },
  [72] = {
    [1] = alias_sym_type_identifier,
    [2] = alias_sym_interface_body,
  },
  [74] = {
    [2] = alias_sym_property_identifier,
  },
  [76] = {
    [2] = alias_sym_property_identifier,
  },
  [88] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [89] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [111] = {
    [1] = alias_sym_type_identifier,
  },
  [112] = {
    [1] = alias_sym_type_identifier,
  },
  [116] = {
    [1] = sym_identifier,
  },
  [123] = {
    [1] = sym_identifier,
  },
  [131] = {
    [1] = alias_sym_type_identifier,
  },
  [132] = {
    [1] = alias_sym_type_identifier,
  },
  [133] = {
    [2] = alias_sym_type_identifier,
  },
  [134] = {
    [0] = alias_sym_type_identifier,
  },
  [136] = {
    [2] = alias_sym_property_identifier,
  },
  [138] = {
    [2] = alias_sym_property_identifier,
  },
  [140] = {
    [2] = alias_sym_type_identifier,
  },
  [141] = {
    [1] = alias_sym_type_identifier,
  },
  [143] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [144] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [148] = {
    [2] = alias_sym_type_identifier,
  },
  [153] = {
    [1] = alias_sym_type_identifier,
  },
  [155] = {
    [0] = sym_identifier,
  },
  [167] = {
    [1] = alias_sym_type_identifier,
  },
  [175] = {
    [2] = alias_sym_property_identifier,
  },
  [177] = {
    [1] = alias_sym_type_identifier,
  },
  [180] = {
    [2] = alias_sym_type_identifier,
  },
  [181] = {
    [2] = alias_sym_type_identifier,
  },
  [182] = {
    [1] = alias_sym_type_identifier,
  },
  [184] = {
    [1] = alias_sym_type_identifier,
    [4] = alias_sym_interface_body,
  },
  [187] = {
    [0] = sym_identifier,
  },
  [189] = {
    [2] = alias_sym_type_identifier,
  },
  [190] = {
    [2] = alias_sym_type_identifier,
  },
  [192] = {
    [3] = alias_sym_type_identifier,
  },
  [194] = {
    [1] = alias_sym_type_identifier,
  },
  [196] = {
    [1] = sym_identifier,
  },
  [197] = {
    [1] = sym_identifier,
  },
  [202] = {
    [0] = alias_sym_type_identifier,
  },
  [226] = {
    [2] = alias_sym_type_identifier,
  },
  [231] = {
    [2] = alias_sym_type_identifier,
  },
  [232] = {
    [3] = alias_sym_type_identifier,
  },
  [233] = {
    [3] = alias_sym_type_identifier,
  },
  [263] = {
    [3] = alias_sym_property_identifier,
  },
  [264] = {
    [3] = alias_sym_type_identifier,
  },
  [269] = {
    [1] = sym_identifier,
  },
  [270] = {
    [0] = alias_sym_type_identifier,
  },
  [295] = {
    [2] = sym_identifier,
  },
  [311] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 4,
  [10] = 4,
  [11] = 4,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 18,
  [20] = 20,
  [21] = 18,
  [22] = 20,
  [23] = 18,
  [24] = 20,
  [25] = 18,
  [26] = 20,
  [27] = 18,
  [28] = 20,
  [29] = 18,
  [30] = 20,
  [31] = 18,
  [32] = 20,
  [33] = 18,
  [34] = 20,
  [35] = 18,
  [36] = 20,
  [37] = 20,
  [38] = 18,
  [39] = 39,
  [40] = 20,
  [41] = 18,
  [42] = 20,
  [43] = 18,
  [44] = 20,
  [45] = 18,
  [46] = 20,
  [47] = 18,
  [48] = 20,
  [49] = 18,
  [50] = 20,
  [51] = 18,
  [52] = 20,
  [53] = 18,
  [54] = 20,
  [55] = 18,
  [56] = 20,
  [57] = 18,
  [58] = 18,
  [59] = 18,
  [60] = 20,
  [61] = 20,
  [62] = 18,
  [63] = 18,
  [64] = 20,
  [65] = 20,
  [66] = 20,
  [67] = 18,
  [68] = 20,
  [69] = 69,
  [70] = 18,
  [71] = 20,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 73,
  [79] = 76,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 81,
  [84] = 74,
  [85] = 75,
  [86] = 80,
  [87] = 73,
  [88] = 88,
  [89] = 89,
  [90] = 77,
  [91] = 75,
  [92] = 76,
  [93] = 75,
  [94] = 73,
  [95] = 77,
  [96] = 89,
  [97] = 80,
  [98] = 89,
  [99] = 73,
  [100] = 80,
  [101] = 76,
  [102] = 88,
  [103] = 74,
  [104] = 88,
  [105] = 74,
  [106] = 82,
  [107] = 88,
  [108] = 80,
  [109] = 77,
  [110] = 89,
  [111] = 75,
  [112] = 74,
  [113] = 89,
  [114] = 82,
  [115] = 82,
  [116] = 81,
  [117] = 77,
  [118] = 82,
  [119] = 81,
  [120] = 88,
  [121] = 81,
  [122] = 76,
  [123] = 123,
  [124] = 123,
  [125] = 123,
  [126] = 123,
  [127] = 123,
  [128] = 128,
  [129] = 123,
  [130] = 123,
  [131] = 123,
  [132] = 123,
  [133] = 123,
  [134] = 128,
  [135] = 128,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 138,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 146,
  [148] = 146,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 149,
  [153] = 151,
  [154] = 149,
  [155] = 150,
  [156] = 156,
  [157] = 157,
  [158] = 157,
  [159] = 151,
  [160] = 156,
  [161] = 151,
  [162] = 156,
  [163] = 151,
  [164] = 144,
  [165] = 150,
  [166] = 149,
  [167] = 151,
  [168] = 168,
  [169] = 149,
  [170] = 150,
  [171] = 150,
  [172] = 156,
  [173] = 151,
  [174] = 145,
  [175] = 175,
  [176] = 144,
  [177] = 177,
  [178] = 151,
  [179] = 151,
  [180] = 157,
  [181] = 156,
  [182] = 182,
  [183] = 144,
  [184] = 151,
  [185] = 157,
  [186] = 186,
  [187] = 156,
  [188] = 151,
  [189] = 151,
  [190] = 151,
  [191] = 156,
  [192] = 151,
  [193] = 156,
  [194] = 151,
  [195] = 156,
  [196] = 151,
  [197] = 168,
  [198] = 151,
  [199] = 177,
  [200] = 151,
  [201] = 156,
  [202] = 202,
  [203] = 203,
  [204] = 203,
  [205] = 203,
  [206] = 203,
  [207] = 203,
  [208] = 203,
  [209] = 203,
  [210] = 151,
  [211] = 203,
  [212] = 203,
  [213] = 203,
  [214] = 214,
  [215] = 214,
  [216] = 214,
  [217] = 214,
  [218] = 214,
  [219] = 214,
  [220] = 214,
  [221] = 214,
  [222] = 214,
  [223] = 214,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 227,
  [229] = 227,
  [230] = 227,
  [231] = 227,
  [232] = 227,
  [233] = 227,
  [234] = 227,
  [235] = 227,
  [236] = 227,
  [237] = 237,
  [238] = 238,
  [239] = 238,
  [240] = 238,
  [241] = 238,
  [242] = 237,
  [243] = 238,
  [244] = 237,
  [245] = 237,
  [246] = 238,
  [247] = 237,
  [248] = 237,
  [249] = 249,
  [250] = 249,
  [251] = 249,
  [252] = 252,
  [253] = 253,
  [254] = 249,
  [255] = 252,
  [256] = 249,
  [257] = 252,
  [258] = 249,
  [259] = 253,
  [260] = 260,
  [261] = 249,
  [262] = 249,
  [263] = 249,
  [264] = 260,
  [265] = 249,
  [266] = 266,
  [267] = 267,
  [268] = 266,
  [269] = 267,
  [270] = 267,
  [271] = 271,
  [272] = 271,
  [273] = 271,
  [274] = 266,
  [275] = 275,
  [276] = 275,
  [277] = 275,
  [278] = 278,
  [279] = 275,
  [280] = 280,
  [281] = 275,
  [282] = 275,
  [283] = 275,
  [284] = 284,
  [285] = 285,
  [286] = 285,
  [287] = 285,
  [288] = 284,
  [289] = 289,
  [290] = 285,
  [291] = 285,
  [292] = 284,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 296,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 298,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 295,
  [316] = 293,
  [317] = 294,
  [318] = 318,
  [319] = 295,
  [320] = 320,
  [321] = 321,
  [322] = 301,
  [323] = 323,
  [324] = 294,
  [325] = 293,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 301,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 284,
  [337] = 337,
  [338] = 293,
  [339] = 307,
  [340] = 340,
  [341] = 309,
  [342] = 323,
  [343] = 321,
  [344] = 340,
  [345] = 340,
  [346] = 305,
  [347] = 340,
  [348] = 321,
  [349] = 323,
  [350] = 284,
  [351] = 326,
  [352] = 312,
  [353] = 329,
  [354] = 314,
  [355] = 314,
  [356] = 340,
  [357] = 329,
  [358] = 312,
  [359] = 304,
  [360] = 284,
  [361] = 361,
  [362] = 340,
  [363] = 318,
  [364] = 313,
  [365] = 304,
  [366] = 311,
  [367] = 307,
  [368] = 320,
  [369] = 308,
  [370] = 332,
  [371] = 284,
  [372] = 308,
  [373] = 328,
  [374] = 303,
  [375] = 301,
  [376] = 310,
  [377] = 306,
  [378] = 331,
  [379] = 335,
  [380] = 284,
  [381] = 294,
  [382] = 295,
  [383] = 284,
  [384] = 337,
  [385] = 303,
  [386] = 284,
  [387] = 340,
  [388] = 305,
  [389] = 333,
  [390] = 318,
  [391] = 337,
  [392] = 311,
  [393] = 326,
  [394] = 335,
  [395] = 331,
  [396] = 327,
  [397] = 333,
  [398] = 284,
  [399] = 313,
  [400] = 320,
  [401] = 332,
  [402] = 309,
  [403] = 328,
  [404] = 310,
  [405] = 327,
  [406] = 306,
  [407] = 407,
  [408] = 311,
  [409] = 320,
  [410] = 410,
  [411] = 410,
  [412] = 412,
  [413] = 326,
  [414] = 318,
  [415] = 332,
  [416] = 407,
  [417] = 410,
  [418] = 327,
  [419] = 419,
  [420] = 410,
  [421] = 305,
  [422] = 314,
  [423] = 410,
  [424] = 410,
  [425] = 410,
  [426] = 410,
  [427] = 309,
  [428] = 333,
  [429] = 410,
  [430] = 419,
  [431] = 431,
  [432] = 432,
  [433] = 307,
  [434] = 303,
  [435] = 435,
  [436] = 313,
  [437] = 437,
  [438] = 407,
  [439] = 308,
  [440] = 410,
  [441] = 410,
  [442] = 337,
  [443] = 410,
  [444] = 321,
  [445] = 329,
  [446] = 410,
  [447] = 407,
  [448] = 312,
  [449] = 335,
  [450] = 331,
  [451] = 304,
  [452] = 410,
  [453] = 410,
  [454] = 306,
  [455] = 310,
  [456] = 456,
  [457] = 432,
  [458] = 435,
  [459] = 407,
  [460] = 328,
  [461] = 410,
  [462] = 323,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 464,
  [467] = 467,
  [468] = 468,
  [469] = 464,
  [470] = 464,
  [471] = 464,
  [472] = 472,
  [473] = 472,
  [474] = 472,
  [475] = 475,
  [476] = 472,
  [477] = 472,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 478,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 478,
  [488] = 478,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 480,
  [494] = 480,
  [495] = 484,
  [496] = 496,
  [497] = 480,
  [498] = 496,
  [499] = 480,
  [500] = 479,
  [501] = 501,
  [502] = 502,
  [503] = 478,
  [504] = 481,
  [505] = 479,
  [506] = 501,
  [507] = 502,
  [508] = 481,
  [509] = 481,
  [510] = 510,
  [511] = 511,
  [512] = 480,
  [513] = 481,
  [514] = 480,
  [515] = 502,
  [516] = 484,
  [517] = 484,
  [518] = 501,
  [519] = 501,
  [520] = 479,
  [521] = 480,
  [522] = 510,
  [523] = 502,
  [524] = 484,
  [525] = 501,
  [526] = 502,
  [527] = 478,
  [528] = 528,
  [529] = 481,
  [530] = 481,
  [531] = 480,
  [532] = 478,
  [533] = 501,
  [534] = 479,
  [535] = 479,
  [536] = 478,
  [537] = 501,
  [538] = 502,
  [539] = 510,
  [540] = 540,
  [541] = 502,
  [542] = 542,
  [543] = 510,
  [544] = 484,
  [545] = 484,
  [546] = 480,
  [547] = 479,
  [548] = 511,
  [549] = 481,
  [550] = 501,
  [551] = 510,
  [552] = 502,
  [553] = 481,
  [554] = 478,
  [555] = 502,
  [556] = 556,
  [557] = 479,
  [558] = 501,
  [559] = 479,
  [560] = 502,
  [561] = 561,
  [562] = 562,
  [563] = 501,
  [564] = 481,
  [565] = 478,
  [566] = 479,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 574,
  [579] = 571,
  [580] = 580,
  [581] = 581,
  [582] = 580,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 587,
  [591] = 591,
  [592] = 584,
  [593] = 575,
  [594] = 594,
  [595] = 570,
  [596] = 594,
  [597] = 570,
  [598] = 575,
  [599] = 586,
  [600] = 568,
  [601] = 601,
  [602] = 584,
  [603] = 603,
  [604] = 601,
  [605] = 605,
  [606] = 587,
  [607] = 585,
  [608] = 608,
  [609] = 603,
  [610] = 610,
  [611] = 588,
  [612] = 612,
  [613] = 570,
  [614] = 589,
  [615] = 569,
  [616] = 580,
  [617] = 570,
  [618] = 618,
  [619] = 572,
  [620] = 573,
  [621] = 603,
  [622] = 576,
  [623] = 618,
  [624] = 624,
  [625] = 624,
  [626] = 626,
  [627] = 571,
  [628] = 574,
  [629] = 629,
  [630] = 583,
  [631] = 570,
  [632] = 571,
  [633] = 574,
  [634] = 574,
  [635] = 571,
  [636] = 581,
  [637] = 583,
  [638] = 581,
  [639] = 567,
  [640] = 567,
  [641] = 581,
  [642] = 589,
  [643] = 643,
  [644] = 610,
  [645] = 583,
  [646] = 624,
  [647] = 608,
  [648] = 601,
  [649] = 585,
  [650] = 571,
  [651] = 574,
  [652] = 586,
  [653] = 594,
  [654] = 574,
  [655] = 571,
  [656] = 589,
  [657] = 570,
  [658] = 588,
  [659] = 659,
  [660] = 618,
  [661] = 576,
  [662] = 572,
  [663] = 575,
  [664] = 664,
  [665] = 587,
  [666] = 569,
  [667] = 629,
  [668] = 584,
  [669] = 626,
  [670] = 612,
  [671] = 594,
  [672] = 610,
  [673] = 608,
  [674] = 585,
  [675] = 586,
  [676] = 603,
  [677] = 584,
  [678] = 575,
  [679] = 594,
  [680] = 587,
  [681] = 594,
  [682] = 601,
  [683] = 586,
  [684] = 575,
  [685] = 584,
  [686] = 580,
  [687] = 585,
  [688] = 586,
  [689] = 587,
  [690] = 608,
  [691] = 608,
  [692] = 610,
  [693] = 612,
  [694] = 601,
  [695] = 626,
  [696] = 588,
  [697] = 569,
  [698] = 572,
  [699] = 568,
  [700] = 576,
  [701] = 618,
  [702] = 581,
  [703] = 584,
  [704] = 575,
  [705] = 624,
  [706] = 594,
  [707] = 567,
  [708] = 586,
  [709] = 570,
  [710] = 581,
  [711] = 711,
  [712] = 585,
  [713] = 585,
  [714] = 608,
  [715] = 610,
  [716] = 612,
  [717] = 603,
  [718] = 603,
  [719] = 569,
  [720] = 601,
  [721] = 626,
  [722] = 572,
  [723] = 568,
  [724] = 576,
  [725] = 618,
  [726] = 629,
  [727] = 570,
  [728] = 610,
  [729] = 624,
  [730] = 583,
  [731] = 589,
  [732] = 567,
  [733] = 629,
  [734] = 567,
  [735] = 626,
  [736] = 581,
  [737] = 624,
  [738] = 626,
  [739] = 608,
  [740] = 618,
  [741] = 580,
  [742] = 742,
  [743] = 576,
  [744] = 711,
  [745] = 612,
  [746] = 572,
  [747] = 569,
  [748] = 612,
  [749] = 610,
  [750] = 608,
  [751] = 585,
  [752] = 601,
  [753] = 586,
  [754] = 594,
  [755] = 575,
  [756] = 587,
  [757] = 584,
  [758] = 610,
  [759] = 587,
  [760] = 570,
  [761] = 612,
  [762] = 569,
  [763] = 571,
  [764] = 764,
  [765] = 574,
  [766] = 580,
  [767] = 570,
  [768] = 568,
  [769] = 580,
  [770] = 583,
  [771] = 571,
  [772] = 772,
  [773] = 574,
  [774] = 587,
  [775] = 569,
  [776] = 629,
  [777] = 570,
  [778] = 589,
  [779] = 629,
  [780] = 584,
  [781] = 575,
  [782] = 612,
  [783] = 580,
  [784] = 601,
  [785] = 572,
  [786] = 572,
  [787] = 573,
  [788] = 594,
  [789] = 581,
  [790] = 626,
  [791] = 576,
  [792] = 570,
  [793] = 629,
  [794] = 764,
  [795] = 626,
  [796] = 586,
  [797] = 585,
  [798] = 603,
  [799] = 603,
  [800] = 603,
  [801] = 626,
  [802] = 608,
  [803] = 626,
  [804] = 629,
  [805] = 629,
  [806] = 610,
  [807] = 618,
  [808] = 567,
  [809] = 576,
  [810] = 589,
  [811] = 583,
  [812] = 567,
  [813] = 603,
  [814] = 629,
  [815] = 589,
  [816] = 612,
  [817] = 583,
  [818] = 589,
  [819] = 624,
  [820] = 583,
  [821] = 583,
  [822] = 618,
  [823] = 576,
  [824] = 572,
  [825] = 569,
  [826] = 612,
  [827] = 610,
  [828] = 608,
  [829] = 567,
  [830] = 580,
  [831] = 585,
  [832] = 588,
  [833] = 618,
  [834] = 586,
  [835] = 594,
  [836] = 624,
  [837] = 575,
  [838] = 589,
  [839] = 601,
  [840] = 569,
  [841] = 841,
  [842] = 842,
  [843] = 584,
  [844] = 572,
  [845] = 624,
  [846] = 576,
  [847] = 601,
  [848] = 570,
  [849] = 587,
  [850] = 624,
  [851] = 581,
  [852] = 567,
  [853] = 570,
  [854] = 571,
  [855] = 574,
  [856] = 856,
  [857] = 570,
  [858] = 618,
  [859] = 580,
  [860] = 581,
  [861] = 861,
  [862] = 862,
  [863] = 862,
  [864] = 862,
  [865] = 865,
  [866] = 865,
  [867] = 865,
  [868] = 868,
  [869] = 868,
  [870] = 868,
  [871] = 871,
  [872] = 871,
  [873] = 871,
  [874] = 871,
  [875] = 871,
  [876] = 876,
  [877] = 876,
  [878] = 876,
  [879] = 879,
  [880] = 880,
  [881] = 879,
  [882] = 880,
  [883] = 880,
  [884] = 879,
  [885] = 885,
  [886] = 885,
  [887] = 885,
  [888] = 885,
  [889] = 885,
  [890] = 890,
  [891] = 891,
  [892] = 890,
  [893] = 893,
  [894] = 893,
  [895] = 891,
  [896] = 893,
  [897] = 893,
  [898] = 890,
  [899] = 891,
  [900] = 893,
  [901] = 893,
  [902] = 902,
  [903] = 903,
  [904] = 902,
  [905] = 905,
  [906] = 906,
  [907] = 906,
  [908] = 905,
  [909] = 906,
  [910] = 905,
  [911] = 906,
  [912] = 905,
  [913] = 903,
  [914] = 905,
  [915] = 915,
  [916] = 906,
  [917] = 906,
  [918] = 906,
  [919] = 919,
  [920] = 906,
  [921] = 906,
  [922] = 902,
  [923] = 906,
  [924] = 924,
  [925] = 906,
  [926] = 926,
  [927] = 924,
  [928] = 902,
  [929] = 929,
  [930] = 924,
  [931] = 924,
  [932] = 924,
  [933] = 924,
  [934] = 906,
  [935] = 935,
  [936] = 906,
  [937] = 906,
  [938] = 305,
  [939] = 906,
  [940] = 906,
  [941] = 915,
  [942] = 906,
  [943] = 929,
  [944] = 929,
  [945] = 906,
  [946] = 311,
  [947] = 903,
  [948] = 295,
  [949] = 294,
  [950] = 309,
  [951] = 311,
  [952] = 321,
  [953] = 953,
  [954] = 953,
  [955] = 953,
  [956] = 953,
  [957] = 957,
  [958] = 953,
  [959] = 305,
  [960] = 953,
  [961] = 929,
  [962] = 305,
  [963] = 953,
  [964] = 953,
  [965] = 906,
  [966] = 953,
  [967] = 953,
  [968] = 305,
  [969] = 311,
  [970] = 311,
  [971] = 311,
  [972] = 311,
  [973] = 973,
  [974] = 974,
  [975] = 974,
  [976] = 976,
  [977] = 309,
  [978] = 305,
  [979] = 309,
  [980] = 957,
  [981] = 305,
  [982] = 311,
  [983] = 983,
  [984] = 321,
  [985] = 321,
  [986] = 986,
  [987] = 309,
  [988] = 957,
  [989] = 309,
  [990] = 990,
  [991] = 321,
  [992] = 294,
  [993] = 327,
  [994] = 295,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 321,
  [999] = 999,
  [1000] = 311,
  [1001] = 295,
  [1002] = 294,
  [1003] = 333,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 312,
  [1008] = 311,
  [1009] = 293,
  [1010] = 329,
  [1011] = 305,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 305,
  [1016] = 305,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1004,
  [1022] = 995,
  [1023] = 1023,
  [1024] = 983,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 311,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 973,
  [1038] = 1038,
  [1039] = 333,
  [1040] = 990,
  [1041] = 327,
  [1042] = 309,
  [1043] = 1043,
  [1044] = 314,
  [1045] = 321,
  [1046] = 293,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 326,
  [1050] = 996,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 986,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 304,
  [1059] = 1059,
  [1060] = 327,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 997,
  [1069] = 323,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 999,
  [1073] = 305,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1006,
  [1082] = 321,
  [1083] = 1083,
  [1084] = 1005,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 309,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 321,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 305,
  [1101] = 1012,
  [1102] = 1013,
  [1103] = 309,
  [1104] = 957,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 321,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 309,
  [1112] = 321,
  [1113] = 986,
  [1114] = 1114,
  [1115] = 974,
  [1116] = 333,
  [1117] = 1006,
  [1118] = 311,
  [1119] = 1005,
  [1120] = 1120,
  [1121] = 976,
  [1122] = 1017,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 321,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 305,
  [1132] = 1132,
  [1133] = 1017,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 311,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 309,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1019,
  [1164] = 1013,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1012,
  [1168] = 1018,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1014,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 976,
  [1179] = 1179,
  [1180] = 305,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 311,
  [1192] = 311,
  [1193] = 1193,
  [1194] = 329,
  [1195] = 312,
  [1196] = 295,
  [1197] = 294,
  [1198] = 973,
  [1199] = 305,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 333,
  [1203] = 1203,
  [1204] = 983,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 995,
  [1208] = 997,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 327,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 974,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 293,
  [1232] = 990,
  [1233] = 1019,
  [1234] = 329,
  [1235] = 312,
  [1236] = 1236,
  [1237] = 996,
  [1238] = 1018,
  [1239] = 1014,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1004,
  [1244] = 999,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 309,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1064,
  [1256] = 1151,
  [1257] = 1071,
  [1258] = 1070,
  [1259] = 1067,
  [1260] = 1066,
  [1261] = 1123,
  [1262] = 1065,
  [1263] = 327,
  [1264] = 1059,
  [1265] = 1057,
  [1266] = 1056,
  [1267] = 1055,
  [1268] = 321,
  [1269] = 1193,
  [1270] = 1144,
  [1271] = 1149,
  [1272] = 1020,
  [1273] = 1053,
  [1274] = 1150,
  [1275] = 1124,
  [1276] = 1143,
  [1277] = 333,
  [1278] = 1201,
  [1279] = 1188,
  [1280] = 1187,
  [1281] = 1162,
  [1282] = 1142,
  [1283] = 314,
  [1284] = 1052,
  [1285] = 1023,
  [1286] = 1025,
  [1287] = 1051,
  [1288] = 1048,
  [1289] = 1183,
  [1290] = 1236,
  [1291] = 1047,
  [1292] = 1165,
  [1293] = 326,
  [1294] = 1170,
  [1295] = 1173,
  [1296] = 1181,
  [1297] = 1179,
  [1298] = 1172,
  [1299] = 1177,
  [1300] = 1175,
  [1301] = 1173,
  [1302] = 1078,
  [1303] = 1142,
  [1304] = 1028,
  [1305] = 1175,
  [1306] = 1176,
  [1307] = 1143,
  [1308] = 1079,
  [1309] = 1172,
  [1310] = 1170,
  [1311] = 1165,
  [1312] = 309,
  [1313] = 304,
  [1314] = 1171,
  [1315] = 1185,
  [1316] = 1186,
  [1317] = 323,
  [1318] = 1205,
  [1319] = 1144,
  [1320] = 1149,
  [1321] = 1120,
  [1322] = 1150,
  [1323] = 1162,
  [1324] = 1206,
  [1325] = 1246,
  [1326] = 1201,
  [1327] = 1247,
  [1328] = 1182,
  [1329] = 1124,
  [1330] = 1080,
  [1331] = 1085,
  [1332] = 1184,
  [1333] = 1253,
  [1334] = 1189,
  [1335] = 1086,
  [1336] = 1092,
  [1337] = 1250,
  [1338] = 1249,
  [1339] = 1190,
  [1340] = 1254,
  [1341] = 1114,
  [1342] = 1218,
  [1343] = 1123,
  [1344] = 1120,
  [1345] = 327,
  [1346] = 1031,
  [1347] = 1032,
  [1348] = 1217,
  [1349] = 1033,
  [1350] = 1035,
  [1351] = 1228,
  [1352] = 1096,
  [1353] = 997,
  [1354] = 1094,
  [1355] = 1200,
  [1356] = 333,
  [1357] = 1114,
  [1358] = 1185,
  [1359] = 1203,
  [1360] = 1186,
  [1361] = 1096,
  [1362] = 1090,
  [1363] = 1213,
  [1364] = 1205,
  [1365] = 1206,
  [1366] = 1219,
  [1367] = 1089,
  [1368] = 1216,
  [1369] = 326,
  [1370] = 986,
  [1371] = 323,
  [1372] = 1095,
  [1373] = 1250,
  [1374] = 1029,
  [1375] = 1223,
  [1376] = 1224,
  [1377] = 305,
  [1378] = 1215,
  [1379] = 1225,
  [1380] = 1226,
  [1381] = 1245,
  [1382] = 1214,
  [1383] = 1251,
  [1384] = 995,
  [1385] = 1035,
  [1386] = 990,
  [1387] = 1033,
  [1388] = 1032,
  [1389] = 1031,
  [1390] = 1212,
  [1391] = 311,
  [1392] = 1211,
  [1393] = 1210,
  [1394] = 1236,
  [1395] = 1209,
  [1396] = 983,
  [1397] = 1252,
  [1398] = 1246,
  [1399] = 1098,
  [1400] = 1093,
  [1401] = 1091,
  [1402] = 1087,
  [1403] = 1169,
  [1404] = 1166,
  [1405] = 1220,
  [1406] = 1161,
  [1407] = 996,
  [1408] = 1160,
  [1409] = 1159,
  [1410] = 1023,
  [1411] = 1090,
  [1412] = 1242,
  [1413] = 1025,
  [1414] = 1158,
  [1415] = 1157,
  [1416] = 1241,
  [1417] = 321,
  [1418] = 1247,
  [1419] = 1253,
  [1420] = 1249,
  [1421] = 1240,
  [1422] = 1155,
  [1423] = 1254,
  [1424] = 1004,
  [1425] = 999,
  [1426] = 1154,
  [1427] = 1089,
  [1428] = 976,
  [1429] = 1153,
  [1430] = 1028,
  [1431] = 1099,
  [1432] = 1152,
  [1433] = 312,
  [1434] = 1226,
  [1435] = 329,
  [1436] = 1176,
  [1437] = 1251,
  [1438] = 1148,
  [1439] = 1030,
  [1440] = 305,
  [1441] = 1146,
  [1442] = 1141,
  [1443] = 1140,
  [1444] = 1139,
  [1445] = 1105,
  [1446] = 1252,
  [1447] = 1138,
  [1448] = 1137,
  [1449] = 1106,
  [1450] = 1047,
  [1451] = 1048,
  [1452] = 1051,
  [1453] = 1136,
  [1454] = 1193,
  [1455] = 1188,
  [1456] = 1187,
  [1457] = 1107,
  [1458] = 1109,
  [1459] = 1052,
  [1460] = 1053,
  [1461] = 1183,
  [1462] = 1020,
  [1463] = 1055,
  [1464] = 1056,
  [1465] = 1057,
  [1466] = 1059,
  [1467] = 1065,
  [1468] = 1135,
  [1469] = 1066,
  [1470] = 1181,
  [1471] = 1222,
  [1472] = 1218,
  [1473] = 309,
  [1474] = 1067,
  [1475] = 1070,
  [1476] = 1071,
  [1477] = 1217,
  [1478] = 1077,
  [1479] = 1078,
  [1480] = 1179,
  [1481] = 1177,
  [1482] = 1079,
  [1483] = 1171,
  [1484] = 1080,
  [1485] = 1216,
  [1486] = 1215,
  [1487] = 1085,
  [1488] = 1086,
  [1489] = 1092,
  [1490] = 1094,
  [1491] = 1214,
  [1492] = 1095,
  [1493] = 1212,
  [1494] = 1099,
  [1495] = 1230,
  [1496] = 1211,
  [1497] = 1229,
  [1498] = 1210,
  [1499] = 1105,
  [1500] = 1209,
  [1501] = 1076,
  [1502] = 1228,
  [1503] = 1106,
  [1504] = 1107,
  [1505] = 1109,
  [1506] = 1075,
  [1507] = 1074,
  [1508] = 1134,
  [1509] = 1110,
  [1510] = 1132,
  [1511] = 304,
  [1512] = 1083,
  [1513] = 1110,
  [1514] = 1029,
  [1515] = 327,
  [1516] = 1169,
  [1517] = 1166,
  [1518] = 1222,
  [1519] = 1030,
  [1520] = 1130,
  [1521] = 1161,
  [1522] = 1160,
  [1523] = 1159,
  [1524] = 1158,
  [1525] = 333,
  [1526] = 1157,
  [1527] = 293,
  [1528] = 309,
  [1529] = 1063,
  [1530] = 1062,
  [1531] = 1531,
  [1532] = 1061,
  [1533] = 1043,
  [1534] = 1155,
  [1535] = 1154,
  [1536] = 1182,
  [1537] = 1184,
  [1538] = 1230,
  [1539] = 1129,
  [1540] = 1038,
  [1541] = 1036,
  [1542] = 1153,
  [1543] = 1027,
  [1544] = 1098,
  [1545] = 1019,
  [1546] = 1189,
  [1547] = 1013,
  [1548] = 1012,
  [1549] = 1018,
  [1550] = 1026,
  [1551] = 1014,
  [1552] = 321,
  [1553] = 1128,
  [1554] = 1152,
  [1555] = 1126,
  [1556] = 1151,
  [1557] = 1125,
  [1558] = 1093,
  [1559] = 1091,
  [1560] = 311,
  [1561] = 1220,
  [1562] = 1026,
  [1563] = 1027,
  [1564] = 1036,
  [1565] = 1148,
  [1566] = 1038,
  [1567] = 1147,
  [1568] = 1146,
  [1569] = 1083,
  [1570] = 1043,
  [1571] = 1061,
  [1572] = 1062,
  [1573] = 1063,
  [1574] = 973,
  [1575] = 1200,
  [1576] = 1132,
  [1577] = 1017,
  [1578] = 1077,
  [1579] = 321,
  [1580] = 314,
  [1581] = 1229,
  [1582] = 1242,
  [1583] = 1241,
  [1584] = 1240,
  [1585] = 1141,
  [1586] = 1203,
  [1587] = 1245,
  [1588] = 1134,
  [1589] = 1135,
  [1590] = 1125,
  [1591] = 1136,
  [1592] = 1126,
  [1593] = 1128,
  [1594] = 1129,
  [1595] = 1147,
  [1596] = 1137,
  [1597] = 1130,
  [1598] = 1138,
  [1599] = 1213,
  [1600] = 1190,
  [1601] = 1219,
  [1602] = 1076,
  [1603] = 1139,
  [1604] = 1075,
  [1605] = 1064,
  [1606] = 1074,
  [1607] = 1005,
  [1608] = 1223,
  [1609] = 1087,
  [1610] = 1140,
  [1611] = 1224,
  [1612] = 1006,
  [1613] = 309,
  [1614] = 1225,
  [1615] = 1171,
  [1616] = 1254,
  [1617] = 1209,
  [1618] = 1210,
  [1619] = 1211,
  [1620] = 1043,
  [1621] = 1212,
  [1622] = 1242,
  [1623] = 1061,
  [1624] = 1134,
  [1625] = 1047,
  [1626] = 1062,
  [1627] = 1063,
  [1628] = 1251,
  [1629] = 1048,
  [1630] = 1214,
  [1631] = 1215,
  [1632] = 1132,
  [1633] = 1216,
  [1634] = 1087,
  [1635] = 1051,
  [1636] = 1083,
  [1637] = 1064,
  [1638] = 327,
  [1639] = 1217,
  [1640] = 1166,
  [1641] = 1029,
  [1642] = 1169,
  [1643] = 1030,
  [1644] = 1224,
  [1645] = 1177,
  [1646] = 1186,
  [1647] = 1185,
  [1648] = 1130,
  [1649] = 1241,
  [1650] = 1240,
  [1651] = 1123,
  [1652] = 1218,
  [1653] = 1129,
  [1654] = 1128,
  [1655] = 1137,
  [1656] = 1038,
  [1657] = 1120,
  [1658] = 1114,
  [1659] = 1036,
  [1660] = 1027,
  [1661] = 1026,
  [1662] = 1138,
  [1663] = 1096,
  [1664] = 1190,
  [1665] = 1090,
  [1666] = 1139,
  [1667] = 1252,
  [1668] = 309,
  [1669] = 1200,
  [1670] = 1179,
  [1671] = 1181,
  [1672] = 1203,
  [1673] = 1089,
  [1674] = 1161,
  [1675] = 1213,
  [1676] = 1219,
  [1677] = 1126,
  [1678] = 1142,
  [1679] = 1160,
  [1680] = 1140,
  [1681] = 1531,
  [1682] = 323,
  [1683] = 1230,
  [1684] = 1159,
  [1685] = 1223,
  [1686] = 1028,
  [1687] = 1143,
  [1688] = 1136,
  [1689] = 1091,
  [1690] = 304,
  [1691] = 1154,
  [1692] = 1225,
  [1693] = 1093,
  [1694] = 1098,
  [1695] = 1025,
  [1696] = 1144,
  [1697] = 1023,
  [1698] = 1229,
  [1699] = 1226,
  [1700] = 1052,
  [1701] = 1035,
  [1702] = 1228,
  [1703] = 1135,
  [1704] = 1032,
  [1705] = 1125,
  [1706] = 1141,
  [1707] = 1249,
  [1708] = 1020,
  [1709] = 1055,
  [1710] = 1056,
  [1711] = 1057,
  [1712] = 1059,
  [1713] = 1065,
  [1714] = 1189,
  [1715] = 1031,
  [1716] = 1184,
  [1717] = 1182,
  [1718] = 1146,
  [1719] = 1206,
  [1720] = 1066,
  [1721] = 1067,
  [1722] = 314,
  [1723] = 1253,
  [1724] = 1245,
  [1725] = 1250,
  [1726] = 1158,
  [1727] = 326,
  [1728] = 1070,
  [1729] = 1071,
  [1730] = 1149,
  [1731] = 1076,
  [1732] = 1150,
  [1733] = 1110,
  [1734] = 1077,
  [1735] = 1247,
  [1736] = 1109,
  [1737] = 1246,
  [1738] = 1107,
  [1739] = 1236,
  [1740] = 1147,
  [1741] = 1078,
  [1742] = 1148,
  [1743] = 1079,
  [1744] = 1080,
  [1745] = 1085,
  [1746] = 1086,
  [1747] = 1092,
  [1748] = 1094,
  [1749] = 1095,
  [1750] = 1151,
  [1751] = 1053,
  [1752] = 1220,
  [1753] = 333,
  [1754] = 1099,
  [1755] = 1075,
  [1756] = 1193,
  [1757] = 1188,
  [1758] = 1222,
  [1759] = 1187,
  [1760] = 1157,
  [1761] = 321,
  [1762] = 1183,
  [1763] = 1124,
  [1764] = 1074,
  [1765] = 1201,
  [1766] = 1162,
  [1767] = 1033,
  [1768] = 1165,
  [1769] = 1170,
  [1770] = 1176,
  [1771] = 1155,
  [1772] = 1205,
  [1773] = 1105,
  [1774] = 1153,
  [1775] = 1175,
  [1776] = 1172,
  [1777] = 1152,
  [1778] = 1106,
  [1779] = 1173,
  [1780] = 1780,
  [1781] = 1780,
  [1782] = 1780,
  [1783] = 1780,
  [1784] = 1780,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1788,
  [1791] = 1788,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1792,
  [1798] = 1798,
  [1799] = 976,
  [1800] = 1792,
  [1801] = 1801,
  [1802] = 973,
  [1803] = 1803,
  [1804] = 1788,
  [1805] = 1792,
  [1806] = 1792,
  [1807] = 1788,
  [1808] = 1808,
  [1809] = 1808,
  [1810] = 1810,
  [1811] = 1808,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1815,
  [1818] = 1814,
  [1819] = 1819,
  [1820] = 1816,
  [1821] = 1814,
  [1822] = 1822,
  [1823] = 1816,
  [1824] = 1816,
  [1825] = 1822,
  [1826] = 1814,
  [1827] = 1819,
  [1828] = 1812,
  [1829] = 1814,
  [1830] = 1815,
  [1831] = 1814,
  [1832] = 1822,
  [1833] = 1812,
  [1834] = 1822,
  [1835] = 1819,
  [1836] = 1819,
  [1837] = 1812,
  [1838] = 1815,
  [1839] = 1816,
  [1840] = 1815,
  [1841] = 1819,
  [1842] = 1822,
  [1843] = 1812,
  [1844] = 1816,
  [1845] = 1815,
  [1846] = 1812,
  [1847] = 1815,
  [1848] = 1812,
  [1849] = 1819,
  [1850] = 1822,
  [1851] = 1816,
  [1852] = 1814,
  [1853] = 1819,
  [1854] = 1822,
  [1855] = 1855,
  [1856] = 1855,
  [1857] = 1857,
  [1858] = 1855,
  [1859] = 1855,
  [1860] = 1855,
  [1861] = 1855,
  [1862] = 1862,
  [1863] = 1857,
  [1864] = 1864,
  [1865] = 1864,
  [1866] = 1866,
  [1867] = 1864,
  [1868] = 1866,
  [1869] = 1866,
  [1870] = 1864,
  [1871] = 1864,
  [1872] = 1866,
  [1873] = 1866,
  [1874] = 1874,
  [1875] = 1874,
  [1876] = 1874,
  [1877] = 1874,
  [1878] = 1874,
  [1879] = 1874,
  [1880] = 1874,
  [1881] = 1874,
  [1882] = 1874,
  [1883] = 1874,
  [1884] = 1874,
  [1885] = 1874,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1886,
  [1890] = 1887,
  [1891] = 1888,
  [1892] = 1887,
  [1893] = 1893,
  [1894] = 1893,
  [1895] = 1893,
  [1896] = 1887,
  [1897] = 1887,
  [1898] = 1886,
  [1899] = 1888,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1900,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1904,
  [1916] = 1916,
  [1917] = 1909,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1913,
  [1921] = 1912,
  [1922] = 1922,
  [1923] = 1901,
  [1924] = 1913,
  [1925] = 1925,
  [1926] = 1918,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1912,
  [1931] = 1916,
  [1932] = 1925,
  [1933] = 1928,
  [1934] = 1934,
  [1935] = 1914,
  [1936] = 1934,
  [1937] = 1907,
  [1938] = 1922,
  [1939] = 1918,
  [1940] = 1940,
  [1941] = 1910,
  [1942] = 1942,
  [1943] = 1910,
  [1944] = 1914,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1901,
  [1948] = 1908,
  [1949] = 1949,
  [1950] = 1925,
  [1951] = 1900,
  [1952] = 1904,
  [1953] = 1916,
  [1954] = 1940,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1918,
  [1958] = 1909,
  [1959] = 1916,
  [1960] = 1945,
  [1961] = 1928,
  [1962] = 1962,
  [1963] = 1900,
  [1964] = 1955,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1919,
  [1969] = 1928,
  [1970] = 1946,
  [1971] = 1919,
  [1972] = 1925,
  [1973] = 1916,
  [1974] = 1925,
  [1975] = 1900,
  [1976] = 1962,
  [1977] = 1940,
  [1978] = 1928,
  [1979] = 1904,
  [1980] = 1900,
  [1981] = 1981,
  [1982] = 1912,
  [1983] = 1945,
  [1984] = 1955,
  [1985] = 1908,
  [1986] = 1901,
  [1987] = 1946,
  [1988] = 1945,
  [1989] = 1940,
  [1990] = 1946,
  [1991] = 1907,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1908,
  [1995] = 1995,
  [1996] = 1962,
  [1997] = 1946,
  [1998] = 1912,
  [1999] = 1913,
  [2000] = 1945,
  [2001] = 1918,
  [2002] = 1901,
  [2003] = 1914,
  [2004] = 1908,
  [2005] = 1910,
  [2006] = 1907,
  [2007] = 1909,
  [2008] = 1907,
  [2009] = 1913,
  [2010] = 1940,
  [2011] = 1919,
  [2012] = 1955,
  [2013] = 1925,
  [2014] = 1904,
  [2015] = 1914,
  [2016] = 1919,
  [2017] = 1910,
  [2018] = 1909,
  [2019] = 1962,
  [2020] = 1955,
  [2021] = 1962,
  [2022] = 1919,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2025,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2023,
  [2030] = 2027,
  [2031] = 2027,
  [2032] = 2032,
  [2033] = 2027,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2035,
  [2037] = 2034,
  [2038] = 2034,
  [2039] = 2024,
  [2040] = 2034,
  [2041] = 2035,
  [2042] = 2028,
  [2043] = 2028,
  [2044] = 2044,
  [2045] = 2034,
  [2046] = 2035,
  [2047] = 2027,
  [2048] = 2035,
  [2049] = 2028,
  [2050] = 2028,
  [2051] = 2028,
  [2052] = 2052,
  [2053] = 2028,
  [2054] = 2028,
  [2055] = 2023,
  [2056] = 2052,
  [2057] = 2028,
  [2058] = 2058,
  [2059] = 2028,
  [2060] = 2052,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 2028,
  [2067] = 2064,
  [2068] = 2028,
  [2069] = 2064,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2071,
  [2073] = 2071,
  [2074] = 2070,
  [2075] = 2064,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2063,
  [2079] = 2064,
  [2080] = 2064,
  [2081] = 2023,
  [2082] = 2082,
  [2083] = 2071,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2028,
  [2087] = 2063,
  [2088] = 2028,
  [2089] = 2071,
  [2090] = 2028,
  [2091] = 2091,
  [2092] = 2070,
  [2093] = 2028,
  [2094] = 2094,
  [2095] = 2071,
  [2096] = 2096,
  [2097] = 2028,
  [2098] = 2076,
  [2099] = 2028,
  [2100] = 2028,
  [2101] = 976,
  [2102] = 2028,
  [2103] = 2076,
  [2104] = 2028,
  [2105] = 2105,
  [2106] = 2028,
  [2107] = 973,
  [2108] = 2044,
  [2109] = 2076,
  [2110] = 2110,
  [2111] = 2024,
  [2112] = 2110,
  [2113] = 2113,
  [2114] = 2076,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2116,
  [2119] = 2116,
  [2120] = 2120,
  [2121] = 2116,
  [2122] = 2116,
  [2123] = 2110,
  [2124] = 2124,
  [2125] = 2116,
  [2126] = 2126,
  [2127] = 2076,
  [2128] = 2128,
  [2129] = 2116,
  [2130] = 2128,
  [2131] = 2116,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2076,
  [2135] = 2128,
  [2136] = 2136,
  [2137] = 2076,
  [2138] = 2116,
  [2139] = 2139,
  [2140] = 2076,
  [2141] = 2141,
  [2142] = 2028,
  [2143] = 2116,
  [2144] = 2144,
  [2145] = 2076,
  [2146] = 2132,
  [2147] = 2076,
  [2148] = 2076,
  [2149] = 2144,
  [2150] = 2128,
  [2151] = 2144,
  [2152] = 2128,
  [2153] = 2076,
  [2154] = 1206,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2144,
  [2158] = 2155,
  [2159] = 2159,
  [2160] = 2156,
  [2161] = 2156,
  [2162] = 1144,
  [2163] = 2144,
  [2164] = 2132,
  [2165] = 2076,
  [2166] = 2128,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 1029,
  [2171] = 2171,
  [2172] = 2062,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2128,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 976,
  [2179] = 2171,
  [2180] = 2156,
  [2181] = 2169,
  [2182] = 2128,
  [2183] = 2091,
  [2184] = 2128,
  [2185] = 2126,
  [2186] = 2141,
  [2187] = 2187,
  [2188] = 2171,
  [2189] = 2189,
  [2190] = 2117,
  [2191] = 2191,
  [2192] = 2174,
  [2193] = 2169,
  [2194] = 2076,
  [2195] = 2174,
  [2196] = 2176,
  [2197] = 2169,
  [2198] = 2076,
  [2199] = 2199,
  [2200] = 2128,
  [2201] = 1030,
  [2202] = 2202,
  [2203] = 1023,
  [2204] = 2169,
  [2205] = 2136,
  [2206] = 1025,
  [2207] = 2207,
  [2208] = 2120,
  [2209] = 2132,
  [2210] = 2120,
  [2211] = 2156,
  [2212] = 2174,
  [2213] = 2065,
  [2214] = 2174,
  [2215] = 2171,
  [2216] = 2191,
  [2217] = 2082,
  [2218] = 2176,
  [2219] = 2171,
  [2220] = 2084,
  [2221] = 2156,
  [2222] = 2096,
  [2223] = 2085,
  [2224] = 2094,
  [2225] = 2169,
  [2226] = 2226,
  [2227] = 973,
  [2228] = 2176,
  [2229] = 2176,
  [2230] = 2126,
  [2231] = 2171,
  [2232] = 2232,
  [2233] = 2115,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2234,
  [2238] = 2171,
  [2239] = 2234,
  [2240] = 2240,
  [2241] = 2169,
  [2242] = 2128,
  [2243] = 2156,
  [2244] = 2126,
  [2245] = 2156,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2169,
  [2249] = 2167,
  [2250] = 2171,
  [2251] = 2169,
  [2252] = 2169,
  [2253] = 2253,
  [2254] = 2168,
  [2255] = 2255,
  [2256] = 2120,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2156,
  [2260] = 2141,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2096,
  [2264] = 2117,
  [2265] = 2156,
  [2266] = 2171,
  [2267] = 2234,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2096,
  [2271] = 2096,
  [2272] = 2171,
  [2273] = 2234,
  [2274] = 2234,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2168,
  [2278] = 2120,
  [2279] = 2279,
  [2280] = 2275,
  [2281] = 2126,
  [2282] = 2169,
  [2283] = 2275,
  [2284] = 2096,
  [2285] = 2275,
  [2286] = 2096,
  [2287] = 2117,
  [2288] = 2275,
  [2289] = 2275,
  [2290] = 2156,
  [2291] = 2141,
  [2292] = 2275,
  [2293] = 2169,
  [2294] = 2171,
  [2295] = 2171,
  [2296] = 2296,
  [2297] = 2275,
  [2298] = 2298,
  [2299] = 2275,
  [2300] = 2169,
  [2301] = 2169,
  [2302] = 2096,
  [2303] = 2168,
  [2304] = 2136,
  [2305] = 2171,
  [2306] = 2171,
  [2307] = 2169,
  [2308] = 2202,
  [2309] = 2171,
  [2310] = 2171,
  [2311] = 2169,
  [2312] = 2169,
  [2313] = 2169,
  [2314] = 2171,
  [2315] = 2171,
  [2316] = 2177,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2096,
  [2323] = 2319,
  [2324] = 2318,
  [2325] = 2319,
  [2326] = 2321,
  [2327] = 2321,
  [2328] = 2317,
  [2329] = 2319,
  [2330] = 2320,
  [2331] = 2167,
  [2332] = 2320,
  [2333] = 2317,
  [2334] = 2169,
  [2335] = 2319,
  [2336] = 2320,
  [2337] = 2317,
  [2338] = 2317,
  [2339] = 2320,
  [2340] = 2321,
  [2341] = 2096,
  [2342] = 2319,
  [2343] = 2319,
  [2344] = 2258,
  [2345] = 2318,
  [2346] = 2317,
  [2347] = 2317,
  [2348] = 2319,
  [2349] = 2319,
  [2350] = 2321,
  [2351] = 2318,
  [2352] = 2171,
  [2353] = 2320,
  [2354] = 2319,
  [2355] = 2318,
  [2356] = 2318,
  [2357] = 2318,
  [2358] = 2096,
  [2359] = 2321,
  [2360] = 2317,
  [2361] = 2321,
  [2362] = 2320,
  [2363] = 2320,
  [2364] = 2318,
  [2365] = 2317,
  [2366] = 2320,
  [2367] = 2321,
  [2368] = 2321,
  [2369] = 2318,
  [2370] = 2320,
  [2371] = 2371,
  [2372] = 2371,
  [2373] = 2371,
  [2374] = 2371,
  [2375] = 2371,
  [2376] = 2371,
  [2377] = 2371,
  [2378] = 2371,
  [2379] = 2371,
  [2380] = 2371,
  [2381] = 2381,
  [2382] = 2381,
  [2383] = 2381,
  [2384] = 2381,
  [2385] = 2381,
  [2386] = 2386,
  [2387] = 2381,
  [2388] = 2381,
  [2389] = 2381,
  [2390] = 2381,
  [2391] = 2391,
  [2392] = 2391,
  [2393] = 2391,
  [2394] = 2391,
  [2395] = 2391,
  [2396] = 2396,
  [2397] = 2396,
  [2398] = 2396,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2396,
  [2403] = 2400,
  [2404] = 2399,
  [2405] = 2396,
  [2406] = 2400,
  [2407] = 2400,
  [2408] = 2400,
  [2409] = 2396,
  [2410] = 2396,
  [2411] = 2399,
  [2412] = 2399,
  [2413] = 2396,
  [2414] = 2396,
  [2415] = 2399,
  [2416] = 2400,
  [2417] = 2396,
  [2418] = 2400,
  [2419] = 2400,
  [2420] = 2396,
  [2421] = 2399,
  [2422] = 2400,
  [2423] = 2396,
  [2424] = 2400,
  [2425] = 2400,
  [2426] = 2400,
  [2427] = 2396,
  [2428] = 2400,
  [2429] = 2399,
  [2430] = 2400,
  [2431] = 2400,
  [2432] = 2396,
  [2433] = 2396,
  [2434] = 2396,
  [2435] = 2400,
  [2436] = 304,
  [2437] = 2437,
  [2438] = 314,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 294,
  [2448] = 304,
  [2449] = 2449,
  [2450] = 2207,
  [2451] = 2226,
  [2452] = 301,
  [2453] = 2453,
  [2454] = 2187,
  [2455] = 314,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 295,
  [2459] = 2459,
  [2460] = 293,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 294,
  [2470] = 1229,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 295,
  [2487] = 2487,
  [2488] = 311,
  [2489] = 293,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2485,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2269,
  [2501] = 2257,
  [2502] = 1228,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 1220,
  [2507] = 2507,
  [2508] = 2246,
  [2509] = 2485,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2497,
  [2513] = 2513,
  [2514] = 2261,
  [2515] = 2255,
  [2516] = 2516,
  [2517] = 2497,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2485,
  [2522] = 1230,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2485,
  [2534] = 2485,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2497,
  [2543] = 2543,
  [2544] = 2253,
  [2545] = 2268,
  [2546] = 2546,
  [2547] = 2247,
  [2548] = 2485,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2497,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2485,
  [2561] = 1222,
  [2562] = 312,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 329,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2232,
  [2574] = 2574,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 305,
  [2579] = 2236,
  [2580] = 2235,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2485,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 323,
  [2605] = 2603,
  [2606] = 2597,
  [2607] = 2607,
  [2608] = 2596,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 333,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2607,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2620,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2445,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2638,
  [2639] = 2596,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2643,
  [2644] = 2443,
  [2645] = 2645,
  [2646] = 2621,
  [2647] = 2640,
  [2648] = 2642,
  [2649] = 2441,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2637,
  [2654] = 2607,
  [2655] = 2597,
  [2656] = 2656,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2618,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 2664,
  [2665] = 321,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2634,
  [2669] = 323,
  [2670] = 2444,
  [2671] = 326,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 333,
  [2676] = 2607,
  [2677] = 2597,
  [2678] = 2618,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2620,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2619,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2637,
  [2688] = 2599,
  [2689] = 2603,
  [2690] = 2640,
  [2691] = 2595,
  [2692] = 2599,
  [2693] = 2622,
  [2694] = 2680,
  [2695] = 2695,
  [2696] = 2696,
  [2697] = 329,
  [2698] = 312,
  [2699] = 321,
  [2700] = 2594,
  [2701] = 2656,
  [2702] = 2628,
  [2703] = 2632,
  [2704] = 2704,
  [2705] = 2614,
  [2706] = 2706,
  [2707] = 2613,
  [2708] = 2708,
  [2709] = 2637,
  [2710] = 2611,
  [2711] = 2622,
  [2712] = 2712,
  [2713] = 2594,
  [2714] = 2714,
  [2715] = 2599,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2628,
  [2719] = 2633,
  [2720] = 2720,
  [2721] = 2637,
  [2722] = 2636,
  [2723] = 2641,
  [2724] = 2617,
  [2725] = 2603,
  [2726] = 2632,
  [2727] = 2727,
  [2728] = 2728,
  [2729] = 2643,
  [2730] = 2633,
  [2731] = 2638,
  [2732] = 2656,
  [2733] = 2733,
  [2734] = 2667,
  [2735] = 2614,
  [2736] = 327,
  [2737] = 2666,
  [2738] = 2738,
  [2739] = 2636,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 309,
  [2743] = 2642,
  [2744] = 2637,
  [2745] = 2641,
  [2746] = 2667,
  [2747] = 2440,
  [2748] = 2748,
  [2749] = 2740,
  [2750] = 2603,
  [2751] = 2751,
  [2752] = 2748,
  [2753] = 2658,
  [2754] = 2695,
  [2755] = 2634,
  [2756] = 2666,
  [2757] = 2695,
  [2758] = 2664,
  [2759] = 2759,
  [2760] = 2680,
  [2761] = 2761,
  [2762] = 2607,
  [2763] = 2619,
  [2764] = 2740,
  [2765] = 2748,
  [2766] = 326,
  [2767] = 2597,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2643,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2613,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2611,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2595,
  [2782] = 2617,
  [2783] = 2783,
  [2784] = 2621,
  [2785] = 2785,
  [2786] = 309,
  [2787] = 2787,
  [2788] = 2658,
  [2789] = 311,
  [2790] = 2599,
  [2791] = 2791,
  [2792] = 2683,
  [2793] = 305,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2672,
  [2797] = 2664,
  [2798] = 327,
  [2799] = 2799,
  [2800] = 2620,
  [2801] = 2622,
  [2802] = 2594,
  [2803] = 2628,
  [2804] = 2804,
  [2805] = 2632,
  [2806] = 2633,
  [2807] = 2807,
  [2808] = 2636,
  [2809] = 2641,
  [2810] = 2683,
  [2811] = 2811,
  [2812] = 2643,
  [2813] = 2595,
  [2814] = 2462,
  [2815] = 2815,
  [2816] = 2695,
  [2817] = 2634,
  [2818] = 2818,
  [2819] = 2656,
  [2820] = 2614,
  [2821] = 2821,
  [2822] = 2748,
  [2823] = 2815,
  [2824] = 2638,
  [2825] = 2613,
  [2826] = 2826,
  [2827] = 2680,
  [2828] = 2672,
  [2829] = 2658,
  [2830] = 2461,
  [2831] = 2664,
  [2832] = 2666,
  [2833] = 2611,
  [2834] = 2740,
  [2835] = 2667,
  [2836] = 2656,
  [2837] = 2619,
  [2838] = 2838,
  [2839] = 2207,
  [2840] = 2449,
  [2841] = 2841,
  [2842] = 2459,
  [2843] = 2838,
  [2844] = 2618,
  [2845] = 2226,
  [2846] = 2841,
  [2847] = 2847,
  [2848] = 2621,
  [2849] = 2740,
  [2850] = 2618,
  [2851] = 2621,
  [2852] = 2596,
  [2853] = 2815,
  [2854] = 2642,
  [2855] = 2855,
  [2856] = 2640,
  [2857] = 2617,
  [2858] = 2847,
  [2859] = 2634,
  [2860] = 2804,
  [2861] = 2640,
  [2862] = 2596,
  [2863] = 2863,
  [2864] = 2815,
  [2865] = 2680,
  [2866] = 2619,
  [2867] = 2483,
  [2868] = 2841,
  [2869] = 2869,
  [2870] = 2686,
  [2871] = 2871,
  [2872] = 2667,
  [2873] = 2617,
  [2874] = 2484,
  [2875] = 2666,
  [2876] = 2876,
  [2877] = 2838,
  [2878] = 2456,
  [2879] = 2453,
  [2880] = 2446,
  [2881] = 2881,
  [2882] = 2595,
  [2883] = 2642,
  [2884] = 2804,
  [2885] = 2695,
  [2886] = 2748,
  [2887] = 2484,
  [2888] = 2631,
  [2889] = 2483,
  [2890] = 2890,
  [2891] = 2804,
  [2892] = 2804,
  [2893] = 2187,
  [2894] = 2799,
  [2895] = 2457,
  [2896] = 2896,
  [2897] = 2881,
  [2898] = 2898,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2611,
  [2902] = 2902,
  [2903] = 2613,
  [2904] = 2614,
  [2905] = 2905,
  [2906] = 2838,
  [2907] = 2907,
  [2908] = 2838,
  [2909] = 2841,
  [2910] = 2620,
  [2911] = 2841,
  [2912] = 2912,
  [2913] = 2622,
  [2914] = 2594,
  [2915] = 2628,
  [2916] = 2632,
  [2917] = 2633,
  [2918] = 2636,
  [2919] = 2641,
  [2920] = 2643,
  [2921] = 2815,
  [2922] = 2922,
  [2923] = 2804,
  [2924] = 2658,
  [2925] = 2664,
  [2926] = 2804,
  [2927] = 2656,
  [2928] = 2483,
  [2929] = 2618,
  [2930] = 2930,
  [2931] = 2568,
  [2932] = 2507,
  [2933] = 2933,
  [2934] = 2934,
  [2935] = 2738,
  [2936] = 2510,
  [2937] = 2504,
  [2938] = 2938,
  [2939] = 2922,
  [2940] = 2940,
  [2941] = 2484,
  [2942] = 2942,
  [2943] = 2621,
  [2944] = 2572,
  [2945] = 2740,
  [2946] = 2574,
  [2947] = 2570,
  [2948] = 2569,
  [2949] = 2686,
  [2950] = 2563,
  [2951] = 2559,
  [2952] = 2558,
  [2953] = 2556,
  [2954] = 2555,
  [2955] = 2554,
  [2956] = 2553,
  [2957] = 2487,
  [2958] = 2503,
  [2959] = 2631,
  [2960] = 2960,
  [2961] = 2481,
  [2962] = 2962,
  [2963] = 2549,
  [2964] = 2546,
  [2965] = 2965,
  [2966] = 2584,
  [2967] = 2967,
  [2968] = 2583,
  [2969] = 2236,
  [2970] = 2593,
  [2971] = 2592,
  [2972] = 2535,
  [2973] = 2532,
  [2974] = 2974,
  [2975] = 2591,
  [2976] = 2483,
  [2977] = 2589,
  [2978] = 2978,
  [2979] = 2979,
  [2980] = 2980,
  [2981] = 2933,
  [2982] = 2596,
  [2983] = 2484,
  [2984] = 2588,
  [2985] = 2595,
  [2986] = 2586,
  [2987] = 2484,
  [2988] = 2232,
  [2989] = 2585,
  [2990] = 2575,
  [2991] = 2991,
  [2992] = 2582,
  [2993] = 2518,
  [2994] = 2235,
  [2995] = 2933,
  [2996] = 2581,
  [2997] = 2571,
  [2998] = 2567,
  [2999] = 2999,
  [3000] = 2566,
  [3001] = 2695,
  [3002] = 3002,
  [3003] = 2942,
  [3004] = 2978,
  [3005] = 2900,
  [3006] = 2979,
  [3007] = 2942,
  [3008] = 2516,
  [3009] = 2519,
  [3010] = 2748,
  [3011] = 2631,
  [3012] = 1220,
  [3013] = 2978,
  [3014] = 2619,
  [3015] = 2940,
  [3016] = 2680,
  [3017] = 2634,
  [3018] = 2640,
  [3019] = 2642,
  [3020] = 2575,
  [3021] = 2491,
  [3022] = 2484,
  [3023] = 2483,
  [3024] = 2978,
  [3025] = 2483,
  [3026] = 2617,
  [3027] = 2253,
  [3028] = 2268,
  [3029] = 2247,
  [3030] = 2577,
  [3031] = 2576,
  [3032] = 2667,
  [3033] = 2666,
  [3034] = 2664,
  [3035] = 2658,
  [3036] = 2467,
  [3037] = 2643,
  [3038] = 1222,
  [3039] = 2493,
  [3040] = 2641,
  [3041] = 2636,
  [3042] = 2633,
  [3043] = 2632,
  [3044] = 2482,
  [3045] = 2728,
  [3046] = 2498,
  [3047] = 2564,
  [3048] = 2499,
  [3049] = 2587,
  [3050] = 2628,
  [3051] = 2933,
  [3052] = 2978,
  [3053] = 2683,
  [3054] = 2505,
  [3055] = 2551,
  [3056] = 2550,
  [3057] = 2543,
  [3058] = 1229,
  [3059] = 2602,
  [3060] = 2933,
  [3061] = 2594,
  [3062] = 2622,
  [3063] = 3063,
  [3064] = 3064,
  [3065] = 2541,
  [3066] = 2978,
  [3067] = 301,
  [3068] = 2540,
  [3069] = 2538,
  [3070] = 2539,
  [3071] = 2527,
  [3072] = 2525,
  [3073] = 2513,
  [3074] = 2511,
  [3075] = 3075,
  [3076] = 2463,
  [3077] = 2537,
  [3078] = 3078,
  [3079] = 2536,
  [3080] = 2531,
  [3081] = 2530,
  [3082] = 2942,
  [3083] = 2491,
  [3084] = 2728,
  [3085] = 2557,
  [3086] = 2464,
  [3087] = 3087,
  [3088] = 2528,
  [3089] = 2269,
  [3090] = 2466,
  [3091] = 2479,
  [3092] = 2526,
  [3093] = 1228,
  [3094] = 2523,
  [3095] = 2490,
  [3096] = 2495,
  [3097] = 2496,
  [3098] = 2257,
  [3099] = 2672,
  [3100] = 2246,
  [3101] = 2261,
  [3102] = 2255,
  [3103] = 2480,
  [3104] = 2478,
  [3105] = 2477,
  [3106] = 2520,
  [3107] = 2524,
  [3108] = 2529,
  [3109] = 2476,
  [3110] = 2620,
  [3111] = 2475,
  [3112] = 1230,
  [3113] = 2979,
  [3114] = 2474,
  [3115] = 3115,
  [3116] = 2942,
  [3117] = 2942,
  [3118] = 2473,
  [3119] = 301,
  [3120] = 2938,
  [3121] = 2471,
  [3122] = 2638,
  [3123] = 2922,
  [3124] = 2614,
  [3125] = 2465,
  [3126] = 2492,
  [3127] = 2613,
  [3128] = 2611,
  [3129] = 3129,
  [3130] = 3130,
  [3131] = 2468,
  [3132] = 3132,
  [3133] = 2942,
  [3134] = 2738,
  [3135] = 2602,
  [3136] = 2933,
  [3137] = 3137,
  [3138] = 3137,
  [3139] = 2472,
  [3140] = 2658,
  [3141] = 3141,
  [3142] = 3141,
  [3143] = 3143,
  [3144] = 3144,
  [3145] = 3145,
  [3146] = 3146,
  [3147] = 2738,
  [3148] = 3141,
  [3149] = 3149,
  [3150] = 2733,
  [3151] = 2774,
  [3152] = 332,
  [3153] = 3153,
  [3154] = 2748,
  [3155] = 3155,
  [3156] = 320,
  [3157] = 313,
  [3158] = 3158,
  [3159] = 3159,
  [3160] = 3160,
  [3161] = 3161,
  [3162] = 3162,
  [3163] = 2727,
  [3164] = 2720,
  [3165] = 3165,
  [3166] = 3158,
  [3167] = 2716,
  [3168] = 2714,
  [3169] = 3145,
  [3170] = 328,
  [3171] = 2638,
  [3172] = 2896,
  [3173] = 2695,
  [3174] = 2712,
  [3175] = 2787,
  [3176] = 310,
  [3177] = 306,
  [3178] = 3178,
  [3179] = 2706,
  [3180] = 2704,
  [3181] = 2483,
  [3182] = 2979,
  [3183] = 3183,
  [3184] = 2696,
  [3185] = 2595,
  [3186] = 3186,
  [3187] = 2484,
  [3188] = 3141,
  [3189] = 318,
  [3190] = 2934,
  [3191] = 3191,
  [3192] = 2785,
  [3193] = 2650,
  [3194] = 2651,
  [3195] = 2652,
  [3196] = 2672,
  [3197] = 2657,
  [3198] = 3198,
  [3199] = 3199,
  [3200] = 2683,
  [3201] = 2751,
  [3202] = 2660,
  [3203] = 3203,
  [3204] = 3158,
  [3205] = 3205,
  [3206] = 2728,
  [3207] = 3145,
  [3208] = 3208,
  [3209] = 2625,
  [3210] = 2623,
  [3211] = 303,
  [3212] = 3144,
  [3213] = 3213,
  [3214] = 3208,
  [3215] = 3145,
  [3216] = 3145,
  [3217] = 3158,
  [3218] = 2682,
  [3219] = 337,
  [3220] = 3220,
  [3221] = 2661,
  [3222] = 3158,
  [3223] = 331,
  [3224] = 2577,
  [3225] = 335,
  [3226] = 2491,
  [3227] = 2728,
  [3228] = 2663,
  [3229] = 335,
  [3230] = 2609,
  [3231] = 3149,
  [3232] = 3232,
  [3233] = 331,
  [3234] = 3208,
  [3235] = 3235,
  [3236] = 2617,
  [3237] = 3237,
  [3238] = 3141,
  [3239] = 3239,
  [3240] = 3240,
  [3241] = 2775,
  [3242] = 2636,
  [3243] = 2778,
  [3244] = 2779,
  [3245] = 3245,
  [3246] = 2484,
  [3247] = 2483,
  [3248] = 3248,
  [3249] = 306,
  [3250] = 310,
  [3251] = 328,
  [3252] = 2738,
  [3253] = 3253,
  [3254] = 337,
  [3255] = 2611,
  [3256] = 3256,
  [3257] = 2740,
  [3258] = 2613,
  [3259] = 2618,
  [3260] = 2621,
  [3261] = 3261,
  [3262] = 2596,
  [3263] = 2791,
  [3264] = 2619,
  [3265] = 2614,
  [3266] = 2620,
  [3267] = 2680,
  [3268] = 307,
  [3269] = 318,
  [3270] = 308,
  [3271] = 2622,
  [3272] = 2759,
  [3273] = 2619,
  [3274] = 2602,
  [3275] = 308,
  [3276] = 2855,
  [3277] = 3261,
  [3278] = 2594,
  [3279] = 303,
  [3280] = 2656,
  [3281] = 2628,
  [3282] = 2632,
  [3283] = 2680,
  [3284] = 2634,
  [3285] = 3141,
  [3286] = 2633,
  [3287] = 2640,
  [3288] = 3288,
  [3289] = 2761,
  [3290] = 2673,
  [3291] = 3291,
  [3292] = 2728,
  [3293] = 2641,
  [3294] = 3294,
  [3295] = 2643,
  [3296] = 332,
  [3297] = 2741,
  [3298] = 2577,
  [3299] = 2674,
  [3300] = 320,
  [3301] = 313,
  [3302] = 2642,
  [3303] = 2667,
  [3304] = 2666,
  [3305] = 2577,
  [3306] = 2664,
  [3307] = 2658,
  [3308] = 3308,
  [3309] = 3309,
  [3310] = 3310,
  [3311] = 3162,
  [3312] = 2771,
  [3313] = 2643,
  [3314] = 3314,
  [3315] = 2922,
  [3316] = 2979,
  [3317] = 3317,
  [3318] = 3318,
  [3319] = 2664,
  [3320] = 2666,
  [3321] = 2656,
  [3322] = 2641,
  [3323] = 2934,
  [3324] = 2667,
  [3325] = 3325,
  [3326] = 307,
  [3327] = 2794,
  [3328] = 2896,
  [3329] = 3239,
  [3330] = 3330,
  [3331] = 2636,
  [3332] = 2738,
  [3333] = 3333,
  [3334] = 2633,
  [3335] = 3335,
  [3336] = 2685,
  [3337] = 3337,
  [3338] = 2632,
  [3339] = 3339,
  [3340] = 2630,
  [3341] = 3339,
  [3342] = 2634,
  [3343] = 3141,
  [3344] = 2627,
  [3345] = 2628,
  [3346] = 2594,
  [3347] = 2780,
  [3348] = 2777,
  [3349] = 2772,
  [3350] = 2769,
  [3351] = 3208,
  [3352] = 3141,
  [3353] = 2768,
  [3354] = 3144,
  [3355] = 2979,
  [3356] = 2640,
  [3357] = 2795,
  [3358] = 3245,
  [3359] = 2626,
  [3360] = 2740,
  [3361] = 2596,
  [3362] = 2621,
  [3363] = 2618,
  [3364] = 2740,
  [3365] = 3145,
  [3366] = 2748,
  [3367] = 2695,
  [3368] = 2595,
  [3369] = 2618,
  [3370] = 2621,
  [3371] = 2617,
  [3372] = 2596,
  [3373] = 2611,
  [3374] = 2575,
  [3375] = 2717,
  [3376] = 2631,
  [3377] = 2613,
  [3378] = 2614,
  [3379] = 3158,
  [3380] = 2620,
  [3381] = 2622,
  [3382] = 2642,
  [3383] = 2594,
  [3384] = 2628,
  [3385] = 3144,
  [3386] = 2632,
  [3387] = 2633,
  [3388] = 3388,
  [3389] = 2636,
  [3390] = 2641,
  [3391] = 2643,
  [3392] = 2658,
  [3393] = 2664,
  [3394] = 3335,
  [3395] = 2666,
  [3396] = 2667,
  [3397] = 3397,
  [3398] = 2642,
  [3399] = 2640,
  [3400] = 2634,
  [3401] = 2680,
  [3402] = 3402,
  [3403] = 3403,
  [3404] = 2612,
  [3405] = 3405,
  [3406] = 2619,
  [3407] = 2656,
  [3408] = 3408,
  [3409] = 2610,
  [3410] = 2600,
  [3411] = 2598,
  [3412] = 3141,
  [3413] = 3145,
  [3414] = 2622,
  [3415] = 3158,
  [3416] = 2620,
  [3417] = 2748,
  [3418] = 3208,
  [3419] = 3144,
  [3420] = 2614,
  [3421] = 2613,
  [3422] = 3141,
  [3423] = 2611,
  [3424] = 3424,
  [3425] = 2679,
  [3426] = 2695,
  [3427] = 2595,
  [3428] = 2617,
  [3429] = 2620,
  [3430] = 2632,
  [3431] = 3431,
  [3432] = 2483,
  [3433] = 2602,
  [3434] = 2642,
  [3435] = 3435,
  [3436] = 2621,
  [3437] = 2896,
  [3438] = 2640,
  [3439] = 3439,
  [3440] = 3440,
  [3441] = 3441,
  [3442] = 2667,
  [3443] = 2484,
  [3444] = 3444,
  [3445] = 2634,
  [3446] = 3446,
  [3447] = 2680,
  [3448] = 3448,
  [3449] = 2619,
  [3450] = 3450,
  [3451] = 2577,
  [3452] = 3439,
  [3453] = 3453,
  [3454] = 2666,
  [3455] = 2596,
  [3456] = 3456,
  [3457] = 3444,
  [3458] = 3458,
  [3459] = 2656,
  [3460] = 2577,
  [3461] = 3458,
  [3462] = 3439,
  [3463] = 2748,
  [3464] = 2695,
  [3465] = 2740,
  [3466] = 2595,
  [3467] = 2979,
  [3468] = 3468,
  [3469] = 2575,
  [3470] = 3470,
  [3471] = 3471,
  [3472] = 3441,
  [3473] = 2617,
  [3474] = 2611,
  [3475] = 2618,
  [3476] = 2613,
  [3477] = 2602,
  [3478] = 2614,
  [3479] = 3439,
  [3480] = 2664,
  [3481] = 2622,
  [3482] = 2594,
  [3483] = 2728,
  [3484] = 3484,
  [3485] = 2738,
  [3486] = 3486,
  [3487] = 3487,
  [3488] = 2628,
  [3489] = 2658,
  [3490] = 3490,
  [3491] = 2934,
  [3492] = 2643,
  [3493] = 2641,
  [3494] = 3494,
  [3495] = 3495,
  [3496] = 2636,
  [3497] = 2855,
  [3498] = 2979,
  [3499] = 3499,
  [3500] = 3439,
  [3501] = 3439,
  [3502] = 2979,
  [3503] = 3439,
  [3504] = 2633,
  [3505] = 3505,
  [3506] = 2575,
  [3507] = 3470,
  [3508] = 2807,
  [3509] = 3471,
  [3510] = 3510,
  [3511] = 2672,
  [3512] = 3512,
  [3513] = 2491,
  [3514] = 2979,
  [3515] = 2602,
  [3516] = 3516,
  [3517] = 2683,
  [3518] = 3518,
  [3519] = 3519,
  [3520] = 3520,
  [3521] = 3521,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 3525,
  [3526] = 2672,
  [3527] = 2738,
  [3528] = 3528,
  [3529] = 3529,
  [3530] = 3530,
  [3531] = 3531,
  [3532] = 2728,
  [3533] = 2575,
  [3534] = 3534,
  [3535] = 3535,
  [3536] = 3536,
  [3537] = 3537,
  [3538] = 3538,
  [3539] = 2855,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 2896,
  [3543] = 3543,
  [3544] = 2577,
  [3545] = 2979,
  [3546] = 2638,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3549,
  [3550] = 3550,
  [3551] = 2602,
  [3552] = 3552,
  [3553] = 3553,
  [3554] = 3554,
  [3555] = 3144,
  [3556] = 3556,
  [3557] = 3557,
  [3558] = 3558,
  [3559] = 3559,
  [3560] = 3208,
  [3561] = 3561,
  [3562] = 3208,
  [3563] = 3144,
  [3564] = 2577,
  [3565] = 3565,
  [3566] = 3566,
  [3567] = 3567,
  [3568] = 2683,
  [3569] = 3569,
  [3570] = 2672,
  [3571] = 2638,
  [3572] = 3572,
  [3573] = 3144,
  [3574] = 3208,
  [3575] = 3144,
  [3576] = 3576,
  [3577] = 3208,
  [3578] = 3144,
  [3579] = 3579,
  [3580] = 3208,
  [3581] = 3531,
  [3582] = 2461,
  [3583] = 2577,
  [3584] = 3291,
  [3585] = 3585,
  [3586] = 3586,
  [3587] = 3587,
  [3588] = 3208,
  [3589] = 3589,
  [3590] = 3144,
  [3591] = 3591,
  [3592] = 2577,
  [3593] = 3593,
  [3594] = 2934,
  [3595] = 3595,
  [3596] = 3144,
  [3597] = 3208,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 3599,
  [3601] = 3599,
  [3602] = 3599,
  [3603] = 3599,
  [3604] = 3599,
  [3605] = 3599,
  [3606] = 3599,
  [3607] = 3599,
  [3608] = 3599,
  [3609] = 3609,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3612,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3615,
  [3616] = 3616,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3541,
  [3620] = 3620,
  [3621] = 3621,
  [3622] = 3519,
  [3623] = 3623,
  [3624] = 3624,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 321,
  [3628] = 3628,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3633,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 305,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 311,
  [3642] = 3642,
  [3643] = 3643,
  [3644] = 3644,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 305,
  [3648] = 311,
  [3649] = 3649,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 3654,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 3657,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3662,
  [3663] = 3663,
  [3664] = 3664,
  [3665] = 309,
  [3666] = 3155,
  [3667] = 3667,
  [3668] = 3220,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 3146,
  [3676] = 3676,
  [3677] = 321,
  [3678] = 3237,
  [3679] = 309,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3431,
  [3684] = 3494,
  [3685] = 3456,
  [3686] = 2124,
  [3687] = 3446,
  [3688] = 3494,
  [3689] = 3444,
  [3690] = 3690,
  [3691] = 3471,
  [3692] = 3470,
  [3693] = 3471,
  [3694] = 3510,
  [3695] = 3695,
  [3696] = 3444,
  [3697] = 3441,
  [3698] = 3698,
  [3699] = 3699,
  [3700] = 3440,
  [3701] = 3701,
  [3702] = 3470,
  [3703] = 3435,
  [3704] = 3512,
  [3705] = 3690,
  [3706] = 3441,
  [3707] = 3448,
  [3708] = 3431,
  [3709] = 3510,
  [3710] = 3710,
  [3711] = 3701,
  [3712] = 3448,
  [3713] = 3713,
  [3714] = 3714,
  [3715] = 3715,
  [3716] = 3713,
  [3717] = 3717,
  [3718] = 3718,
  [3719] = 3714,
  [3720] = 3720,
  [3721] = 3721,
  [3722] = 3715,
  [3723] = 3717,
  [3724] = 3724,
  [3725] = 3713,
  [3726] = 3717,
  [3727] = 3718,
  [3728] = 3714,
  [3729] = 3720,
  [3730] = 3715,
  [3731] = 3721,
  [3732] = 3715,
  [3733] = 2139,
  [3734] = 3717,
  [3735] = 3713,
  [3736] = 3717,
  [3737] = 3718,
  [3738] = 3713,
  [3739] = 3720,
  [3740] = 3740,
  [3741] = 3721,
  [3742] = 3742,
  [3743] = 3743,
  [3744] = 3744,
  [3745] = 3718,
  [3746] = 3715,
  [3747] = 3715,
  [3748] = 3714,
  [3749] = 3718,
  [3750] = 3718,
  [3751] = 3717,
  [3752] = 2159,
  [3753] = 3714,
  [3754] = 3721,
  [3755] = 3720,
  [3756] = 3756,
  [3757] = 3713,
  [3758] = 3721,
  [3759] = 3720,
  [3760] = 3760,
  [3761] = 3714,
  [3762] = 3720,
  [3763] = 3721,
  [3764] = 3764,
  [3765] = 3765,
  [3766] = 3505,
  [3767] = 3767,
  [3768] = 3768,
  [3769] = 3769,
  [3770] = 3770,
  [3771] = 3771,
  [3772] = 3772,
  [3773] = 3773,
  [3774] = 3774,
  [3775] = 3775,
  [3776] = 3776,
  [3777] = 3777,
  [3778] = 3778,
  [3779] = 3779,
  [3780] = 3780,
  [3781] = 3781,
  [3782] = 3782,
  [3783] = 3783,
  [3784] = 2199,
  [3785] = 3785,
  [3786] = 3786,
  [3787] = 3787,
  [3788] = 3788,
  [3789] = 3789,
  [3790] = 3790,
  [3791] = 2173,
  [3792] = 3792,
  [3793] = 3793,
  [3794] = 3794,
  [3795] = 3795,
  [3796] = 3796,
  [3797] = 3797,
  [3798] = 3798,
  [3799] = 3792,
  [3800] = 3800,
  [3801] = 3787,
  [3802] = 3798,
  [3803] = 2207,
  [3804] = 2226,
  [3805] = 3805,
  [3806] = 3806,
  [3807] = 3807,
  [3808] = 3808,
  [3809] = 3809,
  [3810] = 3796,
  [3811] = 3811,
  [3812] = 2189,
  [3813] = 3813,
  [3814] = 3814,
  [3815] = 3815,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 3818,
  [3819] = 3814,
  [3820] = 3820,
  [3821] = 3821,
  [3822] = 3815,
  [3823] = 3823,
  [3824] = 3797,
  [3825] = 3825,
  [3826] = 3816,
  [3827] = 3827,
  [3828] = 3828,
  [3829] = 3829,
  [3830] = 3830,
  [3831] = 3831,
  [3832] = 3805,
  [3833] = 3833,
  [3834] = 3834,
  [3835] = 3835,
  [3836] = 3836,
  [3837] = 3837,
  [3838] = 3838,
  [3839] = 3839,
  [3840] = 3793,
  [3841] = 3841,
  [3842] = 2187,
  [3843] = 3818,
  [3844] = 3795,
  [3845] = 3845,
  [3846] = 2226,
  [3847] = 2441,
  [3848] = 2443,
  [3849] = 2445,
  [3850] = 2207,
  [3851] = 2187,
  [3852] = 314,
  [3853] = 304,
  [3854] = 2444,
  [3855] = 2591,
  [3856] = 2481,
  [3857] = 2537,
  [3858] = 2503,
  [3859] = 2536,
  [3860] = 2550,
  [3861] = 2474,
  [3862] = 2551,
  [3863] = 2504,
  [3864] = 2541,
  [3865] = 2540,
  [3866] = 2463,
  [3867] = 2507,
  [3868] = 2510,
  [3869] = 2546,
  [3870] = 2487,
  [3871] = 2593,
  [3872] = 2543,
  [3873] = 2530,
  [3874] = 2592,
  [3875] = 2585,
  [3876] = 2531,
  [3877] = 2588,
  [3878] = 2480,
  [3879] = 2478,
  [3880] = 2477,
  [3881] = 2476,
  [3882] = 2475,
  [3883] = 2473,
  [3884] = 2471,
  [3885] = 2465,
  [3886] = 2492,
  [3887] = 2586,
  [3888] = 2589,
  [3889] = 3889,
  [3890] = 3889,
  [3891] = 3889,
  [3892] = 2446,
  [3893] = 3889,
  [3894] = 3889,
  [3895] = 2269,
  [3896] = 1220,
  [3897] = 2479,
  [3898] = 304,
  [3899] = 2441,
  [3900] = 1222,
  [3901] = 2443,
  [3902] = 314,
  [3903] = 2449,
  [3904] = 1230,
  [3905] = 2445,
  [3906] = 1229,
  [3907] = 2257,
  [3908] = 2513,
  [3909] = 2246,
  [3910] = 2253,
  [3911] = 2268,
  [3912] = 2527,
  [3913] = 2247,
  [3914] = 2235,
  [3915] = 2584,
  [3916] = 2261,
  [3917] = 2255,
  [3918] = 2490,
  [3919] = 2236,
  [3920] = 1228,
  [3921] = 2232,
  [3922] = 2538,
  [3923] = 2462,
  [3924] = 2457,
  [3925] = 2459,
  [3926] = 2453,
  [3927] = 2456,
  [3928] = 2496,
  [3929] = 2546,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 2480,
  [3933] = 2478,
  [3934] = 2477,
  [3935] = 2476,
  [3936] = 3936,
  [3937] = 2475,
  [3938] = 2474,
  [3939] = 2473,
  [3940] = 2471,
  [3941] = 3941,
  [3942] = 3941,
  [3943] = 3943,
  [3944] = 2465,
  [3945] = 2492,
  [3946] = 3936,
  [3947] = 2582,
  [3948] = 2518,
  [3949] = 2581,
  [3950] = 2571,
  [3951] = 3930,
  [3952] = 2567,
  [3953] = 2566,
  [3954] = 2543,
  [3955] = 2572,
  [3956] = 2568,
  [3957] = 3943,
  [3958] = 3941,
  [3959] = 2587,
  [3960] = 2472,
  [3961] = 3943,
  [3962] = 3936,
  [3963] = 3931,
  [3964] = 3931,
  [3965] = 2444,
  [3966] = 2499,
  [3967] = 3930,
  [3968] = 2585,
  [3969] = 3943,
  [3970] = 2498,
  [3971] = 3936,
  [3972] = 3941,
  [3973] = 2586,
  [3974] = 2549,
  [3975] = 2482,
  [3976] = 2493,
  [3977] = 2588,
  [3978] = 2467,
  [3979] = 2576,
  [3980] = 3931,
  [3981] = 2589,
  [3982] = 2530,
  [3983] = 2531,
  [3984] = 3941,
  [3985] = 2553,
  [3986] = 3941,
  [3987] = 2536,
  [3988] = 2537,
  [3989] = 2554,
  [3990] = 2463,
  [3991] = 2540,
  [3992] = 3941,
  [3993] = 3941,
  [3994] = 2445,
  [3995] = 2443,
  [3996] = 2441,
  [3997] = 3930,
  [3998] = 2541,
  [3999] = 2528,
  [4000] = 2526,
  [4001] = 2523,
  [4002] = 2555,
  [4003] = 2556,
  [4004] = 2539,
  [4005] = 2591,
  [4006] = 2592,
  [4007] = 3941,
  [4008] = 3930,
  [4009] = 3931,
  [4010] = 3936,
  [4011] = 2525,
  [4012] = 3943,
  [4013] = 2558,
  [4014] = 2550,
  [4015] = 2516,
  [4016] = 2551,
  [4017] = 2529,
  [4018] = 2593,
  [4019] = 2524,
  [4020] = 2481,
  [4021] = 2503,
  [4022] = 2520,
  [4023] = 2504,
  [4024] = 2507,
  [4025] = 2495,
  [4026] = 2583,
  [4027] = 3941,
  [4028] = 2487,
  [4029] = 2559,
  [4030] = 2466,
  [4031] = 2464,
  [4032] = 2574,
  [4033] = 2557,
  [4034] = 2468,
  [4035] = 2510,
  [4036] = 2511,
  [4037] = 2570,
  [4038] = 2569,
  [4039] = 2563,
  [4040] = 4040,
  [4041] = 4041,
  [4042] = 4040,
  [4043] = 4043,
  [4044] = 4044,
  [4045] = 4044,
  [4046] = 4046,
  [4047] = 4047,
  [4048] = 4048,
  [4049] = 4049,
  [4050] = 4050,
  [4051] = 4043,
  [4052] = 4040,
  [4053] = 4053,
  [4054] = 4043,
  [4055] = 4040,
  [4056] = 4056,
  [4057] = 4057,
  [4058] = 4058,
  [4059] = 4059,
  [4060] = 4060,
  [4061] = 4061,
  [4062] = 4062,
  [4063] = 2446,
  [4064] = 4040,
  [4065] = 4065,
  [4066] = 4066,
  [4067] = 4067,
  [4068] = 4068,
  [4069] = 4069,
  [4070] = 4070,
  [4071] = 4044,
  [4072] = 4044,
  [4073] = 4073,
  [4074] = 4074,
  [4075] = 4075,
  [4076] = 4043,
  [4077] = 4043,
  [4078] = 4044,
  [4079] = 4079,
  [4080] = 2247,
  [4081] = 2507,
  [4082] = 2540,
  [4083] = 4083,
  [4084] = 2541,
  [4085] = 2527,
  [4086] = 4086,
  [4087] = 2444,
  [4088] = 2543,
  [4089] = 2492,
  [4090] = 2449,
  [4091] = 4091,
  [4092] = 2465,
  [4093] = 2471,
  [4094] = 2473,
  [4095] = 2474,
  [4096] = 2538,
  [4097] = 2550,
  [4098] = 2551,
  [4099] = 2475,
  [4100] = 4100,
  [4101] = 4079,
  [4102] = 2226,
  [4103] = 4103,
  [4104] = 2476,
  [4105] = 2268,
  [4106] = 2477,
  [4107] = 2255,
  [4108] = 2261,
  [4109] = 2253,
  [4110] = 2246,
  [4111] = 2478,
  [4112] = 2257,
  [4113] = 2269,
  [4114] = 2480,
  [4115] = 4115,
  [4116] = 2187,
  [4117] = 4117,
  [4118] = 2584,
  [4119] = 2490,
  [4120] = 2463,
  [4121] = 4121,
  [4122] = 2207,
  [4123] = 2232,
  [4124] = 2537,
  [4125] = 2236,
  [4126] = 4126,
  [4127] = 2235,
  [4128] = 4128,
  [4129] = 4129,
  [4130] = 2585,
  [4131] = 2513,
  [4132] = 2479,
  [4133] = 2530,
  [4134] = 2481,
  [4135] = 2503,
  [4136] = 2586,
  [4137] = 2588,
  [4138] = 2504,
  [4139] = 2589,
  [4140] = 2510,
  [4141] = 2531,
  [4142] = 2536,
  [4143] = 2546,
  [4144] = 2487,
  [4145] = 2593,
  [4146] = 2592,
  [4147] = 2591,
  [4148] = 4148,
  [4149] = 4149,
  [4150] = 4150,
  [4151] = 4151,
  [4152] = 4152,
  [4153] = 4153,
  [4154] = 4154,
  [4155] = 4155,
  [4156] = 2453,
  [4157] = 2456,
  [4158] = 4158,
  [4159] = 4159,
  [4160] = 4160,
  [4161] = 4159,
  [4162] = 4162,
  [4163] = 4163,
  [4164] = 4159,
  [4165] = 4165,
  [4166] = 4166,
  [4167] = 4167,
  [4168] = 4168,
  [4169] = 2459,
  [4170] = 4159,
  [4171] = 2462,
  [4172] = 4172,
  [4173] = 4149,
  [4174] = 4174,
  [4175] = 4175,
  [4176] = 4176,
  [4177] = 4177,
  [4178] = 4178,
  [4179] = 4179,
  [4180] = 4180,
  [4181] = 4149,
  [4182] = 4182,
  [4183] = 4149,
  [4184] = 4159,
  [4185] = 4185,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 2446,
  [4191] = 4191,
  [4192] = 2457,
  [4193] = 4149,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 4197,
  [4198] = 4198,
  [4199] = 2549,
  [4200] = 1229,
  [4201] = 2559,
  [4202] = 2553,
  [4203] = 2529,
  [4204] = 2554,
  [4205] = 2555,
  [4206] = 2511,
  [4207] = 1222,
  [4208] = 2556,
  [4209] = 2207,
  [4210] = 2558,
  [4211] = 2563,
  [4212] = 2569,
  [4213] = 2496,
  [4214] = 2493,
  [4215] = 2570,
  [4216] = 1230,
  [4217] = 2584,
  [4218] = 2518,
  [4219] = 2528,
  [4220] = 2526,
  [4221] = 4221,
  [4222] = 2568,
  [4223] = 2523,
  [4224] = 2572,
  [4225] = 2582,
  [4226] = 2187,
  [4227] = 2520,
  [4228] = 2566,
  [4229] = 1228,
  [4230] = 2472,
  [4231] = 2576,
  [4232] = 2467,
  [4233] = 2574,
  [4234] = 2587,
  [4235] = 2538,
  [4236] = 2527,
  [4237] = 2583,
  [4238] = 2513,
  [4239] = 2525,
  [4240] = 4240,
  [4241] = 2226,
  [4242] = 4242,
  [4243] = 2479,
  [4244] = 2466,
  [4245] = 2490,
  [4246] = 2567,
  [4247] = 2571,
  [4248] = 2516,
  [4249] = 2464,
  [4250] = 2468,
  [4251] = 1220,
  [4252] = 2557,
  [4253] = 4253,
  [4254] = 2581,
  [4255] = 2499,
  [4256] = 2498,
  [4257] = 2524,
  [4258] = 2495,
  [4259] = 2539,
  [4260] = 2482,
  [4261] = 4261,
  [4262] = 2449,
  [4263] = 4263,
  [4264] = 4264,
  [4265] = 4265,
  [4266] = 4266,
  [4267] = 4264,
  [4268] = 2459,
  [4269] = 4269,
  [4270] = 4270,
  [4271] = 4264,
  [4272] = 4272,
  [4273] = 4273,
  [4274] = 4270,
  [4275] = 4275,
  [4276] = 4276,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 2456,
  [4280] = 4280,
  [4281] = 4264,
  [4282] = 4272,
  [4283] = 4270,
  [4284] = 2453,
  [4285] = 4270,
  [4286] = 4286,
  [4287] = 4270,
  [4288] = 4288,
  [4289] = 4264,
  [4290] = 4264,
  [4291] = 4270,
  [4292] = 2462,
  [4293] = 4293,
  [4294] = 2457,
  [4295] = 4079,
  [4296] = 4293,
  [4297] = 4297,
  [4298] = 4298,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 4301,
  [4302] = 4302,
  [4303] = 4303,
  [4304] = 1222,
  [4305] = 4305,
  [4306] = 4306,
  [4307] = 4265,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 4310,
  [4311] = 4311,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 4302,
  [4315] = 4301,
  [4316] = 4275,
  [4317] = 4149,
  [4318] = 4318,
  [4319] = 4311,
  [4320] = 4320,
  [4321] = 2587,
  [4322] = 4322,
  [4323] = 4323,
  [4324] = 1228,
  [4325] = 4305,
  [4326] = 4326,
  [4327] = 4327,
  [4328] = 4328,
  [4329] = 2523,
  [4330] = 4328,
  [4331] = 2526,
  [4332] = 4308,
  [4333] = 2528,
  [4334] = 4320,
  [4335] = 4335,
  [4336] = 4328,
  [4337] = 4337,
  [4338] = 4280,
  [4339] = 4339,
  [4340] = 2499,
  [4341] = 4312,
  [4342] = 4308,
  [4343] = 4276,
  [4344] = 4344,
  [4345] = 2516,
  [4346] = 2498,
  [4347] = 4339,
  [4348] = 4348,
  [4349] = 4318,
  [4350] = 4308,
  [4351] = 4351,
  [4352] = 1229,
  [4353] = 1230,
  [4354] = 4354,
  [4355] = 4320,
  [4356] = 4328,
  [4357] = 4351,
  [4358] = 4358,
  [4359] = 4351,
  [4360] = 4360,
  [4361] = 4361,
  [4362] = 4362,
  [4363] = 4363,
  [4364] = 4339,
  [4365] = 4365,
  [4366] = 4366,
  [4367] = 4149,
  [4368] = 2583,
  [4369] = 4305,
  [4370] = 2574,
  [4371] = 2570,
  [4372] = 2569,
  [4373] = 2563,
  [4374] = 2559,
  [4375] = 2558,
  [4376] = 2556,
  [4377] = 2555,
  [4378] = 2554,
  [4379] = 2553,
  [4380] = 4149,
  [4381] = 2549,
  [4382] = 4297,
  [4383] = 4339,
  [4384] = 4318,
  [4385] = 2572,
  [4386] = 4149,
  [4387] = 4387,
  [4388] = 2568,
  [4389] = 2247,
  [4390] = 4390,
  [4391] = 2268,
  [4392] = 4362,
  [4393] = 4149,
  [4394] = 2253,
  [4395] = 4395,
  [4396] = 4322,
  [4397] = 4397,
  [4398] = 4398,
  [4399] = 2529,
  [4400] = 4351,
  [4401] = 4401,
  [4402] = 4323,
  [4403] = 4403,
  [4404] = 4404,
  [4405] = 4305,
  [4406] = 4406,
  [4407] = 4308,
  [4408] = 4297,
  [4409] = 4297,
  [4410] = 4339,
  [4411] = 4351,
  [4412] = 4328,
  [4413] = 304,
  [4414] = 4414,
  [4415] = 4415,
  [4416] = 4416,
  [4417] = 4149,
  [4418] = 4418,
  [4419] = 2566,
  [4420] = 2567,
  [4421] = 2571,
  [4422] = 4308,
  [4423] = 4423,
  [4424] = 4318,
  [4425] = 4425,
  [4426] = 4426,
  [4427] = 2524,
  [4428] = 2581,
  [4429] = 4429,
  [4430] = 4430,
  [4431] = 4431,
  [4432] = 4149,
  [4433] = 2518,
  [4434] = 4434,
  [4435] = 2520,
  [4436] = 2582,
  [4437] = 4339,
  [4438] = 4438,
  [4439] = 4439,
  [4440] = 4328,
  [4441] = 4320,
  [4442] = 4442,
  [4443] = 4443,
  [4444] = 4348,
  [4445] = 4305,
  [4446] = 4446,
  [4447] = 2269,
  [4448] = 4448,
  [4449] = 4449,
  [4450] = 2257,
  [4451] = 4351,
  [4452] = 314,
  [4453] = 4351,
  [4454] = 2246,
  [4455] = 2261,
  [4456] = 2255,
  [4457] = 2482,
  [4458] = 4318,
  [4459] = 4459,
  [4460] = 4297,
  [4461] = 4461,
  [4462] = 4462,
  [4463] = 2496,
  [4464] = 4318,
  [4465] = 4465,
  [4466] = 2468,
  [4467] = 4467,
  [4468] = 4468,
  [4469] = 2472,
  [4470] = 4326,
  [4471] = 1220,
  [4472] = 2495,
  [4473] = 2576,
  [4474] = 4474,
  [4475] = 4305,
  [4476] = 4320,
  [4477] = 2539,
  [4478] = 4297,
  [4479] = 2525,
  [4480] = 4480,
  [4481] = 2511,
  [4482] = 2467,
  [4483] = 2235,
  [4484] = 2236,
  [4485] = 4485,
  [4486] = 4486,
  [4487] = 2557,
  [4488] = 2464,
  [4489] = 2493,
  [4490] = 2466,
  [4491] = 2232,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4494,
  [4495] = 4495,
  [4496] = 4496,
  [4497] = 4497,
  [4498] = 4275,
  [4499] = 4499,
  [4500] = 4265,
  [4501] = 4501,
  [4502] = 4495,
  [4503] = 4503,
  [4504] = 4503,
  [4505] = 4495,
  [4506] = 4499,
  [4507] = 294,
  [4508] = 295,
  [4509] = 4509,
  [4510] = 4496,
  [4511] = 4511,
  [4512] = 4512,
  [4513] = 4496,
  [4514] = 4495,
  [4515] = 4515,
  [4516] = 4516,
  [4517] = 4517,
  [4518] = 4518,
  [4519] = 4519,
  [4520] = 4520,
  [4521] = 4495,
  [4522] = 4495,
  [4523] = 4496,
  [4524] = 4495,
  [4525] = 4496,
  [4526] = 4496,
  [4527] = 4527,
  [4528] = 4495,
  [4529] = 4529,
  [4530] = 4530,
  [4531] = 4531,
  [4532] = 4397,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4344,
  [4538] = 4538,
  [4539] = 4539,
  [4540] = 4540,
  [4541] = 4541,
  [4542] = 4542,
  [4543] = 4535,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4547,
  [4548] = 4540,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4240,
  [4553] = 4553,
  [4554] = 4554,
  [4555] = 4555,
  [4556] = 4556,
  [4557] = 4535,
  [4558] = 4558,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4562,
  [4563] = 4563,
  [4564] = 4564,
  [4565] = 4565,
  [4566] = 4566,
  [4567] = 4530,
  [4568] = 4568,
  [4569] = 4569,
  [4570] = 4570,
  [4571] = 4571,
  [4572] = 4556,
  [4573] = 305,
  [4574] = 4574,
  [4575] = 4575,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 4579,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4540,
  [4583] = 4583,
  [4584] = 4584,
  [4585] = 4585,
  [4586] = 4535,
  [4587] = 4587,
  [4588] = 4588,
  [4589] = 4589,
  [4590] = 4576,
  [4591] = 4540,
  [4592] = 4578,
  [4593] = 4593,
  [4594] = 4535,
  [4595] = 4595,
  [4596] = 4596,
  [4597] = 4570,
  [4598] = 4540,
  [4599] = 4599,
  [4600] = 4556,
  [4601] = 4601,
  [4602] = 4602,
  [4603] = 4603,
  [4604] = 4604,
  [4605] = 4605,
  [4606] = 4579,
  [4607] = 4607,
  [4608] = 4608,
  [4609] = 4609,
  [4610] = 4326,
  [4611] = 4611,
  [4612] = 4565,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4538,
  [4616] = 4534,
  [4617] = 309,
  [4618] = 4618,
  [4619] = 4619,
  [4620] = 2124,
  [4621] = 4538,
  [4622] = 4576,
  [4623] = 4623,
  [4624] = 4624,
  [4625] = 4534,
  [4626] = 4626,
  [4627] = 4627,
  [4628] = 4628,
  [4629] = 4629,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4632,
  [4633] = 4633,
  [4634] = 4634,
  [4635] = 4635,
  [4636] = 4636,
  [4637] = 4637,
  [4638] = 4578,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 4642,
  [4643] = 4643,
  [4644] = 4550,
  [4645] = 4221,
  [4646] = 4619,
  [4647] = 4647,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4614,
  [4651] = 4651,
  [4652] = 4652,
  [4653] = 4322,
  [4654] = 4654,
  [4655] = 4611,
  [4656] = 4530,
  [4657] = 4266,
  [4658] = 4323,
  [4659] = 4659,
  [4660] = 321,
  [4661] = 4301,
  [4662] = 4662,
  [4663] = 4663,
  [4664] = 4619,
  [4665] = 4665,
  [4666] = 4595,
  [4667] = 4667,
  [4668] = 4668,
  [4669] = 4404,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 4672,
  [4673] = 4673,
  [4674] = 4605,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4534,
  [4678] = 4678,
  [4679] = 4679,
  [4680] = 4680,
  [4681] = 4681,
  [4682] = 4682,
  [4683] = 4302,
  [4684] = 293,
  [4685] = 4685,
  [4686] = 4686,
  [4687] = 4530,
  [4688] = 4538,
  [4689] = 4689,
  [4690] = 4311,
  [4691] = 4556,
  [4692] = 311,
  [4693] = 4693,
  [4694] = 4579,
  [4695] = 4576,
  [4696] = 4530,
  [4697] = 4697,
  [4698] = 4579,
  [4699] = 4578,
  [4700] = 4387,
  [4701] = 327,
  [4702] = 4579,
  [4703] = 4619,
  [4704] = 4614,
  [4705] = 4705,
  [4706] = 4706,
  [4707] = 4707,
  [4708] = 4708,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4611,
  [4712] = 4712,
  [4713] = 4713,
  [4714] = 4366,
  [4715] = 329,
  [4716] = 312,
  [4717] = 4605,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 305,
  [4722] = 4722,
  [4723] = 4605,
  [4724] = 4724,
  [4725] = 4365,
  [4726] = 4726,
  [4727] = 4727,
  [4728] = 4728,
  [4729] = 4729,
  [4730] = 4730,
  [4731] = 4731,
  [4732] = 4732,
  [4733] = 4733,
  [4734] = 333,
  [4735] = 4735,
  [4736] = 4736,
  [4737] = 4737,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 4740,
  [4741] = 4741,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4578,
  [4745] = 4534,
  [4746] = 4576,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4611,
  [4750] = 4614,
  [4751] = 4619,
  [4752] = 4538,
  [4753] = 4611,
  [4754] = 4530,
  [4755] = 4627,
  [4756] = 4756,
  [4757] = 4757,
  [4758] = 4614,
  [4759] = 4759,
  [4760] = 4760,
  [4761] = 4761,
  [4762] = 4762,
  [4763] = 4763,
  [4764] = 4764,
  [4765] = 311,
  [4766] = 4619,
  [4767] = 4614,
  [4768] = 4768,
  [4769] = 4769,
  [4770] = 4611,
  [4771] = 4771,
  [4772] = 4534,
  [4773] = 4773,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4605,
  [4777] = 4538,
  [4778] = 4778,
  [4779] = 4675,
  [4780] = 4780,
  [4781] = 4781,
  [4782] = 4782,
  [4783] = 4783,
  [4784] = 4784,
  [4785] = 4556,
  [4786] = 4786,
  [4787] = 4576,
  [4788] = 4578,
  [4789] = 4789,
  [4790] = 4605,
  [4791] = 4535,
  [4792] = 4792,
  [4793] = 4497,
  [4794] = 4794,
  [4795] = 4764,
  [4796] = 4796,
  [4797] = 4579,
  [4798] = 4540,
  [4799] = 4799,
  [4800] = 4800,
  [4801] = 4801,
  [4802] = 4802,
  [4803] = 4803,
  [4804] = 4804,
  [4805] = 4805,
  [4806] = 4806,
  [4807] = 4807,
  [4808] = 4808,
  [4809] = 4809,
  [4810] = 4571,
  [4811] = 4811,
  [4812] = 4812,
  [4813] = 4549,
  [4814] = 4814,
  [4815] = 4815,
  [4816] = 4816,
  [4817] = 4545,
  [4818] = 4802,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4822,
  [4823] = 4803,
  [4824] = 4824,
  [4825] = 4825,
  [4826] = 4826,
  [4827] = 4827,
  [4828] = 4821,
  [4829] = 4829,
  [4830] = 4558,
  [4831] = 4807,
  [4832] = 4806,
  [4833] = 4820,
  [4834] = 4824,
  [4835] = 4835,
  [4836] = 4836,
  [4837] = 4799,
  [4838] = 4838,
  [4839] = 4816,
  [4840] = 4840,
  [4841] = 4812,
  [4842] = 4803,
  [4843] = 4497,
  [4844] = 4668,
  [4845] = 4503,
  [4846] = 4812,
  [4847] = 4816,
  [4848] = 4848,
  [4849] = 4812,
  [4850] = 4799,
  [4851] = 4499,
  [4852] = 4821,
  [4853] = 4801,
  [4854] = 4816,
  [4855] = 4821,
  [4856] = 4799,
  [4857] = 321,
  [4858] = 4816,
  [4859] = 4806,
  [4860] = 4814,
  [4861] = 4861,
  [4862] = 4807,
  [4863] = 4807,
  [4864] = 4806,
  [4865] = 4799,
  [4866] = 4812,
  [4867] = 4867,
  [4868] = 4868,
  [4869] = 4824,
  [4870] = 4553,
  [4871] = 4802,
  [4872] = 4812,
  [4873] = 4802,
  [4874] = 4816,
  [4875] = 4829,
  [4876] = 4554,
  [4877] = 4877,
  [4878] = 4821,
  [4879] = 4824,
  [4880] = 4253,
  [4881] = 4555,
  [4882] = 4835,
  [4883] = 4801,
  [4884] = 4884,
  [4885] = 4799,
  [4886] = 4803,
  [4887] = 4801,
  [4888] = 4783,
  [4889] = 4812,
  [4890] = 4890,
  [4891] = 4816,
  [4892] = 4892,
  [4893] = 4893,
  [4894] = 4821,
  [4895] = 4799,
  [4896] = 4896,
  [4897] = 4812,
  [4898] = 4816,
  [4899] = 4544,
  [4900] = 4786,
  [4901] = 4821,
  [4902] = 4902,
  [4903] = 4542,
  [4904] = 4904,
  [4905] = 4905,
  [4906] = 2139,
  [4907] = 2159,
  [4908] = 4908,
  [4909] = 4280,
  [4910] = 4910,
  [4911] = 4911,
  [4912] = 4912,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 4915,
  [4916] = 4821,
  [4917] = 4829,
  [4918] = 4559,
  [4919] = 4806,
  [4920] = 4807,
  [4921] = 4562,
  [4922] = 4915,
  [4923] = 4829,
  [4924] = 4566,
  [4925] = 4816,
  [4926] = 4799,
  [4927] = 4803,
  [4928] = 4928,
  [4929] = 4707,
  [4930] = 4868,
  [4931] = 4603,
  [4932] = 4812,
  [4933] = 4800,
  [4934] = 4826,
  [4935] = 4902,
  [4936] = 4799,
  [4937] = 4892,
  [4938] = 4602,
  [4939] = 4800,
  [4940] = 4814,
  [4941] = 4820,
  [4942] = 4942,
  [4943] = 4914,
  [4944] = 4944,
  [4945] = 4806,
  [4946] = 4601,
  [4947] = 4805,
  [4948] = 4800,
  [4949] = 4814,
  [4950] = 4820,
  [4951] = 4801,
  [4952] = 4815,
  [4953] = 4807,
  [4954] = 4806,
  [4955] = 4910,
  [4956] = 4807,
  [4957] = 4564,
  [4958] = 4905,
  [4959] = 4959,
  [4960] = 4911,
  [4961] = 4577,
  [4962] = 4884,
  [4963] = 4800,
  [4964] = 4580,
  [4965] = 4814,
  [4966] = 4820,
  [4967] = 4904,
  [4968] = 4802,
  [4969] = 4969,
  [4970] = 4581,
  [4971] = 4800,
  [4972] = 4821,
  [4973] = 4802,
  [4974] = 4877,
  [4975] = 4824,
  [4976] = 4814,
  [4977] = 4829,
  [4978] = 4276,
  [4979] = 4824,
  [4980] = 4599,
  [4981] = 4981,
  [4982] = 4905,
  [4983] = 4819,
  [4984] = 4583,
  [4985] = 4533,
  [4986] = 4905,
  [4987] = 4905,
  [4988] = 4905,
  [4989] = 929,
  [4990] = 4959,
  [4991] = 309,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4995,
  [4996] = 4996,
  [4997] = 326,
  [4998] = 323,
  [4999] = 4999,
  [5000] = 5000,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 5003,
  [5004] = 5004,
  [5005] = 5005,
  [5006] = 5006,
  [5007] = 5007,
  [5008] = 5008,
  [5009] = 5009,
  [5010] = 2490,
  [5011] = 2479,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 5015,
  [5016] = 5016,
  [5017] = 1029,
  [5018] = 1030,
  [5019] = 5019,
  [5020] = 1120,
  [5021] = 1023,
  [5022] = 1025,
  [5023] = 5023,
  [5024] = 5024,
  [5025] = 294,
  [5026] = 295,
  [5027] = 1089,
  [5028] = 1096,
  [5029] = 1114,
  [5030] = 1223,
  [5031] = 1123,
  [5032] = 1004,
  [5033] = 1124,
  [5034] = 1201,
  [5035] = 1170,
  [5036] = 1172,
  [5037] = 1173,
  [5038] = 1175,
  [5039] = 1176,
  [5040] = 1182,
  [5041] = 1184,
  [5042] = 1190,
  [5043] = 1014,
  [5044] = 1018,
  [5045] = 1019,
  [5046] = 1200,
  [5047] = 1213,
  [5048] = 1219,
  [5049] = 1181,
  [5050] = 1224,
  [5051] = 1225,
  [5052] = 1226,
  [5053] = 1245,
  [5054] = 1236,
  [5055] = 1246,
  [5056] = 1247,
  [5057] = 1253,
  [5058] = 1251,
  [5059] = 1252,
  [5060] = 997,
  [5061] = 995,
  [5062] = 983,
  [5063] = 1193,
  [5064] = 5064,
  [5065] = 1188,
  [5066] = 5066,
  [5067] = 1187,
  [5068] = 5068,
  [5069] = 5069,
  [5070] = 5070,
  [5071] = 5071,
  [5072] = 5072,
  [5073] = 1183,
  [5074] = 1076,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 1179,
  [5078] = 1177,
  [5079] = 1171,
  [5080] = 1098,
  [5081] = 5081,
  [5082] = 1093,
  [5083] = 5083,
  [5084] = 1091,
  [5085] = 1083,
  [5086] = 1026,
  [5087] = 1027,
  [5088] = 1036,
  [5089] = 1038,
  [5090] = 5090,
  [5091] = 5014,
  [5092] = 1017,
  [5093] = 5083,
  [5094] = 5094,
  [5095] = 5095,
  [5096] = 1043,
  [5097] = 1061,
  [5098] = 1062,
  [5099] = 1063,
  [5100] = 5100,
  [5101] = 1064,
  [5102] = 1074,
  [5103] = 1075,
  [5104] = 1150,
  [5105] = 1142,
  [5106] = 1143,
  [5107] = 1149,
  [5108] = 1205,
  [5109] = 1185,
  [5110] = 1186,
  [5111] = 5111,
  [5112] = 5095,
  [5113] = 5113,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 5119,
  [5120] = 5120,
  [5121] = 5121,
  [5122] = 5019,
  [5123] = 5123,
  [5124] = 5124,
  [5125] = 5095,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5130,
  [5131] = 5003,
  [5132] = 5132,
  [5133] = 5133,
  [5134] = 5134,
  [5135] = 5135,
  [5136] = 5136,
  [5137] = 5137,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5140,
  [5141] = 5141,
  [5142] = 5095,
  [5143] = 5016,
  [5144] = 5144,
  [5145] = 4796,
  [5146] = 5146,
  [5147] = 5070,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 5150,
  [5151] = 5081,
  [5152] = 5152,
  [5153] = 5153,
  [5154] = 5154,
  [5155] = 5155,
  [5156] = 5156,
  [5157] = 5157,
  [5158] = 5133,
  [5159] = 5159,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5162,
  [5163] = 5163,
  [5164] = 5164,
  [5165] = 5165,
  [5166] = 5081,
  [5167] = 5095,
  [5168] = 5168,
  [5169] = 5169,
  [5170] = 5170,
  [5171] = 5171,
  [5172] = 5070,
  [5173] = 5173,
  [5174] = 5174,
  [5175] = 5175,
  [5176] = 5176,
  [5177] = 5177,
  [5178] = 5175,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 5182,
  [5183] = 5016,
  [5184] = 5184,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 5000,
  [5190] = 5190,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5133,
  [5196] = 5004,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 5199,
  [5200] = 5200,
  [5201] = 5201,
  [5202] = 5202,
  [5203] = 5203,
  [5204] = 5204,
  [5205] = 5019,
  [5206] = 5206,
  [5207] = 5207,
  [5208] = 5208,
  [5209] = 5209,
  [5210] = 5210,
  [5211] = 5083,
  [5212] = 5212,
  [5213] = 5207,
  [5214] = 4780,
  [5215] = 5014,
  [5216] = 5216,
  [5217] = 5217,
  [5218] = 5218,
  [5219] = 5219,
  [5220] = 5003,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 5223,
  [5224] = 5170,
  [5225] = 5198,
  [5226] = 5194,
  [5227] = 5227,
  [5228] = 5228,
  [5229] = 5229,
  [5230] = 5230,
  [5231] = 5231,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 5236,
  [5237] = 5237,
  [5238] = 5000,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 5231,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 5249,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 5000,
  [5253] = 5253,
  [5254] = 5254,
  [5255] = 5255,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5259,
  [5260] = 5260,
  [5261] = 5175,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5133,
  [5266] = 5266,
  [5267] = 5170,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5272,
  [5273] = 5273,
  [5274] = 5274,
  [5275] = 5275,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 5279,
  [5280] = 5280,
  [5281] = 5175,
  [5282] = 5282,
  [5283] = 5283,
  [5284] = 5284,
  [5285] = 5285,
  [5286] = 5182,
  [5287] = 5169,
  [5288] = 5000,
  [5289] = 5289,
  [5290] = 5003,
  [5291] = 5291,
  [5292] = 5292,
  [5293] = 5293,
  [5294] = 5294,
  [5295] = 5295,
  [5296] = 5262,
  [5297] = 5135,
  [5298] = 5298,
  [5299] = 5299,
  [5300] = 5155,
  [5301] = 5170,
  [5302] = 5302,
  [5303] = 5303,
  [5304] = 5304,
  [5305] = 5305,
  [5306] = 5306,
  [5307] = 5307,
  [5308] = 5308,
  [5309] = 5309,
  [5310] = 5310,
  [5311] = 5311,
  [5312] = 5312,
  [5313] = 5313,
  [5314] = 5314,
  [5315] = 5076,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5003,
  [5319] = 5319,
  [5320] = 5320,
  [5321] = 5014,
  [5322] = 5322,
  [5323] = 5083,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5326,
  [5327] = 5327,
  [5328] = 5095,
  [5329] = 5329,
  [5330] = 5330,
  [5331] = 5174,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 5335,
  [5336] = 5134,
  [5337] = 5132,
  [5338] = 5014,
  [5339] = 5083,
  [5340] = 5127,
  [5341] = 5341,
  [5342] = 5100,
  [5343] = 5114,
  [5344] = 5019,
  [5345] = 5345,
  [5346] = 5132,
  [5347] = 5134,
  [5348] = 5169,
  [5349] = 5182,
  [5350] = 5207,
  [5351] = 5194,
  [5352] = 5124,
  [5353] = 5119,
  [5354] = 5174,
  [5355] = 5355,
  [5356] = 5356,
  [5357] = 4742,
  [5358] = 5358,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 5361,
  [5362] = 5362,
  [5363] = 5363,
  [5364] = 5364,
  [5365] = 5365,
  [5366] = 5366,
  [5367] = 5367,
  [5368] = 5100,
  [5369] = 5369,
  [5370] = 5114,
  [5371] = 5132,
  [5372] = 5372,
  [5373] = 5134,
  [5374] = 5374,
  [5375] = 5375,
  [5376] = 5175,
  [5377] = 5377,
  [5378] = 5169,
  [5379] = 5379,
  [5380] = 5016,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5182,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 5207,
  [5387] = 5194,
  [5388] = 5388,
  [5389] = 4808,
  [5390] = 5133,
  [5391] = 4836,
  [5392] = 5392,
  [5393] = 5070,
  [5394] = 5394,
  [5395] = 5174,
  [5396] = 4838,
  [5397] = 5081,
  [5398] = 5398,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5402,
  [5403] = 5403,
  [5404] = 5404,
  [5405] = 5405,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 5414,
  [5415] = 5114,
  [5416] = 5416,
  [5417] = 5100,
  [5418] = 5114,
  [5419] = 5132,
  [5420] = 5134,
  [5421] = 5421,
  [5422] = 5169,
  [5423] = 5182,
  [5424] = 5251,
  [5425] = 5408,
  [5426] = 5000,
  [5427] = 5427,
  [5428] = 5207,
  [5429] = 5429,
  [5430] = 5194,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5433,
  [5434] = 5434,
  [5435] = 5174,
  [5436] = 5436,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5170,
  [5440] = 5440,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5162,
  [5444] = 5366,
  [5445] = 5445,
  [5446] = 5367,
  [5447] = 5447,
  [5448] = 5003,
  [5449] = 5449,
  [5450] = 5450,
  [5451] = 5451,
  [5452] = 5452,
  [5453] = 5019,
  [5454] = 5454,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5133,
  [5458] = 5458,
  [5459] = 5459,
  [5460] = 5460,
  [5461] = 5461,
  [5462] = 5014,
  [5463] = 5083,
  [5464] = 5332,
  [5465] = 5465,
  [5466] = 5466,
  [5467] = 5467,
  [5468] = 5259,
  [5469] = 5016,
  [5470] = 5470,
  [5471] = 5471,
  [5472] = 5305,
  [5473] = 5473,
  [5474] = 5081,
  [5475] = 5200,
  [5476] = 5019,
  [5477] = 5100,
  [5478] = 5070,
  [5479] = 5081,
  [5480] = 5075,
  [5481] = 5069,
  [5482] = 5070,
  [5483] = 5100,
  [5484] = 5114,
  [5485] = 5132,
  [5486] = 5134,
  [5487] = 5487,
  [5488] = 5488,
  [5489] = 5489,
  [5490] = 5490,
  [5491] = 5169,
  [5492] = 5492,
  [5493] = 5182,
  [5494] = 5016,
  [5495] = 4678,
  [5496] = 4676,
  [5497] = 5497,
  [5498] = 5207,
  [5499] = 5194,
  [5500] = 5174,
  [5501] = 4969,
  [5502] = 5502,
  [5503] = 5503,
  [5504] = 5504,
  [5505] = 5505,
  [5506] = 5506,
  [5507] = 5507,
  [5508] = 5508,
  [5509] = 5509,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5512,
  [5513] = 986,
  [5514] = 5514,
  [5515] = 5515,
  [5516] = 1013,
  [5517] = 1012,
  [5518] = 5518,
  [5519] = 999,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5522,
  [5523] = 5523,
  [5524] = 5524,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5527,
  [5528] = 5520,
  [5529] = 5529,
  [5530] = 5530,
  [5531] = 5531,
  [5532] = 5532,
  [5533] = 5533,
  [5534] = 5521,
  [5535] = 5535,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 5527,
  [5539] = 5539,
  [5540] = 5520,
  [5541] = 5541,
  [5542] = 5542,
  [5543] = 5532,
  [5544] = 5536,
  [5545] = 5545,
  [5546] = 5527,
  [5547] = 5524,
  [5548] = 5520,
  [5549] = 5549,
  [5550] = 5532,
  [5551] = 5536,
  [5552] = 5552,
  [5553] = 5526,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5556,
  [5557] = 5536,
  [5558] = 5532,
  [5559] = 5527,
  [5560] = 5560,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 957,
  [5565] = 5520,
  [5566] = 5566,
  [5567] = 5532,
  [5568] = 5536,
  [5569] = 5537,
  [5570] = 5570,
  [5571] = 5524,
  [5572] = 5549,
  [5573] = 5573,
  [5574] = 5533,
  [5575] = 5575,
  [5576] = 5521,
  [5577] = 5526,
  [5578] = 5536,
  [5579] = 5579,
  [5580] = 5532,
  [5581] = 5527,
  [5582] = 5520,
  [5583] = 5579,
  [5584] = 5530,
  [5585] = 5585,
  [5586] = 5527,
  [5587] = 5520,
  [5588] = 5588,
  [5589] = 5589,
  [5590] = 5590,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5532,
  [5594] = 5524,
  [5595] = 5530,
  [5596] = 5536,
  [5597] = 5592,
  [5598] = 5590,
  [5599] = 5255,
  [5600] = 5588,
  [5601] = 5585,
  [5602] = 5588,
  [5603] = 5590,
  [5604] = 5592,
  [5605] = 5585,
  [5606] = 5606,
  [5607] = 5520,
  [5608] = 5579,
  [5609] = 5527,
  [5610] = 5610,
  [5611] = 2199,
  [5612] = 5612,
  [5613] = 5526,
  [5614] = 1005,
  [5615] = 5615,
  [5616] = 5535,
  [5617] = 5617,
  [5618] = 5520,
  [5619] = 5527,
  [5620] = 5545,
  [5621] = 5621,
  [5622] = 5566,
  [5623] = 5623,
  [5624] = 5624,
  [5625] = 5532,
  [5626] = 5626,
  [5627] = 5536,
  [5628] = 5527,
  [5629] = 5612,
  [5630] = 5520,
  [5631] = 5631,
  [5632] = 5632,
  [5633] = 5570,
  [5634] = 5634,
  [5635] = 5635,
  [5636] = 5532,
  [5637] = 5536,
  [5638] = 5545,
  [5639] = 5589,
  [5640] = 5640,
  [5641] = 5549,
  [5642] = 5563,
  [5643] = 5643,
  [5644] = 5570,
  [5645] = 5561,
  [5646] = 5555,
  [5647] = 5560,
  [5648] = 5556,
  [5649] = 5556,
  [5650] = 5555,
  [5651] = 5537,
  [5652] = 5560,
  [5653] = 5549,
  [5654] = 5561,
  [5655] = 5563,
  [5656] = 5555,
  [5657] = 5566,
  [5658] = 5556,
  [5659] = 5545,
  [5660] = 5560,
  [5661] = 5661,
  [5662] = 5662,
  [5663] = 5663,
  [5664] = 5561,
  [5665] = 5563,
  [5666] = 5563,
  [5667] = 5561,
  [5668] = 5560,
  [5669] = 5669,
  [5670] = 5670,
  [5671] = 5556,
  [5672] = 5555,
  [5673] = 5673,
  [5674] = 5530,
  [5675] = 5566,
  [5676] = 5524,
  [5677] = 5677,
  [5678] = 5555,
  [5679] = 5556,
  [5680] = 5570,
  [5681] = 5681,
  [5682] = 5566,
  [5683] = 5537,
  [5684] = 5522,
  [5685] = 5271,
  [5686] = 5549,
  [5687] = 5681,
  [5688] = 5521,
  [5689] = 5527,
  [5690] = 5570,
  [5691] = 2173,
  [5692] = 5692,
  [5693] = 5545,
  [5694] = 5694,
  [5695] = 5570,
  [5696] = 5592,
  [5697] = 5527,
  [5698] = 5698,
  [5699] = 5590,
  [5700] = 5520,
  [5701] = 5532,
  [5702] = 5536,
  [5703] = 5703,
  [5704] = 5535,
  [5705] = 5527,
  [5706] = 5520,
  [5707] = 5703,
  [5708] = 5592,
  [5709] = 5526,
  [5710] = 5590,
  [5711] = 5588,
  [5712] = 5537,
  [5713] = 5585,
  [5714] = 5535,
  [5715] = 5555,
  [5716] = 5592,
  [5717] = 5590,
  [5718] = 5588,
  [5719] = 5585,
  [5720] = 5720,
  [5721] = 5536,
  [5722] = 5532,
  [5723] = 5579,
  [5724] = 5590,
  [5725] = 5592,
  [5726] = 5535,
  [5727] = 5579,
  [5728] = 5579,
  [5729] = 5520,
  [5730] = 5730,
  [5731] = 5530,
  [5732] = 5527,
  [5733] = 2189,
  [5734] = 5532,
  [5735] = 5536,
  [5736] = 5730,
  [5737] = 5570,
  [5738] = 4796,
  [5739] = 5532,
  [5740] = 293,
  [5741] = 5536,
  [5742] = 312,
  [5743] = 5521,
  [5744] = 329,
  [5745] = 976,
  [5746] = 973,
  [5747] = 5566,
  [5748] = 5556,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5751,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 5754,
  [5755] = 5755,
  [5756] = 5756,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5759,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5762,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 5765,
  [5766] = 5766,
  [5767] = 5767,
  [5768] = 5768,
  [5769] = 5769,
  [5770] = 5770,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 5773,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 5776,
  [5777] = 5777,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 5780,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5785,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5792,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5829,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5832,
  [5833] = 5833,
  [5834] = 5834,
  [5835] = 5835,
  [5836] = 5836,
  [5837] = 5837,
  [5838] = 5838,
  [5839] = 5839,
  [5840] = 5809,
  [5841] = 5807,
  [5842] = 5842,
  [5843] = 5843,
  [5844] = 5844,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 5847,
  [5848] = 5848,
  [5849] = 5849,
  [5850] = 5850,
  [5851] = 5851,
  [5852] = 5852,
  [5853] = 5853,
  [5854] = 5854,
  [5855] = 5855,
  [5856] = 5856,
  [5857] = 5857,
  [5858] = 5858,
  [5859] = 5859,
  [5860] = 5860,
  [5861] = 5861,
  [5862] = 5862,
  [5863] = 5863,
  [5864] = 5864,
  [5865] = 5865,
  [5866] = 5866,
  [5867] = 5867,
  [5868] = 2235,
  [5869] = 5869,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5872,
  [5873] = 5873,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5877,
  [5878] = 5878,
  [5879] = 5879,
  [5880] = 5880,
  [5881] = 5881,
  [5882] = 5882,
  [5883] = 5883,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5886,
  [5887] = 5887,
  [5888] = 5888,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5891,
  [5892] = 5892,
  [5893] = 5893,
  [5894] = 5894,
  [5895] = 5895,
  [5896] = 5896,
  [5897] = 5897,
  [5898] = 5898,
  [5899] = 5899,
  [5900] = 5900,
  [5901] = 5901,
  [5902] = 5902,
  [5903] = 5903,
  [5904] = 5904,
  [5905] = 5905,
  [5906] = 5906,
  [5907] = 5907,
  [5908] = 5908,
  [5909] = 5909,
  [5910] = 5910,
  [5911] = 5911,
  [5912] = 5912,
  [5913] = 5913,
  [5914] = 5914,
  [5915] = 5915,
  [5916] = 5916,
  [5917] = 5917,
  [5918] = 5918,
  [5919] = 5919,
  [5920] = 5920,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 4707,
  [5924] = 5924,
  [5925] = 5925,
  [5926] = 5926,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 5929,
  [5930] = 5930,
  [5931] = 5931,
  [5932] = 5932,
  [5933] = 5933,
  [5934] = 5934,
  [5935] = 5935,
  [5936] = 5936,
  [5937] = 5937,
  [5938] = 5938,
  [5939] = 5939,
  [5940] = 5940,
  [5941] = 5941,
  [5942] = 5942,
  [5943] = 5943,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5947,
  [5948] = 5948,
  [5949] = 5949,
  [5950] = 5950,
  [5951] = 5951,
  [5952] = 5952,
  [5953] = 5953,
  [5954] = 5954,
  [5955] = 5749,
  [5956] = 5956,
  [5957] = 5957,
  [5958] = 5958,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5961,
  [5962] = 5962,
  [5963] = 5963,
  [5964] = 5964,
  [5965] = 5965,
  [5966] = 5966,
  [5967] = 5967,
  [5968] = 5968,
  [5969] = 5969,
  [5970] = 5970,
  [5971] = 5971,
  [5972] = 5972,
  [5973] = 5973,
  [5974] = 5974,
  [5975] = 5975,
  [5976] = 5976,
  [5977] = 5977,
  [5978] = 5978,
  [5979] = 5979,
  [5980] = 5980,
  [5981] = 5833,
  [5982] = 5982,
  [5983] = 5983,
  [5984] = 5984,
  [5985] = 5882,
  [5986] = 5881,
  [5987] = 5987,
  [5988] = 5778,
  [5989] = 5989,
  [5990] = 5990,
  [5991] = 5991,
  [5992] = 5877,
  [5993] = 5993,
  [5994] = 5994,
  [5995] = 5995,
  [5996] = 5822,
  [5997] = 5997,
  [5998] = 5998,
  [5999] = 5999,
  [6000] = 5821,
  [6001] = 6001,
  [6002] = 6002,
  [6003] = 5820,
  [6004] = 6004,
  [6005] = 5817,
  [6006] = 6006,
  [6007] = 5813,
  [6008] = 6008,
  [6009] = 6009,
  [6010] = 6010,
  [6011] = 5804,
  [6012] = 6012,
  [6013] = 6013,
  [6014] = 6014,
  [6015] = 5800,
  [6016] = 5798,
  [6017] = 6017,
  [6018] = 6018,
  [6019] = 6019,
  [6020] = 6020,
  [6021] = 6021,
  [6022] = 6022,
  [6023] = 6023,
  [6024] = 6024,
  [6025] = 6025,
  [6026] = 6026,
  [6027] = 6027,
  [6028] = 6028,
  [6029] = 6029,
  [6030] = 6030,
  [6031] = 5786,
  [6032] = 5784,
  [6033] = 6033,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 6036,
  [6037] = 6037,
  [6038] = 6038,
  [6039] = 6039,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 6044,
  [6045] = 6045,
  [6046] = 6046,
  [6047] = 6047,
  [6048] = 6048,
  [6049] = 6049,
  [6050] = 6050,
  [6051] = 5749,
  [6052] = 6052,
  [6053] = 5958,
  [6054] = 5762,
  [6055] = 6055,
  [6056] = 5771,
  [6057] = 6057,
  [6058] = 6058,
  [6059] = 6059,
  [6060] = 5271,
  [6061] = 6061,
  [6062] = 6062,
  [6063] = 5771,
  [6064] = 6064,
  [6065] = 5773,
  [6066] = 5774,
  [6067] = 6067,
  [6068] = 5831,
  [6069] = 6069,
  [6070] = 6070,
  [6071] = 6071,
  [6072] = 974,
  [6073] = 6073,
  [6074] = 6074,
  [6075] = 6075,
  [6076] = 5778,
  [6077] = 6077,
  [6078] = 6078,
  [6079] = 6079,
  [6080] = 5774,
  [6081] = 5773,
  [6082] = 6082,
  [6083] = 6083,
  [6084] = 6084,
  [6085] = 5771,
  [6086] = 6086,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6089,
  [6090] = 6090,
  [6091] = 6091,
  [6092] = 5762,
  [6093] = 5958,
  [6094] = 5749,
  [6095] = 6095,
  [6096] = 6096,
  [6097] = 5756,
  [6098] = 6098,
  [6099] = 5807,
  [6100] = 5754,
  [6101] = 5809,
  [6102] = 5752,
  [6103] = 5751,
  [6104] = 6104,
  [6105] = 6105,
  [6106] = 5809,
  [6107] = 5807,
  [6108] = 5831,
  [6109] = 5778,
  [6110] = 6110,
  [6111] = 6111,
  [6112] = 6112,
  [6113] = 5313,
  [6114] = 6114,
  [6115] = 5958,
  [6116] = 5749,
  [6117] = 6117,
  [6118] = 6118,
  [6119] = 4783,
  [6120] = 6120,
  [6121] = 6121,
  [6122] = 6122,
  [6123] = 6123,
  [6124] = 6124,
  [6125] = 6125,
  [6126] = 6126,
  [6127] = 6127,
  [6128] = 6128,
  [6129] = 5831,
  [6130] = 6130,
  [6131] = 6131,
  [6132] = 6132,
  [6133] = 6133,
  [6134] = 5877,
  [6135] = 6135,
  [6136] = 5774,
  [6137] = 6137,
  [6138] = 5881,
  [6139] = 5882,
  [6140] = 5773,
  [6141] = 6141,
  [6142] = 6142,
  [6143] = 6143,
  [6144] = 1017,
  [6145] = 5762,
  [6146] = 6146,
  [6147] = 6147,
  [6148] = 6148,
  [6149] = 6149,
  [6150] = 6150,
  [6151] = 6151,
  [6152] = 6152,
  [6153] = 5778,
  [6154] = 5784,
  [6155] = 6155,
  [6156] = 5786,
  [6157] = 6157,
  [6158] = 6158,
  [6159] = 6159,
  [6160] = 6160,
  [6161] = 6161,
  [6162] = 6162,
  [6163] = 6163,
  [6164] = 6164,
  [6165] = 5958,
  [6166] = 6166,
  [6167] = 6167,
  [6168] = 6168,
  [6169] = 6169,
  [6170] = 6170,
  [6171] = 5784,
  [6172] = 6172,
  [6173] = 5786,
  [6174] = 6174,
  [6175] = 6175,
  [6176] = 6176,
  [6177] = 6177,
  [6178] = 4786,
  [6179] = 6179,
  [6180] = 5798,
  [6181] = 6181,
  [6182] = 5800,
  [6183] = 5804,
  [6184] = 6184,
  [6185] = 6185,
  [6186] = 6186,
  [6187] = 5813,
  [6188] = 5817,
  [6189] = 6189,
  [6190] = 5820,
  [6191] = 5255,
  [6192] = 5821,
  [6193] = 6193,
  [6194] = 5822,
  [6195] = 1006,
  [6196] = 5798,
  [6197] = 5800,
  [6198] = 5804,
  [6199] = 6184,
  [6200] = 6200,
  [6201] = 983,
  [6202] = 5813,
  [6203] = 6203,
  [6204] = 995,
  [6205] = 5817,
  [6206] = 986,
  [6207] = 5820,
  [6208] = 997,
  [6209] = 6209,
  [6210] = 5821,
  [6211] = 6185,
  [6212] = 6212,
  [6213] = 5822,
  [6214] = 6214,
  [6215] = 6215,
  [6216] = 6216,
  [6217] = 6217,
  [6218] = 6218,
  [6219] = 6219,
  [6220] = 6220,
  [6221] = 6221,
  [6222] = 5833,
  [6223] = 5838,
  [6224] = 1018,
  [6225] = 6073,
  [6226] = 5774,
  [6227] = 6227,
  [6228] = 6228,
  [6229] = 6212,
  [6230] = 6230,
  [6231] = 6231,
  [6232] = 6232,
  [6233] = 6216,
  [6234] = 5833,
  [6235] = 6235,
  [6236] = 6236,
  [6237] = 6237,
  [6238] = 5833,
  [6239] = 5838,
  [6240] = 6240,
  [6241] = 5831,
  [6242] = 6242,
  [6243] = 6243,
  [6244] = 6244,
  [6245] = 5798,
  [6246] = 6246,
  [6247] = 6247,
  [6248] = 5800,
  [6249] = 5822,
  [6250] = 6250,
  [6251] = 6251,
  [6252] = 5813,
  [6253] = 5821,
  [6254] = 6254,
  [6255] = 6255,
  [6256] = 5820,
  [6257] = 6257,
  [6258] = 5817,
  [6259] = 6259,
  [6260] = 5813,
  [6261] = 5817,
  [6262] = 6262,
  [6263] = 6263,
  [6264] = 5804,
  [6265] = 5842,
  [6266] = 6266,
  [6267] = 6267,
  [6268] = 5800,
  [6269] = 5798,
  [6270] = 6270,
  [6271] = 6271,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 5820,
  [6275] = 6275,
  [6276] = 5843,
  [6277] = 5842,
  [6278] = 6270,
  [6279] = 6279,
  [6280] = 5461,
  [6281] = 6272,
  [6282] = 6282,
  [6283] = 6283,
  [6284] = 5786,
  [6285] = 5784,
  [6286] = 6286,
  [6287] = 5843,
  [6288] = 6288,
  [6289] = 6289,
  [6290] = 6290,
  [6291] = 6291,
  [6292] = 6292,
  [6293] = 6293,
  [6294] = 6294,
  [6295] = 1019,
  [6296] = 5751,
  [6297] = 6297,
  [6298] = 5752,
  [6299] = 6299,
  [6300] = 5754,
  [6301] = 1013,
  [6302] = 5756,
  [6303] = 1012,
  [6304] = 6304,
  [6305] = 5762,
  [6306] = 6141,
  [6307] = 6307,
  [6308] = 1014,
  [6309] = 6309,
  [6310] = 6310,
  [6311] = 6297,
  [6312] = 6312,
  [6313] = 6313,
  [6314] = 5771,
  [6315] = 6315,
  [6316] = 5773,
  [6317] = 5774,
  [6318] = 5228,
  [6319] = 5875,
  [6320] = 6312,
  [6321] = 6321,
  [6322] = 6322,
  [6323] = 6323,
  [6324] = 5875,
  [6325] = 6325,
  [6326] = 5919,
  [6327] = 6327,
  [6328] = 6328,
  [6329] = 6329,
  [6330] = 6176,
  [6331] = 6141,
  [6332] = 6332,
  [6333] = 4796,
  [6334] = 6334,
  [6335] = 6335,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 6338,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 6341,
  [6342] = 5809,
  [6343] = 999,
  [6344] = 5807,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 5913,
  [6348] = 6348,
  [6349] = 1004,
  [6350] = 5807,
  [6351] = 6351,
  [6352] = 5809,
  [6353] = 6332,
  [6354] = 6335,
  [6355] = 6336,
  [6356] = 6339,
  [6357] = 6357,
  [6358] = 6358,
  [6359] = 6359,
  [6360] = 996,
  [6361] = 5774,
  [6362] = 5773,
  [6363] = 5904,
  [6364] = 5771,
  [6365] = 6365,
  [6366] = 4533,
  [6367] = 6367,
  [6368] = 6176,
  [6369] = 6369,
  [6370] = 6141,
  [6371] = 5904,
  [6372] = 6141,
  [6373] = 6373,
  [6374] = 6374,
  [6375] = 990,
  [6376] = 6176,
  [6377] = 6377,
  [6378] = 5877,
  [6379] = 6379,
  [6380] = 5915,
  [6381] = 6379,
  [6382] = 6382,
  [6383] = 5784,
  [6384] = 5913,
  [6385] = 6385,
  [6386] = 5786,
  [6387] = 6387,
  [6388] = 6388,
  [6389] = 6389,
  [6390] = 6390,
  [6391] = 5915,
  [6392] = 6388,
  [6393] = 6176,
  [6394] = 6176,
  [6395] = 6395,
  [6396] = 5749,
  [6397] = 5958,
  [6398] = 6398,
  [6399] = 6399,
  [6400] = 6400,
  [6401] = 5970,
  [6402] = 5882,
  [6403] = 6403,
  [6404] = 5881,
  [6405] = 5970,
  [6406] = 6406,
  [6407] = 5877,
  [6408] = 2558,
  [6409] = 6409,
  [6410] = 6410,
  [6411] = 2549,
  [6412] = 6412,
  [6413] = 6413,
  [6414] = 5882,
  [6415] = 2268,
  [6416] = 2253,
  [6417] = 5798,
  [6418] = 5813,
  [6419] = 6419,
  [6420] = 2269,
  [6421] = 2257,
  [6422] = 5804,
  [6423] = 2246,
  [6424] = 6424,
  [6425] = 2261,
  [6426] = 2255,
  [6427] = 2247,
  [6428] = 6428,
  [6429] = 2236,
  [6430] = 6430,
  [6431] = 2232,
  [6432] = 6432,
  [6433] = 5881,
  [6434] = 6434,
  [6435] = 5800,
  [6436] = 6436,
  [6437] = 5820,
  [6438] = 6438,
  [6439] = 5817,
  [6440] = 6440,
  [6441] = 1193,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6445,
  [6446] = 6446,
  [6447] = 333,
  [6448] = 6440,
  [6449] = 6449,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 6453,
  [6454] = 6454,
  [6455] = 6455,
  [6456] = 6451,
  [6457] = 6457,
  [6458] = 6458,
  [6459] = 6459,
  [6460] = 6460,
  [6461] = 6461,
  [6462] = 6462,
  [6463] = 6463,
  [6464] = 6464,
  [6465] = 6465,
  [6466] = 6466,
  [6467] = 323,
  [6468] = 326,
  [6469] = 6469,
  [6470] = 6470,
  [6471] = 6471,
  [6472] = 6442,
  [6473] = 6457,
  [6474] = 6466,
  [6475] = 6470,
  [6476] = 6476,
  [6477] = 6460,
  [6478] = 6478,
  [6479] = 6479,
  [6480] = 6480,
  [6481] = 6481,
  [6482] = 6482,
  [6483] = 6483,
  [6484] = 6484,
  [6485] = 6485,
  [6486] = 6486,
  [6487] = 6487,
  [6488] = 6487,
  [6489] = 6489,
  [6490] = 6460,
  [6491] = 6491,
  [6492] = 6492,
  [6493] = 6486,
  [6494] = 6484,
  [6495] = 6495,
  [6496] = 6483,
  [6497] = 6480,
  [6498] = 6489,
  [6499] = 6492,
  [6500] = 2785,
  [6501] = 2771,
  [6502] = 6464,
  [6503] = 3630,
  [6504] = 2794,
  [6505] = 6505,
  [6506] = 6485,
  [6507] = 6491,
  [6508] = 6508,
  [6509] = 6482,
  [6510] = 6481,
  [6511] = 6479,
  [6512] = 3628,
  [6513] = 6476,
  [6514] = 3629,
  [6515] = 6515,
  [6516] = 6469,
  [6517] = 6517,
  [6518] = 327,
  [6519] = 3662,
  [6520] = 6520,
  [6521] = 6521,
  [6522] = 3610,
  [6523] = 1089,
  [6524] = 6524,
  [6525] = 6525,
  [6526] = 6492,
  [6527] = 6461,
  [6528] = 6528,
  [6529] = 6459,
  [6530] = 6530,
  [6531] = 6531,
  [6532] = 6532,
  [6533] = 6452,
  [6534] = 6534,
  [6535] = 6535,
  [6536] = 6450,
  [6537] = 1090,
  [6538] = 6538,
  [6539] = 6539,
  [6540] = 6540,
  [6541] = 6541,
  [6542] = 1096,
  [6543] = 6543,
  [6544] = 6445,
  [6545] = 6545,
  [6546] = 6546,
  [6547] = 6547,
  [6548] = 6491,
  [6549] = 6443,
  [6550] = 6550,
  [6551] = 6551,
  [6552] = 6552,
  [6553] = 1114,
  [6554] = 6449,
  [6555] = 6453,
  [6556] = 6454,
  [6557] = 6455,
  [6558] = 6440,
  [6559] = 1120,
  [6560] = 6560,
  [6561] = 6561,
  [6562] = 1123,
  [6563] = 6563,
  [6564] = 3626,
  [6565] = 6492,
  [6566] = 6539,
  [6567] = 6540,
  [6568] = 6568,
  [6569] = 6569,
  [6570] = 3660,
  [6571] = 3639,
  [6572] = 6572,
  [6573] = 3640,
  [6574] = 3616,
  [6575] = 6575,
  [6576] = 3614,
  [6577] = 1250,
  [6578] = 6578,
  [6579] = 6560,
  [6580] = 6575,
  [6581] = 6563,
  [6582] = 6561,
  [6583] = 6560,
  [6584] = 6584,
  [6585] = 6563,
  [6586] = 6540,
  [6587] = 6539,
  [6588] = 6588,
  [6589] = 6460,
  [6590] = 6590,
  [6591] = 6575,
  [6592] = 6491,
  [6593] = 1189,
  [6594] = 6594,
  [6595] = 1124,
  [6596] = 6450,
  [6597] = 6470,
  [6598] = 6598,
  [6599] = 6466,
  [6600] = 6457,
  [6601] = 6601,
  [6602] = 6442,
  [6603] = 6463,
  [6604] = 6464,
  [6605] = 1201,
  [6606] = 1162,
  [6607] = 6607,
  [6608] = 1165,
  [6609] = 1170,
  [6610] = 6492,
  [6611] = 1172,
  [6612] = 1173,
  [6613] = 1175,
  [6614] = 6584,
  [6615] = 1176,
  [6616] = 1182,
  [6617] = 6594,
  [6618] = 6478,
  [6619] = 6480,
  [6620] = 6483,
  [6621] = 6484,
  [6622] = 6486,
  [6623] = 6487,
  [6624] = 6561,
  [6625] = 1184,
  [6626] = 6626,
  [6627] = 6627,
  [6628] = 3625,
  [6629] = 6440,
  [6630] = 6455,
  [6631] = 6631,
  [6632] = 6632,
  [6633] = 1242,
  [6634] = 6634,
  [6635] = 1241,
  [6636] = 1240,
  [6637] = 6440,
  [6638] = 6638,
  [6639] = 1190,
  [6640] = 4969,
  [6641] = 6485,
  [6642] = 6455,
  [6643] = 6508,
  [6644] = 6482,
  [6645] = 6481,
  [6646] = 6479,
  [6647] = 6476,
  [6648] = 6632,
  [6649] = 6515,
  [6650] = 6454,
  [6651] = 6469,
  [6652] = 6634,
  [6653] = 1200,
  [6654] = 6520,
  [6655] = 6521,
  [6656] = 6524,
  [6657] = 6525,
  [6658] = 6461,
  [6659] = 6459,
  [6660] = 6530,
  [6661] = 6531,
  [6662] = 6532,
  [6663] = 6452,
  [6664] = 6451,
  [6665] = 1203,
  [6666] = 6666,
  [6667] = 6454,
  [6668] = 1213,
  [6669] = 1219,
  [6670] = 1223,
  [6671] = 6491,
  [6672] = 6445,
  [6673] = 6673,
  [6674] = 6546,
  [6675] = 6547,
  [6676] = 1224,
  [6677] = 6677,
  [6678] = 6443,
  [6679] = 6550,
  [6680] = 6444,
  [6681] = 6446,
  [6682] = 6551,
  [6683] = 6453,
  [6684] = 6684,
  [6685] = 6449,
  [6686] = 1225,
  [6687] = 1226,
  [6688] = 1245,
  [6689] = 6449,
  [6690] = 6453,
  [6691] = 6691,
  [6692] = 6454,
  [6693] = 6455,
  [6694] = 6440,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6495,
  [6698] = 6453,
  [6699] = 6449,
  [6700] = 6700,
  [6701] = 1236,
  [6702] = 6700,
  [6703] = 6703,
  [6704] = 1246,
  [6705] = 1247,
  [6706] = 6551,
  [6707] = 6575,
  [6708] = 6708,
  [6709] = 6541,
  [6710] = 6563,
  [6711] = 6550,
  [6712] = 6463,
  [6713] = 3650,
  [6714] = 6443,
  [6715] = 6715,
  [6716] = 1253,
  [6717] = 6561,
  [6718] = 6560,
  [6719] = 1249,
  [6720] = 1254,
  [6721] = 6721,
  [6722] = 6627,
  [6723] = 6540,
  [6724] = 6724,
  [6725] = 6539,
  [6726] = 6460,
  [6727] = 6547,
  [6728] = 6728,
  [6729] = 3644,
  [6730] = 6464,
  [6731] = 6546,
  [6732] = 6732,
  [6733] = 6733,
  [6734] = 6551,
  [6735] = 6470,
  [6736] = 6466,
  [6737] = 6457,
  [6738] = 6442,
  [6739] = 6550,
  [6740] = 6740,
  [6741] = 1217,
  [6742] = 6445,
  [6743] = 1216,
  [6744] = 6744,
  [6745] = 6745,
  [6746] = 6746,
  [6747] = 3613,
  [6748] = 6443,
  [6749] = 1218,
  [6750] = 1215,
  [6751] = 1214,
  [6752] = 1251,
  [6753] = 6753,
  [6754] = 3615,
  [6755] = 6715,
  [6756] = 6463,
  [6757] = 6464,
  [6758] = 1212,
  [6759] = 6759,
  [6760] = 1211,
  [6761] = 1210,
  [6762] = 6547,
  [6763] = 1209,
  [6764] = 6546,
  [6765] = 6765,
  [6766] = 1252,
  [6767] = 6767,
  [6768] = 6478,
  [6769] = 6769,
  [6770] = 6480,
  [6771] = 6771,
  [6772] = 6772,
  [6773] = 6483,
  [6774] = 6484,
  [6775] = 6775,
  [6776] = 6486,
  [6777] = 6777,
  [6778] = 6778,
  [6779] = 6487,
  [6780] = 6780,
  [6781] = 6781,
  [6782] = 1188,
  [6783] = 6445,
  [6784] = 1187,
  [6785] = 6744,
  [6786] = 6746,
  [6787] = 1183,
  [6788] = 6788,
  [6789] = 1181,
  [6790] = 1179,
  [6791] = 6791,
  [6792] = 6485,
  [6793] = 6793,
  [6794] = 6794,
  [6795] = 1177,
  [6796] = 6508,
  [6797] = 6482,
  [6798] = 6481,
  [6799] = 6479,
  [6800] = 6476,
  [6801] = 6801,
  [6802] = 1171,
  [6803] = 6515,
  [6804] = 6804,
  [6805] = 6469,
  [6806] = 1098,
  [6807] = 6771,
  [6808] = 6520,
  [6809] = 6521,
  [6810] = 6524,
  [6811] = 6811,
  [6812] = 6525,
  [6813] = 6461,
  [6814] = 6459,
  [6815] = 6530,
  [6816] = 6531,
  [6817] = 6532,
  [6818] = 6452,
  [6819] = 6451,
  [6820] = 6450,
  [6821] = 6821,
  [6822] = 1093,
  [6823] = 6772,
  [6824] = 6780,
  [6825] = 6825,
  [6826] = 1091,
  [6827] = 6777,
  [6828] = 1087,
  [6829] = 6767,
  [6830] = 6830,
  [6831] = 1169,
  [6832] = 1166,
  [6833] = 6478,
  [6834] = 1161,
  [6835] = 6835,
  [6836] = 6836,
  [6837] = 1160,
  [6838] = 6838,
  [6839] = 6767,
  [6840] = 6777,
  [6841] = 6484,
  [6842] = 6842,
  [6843] = 6843,
  [6844] = 6844,
  [6845] = 6845,
  [6846] = 6445,
  [6847] = 3652,
  [6848] = 6848,
  [6849] = 3651,
  [6850] = 6480,
  [6851] = 6483,
  [6852] = 6546,
  [6853] = 6853,
  [6854] = 6547,
  [6855] = 6486,
  [6856] = 1159,
  [6857] = 6443,
  [6858] = 6858,
  [6859] = 6550,
  [6860] = 6551,
  [6861] = 6780,
  [6862] = 6862,
  [6863] = 6487,
  [6864] = 6449,
  [6865] = 6453,
  [6866] = 1158,
  [6867] = 6867,
  [6868] = 6454,
  [6869] = 6869,
  [6870] = 6870,
  [6871] = 6455,
  [6872] = 6872,
  [6873] = 1157,
  [6874] = 1155,
  [6875] = 1154,
  [6876] = 6876,
  [6877] = 1153,
  [6878] = 6450,
  [6879] = 6451,
  [6880] = 6491,
  [6881] = 6452,
  [6882] = 1152,
  [6883] = 1151,
  [6884] = 1148,
  [6885] = 6862,
  [6886] = 6886,
  [6887] = 1149,
  [6888] = 6888,
  [6889] = 4838,
  [6890] = 4836,
  [6891] = 6891,
  [6892] = 6485,
  [6893] = 4808,
  [6894] = 6876,
  [6895] = 6575,
  [6896] = 6563,
  [6897] = 6561,
  [6898] = 6560,
  [6899] = 6899,
  [6900] = 6540,
  [6901] = 6539,
  [6902] = 3623,
  [6903] = 6489,
  [6904] = 6904,
  [6905] = 6450,
  [6906] = 6460,
  [6907] = 1147,
  [6908] = 6908,
  [6909] = 6492,
  [6910] = 6451,
  [6911] = 1146,
  [6912] = 6532,
  [6913] = 6531,
  [6914] = 6530,
  [6915] = 6470,
  [6916] = 6466,
  [6917] = 6457,
  [6918] = 6442,
  [6919] = 6778,
  [6920] = 1206,
  [6921] = 6921,
  [6922] = 6922,
  [6923] = 6923,
  [6924] = 1205,
  [6925] = 1185,
  [6926] = 6926,
  [6927] = 6444,
  [6928] = 6446,
  [6929] = 1035,
  [6930] = 6452,
  [6931] = 6444,
  [6932] = 6788,
  [6933] = 1140,
  [6934] = 1139,
  [6935] = 1033,
  [6936] = 1032,
  [6937] = 1031,
  [6938] = 1150,
  [6939] = 1138,
  [6940] = 6459,
  [6941] = 6495,
  [6942] = 6888,
  [6943] = 6508,
  [6944] = 6541,
  [6945] = 1048,
  [6946] = 1137,
  [6947] = 6947,
  [6948] = 1144,
  [6949] = 1143,
  [6950] = 1028,
  [6951] = 6951,
  [6952] = 6627,
  [6953] = 1136,
  [6954] = 6954,
  [6955] = 1135,
  [6956] = 6956,
  [6957] = 1142,
  [6958] = 6461,
  [6959] = 1186,
  [6960] = 1134,
  [6961] = 6778,
  [6962] = 6715,
  [6963] = 1051,
  [6964] = 6964,
  [6965] = 1025,
  [6966] = 1023,
  [6967] = 6967,
  [6968] = 1052,
  [6969] = 1053,
  [6970] = 6772,
  [6971] = 1020,
  [6972] = 6899,
  [6973] = 6778,
  [6974] = 1055,
  [6975] = 1056,
  [6976] = 6976,
  [6977] = 1057,
  [6978] = 6793,
  [6979] = 1059,
  [6980] = 1065,
  [6981] = 6981,
  [6982] = 6982,
  [6983] = 1066,
  [6984] = 6984,
  [6985] = 3638,
  [6986] = 6986,
  [6987] = 1132,
  [6988] = 1067,
  [6989] = 3612,
  [6990] = 6990,
  [6991] = 1070,
  [6992] = 6482,
  [6993] = 6481,
  [6994] = 1071,
  [6995] = 1077,
  [6996] = 6479,
  [6997] = 6997,
  [6998] = 1078,
  [6999] = 6999,
  [7000] = 1079,
  [7001] = 6753,
  [7002] = 6781,
  [7003] = 6476,
  [7004] = 1083,
  [7005] = 3661,
  [7006] = 6515,
  [7007] = 1080,
  [7008] = 6535,
  [7009] = 6568,
  [7010] = 1085,
  [7011] = 6569,
  [7012] = 6469,
  [7013] = 1029,
  [7014] = 6572,
  [7015] = 1086,
  [7016] = 6463,
  [7017] = 7017,
  [7018] = 6724,
  [7019] = 6728,
  [7020] = 6464,
  [7021] = 1092,
  [7022] = 1094,
  [7023] = 1030,
  [7024] = 6904,
  [7025] = 6793,
  [7026] = 6525,
  [7027] = 6524,
  [7028] = 6521,
  [7029] = 7029,
  [7030] = 6908,
  [7031] = 6495,
  [7032] = 6520,
  [7033] = 1130,
  [7034] = 1129,
  [7035] = 6532,
  [7036] = 6531,
  [7037] = 1128,
  [7038] = 1126,
  [7039] = 7039,
  [7040] = 7040,
  [7041] = 7041,
  [7042] = 7042,
  [7043] = 1125,
  [7044] = 1026,
  [7045] = 1027,
  [7046] = 6791,
  [7047] = 6444,
  [7048] = 6446,
  [7049] = 1095,
  [7050] = 1099,
  [7051] = 6478,
  [7052] = 1036,
  [7053] = 1038,
  [7054] = 6793,
  [7055] = 7055,
  [7056] = 6843,
  [7057] = 6844,
  [7058] = 6845,
  [7059] = 6520,
  [7060] = 6530,
  [7061] = 6495,
  [7062] = 6848,
  [7063] = 6521,
  [7064] = 6541,
  [7065] = 6480,
  [7066] = 1043,
  [7067] = 1061,
  [7068] = 6483,
  [7069] = 6524,
  [7070] = 1047,
  [7071] = 6778,
  [7072] = 6627,
  [7073] = 6469,
  [7074] = 6484,
  [7075] = 6525,
  [7076] = 6486,
  [7077] = 1105,
  [7078] = 6772,
  [7079] = 1106,
  [7080] = 1062,
  [7081] = 1107,
  [7082] = 6715,
  [7083] = 6487,
  [7084] = 1141,
  [7085] = 1109,
  [7086] = 1110,
  [7087] = 7087,
  [7088] = 6772,
  [7089] = 6515,
  [7090] = 1063,
  [7091] = 6778,
  [7092] = 6715,
  [7093] = 1064,
  [7094] = 6461,
  [7095] = 6476,
  [7096] = 6793,
  [7097] = 6459,
  [7098] = 6951,
  [7099] = 7099,
  [7100] = 1076,
  [7101] = 6485,
  [7102] = 1075,
  [7103] = 6446,
  [7104] = 7104,
  [7105] = 7105,
  [7106] = 1074,
  [7107] = 7107,
  [7108] = 6508,
  [7109] = 6976,
  [7110] = 6981,
  [7111] = 6982,
  [7112] = 6495,
  [7113] = 7113,
  [7114] = 6984,
  [7115] = 6541,
  [7116] = 6986,
  [7117] = 6990,
  [7118] = 6482,
  [7119] = 6627,
  [7120] = 6481,
  [7121] = 6479,
  [7122] = 7122,
  [7123] = 7123,
  [7124] = 7124,
  [7125] = 7125,
  [7126] = 7126,
  [7127] = 7127,
  [7128] = 7128,
  [7129] = 7129,
  [7130] = 7130,
  [7131] = 7131,
  [7132] = 7132,
  [7133] = 7133,
  [7134] = 7134,
  [7135] = 7135,
  [7136] = 7136,
  [7137] = 7137,
  [7138] = 7138,
  [7139] = 7139,
  [7140] = 7140,
  [7141] = 7141,
  [7142] = 7142,
  [7143] = 7143,
  [7144] = 7144,
  [7145] = 7145,
  [7146] = 7146,
  [7147] = 7147,
  [7148] = 7148,
  [7149] = 7149,
  [7150] = 7150,
  [7151] = 7151,
  [7152] = 7152,
  [7153] = 7145,
  [7154] = 7143,
  [7155] = 7151,
  [7156] = 7138,
  [7157] = 7136,
  [7158] = 7132,
  [7159] = 7131,
  [7160] = 7160,
  [7161] = 7125,
  [7162] = 7162,
  [7163] = 7137,
  [7164] = 7135,
  [7165] = 7165,
  [7166] = 7133,
  [7167] = 7167,
  [7168] = 7168,
  [7169] = 7169,
  [7170] = 7129,
  [7171] = 7171,
  [7172] = 7172,
  [7173] = 7173,
  [7174] = 7174,
  [7175] = 7162,
  [7176] = 7176,
  [7177] = 7177,
  [7178] = 7178,
  [7179] = 7135,
  [7180] = 7137,
  [7181] = 7181,
  [7182] = 7182,
  [7183] = 7183,
  [7184] = 7125,
  [7185] = 7185,
  [7186] = 7186,
  [7187] = 7131,
  [7188] = 7188,
  [7189] = 7136,
  [7190] = 7138,
  [7191] = 7122,
  [7192] = 7192,
  [7193] = 7160,
  [7194] = 7194,
  [7195] = 7143,
  [7196] = 7196,
  [7197] = 7145,
  [7198] = 7198,
  [7199] = 7148,
  [7200] = 7146,
  [7201] = 7129,
  [7202] = 7151,
  [7203] = 7151,
  [7204] = 7204,
  [7205] = 7145,
  [7206] = 7143,
  [7207] = 7207,
  [7208] = 7138,
  [7209] = 7136,
  [7210] = 7132,
  [7211] = 7131,
  [7212] = 7212,
  [7213] = 7125,
  [7214] = 7214,
  [7215] = 7137,
  [7216] = 7135,
  [7217] = 7133,
  [7218] = 7218,
  [7219] = 7219,
  [7220] = 7126,
  [7221] = 7173,
  [7222] = 7192,
  [7223] = 7192,
  [7224] = 7122,
  [7225] = 7225,
  [7226] = 7226,
  [7227] = 7122,
  [7228] = 7185,
  [7229] = 7229,
  [7230] = 7230,
  [7231] = 7186,
  [7232] = 7188,
  [7233] = 7229,
  [7234] = 7229,
  [7235] = 7122,
  [7236] = 7192,
  [7237] = 7237,
  [7238] = 7151,
  [7239] = 7188,
  [7240] = 7123,
  [7241] = 7186,
  [7242] = 7185,
  [7243] = 7188,
  [7244] = 7186,
  [7245] = 7185,
  [7246] = 7173,
  [7247] = 7247,
  [7248] = 7248,
  [7249] = 7249,
  [7250] = 7250,
  [7251] = 7173,
  [7252] = 7252,
  [7253] = 7253,
  [7254] = 7254,
  [7255] = 7255,
  [7256] = 7130,
  [7257] = 7257,
  [7258] = 7127,
  [7259] = 7259,
  [7260] = 7260,
  [7261] = 7124,
  [7262] = 7262,
  [7263] = 7263,
  [7264] = 7139,
  [7265] = 7265,
  [7266] = 7266,
  [7267] = 7128,
  [7268] = 7144,
  [7269] = 7147,
  [7270] = 7270,
  [7271] = 7150,
  [7272] = 7204,
  [7273] = 7142,
  [7274] = 7274,
  [7275] = 7218,
  [7276] = 7276,
  [7277] = 7277,
  [7278] = 7278,
  [7279] = 7279,
  [7280] = 7280,
  [7281] = 7281,
  [7282] = 7198,
  [7283] = 7283,
  [7284] = 7129,
  [7285] = 7285,
  [7286] = 7286,
  [7287] = 7286,
  [7288] = 7278,
  [7289] = 7196,
  [7290] = 7285,
  [7291] = 7291,
  [7292] = 7270,
  [7293] = 7265,
  [7294] = 7294,
  [7295] = 7129,
  [7296] = 7294,
  [7297] = 7249,
  [7298] = 7160,
  [7299] = 7146,
  [7300] = 7126,
  [7301] = 7301,
  [7302] = 7130,
  [7303] = 7127,
  [7304] = 7124,
  [7305] = 7262,
  [7306] = 7265,
  [7307] = 7139,
  [7308] = 7308,
  [7309] = 7128,
  [7310] = 7144,
  [7311] = 7311,
  [7312] = 7147,
  [7313] = 7150,
  [7314] = 7314,
  [7315] = 7270,
  [7316] = 7204,
  [7317] = 7142,
  [7318] = 7278,
  [7319] = 7151,
  [7320] = 7286,
  [7321] = 7285,
  [7322] = 7294,
  [7323] = 7167,
  [7324] = 7168,
  [7325] = 7171,
  [7326] = 7174,
  [7327] = 7176,
  [7328] = 7177,
  [7329] = 7181,
  [7330] = 7182,
  [7331] = 7194,
  [7332] = 7196,
  [7333] = 7167,
  [7334] = 7277,
  [7335] = 7168,
  [7336] = 7171,
  [7337] = 7174,
  [7338] = 7145,
  [7339] = 7143,
  [7340] = 7176,
  [7341] = 7177,
  [7342] = 7181,
  [7343] = 7182,
  [7344] = 7192,
  [7345] = 7122,
  [7346] = 7346,
  [7347] = 7229,
  [7348] = 7188,
  [7349] = 7186,
  [7350] = 7185,
  [7351] = 7185,
  [7352] = 7194,
  [7353] = 7260,
  [7354] = 7250,
  [7355] = 7162,
  [7356] = 7274,
  [7357] = 7229,
  [7358] = 7173,
  [7359] = 7138,
  [7360] = 7136,
  [7361] = 7361,
  [7362] = 7277,
  [7363] = 7363,
  [7364] = 7364,
  [7365] = 7262,
  [7366] = 7366,
  [7367] = 7367,
  [7368] = 7368,
  [7369] = 7132,
  [7370] = 7370,
  [7371] = 7131,
  [7372] = 7188,
  [7373] = 7186,
  [7374] = 7192,
  [7375] = 7173,
  [7376] = 7247,
  [7377] = 7276,
  [7378] = 7274,
  [7379] = 7283,
  [7380] = 7248,
  [7381] = 7123,
  [7382] = 7382,
  [7383] = 7255,
  [7384] = 7125,
  [7385] = 7137,
  [7386] = 7276,
  [7387] = 7274,
  [7388] = 7135,
  [7389] = 7145,
  [7390] = 7133,
  [7391] = 7274,
  [7392] = 7276,
  [7393] = 7259,
  [7394] = 7277,
  [7395] = 7257,
  [7396] = 7229,
  [7397] = 7294,
  [7398] = 7285,
  [7399] = 7286,
  [7400] = 7278,
  [7401] = 7401,
  [7402] = 7270,
  [7403] = 7143,
  [7404] = 7185,
  [7405] = 7162,
  [7406] = 7160,
  [7407] = 7407,
  [7408] = 7146,
  [7409] = 7254,
  [7410] = 7126,
  [7411] = 7130,
  [7412] = 7127,
  [7413] = 7124,
  [7414] = 7262,
  [7415] = 7276,
  [7416] = 7274,
  [7417] = 7139,
  [7418] = 7128,
  [7419] = 7144,
  [7420] = 7138,
  [7421] = 7147,
  [7422] = 7253,
  [7423] = 7150,
  [7424] = 7255,
  [7425] = 7250,
  [7426] = 7204,
  [7427] = 7248,
  [7428] = 7255,
  [7429] = 7136,
  [7430] = 7283,
  [7431] = 7250,
  [7432] = 7192,
  [7433] = 7122,
  [7434] = 7248,
  [7435] = 7188,
  [7436] = 7186,
  [7437] = 7185,
  [7438] = 7252,
  [7439] = 7142,
  [7440] = 7283,
  [7441] = 7276,
  [7442] = 7247,
  [7443] = 7173,
  [7444] = 7444,
  [7445] = 7173,
  [7446] = 7274,
  [7447] = 7167,
  [7448] = 7185,
  [7449] = 7186,
  [7450] = 7188,
  [7451] = 7451,
  [7452] = 7168,
  [7453] = 7171,
  [7454] = 7247,
  [7455] = 7173,
  [7456] = 7174,
  [7457] = 7276,
  [7458] = 7274,
  [7459] = 7225,
  [7460] = 7230,
  [7461] = 7176,
  [7462] = 7177,
  [7463] = 7181,
  [7464] = 7182,
  [7465] = 7194,
  [7466] = 7196,
  [7467] = 7444,
  [7468] = 7122,
  [7469] = 7252,
  [7470] = 7253,
  [7471] = 7254,
  [7472] = 7229,
  [7473] = 7186,
  [7474] = 7257,
  [7475] = 7277,
  [7476] = 7259,
  [7477] = 7260,
  [7478] = 7276,
  [7479] = 7218,
  [7480] = 7274,
  [7481] = 7188,
  [7482] = 7247,
  [7483] = 7198,
  [7484] = 7123,
  [7485] = 7132,
  [7486] = 7188,
  [7487] = 7186,
  [7488] = 7123,
  [7489] = 7185,
  [7490] = 7192,
  [7491] = 7173,
  [7492] = 7229,
  [7493] = 7276,
  [7494] = 7277,
  [7495] = 7225,
  [7496] = 7230,
  [7497] = 7276,
  [7498] = 7274,
  [7499] = 7283,
  [7500] = 7248,
  [7501] = 7131,
  [7502] = 7250,
  [7503] = 7255,
  [7504] = 7252,
  [7505] = 7253,
  [7506] = 7254,
  [7507] = 7123,
  [7508] = 7274,
  [7509] = 7257,
  [7510] = 7276,
  [7511] = 7259,
  [7512] = 7260,
  [7513] = 7123,
  [7514] = 7218,
  [7515] = 7515,
  [7516] = 7277,
  [7517] = 7198,
  [7518] = 7294,
  [7519] = 7285,
  [7520] = 7520,
  [7521] = 7286,
  [7522] = 7278,
  [7523] = 7225,
  [7524] = 7230,
  [7525] = 7270,
  [7526] = 7277,
  [7527] = 7276,
  [7528] = 7274,
  [7529] = 7162,
  [7530] = 7160,
  [7531] = 7252,
  [7532] = 7253,
  [7533] = 7254,
  [7534] = 7534,
  [7535] = 7263,
  [7536] = 7146,
  [7537] = 7257,
  [7538] = 7123,
  [7539] = 7259,
  [7540] = 7260,
  [7541] = 7126,
  [7542] = 7218,
  [7543] = 7130,
  [7544] = 7127,
  [7545] = 7198,
  [7546] = 7124,
  [7547] = 976,
  [7548] = 7225,
  [7549] = 7230,
  [7550] = 7262,
  [7551] = 973,
  [7552] = 7139,
  [7553] = 7128,
  [7554] = 7144,
  [7555] = 7253,
  [7556] = 7254,
  [7557] = 7557,
  [7558] = 7125,
  [7559] = 7257,
  [7560] = 7147,
  [7561] = 7259,
  [7562] = 7260,
  [7563] = 7563,
  [7564] = 7218,
  [7565] = 7198,
  [7566] = 7230,
  [7567] = 7150,
  [7568] = 7229,
  [7569] = 7204,
  [7570] = 7563,
  [7571] = 7557,
  [7572] = 7122,
  [7573] = 7142,
  [7574] = 7229,
  [7575] = 7122,
  [7576] = 7192,
  [7577] = 7577,
  [7578] = 7137,
  [7579] = 7167,
  [7580] = 7135,
  [7581] = 7225,
  [7582] = 7168,
  [7583] = 7263,
  [7584] = 7192,
  [7585] = 7133,
  [7586] = 7171,
  [7587] = 7174,
  [7588] = 7176,
  [7589] = 7177,
  [7590] = 7181,
  [7591] = 7563,
  [7592] = 7557,
  [7593] = 7182,
  [7594] = 7194,
  [7595] = 7263,
  [7596] = 7563,
  [7597] = 7557,
  [7598] = 7196,
  [7599] = 7123,
  [7600] = 7263,
  [7601] = 7563,
  [7602] = 7557,
  [7603] = 7278,
  [7604] = 7286,
  [7605] = 7263,
  [7606] = 7563,
  [7607] = 7557,
  [7608] = 7277,
  [7609] = 7609,
};

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\f')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\f')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 5760
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '{'
        ? (c >= '[' && c <= '`')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 5760
    ? (c < '`'
      ? (c < 0
        ? c == 0
        : (c <= '@' || (c >= '[' && c <= '^')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(31);
      if (lookahead == '$') ADVANCE(876);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(488);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(492);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(540);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(292);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(738);
      if (lookahead == 'f') ADVANCE(724);
      if (lookahead == 'g') ADVANCE(744);
      if (lookahead == 'i') ADVANCE(753);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(683);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(634);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(481);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(589);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(346)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(884);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1)
      if (lookahead == '/') ADVANCE(425);
      if (lookahead == '<') ADVANCE(427);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(426);
      if (lookahead != 0) ADVANCE(424);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(76)
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '[') ADVANCE(86);
      if (lookahead == '\\') ADVANCE(345);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(541);
      if (lookahead != 0) ADVANCE(542);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(596);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(3)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(884);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(593);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(4)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(601);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(5)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(602);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(6)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(595);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(754);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(597);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(596);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(884);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(595);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(10)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(590);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(11)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(884);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(591);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(884);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(754);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(597);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(599);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(645);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(15)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(598);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(16)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(600);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'o') ADVANCE(713);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(644);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(646);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(628);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'e') ADVANCE(305);
      if (lookahead == 'f') ADVANCE(253);
      if (lookahead == 'i') ADVANCE(208);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(481);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(21)
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(627);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(22)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(480);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(629);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(563);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 's') ADVANCE(543);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(25)
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'i') ADVANCE(215);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(25)
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(895);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'e') ADVANCE(184);
      if (lookahead == 'i') ADVANCE(209);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == 'w') ADVANCE(166);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(483);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(26)
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(563);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 'o') ADVANCE(551);
      if (lookahead == 's') ADVANCE(543);
      if (lookahead == '|') ADVANCE(482);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'i') ADVANCE(215);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == '|') ADVANCE(482);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(563);
      if (lookahead == 'i') ADVANCE(556);
      if (lookahead == 's') ADVANCE(543);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(30)
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '<') ADVANCE(502);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'i') ADVANCE(208);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(30)
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(358);
      if (lookahead == '\\') ADVANCE(298);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(886);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(479);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(614);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(32)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(868);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(484);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(621);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(33)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '=' < lookahead) &&
          lookahead != '^') ADVANCE(884);
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(620);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(34)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(489);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(368);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(658);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(318);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(622);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(35)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(770);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(318);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(623);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(36)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(608);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(37)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(610);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(38)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(605);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(39)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(606);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(40)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(607);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(41)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(609);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(42)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(619);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(43)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 44:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(613);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(44)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(884);
      END_STATE();
    case 45:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(110);
      if (lookahead == 'c') ADVANCE(187);
      if (lookahead == 'd') ADVANCE(131);
      if (lookahead == 'e') ADVANCE(218);
      if (lookahead == 'f') ADVANCE(294);
      if (lookahead == 'i') ADVANCE(203);
      if (lookahead == 'l') ADVANCE(143);
      if (lookahead == 'm') ADVANCE(229);
      if (lookahead == 'n') ADVANCE(89);
      if (lookahead == 't') ADVANCE(309);
      if (lookahead == 'v') ADVANCE(96);
      if (lookahead == 'w') ADVANCE(171);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(484);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(45)
      END_STATE();
    case 46:
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(893);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(111);
      if (lookahead == 'c') ADVANCE(186);
      if (lookahead == 'e') ADVANCE(304);
      if (lookahead == 'i') ADVANCE(216);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(484);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(46)
      END_STATE();
    case 47:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '?') ADVANCE(64);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(878);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(47)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 48:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(489);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(659);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(479);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(604);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(48)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 49:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '-') ADVANCE(489);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(659);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(479);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(603);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(49)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(884);
      END_STATE();
    case 50:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '?') ADVANCE(64);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(850);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(50)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 51:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(817);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(717);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(51)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 52:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(647);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(52)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 53:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '/') ADVANCE(59);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(53)
      END_STATE();
    case 54:
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(53)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(524);
      if (lookahead != 0) ADVANCE(525);
      END_STATE();
    case 55:
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '?') ADVANCE(892);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'e') ADVANCE(184);
      if (lookahead == 'f') ADVANCE(253);
      if (lookahead == 'i') ADVANCE(217);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == 'w') ADVANCE(166);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(479);
      if (lookahead == '}') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(55)
      END_STATE();
    case 56:
      if (lookahead == '&') ADVANCE(474);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(870);
      if (lookahead == '|') ADVANCE(479);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(696);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(56)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 57:
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '/') ADVANCE(59);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(57)
      END_STATE();
    case 58:
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '/') ADVANCE(526);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(57)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(529);
      if (lookahead != 0) ADVANCE(530);
      END_STATE();
    case 59:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '/') ADVANCE(537);
      END_STATE();
    case 60:
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '/') ADVANCE(536);
      if (lookahead != 0) ADVANCE(61);
      END_STATE();
    case 61:
      if (lookahead == '*') ADVANCE(60);
      if (lookahead != 0) ADVANCE(61);
      END_STATE();
    case 62:
      if (lookahead == '+') ADVANCE(83);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == 'e') ADVANCE(305);
      if (lookahead == '{') ADVANCE(380);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(62)
      END_STATE();
    case 63:
      if (lookahead == '.') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(445);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '?') ADVANCE(512);
      END_STATE();
    case 66:
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '?') ADVANCE(511);
      END_STATE();
    case 67:
      if (lookahead == '.') ADVANCE(463);
      END_STATE();
    case 68:
      if (lookahead == '/') ADVANCE(540);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(76)
      END_STATE();
    case 69:
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '<') ADVANCE(499);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(870);
      if (lookahead == 'i') ADVANCE(760);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(695);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(69)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 70:
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '>') ADVANCE(430);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(670);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(70)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 71:
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(773);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(709);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(71)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 72:
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(770);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(635);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(72)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 73:
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(771);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'n') ADVANCE(694);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(649);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(73)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 74:
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(727);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(74)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 75:
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(711);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(824);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(75)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(884);
      END_STATE();
    case 76:
      if (lookahead == '/') ADVANCE(59);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(76)
      END_STATE();
    case 77:
      if (lookahead == ':') ADVANCE(931);
      END_STATE();
    case 78:
      if (lookahead == ':') ADVANCE(930);
      END_STATE();
    case 79:
      if (lookahead == ':') ADVANCE(932);
      END_STATE();
    case 80:
      if (lookahead == '=') ADVANCE(506);
      END_STATE();
    case 81:
      if (lookahead == '>') ADVANCE(428);
      END_STATE();
    case 82:
      if (lookahead == '>') ADVANCE(429);
      END_STATE();
    case 83:
      if (lookahead == '?') ADVANCE(77);
      END_STATE();
    case 84:
      if (lookahead == '?') ADVANCE(78);
      END_STATE();
    case 85:
      if (lookahead == '\\') ADVANCE(298);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(886);
      END_STATE();
    case 86:
      if (lookahead == '\\') ADVANCE(344);
      if (lookahead == ']') ADVANCE(542);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(86);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(282);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(95);
      if (lookahead == 'o') ADVANCE(228);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(206);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(302);
      if (lookahead == 'u') ADVANCE(204);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(127);
      if (lookahead == 'q') ADVANCE(296);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(248);
      if (lookahead == 'y') ADVANCE(244);
      END_STATE();
    case 93:
      if (lookahead == 'a') ADVANCE(284);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(284);
      if (lookahead == 't') ADVANCE(254);
      if (lookahead == 'y') ADVANCE(205);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(267);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 97:
      if (lookahead == 'a') ADVANCE(249);
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(190);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(181);
      END_STATE();
    case 101:
      if (lookahead == 'a') ADVANCE(258);
      END_STATE();
    case 102:
      if (lookahead == 'a') ADVANCE(223);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(295);
      END_STATE();
    case 105:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 106:
      if (lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 107:
      if (lookahead == 'a') ADVANCE(122);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 109:
      if (lookahead == 'b') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(306);
      if (lookahead == 's') ADVANCE(375);
      if (lookahead == 'w') ADVANCE(98);
      END_STATE();
    case 110:
      if (lookahead == 'b') ADVANCE(268);
      if (lookahead == 's') ADVANCE(375);
      END_STATE();
    case 111:
      if (lookahead == 'b') ADVANCE(268);
      if (lookahead == 's') ADVANCE(372);
      END_STATE();
    case 112:
      if (lookahead == 'b') ADVANCE(179);
      END_STATE();
    case 113:
      if (lookahead == 'b') ADVANCE(100);
      END_STATE();
    case 114:
      if (lookahead == 'b') ADVANCE(237);
      END_STATE();
    case 115:
      if (lookahead == 'b') ADVANCE(150);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(440);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(165);
      END_STATE();
    case 118:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 119:
      if (lookahead == 'c') ADVANCE(281);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'c') ADVANCE(141);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 123:
      if (lookahead == 'c') ADVANCE(191);
      if (lookahead == 'f') ADVANCE(104);
      END_STATE();
    case 124:
      if (lookahead == 'c') ADVANCE(285);
      END_STATE();
    case 125:
      if (lookahead == 'd') ADVANCE(517);
      END_STATE();
    case 126:
      if (lookahead == 'd') ADVANCE(300);
      END_STATE();
    case 127:
      if (lookahead == 'd') ADVANCE(238);
      END_STATE();
    case 128:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(416);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(412);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(898);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(935);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(896);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(917);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(926);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(252);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(279);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 158:
      if (lookahead == 'f') ADVANCE(513);
      END_STATE();
    case 159:
      if (lookahead == 'f') ADVANCE(409);
      END_STATE();
    case 160:
      if (lookahead == 'f') ADVANCE(175);
      END_STATE();
    case 161:
      if (lookahead == 'f') ADVANCE(105);
      END_STATE();
    case 162:
      if (lookahead == 'g') ADVANCE(906);
      END_STATE();
    case 163:
      if (lookahead == 'g') ADVANCE(152);
      END_STATE();
    case 164:
      if (lookahead == 'h') ADVANCE(387);
      END_STATE();
    case 165:
      if (lookahead == 'h') ADVANCE(418);
      END_STATE();
    case 166:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 167:
      if (lookahead == 'h') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(273);
      END_STATE();
    case 168:
      if (lookahead == 'i') ADVANCE(247);
      if (lookahead == 'k') ADVANCE(226);
      END_STATE();
    case 169:
      if (lookahead == 'i') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(235);
      if (lookahead == 'u') ADVANCE(219);
      END_STATE();
    case 170:
      if (lookahead == 'i') ADVANCE(125);
      END_STATE();
    case 171:
      if (lookahead == 'i') ADVANCE(273);
      END_STATE();
    case 172:
      if (lookahead == 'i') ADVANCE(265);
      END_STATE();
    case 173:
      if (lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 174:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 175:
      if (lookahead == 'i') ADVANCE(149);
      END_STATE();
    case 176:
      if (lookahead == 'i') ADVANCE(194);
      END_STATE();
    case 177:
      if (lookahead == 'i') ADVANCE(239);
      END_STATE();
    case 178:
      if (lookahead == 'i') ADVANCE(259);
      END_STATE();
    case 179:
      if (lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 180:
      if (lookahead == 'l') ADVANCE(87);
      END_STATE();
    case 181:
      if (lookahead == 'l') ADVANCE(924);
      END_STATE();
    case 182:
      if (lookahead == 'l') ADVANCE(908);
      END_STATE();
    case 183:
      if (lookahead == 'l') ADVANCE(270);
      if (lookahead == 'n') ADVANCE(293);
      if (lookahead == 'x') ADVANCE(242);
      END_STATE();
    case 184:
      if (lookahead == 'l') ADVANCE(270);
      if (lookahead == 'x') ADVANCE(286);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(307);
      END_STATE();
    case 186:
      if (lookahead == 'l') ADVANCE(95);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(95);
      if (lookahead == 'o') ADVANCE(228);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(308);
      END_STATE();
    case 189:
      if (lookahead == 'l') ADVANCE(231);
      END_STATE();
    case 190:
      if (lookahead == 'l') ADVANCE(185);
      END_STATE();
    case 191:
      if (lookahead == 'l') ADVANCE(101);
      END_STATE();
    case 192:
      if (lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 193:
      if (lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 194:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 195:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 196:
      if (lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 197:
      if (lookahead == 'l') ADVANCE(154);
      if (lookahead == 'o') ADVANCE(257);
      END_STATE();
    case 198:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 199:
      if (lookahead == 'm') ADVANCE(240);
      END_STATE();
    case 200:
      if (lookahead == 'm') ADVANCE(928);
      END_STATE();
    case 201:
      if (lookahead == 'm') ADVANCE(385);
      END_STATE();
    case 202:
      if (lookahead == 'm') ADVANCE(241);
      if (lookahead == 'n') ADVANCE(408);
      if (lookahead == 's') ADVANCE(933);
      END_STATE();
    case 203:
      if (lookahead == 'm') ADVANCE(241);
      if (lookahead == 'n') ADVANCE(288);
      if (lookahead == 's') ADVANCE(933);
      END_STATE();
    case 204:
      if (lookahead == 'm') ADVANCE(115);
      END_STATE();
    case 205:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 206:
      if (lookahead == 'm') ADVANCE(145);
      END_STATE();
    case 207:
      if (lookahead == 'm') ADVANCE(153);
      END_STATE();
    case 208:
      if (lookahead == 'm') ADVANCE(243);
      if (lookahead == 'n') ADVANCE(407);
      END_STATE();
    case 209:
      if (lookahead == 'm') ADVANCE(243);
      if (lookahead == 'n') ADVANCE(407);
      if (lookahead == 's') ADVANCE(933);
      END_STATE();
    case 210:
      if (lookahead == 'm') ADVANCE(246);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(168);
      END_STATE();
    case 212:
      if (lookahead == 'n') ADVANCE(904);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(937);
      END_STATE();
    case 214:
      if (lookahead == 'n') ADVANCE(442);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(407);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(403);
      END_STATE();
    case 217:
      if (lookahead == 'n') ADVANCE(403);
      if (lookahead == 's') ADVANCE(933);
      END_STATE();
    case 218:
      if (lookahead == 'n') ADVANCE(293);
      if (lookahead == 'x') ADVANCE(286);
      END_STATE();
    case 219:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(162);
      END_STATE();
    case 221:
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(128);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(120);
      END_STATE();
    case 224:
      if (lookahead == 'n') ADVANCE(99);
      END_STATE();
    case 225:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 226:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 227:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 228:
      if (lookahead == 'n') ADVANCE(271);
      END_STATE();
    case 229:
      if (lookahead == 'o') ADVANCE(126);
      END_STATE();
    case 230:
      if (lookahead == 'o') ADVANCE(303);
      END_STATE();
    case 231:
      if (lookahead == 'o') ADVANCE(113);
      END_STATE();
    case 232:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 233:
      if (lookahead == 'o') ADVANCE(232);
      END_STATE();
    case 234:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 235:
      if (lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 236:
      if (lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 237:
      if (lookahead == 'o') ADVANCE(182);
      END_STATE();
    case 238:
      if (lookahead == 'o') ADVANCE(225);
      END_STATE();
    case 239:
      if (lookahead == 'o') ADVANCE(214);
      END_STATE();
    case 240:
      if (lookahead == 'p') ADVANCE(180);
      END_STATE();
    case 241:
      if (lookahead == 'p') ADVANCE(197);
      END_STATE();
    case 242:
      if (lookahead == 'p') ADVANCE(236);
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 243:
      if (lookahead == 'p') ADVANCE(196);
      END_STATE();
    case 244:
      if (lookahead == 'p') ADVANCE(135);
      END_STATE();
    case 245:
      if (lookahead == 'p') ADVANCE(107);
      END_STATE();
    case 246:
      if (lookahead == 'p') ADVANCE(198);
      END_STATE();
    case 247:
      if (lookahead == 'q') ADVANCE(297);
      END_STATE();
    case 248:
      if (lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 249:
      if (lookahead == 'r') ADVANCE(389);
      END_STATE();
    case 250:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 251:
      if (lookahead == 'r') ADVANCE(939);
      END_STATE();
    case 252:
      if (lookahead == 'r') ADVANCE(902);
      END_STATE();
    case 253:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 255:
      if (lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 256:
      if (lookahead == 'r') ADVANCE(276);
      END_STATE();
    case 257:
      if (lookahead == 'r') ADVANCE(277);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(139);
      END_STATE();
    case 259:
      if (lookahead == 'r') ADVANCE(140);
      END_STATE();
    case 260:
      if (lookahead == 's') ADVANCE(438);
      END_STATE();
    case 261:
      if (lookahead == 's') ADVANCE(919);
      END_STATE();
    case 262:
      if (lookahead == 's') ADVANCE(914);
      END_STATE();
    case 263:
      if (lookahead == 's') ADVANCE(921);
      END_STATE();
    case 264:
      if (lookahead == 's') ADVANCE(372);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(160);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(245);
      END_STATE();
    case 267:
      if (lookahead == 's') ADVANCE(260);
      END_STATE();
    case 268:
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 269:
      if (lookahead == 's') ADVANCE(133);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 270:
      if (lookahead == 's') ADVANCE(134);
      END_STATE();
    case 271:
      if (lookahead == 's') ADVANCE(275);
      END_STATE();
    case 272:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 273:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 274:
      if (lookahead == 't') ADVANCE(401);
      END_STATE();
    case 275:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 276:
      if (lookahead == 't') ADVANCE(359);
      END_STATE();
    case 277:
      if (lookahead == 't') ADVANCE(383);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(910);
      END_STATE();
    case 279:
      if (lookahead == 't') ADVANCE(887);
      END_STATE();
    case 280:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 281:
      if (lookahead == 't') ADVANCE(912);
      END_STATE();
    case 282:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 284:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 285:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 287:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 288:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 291:
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 292:
      if (lookahead == 'u') ADVANCE(311);
      if (lookahead == 'x') ADVANCE(336);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(535);
      if (lookahead != 0) ADVANCE(531);
      END_STATE();
    case 293:
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 294:
      if (lookahead == 'u') ADVANCE(219);
      END_STATE();
    case 295:
      if (lookahead == 'u') ADVANCE(192);
      END_STATE();
    case 296:
      if (lookahead == 'u') ADVANCE(178);
      END_STATE();
    case 297:
      if (lookahead == 'u') ADVANCE(138);
      END_STATE();
    case 298:
      if (lookahead == 'u') ADVANCE(312);
      END_STATE();
    case 299:
      if (lookahead == 'u') ADVANCE(313);
      END_STATE();
    case 300:
      if (lookahead == 'u') ADVANCE(195);
      END_STATE();
    case 301:
      if (lookahead == 'u') ADVANCE(314);
      if (lookahead == 'x') ADVANCE(336);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(535);
      if (lookahead != 0) ADVANCE(531);
      END_STATE();
    case 302:
      if (lookahead == 'v') ADVANCE(148);
      if (lookahead == 'w') ADVANCE(446);
      END_STATE();
    case 303:
      if (lookahead == 'w') ADVANCE(213);
      END_STATE();
    case 304:
      if (lookahead == 'x') ADVANCE(242);
      END_STATE();
    case 305:
      if (lookahead == 'x') ADVANCE(286);
      END_STATE();
    case 306:
      if (lookahead == 'y') ADVANCE(900);
      END_STATE();
    case 307:
      if (lookahead == 'y') ADVANCE(420);
      END_STATE();
    case 308:
      if (lookahead == 'y') ADVANCE(890);
      END_STATE();
    case 309:
      if (lookahead == 'y') ADVANCE(244);
      END_STATE();
    case 310:
      if (lookahead == '{') ADVANCE(539);
      END_STATE();
    case 311:
      if (lookahead == '{') ADVANCE(331);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(341);
      END_STATE();
    case 312:
      if (lookahead == '{') ADVANCE(334);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(342);
      END_STATE();
    case 313:
      if (lookahead == '{') ADVANCE(335);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(343);
      END_STATE();
    case 314:
      if (lookahead == '{') ADVANCE(337);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(333);
      END_STATE();
    case 315:
      if (lookahead == '}') ADVANCE(884);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 316:
      if (lookahead == '}') ADVANCE(886);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(316);
      END_STATE();
    case 317:
      if (lookahead == '}') ADVANCE(531);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 318:
      if (lookahead == '}') ADVANCE(942);
      END_STATE();
    case 319:
      if (lookahead == '}') ADVANCE(532);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 320:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(586);
      END_STATE();
    case 321:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(582);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(583);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(574);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(585);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(586);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(884);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(886);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(531);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(584);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(532);
      END_STATE();
    case 333:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(336);
      END_STATE();
    case 334:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(316);
      END_STATE();
    case 335:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 336:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 337:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 338:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(332);
      END_STATE();
    case 339:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 340:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 341:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(338);
      END_STATE();
    case 342:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(339);
      END_STATE();
    case 343:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(340);
      END_STATE();
    case 344:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(86);
      END_STATE();
    case 345:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(542);
      END_STATE();
    case 346:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(31);
      if (lookahead == '$') ADVANCE(876);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(488);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(492);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(501);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(738);
      if (lookahead == 'f') ADVANCE(724);
      if (lookahead == 'g') ADVANCE(744);
      if (lookahead == 'i') ADVANCE(753);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(683);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(634);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(380);
      if (lookahead == '|') ADVANCE(481);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(589);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(346)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(884);
      END_STATE();
    case 347:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(592);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(347)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(884);
      END_STATE();
    case 348:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '%') ADVANCE(495);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '>') ADVANCE(432);
      if (lookahead == '?') ADVANCE(66);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '^') ADVANCE(477);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(482);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(594);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(348)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(884);
      END_STATE();
    case 349:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '$') ADVANCE(310);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(109);
      if (lookahead == 'b') ADVANCE(233);
      if (lookahead == 'c') ADVANCE(88);
      if (lookahead == 'd') ADVANCE(131);
      if (lookahead == 'e') ADVANCE(183);
      if (lookahead == 'f') ADVANCE(169);
      if (lookahead == 'g') ADVANCE(189);
      if (lookahead == 'i') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(143);
      if (lookahead == 'm') ADVANCE(229);
      if (lookahead == 'n') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(112);
      if (lookahead == 'r') ADVANCE(132);
      if (lookahead == 's') ADVANCE(94);
      if (lookahead == 't') ADVANCE(92);
      if (lookahead == 'u') ADVANCE(211);
      if (lookahead == 'v') ADVANCE(97);
      if (lookahead == 'w') ADVANCE(167);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(481);
      if (lookahead == '}') ADVANCE(382);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(350)
      END_STATE();
    case 350:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '$') ADVANCE(310);
      if (lookahead == '%') ADVANCE(496);
      if (lookahead == '&') ADVANCE(475);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == ')') ADVANCE(400);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(491);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(494);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ':') ADVANCE(415);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(500);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(431);
      if (lookahead == '?') ADVANCE(894);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == ']') ADVANCE(423);
      if (lookahead == '^') ADVANCE(478);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(109);
      if (lookahead == 'b') ADVANCE(233);
      if (lookahead == 'c') ADVANCE(88);
      if (lookahead == 'd') ADVANCE(131);
      if (lookahead == 'e') ADVANCE(183);
      if (lookahead == 'f') ADVANCE(169);
      if (lookahead == 'g') ADVANCE(189);
      if (lookahead == 'i') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(143);
      if (lookahead == 'm') ADVANCE(229);
      if (lookahead == 'n') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(112);
      if (lookahead == 'r') ADVANCE(132);
      if (lookahead == 's') ADVANCE(94);
      if (lookahead == 't') ADVANCE(92);
      if (lookahead == 'u') ADVANCE(211);
      if (lookahead == 'v') ADVANCE(97);
      if (lookahead == 'w') ADVANCE(167);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '|') ADVANCE(481);
      if (lookahead == '}') ADVANCE(382);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(350)
      END_STATE();
    case 351:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(31);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == ',') ADVANCE(381);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(612);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(351)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 352:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(616);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(352)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 353:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(611);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(353)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 354:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(615);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(354)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 355:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(650);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(617);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(355)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 356:
      if (eof) ADVANCE(357);
      if (lookahead == '!') ADVANCE(395);
      if (lookahead == '"') ADVANCE(436);
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(437);
      if (lookahead == '(') ADVANCE(399);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(490);
      if (lookahead == '.') ADVANCE(324);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == ';') ADVANCE(414);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '@') ADVANCE(889);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '`') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(650);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(379);
      if (lookahead == '}') ADVANCE(382);
      if (lookahead == '~') ADVANCE(516);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(618);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(356)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(884);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(358);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(498);
      if (lookahead == '=') ADVANCE(450);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(497);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(506);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(506);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(444);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(781);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(221);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_as);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_namespace);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(941);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(508);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(855);
      if (lookahead == 't') ADVANCE(699);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(855);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(568);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(287);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(287);
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '/') ADVANCE(537);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(425);
      if (lookahead == '<') ADVANCE(427);
      if (sym__glimmer_template_content_character_set_2(lookahead)) ADVANCE(426);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(424);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(291);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(510);
      if (lookahead == '>') ADVANCE(468);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(510);
      if (lookahead == '>') ADVANCE(469);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(460);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(461);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(456);
      if (lookahead == '>') ADVANCE(471);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(470);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(457);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(458);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '=') ADVANCE(454);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(464);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(453);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(455);
      if (lookahead == '|') ADVANCE(467);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(455);
      if (lookahead == '|') ADVANCE(467);
      if (lookahead == '}') ADVANCE(942);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(466);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(466);
      if (lookahead == '}') ADVANCE(942);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(942);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(519);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(519);
      if (lookahead == '=') ADVANCE(448);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(519);
      if (lookahead == '=') ADVANCE(448);
      if (lookahead == '?') ADVANCE(77);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(520);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(520);
      if (lookahead == '=') ADVANCE(449);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(520);
      if (lookahead == '=') ADVANCE(449);
      if (lookahead == '?') ADVANCE(78);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '/') ADVANCE(537);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '/') ADVANCE(537);
      if (lookahead == '=') ADVANCE(451);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(452);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(459);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(473);
      if (lookahead == '=') ADVANCE(505);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(473);
      if (lookahead == '=') ADVANCE(505);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(472);
      if (lookahead == '=') ADVANCE(505);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(472);
      if (lookahead == '=') ADVANCE(505);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(507);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(509);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(462);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(523);
      if (lookahead == '/') ADVANCE(525);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(522);
      if (lookahead == '/') ADVANCE(525);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(523);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(522);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(523);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(521);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(524);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(528);
      if (lookahead == '/') ADVANCE(530);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(527);
      if (lookahead == '/') ADVANCE(530);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(528);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(528);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(526);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(529);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(531);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(531);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(534);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(537);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(76)
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '[') ADVANCE(86);
      if (lookahead == '\\') ADVANCE(345);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(541);
      if (lookahead != 0) ADVANCE(542);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(86);
      if (lookahead == '\\') ADVANCE(345);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(542);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(567);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(559);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(546);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(561);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(557);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(565);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(560);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(515);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(411);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(554);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(564);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(548);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'l') ADVANCE(547);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(562);
      if (lookahead == 'n') ADVANCE(406);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(549);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(406);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(545);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(569);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(550);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'p') ADVANCE(555);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(376);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(552);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(916);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(923);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(553);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(544);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(566);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(588);
      if (lookahead == '0') ADVANCE(585);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(321);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(320);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(322);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(330);
      if (lookahead == '_') ADVANCE(325);
      if (lookahead == 'n') ADVANCE(571);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(574);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(588);
      if (lookahead == '0') ADVANCE(579);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(877);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(885);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(879);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(883);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(881);
      if (lookahead == 'n') ADVANCE(581);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(884);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(588);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(320);
      if (lookahead == '_') ADVANCE(323);
      if (lookahead == 'n') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(574);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(588);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(885);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(880);
      if (lookahead == 'n') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(884);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(877);
      if (lookahead == 'n') ADVANCE(581);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(576);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(884);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(879);
      if (lookahead == 'n') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(577);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(884);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(883);
      if (lookahead == 'n') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(578);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(884);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(881);
      if (lookahead == 'n') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(579);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(884);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '_') ADVANCE(882);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(884);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(321);
      if (lookahead == 'n') ADVANCE(571);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(582);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(322);
      if (lookahead == 'n') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(583);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(584);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(325);
      if (lookahead == 'n') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(585);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(586);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(320);
      if (lookahead == '_') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$') ADVANCE(876);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(738);
      if (lookahead == 'f') ADVANCE(724);
      if (lookahead == 'g') ADVANCE(744);
      if (lookahead == 'i') ADVANCE(753);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(683);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(634);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(589);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(884);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(590);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(591);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(592);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(593);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(655);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(763);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(594);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(595);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(596);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(754);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(597);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(598);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(599);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(656);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(600);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(601);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(602);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(659);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(603);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(659);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'n') ADVANCE(682);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(604);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(605);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(624);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(606);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(607);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(608);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(609);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(651);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(610);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(611);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(612);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(613);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(625);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(614);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(615);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(616);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(650);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(617);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(657);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(650);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(618);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(637);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(619);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(620);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(742);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(868);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(621);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(658);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(622);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(770);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(623);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(832);
      if (lookahead == 'l') ADVANCE(636);
      if (lookahead == 'o') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == 'e') ADVANCE(864);
      if (lookahead == 'u') ADVANCE(757);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == 'e') ADVANCE(866);
      if (lookahead == 'u') ADVANCE(757);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(660);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(627);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'f') ADVANCE(859);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(630);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 't') ADVANCE(818);
      if (lookahead == 'y') ADVANCE(758);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(852);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(678);
      if (lookahead == 'q') ADVANCE(861);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(678);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'y') ADVANCE(806);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(770);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'd') ADVANCE(700);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'l') ADVANCE(681);
      if (lookahead == 'm') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(635);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(834);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(813);
      if (lookahead == 'o') ADVANCE(726);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(729);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(746);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(860);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(736);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(822);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(784);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 'o') ADVANCE(713);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(644);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(778);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 'i') ADVANCE(759);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(646);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(829);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(647);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(775);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(771);
      if (lookahead == 'b') ADVANCE(795);
      if (lookahead == 'n') ADVANCE(694);
      if (lookahead == 'o') ADVANCE(661);
      if (lookahead == 's') ADVANCE(838);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == 'v') ADVANCE(790);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(649);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(839);
      if (lookahead == 'l') ADVANCE(636);
      if (lookahead == 'o') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(833);
      if (lookahead == 'l') ADVANCE(636);
      if (lookahead == 'o') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(671);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(673);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'a') ADVANCE(674);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(373);
      if (lookahead == 'w') ADVANCE(638);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(374);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(875);
      if (lookahead == 'w') ADVANCE(638);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(875);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'n') ADVANCE(871);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(735);
      if (lookahead == 'f') ADVANCE(410);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(735);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(641);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(799);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'b') ADVANCE(704);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(441);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(721);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(745);
      if (lookahead == 'f') ADVANCE(640);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(745);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(846);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(670);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(849);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(705);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(692);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(693);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'c') ADVANCE(856);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'd') ADVANCE(518);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'd') ADVANCE(863);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'd') ADVANCE(800);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'd') ADVANCE(826);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(667);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(840);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(864);
      if (lookahead == 'u') ADVANCE(757);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(632);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(417);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(398);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(367);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(413);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(899);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(936);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(897);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(918);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(927);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(378);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(865);
      if (lookahead == 'u') ADVANCE(757);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(870);
      if (lookahead == 'i') ADVANCE(760);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(870);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(696);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(669);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(831);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(814);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(668);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(783);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(815);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(827);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(816);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(796);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(633);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(847);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(787);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(773);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(762);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(810);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'e') ADVANCE(648);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(410);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(514);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(731);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(653);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(817);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(717);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'g') ADVANCE(907);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'g') ADVANCE(707);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'h') ADVANCE(388);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'h') ADVANCE(419);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'h') ADVANCE(732);
      if (lookahead == 'i') ADVANCE(841);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(811);
      if (lookahead == 'k') ADVANCE(785);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(782);
      if (lookahead == 'r') ADVANCE(797);
      if (lookahead == 'u') ADVANCE(779);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(782);
      if (lookahead == 'u') ADVANCE(779);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(676);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(727);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(830);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(842);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(780);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(703);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(751);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(801);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(823);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'j') ADVANCE(697);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(925);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(909);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(836);
      if (lookahead == 'n') ADVANCE(858);
      if (lookahead == 'x') ADVANCE(804);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(836);
      if (lookahead == 'n') ADVANCE(858);
      if (lookahead == 'x') ADVANCE(805);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(872);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(636);
      if (lookahead == 'o') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(636);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(873);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(791);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(642);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(740);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(712);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(848);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(821);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(710);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(687);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(688);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(803);
      if (lookahead == 'n') ADVANCE(404);
      if (lookahead == 's') ADVANCE(934);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(803);
      if (lookahead == 'n') ADVANCE(405);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(929);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(386);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(664);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(663);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(808);
      if (lookahead == 'n') ADVANCE(405);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(808);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(698);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(708);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(807);
      if (lookahead == 'n') ADVANCE(404);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(807);
      if (lookahead == 'n') ADVANCE(405);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(807);
      if (lookahead == 'n') ADVANCE(854);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(807);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(373);
      if (lookahead == 'w') ADVANCE(638);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(373);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(875);
      if (lookahead == 'w') ADVANCE(638);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(871);
      if (lookahead == 's') ADVANCE(875);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(871);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(858);
      if (lookahead == 'x') ADVANCE(805);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(858);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(723);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(905);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(938);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(443);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(405);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(675);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(718);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(665);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(639);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(679);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(672);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(792);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(743);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(857);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(837);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(677);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(726);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(662);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(867);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(747);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(793);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(714);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(756);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(820);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(737);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(786);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(777);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'o') ADVANCE(821);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(749);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(798);
      if (lookahead == 't') ADVANCE(701);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(798);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(686);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(802);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(750);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'p') ADVANCE(654);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'q') ADVANCE(861);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'q') ADVANCE(862);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(719);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(390);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(716);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(940);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(903);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(797);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(730);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(652);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(844);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(845);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(690);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(691);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(711);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(824);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(439);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(920);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(915);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(922);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(374);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(715);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(809);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(666);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(684);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(825);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(851);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(685);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 's') ADVANCE(843);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(818);
      if (lookahead == 'y') ADVANCE(758);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(666);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(392);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(720);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(402);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(394);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(360);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(384);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(911);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(888);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(365);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(913);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(850);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(819);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(728);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(701);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(699);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(643);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(733);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 't') ADVANCE(828);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(755);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(779);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(748);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(734);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(689);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(752);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'v') ADVANCE(702);
      if (lookahead == 'w') ADVANCE(447);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'v') ADVANCE(702);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'w') ADVANCE(447);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'w') ADVANCE(776);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'x') ADVANCE(804);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'x') ADVANCE(805);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'x') ADVANCE(853);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(901);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(421);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(891);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(806);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 'y') ADVANCE(781);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '{') ADVANCE(539);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(884);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(576);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(878);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(884);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(577);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(575);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(579);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(578);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(326);
      if (lookahead == '\\') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(298);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(886);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(445);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '?') ADVANCE(512);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '?') ADVANCE(511);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym_declare);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(anon_sym_number);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(anon_sym_symbol);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(anon_sym_object);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(anon_sym_implements);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(anon_sym_implements);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(570);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(anon_sym_interface);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(anon_sym_unique);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(anon_sym_unknown);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(anon_sym_never);
      if (lookahead == '\\') ADVANCE(299);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(884);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'g') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'k') ADVANCE(8);
      if (lookahead == 'n') ADVANCE(9);
      if (lookahead == 'o') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'y') ADVANCE(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8232 ||
          lookahead == 8233 ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(25);
      if (lookahead == 'n') ADVANCE(26);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(27);
      END_STATE();
    case 9:
      if (lookahead == 'u') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'v') ADVANCE(29);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'w') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'h') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      if (lookahead == 'y') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(40);
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'i') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'b') ADVANCE(46);
      if (lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 't') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(51);
      END_STATE();
    case 27:
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'b') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 't') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'a') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 'p') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(63);
      if (lookahead == 'r') ADVANCE(64);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(65);
      if (lookahead == 'y') ADVANCE(66);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 40:
      if (lookahead == 'd') ADVANCE(68);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(72);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(76);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(79);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(80);
      END_STATE();
    case 55:
      if (lookahead == 'v') ADVANCE(81);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 71:
      if (lookahead == 'r') ADVANCE(95);
      END_STATE();
    case 72:
      if (lookahead == 'k') ADVANCE(96);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 74:
      if (lookahead == 'g') ADVANCE(98);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(101);
      END_STATE();
    case 78:
      if (lookahead == 'f') ADVANCE(102);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(106);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(109);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(110);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 89:
      if (lookahead == 'w') ADVANCE(111);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(112);
      END_STATE();
    case 92:
      if (lookahead == 'f') ADVANCE(113);
      END_STATE();
    case 93:
      if (lookahead == 'g') ADVANCE(114);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(115);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 98:
      if (lookahead == 'g') ADVANCE(118);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 105:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(123);
      END_STATE();
    case 107:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 108:
      if (lookahead == 'c') ADVANCE(125);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 110:
      if (lookahead == 'h') ADVANCE(126);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 112:
      if (lookahead == 'f') ADVANCE(127);
      END_STATE();
    case 113:
      if (lookahead == 'i') ADVANCE(128);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 116:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 117:
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 131:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 139:
      if (lookahead == 'd') ADVANCE(141);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(142);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 351, .external_lex_state = 2},
  [2] = {.lex_state = 4, .external_lex_state = 3},
  [3] = {.lex_state = 4, .external_lex_state = 3},
  [4] = {.lex_state = 351, .external_lex_state = 2},
  [5] = {.lex_state = 351, .external_lex_state = 2},
  [6] = {.lex_state = 351, .external_lex_state = 2},
  [7] = {.lex_state = 351, .external_lex_state = 2},
  [8] = {.lex_state = 351, .external_lex_state = 2},
  [9] = {.lex_state = 351, .external_lex_state = 2},
  [10] = {.lex_state = 351, .external_lex_state = 2},
  [11] = {.lex_state = 351, .external_lex_state = 2},
  [12] = {.lex_state = 37, .external_lex_state = 2},
  [13] = {.lex_state = 37, .external_lex_state = 2},
  [14] = {.lex_state = 37, .external_lex_state = 2},
  [15] = {.lex_state = 37, .external_lex_state = 2},
  [16] = {.lex_state = 37, .external_lex_state = 2},
  [17] = {.lex_state = 351, .external_lex_state = 2},
  [18] = {.lex_state = 351, .external_lex_state = 2},
  [19] = {.lex_state = 351, .external_lex_state = 2},
  [20] = {.lex_state = 351, .external_lex_state = 2},
  [21] = {.lex_state = 351, .external_lex_state = 2},
  [22] = {.lex_state = 351, .external_lex_state = 2},
  [23] = {.lex_state = 351, .external_lex_state = 2},
  [24] = {.lex_state = 351, .external_lex_state = 2},
  [25] = {.lex_state = 351, .external_lex_state = 2},
  [26] = {.lex_state = 351, .external_lex_state = 2},
  [27] = {.lex_state = 351, .external_lex_state = 2},
  [28] = {.lex_state = 351, .external_lex_state = 2},
  [29] = {.lex_state = 351, .external_lex_state = 2},
  [30] = {.lex_state = 351, .external_lex_state = 2},
  [31] = {.lex_state = 351, .external_lex_state = 2},
  [32] = {.lex_state = 351, .external_lex_state = 2},
  [33] = {.lex_state = 351, .external_lex_state = 2},
  [34] = {.lex_state = 351, .external_lex_state = 2},
  [35] = {.lex_state = 351, .external_lex_state = 2},
  [36] = {.lex_state = 351, .external_lex_state = 2},
  [37] = {.lex_state = 351, .external_lex_state = 2},
  [38] = {.lex_state = 351, .external_lex_state = 2},
  [39] = {.lex_state = 351, .external_lex_state = 2},
  [40] = {.lex_state = 351, .external_lex_state = 2},
  [41] = {.lex_state = 351, .external_lex_state = 2},
  [42] = {.lex_state = 351, .external_lex_state = 2},
  [43] = {.lex_state = 351, .external_lex_state = 2},
  [44] = {.lex_state = 351, .external_lex_state = 2},
  [45] = {.lex_state = 351, .external_lex_state = 2},
  [46] = {.lex_state = 351, .external_lex_state = 2},
  [47] = {.lex_state = 351, .external_lex_state = 2},
  [48] = {.lex_state = 351, .external_lex_state = 2},
  [49] = {.lex_state = 351, .external_lex_state = 2},
  [50] = {.lex_state = 351, .external_lex_state = 2},
  [51] = {.lex_state = 351, .external_lex_state = 2},
  [52] = {.lex_state = 351, .external_lex_state = 2},
  [53] = {.lex_state = 351, .external_lex_state = 2},
  [54] = {.lex_state = 351, .external_lex_state = 2},
  [55] = {.lex_state = 351, .external_lex_state = 2},
  [56] = {.lex_state = 351, .external_lex_state = 2},
  [57] = {.lex_state = 351, .external_lex_state = 2},
  [58] = {.lex_state = 351, .external_lex_state = 2},
  [59] = {.lex_state = 351, .external_lex_state = 2},
  [60] = {.lex_state = 351, .external_lex_state = 2},
  [61] = {.lex_state = 351, .external_lex_state = 2},
  [62] = {.lex_state = 351, .external_lex_state = 2},
  [63] = {.lex_state = 351, .external_lex_state = 2},
  [64] = {.lex_state = 351, .external_lex_state = 2},
  [65] = {.lex_state = 351, .external_lex_state = 2},
  [66] = {.lex_state = 351, .external_lex_state = 2},
  [67] = {.lex_state = 351, .external_lex_state = 2},
  [68] = {.lex_state = 351, .external_lex_state = 2},
  [69] = {.lex_state = 351, .external_lex_state = 2},
  [70] = {.lex_state = 351, .external_lex_state = 2},
  [71] = {.lex_state = 351, .external_lex_state = 2},
  [72] = {.lex_state = 351, .external_lex_state = 2},
  [73] = {.lex_state = 351, .external_lex_state = 2},
  [74] = {.lex_state = 351, .external_lex_state = 2},
  [75] = {.lex_state = 351, .external_lex_state = 2},
  [76] = {.lex_state = 351, .external_lex_state = 2},
  [77] = {.lex_state = 351, .external_lex_state = 2},
  [78] = {.lex_state = 351, .external_lex_state = 2},
  [79] = {.lex_state = 351, .external_lex_state = 2},
  [80] = {.lex_state = 351, .external_lex_state = 2},
  [81] = {.lex_state = 351, .external_lex_state = 2},
  [82] = {.lex_state = 351, .external_lex_state = 2},
  [83] = {.lex_state = 351, .external_lex_state = 2},
  [84] = {.lex_state = 351, .external_lex_state = 2},
  [85] = {.lex_state = 351, .external_lex_state = 2},
  [86] = {.lex_state = 351, .external_lex_state = 2},
  [87] = {.lex_state = 351, .external_lex_state = 2},
  [88] = {.lex_state = 351, .external_lex_state = 2},
  [89] = {.lex_state = 351, .external_lex_state = 2},
  [90] = {.lex_state = 351, .external_lex_state = 2},
  [91] = {.lex_state = 351, .external_lex_state = 2},
  [92] = {.lex_state = 351, .external_lex_state = 2},
  [93] = {.lex_state = 351, .external_lex_state = 2},
  [94] = {.lex_state = 351, .external_lex_state = 2},
  [95] = {.lex_state = 351, .external_lex_state = 2},
  [96] = {.lex_state = 351, .external_lex_state = 2},
  [97] = {.lex_state = 351, .external_lex_state = 2},
  [98] = {.lex_state = 351, .external_lex_state = 2},
  [99] = {.lex_state = 351, .external_lex_state = 2},
  [100] = {.lex_state = 351, .external_lex_state = 2},
  [101] = {.lex_state = 351, .external_lex_state = 2},
  [102] = {.lex_state = 351, .external_lex_state = 2},
  [103] = {.lex_state = 351, .external_lex_state = 2},
  [104] = {.lex_state = 351, .external_lex_state = 2},
  [105] = {.lex_state = 351, .external_lex_state = 2},
  [106] = {.lex_state = 351, .external_lex_state = 2},
  [107] = {.lex_state = 351, .external_lex_state = 2},
  [108] = {.lex_state = 351, .external_lex_state = 2},
  [109] = {.lex_state = 351, .external_lex_state = 2},
  [110] = {.lex_state = 351, .external_lex_state = 2},
  [111] = {.lex_state = 351, .external_lex_state = 2},
  [112] = {.lex_state = 351, .external_lex_state = 2},
  [113] = {.lex_state = 351, .external_lex_state = 2},
  [114] = {.lex_state = 351, .external_lex_state = 2},
  [115] = {.lex_state = 351, .external_lex_state = 2},
  [116] = {.lex_state = 351, .external_lex_state = 2},
  [117] = {.lex_state = 351, .external_lex_state = 2},
  [118] = {.lex_state = 351, .external_lex_state = 2},
  [119] = {.lex_state = 351, .external_lex_state = 2},
  [120] = {.lex_state = 351, .external_lex_state = 2},
  [121] = {.lex_state = 351, .external_lex_state = 2},
  [122] = {.lex_state = 351, .external_lex_state = 2},
  [123] = {.lex_state = 32, .external_lex_state = 2},
  [124] = {.lex_state = 32, .external_lex_state = 2},
  [125] = {.lex_state = 32, .external_lex_state = 2},
  [126] = {.lex_state = 32, .external_lex_state = 2},
  [127] = {.lex_state = 32, .external_lex_state = 2},
  [128] = {.lex_state = 3, .external_lex_state = 4},
  [129] = {.lex_state = 32, .external_lex_state = 2},
  [130] = {.lex_state = 32, .external_lex_state = 2},
  [131] = {.lex_state = 32, .external_lex_state = 2},
  [132] = {.lex_state = 32, .external_lex_state = 2},
  [133] = {.lex_state = 32, .external_lex_state = 2},
  [134] = {.lex_state = 3, .external_lex_state = 4},
  [135] = {.lex_state = 3, .external_lex_state = 4},
  [136] = {.lex_state = 3, .external_lex_state = 3},
  [137] = {.lex_state = 3, .external_lex_state = 3},
  [138] = {.lex_state = 3, .external_lex_state = 3},
  [139] = {.lex_state = 3, .external_lex_state = 3},
  [140] = {.lex_state = 3, .external_lex_state = 3},
  [141] = {.lex_state = 3, .external_lex_state = 3},
  [142] = {.lex_state = 3, .external_lex_state = 3},
  [143] = {.lex_state = 3, .external_lex_state = 3},
  [144] = {.lex_state = 3, .external_lex_state = 3},
  [145] = {.lex_state = 3, .external_lex_state = 3},
  [146] = {.lex_state = 32, .external_lex_state = 2},
  [147] = {.lex_state = 32, .external_lex_state = 2},
  [148] = {.lex_state = 32, .external_lex_state = 2},
  [149] = {.lex_state = 32, .external_lex_state = 2},
  [150] = {.lex_state = 3, .external_lex_state = 4},
  [151] = {.lex_state = 7, .external_lex_state = 4},
  [152] = {.lex_state = 32, .external_lex_state = 2},
  [153] = {.lex_state = 7, .external_lex_state = 4},
  [154] = {.lex_state = 32, .external_lex_state = 2},
  [155] = {.lex_state = 3, .external_lex_state = 4},
  [156] = {.lex_state = 3, .external_lex_state = 3},
  [157] = {.lex_state = 3, .external_lex_state = 3},
  [158] = {.lex_state = 3, .external_lex_state = 3},
  [159] = {.lex_state = 3, .external_lex_state = 3},
  [160] = {.lex_state = 7, .external_lex_state = 4},
  [161] = {.lex_state = 3, .external_lex_state = 4},
  [162] = {.lex_state = 3, .external_lex_state = 4},
  [163] = {.lex_state = 3, .external_lex_state = 4},
  [164] = {.lex_state = 3, .external_lex_state = 3},
  [165] = {.lex_state = 3, .external_lex_state = 4},
  [166] = {.lex_state = 32, .external_lex_state = 2},
  [167] = {.lex_state = 3, .external_lex_state = 3},
  [168] = {.lex_state = 7, .external_lex_state = 4},
  [169] = {.lex_state = 32, .external_lex_state = 2},
  [170] = {.lex_state = 3, .external_lex_state = 4},
  [171] = {.lex_state = 3, .external_lex_state = 4},
  [172] = {.lex_state = 3, .external_lex_state = 3},
  [173] = {.lex_state = 3, .external_lex_state = 3},
  [174] = {.lex_state = 3, .external_lex_state = 3},
  [175] = {.lex_state = 3, .external_lex_state = 3},
  [176] = {.lex_state = 3, .external_lex_state = 3},
  [177] = {.lex_state = 3, .external_lex_state = 3},
  [178] = {.lex_state = 3, .external_lex_state = 3},
  [179] = {.lex_state = 8, .external_lex_state = 3},
  [180] = {.lex_state = 3, .external_lex_state = 3},
  [181] = {.lex_state = 3, .external_lex_state = 4},
  [182] = {.lex_state = 3, .external_lex_state = 3},
  [183] = {.lex_state = 3, .external_lex_state = 3},
  [184] = {.lex_state = 3, .external_lex_state = 4},
  [185] = {.lex_state = 3, .external_lex_state = 3},
  [186] = {.lex_state = 3, .external_lex_state = 3},
  [187] = {.lex_state = 8, .external_lex_state = 3},
  [188] = {.lex_state = 3, .external_lex_state = 4},
  [189] = {.lex_state = 8, .external_lex_state = 3},
  [190] = {.lex_state = 7, .external_lex_state = 3},
  [191] = {.lex_state = 7, .external_lex_state = 3},
  [192] = {.lex_state = 7, .external_lex_state = 3},
  [193] = {.lex_state = 3, .external_lex_state = 3},
  [194] = {.lex_state = 3, .external_lex_state = 3},
  [195] = {.lex_state = 3, .external_lex_state = 3},
  [196] = {.lex_state = 3, .external_lex_state = 3},
  [197] = {.lex_state = 7, .external_lex_state = 3},
  [198] = {.lex_state = 3, .external_lex_state = 3},
  [199] = {.lex_state = 3, .external_lex_state = 3},
  [200] = {.lex_state = 3, .external_lex_state = 3},
  [201] = {.lex_state = 3, .external_lex_state = 3},
  [202] = {.lex_state = 32, .external_lex_state = 2},
  [203] = {.lex_state = 3, .external_lex_state = 3},
  [204] = {.lex_state = 3, .external_lex_state = 3},
  [205] = {.lex_state = 3, .external_lex_state = 3},
  [206] = {.lex_state = 3, .external_lex_state = 3},
  [207] = {.lex_state = 3, .external_lex_state = 3},
  [208] = {.lex_state = 3, .external_lex_state = 3},
  [209] = {.lex_state = 3, .external_lex_state = 3},
  [210] = {.lex_state = 3, .external_lex_state = 3},
  [211] = {.lex_state = 3, .external_lex_state = 3},
  [212] = {.lex_state = 3, .external_lex_state = 3},
  [213] = {.lex_state = 3, .external_lex_state = 3},
  [214] = {.lex_state = 32, .external_lex_state = 2},
  [215] = {.lex_state = 32, .external_lex_state = 2},
  [216] = {.lex_state = 32, .external_lex_state = 2},
  [217] = {.lex_state = 32, .external_lex_state = 2},
  [218] = {.lex_state = 32, .external_lex_state = 2},
  [219] = {.lex_state = 32, .external_lex_state = 2},
  [220] = {.lex_state = 32, .external_lex_state = 2},
  [221] = {.lex_state = 32, .external_lex_state = 2},
  [222] = {.lex_state = 32, .external_lex_state = 2},
  [223] = {.lex_state = 32, .external_lex_state = 2},
  [224] = {.lex_state = 32, .external_lex_state = 2},
  [225] = {.lex_state = 32, .external_lex_state = 2},
  [226] = {.lex_state = 32, .external_lex_state = 2},
  [227] = {.lex_state = 9, .external_lex_state = 3},
  [228] = {.lex_state = 10, .external_lex_state = 4},
  [229] = {.lex_state = 9, .external_lex_state = 4},
  [230] = {.lex_state = 9, .external_lex_state = 3},
  [231] = {.lex_state = 9, .external_lex_state = 4},
  [232] = {.lex_state = 13, .external_lex_state = 3},
  [233] = {.lex_state = 9, .external_lex_state = 3},
  [234] = {.lex_state = 10, .external_lex_state = 3},
  [235] = {.lex_state = 9, .external_lex_state = 3},
  [236] = {.lex_state = 9, .external_lex_state = 3},
  [237] = {.lex_state = 44, .external_lex_state = 2},
  [238] = {.lex_state = 44, .external_lex_state = 2},
  [239] = {.lex_state = 44, .external_lex_state = 2},
  [240] = {.lex_state = 44, .external_lex_state = 2},
  [241] = {.lex_state = 44, .external_lex_state = 2},
  [242] = {.lex_state = 44, .external_lex_state = 2},
  [243] = {.lex_state = 44, .external_lex_state = 2},
  [244] = {.lex_state = 44, .external_lex_state = 2},
  [245] = {.lex_state = 44, .external_lex_state = 2},
  [246] = {.lex_state = 44, .external_lex_state = 2},
  [247] = {.lex_state = 44, .external_lex_state = 2},
  [248] = {.lex_state = 44, .external_lex_state = 2},
  [249] = {.lex_state = 16, .external_lex_state = 4},
  [250] = {.lex_state = 14, .external_lex_state = 4},
  [251] = {.lex_state = 14, .external_lex_state = 3},
  [252] = {.lex_state = 14, .external_lex_state = 3},
  [253] = {.lex_state = 14, .external_lex_state = 3},
  [254] = {.lex_state = 14, .external_lex_state = 3},
  [255] = {.lex_state = 14, .external_lex_state = 3},
  [256] = {.lex_state = 14, .external_lex_state = 4},
  [257] = {.lex_state = 14, .external_lex_state = 3},
  [258] = {.lex_state = 17, .external_lex_state = 3},
  [259] = {.lex_state = 14, .external_lex_state = 3},
  [260] = {.lex_state = 34, .external_lex_state = 2},
  [261] = {.lex_state = 16, .external_lex_state = 3},
  [262] = {.lex_state = 14, .external_lex_state = 3},
  [263] = {.lex_state = 14, .external_lex_state = 3},
  [264] = {.lex_state = 34, .external_lex_state = 2},
  [265] = {.lex_state = 14, .external_lex_state = 3},
  [266] = {.lex_state = 34, .external_lex_state = 2},
  [267] = {.lex_state = 34, .external_lex_state = 2},
  [268] = {.lex_state = 34, .external_lex_state = 2},
  [269] = {.lex_state = 34, .external_lex_state = 2},
  [270] = {.lex_state = 34, .external_lex_state = 2},
  [271] = {.lex_state = 34, .external_lex_state = 2},
  [272] = {.lex_state = 34, .external_lex_state = 2},
  [273] = {.lex_state = 34, .external_lex_state = 2},
  [274] = {.lex_state = 34, .external_lex_state = 2},
  [275] = {.lex_state = 34, .external_lex_state = 2},
  [276] = {.lex_state = 34, .external_lex_state = 2},
  [277] = {.lex_state = 34, .external_lex_state = 2},
  [278] = {.lex_state = 34, .external_lex_state = 2},
  [279] = {.lex_state = 34, .external_lex_state = 2},
  [280] = {.lex_state = 34, .external_lex_state = 2},
  [281] = {.lex_state = 34, .external_lex_state = 2},
  [282] = {.lex_state = 34, .external_lex_state = 2},
  [283] = {.lex_state = 34, .external_lex_state = 2},
  [284] = {.lex_state = 33, .external_lex_state = 5},
  [285] = {.lex_state = 43, .external_lex_state = 2},
  [286] = {.lex_state = 43, .external_lex_state = 2},
  [287] = {.lex_state = 43, .external_lex_state = 2},
  [288] = {.lex_state = 33, .external_lex_state = 2},
  [289] = {.lex_state = 34, .external_lex_state = 2},
  [290] = {.lex_state = 43, .external_lex_state = 2},
  [291] = {.lex_state = 43, .external_lex_state = 2},
  [292] = {.lex_state = 33, .external_lex_state = 2},
  [293] = {.lex_state = 12, .external_lex_state = 4},
  [294] = {.lex_state = 12, .external_lex_state = 4},
  [295] = {.lex_state = 12, .external_lex_state = 4},
  [296] = {.lex_state = 34, .external_lex_state = 2},
  [297] = {.lex_state = 34, .external_lex_state = 2},
  [298] = {.lex_state = 34, .external_lex_state = 2},
  [299] = {.lex_state = 34, .external_lex_state = 2},
  [300] = {.lex_state = 34, .external_lex_state = 2},
  [301] = {.lex_state = 12, .external_lex_state = 4},
  [302] = {.lex_state = 34, .external_lex_state = 2},
  [303] = {.lex_state = 12, .external_lex_state = 4},
  [304] = {.lex_state = 12, .external_lex_state = 4},
  [305] = {.lex_state = 12, .external_lex_state = 4},
  [306] = {.lex_state = 12, .external_lex_state = 4},
  [307] = {.lex_state = 12, .external_lex_state = 4},
  [308] = {.lex_state = 12, .external_lex_state = 4},
  [309] = {.lex_state = 12, .external_lex_state = 4},
  [310] = {.lex_state = 12, .external_lex_state = 4},
  [311] = {.lex_state = 12, .external_lex_state = 4},
  [312] = {.lex_state = 12, .external_lex_state = 4},
  [313] = {.lex_state = 12, .external_lex_state = 4},
  [314] = {.lex_state = 12, .external_lex_state = 4},
  [315] = {.lex_state = 11, .external_lex_state = 4},
  [316] = {.lex_state = 348, .external_lex_state = 4},
  [317] = {.lex_state = 348, .external_lex_state = 4},
  [318] = {.lex_state = 12, .external_lex_state = 4},
  [319] = {.lex_state = 348, .external_lex_state = 4},
  [320] = {.lex_state = 12, .external_lex_state = 4},
  [321] = {.lex_state = 12, .external_lex_state = 4},
  [322] = {.lex_state = 11, .external_lex_state = 4},
  [323] = {.lex_state = 12, .external_lex_state = 4},
  [324] = {.lex_state = 11, .external_lex_state = 4},
  [325] = {.lex_state = 11, .external_lex_state = 4},
  [326] = {.lex_state = 12, .external_lex_state = 4},
  [327] = {.lex_state = 12, .external_lex_state = 4},
  [328] = {.lex_state = 12, .external_lex_state = 4},
  [329] = {.lex_state = 12, .external_lex_state = 4},
  [330] = {.lex_state = 348, .external_lex_state = 4},
  [331] = {.lex_state = 12, .external_lex_state = 4},
  [332] = {.lex_state = 12, .external_lex_state = 4},
  [333] = {.lex_state = 12, .external_lex_state = 4},
  [334] = {.lex_state = 34, .external_lex_state = 2},
  [335] = {.lex_state = 12, .external_lex_state = 4},
  [336] = {.lex_state = 33, .external_lex_state = 2},
  [337] = {.lex_state = 12, .external_lex_state = 4},
  [338] = {.lex_state = 347, .external_lex_state = 4},
  [339] = {.lex_state = 11, .external_lex_state = 4},
  [340] = {.lex_state = 34, .external_lex_state = 2},
  [341] = {.lex_state = 11, .external_lex_state = 4},
  [342] = {.lex_state = 348, .external_lex_state = 4},
  [343] = {.lex_state = 11, .external_lex_state = 4},
  [344] = {.lex_state = 34, .external_lex_state = 2},
  [345] = {.lex_state = 34, .external_lex_state = 2},
  [346] = {.lex_state = 11, .external_lex_state = 4},
  [347] = {.lex_state = 34, .external_lex_state = 2},
  [348] = {.lex_state = 348, .external_lex_state = 4},
  [349] = {.lex_state = 11, .external_lex_state = 4},
  [350] = {.lex_state = 33, .external_lex_state = 2},
  [351] = {.lex_state = 11, .external_lex_state = 4},
  [352] = {.lex_state = 348, .external_lex_state = 4},
  [353] = {.lex_state = 348, .external_lex_state = 4},
  [354] = {.lex_state = 11, .external_lex_state = 4},
  [355] = {.lex_state = 348, .external_lex_state = 4},
  [356] = {.lex_state = 34, .external_lex_state = 2},
  [357] = {.lex_state = 11, .external_lex_state = 4},
  [358] = {.lex_state = 11, .external_lex_state = 4},
  [359] = {.lex_state = 348, .external_lex_state = 4},
  [360] = {.lex_state = 33, .external_lex_state = 2},
  [361] = {.lex_state = 34, .external_lex_state = 2},
  [362] = {.lex_state = 34, .external_lex_state = 2},
  [363] = {.lex_state = 11, .external_lex_state = 4},
  [364] = {.lex_state = 11, .external_lex_state = 4},
  [365] = {.lex_state = 11, .external_lex_state = 4},
  [366] = {.lex_state = 348, .external_lex_state = 4},
  [367] = {.lex_state = 348, .external_lex_state = 4},
  [368] = {.lex_state = 11, .external_lex_state = 4},
  [369] = {.lex_state = 348, .external_lex_state = 4},
  [370] = {.lex_state = 11, .external_lex_state = 4},
  [371] = {.lex_state = 33, .external_lex_state = 2},
  [372] = {.lex_state = 11, .external_lex_state = 4},
  [373] = {.lex_state = 11, .external_lex_state = 4},
  [374] = {.lex_state = 348, .external_lex_state = 4},
  [375] = {.lex_state = 347, .external_lex_state = 4},
  [376] = {.lex_state = 11, .external_lex_state = 4},
  [377] = {.lex_state = 11, .external_lex_state = 4},
  [378] = {.lex_state = 11, .external_lex_state = 4},
  [379] = {.lex_state = 11, .external_lex_state = 4},
  [380] = {.lex_state = 33, .external_lex_state = 2},
  [381] = {.lex_state = 347, .external_lex_state = 4},
  [382] = {.lex_state = 347, .external_lex_state = 4},
  [383] = {.lex_state = 33, .external_lex_state = 2},
  [384] = {.lex_state = 11, .external_lex_state = 4},
  [385] = {.lex_state = 11, .external_lex_state = 4},
  [386] = {.lex_state = 33, .external_lex_state = 2},
  [387] = {.lex_state = 34, .external_lex_state = 2},
  [388] = {.lex_state = 348, .external_lex_state = 4},
  [389] = {.lex_state = 11, .external_lex_state = 4},
  [390] = {.lex_state = 348, .external_lex_state = 4},
  [391] = {.lex_state = 348, .external_lex_state = 4},
  [392] = {.lex_state = 11, .external_lex_state = 4},
  [393] = {.lex_state = 348, .external_lex_state = 4},
  [394] = {.lex_state = 348, .external_lex_state = 4},
  [395] = {.lex_state = 348, .external_lex_state = 4},
  [396] = {.lex_state = 11, .external_lex_state = 4},
  [397] = {.lex_state = 348, .external_lex_state = 4},
  [398] = {.lex_state = 33, .external_lex_state = 2},
  [399] = {.lex_state = 348, .external_lex_state = 4},
  [400] = {.lex_state = 348, .external_lex_state = 4},
  [401] = {.lex_state = 348, .external_lex_state = 4},
  [402] = {.lex_state = 348, .external_lex_state = 4},
  [403] = {.lex_state = 348, .external_lex_state = 4},
  [404] = {.lex_state = 348, .external_lex_state = 4},
  [405] = {.lex_state = 348, .external_lex_state = 4},
  [406] = {.lex_state = 348, .external_lex_state = 4},
  [407] = {.lex_state = 34, .external_lex_state = 2},
  [408] = {.lex_state = 347, .external_lex_state = 4},
  [409] = {.lex_state = 347, .external_lex_state = 4},
  [410] = {.lex_state = 34, .external_lex_state = 2},
  [411] = {.lex_state = 34, .external_lex_state = 2},
  [412] = {.lex_state = 34, .external_lex_state = 2},
  [413] = {.lex_state = 347, .external_lex_state = 4},
  [414] = {.lex_state = 347, .external_lex_state = 4},
  [415] = {.lex_state = 347, .external_lex_state = 4},
  [416] = {.lex_state = 34, .external_lex_state = 2},
  [417] = {.lex_state = 34, .external_lex_state = 2},
  [418] = {.lex_state = 347, .external_lex_state = 4},
  [419] = {.lex_state = 34, .external_lex_state = 2},
  [420] = {.lex_state = 34, .external_lex_state = 2},
  [421] = {.lex_state = 347, .external_lex_state = 4},
  [422] = {.lex_state = 347, .external_lex_state = 4},
  [423] = {.lex_state = 34, .external_lex_state = 2},
  [424] = {.lex_state = 34, .external_lex_state = 2},
  [425] = {.lex_state = 34, .external_lex_state = 2},
  [426] = {.lex_state = 34, .external_lex_state = 2},
  [427] = {.lex_state = 347, .external_lex_state = 4},
  [428] = {.lex_state = 347, .external_lex_state = 4},
  [429] = {.lex_state = 34, .external_lex_state = 2},
  [430] = {.lex_state = 34, .external_lex_state = 2},
  [431] = {.lex_state = 34, .external_lex_state = 2},
  [432] = {.lex_state = 3, .external_lex_state = 3},
  [433] = {.lex_state = 347, .external_lex_state = 4},
  [434] = {.lex_state = 347, .external_lex_state = 4},
  [435] = {.lex_state = 3, .external_lex_state = 3},
  [436] = {.lex_state = 347, .external_lex_state = 4},
  [437] = {.lex_state = 34, .external_lex_state = 2},
  [438] = {.lex_state = 34, .external_lex_state = 2},
  [439] = {.lex_state = 347, .external_lex_state = 4},
  [440] = {.lex_state = 34, .external_lex_state = 2},
  [441] = {.lex_state = 34, .external_lex_state = 2},
  [442] = {.lex_state = 347, .external_lex_state = 4},
  [443] = {.lex_state = 34, .external_lex_state = 2},
  [444] = {.lex_state = 347, .external_lex_state = 4},
  [445] = {.lex_state = 347, .external_lex_state = 4},
  [446] = {.lex_state = 34, .external_lex_state = 2},
  [447] = {.lex_state = 34, .external_lex_state = 2},
  [448] = {.lex_state = 347, .external_lex_state = 4},
  [449] = {.lex_state = 347, .external_lex_state = 4},
  [450] = {.lex_state = 347, .external_lex_state = 4},
  [451] = {.lex_state = 347, .external_lex_state = 4},
  [452] = {.lex_state = 34, .external_lex_state = 2},
  [453] = {.lex_state = 34, .external_lex_state = 2},
  [454] = {.lex_state = 347, .external_lex_state = 4},
  [455] = {.lex_state = 347, .external_lex_state = 4},
  [456] = {.lex_state = 34, .external_lex_state = 2},
  [457] = {.lex_state = 3, .external_lex_state = 3},
  [458] = {.lex_state = 3, .external_lex_state = 3},
  [459] = {.lex_state = 34, .external_lex_state = 2},
  [460] = {.lex_state = 347, .external_lex_state = 4},
  [461] = {.lex_state = 34, .external_lex_state = 2},
  [462] = {.lex_state = 347, .external_lex_state = 4},
  [463] = {.lex_state = 34, .external_lex_state = 2},
  [464] = {.lex_state = 34, .external_lex_state = 5},
  [465] = {.lex_state = 34, .external_lex_state = 2},
  [466] = {.lex_state = 34, .external_lex_state = 5},
  [467] = {.lex_state = 34, .external_lex_state = 2},
  [468] = {.lex_state = 34, .external_lex_state = 2},
  [469] = {.lex_state = 34, .external_lex_state = 5},
  [470] = {.lex_state = 34, .external_lex_state = 5},
  [471] = {.lex_state = 34, .external_lex_state = 5},
  [472] = {.lex_state = 34, .external_lex_state = 2},
  [473] = {.lex_state = 34, .external_lex_state = 2},
  [474] = {.lex_state = 34, .external_lex_state = 2},
  [475] = {.lex_state = 43, .external_lex_state = 2},
  [476] = {.lex_state = 34, .external_lex_state = 2},
  [477] = {.lex_state = 34, .external_lex_state = 2},
  [478] = {.lex_state = 34, .external_lex_state = 2},
  [479] = {.lex_state = 34, .external_lex_state = 2},
  [480] = {.lex_state = 34, .external_lex_state = 2},
  [481] = {.lex_state = 34, .external_lex_state = 2},
  [482] = {.lex_state = 34, .external_lex_state = 2},
  [483] = {.lex_state = 34, .external_lex_state = 2},
  [484] = {.lex_state = 34, .external_lex_state = 2},
  [485] = {.lex_state = 34, .external_lex_state = 2},
  [486] = {.lex_state = 34, .external_lex_state = 2},
  [487] = {.lex_state = 34, .external_lex_state = 2},
  [488] = {.lex_state = 34, .external_lex_state = 2},
  [489] = {.lex_state = 34, .external_lex_state = 2},
  [490] = {.lex_state = 34, .external_lex_state = 2},
  [491] = {.lex_state = 34, .external_lex_state = 2},
  [492] = {.lex_state = 34, .external_lex_state = 2},
  [493] = {.lex_state = 34, .external_lex_state = 2},
  [494] = {.lex_state = 34, .external_lex_state = 2},
  [495] = {.lex_state = 34, .external_lex_state = 2},
  [496] = {.lex_state = 34, .external_lex_state = 2},
  [497] = {.lex_state = 34, .external_lex_state = 2},
  [498] = {.lex_state = 34, .external_lex_state = 2},
  [499] = {.lex_state = 34, .external_lex_state = 2},
  [500] = {.lex_state = 34, .external_lex_state = 2},
  [501] = {.lex_state = 34, .external_lex_state = 2},
  [502] = {.lex_state = 34, .external_lex_state = 2},
  [503] = {.lex_state = 34, .external_lex_state = 2},
  [504] = {.lex_state = 34, .external_lex_state = 2},
  [505] = {.lex_state = 34, .external_lex_state = 2},
  [506] = {.lex_state = 34, .external_lex_state = 2},
  [507] = {.lex_state = 34, .external_lex_state = 2},
  [508] = {.lex_state = 34, .external_lex_state = 2},
  [509] = {.lex_state = 34, .external_lex_state = 2},
  [510] = {.lex_state = 34, .external_lex_state = 2},
  [511] = {.lex_state = 34, .external_lex_state = 2},
  [512] = {.lex_state = 34, .external_lex_state = 2},
  [513] = {.lex_state = 34, .external_lex_state = 2},
  [514] = {.lex_state = 34, .external_lex_state = 2},
  [515] = {.lex_state = 34, .external_lex_state = 2},
  [516] = {.lex_state = 34, .external_lex_state = 2},
  [517] = {.lex_state = 34, .external_lex_state = 2},
  [518] = {.lex_state = 34, .external_lex_state = 2},
  [519] = {.lex_state = 34, .external_lex_state = 2},
  [520] = {.lex_state = 34, .external_lex_state = 2},
  [521] = {.lex_state = 34, .external_lex_state = 2},
  [522] = {.lex_state = 34, .external_lex_state = 2},
  [523] = {.lex_state = 34, .external_lex_state = 2},
  [524] = {.lex_state = 34, .external_lex_state = 2},
  [525] = {.lex_state = 34, .external_lex_state = 2},
  [526] = {.lex_state = 34, .external_lex_state = 2},
  [527] = {.lex_state = 34, .external_lex_state = 2},
  [528] = {.lex_state = 34, .external_lex_state = 2},
  [529] = {.lex_state = 34, .external_lex_state = 2},
  [530] = {.lex_state = 34, .external_lex_state = 2},
  [531] = {.lex_state = 34, .external_lex_state = 2},
  [532] = {.lex_state = 34, .external_lex_state = 2},
  [533] = {.lex_state = 34, .external_lex_state = 2},
  [534] = {.lex_state = 34, .external_lex_state = 2},
  [535] = {.lex_state = 34, .external_lex_state = 2},
  [536] = {.lex_state = 34, .external_lex_state = 2},
  [537] = {.lex_state = 34, .external_lex_state = 2},
  [538] = {.lex_state = 34, .external_lex_state = 2},
  [539] = {.lex_state = 34, .external_lex_state = 2},
  [540] = {.lex_state = 34, .external_lex_state = 2},
  [541] = {.lex_state = 34, .external_lex_state = 2},
  [542] = {.lex_state = 34, .external_lex_state = 2},
  [543] = {.lex_state = 34, .external_lex_state = 2},
  [544] = {.lex_state = 34, .external_lex_state = 2},
  [545] = {.lex_state = 34, .external_lex_state = 2},
  [546] = {.lex_state = 34, .external_lex_state = 2},
  [547] = {.lex_state = 34, .external_lex_state = 2},
  [548] = {.lex_state = 34, .external_lex_state = 2},
  [549] = {.lex_state = 34, .external_lex_state = 2},
  [550] = {.lex_state = 34, .external_lex_state = 2},
  [551] = {.lex_state = 34, .external_lex_state = 2},
  [552] = {.lex_state = 34, .external_lex_state = 2},
  [553] = {.lex_state = 34, .external_lex_state = 2},
  [554] = {.lex_state = 34, .external_lex_state = 2},
  [555] = {.lex_state = 34, .external_lex_state = 2},
  [556] = {.lex_state = 34, .external_lex_state = 2},
  [557] = {.lex_state = 34, .external_lex_state = 2},
  [558] = {.lex_state = 34, .external_lex_state = 2},
  [559] = {.lex_state = 34, .external_lex_state = 2},
  [560] = {.lex_state = 34, .external_lex_state = 2},
  [561] = {.lex_state = 34, .external_lex_state = 2},
  [562] = {.lex_state = 34, .external_lex_state = 2},
  [563] = {.lex_state = 34, .external_lex_state = 2},
  [564] = {.lex_state = 34, .external_lex_state = 2},
  [565] = {.lex_state = 34, .external_lex_state = 2},
  [566] = {.lex_state = 34, .external_lex_state = 2},
  [567] = {.lex_state = 34, .external_lex_state = 2},
  [568] = {.lex_state = 34, .external_lex_state = 2},
  [569] = {.lex_state = 34, .external_lex_state = 2},
  [570] = {.lex_state = 34, .external_lex_state = 2},
  [571] = {.lex_state = 34, .external_lex_state = 2},
  [572] = {.lex_state = 34, .external_lex_state = 2},
  [573] = {.lex_state = 34, .external_lex_state = 2},
  [574] = {.lex_state = 34, .external_lex_state = 2},
  [575] = {.lex_state = 34, .external_lex_state = 2},
  [576] = {.lex_state = 34, .external_lex_state = 2},
  [577] = {.lex_state = 34, .external_lex_state = 2},
  [578] = {.lex_state = 34, .external_lex_state = 2},
  [579] = {.lex_state = 34, .external_lex_state = 2},
  [580] = {.lex_state = 34, .external_lex_state = 2},
  [581] = {.lex_state = 34, .external_lex_state = 2},
  [582] = {.lex_state = 34, .external_lex_state = 2},
  [583] = {.lex_state = 34, .external_lex_state = 2},
  [584] = {.lex_state = 34, .external_lex_state = 2},
  [585] = {.lex_state = 34, .external_lex_state = 2},
  [586] = {.lex_state = 34, .external_lex_state = 2},
  [587] = {.lex_state = 34, .external_lex_state = 2},
  [588] = {.lex_state = 34, .external_lex_state = 2},
  [589] = {.lex_state = 34, .external_lex_state = 2},
  [590] = {.lex_state = 34, .external_lex_state = 2},
  [591] = {.lex_state = 34, .external_lex_state = 2},
  [592] = {.lex_state = 34, .external_lex_state = 2},
  [593] = {.lex_state = 34, .external_lex_state = 2},
  [594] = {.lex_state = 34, .external_lex_state = 2},
  [595] = {.lex_state = 34, .external_lex_state = 2},
  [596] = {.lex_state = 34, .external_lex_state = 2},
  [597] = {.lex_state = 34, .external_lex_state = 2},
  [598] = {.lex_state = 34, .external_lex_state = 2},
  [599] = {.lex_state = 34, .external_lex_state = 2},
  [600] = {.lex_state = 34, .external_lex_state = 2},
  [601] = {.lex_state = 34, .external_lex_state = 2},
  [602] = {.lex_state = 34, .external_lex_state = 2},
  [603] = {.lex_state = 34, .external_lex_state = 2},
  [604] = {.lex_state = 34, .external_lex_state = 2},
  [605] = {.lex_state = 34, .external_lex_state = 2},
  [606] = {.lex_state = 34, .external_lex_state = 2},
  [607] = {.lex_state = 34, .external_lex_state = 2},
  [608] = {.lex_state = 34, .external_lex_state = 2},
  [609] = {.lex_state = 34, .external_lex_state = 2},
  [610] = {.lex_state = 34, .external_lex_state = 2},
  [611] = {.lex_state = 34, .external_lex_state = 2},
  [612] = {.lex_state = 34, .external_lex_state = 2},
  [613] = {.lex_state = 34, .external_lex_state = 2},
  [614] = {.lex_state = 34, .external_lex_state = 2},
  [615] = {.lex_state = 34, .external_lex_state = 2},
  [616] = {.lex_state = 34, .external_lex_state = 2},
  [617] = {.lex_state = 34, .external_lex_state = 2},
  [618] = {.lex_state = 34, .external_lex_state = 2},
  [619] = {.lex_state = 34, .external_lex_state = 2},
  [620] = {.lex_state = 34, .external_lex_state = 2},
  [621] = {.lex_state = 34, .external_lex_state = 2},
  [622] = {.lex_state = 34, .external_lex_state = 2},
  [623] = {.lex_state = 34, .external_lex_state = 2},
  [624] = {.lex_state = 34, .external_lex_state = 2},
  [625] = {.lex_state = 34, .external_lex_state = 2},
  [626] = {.lex_state = 34, .external_lex_state = 2},
  [627] = {.lex_state = 34, .external_lex_state = 2},
  [628] = {.lex_state = 34, .external_lex_state = 2},
  [629] = {.lex_state = 34, .external_lex_state = 2},
  [630] = {.lex_state = 34, .external_lex_state = 2},
  [631] = {.lex_state = 34, .external_lex_state = 2},
  [632] = {.lex_state = 34, .external_lex_state = 2},
  [633] = {.lex_state = 34, .external_lex_state = 2},
  [634] = {.lex_state = 34, .external_lex_state = 2},
  [635] = {.lex_state = 34, .external_lex_state = 2},
  [636] = {.lex_state = 34, .external_lex_state = 2},
  [637] = {.lex_state = 34, .external_lex_state = 2},
  [638] = {.lex_state = 34, .external_lex_state = 2},
  [639] = {.lex_state = 34, .external_lex_state = 2},
  [640] = {.lex_state = 34, .external_lex_state = 2},
  [641] = {.lex_state = 34, .external_lex_state = 2},
  [642] = {.lex_state = 34, .external_lex_state = 2},
  [643] = {.lex_state = 34, .external_lex_state = 2},
  [644] = {.lex_state = 34, .external_lex_state = 2},
  [645] = {.lex_state = 34, .external_lex_state = 2},
  [646] = {.lex_state = 34, .external_lex_state = 2},
  [647] = {.lex_state = 34, .external_lex_state = 2},
  [648] = {.lex_state = 34, .external_lex_state = 2},
  [649] = {.lex_state = 34, .external_lex_state = 2},
  [650] = {.lex_state = 34, .external_lex_state = 2},
  [651] = {.lex_state = 34, .external_lex_state = 2},
  [652] = {.lex_state = 34, .external_lex_state = 2},
  [653] = {.lex_state = 34, .external_lex_state = 2},
  [654] = {.lex_state = 34, .external_lex_state = 2},
  [655] = {.lex_state = 34, .external_lex_state = 2},
  [656] = {.lex_state = 34, .external_lex_state = 2},
  [657] = {.lex_state = 34, .external_lex_state = 2},
  [658] = {.lex_state = 34, .external_lex_state = 2},
  [659] = {.lex_state = 34, .external_lex_state = 2},
  [660] = {.lex_state = 34, .external_lex_state = 2},
  [661] = {.lex_state = 34, .external_lex_state = 2},
  [662] = {.lex_state = 34, .external_lex_state = 2},
  [663] = {.lex_state = 34, .external_lex_state = 2},
  [664] = {.lex_state = 34, .external_lex_state = 2},
  [665] = {.lex_state = 34, .external_lex_state = 2},
  [666] = {.lex_state = 34, .external_lex_state = 2},
  [667] = {.lex_state = 34, .external_lex_state = 2},
  [668] = {.lex_state = 34, .external_lex_state = 2},
  [669] = {.lex_state = 34, .external_lex_state = 2},
  [670] = {.lex_state = 34, .external_lex_state = 2},
  [671] = {.lex_state = 34, .external_lex_state = 2},
  [672] = {.lex_state = 34, .external_lex_state = 2},
  [673] = {.lex_state = 34, .external_lex_state = 2},
  [674] = {.lex_state = 34, .external_lex_state = 2},
  [675] = {.lex_state = 34, .external_lex_state = 2},
  [676] = {.lex_state = 34, .external_lex_state = 2},
  [677] = {.lex_state = 34, .external_lex_state = 2},
  [678] = {.lex_state = 34, .external_lex_state = 2},
  [679] = {.lex_state = 34, .external_lex_state = 2},
  [680] = {.lex_state = 34, .external_lex_state = 2},
  [681] = {.lex_state = 34, .external_lex_state = 2},
  [682] = {.lex_state = 34, .external_lex_state = 2},
  [683] = {.lex_state = 34, .external_lex_state = 2},
  [684] = {.lex_state = 34, .external_lex_state = 2},
  [685] = {.lex_state = 34, .external_lex_state = 2},
  [686] = {.lex_state = 34, .external_lex_state = 2},
  [687] = {.lex_state = 34, .external_lex_state = 2},
  [688] = {.lex_state = 34, .external_lex_state = 2},
  [689] = {.lex_state = 34, .external_lex_state = 2},
  [690] = {.lex_state = 34, .external_lex_state = 2},
  [691] = {.lex_state = 34, .external_lex_state = 2},
  [692] = {.lex_state = 34, .external_lex_state = 2},
  [693] = {.lex_state = 34, .external_lex_state = 2},
  [694] = {.lex_state = 34, .external_lex_state = 2},
  [695] = {.lex_state = 34, .external_lex_state = 2},
  [696] = {.lex_state = 34, .external_lex_state = 2},
  [697] = {.lex_state = 34, .external_lex_state = 2},
  [698] = {.lex_state = 34, .external_lex_state = 2},
  [699] = {.lex_state = 34, .external_lex_state = 2},
  [700] = {.lex_state = 34, .external_lex_state = 2},
  [701] = {.lex_state = 34, .external_lex_state = 2},
  [702] = {.lex_state = 34, .external_lex_state = 2},
  [703] = {.lex_state = 34, .external_lex_state = 2},
  [704] = {.lex_state = 34, .external_lex_state = 2},
  [705] = {.lex_state = 34, .external_lex_state = 2},
  [706] = {.lex_state = 34, .external_lex_state = 2},
  [707] = {.lex_state = 34, .external_lex_state = 2},
  [708] = {.lex_state = 34, .external_lex_state = 2},
  [709] = {.lex_state = 34, .external_lex_state = 2},
  [710] = {.lex_state = 34, .external_lex_state = 2},
  [711] = {.lex_state = 34, .external_lex_state = 2},
  [712] = {.lex_state = 34, .external_lex_state = 2},
  [713] = {.lex_state = 34, .external_lex_state = 2},
  [714] = {.lex_state = 34, .external_lex_state = 2},
  [715] = {.lex_state = 34, .external_lex_state = 2},
  [716] = {.lex_state = 34, .external_lex_state = 2},
  [717] = {.lex_state = 34, .external_lex_state = 2},
  [718] = {.lex_state = 34, .external_lex_state = 2},
  [719] = {.lex_state = 34, .external_lex_state = 2},
  [720] = {.lex_state = 34, .external_lex_state = 2},
  [721] = {.lex_state = 34, .external_lex_state = 2},
  [722] = {.lex_state = 34, .external_lex_state = 2},
  [723] = {.lex_state = 34, .external_lex_state = 2},
  [724] = {.lex_state = 34, .external_lex_state = 2},
  [725] = {.lex_state = 34, .external_lex_state = 2},
  [726] = {.lex_state = 34, .external_lex_state = 2},
  [727] = {.lex_state = 34, .external_lex_state = 2},
  [728] = {.lex_state = 34, .external_lex_state = 2},
  [729] = {.lex_state = 34, .external_lex_state = 2},
  [730] = {.lex_state = 34, .external_lex_state = 2},
  [731] = {.lex_state = 34, .external_lex_state = 2},
  [732] = {.lex_state = 34, .external_lex_state = 2},
  [733] = {.lex_state = 34, .external_lex_state = 2},
  [734] = {.lex_state = 34, .external_lex_state = 2},
  [735] = {.lex_state = 34, .external_lex_state = 2},
  [736] = {.lex_state = 34, .external_lex_state = 2},
  [737] = {.lex_state = 34, .external_lex_state = 2},
  [738] = {.lex_state = 34, .external_lex_state = 2},
  [739] = {.lex_state = 34, .external_lex_state = 2},
  [740] = {.lex_state = 34, .external_lex_state = 2},
  [741] = {.lex_state = 34, .external_lex_state = 2},
  [742] = {.lex_state = 34, .external_lex_state = 2},
  [743] = {.lex_state = 34, .external_lex_state = 2},
  [744] = {.lex_state = 34, .external_lex_state = 2},
  [745] = {.lex_state = 34, .external_lex_state = 2},
  [746] = {.lex_state = 34, .external_lex_state = 2},
  [747] = {.lex_state = 34, .external_lex_state = 2},
  [748] = {.lex_state = 34, .external_lex_state = 2},
  [749] = {.lex_state = 34, .external_lex_state = 2},
  [750] = {.lex_state = 34, .external_lex_state = 2},
  [751] = {.lex_state = 34, .external_lex_state = 2},
  [752] = {.lex_state = 34, .external_lex_state = 2},
  [753] = {.lex_state = 34, .external_lex_state = 2},
  [754] = {.lex_state = 34, .external_lex_state = 2},
  [755] = {.lex_state = 34, .external_lex_state = 2},
  [756] = {.lex_state = 34, .external_lex_state = 2},
  [757] = {.lex_state = 34, .external_lex_state = 2},
  [758] = {.lex_state = 34, .external_lex_state = 2},
  [759] = {.lex_state = 34, .external_lex_state = 2},
  [760] = {.lex_state = 34, .external_lex_state = 2},
  [761] = {.lex_state = 34, .external_lex_state = 2},
  [762] = {.lex_state = 34, .external_lex_state = 2},
  [763] = {.lex_state = 34, .external_lex_state = 2},
  [764] = {.lex_state = 34, .external_lex_state = 2},
  [765] = {.lex_state = 34, .external_lex_state = 2},
  [766] = {.lex_state = 34, .external_lex_state = 2},
  [767] = {.lex_state = 34, .external_lex_state = 2},
  [768] = {.lex_state = 34, .external_lex_state = 2},
  [769] = {.lex_state = 34, .external_lex_state = 2},
  [770] = {.lex_state = 34, .external_lex_state = 2},
  [771] = {.lex_state = 34, .external_lex_state = 2},
  [772] = {.lex_state = 34, .external_lex_state = 2},
  [773] = {.lex_state = 34, .external_lex_state = 2},
  [774] = {.lex_state = 34, .external_lex_state = 2},
  [775] = {.lex_state = 34, .external_lex_state = 2},
  [776] = {.lex_state = 34, .external_lex_state = 2},
  [777] = {.lex_state = 34, .external_lex_state = 2},
  [778] = {.lex_state = 34, .external_lex_state = 2},
  [779] = {.lex_state = 34, .external_lex_state = 2},
  [780] = {.lex_state = 34, .external_lex_state = 2},
  [781] = {.lex_state = 34, .external_lex_state = 2},
  [782] = {.lex_state = 34, .external_lex_state = 2},
  [783] = {.lex_state = 34, .external_lex_state = 2},
  [784] = {.lex_state = 34, .external_lex_state = 2},
  [785] = {.lex_state = 34, .external_lex_state = 2},
  [786] = {.lex_state = 34, .external_lex_state = 2},
  [787] = {.lex_state = 34, .external_lex_state = 2},
  [788] = {.lex_state = 34, .external_lex_state = 2},
  [789] = {.lex_state = 34, .external_lex_state = 2},
  [790] = {.lex_state = 34, .external_lex_state = 2},
  [791] = {.lex_state = 34, .external_lex_state = 2},
  [792] = {.lex_state = 34, .external_lex_state = 2},
  [793] = {.lex_state = 34, .external_lex_state = 2},
  [794] = {.lex_state = 34, .external_lex_state = 2},
  [795] = {.lex_state = 34, .external_lex_state = 2},
  [796] = {.lex_state = 34, .external_lex_state = 2},
  [797] = {.lex_state = 34, .external_lex_state = 2},
  [798] = {.lex_state = 34, .external_lex_state = 2},
  [799] = {.lex_state = 34, .external_lex_state = 2},
  [800] = {.lex_state = 34, .external_lex_state = 2},
  [801] = {.lex_state = 34, .external_lex_state = 2},
  [802] = {.lex_state = 34, .external_lex_state = 2},
  [803] = {.lex_state = 34, .external_lex_state = 2},
  [804] = {.lex_state = 34, .external_lex_state = 2},
  [805] = {.lex_state = 34, .external_lex_state = 2},
  [806] = {.lex_state = 34, .external_lex_state = 2},
  [807] = {.lex_state = 34, .external_lex_state = 2},
  [808] = {.lex_state = 34, .external_lex_state = 2},
  [809] = {.lex_state = 34, .external_lex_state = 2},
  [810] = {.lex_state = 34, .external_lex_state = 2},
  [811] = {.lex_state = 34, .external_lex_state = 2},
  [812] = {.lex_state = 34, .external_lex_state = 2},
  [813] = {.lex_state = 34, .external_lex_state = 2},
  [814] = {.lex_state = 34, .external_lex_state = 2},
  [815] = {.lex_state = 34, .external_lex_state = 2},
  [816] = {.lex_state = 34, .external_lex_state = 2},
  [817] = {.lex_state = 34, .external_lex_state = 2},
  [818] = {.lex_state = 34, .external_lex_state = 2},
  [819] = {.lex_state = 34, .external_lex_state = 2},
  [820] = {.lex_state = 34, .external_lex_state = 2},
  [821] = {.lex_state = 34, .external_lex_state = 2},
  [822] = {.lex_state = 34, .external_lex_state = 2},
  [823] = {.lex_state = 34, .external_lex_state = 2},
  [824] = {.lex_state = 34, .external_lex_state = 2},
  [825] = {.lex_state = 34, .external_lex_state = 2},
  [826] = {.lex_state = 34, .external_lex_state = 2},
  [827] = {.lex_state = 34, .external_lex_state = 2},
  [828] = {.lex_state = 34, .external_lex_state = 2},
  [829] = {.lex_state = 34, .external_lex_state = 2},
  [830] = {.lex_state = 34, .external_lex_state = 2},
  [831] = {.lex_state = 34, .external_lex_state = 2},
  [832] = {.lex_state = 34, .external_lex_state = 2},
  [833] = {.lex_state = 34, .external_lex_state = 2},
  [834] = {.lex_state = 34, .external_lex_state = 2},
  [835] = {.lex_state = 34, .external_lex_state = 2},
  [836] = {.lex_state = 34, .external_lex_state = 2},
  [837] = {.lex_state = 34, .external_lex_state = 2},
  [838] = {.lex_state = 34, .external_lex_state = 2},
  [839] = {.lex_state = 34, .external_lex_state = 2},
  [840] = {.lex_state = 34, .external_lex_state = 2},
  [841] = {.lex_state = 34, .external_lex_state = 2},
  [842] = {.lex_state = 34, .external_lex_state = 2},
  [843] = {.lex_state = 34, .external_lex_state = 2},
  [844] = {.lex_state = 34, .external_lex_state = 2},
  [845] = {.lex_state = 34, .external_lex_state = 2},
  [846] = {.lex_state = 34, .external_lex_state = 2},
  [847] = {.lex_state = 34, .external_lex_state = 2},
  [848] = {.lex_state = 34, .external_lex_state = 2},
  [849] = {.lex_state = 34, .external_lex_state = 2},
  [850] = {.lex_state = 34, .external_lex_state = 2},
  [851] = {.lex_state = 34, .external_lex_state = 2},
  [852] = {.lex_state = 34, .external_lex_state = 2},
  [853] = {.lex_state = 34, .external_lex_state = 2},
  [854] = {.lex_state = 34, .external_lex_state = 2},
  [855] = {.lex_state = 34, .external_lex_state = 2},
  [856] = {.lex_state = 34, .external_lex_state = 2},
  [857] = {.lex_state = 34, .external_lex_state = 2},
  [858] = {.lex_state = 34, .external_lex_state = 2},
  [859] = {.lex_state = 34, .external_lex_state = 2},
  [860] = {.lex_state = 34, .external_lex_state = 2},
  [861] = {.lex_state = 34, .external_lex_state = 2},
  [862] = {.lex_state = 349, .external_lex_state = 4},
  [863] = {.lex_state = 349, .external_lex_state = 4},
  [864] = {.lex_state = 349, .external_lex_state = 4},
  [865] = {.lex_state = 5, .external_lex_state = 4},
  [866] = {.lex_state = 5, .external_lex_state = 4},
  [867] = {.lex_state = 5, .external_lex_state = 4},
  [868] = {.lex_state = 349, .external_lex_state = 4},
  [869] = {.lex_state = 349, .external_lex_state = 4},
  [870] = {.lex_state = 349, .external_lex_state = 4},
  [871] = {.lex_state = 349, .external_lex_state = 4},
  [872] = {.lex_state = 349, .external_lex_state = 4},
  [873] = {.lex_state = 349, .external_lex_state = 4},
  [874] = {.lex_state = 349, .external_lex_state = 4},
  [875] = {.lex_state = 349, .external_lex_state = 4},
  [876] = {.lex_state = 6, .external_lex_state = 4},
  [877] = {.lex_state = 6, .external_lex_state = 4},
  [878] = {.lex_state = 6, .external_lex_state = 4},
  [879] = {.lex_state = 6, .external_lex_state = 4},
  [880] = {.lex_state = 6, .external_lex_state = 4},
  [881] = {.lex_state = 6, .external_lex_state = 4},
  [882] = {.lex_state = 6, .external_lex_state = 4},
  [883] = {.lex_state = 6, .external_lex_state = 4},
  [884] = {.lex_state = 6, .external_lex_state = 4},
  [885] = {.lex_state = 349, .external_lex_state = 4},
  [886] = {.lex_state = 349, .external_lex_state = 4},
  [887] = {.lex_state = 349, .external_lex_state = 4},
  [888] = {.lex_state = 349, .external_lex_state = 4},
  [889] = {.lex_state = 349, .external_lex_state = 4},
  [890] = {.lex_state = 6, .external_lex_state = 4},
  [891] = {.lex_state = 6, .external_lex_state = 4},
  [892] = {.lex_state = 6, .external_lex_state = 4},
  [893] = {.lex_state = 349, .external_lex_state = 4},
  [894] = {.lex_state = 349, .external_lex_state = 4},
  [895] = {.lex_state = 6, .external_lex_state = 4},
  [896] = {.lex_state = 349, .external_lex_state = 4},
  [897] = {.lex_state = 349, .external_lex_state = 4},
  [898] = {.lex_state = 6, .external_lex_state = 4},
  [899] = {.lex_state = 6, .external_lex_state = 4},
  [900] = {.lex_state = 349, .external_lex_state = 4},
  [901] = {.lex_state = 349, .external_lex_state = 4},
  [902] = {.lex_state = 20, .external_lex_state = 3},
  [903] = {.lex_state = 20, .external_lex_state = 3},
  [904] = {.lex_state = 20, .external_lex_state = 3},
  [905] = {.lex_state = 20, .external_lex_state = 4},
  [906] = {.lex_state = 22, .external_lex_state = 4},
  [907] = {.lex_state = 20, .external_lex_state = 3},
  [908] = {.lex_state = 20, .external_lex_state = 4},
  [909] = {.lex_state = 22, .external_lex_state = 4},
  [910] = {.lex_state = 20, .external_lex_state = 4},
  [911] = {.lex_state = 20, .external_lex_state = 4},
  [912] = {.lex_state = 20, .external_lex_state = 4},
  [913] = {.lex_state = 20, .external_lex_state = 3},
  [914] = {.lex_state = 20, .external_lex_state = 4},
  [915] = {.lex_state = 22, .external_lex_state = 4},
  [916] = {.lex_state = 20, .external_lex_state = 3},
  [917] = {.lex_state = 20, .external_lex_state = 4},
  [918] = {.lex_state = 20, .external_lex_state = 3},
  [919] = {.lex_state = 20, .external_lex_state = 3},
  [920] = {.lex_state = 23, .external_lex_state = 3},
  [921] = {.lex_state = 23, .external_lex_state = 3},
  [922] = {.lex_state = 20, .external_lex_state = 3},
  [923] = {.lex_state = 20, .external_lex_state = 3},
  [924] = {.lex_state = 20, .external_lex_state = 4},
  [925] = {.lex_state = 20, .external_lex_state = 4},
  [926] = {.lex_state = 20, .external_lex_state = 3},
  [927] = {.lex_state = 20, .external_lex_state = 4},
  [928] = {.lex_state = 20, .external_lex_state = 3},
  [929] = {.lex_state = 40, .external_lex_state = 2},
  [930] = {.lex_state = 20, .external_lex_state = 4},
  [931] = {.lex_state = 20, .external_lex_state = 4},
  [932] = {.lex_state = 20, .external_lex_state = 4},
  [933] = {.lex_state = 20, .external_lex_state = 4},
  [934] = {.lex_state = 20, .external_lex_state = 4},
  [935] = {.lex_state = 20, .external_lex_state = 3},
  [936] = {.lex_state = 20, .external_lex_state = 3},
  [937] = {.lex_state = 20, .external_lex_state = 3},
  [938] = {.lex_state = 40, .external_lex_state = 5},
  [939] = {.lex_state = 20, .external_lex_state = 3},
  [940] = {.lex_state = 22, .external_lex_state = 3},
  [941] = {.lex_state = 22, .external_lex_state = 3},
  [942] = {.lex_state = 22, .external_lex_state = 3},
  [943] = {.lex_state = 39, .external_lex_state = 2},
  [944] = {.lex_state = 356, .external_lex_state = 2},
  [945] = {.lex_state = 20, .external_lex_state = 3},
  [946] = {.lex_state = 40, .external_lex_state = 5},
  [947] = {.lex_state = 20, .external_lex_state = 3},
  [948] = {.lex_state = 38, .external_lex_state = 2},
  [949] = {.lex_state = 38, .external_lex_state = 2},
  [950] = {.lex_state = 40, .external_lex_state = 2},
  [951] = {.lex_state = 356, .external_lex_state = 5},
  [952] = {.lex_state = 40, .external_lex_state = 2},
  [953] = {.lex_state = 20, .external_lex_state = 3},
  [954] = {.lex_state = 20, .external_lex_state = 3},
  [955] = {.lex_state = 20, .external_lex_state = 3},
  [956] = {.lex_state = 20, .external_lex_state = 3},
  [957] = {.lex_state = 42, .external_lex_state = 2},
  [958] = {.lex_state = 20, .external_lex_state = 3},
  [959] = {.lex_state = 356, .external_lex_state = 5},
  [960] = {.lex_state = 20, .external_lex_state = 3},
  [961] = {.lex_state = 355, .external_lex_state = 2},
  [962] = {.lex_state = 42, .external_lex_state = 5},
  [963] = {.lex_state = 20, .external_lex_state = 3},
  [964] = {.lex_state = 20, .external_lex_state = 3},
  [965] = {.lex_state = 20, .external_lex_state = 3},
  [966] = {.lex_state = 20, .external_lex_state = 3},
  [967] = {.lex_state = 20, .external_lex_state = 3},
  [968] = {.lex_state = 39, .external_lex_state = 5},
  [969] = {.lex_state = 42, .external_lex_state = 5},
  [970] = {.lex_state = 39, .external_lex_state = 5},
  [971] = {.lex_state = 38, .external_lex_state = 5},
  [972] = {.lex_state = 355, .external_lex_state = 5},
  [973] = {.lex_state = 38, .external_lex_state = 5},
  [974] = {.lex_state = 38, .external_lex_state = 2},
  [975] = {.lex_state = 38, .external_lex_state = 2},
  [976] = {.lex_state = 38, .external_lex_state = 5},
  [977] = {.lex_state = 356, .external_lex_state = 2},
  [978] = {.lex_state = 38, .external_lex_state = 5},
  [979] = {.lex_state = 42, .external_lex_state = 2},
  [980] = {.lex_state = 354, .external_lex_state = 2},
  [981] = {.lex_state = 354, .external_lex_state = 5},
  [982] = {.lex_state = 41, .external_lex_state = 5},
  [983] = {.lex_state = 38, .external_lex_state = 5},
  [984] = {.lex_state = 42, .external_lex_state = 2},
  [985] = {.lex_state = 356, .external_lex_state = 2},
  [986] = {.lex_state = 38, .external_lex_state = 5},
  [987] = {.lex_state = 38, .external_lex_state = 5},
  [988] = {.lex_state = 41, .external_lex_state = 2},
  [989] = {.lex_state = 39, .external_lex_state = 2},
  [990] = {.lex_state = 42, .external_lex_state = 2},
  [991] = {.lex_state = 38, .external_lex_state = 5},
  [992] = {.lex_state = 352, .external_lex_state = 2},
  [993] = {.lex_state = 38, .external_lex_state = 5},
  [994] = {.lex_state = 352, .external_lex_state = 2},
  [995] = {.lex_state = 38, .external_lex_state = 5},
  [996] = {.lex_state = 42, .external_lex_state = 2},
  [997] = {.lex_state = 38, .external_lex_state = 5},
  [998] = {.lex_state = 39, .external_lex_state = 2},
  [999] = {.lex_state = 38, .external_lex_state = 5},
  [1000] = {.lex_state = 354, .external_lex_state = 5},
  [1001] = {.lex_state = 37, .external_lex_state = 2},
  [1002] = {.lex_state = 37, .external_lex_state = 2},
  [1003] = {.lex_state = 38, .external_lex_state = 5},
  [1004] = {.lex_state = 38, .external_lex_state = 5},
  [1005] = {.lex_state = 38, .external_lex_state = 5},
  [1006] = {.lex_state = 42, .external_lex_state = 2},
  [1007] = {.lex_state = 38, .external_lex_state = 2},
  [1008] = {.lex_state = 38, .external_lex_state = 5},
  [1009] = {.lex_state = 38, .external_lex_state = 2},
  [1010] = {.lex_state = 38, .external_lex_state = 2},
  [1011] = {.lex_state = 41, .external_lex_state = 5},
  [1012] = {.lex_state = 38, .external_lex_state = 5},
  [1013] = {.lex_state = 38, .external_lex_state = 5},
  [1014] = {.lex_state = 38, .external_lex_state = 5},
  [1015] = {.lex_state = 355, .external_lex_state = 5},
  [1016] = {.lex_state = 38, .external_lex_state = 5},
  [1017] = {.lex_state = 38, .external_lex_state = 5},
  [1018] = {.lex_state = 38, .external_lex_state = 5},
  [1019] = {.lex_state = 38, .external_lex_state = 5},
  [1020] = {.lex_state = 38, .external_lex_state = 2},
  [1021] = {.lex_state = 37, .external_lex_state = 5},
  [1022] = {.lex_state = 352, .external_lex_state = 5},
  [1023] = {.lex_state = 38, .external_lex_state = 2},
  [1024] = {.lex_state = 352, .external_lex_state = 5},
  [1025] = {.lex_state = 38, .external_lex_state = 2},
  [1026] = {.lex_state = 38, .external_lex_state = 2},
  [1027] = {.lex_state = 38, .external_lex_state = 2},
  [1028] = {.lex_state = 38, .external_lex_state = 2},
  [1029] = {.lex_state = 38, .external_lex_state = 2},
  [1030] = {.lex_state = 38, .external_lex_state = 2},
  [1031] = {.lex_state = 38, .external_lex_state = 2},
  [1032] = {.lex_state = 38, .external_lex_state = 2},
  [1033] = {.lex_state = 38, .external_lex_state = 2},
  [1034] = {.lex_state = 37, .external_lex_state = 5},
  [1035] = {.lex_state = 38, .external_lex_state = 2},
  [1036] = {.lex_state = 38, .external_lex_state = 2},
  [1037] = {.lex_state = 352, .external_lex_state = 5},
  [1038] = {.lex_state = 38, .external_lex_state = 2},
  [1039] = {.lex_state = 38, .external_lex_state = 2},
  [1040] = {.lex_state = 41, .external_lex_state = 2},
  [1041] = {.lex_state = 38, .external_lex_state = 2},
  [1042] = {.lex_state = 352, .external_lex_state = 5},
  [1043] = {.lex_state = 38, .external_lex_state = 2},
  [1044] = {.lex_state = 38, .external_lex_state = 2},
  [1045] = {.lex_state = 352, .external_lex_state = 5},
  [1046] = {.lex_state = 352, .external_lex_state = 2},
  [1047] = {.lex_state = 38, .external_lex_state = 2},
  [1048] = {.lex_state = 38, .external_lex_state = 2},
  [1049] = {.lex_state = 38, .external_lex_state = 2},
  [1050] = {.lex_state = 41, .external_lex_state = 2},
  [1051] = {.lex_state = 38, .external_lex_state = 2},
  [1052] = {.lex_state = 38, .external_lex_state = 2},
  [1053] = {.lex_state = 38, .external_lex_state = 2},
  [1054] = {.lex_state = 352, .external_lex_state = 5},
  [1055] = {.lex_state = 38, .external_lex_state = 2},
  [1056] = {.lex_state = 38, .external_lex_state = 2},
  [1057] = {.lex_state = 38, .external_lex_state = 2},
  [1058] = {.lex_state = 38, .external_lex_state = 2},
  [1059] = {.lex_state = 38, .external_lex_state = 2},
  [1060] = {.lex_state = 37, .external_lex_state = 5},
  [1061] = {.lex_state = 38, .external_lex_state = 2},
  [1062] = {.lex_state = 38, .external_lex_state = 2},
  [1063] = {.lex_state = 38, .external_lex_state = 2},
  [1064] = {.lex_state = 38, .external_lex_state = 2},
  [1065] = {.lex_state = 38, .external_lex_state = 2},
  [1066] = {.lex_state = 38, .external_lex_state = 2},
  [1067] = {.lex_state = 38, .external_lex_state = 2},
  [1068] = {.lex_state = 352, .external_lex_state = 5},
  [1069] = {.lex_state = 38, .external_lex_state = 2},
  [1070] = {.lex_state = 38, .external_lex_state = 2},
  [1071] = {.lex_state = 38, .external_lex_state = 2},
  [1072] = {.lex_state = 37, .external_lex_state = 5},
  [1073] = {.lex_state = 37, .external_lex_state = 5},
  [1074] = {.lex_state = 38, .external_lex_state = 2},
  [1075] = {.lex_state = 38, .external_lex_state = 2},
  [1076] = {.lex_state = 38, .external_lex_state = 2},
  [1077] = {.lex_state = 38, .external_lex_state = 2},
  [1078] = {.lex_state = 38, .external_lex_state = 2},
  [1079] = {.lex_state = 38, .external_lex_state = 2},
  [1080] = {.lex_state = 38, .external_lex_state = 2},
  [1081] = {.lex_state = 354, .external_lex_state = 2},
  [1082] = {.lex_state = 354, .external_lex_state = 2},
  [1083] = {.lex_state = 38, .external_lex_state = 2},
  [1084] = {.lex_state = 352, .external_lex_state = 5},
  [1085] = {.lex_state = 38, .external_lex_state = 2},
  [1086] = {.lex_state = 38, .external_lex_state = 2},
  [1087] = {.lex_state = 38, .external_lex_state = 2},
  [1088] = {.lex_state = 38, .external_lex_state = 2},
  [1089] = {.lex_state = 38, .external_lex_state = 2},
  [1090] = {.lex_state = 38, .external_lex_state = 2},
  [1091] = {.lex_state = 38, .external_lex_state = 2},
  [1092] = {.lex_state = 38, .external_lex_state = 2},
  [1093] = {.lex_state = 38, .external_lex_state = 2},
  [1094] = {.lex_state = 38, .external_lex_state = 2},
  [1095] = {.lex_state = 38, .external_lex_state = 2},
  [1096] = {.lex_state = 38, .external_lex_state = 2},
  [1097] = {.lex_state = 38, .external_lex_state = 2},
  [1098] = {.lex_state = 38, .external_lex_state = 2},
  [1099] = {.lex_state = 38, .external_lex_state = 2},
  [1100] = {.lex_state = 37, .external_lex_state = 5},
  [1101] = {.lex_state = 37, .external_lex_state = 5},
  [1102] = {.lex_state = 37, .external_lex_state = 5},
  [1103] = {.lex_state = 41, .external_lex_state = 2},
  [1104] = {.lex_state = 353, .external_lex_state = 2},
  [1105] = {.lex_state = 38, .external_lex_state = 2},
  [1106] = {.lex_state = 38, .external_lex_state = 2},
  [1107] = {.lex_state = 38, .external_lex_state = 2},
  [1108] = {.lex_state = 41, .external_lex_state = 2},
  [1109] = {.lex_state = 38, .external_lex_state = 2},
  [1110] = {.lex_state = 38, .external_lex_state = 2},
  [1111] = {.lex_state = 37, .external_lex_state = 5},
  [1112] = {.lex_state = 37, .external_lex_state = 5},
  [1113] = {.lex_state = 37, .external_lex_state = 5},
  [1114] = {.lex_state = 38, .external_lex_state = 2},
  [1115] = {.lex_state = 352, .external_lex_state = 2},
  [1116] = {.lex_state = 37, .external_lex_state = 5},
  [1117] = {.lex_state = 41, .external_lex_state = 2},
  [1118] = {.lex_state = 352, .external_lex_state = 5},
  [1119] = {.lex_state = 37, .external_lex_state = 5},
  [1120] = {.lex_state = 38, .external_lex_state = 2},
  [1121] = {.lex_state = 352, .external_lex_state = 5},
  [1122] = {.lex_state = 37, .external_lex_state = 5},
  [1123] = {.lex_state = 38, .external_lex_state = 2},
  [1124] = {.lex_state = 38, .external_lex_state = 2},
  [1125] = {.lex_state = 38, .external_lex_state = 2},
  [1126] = {.lex_state = 38, .external_lex_state = 2},
  [1127] = {.lex_state = 355, .external_lex_state = 2},
  [1128] = {.lex_state = 38, .external_lex_state = 2},
  [1129] = {.lex_state = 38, .external_lex_state = 2},
  [1130] = {.lex_state = 38, .external_lex_state = 2},
  [1131] = {.lex_state = 352, .external_lex_state = 5},
  [1132] = {.lex_state = 38, .external_lex_state = 2},
  [1133] = {.lex_state = 352, .external_lex_state = 5},
  [1134] = {.lex_state = 38, .external_lex_state = 2},
  [1135] = {.lex_state = 38, .external_lex_state = 2},
  [1136] = {.lex_state = 38, .external_lex_state = 2},
  [1137] = {.lex_state = 38, .external_lex_state = 2},
  [1138] = {.lex_state = 38, .external_lex_state = 2},
  [1139] = {.lex_state = 38, .external_lex_state = 2},
  [1140] = {.lex_state = 38, .external_lex_state = 2},
  [1141] = {.lex_state = 38, .external_lex_state = 2},
  [1142] = {.lex_state = 38, .external_lex_state = 2},
  [1143] = {.lex_state = 38, .external_lex_state = 2},
  [1144] = {.lex_state = 38, .external_lex_state = 2},
  [1145] = {.lex_state = 353, .external_lex_state = 5},
  [1146] = {.lex_state = 38, .external_lex_state = 2},
  [1147] = {.lex_state = 38, .external_lex_state = 2},
  [1148] = {.lex_state = 38, .external_lex_state = 2},
  [1149] = {.lex_state = 38, .external_lex_state = 2},
  [1150] = {.lex_state = 38, .external_lex_state = 2},
  [1151] = {.lex_state = 38, .external_lex_state = 2},
  [1152] = {.lex_state = 38, .external_lex_state = 2},
  [1153] = {.lex_state = 38, .external_lex_state = 2},
  [1154] = {.lex_state = 38, .external_lex_state = 2},
  [1155] = {.lex_state = 38, .external_lex_state = 2},
  [1156] = {.lex_state = 354, .external_lex_state = 2},
  [1157] = {.lex_state = 38, .external_lex_state = 2},
  [1158] = {.lex_state = 38, .external_lex_state = 2},
  [1159] = {.lex_state = 38, .external_lex_state = 2},
  [1160] = {.lex_state = 38, .external_lex_state = 2},
  [1161] = {.lex_state = 38, .external_lex_state = 2},
  [1162] = {.lex_state = 38, .external_lex_state = 2},
  [1163] = {.lex_state = 352, .external_lex_state = 5},
  [1164] = {.lex_state = 352, .external_lex_state = 5},
  [1165] = {.lex_state = 38, .external_lex_state = 2},
  [1166] = {.lex_state = 38, .external_lex_state = 2},
  [1167] = {.lex_state = 352, .external_lex_state = 5},
  [1168] = {.lex_state = 352, .external_lex_state = 5},
  [1169] = {.lex_state = 38, .external_lex_state = 2},
  [1170] = {.lex_state = 38, .external_lex_state = 2},
  [1171] = {.lex_state = 38, .external_lex_state = 2},
  [1172] = {.lex_state = 38, .external_lex_state = 2},
  [1173] = {.lex_state = 38, .external_lex_state = 2},
  [1174] = {.lex_state = 352, .external_lex_state = 5},
  [1175] = {.lex_state = 38, .external_lex_state = 2},
  [1176] = {.lex_state = 38, .external_lex_state = 2},
  [1177] = {.lex_state = 38, .external_lex_state = 2},
  [1178] = {.lex_state = 37, .external_lex_state = 5},
  [1179] = {.lex_state = 38, .external_lex_state = 2},
  [1180] = {.lex_state = 353, .external_lex_state = 5},
  [1181] = {.lex_state = 38, .external_lex_state = 2},
  [1182] = {.lex_state = 38, .external_lex_state = 2},
  [1183] = {.lex_state = 38, .external_lex_state = 2},
  [1184] = {.lex_state = 38, .external_lex_state = 2},
  [1185] = {.lex_state = 38, .external_lex_state = 2},
  [1186] = {.lex_state = 38, .external_lex_state = 2},
  [1187] = {.lex_state = 38, .external_lex_state = 2},
  [1188] = {.lex_state = 38, .external_lex_state = 2},
  [1189] = {.lex_state = 38, .external_lex_state = 2},
  [1190] = {.lex_state = 38, .external_lex_state = 2},
  [1191] = {.lex_state = 37, .external_lex_state = 5},
  [1192] = {.lex_state = 352, .external_lex_state = 5},
  [1193] = {.lex_state = 38, .external_lex_state = 2},
  [1194] = {.lex_state = 352, .external_lex_state = 2},
  [1195] = {.lex_state = 352, .external_lex_state = 2},
  [1196] = {.lex_state = 351, .external_lex_state = 2},
  [1197] = {.lex_state = 351, .external_lex_state = 2},
  [1198] = {.lex_state = 37, .external_lex_state = 5},
  [1199] = {.lex_state = 352, .external_lex_state = 5},
  [1200] = {.lex_state = 38, .external_lex_state = 2},
  [1201] = {.lex_state = 38, .external_lex_state = 2},
  [1202] = {.lex_state = 352, .external_lex_state = 5},
  [1203] = {.lex_state = 38, .external_lex_state = 2},
  [1204] = {.lex_state = 37, .external_lex_state = 5},
  [1205] = {.lex_state = 38, .external_lex_state = 2},
  [1206] = {.lex_state = 38, .external_lex_state = 2},
  [1207] = {.lex_state = 37, .external_lex_state = 5},
  [1208] = {.lex_state = 37, .external_lex_state = 5},
  [1209] = {.lex_state = 38, .external_lex_state = 2},
  [1210] = {.lex_state = 38, .external_lex_state = 2},
  [1211] = {.lex_state = 38, .external_lex_state = 2},
  [1212] = {.lex_state = 38, .external_lex_state = 2},
  [1213] = {.lex_state = 38, .external_lex_state = 2},
  [1214] = {.lex_state = 38, .external_lex_state = 2},
  [1215] = {.lex_state = 38, .external_lex_state = 2},
  [1216] = {.lex_state = 38, .external_lex_state = 2},
  [1217] = {.lex_state = 38, .external_lex_state = 2},
  [1218] = {.lex_state = 38, .external_lex_state = 2},
  [1219] = {.lex_state = 38, .external_lex_state = 2},
  [1220] = {.lex_state = 38, .external_lex_state = 2},
  [1221] = {.lex_state = 352, .external_lex_state = 5},
  [1222] = {.lex_state = 38, .external_lex_state = 2},
  [1223] = {.lex_state = 38, .external_lex_state = 2},
  [1224] = {.lex_state = 38, .external_lex_state = 2},
  [1225] = {.lex_state = 38, .external_lex_state = 2},
  [1226] = {.lex_state = 38, .external_lex_state = 2},
  [1227] = {.lex_state = 352, .external_lex_state = 2},
  [1228] = {.lex_state = 38, .external_lex_state = 2},
  [1229] = {.lex_state = 38, .external_lex_state = 2},
  [1230] = {.lex_state = 38, .external_lex_state = 2},
  [1231] = {.lex_state = 37, .external_lex_state = 2},
  [1232] = {.lex_state = 354, .external_lex_state = 2},
  [1233] = {.lex_state = 37, .external_lex_state = 5},
  [1234] = {.lex_state = 37, .external_lex_state = 2},
  [1235] = {.lex_state = 37, .external_lex_state = 2},
  [1236] = {.lex_state = 38, .external_lex_state = 2},
  [1237] = {.lex_state = 354, .external_lex_state = 2},
  [1238] = {.lex_state = 37, .external_lex_state = 5},
  [1239] = {.lex_state = 37, .external_lex_state = 5},
  [1240] = {.lex_state = 38, .external_lex_state = 2},
  [1241] = {.lex_state = 38, .external_lex_state = 2},
  [1242] = {.lex_state = 38, .external_lex_state = 2},
  [1243] = {.lex_state = 352, .external_lex_state = 5},
  [1244] = {.lex_state = 352, .external_lex_state = 5},
  [1245] = {.lex_state = 38, .external_lex_state = 2},
  [1246] = {.lex_state = 38, .external_lex_state = 2},
  [1247] = {.lex_state = 38, .external_lex_state = 2},
  [1248] = {.lex_state = 355, .external_lex_state = 2},
  [1249] = {.lex_state = 38, .external_lex_state = 2},
  [1250] = {.lex_state = 38, .external_lex_state = 2},
  [1251] = {.lex_state = 38, .external_lex_state = 2},
  [1252] = {.lex_state = 38, .external_lex_state = 2},
  [1253] = {.lex_state = 38, .external_lex_state = 2},
  [1254] = {.lex_state = 38, .external_lex_state = 2},
  [1255] = {.lex_state = 37, .external_lex_state = 2},
  [1256] = {.lex_state = 352, .external_lex_state = 2},
  [1257] = {.lex_state = 352, .external_lex_state = 2},
  [1258] = {.lex_state = 352, .external_lex_state = 2},
  [1259] = {.lex_state = 352, .external_lex_state = 2},
  [1260] = {.lex_state = 352, .external_lex_state = 2},
  [1261] = {.lex_state = 37, .external_lex_state = 2},
  [1262] = {.lex_state = 352, .external_lex_state = 2},
  [1263] = {.lex_state = 37, .external_lex_state = 2},
  [1264] = {.lex_state = 352, .external_lex_state = 2},
  [1265] = {.lex_state = 352, .external_lex_state = 2},
  [1266] = {.lex_state = 352, .external_lex_state = 2},
  [1267] = {.lex_state = 352, .external_lex_state = 2},
  [1268] = {.lex_state = 352, .external_lex_state = 2},
  [1269] = {.lex_state = 352, .external_lex_state = 2},
  [1270] = {.lex_state = 37, .external_lex_state = 2},
  [1271] = {.lex_state = 37, .external_lex_state = 2},
  [1272] = {.lex_state = 352, .external_lex_state = 2},
  [1273] = {.lex_state = 352, .external_lex_state = 2},
  [1274] = {.lex_state = 37, .external_lex_state = 2},
  [1275] = {.lex_state = 37, .external_lex_state = 2},
  [1276] = {.lex_state = 37, .external_lex_state = 2},
  [1277] = {.lex_state = 37, .external_lex_state = 2},
  [1278] = {.lex_state = 37, .external_lex_state = 2},
  [1279] = {.lex_state = 352, .external_lex_state = 2},
  [1280] = {.lex_state = 352, .external_lex_state = 2},
  [1281] = {.lex_state = 37, .external_lex_state = 2},
  [1282] = {.lex_state = 37, .external_lex_state = 2},
  [1283] = {.lex_state = 37, .external_lex_state = 2},
  [1284] = {.lex_state = 352, .external_lex_state = 2},
  [1285] = {.lex_state = 352, .external_lex_state = 2},
  [1286] = {.lex_state = 352, .external_lex_state = 2},
  [1287] = {.lex_state = 352, .external_lex_state = 2},
  [1288] = {.lex_state = 352, .external_lex_state = 2},
  [1289] = {.lex_state = 352, .external_lex_state = 2},
  [1290] = {.lex_state = 352, .external_lex_state = 2},
  [1291] = {.lex_state = 352, .external_lex_state = 2},
  [1292] = {.lex_state = 37, .external_lex_state = 2},
  [1293] = {.lex_state = 352, .external_lex_state = 2},
  [1294] = {.lex_state = 37, .external_lex_state = 2},
  [1295] = {.lex_state = 352, .external_lex_state = 2},
  [1296] = {.lex_state = 352, .external_lex_state = 2},
  [1297] = {.lex_state = 352, .external_lex_state = 2},
  [1298] = {.lex_state = 37, .external_lex_state = 2},
  [1299] = {.lex_state = 352, .external_lex_state = 2},
  [1300] = {.lex_state = 352, .external_lex_state = 2},
  [1301] = {.lex_state = 37, .external_lex_state = 2},
  [1302] = {.lex_state = 352, .external_lex_state = 2},
  [1303] = {.lex_state = 352, .external_lex_state = 2},
  [1304] = {.lex_state = 352, .external_lex_state = 2},
  [1305] = {.lex_state = 37, .external_lex_state = 2},
  [1306] = {.lex_state = 37, .external_lex_state = 2},
  [1307] = {.lex_state = 352, .external_lex_state = 2},
  [1308] = {.lex_state = 352, .external_lex_state = 2},
  [1309] = {.lex_state = 352, .external_lex_state = 2},
  [1310] = {.lex_state = 352, .external_lex_state = 2},
  [1311] = {.lex_state = 352, .external_lex_state = 2},
  [1312] = {.lex_state = 351, .external_lex_state = 5},
  [1313] = {.lex_state = 37, .external_lex_state = 2},
  [1314] = {.lex_state = 352, .external_lex_state = 2},
  [1315] = {.lex_state = 37, .external_lex_state = 2},
  [1316] = {.lex_state = 37, .external_lex_state = 2},
  [1317] = {.lex_state = 352, .external_lex_state = 2},
  [1318] = {.lex_state = 37, .external_lex_state = 2},
  [1319] = {.lex_state = 352, .external_lex_state = 2},
  [1320] = {.lex_state = 352, .external_lex_state = 2},
  [1321] = {.lex_state = 37, .external_lex_state = 2},
  [1322] = {.lex_state = 352, .external_lex_state = 2},
  [1323] = {.lex_state = 352, .external_lex_state = 2},
  [1324] = {.lex_state = 37, .external_lex_state = 2},
  [1325] = {.lex_state = 352, .external_lex_state = 2},
  [1326] = {.lex_state = 352, .external_lex_state = 2},
  [1327] = {.lex_state = 352, .external_lex_state = 2},
  [1328] = {.lex_state = 37, .external_lex_state = 2},
  [1329] = {.lex_state = 352, .external_lex_state = 2},
  [1330] = {.lex_state = 352, .external_lex_state = 2},
  [1331] = {.lex_state = 352, .external_lex_state = 2},
  [1332] = {.lex_state = 37, .external_lex_state = 2},
  [1333] = {.lex_state = 352, .external_lex_state = 2},
  [1334] = {.lex_state = 37, .external_lex_state = 2},
  [1335] = {.lex_state = 352, .external_lex_state = 2},
  [1336] = {.lex_state = 352, .external_lex_state = 2},
  [1337] = {.lex_state = 352, .external_lex_state = 2},
  [1338] = {.lex_state = 352, .external_lex_state = 2},
  [1339] = {.lex_state = 37, .external_lex_state = 2},
  [1340] = {.lex_state = 352, .external_lex_state = 2},
  [1341] = {.lex_state = 37, .external_lex_state = 2},
  [1342] = {.lex_state = 352, .external_lex_state = 2},
  [1343] = {.lex_state = 352, .external_lex_state = 2},
  [1344] = {.lex_state = 352, .external_lex_state = 2},
  [1345] = {.lex_state = 352, .external_lex_state = 2},
  [1346] = {.lex_state = 352, .external_lex_state = 2},
  [1347] = {.lex_state = 352, .external_lex_state = 2},
  [1348] = {.lex_state = 352, .external_lex_state = 2},
  [1349] = {.lex_state = 352, .external_lex_state = 2},
  [1350] = {.lex_state = 352, .external_lex_state = 2},
  [1351] = {.lex_state = 352, .external_lex_state = 2},
  [1352] = {.lex_state = 37, .external_lex_state = 2},
  [1353] = {.lex_state = 351, .external_lex_state = 5},
  [1354] = {.lex_state = 352, .external_lex_state = 2},
  [1355] = {.lex_state = 37, .external_lex_state = 2},
  [1356] = {.lex_state = 352, .external_lex_state = 2},
  [1357] = {.lex_state = 352, .external_lex_state = 2},
  [1358] = {.lex_state = 352, .external_lex_state = 2},
  [1359] = {.lex_state = 37, .external_lex_state = 2},
  [1360] = {.lex_state = 352, .external_lex_state = 2},
  [1361] = {.lex_state = 352, .external_lex_state = 2},
  [1362] = {.lex_state = 352, .external_lex_state = 2},
  [1363] = {.lex_state = 37, .external_lex_state = 2},
  [1364] = {.lex_state = 352, .external_lex_state = 2},
  [1365] = {.lex_state = 352, .external_lex_state = 2},
  [1366] = {.lex_state = 37, .external_lex_state = 2},
  [1367] = {.lex_state = 352, .external_lex_state = 2},
  [1368] = {.lex_state = 352, .external_lex_state = 2},
  [1369] = {.lex_state = 37, .external_lex_state = 2},
  [1370] = {.lex_state = 351, .external_lex_state = 5},
  [1371] = {.lex_state = 37, .external_lex_state = 2},
  [1372] = {.lex_state = 352, .external_lex_state = 2},
  [1373] = {.lex_state = 37, .external_lex_state = 2},
  [1374] = {.lex_state = 37, .external_lex_state = 2},
  [1375] = {.lex_state = 37, .external_lex_state = 2},
  [1376] = {.lex_state = 37, .external_lex_state = 2},
  [1377] = {.lex_state = 351, .external_lex_state = 5},
  [1378] = {.lex_state = 352, .external_lex_state = 2},
  [1379] = {.lex_state = 37, .external_lex_state = 2},
  [1380] = {.lex_state = 37, .external_lex_state = 2},
  [1381] = {.lex_state = 37, .external_lex_state = 2},
  [1382] = {.lex_state = 352, .external_lex_state = 2},
  [1383] = {.lex_state = 352, .external_lex_state = 2},
  [1384] = {.lex_state = 351, .external_lex_state = 5},
  [1385] = {.lex_state = 37, .external_lex_state = 2},
  [1386] = {.lex_state = 353, .external_lex_state = 2},
  [1387] = {.lex_state = 37, .external_lex_state = 2},
  [1388] = {.lex_state = 37, .external_lex_state = 2},
  [1389] = {.lex_state = 37, .external_lex_state = 2},
  [1390] = {.lex_state = 352, .external_lex_state = 2},
  [1391] = {.lex_state = 351, .external_lex_state = 5},
  [1392] = {.lex_state = 352, .external_lex_state = 2},
  [1393] = {.lex_state = 352, .external_lex_state = 2},
  [1394] = {.lex_state = 37, .external_lex_state = 2},
  [1395] = {.lex_state = 352, .external_lex_state = 2},
  [1396] = {.lex_state = 351, .external_lex_state = 5},
  [1397] = {.lex_state = 352, .external_lex_state = 2},
  [1398] = {.lex_state = 37, .external_lex_state = 2},
  [1399] = {.lex_state = 352, .external_lex_state = 2},
  [1400] = {.lex_state = 352, .external_lex_state = 2},
  [1401] = {.lex_state = 352, .external_lex_state = 2},
  [1402] = {.lex_state = 352, .external_lex_state = 2},
  [1403] = {.lex_state = 352, .external_lex_state = 2},
  [1404] = {.lex_state = 352, .external_lex_state = 2},
  [1405] = {.lex_state = 352, .external_lex_state = 2},
  [1406] = {.lex_state = 352, .external_lex_state = 2},
  [1407] = {.lex_state = 353, .external_lex_state = 2},
  [1408] = {.lex_state = 352, .external_lex_state = 2},
  [1409] = {.lex_state = 352, .external_lex_state = 2},
  [1410] = {.lex_state = 37, .external_lex_state = 2},
  [1411] = {.lex_state = 37, .external_lex_state = 2},
  [1412] = {.lex_state = 37, .external_lex_state = 2},
  [1413] = {.lex_state = 37, .external_lex_state = 2},
  [1414] = {.lex_state = 352, .external_lex_state = 2},
  [1415] = {.lex_state = 352, .external_lex_state = 2},
  [1416] = {.lex_state = 37, .external_lex_state = 2},
  [1417] = {.lex_state = 353, .external_lex_state = 2},
  [1418] = {.lex_state = 37, .external_lex_state = 2},
  [1419] = {.lex_state = 37, .external_lex_state = 2},
  [1420] = {.lex_state = 37, .external_lex_state = 2},
  [1421] = {.lex_state = 37, .external_lex_state = 2},
  [1422] = {.lex_state = 352, .external_lex_state = 2},
  [1423] = {.lex_state = 37, .external_lex_state = 2},
  [1424] = {.lex_state = 351, .external_lex_state = 5},
  [1425] = {.lex_state = 351, .external_lex_state = 5},
  [1426] = {.lex_state = 352, .external_lex_state = 2},
  [1427] = {.lex_state = 37, .external_lex_state = 2},
  [1428] = {.lex_state = 351, .external_lex_state = 5},
  [1429] = {.lex_state = 352, .external_lex_state = 2},
  [1430] = {.lex_state = 37, .external_lex_state = 2},
  [1431] = {.lex_state = 352, .external_lex_state = 2},
  [1432] = {.lex_state = 352, .external_lex_state = 2},
  [1433] = {.lex_state = 351, .external_lex_state = 2},
  [1434] = {.lex_state = 352, .external_lex_state = 2},
  [1435] = {.lex_state = 351, .external_lex_state = 2},
  [1436] = {.lex_state = 352, .external_lex_state = 2},
  [1437] = {.lex_state = 37, .external_lex_state = 2},
  [1438] = {.lex_state = 352, .external_lex_state = 2},
  [1439] = {.lex_state = 37, .external_lex_state = 2},
  [1440] = {.lex_state = 351, .external_lex_state = 5},
  [1441] = {.lex_state = 352, .external_lex_state = 2},
  [1442] = {.lex_state = 352, .external_lex_state = 2},
  [1443] = {.lex_state = 352, .external_lex_state = 2},
  [1444] = {.lex_state = 352, .external_lex_state = 2},
  [1445] = {.lex_state = 352, .external_lex_state = 2},
  [1446] = {.lex_state = 37, .external_lex_state = 2},
  [1447] = {.lex_state = 352, .external_lex_state = 2},
  [1448] = {.lex_state = 352, .external_lex_state = 2},
  [1449] = {.lex_state = 352, .external_lex_state = 2},
  [1450] = {.lex_state = 37, .external_lex_state = 2},
  [1451] = {.lex_state = 37, .external_lex_state = 2},
  [1452] = {.lex_state = 37, .external_lex_state = 2},
  [1453] = {.lex_state = 352, .external_lex_state = 2},
  [1454] = {.lex_state = 37, .external_lex_state = 2},
  [1455] = {.lex_state = 37, .external_lex_state = 2},
  [1456] = {.lex_state = 37, .external_lex_state = 2},
  [1457] = {.lex_state = 352, .external_lex_state = 2},
  [1458] = {.lex_state = 352, .external_lex_state = 2},
  [1459] = {.lex_state = 37, .external_lex_state = 2},
  [1460] = {.lex_state = 37, .external_lex_state = 2},
  [1461] = {.lex_state = 37, .external_lex_state = 2},
  [1462] = {.lex_state = 37, .external_lex_state = 2},
  [1463] = {.lex_state = 37, .external_lex_state = 2},
  [1464] = {.lex_state = 37, .external_lex_state = 2},
  [1465] = {.lex_state = 37, .external_lex_state = 2},
  [1466] = {.lex_state = 37, .external_lex_state = 2},
  [1467] = {.lex_state = 37, .external_lex_state = 2},
  [1468] = {.lex_state = 352, .external_lex_state = 2},
  [1469] = {.lex_state = 37, .external_lex_state = 2},
  [1470] = {.lex_state = 37, .external_lex_state = 2},
  [1471] = {.lex_state = 352, .external_lex_state = 2},
  [1472] = {.lex_state = 37, .external_lex_state = 2},
  [1473] = {.lex_state = 353, .external_lex_state = 2},
  [1474] = {.lex_state = 37, .external_lex_state = 2},
  [1475] = {.lex_state = 37, .external_lex_state = 2},
  [1476] = {.lex_state = 37, .external_lex_state = 2},
  [1477] = {.lex_state = 37, .external_lex_state = 2},
  [1478] = {.lex_state = 37, .external_lex_state = 2},
  [1479] = {.lex_state = 37, .external_lex_state = 2},
  [1480] = {.lex_state = 37, .external_lex_state = 2},
  [1481] = {.lex_state = 37, .external_lex_state = 2},
  [1482] = {.lex_state = 37, .external_lex_state = 2},
  [1483] = {.lex_state = 37, .external_lex_state = 2},
  [1484] = {.lex_state = 37, .external_lex_state = 2},
  [1485] = {.lex_state = 37, .external_lex_state = 2},
  [1486] = {.lex_state = 37, .external_lex_state = 2},
  [1487] = {.lex_state = 37, .external_lex_state = 2},
  [1488] = {.lex_state = 37, .external_lex_state = 2},
  [1489] = {.lex_state = 37, .external_lex_state = 2},
  [1490] = {.lex_state = 37, .external_lex_state = 2},
  [1491] = {.lex_state = 37, .external_lex_state = 2},
  [1492] = {.lex_state = 37, .external_lex_state = 2},
  [1493] = {.lex_state = 37, .external_lex_state = 2},
  [1494] = {.lex_state = 37, .external_lex_state = 2},
  [1495] = {.lex_state = 37, .external_lex_state = 2},
  [1496] = {.lex_state = 37, .external_lex_state = 2},
  [1497] = {.lex_state = 37, .external_lex_state = 2},
  [1498] = {.lex_state = 37, .external_lex_state = 2},
  [1499] = {.lex_state = 37, .external_lex_state = 2},
  [1500] = {.lex_state = 37, .external_lex_state = 2},
  [1501] = {.lex_state = 37, .external_lex_state = 2},
  [1502] = {.lex_state = 37, .external_lex_state = 2},
  [1503] = {.lex_state = 37, .external_lex_state = 2},
  [1504] = {.lex_state = 37, .external_lex_state = 2},
  [1505] = {.lex_state = 37, .external_lex_state = 2},
  [1506] = {.lex_state = 37, .external_lex_state = 2},
  [1507] = {.lex_state = 37, .external_lex_state = 2},
  [1508] = {.lex_state = 352, .external_lex_state = 2},
  [1509] = {.lex_state = 37, .external_lex_state = 2},
  [1510] = {.lex_state = 352, .external_lex_state = 2},
  [1511] = {.lex_state = 352, .external_lex_state = 2},
  [1512] = {.lex_state = 352, .external_lex_state = 2},
  [1513] = {.lex_state = 352, .external_lex_state = 2},
  [1514] = {.lex_state = 352, .external_lex_state = 2},
  [1515] = {.lex_state = 351, .external_lex_state = 5},
  [1516] = {.lex_state = 37, .external_lex_state = 2},
  [1517] = {.lex_state = 37, .external_lex_state = 2},
  [1518] = {.lex_state = 37, .external_lex_state = 2},
  [1519] = {.lex_state = 352, .external_lex_state = 2},
  [1520] = {.lex_state = 352, .external_lex_state = 2},
  [1521] = {.lex_state = 37, .external_lex_state = 2},
  [1522] = {.lex_state = 37, .external_lex_state = 2},
  [1523] = {.lex_state = 37, .external_lex_state = 2},
  [1524] = {.lex_state = 37, .external_lex_state = 2},
  [1525] = {.lex_state = 351, .external_lex_state = 5},
  [1526] = {.lex_state = 37, .external_lex_state = 2},
  [1527] = {.lex_state = 351, .external_lex_state = 2},
  [1528] = {.lex_state = 352, .external_lex_state = 2},
  [1529] = {.lex_state = 37, .external_lex_state = 2},
  [1530] = {.lex_state = 37, .external_lex_state = 2},
  [1531] = {.lex_state = 37, .external_lex_state = 2},
  [1532] = {.lex_state = 37, .external_lex_state = 2},
  [1533] = {.lex_state = 37, .external_lex_state = 2},
  [1534] = {.lex_state = 37, .external_lex_state = 2},
  [1535] = {.lex_state = 37, .external_lex_state = 2},
  [1536] = {.lex_state = 352, .external_lex_state = 2},
  [1537] = {.lex_state = 352, .external_lex_state = 2},
  [1538] = {.lex_state = 352, .external_lex_state = 2},
  [1539] = {.lex_state = 352, .external_lex_state = 2},
  [1540] = {.lex_state = 37, .external_lex_state = 2},
  [1541] = {.lex_state = 37, .external_lex_state = 2},
  [1542] = {.lex_state = 37, .external_lex_state = 2},
  [1543] = {.lex_state = 37, .external_lex_state = 2},
  [1544] = {.lex_state = 37, .external_lex_state = 2},
  [1545] = {.lex_state = 351, .external_lex_state = 5},
  [1546] = {.lex_state = 352, .external_lex_state = 2},
  [1547] = {.lex_state = 351, .external_lex_state = 5},
  [1548] = {.lex_state = 351, .external_lex_state = 5},
  [1549] = {.lex_state = 351, .external_lex_state = 5},
  [1550] = {.lex_state = 37, .external_lex_state = 2},
  [1551] = {.lex_state = 351, .external_lex_state = 5},
  [1552] = {.lex_state = 37, .external_lex_state = 2},
  [1553] = {.lex_state = 352, .external_lex_state = 2},
  [1554] = {.lex_state = 37, .external_lex_state = 2},
  [1555] = {.lex_state = 352, .external_lex_state = 2},
  [1556] = {.lex_state = 37, .external_lex_state = 2},
  [1557] = {.lex_state = 352, .external_lex_state = 2},
  [1558] = {.lex_state = 37, .external_lex_state = 2},
  [1559] = {.lex_state = 37, .external_lex_state = 2},
  [1560] = {.lex_state = 351, .external_lex_state = 5},
  [1561] = {.lex_state = 37, .external_lex_state = 2},
  [1562] = {.lex_state = 352, .external_lex_state = 2},
  [1563] = {.lex_state = 352, .external_lex_state = 2},
  [1564] = {.lex_state = 352, .external_lex_state = 2},
  [1565] = {.lex_state = 37, .external_lex_state = 2},
  [1566] = {.lex_state = 352, .external_lex_state = 2},
  [1567] = {.lex_state = 37, .external_lex_state = 2},
  [1568] = {.lex_state = 37, .external_lex_state = 2},
  [1569] = {.lex_state = 37, .external_lex_state = 2},
  [1570] = {.lex_state = 352, .external_lex_state = 2},
  [1571] = {.lex_state = 352, .external_lex_state = 2},
  [1572] = {.lex_state = 352, .external_lex_state = 2},
  [1573] = {.lex_state = 352, .external_lex_state = 2},
  [1574] = {.lex_state = 351, .external_lex_state = 5},
  [1575] = {.lex_state = 352, .external_lex_state = 2},
  [1576] = {.lex_state = 37, .external_lex_state = 2},
  [1577] = {.lex_state = 351, .external_lex_state = 5},
  [1578] = {.lex_state = 352, .external_lex_state = 2},
  [1579] = {.lex_state = 351, .external_lex_state = 5},
  [1580] = {.lex_state = 352, .external_lex_state = 2},
  [1581] = {.lex_state = 352, .external_lex_state = 2},
  [1582] = {.lex_state = 352, .external_lex_state = 2},
  [1583] = {.lex_state = 352, .external_lex_state = 2},
  [1584] = {.lex_state = 352, .external_lex_state = 2},
  [1585] = {.lex_state = 37, .external_lex_state = 2},
  [1586] = {.lex_state = 352, .external_lex_state = 2},
  [1587] = {.lex_state = 352, .external_lex_state = 2},
  [1588] = {.lex_state = 37, .external_lex_state = 2},
  [1589] = {.lex_state = 37, .external_lex_state = 2},
  [1590] = {.lex_state = 37, .external_lex_state = 2},
  [1591] = {.lex_state = 37, .external_lex_state = 2},
  [1592] = {.lex_state = 37, .external_lex_state = 2},
  [1593] = {.lex_state = 37, .external_lex_state = 2},
  [1594] = {.lex_state = 37, .external_lex_state = 2},
  [1595] = {.lex_state = 352, .external_lex_state = 2},
  [1596] = {.lex_state = 37, .external_lex_state = 2},
  [1597] = {.lex_state = 37, .external_lex_state = 2},
  [1598] = {.lex_state = 37, .external_lex_state = 2},
  [1599] = {.lex_state = 352, .external_lex_state = 2},
  [1600] = {.lex_state = 352, .external_lex_state = 2},
  [1601] = {.lex_state = 352, .external_lex_state = 2},
  [1602] = {.lex_state = 352, .external_lex_state = 2},
  [1603] = {.lex_state = 37, .external_lex_state = 2},
  [1604] = {.lex_state = 352, .external_lex_state = 2},
  [1605] = {.lex_state = 352, .external_lex_state = 2},
  [1606] = {.lex_state = 352, .external_lex_state = 2},
  [1607] = {.lex_state = 351, .external_lex_state = 5},
  [1608] = {.lex_state = 352, .external_lex_state = 2},
  [1609] = {.lex_state = 37, .external_lex_state = 2},
  [1610] = {.lex_state = 37, .external_lex_state = 2},
  [1611] = {.lex_state = 352, .external_lex_state = 2},
  [1612] = {.lex_state = 353, .external_lex_state = 2},
  [1613] = {.lex_state = 37, .external_lex_state = 2},
  [1614] = {.lex_state = 352, .external_lex_state = 2},
  [1615] = {.lex_state = 351, .external_lex_state = 2},
  [1616] = {.lex_state = 351, .external_lex_state = 2},
  [1617] = {.lex_state = 351, .external_lex_state = 2},
  [1618] = {.lex_state = 351, .external_lex_state = 2},
  [1619] = {.lex_state = 351, .external_lex_state = 2},
  [1620] = {.lex_state = 351, .external_lex_state = 2},
  [1621] = {.lex_state = 351, .external_lex_state = 2},
  [1622] = {.lex_state = 351, .external_lex_state = 2},
  [1623] = {.lex_state = 351, .external_lex_state = 2},
  [1624] = {.lex_state = 351, .external_lex_state = 2},
  [1625] = {.lex_state = 351, .external_lex_state = 2},
  [1626] = {.lex_state = 351, .external_lex_state = 2},
  [1627] = {.lex_state = 351, .external_lex_state = 2},
  [1628] = {.lex_state = 351, .external_lex_state = 2},
  [1629] = {.lex_state = 351, .external_lex_state = 2},
  [1630] = {.lex_state = 351, .external_lex_state = 2},
  [1631] = {.lex_state = 351, .external_lex_state = 2},
  [1632] = {.lex_state = 351, .external_lex_state = 2},
  [1633] = {.lex_state = 351, .external_lex_state = 2},
  [1634] = {.lex_state = 351, .external_lex_state = 2},
  [1635] = {.lex_state = 351, .external_lex_state = 2},
  [1636] = {.lex_state = 351, .external_lex_state = 2},
  [1637] = {.lex_state = 351, .external_lex_state = 2},
  [1638] = {.lex_state = 351, .external_lex_state = 2},
  [1639] = {.lex_state = 351, .external_lex_state = 2},
  [1640] = {.lex_state = 351, .external_lex_state = 2},
  [1641] = {.lex_state = 351, .external_lex_state = 2},
  [1642] = {.lex_state = 351, .external_lex_state = 2},
  [1643] = {.lex_state = 351, .external_lex_state = 2},
  [1644] = {.lex_state = 351, .external_lex_state = 2},
  [1645] = {.lex_state = 351, .external_lex_state = 2},
  [1646] = {.lex_state = 351, .external_lex_state = 2},
  [1647] = {.lex_state = 351, .external_lex_state = 2},
  [1648] = {.lex_state = 351, .external_lex_state = 2},
  [1649] = {.lex_state = 351, .external_lex_state = 2},
  [1650] = {.lex_state = 351, .external_lex_state = 2},
  [1651] = {.lex_state = 351, .external_lex_state = 2},
  [1652] = {.lex_state = 351, .external_lex_state = 2},
  [1653] = {.lex_state = 351, .external_lex_state = 2},
  [1654] = {.lex_state = 351, .external_lex_state = 2},
  [1655] = {.lex_state = 351, .external_lex_state = 2},
  [1656] = {.lex_state = 351, .external_lex_state = 2},
  [1657] = {.lex_state = 351, .external_lex_state = 2},
  [1658] = {.lex_state = 351, .external_lex_state = 2},
  [1659] = {.lex_state = 351, .external_lex_state = 2},
  [1660] = {.lex_state = 351, .external_lex_state = 2},
  [1661] = {.lex_state = 351, .external_lex_state = 2},
  [1662] = {.lex_state = 351, .external_lex_state = 2},
  [1663] = {.lex_state = 351, .external_lex_state = 2},
  [1664] = {.lex_state = 351, .external_lex_state = 2},
  [1665] = {.lex_state = 351, .external_lex_state = 2},
  [1666] = {.lex_state = 351, .external_lex_state = 2},
  [1667] = {.lex_state = 351, .external_lex_state = 2},
  [1668] = {.lex_state = 351, .external_lex_state = 2},
  [1669] = {.lex_state = 351, .external_lex_state = 2},
  [1670] = {.lex_state = 351, .external_lex_state = 2},
  [1671] = {.lex_state = 351, .external_lex_state = 2},
  [1672] = {.lex_state = 351, .external_lex_state = 2},
  [1673] = {.lex_state = 351, .external_lex_state = 2},
  [1674] = {.lex_state = 351, .external_lex_state = 2},
  [1675] = {.lex_state = 351, .external_lex_state = 2},
  [1676] = {.lex_state = 351, .external_lex_state = 2},
  [1677] = {.lex_state = 351, .external_lex_state = 2},
  [1678] = {.lex_state = 351, .external_lex_state = 2},
  [1679] = {.lex_state = 351, .external_lex_state = 2},
  [1680] = {.lex_state = 351, .external_lex_state = 2},
  [1681] = {.lex_state = 351, .external_lex_state = 2},
  [1682] = {.lex_state = 351, .external_lex_state = 2},
  [1683] = {.lex_state = 351, .external_lex_state = 2},
  [1684] = {.lex_state = 351, .external_lex_state = 2},
  [1685] = {.lex_state = 351, .external_lex_state = 2},
  [1686] = {.lex_state = 351, .external_lex_state = 2},
  [1687] = {.lex_state = 351, .external_lex_state = 2},
  [1688] = {.lex_state = 351, .external_lex_state = 2},
  [1689] = {.lex_state = 351, .external_lex_state = 2},
  [1690] = {.lex_state = 351, .external_lex_state = 2},
  [1691] = {.lex_state = 351, .external_lex_state = 2},
  [1692] = {.lex_state = 351, .external_lex_state = 2},
  [1693] = {.lex_state = 351, .external_lex_state = 2},
  [1694] = {.lex_state = 351, .external_lex_state = 2},
  [1695] = {.lex_state = 351, .external_lex_state = 2},
  [1696] = {.lex_state = 351, .external_lex_state = 2},
  [1697] = {.lex_state = 351, .external_lex_state = 2},
  [1698] = {.lex_state = 351, .external_lex_state = 2},
  [1699] = {.lex_state = 351, .external_lex_state = 2},
  [1700] = {.lex_state = 351, .external_lex_state = 2},
  [1701] = {.lex_state = 351, .external_lex_state = 2},
  [1702] = {.lex_state = 351, .external_lex_state = 2},
  [1703] = {.lex_state = 351, .external_lex_state = 2},
  [1704] = {.lex_state = 351, .external_lex_state = 2},
  [1705] = {.lex_state = 351, .external_lex_state = 2},
  [1706] = {.lex_state = 351, .external_lex_state = 2},
  [1707] = {.lex_state = 351, .external_lex_state = 2},
  [1708] = {.lex_state = 351, .external_lex_state = 2},
  [1709] = {.lex_state = 351, .external_lex_state = 2},
  [1710] = {.lex_state = 351, .external_lex_state = 2},
  [1711] = {.lex_state = 351, .external_lex_state = 2},
  [1712] = {.lex_state = 351, .external_lex_state = 2},
  [1713] = {.lex_state = 351, .external_lex_state = 2},
  [1714] = {.lex_state = 351, .external_lex_state = 2},
  [1715] = {.lex_state = 351, .external_lex_state = 2},
  [1716] = {.lex_state = 351, .external_lex_state = 2},
  [1717] = {.lex_state = 351, .external_lex_state = 2},
  [1718] = {.lex_state = 351, .external_lex_state = 2},
  [1719] = {.lex_state = 351, .external_lex_state = 2},
  [1720] = {.lex_state = 351, .external_lex_state = 2},
  [1721] = {.lex_state = 351, .external_lex_state = 2},
  [1722] = {.lex_state = 351, .external_lex_state = 2},
  [1723] = {.lex_state = 351, .external_lex_state = 2},
  [1724] = {.lex_state = 351, .external_lex_state = 2},
  [1725] = {.lex_state = 351, .external_lex_state = 2},
  [1726] = {.lex_state = 351, .external_lex_state = 2},
  [1727] = {.lex_state = 351, .external_lex_state = 2},
  [1728] = {.lex_state = 351, .external_lex_state = 2},
  [1729] = {.lex_state = 351, .external_lex_state = 2},
  [1730] = {.lex_state = 351, .external_lex_state = 2},
  [1731] = {.lex_state = 351, .external_lex_state = 2},
  [1732] = {.lex_state = 351, .external_lex_state = 2},
  [1733] = {.lex_state = 351, .external_lex_state = 2},
  [1734] = {.lex_state = 351, .external_lex_state = 2},
  [1735] = {.lex_state = 351, .external_lex_state = 2},
  [1736] = {.lex_state = 351, .external_lex_state = 2},
  [1737] = {.lex_state = 351, .external_lex_state = 2},
  [1738] = {.lex_state = 351, .external_lex_state = 2},
  [1739] = {.lex_state = 351, .external_lex_state = 2},
  [1740] = {.lex_state = 351, .external_lex_state = 2},
  [1741] = {.lex_state = 351, .external_lex_state = 2},
  [1742] = {.lex_state = 351, .external_lex_state = 2},
  [1743] = {.lex_state = 351, .external_lex_state = 2},
  [1744] = {.lex_state = 351, .external_lex_state = 2},
  [1745] = {.lex_state = 351, .external_lex_state = 2},
  [1746] = {.lex_state = 351, .external_lex_state = 2},
  [1747] = {.lex_state = 351, .external_lex_state = 2},
  [1748] = {.lex_state = 351, .external_lex_state = 2},
  [1749] = {.lex_state = 351, .external_lex_state = 2},
  [1750] = {.lex_state = 351, .external_lex_state = 2},
  [1751] = {.lex_state = 351, .external_lex_state = 2},
  [1752] = {.lex_state = 351, .external_lex_state = 2},
  [1753] = {.lex_state = 351, .external_lex_state = 2},
  [1754] = {.lex_state = 351, .external_lex_state = 2},
  [1755] = {.lex_state = 351, .external_lex_state = 2},
  [1756] = {.lex_state = 351, .external_lex_state = 2},
  [1757] = {.lex_state = 351, .external_lex_state = 2},
  [1758] = {.lex_state = 351, .external_lex_state = 2},
  [1759] = {.lex_state = 351, .external_lex_state = 2},
  [1760] = {.lex_state = 351, .external_lex_state = 2},
  [1761] = {.lex_state = 351, .external_lex_state = 2},
  [1762] = {.lex_state = 351, .external_lex_state = 2},
  [1763] = {.lex_state = 351, .external_lex_state = 2},
  [1764] = {.lex_state = 351, .external_lex_state = 2},
  [1765] = {.lex_state = 351, .external_lex_state = 2},
  [1766] = {.lex_state = 351, .external_lex_state = 2},
  [1767] = {.lex_state = 351, .external_lex_state = 2},
  [1768] = {.lex_state = 351, .external_lex_state = 2},
  [1769] = {.lex_state = 351, .external_lex_state = 2},
  [1770] = {.lex_state = 351, .external_lex_state = 2},
  [1771] = {.lex_state = 351, .external_lex_state = 2},
  [1772] = {.lex_state = 351, .external_lex_state = 2},
  [1773] = {.lex_state = 351, .external_lex_state = 2},
  [1774] = {.lex_state = 351, .external_lex_state = 2},
  [1775] = {.lex_state = 351, .external_lex_state = 2},
  [1776] = {.lex_state = 351, .external_lex_state = 2},
  [1777] = {.lex_state = 351, .external_lex_state = 2},
  [1778] = {.lex_state = 351, .external_lex_state = 2},
  [1779] = {.lex_state = 351, .external_lex_state = 2},
  [1780] = {.lex_state = 48, .external_lex_state = 2},
  [1781] = {.lex_state = 48, .external_lex_state = 2},
  [1782] = {.lex_state = 48, .external_lex_state = 2},
  [1783] = {.lex_state = 48, .external_lex_state = 2},
  [1784] = {.lex_state = 48, .external_lex_state = 2},
  [1785] = {.lex_state = 351, .external_lex_state = 2},
  [1786] = {.lex_state = 351, .external_lex_state = 2},
  [1787] = {.lex_state = 351, .external_lex_state = 2},
  [1788] = {.lex_state = 48, .external_lex_state = 2},
  [1789] = {.lex_state = 351, .external_lex_state = 2},
  [1790] = {.lex_state = 48, .external_lex_state = 2},
  [1791] = {.lex_state = 48, .external_lex_state = 2},
  [1792] = {.lex_state = 48, .external_lex_state = 2},
  [1793] = {.lex_state = 351, .external_lex_state = 2},
  [1794] = {.lex_state = 351, .external_lex_state = 2},
  [1795] = {.lex_state = 351, .external_lex_state = 2},
  [1796] = {.lex_state = 351, .external_lex_state = 2},
  [1797] = {.lex_state = 48, .external_lex_state = 2},
  [1798] = {.lex_state = 351, .external_lex_state = 2},
  [1799] = {.lex_state = 351, .external_lex_state = 2},
  [1800] = {.lex_state = 48, .external_lex_state = 2},
  [1801] = {.lex_state = 351, .external_lex_state = 2},
  [1802] = {.lex_state = 351, .external_lex_state = 2},
  [1803] = {.lex_state = 351, .external_lex_state = 2},
  [1804] = {.lex_state = 48, .external_lex_state = 2},
  [1805] = {.lex_state = 48, .external_lex_state = 2},
  [1806] = {.lex_state = 48, .external_lex_state = 2},
  [1807] = {.lex_state = 48, .external_lex_state = 2},
  [1808] = {.lex_state = 49, .external_lex_state = 2},
  [1809] = {.lex_state = 49, .external_lex_state = 2},
  [1810] = {.lex_state = 48, .external_lex_state = 2},
  [1811] = {.lex_state = 49, .external_lex_state = 2},
  [1812] = {.lex_state = 49, .external_lex_state = 2},
  [1813] = {.lex_state = 49, .external_lex_state = 2},
  [1814] = {.lex_state = 49, .external_lex_state = 2},
  [1815] = {.lex_state = 49, .external_lex_state = 2},
  [1816] = {.lex_state = 49, .external_lex_state = 2},
  [1817] = {.lex_state = 49, .external_lex_state = 2},
  [1818] = {.lex_state = 49, .external_lex_state = 2},
  [1819] = {.lex_state = 49, .external_lex_state = 2},
  [1820] = {.lex_state = 49, .external_lex_state = 2},
  [1821] = {.lex_state = 49, .external_lex_state = 2},
  [1822] = {.lex_state = 49, .external_lex_state = 2},
  [1823] = {.lex_state = 49, .external_lex_state = 2},
  [1824] = {.lex_state = 49, .external_lex_state = 2},
  [1825] = {.lex_state = 49, .external_lex_state = 2},
  [1826] = {.lex_state = 49, .external_lex_state = 2},
  [1827] = {.lex_state = 49, .external_lex_state = 2},
  [1828] = {.lex_state = 49, .external_lex_state = 2},
  [1829] = {.lex_state = 49, .external_lex_state = 2},
  [1830] = {.lex_state = 49, .external_lex_state = 2},
  [1831] = {.lex_state = 49, .external_lex_state = 2},
  [1832] = {.lex_state = 49, .external_lex_state = 2},
  [1833] = {.lex_state = 49, .external_lex_state = 2},
  [1834] = {.lex_state = 49, .external_lex_state = 2},
  [1835] = {.lex_state = 49, .external_lex_state = 2},
  [1836] = {.lex_state = 49, .external_lex_state = 2},
  [1837] = {.lex_state = 49, .external_lex_state = 2},
  [1838] = {.lex_state = 49, .external_lex_state = 2},
  [1839] = {.lex_state = 49, .external_lex_state = 2},
  [1840] = {.lex_state = 49, .external_lex_state = 2},
  [1841] = {.lex_state = 49, .external_lex_state = 2},
  [1842] = {.lex_state = 49, .external_lex_state = 2},
  [1843] = {.lex_state = 49, .external_lex_state = 2},
  [1844] = {.lex_state = 49, .external_lex_state = 2},
  [1845] = {.lex_state = 49, .external_lex_state = 2},
  [1846] = {.lex_state = 49, .external_lex_state = 2},
  [1847] = {.lex_state = 49, .external_lex_state = 2},
  [1848] = {.lex_state = 49, .external_lex_state = 2},
  [1849] = {.lex_state = 49, .external_lex_state = 2},
  [1850] = {.lex_state = 49, .external_lex_state = 2},
  [1851] = {.lex_state = 49, .external_lex_state = 2},
  [1852] = {.lex_state = 49, .external_lex_state = 2},
  [1853] = {.lex_state = 49, .external_lex_state = 2},
  [1854] = {.lex_state = 49, .external_lex_state = 2},
  [1855] = {.lex_state = 49, .external_lex_state = 2},
  [1856] = {.lex_state = 49, .external_lex_state = 2},
  [1857] = {.lex_state = 49, .external_lex_state = 2},
  [1858] = {.lex_state = 49, .external_lex_state = 2},
  [1859] = {.lex_state = 49, .external_lex_state = 2},
  [1860] = {.lex_state = 49, .external_lex_state = 2},
  [1861] = {.lex_state = 49, .external_lex_state = 2},
  [1862] = {.lex_state = 49, .external_lex_state = 2},
  [1863] = {.lex_state = 49, .external_lex_state = 2},
  [1864] = {.lex_state = 48, .external_lex_state = 2},
  [1865] = {.lex_state = 48, .external_lex_state = 2},
  [1866] = {.lex_state = 48, .external_lex_state = 2},
  [1867] = {.lex_state = 48, .external_lex_state = 2},
  [1868] = {.lex_state = 48, .external_lex_state = 2},
  [1869] = {.lex_state = 48, .external_lex_state = 2},
  [1870] = {.lex_state = 48, .external_lex_state = 2},
  [1871] = {.lex_state = 48, .external_lex_state = 2},
  [1872] = {.lex_state = 48, .external_lex_state = 2},
  [1873] = {.lex_state = 48, .external_lex_state = 2},
  [1874] = {.lex_state = 35, .external_lex_state = 2},
  [1875] = {.lex_state = 35, .external_lex_state = 2},
  [1876] = {.lex_state = 35, .external_lex_state = 2},
  [1877] = {.lex_state = 35, .external_lex_state = 2},
  [1878] = {.lex_state = 35, .external_lex_state = 2},
  [1879] = {.lex_state = 35, .external_lex_state = 2},
  [1880] = {.lex_state = 35, .external_lex_state = 2},
  [1881] = {.lex_state = 35, .external_lex_state = 2},
  [1882] = {.lex_state = 35, .external_lex_state = 2},
  [1883] = {.lex_state = 35, .external_lex_state = 2},
  [1884] = {.lex_state = 35, .external_lex_state = 2},
  [1885] = {.lex_state = 35, .external_lex_state = 2},
  [1886] = {.lex_state = 15, .external_lex_state = 4},
  [1887] = {.lex_state = 48, .external_lex_state = 2},
  [1888] = {.lex_state = 15, .external_lex_state = 4},
  [1889] = {.lex_state = 15, .external_lex_state = 4},
  [1890] = {.lex_state = 48, .external_lex_state = 2},
  [1891] = {.lex_state = 15, .external_lex_state = 4},
  [1892] = {.lex_state = 48, .external_lex_state = 2},
  [1893] = {.lex_state = 15, .external_lex_state = 4},
  [1894] = {.lex_state = 15, .external_lex_state = 4},
  [1895] = {.lex_state = 15, .external_lex_state = 4},
  [1896] = {.lex_state = 48, .external_lex_state = 2},
  [1897] = {.lex_state = 48, .external_lex_state = 2},
  [1898] = {.lex_state = 15, .external_lex_state = 4},
  [1899] = {.lex_state = 15, .external_lex_state = 4},
  [1900] = {.lex_state = 48, .external_lex_state = 2},
  [1901] = {.lex_state = 48, .external_lex_state = 2},
  [1902] = {.lex_state = 48, .external_lex_state = 2},
  [1903] = {.lex_state = 48, .external_lex_state = 2},
  [1904] = {.lex_state = 48, .external_lex_state = 2},
  [1905] = {.lex_state = 48, .external_lex_state = 2},
  [1906] = {.lex_state = 48, .external_lex_state = 2},
  [1907] = {.lex_state = 48, .external_lex_state = 2},
  [1908] = {.lex_state = 48, .external_lex_state = 2},
  [1909] = {.lex_state = 48, .external_lex_state = 2},
  [1910] = {.lex_state = 48, .external_lex_state = 2},
  [1911] = {.lex_state = 48, .external_lex_state = 2},
  [1912] = {.lex_state = 48, .external_lex_state = 2},
  [1913] = {.lex_state = 48, .external_lex_state = 2},
  [1914] = {.lex_state = 48, .external_lex_state = 2},
  [1915] = {.lex_state = 48, .external_lex_state = 2},
  [1916] = {.lex_state = 48, .external_lex_state = 2},
  [1917] = {.lex_state = 48, .external_lex_state = 2},
  [1918] = {.lex_state = 48, .external_lex_state = 2},
  [1919] = {.lex_state = 48, .external_lex_state = 2},
  [1920] = {.lex_state = 48, .external_lex_state = 2},
  [1921] = {.lex_state = 48, .external_lex_state = 2},
  [1922] = {.lex_state = 48, .external_lex_state = 2},
  [1923] = {.lex_state = 48, .external_lex_state = 2},
  [1924] = {.lex_state = 48, .external_lex_state = 2},
  [1925] = {.lex_state = 48, .external_lex_state = 2},
  [1926] = {.lex_state = 48, .external_lex_state = 2},
  [1927] = {.lex_state = 48, .external_lex_state = 2},
  [1928] = {.lex_state = 48, .external_lex_state = 2},
  [1929] = {.lex_state = 48, .external_lex_state = 2},
  [1930] = {.lex_state = 48, .external_lex_state = 2},
  [1931] = {.lex_state = 48, .external_lex_state = 2},
  [1932] = {.lex_state = 48, .external_lex_state = 2},
  [1933] = {.lex_state = 48, .external_lex_state = 2},
  [1934] = {.lex_state = 48, .external_lex_state = 2},
  [1935] = {.lex_state = 48, .external_lex_state = 2},
  [1936] = {.lex_state = 48, .external_lex_state = 2},
  [1937] = {.lex_state = 48, .external_lex_state = 2},
  [1938] = {.lex_state = 48, .external_lex_state = 2},
  [1939] = {.lex_state = 48, .external_lex_state = 2},
  [1940] = {.lex_state = 48, .external_lex_state = 2},
  [1941] = {.lex_state = 48, .external_lex_state = 2},
  [1942] = {.lex_state = 48, .external_lex_state = 2},
  [1943] = {.lex_state = 48, .external_lex_state = 2},
  [1944] = {.lex_state = 48, .external_lex_state = 2},
  [1945] = {.lex_state = 48, .external_lex_state = 2},
  [1946] = {.lex_state = 48, .external_lex_state = 2},
  [1947] = {.lex_state = 48, .external_lex_state = 2},
  [1948] = {.lex_state = 48, .external_lex_state = 2},
  [1949] = {.lex_state = 48, .external_lex_state = 2},
  [1950] = {.lex_state = 48, .external_lex_state = 2},
  [1951] = {.lex_state = 48, .external_lex_state = 2},
  [1952] = {.lex_state = 48, .external_lex_state = 2},
  [1953] = {.lex_state = 48, .external_lex_state = 2},
  [1954] = {.lex_state = 48, .external_lex_state = 2},
  [1955] = {.lex_state = 48, .external_lex_state = 2},
  [1956] = {.lex_state = 48, .external_lex_state = 2},
  [1957] = {.lex_state = 48, .external_lex_state = 2},
  [1958] = {.lex_state = 48, .external_lex_state = 2},
  [1959] = {.lex_state = 48, .external_lex_state = 2},
  [1960] = {.lex_state = 48, .external_lex_state = 2},
  [1961] = {.lex_state = 48, .external_lex_state = 2},
  [1962] = {.lex_state = 48, .external_lex_state = 2},
  [1963] = {.lex_state = 48, .external_lex_state = 2},
  [1964] = {.lex_state = 48, .external_lex_state = 2},
  [1965] = {.lex_state = 48, .external_lex_state = 2},
  [1966] = {.lex_state = 48, .external_lex_state = 2},
  [1967] = {.lex_state = 48, .external_lex_state = 2},
  [1968] = {.lex_state = 48, .external_lex_state = 2},
  [1969] = {.lex_state = 48, .external_lex_state = 2},
  [1970] = {.lex_state = 48, .external_lex_state = 2},
  [1971] = {.lex_state = 48, .external_lex_state = 2},
  [1972] = {.lex_state = 48, .external_lex_state = 2},
  [1973] = {.lex_state = 48, .external_lex_state = 2},
  [1974] = {.lex_state = 48, .external_lex_state = 2},
  [1975] = {.lex_state = 48, .external_lex_state = 2},
  [1976] = {.lex_state = 48, .external_lex_state = 2},
  [1977] = {.lex_state = 48, .external_lex_state = 2},
  [1978] = {.lex_state = 48, .external_lex_state = 2},
  [1979] = {.lex_state = 48, .external_lex_state = 2},
  [1980] = {.lex_state = 48, .external_lex_state = 2},
  [1981] = {.lex_state = 48, .external_lex_state = 2},
  [1982] = {.lex_state = 48, .external_lex_state = 2},
  [1983] = {.lex_state = 48, .external_lex_state = 2},
  [1984] = {.lex_state = 48, .external_lex_state = 2},
  [1985] = {.lex_state = 48, .external_lex_state = 2},
  [1986] = {.lex_state = 48, .external_lex_state = 2},
  [1987] = {.lex_state = 48, .external_lex_state = 2},
  [1988] = {.lex_state = 48, .external_lex_state = 2},
  [1989] = {.lex_state = 48, .external_lex_state = 2},
  [1990] = {.lex_state = 48, .external_lex_state = 2},
  [1991] = {.lex_state = 48, .external_lex_state = 2},
  [1992] = {.lex_state = 48, .external_lex_state = 2},
  [1993] = {.lex_state = 48, .external_lex_state = 2},
  [1994] = {.lex_state = 48, .external_lex_state = 2},
  [1995] = {.lex_state = 48, .external_lex_state = 2},
  [1996] = {.lex_state = 48, .external_lex_state = 2},
  [1997] = {.lex_state = 48, .external_lex_state = 2},
  [1998] = {.lex_state = 48, .external_lex_state = 2},
  [1999] = {.lex_state = 48, .external_lex_state = 2},
  [2000] = {.lex_state = 48, .external_lex_state = 2},
  [2001] = {.lex_state = 48, .external_lex_state = 2},
  [2002] = {.lex_state = 48, .external_lex_state = 2},
  [2003] = {.lex_state = 48, .external_lex_state = 2},
  [2004] = {.lex_state = 48, .external_lex_state = 2},
  [2005] = {.lex_state = 48, .external_lex_state = 2},
  [2006] = {.lex_state = 48, .external_lex_state = 2},
  [2007] = {.lex_state = 48, .external_lex_state = 2},
  [2008] = {.lex_state = 48, .external_lex_state = 2},
  [2009] = {.lex_state = 48, .external_lex_state = 2},
  [2010] = {.lex_state = 48, .external_lex_state = 2},
  [2011] = {.lex_state = 48, .external_lex_state = 2},
  [2012] = {.lex_state = 48, .external_lex_state = 2},
  [2013] = {.lex_state = 48, .external_lex_state = 2},
  [2014] = {.lex_state = 48, .external_lex_state = 2},
  [2015] = {.lex_state = 48, .external_lex_state = 2},
  [2016] = {.lex_state = 48, .external_lex_state = 2},
  [2017] = {.lex_state = 48, .external_lex_state = 2},
  [2018] = {.lex_state = 48, .external_lex_state = 2},
  [2019] = {.lex_state = 48, .external_lex_state = 2},
  [2020] = {.lex_state = 48, .external_lex_state = 2},
  [2021] = {.lex_state = 48, .external_lex_state = 2},
  [2022] = {.lex_state = 48, .external_lex_state = 2},
  [2023] = {.lex_state = 15, .external_lex_state = 3},
  [2024] = {.lex_state = 15, .external_lex_state = 3},
  [2025] = {.lex_state = 35, .external_lex_state = 2},
  [2026] = {.lex_state = 35, .external_lex_state = 2},
  [2027] = {.lex_state = 15, .external_lex_state = 4},
  [2028] = {.lex_state = 15, .external_lex_state = 3},
  [2029] = {.lex_state = 15, .external_lex_state = 3},
  [2030] = {.lex_state = 15, .external_lex_state = 4},
  [2031] = {.lex_state = 15, .external_lex_state = 4},
  [2032] = {.lex_state = 18, .external_lex_state = 4},
  [2033] = {.lex_state = 15, .external_lex_state = 4},
  [2034] = {.lex_state = 15, .external_lex_state = 4},
  [2035] = {.lex_state = 15, .external_lex_state = 4},
  [2036] = {.lex_state = 15, .external_lex_state = 4},
  [2037] = {.lex_state = 15, .external_lex_state = 4},
  [2038] = {.lex_state = 15, .external_lex_state = 4},
  [2039] = {.lex_state = 15, .external_lex_state = 3},
  [2040] = {.lex_state = 15, .external_lex_state = 4},
  [2041] = {.lex_state = 15, .external_lex_state = 4},
  [2042] = {.lex_state = 15, .external_lex_state = 4},
  [2043] = {.lex_state = 15, .external_lex_state = 4},
  [2044] = {.lex_state = 18, .external_lex_state = 4},
  [2045] = {.lex_state = 15, .external_lex_state = 4},
  [2046] = {.lex_state = 15, .external_lex_state = 4},
  [2047] = {.lex_state = 15, .external_lex_state = 4},
  [2048] = {.lex_state = 15, .external_lex_state = 4},
  [2049] = {.lex_state = 18, .external_lex_state = 4},
  [2050] = {.lex_state = 15, .external_lex_state = 3},
  [2051] = {.lex_state = 18, .external_lex_state = 4},
  [2052] = {.lex_state = 15, .external_lex_state = 4},
  [2053] = {.lex_state = 19, .external_lex_state = 3},
  [2054] = {.lex_state = 19, .external_lex_state = 3},
  [2055] = {.lex_state = 15, .external_lex_state = 3},
  [2056] = {.lex_state = 15, .external_lex_state = 4},
  [2057] = {.lex_state = 15, .external_lex_state = 3},
  [2058] = {.lex_state = 15, .external_lex_state = 3},
  [2059] = {.lex_state = 15, .external_lex_state = 3},
  [2060] = {.lex_state = 15, .external_lex_state = 4},
  [2061] = {.lex_state = 15, .external_lex_state = 3},
  [2062] = {.lex_state = 21, .external_lex_state = 3},
  [2063] = {.lex_state = 21, .external_lex_state = 4},
  [2064] = {.lex_state = 15, .external_lex_state = 4},
  [2065] = {.lex_state = 21, .external_lex_state = 3},
  [2066] = {.lex_state = 15, .external_lex_state = 4},
  [2067] = {.lex_state = 15, .external_lex_state = 4},
  [2068] = {.lex_state = 15, .external_lex_state = 4},
  [2069] = {.lex_state = 15, .external_lex_state = 4},
  [2070] = {.lex_state = 21, .external_lex_state = 4},
  [2071] = {.lex_state = 15, .external_lex_state = 4},
  [2072] = {.lex_state = 15, .external_lex_state = 4},
  [2073] = {.lex_state = 15, .external_lex_state = 4},
  [2074] = {.lex_state = 21, .external_lex_state = 4},
  [2075] = {.lex_state = 15, .external_lex_state = 4},
  [2076] = {.lex_state = 21, .external_lex_state = 4},
  [2077] = {.lex_state = 15, .external_lex_state = 3},
  [2078] = {.lex_state = 21, .external_lex_state = 4},
  [2079] = {.lex_state = 15, .external_lex_state = 4},
  [2080] = {.lex_state = 15, .external_lex_state = 4},
  [2081] = {.lex_state = 15, .external_lex_state = 3},
  [2082] = {.lex_state = 21, .external_lex_state = 3},
  [2083] = {.lex_state = 15, .external_lex_state = 4},
  [2084] = {.lex_state = 21, .external_lex_state = 3},
  [2085] = {.lex_state = 21, .external_lex_state = 3},
  [2086] = {.lex_state = 15, .external_lex_state = 4},
  [2087] = {.lex_state = 21, .external_lex_state = 4},
  [2088] = {.lex_state = 15, .external_lex_state = 4},
  [2089] = {.lex_state = 15, .external_lex_state = 4},
  [2090] = {.lex_state = 15, .external_lex_state = 4},
  [2091] = {.lex_state = 21, .external_lex_state = 3},
  [2092] = {.lex_state = 21, .external_lex_state = 4},
  [2093] = {.lex_state = 15, .external_lex_state = 4},
  [2094] = {.lex_state = 21, .external_lex_state = 3},
  [2095] = {.lex_state = 15, .external_lex_state = 4},
  [2096] = {.lex_state = 21, .external_lex_state = 3},
  [2097] = {.lex_state = 15, .external_lex_state = 3},
  [2098] = {.lex_state = 21, .external_lex_state = 3},
  [2099] = {.lex_state = 15, .external_lex_state = 3},
  [2100] = {.lex_state = 18, .external_lex_state = 3},
  [2101] = {.lex_state = 21, .external_lex_state = 3},
  [2102] = {.lex_state = 18, .external_lex_state = 3},
  [2103] = {.lex_state = 21, .external_lex_state = 4},
  [2104] = {.lex_state = 15, .external_lex_state = 3},
  [2105] = {.lex_state = 21, .external_lex_state = 3},
  [2106] = {.lex_state = 15, .external_lex_state = 3},
  [2107] = {.lex_state = 21, .external_lex_state = 3},
  [2108] = {.lex_state = 18, .external_lex_state = 3},
  [2109] = {.lex_state = 21, .external_lex_state = 4},
  [2110] = {.lex_state = 21, .external_lex_state = 4},
  [2111] = {.lex_state = 15, .external_lex_state = 3},
  [2112] = {.lex_state = 21, .external_lex_state = 3},
  [2113] = {.lex_state = 18, .external_lex_state = 3},
  [2114] = {.lex_state = 21, .external_lex_state = 3},
  [2115] = {.lex_state = 21, .external_lex_state = 3},
  [2116] = {.lex_state = 15, .external_lex_state = 3},
  [2117] = {.lex_state = 21, .external_lex_state = 3},
  [2118] = {.lex_state = 15, .external_lex_state = 3},
  [2119] = {.lex_state = 15, .external_lex_state = 3},
  [2120] = {.lex_state = 21, .external_lex_state = 3},
  [2121] = {.lex_state = 15, .external_lex_state = 3},
  [2122] = {.lex_state = 15, .external_lex_state = 3},
  [2123] = {.lex_state = 21, .external_lex_state = 3},
  [2124] = {.lex_state = 34, .external_lex_state = 2},
  [2125] = {.lex_state = 15, .external_lex_state = 3},
  [2126] = {.lex_state = 21, .external_lex_state = 3},
  [2127] = {.lex_state = 21, .external_lex_state = 3},
  [2128] = {.lex_state = 21, .external_lex_state = 4},
  [2129] = {.lex_state = 15, .external_lex_state = 3},
  [2130] = {.lex_state = 21, .external_lex_state = 4},
  [2131] = {.lex_state = 15, .external_lex_state = 3},
  [2132] = {.lex_state = 21, .external_lex_state = 4},
  [2133] = {.lex_state = 34, .external_lex_state = 2},
  [2134] = {.lex_state = 21, .external_lex_state = 3},
  [2135] = {.lex_state = 21, .external_lex_state = 3},
  [2136] = {.lex_state = 21, .external_lex_state = 3},
  [2137] = {.lex_state = 21, .external_lex_state = 3},
  [2138] = {.lex_state = 15, .external_lex_state = 3},
  [2139] = {.lex_state = 34, .external_lex_state = 2},
  [2140] = {.lex_state = 21, .external_lex_state = 4},
  [2141] = {.lex_state = 21, .external_lex_state = 3},
  [2142] = {.lex_state = 15, .external_lex_state = 3},
  [2143] = {.lex_state = 15, .external_lex_state = 3},
  [2144] = {.lex_state = 15, .external_lex_state = 4},
  [2145] = {.lex_state = 21, .external_lex_state = 3},
  [2146] = {.lex_state = 21, .external_lex_state = 3},
  [2147] = {.lex_state = 21, .external_lex_state = 3},
  [2148] = {.lex_state = 21, .external_lex_state = 3},
  [2149] = {.lex_state = 15, .external_lex_state = 4},
  [2150] = {.lex_state = 21, .external_lex_state = 3},
  [2151] = {.lex_state = 15, .external_lex_state = 4},
  [2152] = {.lex_state = 21, .external_lex_state = 3},
  [2153] = {.lex_state = 21, .external_lex_state = 3},
  [2154] = {.lex_state = 34, .external_lex_state = 2},
  [2155] = {.lex_state = 21, .external_lex_state = 3},
  [2156] = {.lex_state = 21, .external_lex_state = 3},
  [2157] = {.lex_state = 15, .external_lex_state = 4},
  [2158] = {.lex_state = 21, .external_lex_state = 3},
  [2159] = {.lex_state = 34, .external_lex_state = 2},
  [2160] = {.lex_state = 21, .external_lex_state = 4},
  [2161] = {.lex_state = 21, .external_lex_state = 4},
  [2162] = {.lex_state = 34, .external_lex_state = 2},
  [2163] = {.lex_state = 15, .external_lex_state = 4},
  [2164] = {.lex_state = 21, .external_lex_state = 3},
  [2165] = {.lex_state = 21, .external_lex_state = 3},
  [2166] = {.lex_state = 21, .external_lex_state = 4},
  [2167] = {.lex_state = 21, .external_lex_state = 3},
  [2168] = {.lex_state = 21, .external_lex_state = 3},
  [2169] = {.lex_state = 21, .external_lex_state = 4},
  [2170] = {.lex_state = 34, .external_lex_state = 2},
  [2171] = {.lex_state = 21, .external_lex_state = 3},
  [2172] = {.lex_state = 21, .external_lex_state = 4},
  [2173] = {.lex_state = 34, .external_lex_state = 2},
  [2174] = {.lex_state = 21, .external_lex_state = 4},
  [2175] = {.lex_state = 21, .external_lex_state = 3},
  [2176] = {.lex_state = 21, .external_lex_state = 4},
  [2177] = {.lex_state = 21, .external_lex_state = 4},
  [2178] = {.lex_state = 21, .external_lex_state = 4},
  [2179] = {.lex_state = 21, .external_lex_state = 4},
  [2180] = {.lex_state = 21, .external_lex_state = 4},
  [2181] = {.lex_state = 21, .external_lex_state = 3},
  [2182] = {.lex_state = 21, .external_lex_state = 3},
  [2183] = {.lex_state = 21, .external_lex_state = 4},
  [2184] = {.lex_state = 21, .external_lex_state = 3},
  [2185] = {.lex_state = 21, .external_lex_state = 4},
  [2186] = {.lex_state = 21, .external_lex_state = 3},
  [2187] = {.lex_state = 34, .external_lex_state = 2},
  [2188] = {.lex_state = 21, .external_lex_state = 4},
  [2189] = {.lex_state = 34, .external_lex_state = 2},
  [2190] = {.lex_state = 21, .external_lex_state = 3},
  [2191] = {.lex_state = 21, .external_lex_state = 3},
  [2192] = {.lex_state = 21, .external_lex_state = 4},
  [2193] = {.lex_state = 21, .external_lex_state = 3},
  [2194] = {.lex_state = 21, .external_lex_state = 3},
  [2195] = {.lex_state = 21, .external_lex_state = 4},
  [2196] = {.lex_state = 21, .external_lex_state = 4},
  [2197] = {.lex_state = 21, .external_lex_state = 4},
  [2198] = {.lex_state = 21, .external_lex_state = 3},
  [2199] = {.lex_state = 34, .external_lex_state = 2},
  [2200] = {.lex_state = 21, .external_lex_state = 3},
  [2201] = {.lex_state = 34, .external_lex_state = 2},
  [2202] = {.lex_state = 21, .external_lex_state = 4},
  [2203] = {.lex_state = 34, .external_lex_state = 2},
  [2204] = {.lex_state = 21, .external_lex_state = 4},
  [2205] = {.lex_state = 21, .external_lex_state = 3},
  [2206] = {.lex_state = 34, .external_lex_state = 2},
  [2207] = {.lex_state = 34, .external_lex_state = 2},
  [2208] = {.lex_state = 21, .external_lex_state = 4},
  [2209] = {.lex_state = 21, .external_lex_state = 3},
  [2210] = {.lex_state = 21, .external_lex_state = 4},
  [2211] = {.lex_state = 21, .external_lex_state = 3},
  [2212] = {.lex_state = 21, .external_lex_state = 4},
  [2213] = {.lex_state = 21, .external_lex_state = 4},
  [2214] = {.lex_state = 21, .external_lex_state = 4},
  [2215] = {.lex_state = 21, .external_lex_state = 3},
  [2216] = {.lex_state = 21, .external_lex_state = 3},
  [2217] = {.lex_state = 21, .external_lex_state = 4},
  [2218] = {.lex_state = 21, .external_lex_state = 4},
  [2219] = {.lex_state = 21, .external_lex_state = 4},
  [2220] = {.lex_state = 21, .external_lex_state = 4},
  [2221] = {.lex_state = 21, .external_lex_state = 3},
  [2222] = {.lex_state = 21, .external_lex_state = 4},
  [2223] = {.lex_state = 21, .external_lex_state = 4},
  [2224] = {.lex_state = 21, .external_lex_state = 4},
  [2225] = {.lex_state = 21, .external_lex_state = 4},
  [2226] = {.lex_state = 34, .external_lex_state = 2},
  [2227] = {.lex_state = 21, .external_lex_state = 4},
  [2228] = {.lex_state = 21, .external_lex_state = 4},
  [2229] = {.lex_state = 21, .external_lex_state = 4},
  [2230] = {.lex_state = 21, .external_lex_state = 4},
  [2231] = {.lex_state = 21, .external_lex_state = 4},
  [2232] = {.lex_state = 34, .external_lex_state = 2},
  [2233] = {.lex_state = 21, .external_lex_state = 3},
  [2234] = {.lex_state = 15, .external_lex_state = 4},
  [2235] = {.lex_state = 34, .external_lex_state = 2},
  [2236] = {.lex_state = 34, .external_lex_state = 2},
  [2237] = {.lex_state = 15, .external_lex_state = 4},
  [2238] = {.lex_state = 21, .external_lex_state = 3},
  [2239] = {.lex_state = 15, .external_lex_state = 4},
  [2240] = {.lex_state = 21, .external_lex_state = 3},
  [2241] = {.lex_state = 21, .external_lex_state = 3},
  [2242] = {.lex_state = 21, .external_lex_state = 3},
  [2243] = {.lex_state = 21, .external_lex_state = 3},
  [2244] = {.lex_state = 21, .external_lex_state = 3},
  [2245] = {.lex_state = 21, .external_lex_state = 3},
  [2246] = {.lex_state = 34, .external_lex_state = 2},
  [2247] = {.lex_state = 34, .external_lex_state = 2},
  [2248] = {.lex_state = 21, .external_lex_state = 3},
  [2249] = {.lex_state = 21, .external_lex_state = 3},
  [2250] = {.lex_state = 21, .external_lex_state = 3},
  [2251] = {.lex_state = 21, .external_lex_state = 3},
  [2252] = {.lex_state = 21, .external_lex_state = 3},
  [2253] = {.lex_state = 34, .external_lex_state = 2},
  [2254] = {.lex_state = 21, .external_lex_state = 3},
  [2255] = {.lex_state = 34, .external_lex_state = 2},
  [2256] = {.lex_state = 21, .external_lex_state = 3},
  [2257] = {.lex_state = 34, .external_lex_state = 2},
  [2258] = {.lex_state = 21, .external_lex_state = 4},
  [2259] = {.lex_state = 21, .external_lex_state = 3},
  [2260] = {.lex_state = 21, .external_lex_state = 3},
  [2261] = {.lex_state = 34, .external_lex_state = 2},
  [2262] = {.lex_state = 21, .external_lex_state = 3},
  [2263] = {.lex_state = 21, .external_lex_state = 4},
  [2264] = {.lex_state = 21, .external_lex_state = 3},
  [2265] = {.lex_state = 21, .external_lex_state = 3},
  [2266] = {.lex_state = 21, .external_lex_state = 3},
  [2267] = {.lex_state = 15, .external_lex_state = 4},
  [2268] = {.lex_state = 34, .external_lex_state = 2},
  [2269] = {.lex_state = 34, .external_lex_state = 2},
  [2270] = {.lex_state = 21, .external_lex_state = 3},
  [2271] = {.lex_state = 21, .external_lex_state = 4},
  [2272] = {.lex_state = 21, .external_lex_state = 3},
  [2273] = {.lex_state = 15, .external_lex_state = 4},
  [2274] = {.lex_state = 15, .external_lex_state = 4},
  [2275] = {.lex_state = 35, .external_lex_state = 2},
  [2276] = {.lex_state = 21, .external_lex_state = 3},
  [2277] = {.lex_state = 21, .external_lex_state = 3},
  [2278] = {.lex_state = 21, .external_lex_state = 4},
  [2279] = {.lex_state = 21, .external_lex_state = 3},
  [2280] = {.lex_state = 35, .external_lex_state = 2},
  [2281] = {.lex_state = 21, .external_lex_state = 4},
  [2282] = {.lex_state = 21, .external_lex_state = 4},
  [2283] = {.lex_state = 35, .external_lex_state = 2},
  [2284] = {.lex_state = 21, .external_lex_state = 3},
  [2285] = {.lex_state = 35, .external_lex_state = 2},
  [2286] = {.lex_state = 21, .external_lex_state = 3},
  [2287] = {.lex_state = 21, .external_lex_state = 3},
  [2288] = {.lex_state = 35, .external_lex_state = 2},
  [2289] = {.lex_state = 35, .external_lex_state = 2},
  [2290] = {.lex_state = 21, .external_lex_state = 3},
  [2291] = {.lex_state = 21, .external_lex_state = 3},
  [2292] = {.lex_state = 35, .external_lex_state = 2},
  [2293] = {.lex_state = 21, .external_lex_state = 4},
  [2294] = {.lex_state = 21, .external_lex_state = 4},
  [2295] = {.lex_state = 21, .external_lex_state = 4},
  [2296] = {.lex_state = 21, .external_lex_state = 3},
  [2297] = {.lex_state = 35, .external_lex_state = 2},
  [2298] = {.lex_state = 21, .external_lex_state = 3},
  [2299] = {.lex_state = 35, .external_lex_state = 2},
  [2300] = {.lex_state = 21, .external_lex_state = 3},
  [2301] = {.lex_state = 21, .external_lex_state = 3},
  [2302] = {.lex_state = 21, .external_lex_state = 4},
  [2303] = {.lex_state = 21, .external_lex_state = 3},
  [2304] = {.lex_state = 21, .external_lex_state = 3},
  [2305] = {.lex_state = 21, .external_lex_state = 3},
  [2306] = {.lex_state = 21, .external_lex_state = 3},
  [2307] = {.lex_state = 21, .external_lex_state = 3},
  [2308] = {.lex_state = 21, .external_lex_state = 3},
  [2309] = {.lex_state = 21, .external_lex_state = 3},
  [2310] = {.lex_state = 21, .external_lex_state = 3},
  [2311] = {.lex_state = 21, .external_lex_state = 3},
  [2312] = {.lex_state = 21, .external_lex_state = 3},
  [2313] = {.lex_state = 21, .external_lex_state = 3},
  [2314] = {.lex_state = 21, .external_lex_state = 3},
  [2315] = {.lex_state = 21, .external_lex_state = 3},
  [2316] = {.lex_state = 21, .external_lex_state = 3},
  [2317] = {.lex_state = 35, .external_lex_state = 2},
  [2318] = {.lex_state = 35, .external_lex_state = 2},
  [2319] = {.lex_state = 21, .external_lex_state = 3},
  [2320] = {.lex_state = 21, .external_lex_state = 3},
  [2321] = {.lex_state = 35, .external_lex_state = 2},
  [2322] = {.lex_state = 21, .external_lex_state = 3},
  [2323] = {.lex_state = 21, .external_lex_state = 3},
  [2324] = {.lex_state = 35, .external_lex_state = 2},
  [2325] = {.lex_state = 21, .external_lex_state = 3},
  [2326] = {.lex_state = 35, .external_lex_state = 2},
  [2327] = {.lex_state = 35, .external_lex_state = 2},
  [2328] = {.lex_state = 35, .external_lex_state = 2},
  [2329] = {.lex_state = 21, .external_lex_state = 3},
  [2330] = {.lex_state = 21, .external_lex_state = 3},
  [2331] = {.lex_state = 21, .external_lex_state = 3},
  [2332] = {.lex_state = 21, .external_lex_state = 3},
  [2333] = {.lex_state = 35, .external_lex_state = 2},
  [2334] = {.lex_state = 21, .external_lex_state = 3},
  [2335] = {.lex_state = 21, .external_lex_state = 3},
  [2336] = {.lex_state = 21, .external_lex_state = 3},
  [2337] = {.lex_state = 35, .external_lex_state = 2},
  [2338] = {.lex_state = 35, .external_lex_state = 2},
  [2339] = {.lex_state = 21, .external_lex_state = 3},
  [2340] = {.lex_state = 35, .external_lex_state = 2},
  [2341] = {.lex_state = 21, .external_lex_state = 3},
  [2342] = {.lex_state = 21, .external_lex_state = 3},
  [2343] = {.lex_state = 21, .external_lex_state = 3},
  [2344] = {.lex_state = 21, .external_lex_state = 3},
  [2345] = {.lex_state = 35, .external_lex_state = 2},
  [2346] = {.lex_state = 35, .external_lex_state = 2},
  [2347] = {.lex_state = 35, .external_lex_state = 2},
  [2348] = {.lex_state = 21, .external_lex_state = 3},
  [2349] = {.lex_state = 21, .external_lex_state = 3},
  [2350] = {.lex_state = 35, .external_lex_state = 2},
  [2351] = {.lex_state = 35, .external_lex_state = 2},
  [2352] = {.lex_state = 21, .external_lex_state = 3},
  [2353] = {.lex_state = 21, .external_lex_state = 3},
  [2354] = {.lex_state = 21, .external_lex_state = 3},
  [2355] = {.lex_state = 35, .external_lex_state = 2},
  [2356] = {.lex_state = 35, .external_lex_state = 2},
  [2357] = {.lex_state = 35, .external_lex_state = 2},
  [2358] = {.lex_state = 21, .external_lex_state = 3},
  [2359] = {.lex_state = 35, .external_lex_state = 2},
  [2360] = {.lex_state = 35, .external_lex_state = 2},
  [2361] = {.lex_state = 35, .external_lex_state = 2},
  [2362] = {.lex_state = 21, .external_lex_state = 3},
  [2363] = {.lex_state = 21, .external_lex_state = 3},
  [2364] = {.lex_state = 35, .external_lex_state = 2},
  [2365] = {.lex_state = 35, .external_lex_state = 2},
  [2366] = {.lex_state = 21, .external_lex_state = 3},
  [2367] = {.lex_state = 35, .external_lex_state = 2},
  [2368] = {.lex_state = 35, .external_lex_state = 2},
  [2369] = {.lex_state = 35, .external_lex_state = 2},
  [2370] = {.lex_state = 21, .external_lex_state = 3},
  [2371] = {.lex_state = 21, .external_lex_state = 3},
  [2372] = {.lex_state = 21, .external_lex_state = 3},
  [2373] = {.lex_state = 21, .external_lex_state = 3},
  [2374] = {.lex_state = 21, .external_lex_state = 3},
  [2375] = {.lex_state = 21, .external_lex_state = 3},
  [2376] = {.lex_state = 21, .external_lex_state = 3},
  [2377] = {.lex_state = 21, .external_lex_state = 3},
  [2378] = {.lex_state = 21, .external_lex_state = 3},
  [2379] = {.lex_state = 21, .external_lex_state = 3},
  [2380] = {.lex_state = 21, .external_lex_state = 3},
  [2381] = {.lex_state = 35, .external_lex_state = 2},
  [2382] = {.lex_state = 35, .external_lex_state = 2},
  [2383] = {.lex_state = 35, .external_lex_state = 2},
  [2384] = {.lex_state = 35, .external_lex_state = 2},
  [2385] = {.lex_state = 35, .external_lex_state = 2},
  [2386] = {.lex_state = 35, .external_lex_state = 2},
  [2387] = {.lex_state = 35, .external_lex_state = 2},
  [2388] = {.lex_state = 35, .external_lex_state = 2},
  [2389] = {.lex_state = 35, .external_lex_state = 2},
  [2390] = {.lex_state = 35, .external_lex_state = 2},
  [2391] = {.lex_state = 45, .external_lex_state = 5},
  [2392] = {.lex_state = 45, .external_lex_state = 5},
  [2393] = {.lex_state = 45, .external_lex_state = 5},
  [2394] = {.lex_state = 45, .external_lex_state = 5},
  [2395] = {.lex_state = 45, .external_lex_state = 5},
  [2396] = {.lex_state = 35, .external_lex_state = 2},
  [2397] = {.lex_state = 35, .external_lex_state = 2},
  [2398] = {.lex_state = 35, .external_lex_state = 2},
  [2399] = {.lex_state = 36, .external_lex_state = 2},
  [2400] = {.lex_state = 35, .external_lex_state = 2},
  [2401] = {.lex_state = 35, .external_lex_state = 2},
  [2402] = {.lex_state = 35, .external_lex_state = 2},
  [2403] = {.lex_state = 35, .external_lex_state = 2},
  [2404] = {.lex_state = 36, .external_lex_state = 2},
  [2405] = {.lex_state = 35, .external_lex_state = 2},
  [2406] = {.lex_state = 35, .external_lex_state = 2},
  [2407] = {.lex_state = 35, .external_lex_state = 2},
  [2408] = {.lex_state = 35, .external_lex_state = 2},
  [2409] = {.lex_state = 35, .external_lex_state = 2},
  [2410] = {.lex_state = 35, .external_lex_state = 2},
  [2411] = {.lex_state = 36, .external_lex_state = 2},
  [2412] = {.lex_state = 36, .external_lex_state = 2},
  [2413] = {.lex_state = 35, .external_lex_state = 2},
  [2414] = {.lex_state = 35, .external_lex_state = 2},
  [2415] = {.lex_state = 36, .external_lex_state = 2},
  [2416] = {.lex_state = 35, .external_lex_state = 2},
  [2417] = {.lex_state = 35, .external_lex_state = 2},
  [2418] = {.lex_state = 35, .external_lex_state = 2},
  [2419] = {.lex_state = 35, .external_lex_state = 2},
  [2420] = {.lex_state = 35, .external_lex_state = 2},
  [2421] = {.lex_state = 36, .external_lex_state = 2},
  [2422] = {.lex_state = 35, .external_lex_state = 2},
  [2423] = {.lex_state = 35, .external_lex_state = 2},
  [2424] = {.lex_state = 35, .external_lex_state = 2},
  [2425] = {.lex_state = 35, .external_lex_state = 2},
  [2426] = {.lex_state = 35, .external_lex_state = 2},
  [2427] = {.lex_state = 35, .external_lex_state = 2},
  [2428] = {.lex_state = 35, .external_lex_state = 2},
  [2429] = {.lex_state = 36, .external_lex_state = 2},
  [2430] = {.lex_state = 35, .external_lex_state = 2},
  [2431] = {.lex_state = 35, .external_lex_state = 2},
  [2432] = {.lex_state = 35, .external_lex_state = 2},
  [2433] = {.lex_state = 35, .external_lex_state = 2},
  [2434] = {.lex_state = 35, .external_lex_state = 2},
  [2435] = {.lex_state = 35, .external_lex_state = 2},
  [2436] = {.lex_state = 26, .external_lex_state = 4},
  [2437] = {.lex_state = 45, .external_lex_state = 5},
  [2438] = {.lex_state = 26, .external_lex_state = 4},
  [2439] = {.lex_state = 45, .external_lex_state = 5},
  [2440] = {.lex_state = 26, .external_lex_state = 3},
  [2441] = {.lex_state = 26, .external_lex_state = 3},
  [2442] = {.lex_state = 36, .external_lex_state = 2},
  [2443] = {.lex_state = 26, .external_lex_state = 3},
  [2444] = {.lex_state = 26, .external_lex_state = 3},
  [2445] = {.lex_state = 26, .external_lex_state = 3},
  [2446] = {.lex_state = 26, .external_lex_state = 3},
  [2447] = {.lex_state = 26, .external_lex_state = 4},
  [2448] = {.lex_state = 26, .external_lex_state = 3},
  [2449] = {.lex_state = 26, .external_lex_state = 3},
  [2450] = {.lex_state = 26, .external_lex_state = 3},
  [2451] = {.lex_state = 26, .external_lex_state = 3},
  [2452] = {.lex_state = 26, .external_lex_state = 4},
  [2453] = {.lex_state = 26, .external_lex_state = 3},
  [2454] = {.lex_state = 26, .external_lex_state = 3},
  [2455] = {.lex_state = 26, .external_lex_state = 3},
  [2456] = {.lex_state = 26, .external_lex_state = 3},
  [2457] = {.lex_state = 26, .external_lex_state = 3},
  [2458] = {.lex_state = 26, .external_lex_state = 4},
  [2459] = {.lex_state = 26, .external_lex_state = 3},
  [2460] = {.lex_state = 26, .external_lex_state = 4},
  [2461] = {.lex_state = 26, .external_lex_state = 3},
  [2462] = {.lex_state = 26, .external_lex_state = 3},
  [2463] = {.lex_state = 26, .external_lex_state = 3},
  [2464] = {.lex_state = 26, .external_lex_state = 3},
  [2465] = {.lex_state = 26, .external_lex_state = 3},
  [2466] = {.lex_state = 26, .external_lex_state = 3},
  [2467] = {.lex_state = 26, .external_lex_state = 3},
  [2468] = {.lex_state = 26, .external_lex_state = 3},
  [2469] = {.lex_state = 26, .external_lex_state = 3},
  [2470] = {.lex_state = 26, .external_lex_state = 3},
  [2471] = {.lex_state = 26, .external_lex_state = 3},
  [2472] = {.lex_state = 26, .external_lex_state = 3},
  [2473] = {.lex_state = 26, .external_lex_state = 3},
  [2474] = {.lex_state = 26, .external_lex_state = 3},
  [2475] = {.lex_state = 26, .external_lex_state = 3},
  [2476] = {.lex_state = 26, .external_lex_state = 3},
  [2477] = {.lex_state = 26, .external_lex_state = 3},
  [2478] = {.lex_state = 26, .external_lex_state = 3},
  [2479] = {.lex_state = 26, .external_lex_state = 3},
  [2480] = {.lex_state = 26, .external_lex_state = 3},
  [2481] = {.lex_state = 26, .external_lex_state = 3},
  [2482] = {.lex_state = 26, .external_lex_state = 3},
  [2483] = {.lex_state = 26, .external_lex_state = 3},
  [2484] = {.lex_state = 26, .external_lex_state = 3},
  [2485] = {.lex_state = 26, .external_lex_state = 3},
  [2486] = {.lex_state = 26, .external_lex_state = 3},
  [2487] = {.lex_state = 26, .external_lex_state = 3},
  [2488] = {.lex_state = 26, .external_lex_state = 4},
  [2489] = {.lex_state = 26, .external_lex_state = 3},
  [2490] = {.lex_state = 26, .external_lex_state = 3},
  [2491] = {.lex_state = 26, .external_lex_state = 3},
  [2492] = {.lex_state = 26, .external_lex_state = 3},
  [2493] = {.lex_state = 26, .external_lex_state = 3},
  [2494] = {.lex_state = 26, .external_lex_state = 3},
  [2495] = {.lex_state = 26, .external_lex_state = 3},
  [2496] = {.lex_state = 26, .external_lex_state = 3},
  [2497] = {.lex_state = 36, .external_lex_state = 5},
  [2498] = {.lex_state = 26, .external_lex_state = 3},
  [2499] = {.lex_state = 26, .external_lex_state = 3},
  [2500] = {.lex_state = 26, .external_lex_state = 3},
  [2501] = {.lex_state = 26, .external_lex_state = 3},
  [2502] = {.lex_state = 26, .external_lex_state = 3},
  [2503] = {.lex_state = 26, .external_lex_state = 3},
  [2504] = {.lex_state = 26, .external_lex_state = 3},
  [2505] = {.lex_state = 26, .external_lex_state = 3},
  [2506] = {.lex_state = 26, .external_lex_state = 3},
  [2507] = {.lex_state = 26, .external_lex_state = 3},
  [2508] = {.lex_state = 26, .external_lex_state = 3},
  [2509] = {.lex_state = 26, .external_lex_state = 3},
  [2510] = {.lex_state = 26, .external_lex_state = 3},
  [2511] = {.lex_state = 26, .external_lex_state = 3},
  [2512] = {.lex_state = 36, .external_lex_state = 5},
  [2513] = {.lex_state = 26, .external_lex_state = 3},
  [2514] = {.lex_state = 26, .external_lex_state = 3},
  [2515] = {.lex_state = 26, .external_lex_state = 3},
  [2516] = {.lex_state = 26, .external_lex_state = 3},
  [2517] = {.lex_state = 36, .external_lex_state = 5},
  [2518] = {.lex_state = 26, .external_lex_state = 3},
  [2519] = {.lex_state = 26, .external_lex_state = 3},
  [2520] = {.lex_state = 26, .external_lex_state = 3},
  [2521] = {.lex_state = 26, .external_lex_state = 3},
  [2522] = {.lex_state = 26, .external_lex_state = 3},
  [2523] = {.lex_state = 26, .external_lex_state = 3},
  [2524] = {.lex_state = 26, .external_lex_state = 3},
  [2525] = {.lex_state = 26, .external_lex_state = 3},
  [2526] = {.lex_state = 26, .external_lex_state = 3},
  [2527] = {.lex_state = 26, .external_lex_state = 3},
  [2528] = {.lex_state = 26, .external_lex_state = 3},
  [2529] = {.lex_state = 26, .external_lex_state = 3},
  [2530] = {.lex_state = 26, .external_lex_state = 3},
  [2531] = {.lex_state = 26, .external_lex_state = 3},
  [2532] = {.lex_state = 26, .external_lex_state = 3},
  [2533] = {.lex_state = 26, .external_lex_state = 3},
  [2534] = {.lex_state = 26, .external_lex_state = 3},
  [2535] = {.lex_state = 26, .external_lex_state = 3},
  [2536] = {.lex_state = 26, .external_lex_state = 3},
  [2537] = {.lex_state = 26, .external_lex_state = 3},
  [2538] = {.lex_state = 26, .external_lex_state = 3},
  [2539] = {.lex_state = 26, .external_lex_state = 3},
  [2540] = {.lex_state = 26, .external_lex_state = 3},
  [2541] = {.lex_state = 26, .external_lex_state = 3},
  [2542] = {.lex_state = 36, .external_lex_state = 5},
  [2543] = {.lex_state = 26, .external_lex_state = 3},
  [2544] = {.lex_state = 26, .external_lex_state = 3},
  [2545] = {.lex_state = 26, .external_lex_state = 3},
  [2546] = {.lex_state = 26, .external_lex_state = 3},
  [2547] = {.lex_state = 26, .external_lex_state = 3},
  [2548] = {.lex_state = 26, .external_lex_state = 3},
  [2549] = {.lex_state = 26, .external_lex_state = 3},
  [2550] = {.lex_state = 26, .external_lex_state = 3},
  [2551] = {.lex_state = 26, .external_lex_state = 3},
  [2552] = {.lex_state = 36, .external_lex_state = 5},
  [2553] = {.lex_state = 26, .external_lex_state = 3},
  [2554] = {.lex_state = 26, .external_lex_state = 3},
  [2555] = {.lex_state = 26, .external_lex_state = 3},
  [2556] = {.lex_state = 26, .external_lex_state = 3},
  [2557] = {.lex_state = 26, .external_lex_state = 3},
  [2558] = {.lex_state = 26, .external_lex_state = 3},
  [2559] = {.lex_state = 26, .external_lex_state = 3},
  [2560] = {.lex_state = 26, .external_lex_state = 3},
  [2561] = {.lex_state = 26, .external_lex_state = 3},
  [2562] = {.lex_state = 26, .external_lex_state = 4},
  [2563] = {.lex_state = 26, .external_lex_state = 3},
  [2564] = {.lex_state = 26, .external_lex_state = 3},
  [2565] = {.lex_state = 26, .external_lex_state = 4},
  [2566] = {.lex_state = 26, .external_lex_state = 3},
  [2567] = {.lex_state = 26, .external_lex_state = 3},
  [2568] = {.lex_state = 26, .external_lex_state = 3},
  [2569] = {.lex_state = 26, .external_lex_state = 3},
  [2570] = {.lex_state = 26, .external_lex_state = 3},
  [2571] = {.lex_state = 26, .external_lex_state = 3},
  [2572] = {.lex_state = 26, .external_lex_state = 3},
  [2573] = {.lex_state = 26, .external_lex_state = 3},
  [2574] = {.lex_state = 26, .external_lex_state = 3},
  [2575] = {.lex_state = 26, .external_lex_state = 3},
  [2576] = {.lex_state = 26, .external_lex_state = 3},
  [2577] = {.lex_state = 26, .external_lex_state = 3},
  [2578] = {.lex_state = 26, .external_lex_state = 4},
  [2579] = {.lex_state = 26, .external_lex_state = 3},
  [2580] = {.lex_state = 26, .external_lex_state = 3},
  [2581] = {.lex_state = 26, .external_lex_state = 3},
  [2582] = {.lex_state = 26, .external_lex_state = 3},
  [2583] = {.lex_state = 26, .external_lex_state = 3},
  [2584] = {.lex_state = 26, .external_lex_state = 3},
  [2585] = {.lex_state = 26, .external_lex_state = 3},
  [2586] = {.lex_state = 26, .external_lex_state = 3},
  [2587] = {.lex_state = 26, .external_lex_state = 3},
  [2588] = {.lex_state = 26, .external_lex_state = 3},
  [2589] = {.lex_state = 26, .external_lex_state = 3},
  [2590] = {.lex_state = 26, .external_lex_state = 3},
  [2591] = {.lex_state = 26, .external_lex_state = 3},
  [2592] = {.lex_state = 26, .external_lex_state = 3},
  [2593] = {.lex_state = 26, .external_lex_state = 3},
  [2594] = {.lex_state = 26, .external_lex_state = 4},
  [2595] = {.lex_state = 26, .external_lex_state = 4},
  [2596] = {.lex_state = 26, .external_lex_state = 4},
  [2597] = {.lex_state = 26, .external_lex_state = 4},
  [2598] = {.lex_state = 26, .external_lex_state = 3},
  [2599] = {.lex_state = 36, .external_lex_state = 5},
  [2600] = {.lex_state = 26, .external_lex_state = 3},
  [2601] = {.lex_state = 36, .external_lex_state = 5},
  [2602] = {.lex_state = 26, .external_lex_state = 3},
  [2603] = {.lex_state = 36, .external_lex_state = 5},
  [2604] = {.lex_state = 26, .external_lex_state = 4},
  [2605] = {.lex_state = 36, .external_lex_state = 5},
  [2606] = {.lex_state = 26, .external_lex_state = 4},
  [2607] = {.lex_state = 26, .external_lex_state = 4},
  [2608] = {.lex_state = 26, .external_lex_state = 4},
  [2609] = {.lex_state = 26, .external_lex_state = 3},
  [2610] = {.lex_state = 26, .external_lex_state = 3},
  [2611] = {.lex_state = 26, .external_lex_state = 4},
  [2612] = {.lex_state = 26, .external_lex_state = 3},
  [2613] = {.lex_state = 26, .external_lex_state = 4},
  [2614] = {.lex_state = 26, .external_lex_state = 4},
  [2615] = {.lex_state = 26, .external_lex_state = 4},
  [2616] = {.lex_state = 26, .external_lex_state = 4},
  [2617] = {.lex_state = 26, .external_lex_state = 4},
  [2618] = {.lex_state = 26, .external_lex_state = 4},
  [2619] = {.lex_state = 26, .external_lex_state = 3},
  [2620] = {.lex_state = 26, .external_lex_state = 4},
  [2621] = {.lex_state = 26, .external_lex_state = 4},
  [2622] = {.lex_state = 26, .external_lex_state = 4},
  [2623] = {.lex_state = 26, .external_lex_state = 3},
  [2624] = {.lex_state = 26, .external_lex_state = 4},
  [2625] = {.lex_state = 26, .external_lex_state = 3},
  [2626] = {.lex_state = 26, .external_lex_state = 3},
  [2627] = {.lex_state = 26, .external_lex_state = 3},
  [2628] = {.lex_state = 26, .external_lex_state = 4},
  [2629] = {.lex_state = 26, .external_lex_state = 3},
  [2630] = {.lex_state = 26, .external_lex_state = 3},
  [2631] = {.lex_state = 26, .external_lex_state = 4},
  [2632] = {.lex_state = 26, .external_lex_state = 4},
  [2633] = {.lex_state = 26, .external_lex_state = 4},
  [2634] = {.lex_state = 26, .external_lex_state = 3},
  [2635] = {.lex_state = 26, .external_lex_state = 4},
  [2636] = {.lex_state = 26, .external_lex_state = 4},
  [2637] = {.lex_state = 26, .external_lex_state = 4},
  [2638] = {.lex_state = 26, .external_lex_state = 3},
  [2639] = {.lex_state = 26, .external_lex_state = 3},
  [2640] = {.lex_state = 26, .external_lex_state = 3},
  [2641] = {.lex_state = 26, .external_lex_state = 4},
  [2642] = {.lex_state = 26, .external_lex_state = 4},
  [2643] = {.lex_state = 26, .external_lex_state = 4},
  [2644] = {.lex_state = 26, .external_lex_state = 4},
  [2645] = {.lex_state = 26, .external_lex_state = 4},
  [2646] = {.lex_state = 26, .external_lex_state = 3},
  [2647] = {.lex_state = 26, .external_lex_state = 4},
  [2648] = {.lex_state = 26, .external_lex_state = 3},
  [2649] = {.lex_state = 26, .external_lex_state = 4},
  [2650] = {.lex_state = 26, .external_lex_state = 3},
  [2651] = {.lex_state = 26, .external_lex_state = 3},
  [2652] = {.lex_state = 26, .external_lex_state = 3},
  [2653] = {.lex_state = 26, .external_lex_state = 4},
  [2654] = {.lex_state = 26, .external_lex_state = 4},
  [2655] = {.lex_state = 26, .external_lex_state = 4},
  [2656] = {.lex_state = 26, .external_lex_state = 4},
  [2657] = {.lex_state = 26, .external_lex_state = 3},
  [2658] = {.lex_state = 26, .external_lex_state = 4},
  [2659] = {.lex_state = 26, .external_lex_state = 4},
  [2660] = {.lex_state = 26, .external_lex_state = 3},
  [2661] = {.lex_state = 26, .external_lex_state = 3},
  [2662] = {.lex_state = 26, .external_lex_state = 4},
  [2663] = {.lex_state = 26, .external_lex_state = 3},
  [2664] = {.lex_state = 26, .external_lex_state = 4},
  [2665] = {.lex_state = 26, .external_lex_state = 3},
  [2666] = {.lex_state = 26, .external_lex_state = 4},
  [2667] = {.lex_state = 26, .external_lex_state = 4},
  [2668] = {.lex_state = 26, .external_lex_state = 4},
  [2669] = {.lex_state = 26, .external_lex_state = 3},
  [2670] = {.lex_state = 26, .external_lex_state = 4},
  [2671] = {.lex_state = 26, .external_lex_state = 4},
  [2672] = {.lex_state = 26, .external_lex_state = 3},
  [2673] = {.lex_state = 26, .external_lex_state = 3},
  [2674] = {.lex_state = 26, .external_lex_state = 3},
  [2675] = {.lex_state = 26, .external_lex_state = 3},
  [2676] = {.lex_state = 26, .external_lex_state = 4},
  [2677] = {.lex_state = 26, .external_lex_state = 4},
  [2678] = {.lex_state = 26, .external_lex_state = 3},
  [2679] = {.lex_state = 26, .external_lex_state = 3},
  [2680] = {.lex_state = 26, .external_lex_state = 4},
  [2681] = {.lex_state = 26, .external_lex_state = 4},
  [2682] = {.lex_state = 26, .external_lex_state = 3},
  [2683] = {.lex_state = 26, .external_lex_state = 3},
  [2684] = {.lex_state = 26, .external_lex_state = 4},
  [2685] = {.lex_state = 26, .external_lex_state = 3},
  [2686] = {.lex_state = 26, .external_lex_state = 3},
  [2687] = {.lex_state = 26, .external_lex_state = 4},
  [2688] = {.lex_state = 36, .external_lex_state = 5},
  [2689] = {.lex_state = 36, .external_lex_state = 5},
  [2690] = {.lex_state = 26, .external_lex_state = 4},
  [2691] = {.lex_state = 26, .external_lex_state = 4},
  [2692] = {.lex_state = 36, .external_lex_state = 5},
  [2693] = {.lex_state = 26, .external_lex_state = 3},
  [2694] = {.lex_state = 26, .external_lex_state = 3},
  [2695] = {.lex_state = 26, .external_lex_state = 4},
  [2696] = {.lex_state = 26, .external_lex_state = 3},
  [2697] = {.lex_state = 26, .external_lex_state = 3},
  [2698] = {.lex_state = 26, .external_lex_state = 3},
  [2699] = {.lex_state = 26, .external_lex_state = 4},
  [2700] = {.lex_state = 26, .external_lex_state = 3},
  [2701] = {.lex_state = 26, .external_lex_state = 4},
  [2702] = {.lex_state = 26, .external_lex_state = 3},
  [2703] = {.lex_state = 26, .external_lex_state = 3},
  [2704] = {.lex_state = 26, .external_lex_state = 3},
  [2705] = {.lex_state = 26, .external_lex_state = 3},
  [2706] = {.lex_state = 26, .external_lex_state = 3},
  [2707] = {.lex_state = 26, .external_lex_state = 3},
  [2708] = {.lex_state = 26, .external_lex_state = 4},
  [2709] = {.lex_state = 26, .external_lex_state = 4},
  [2710] = {.lex_state = 26, .external_lex_state = 3},
  [2711] = {.lex_state = 26, .external_lex_state = 4},
  [2712] = {.lex_state = 26, .external_lex_state = 3},
  [2713] = {.lex_state = 26, .external_lex_state = 4},
  [2714] = {.lex_state = 26, .external_lex_state = 3},
  [2715] = {.lex_state = 36, .external_lex_state = 5},
  [2716] = {.lex_state = 26, .external_lex_state = 3},
  [2717] = {.lex_state = 26, .external_lex_state = 3},
  [2718] = {.lex_state = 26, .external_lex_state = 4},
  [2719] = {.lex_state = 26, .external_lex_state = 3},
  [2720] = {.lex_state = 26, .external_lex_state = 3},
  [2721] = {.lex_state = 26, .external_lex_state = 4},
  [2722] = {.lex_state = 26, .external_lex_state = 3},
  [2723] = {.lex_state = 26, .external_lex_state = 3},
  [2724] = {.lex_state = 26, .external_lex_state = 4},
  [2725] = {.lex_state = 36, .external_lex_state = 5},
  [2726] = {.lex_state = 26, .external_lex_state = 4},
  [2727] = {.lex_state = 26, .external_lex_state = 3},
  [2728] = {.lex_state = 26, .external_lex_state = 3},
  [2729] = {.lex_state = 26, .external_lex_state = 3},
  [2730] = {.lex_state = 26, .external_lex_state = 4},
  [2731] = {.lex_state = 26, .external_lex_state = 3},
  [2732] = {.lex_state = 26, .external_lex_state = 3},
  [2733] = {.lex_state = 26, .external_lex_state = 3},
  [2734] = {.lex_state = 26, .external_lex_state = 4},
  [2735] = {.lex_state = 26, .external_lex_state = 4},
  [2736] = {.lex_state = 26, .external_lex_state = 3},
  [2737] = {.lex_state = 26, .external_lex_state = 4},
  [2738] = {.lex_state = 26, .external_lex_state = 3},
  [2739] = {.lex_state = 26, .external_lex_state = 4},
  [2740] = {.lex_state = 26, .external_lex_state = 3},
  [2741] = {.lex_state = 26, .external_lex_state = 3},
  [2742] = {.lex_state = 26, .external_lex_state = 3},
  [2743] = {.lex_state = 26, .external_lex_state = 4},
  [2744] = {.lex_state = 26, .external_lex_state = 4},
  [2745] = {.lex_state = 26, .external_lex_state = 4},
  [2746] = {.lex_state = 26, .external_lex_state = 3},
  [2747] = {.lex_state = 26, .external_lex_state = 4},
  [2748] = {.lex_state = 26, .external_lex_state = 4},
  [2749] = {.lex_state = 26, .external_lex_state = 4},
  [2750] = {.lex_state = 36, .external_lex_state = 5},
  [2751] = {.lex_state = 26, .external_lex_state = 3},
  [2752] = {.lex_state = 26, .external_lex_state = 3},
  [2753] = {.lex_state = 26, .external_lex_state = 3},
  [2754] = {.lex_state = 26, .external_lex_state = 3},
  [2755] = {.lex_state = 26, .external_lex_state = 4},
  [2756] = {.lex_state = 26, .external_lex_state = 3},
  [2757] = {.lex_state = 26, .external_lex_state = 4},
  [2758] = {.lex_state = 26, .external_lex_state = 3},
  [2759] = {.lex_state = 26, .external_lex_state = 3},
  [2760] = {.lex_state = 26, .external_lex_state = 4},
  [2761] = {.lex_state = 26, .external_lex_state = 3},
  [2762] = {.lex_state = 26, .external_lex_state = 4},
  [2763] = {.lex_state = 26, .external_lex_state = 4},
  [2764] = {.lex_state = 26, .external_lex_state = 4},
  [2765] = {.lex_state = 26, .external_lex_state = 4},
  [2766] = {.lex_state = 26, .external_lex_state = 3},
  [2767] = {.lex_state = 26, .external_lex_state = 4},
  [2768] = {.lex_state = 26, .external_lex_state = 3},
  [2769] = {.lex_state = 26, .external_lex_state = 3},
  [2770] = {.lex_state = 26, .external_lex_state = 4},
  [2771] = {.lex_state = 26, .external_lex_state = 3},
  [2772] = {.lex_state = 26, .external_lex_state = 3},
  [2773] = {.lex_state = 26, .external_lex_state = 4},
  [2774] = {.lex_state = 26, .external_lex_state = 3},
  [2775] = {.lex_state = 26, .external_lex_state = 3},
  [2776] = {.lex_state = 26, .external_lex_state = 4},
  [2777] = {.lex_state = 26, .external_lex_state = 3},
  [2778] = {.lex_state = 26, .external_lex_state = 3},
  [2779] = {.lex_state = 26, .external_lex_state = 3},
  [2780] = {.lex_state = 26, .external_lex_state = 3},
  [2781] = {.lex_state = 26, .external_lex_state = 3},
  [2782] = {.lex_state = 26, .external_lex_state = 3},
  [2783] = {.lex_state = 26, .external_lex_state = 4},
  [2784] = {.lex_state = 26, .external_lex_state = 4},
  [2785] = {.lex_state = 26, .external_lex_state = 3},
  [2786] = {.lex_state = 26, .external_lex_state = 4},
  [2787] = {.lex_state = 26, .external_lex_state = 3},
  [2788] = {.lex_state = 26, .external_lex_state = 4},
  [2789] = {.lex_state = 26, .external_lex_state = 4},
  [2790] = {.lex_state = 36, .external_lex_state = 5},
  [2791] = {.lex_state = 26, .external_lex_state = 3},
  [2792] = {.lex_state = 26, .external_lex_state = 3},
  [2793] = {.lex_state = 26, .external_lex_state = 4},
  [2794] = {.lex_state = 26, .external_lex_state = 3},
  [2795] = {.lex_state = 26, .external_lex_state = 3},
  [2796] = {.lex_state = 26, .external_lex_state = 3},
  [2797] = {.lex_state = 26, .external_lex_state = 4},
  [2798] = {.lex_state = 26, .external_lex_state = 4},
  [2799] = {.lex_state = 26, .external_lex_state = 3},
  [2800] = {.lex_state = 26, .external_lex_state = 3},
  [2801] = {.lex_state = 26, .external_lex_state = 3},
  [2802] = {.lex_state = 26, .external_lex_state = 3},
  [2803] = {.lex_state = 26, .external_lex_state = 3},
  [2804] = {.lex_state = 26, .external_lex_state = 3},
  [2805] = {.lex_state = 26, .external_lex_state = 3},
  [2806] = {.lex_state = 26, .external_lex_state = 3},
  [2807] = {.lex_state = 26, .external_lex_state = 3},
  [2808] = {.lex_state = 26, .external_lex_state = 3},
  [2809] = {.lex_state = 26, .external_lex_state = 3},
  [2810] = {.lex_state = 26, .external_lex_state = 3},
  [2811] = {.lex_state = 26, .external_lex_state = 3},
  [2812] = {.lex_state = 26, .external_lex_state = 3},
  [2813] = {.lex_state = 26, .external_lex_state = 3},
  [2814] = {.lex_state = 26, .external_lex_state = 4},
  [2815] = {.lex_state = 26, .external_lex_state = 4},
  [2816] = {.lex_state = 26, .external_lex_state = 3},
  [2817] = {.lex_state = 26, .external_lex_state = 3},
  [2818] = {.lex_state = 26, .external_lex_state = 3},
  [2819] = {.lex_state = 26, .external_lex_state = 3},
  [2820] = {.lex_state = 26, .external_lex_state = 3},
  [2821] = {.lex_state = 36, .external_lex_state = 5},
  [2822] = {.lex_state = 26, .external_lex_state = 3},
  [2823] = {.lex_state = 26, .external_lex_state = 4},
  [2824] = {.lex_state = 26, .external_lex_state = 3},
  [2825] = {.lex_state = 26, .external_lex_state = 3},
  [2826] = {.lex_state = 26, .external_lex_state = 3},
  [2827] = {.lex_state = 26, .external_lex_state = 3},
  [2828] = {.lex_state = 26, .external_lex_state = 3},
  [2829] = {.lex_state = 26, .external_lex_state = 3},
  [2830] = {.lex_state = 26, .external_lex_state = 4},
  [2831] = {.lex_state = 26, .external_lex_state = 3},
  [2832] = {.lex_state = 26, .external_lex_state = 3},
  [2833] = {.lex_state = 26, .external_lex_state = 3},
  [2834] = {.lex_state = 26, .external_lex_state = 3},
  [2835] = {.lex_state = 26, .external_lex_state = 3},
  [2836] = {.lex_state = 26, .external_lex_state = 3},
  [2837] = {.lex_state = 26, .external_lex_state = 3},
  [2838] = {.lex_state = 26, .external_lex_state = 3},
  [2839] = {.lex_state = 26, .external_lex_state = 4},
  [2840] = {.lex_state = 26, .external_lex_state = 4},
  [2841] = {.lex_state = 36, .external_lex_state = 5},
  [2842] = {.lex_state = 26, .external_lex_state = 4},
  [2843] = {.lex_state = 26, .external_lex_state = 3},
  [2844] = {.lex_state = 26, .external_lex_state = 3},
  [2845] = {.lex_state = 26, .external_lex_state = 4},
  [2846] = {.lex_state = 36, .external_lex_state = 5},
  [2847] = {.lex_state = 26, .external_lex_state = 3},
  [2848] = {.lex_state = 26, .external_lex_state = 3},
  [2849] = {.lex_state = 26, .external_lex_state = 3},
  [2850] = {.lex_state = 26, .external_lex_state = 3},
  [2851] = {.lex_state = 26, .external_lex_state = 3},
  [2852] = {.lex_state = 26, .external_lex_state = 3},
  [2853] = {.lex_state = 26, .external_lex_state = 4},
  [2854] = {.lex_state = 26, .external_lex_state = 3},
  [2855] = {.lex_state = 26, .external_lex_state = 3},
  [2856] = {.lex_state = 26, .external_lex_state = 3},
  [2857] = {.lex_state = 26, .external_lex_state = 3},
  [2858] = {.lex_state = 26, .external_lex_state = 3},
  [2859] = {.lex_state = 26, .external_lex_state = 3},
  [2860] = {.lex_state = 26, .external_lex_state = 3},
  [2861] = {.lex_state = 26, .external_lex_state = 3},
  [2862] = {.lex_state = 26, .external_lex_state = 3},
  [2863] = {.lex_state = 35, .external_lex_state = 5},
  [2864] = {.lex_state = 26, .external_lex_state = 4},
  [2865] = {.lex_state = 26, .external_lex_state = 3},
  [2866] = {.lex_state = 26, .external_lex_state = 3},
  [2867] = {.lex_state = 26, .external_lex_state = 4},
  [2868] = {.lex_state = 36, .external_lex_state = 5},
  [2869] = {.lex_state = 26, .external_lex_state = 3},
  [2870] = {.lex_state = 26, .external_lex_state = 4},
  [2871] = {.lex_state = 35, .external_lex_state = 5},
  [2872] = {.lex_state = 26, .external_lex_state = 3},
  [2873] = {.lex_state = 26, .external_lex_state = 3},
  [2874] = {.lex_state = 26, .external_lex_state = 4},
  [2875] = {.lex_state = 26, .external_lex_state = 3},
  [2876] = {.lex_state = 26, .external_lex_state = 3},
  [2877] = {.lex_state = 26, .external_lex_state = 3},
  [2878] = {.lex_state = 26, .external_lex_state = 4},
  [2879] = {.lex_state = 26, .external_lex_state = 4},
  [2880] = {.lex_state = 26, .external_lex_state = 4},
  [2881] = {.lex_state = 26, .external_lex_state = 3},
  [2882] = {.lex_state = 26, .external_lex_state = 3},
  [2883] = {.lex_state = 26, .external_lex_state = 3},
  [2884] = {.lex_state = 26, .external_lex_state = 3},
  [2885] = {.lex_state = 26, .external_lex_state = 3},
  [2886] = {.lex_state = 26, .external_lex_state = 3},
  [2887] = {.lex_state = 26, .external_lex_state = 4},
  [2888] = {.lex_state = 26, .external_lex_state = 4},
  [2889] = {.lex_state = 26, .external_lex_state = 4},
  [2890] = {.lex_state = 26, .external_lex_state = 3},
  [2891] = {.lex_state = 26, .external_lex_state = 3},
  [2892] = {.lex_state = 26, .external_lex_state = 3},
  [2893] = {.lex_state = 26, .external_lex_state = 4},
  [2894] = {.lex_state = 26, .external_lex_state = 3},
  [2895] = {.lex_state = 26, .external_lex_state = 4},
  [2896] = {.lex_state = 26, .external_lex_state = 3},
  [2897] = {.lex_state = 26, .external_lex_state = 3},
  [2898] = {.lex_state = 26, .external_lex_state = 3},
  [2899] = {.lex_state = 26, .external_lex_state = 3},
  [2900] = {.lex_state = 26, .external_lex_state = 3},
  [2901] = {.lex_state = 26, .external_lex_state = 3},
  [2902] = {.lex_state = 26, .external_lex_state = 3},
  [2903] = {.lex_state = 26, .external_lex_state = 3},
  [2904] = {.lex_state = 26, .external_lex_state = 3},
  [2905] = {.lex_state = 26, .external_lex_state = 3},
  [2906] = {.lex_state = 26, .external_lex_state = 3},
  [2907] = {.lex_state = 26, .external_lex_state = 3},
  [2908] = {.lex_state = 26, .external_lex_state = 3},
  [2909] = {.lex_state = 36, .external_lex_state = 5},
  [2910] = {.lex_state = 26, .external_lex_state = 3},
  [2911] = {.lex_state = 36, .external_lex_state = 5},
  [2912] = {.lex_state = 26, .external_lex_state = 3},
  [2913] = {.lex_state = 26, .external_lex_state = 3},
  [2914] = {.lex_state = 26, .external_lex_state = 3},
  [2915] = {.lex_state = 26, .external_lex_state = 3},
  [2916] = {.lex_state = 26, .external_lex_state = 3},
  [2917] = {.lex_state = 26, .external_lex_state = 3},
  [2918] = {.lex_state = 26, .external_lex_state = 3},
  [2919] = {.lex_state = 26, .external_lex_state = 3},
  [2920] = {.lex_state = 26, .external_lex_state = 3},
  [2921] = {.lex_state = 26, .external_lex_state = 4},
  [2922] = {.lex_state = 26, .external_lex_state = 4},
  [2923] = {.lex_state = 26, .external_lex_state = 3},
  [2924] = {.lex_state = 26, .external_lex_state = 3},
  [2925] = {.lex_state = 26, .external_lex_state = 3},
  [2926] = {.lex_state = 26, .external_lex_state = 3},
  [2927] = {.lex_state = 26, .external_lex_state = 4},
  [2928] = {.lex_state = 26, .external_lex_state = 3},
  [2929] = {.lex_state = 26, .external_lex_state = 4},
  [2930] = {.lex_state = 36, .external_lex_state = 5},
  [2931] = {.lex_state = 26, .external_lex_state = 4},
  [2932] = {.lex_state = 26, .external_lex_state = 4},
  [2933] = {.lex_state = 26, .external_lex_state = 4},
  [2934] = {.lex_state = 24, .external_lex_state = 3},
  [2935] = {.lex_state = 26, .external_lex_state = 4},
  [2936] = {.lex_state = 26, .external_lex_state = 4},
  [2937] = {.lex_state = 26, .external_lex_state = 4},
  [2938] = {.lex_state = 26, .external_lex_state = 3},
  [2939] = {.lex_state = 26, .external_lex_state = 3},
  [2940] = {.lex_state = 26, .external_lex_state = 3},
  [2941] = {.lex_state = 26, .external_lex_state = 3},
  [2942] = {.lex_state = 36, .external_lex_state = 2},
  [2943] = {.lex_state = 26, .external_lex_state = 4},
  [2944] = {.lex_state = 26, .external_lex_state = 4},
  [2945] = {.lex_state = 26, .external_lex_state = 4},
  [2946] = {.lex_state = 26, .external_lex_state = 4},
  [2947] = {.lex_state = 26, .external_lex_state = 4},
  [2948] = {.lex_state = 26, .external_lex_state = 4},
  [2949] = {.lex_state = 26, .external_lex_state = 3},
  [2950] = {.lex_state = 26, .external_lex_state = 4},
  [2951] = {.lex_state = 26, .external_lex_state = 4},
  [2952] = {.lex_state = 26, .external_lex_state = 4},
  [2953] = {.lex_state = 26, .external_lex_state = 4},
  [2954] = {.lex_state = 26, .external_lex_state = 4},
  [2955] = {.lex_state = 26, .external_lex_state = 4},
  [2956] = {.lex_state = 26, .external_lex_state = 4},
  [2957] = {.lex_state = 26, .external_lex_state = 4},
  [2958] = {.lex_state = 26, .external_lex_state = 4},
  [2959] = {.lex_state = 26, .external_lex_state = 3},
  [2960] = {.lex_state = 36, .external_lex_state = 5},
  [2961] = {.lex_state = 26, .external_lex_state = 4},
  [2962] = {.lex_state = 36, .external_lex_state = 5},
  [2963] = {.lex_state = 26, .external_lex_state = 4},
  [2964] = {.lex_state = 26, .external_lex_state = 4},
  [2965] = {.lex_state = 26, .external_lex_state = 3},
  [2966] = {.lex_state = 26, .external_lex_state = 4},
  [2967] = {.lex_state = 35, .external_lex_state = 5},
  [2968] = {.lex_state = 26, .external_lex_state = 4},
  [2969] = {.lex_state = 26, .external_lex_state = 4},
  [2970] = {.lex_state = 26, .external_lex_state = 4},
  [2971] = {.lex_state = 26, .external_lex_state = 4},
  [2972] = {.lex_state = 26, .external_lex_state = 4},
  [2973] = {.lex_state = 26, .external_lex_state = 4},
  [2974] = {.lex_state = 26, .external_lex_state = 3},
  [2975] = {.lex_state = 26, .external_lex_state = 4},
  [2976] = {.lex_state = 26, .external_lex_state = 3},
  [2977] = {.lex_state = 26, .external_lex_state = 4},
  [2978] = {.lex_state = 26, .external_lex_state = 4},
  [2979] = {.lex_state = 26, .external_lex_state = 3},
  [2980] = {.lex_state = 36, .external_lex_state = 5},
  [2981] = {.lex_state = 26, .external_lex_state = 4},
  [2982] = {.lex_state = 26, .external_lex_state = 4},
  [2983] = {.lex_state = 26, .external_lex_state = 3},
  [2984] = {.lex_state = 26, .external_lex_state = 4},
  [2985] = {.lex_state = 26, .external_lex_state = 4},
  [2986] = {.lex_state = 26, .external_lex_state = 4},
  [2987] = {.lex_state = 26, .external_lex_state = 3},
  [2988] = {.lex_state = 26, .external_lex_state = 4},
  [2989] = {.lex_state = 26, .external_lex_state = 4},
  [2990] = {.lex_state = 26, .external_lex_state = 4},
  [2991] = {.lex_state = 35, .external_lex_state = 5},
  [2992] = {.lex_state = 26, .external_lex_state = 4},
  [2993] = {.lex_state = 26, .external_lex_state = 4},
  [2994] = {.lex_state = 26, .external_lex_state = 4},
  [2995] = {.lex_state = 26, .external_lex_state = 4},
  [2996] = {.lex_state = 26, .external_lex_state = 4},
  [2997] = {.lex_state = 26, .external_lex_state = 4},
  [2998] = {.lex_state = 26, .external_lex_state = 4},
  [2999] = {.lex_state = 36, .external_lex_state = 5},
  [3000] = {.lex_state = 26, .external_lex_state = 4},
  [3001] = {.lex_state = 26, .external_lex_state = 4},
  [3002] = {.lex_state = 36, .external_lex_state = 5},
  [3003] = {.lex_state = 36, .external_lex_state = 2},
  [3004] = {.lex_state = 26, .external_lex_state = 4},
  [3005] = {.lex_state = 26, .external_lex_state = 3},
  [3006] = {.lex_state = 26, .external_lex_state = 4},
  [3007] = {.lex_state = 36, .external_lex_state = 2},
  [3008] = {.lex_state = 26, .external_lex_state = 4},
  [3009] = {.lex_state = 26, .external_lex_state = 4},
  [3010] = {.lex_state = 26, .external_lex_state = 4},
  [3011] = {.lex_state = 26, .external_lex_state = 3},
  [3012] = {.lex_state = 26, .external_lex_state = 4},
  [3013] = {.lex_state = 26, .external_lex_state = 4},
  [3014] = {.lex_state = 26, .external_lex_state = 4},
  [3015] = {.lex_state = 26, .external_lex_state = 3},
  [3016] = {.lex_state = 26, .external_lex_state = 4},
  [3017] = {.lex_state = 26, .external_lex_state = 4},
  [3018] = {.lex_state = 26, .external_lex_state = 4},
  [3019] = {.lex_state = 26, .external_lex_state = 4},
  [3020] = {.lex_state = 26, .external_lex_state = 4},
  [3021] = {.lex_state = 26, .external_lex_state = 4},
  [3022] = {.lex_state = 26, .external_lex_state = 3},
  [3023] = {.lex_state = 26, .external_lex_state = 3},
  [3024] = {.lex_state = 26, .external_lex_state = 4},
  [3025] = {.lex_state = 26, .external_lex_state = 3},
  [3026] = {.lex_state = 26, .external_lex_state = 4},
  [3027] = {.lex_state = 26, .external_lex_state = 4},
  [3028] = {.lex_state = 26, .external_lex_state = 4},
  [3029] = {.lex_state = 26, .external_lex_state = 4},
  [3030] = {.lex_state = 26, .external_lex_state = 4},
  [3031] = {.lex_state = 26, .external_lex_state = 4},
  [3032] = {.lex_state = 26, .external_lex_state = 4},
  [3033] = {.lex_state = 26, .external_lex_state = 4},
  [3034] = {.lex_state = 26, .external_lex_state = 4},
  [3035] = {.lex_state = 26, .external_lex_state = 4},
  [3036] = {.lex_state = 26, .external_lex_state = 4},
  [3037] = {.lex_state = 26, .external_lex_state = 4},
  [3038] = {.lex_state = 26, .external_lex_state = 4},
  [3039] = {.lex_state = 26, .external_lex_state = 4},
  [3040] = {.lex_state = 26, .external_lex_state = 4},
  [3041] = {.lex_state = 26, .external_lex_state = 4},
  [3042] = {.lex_state = 26, .external_lex_state = 4},
  [3043] = {.lex_state = 26, .external_lex_state = 4},
  [3044] = {.lex_state = 26, .external_lex_state = 4},
  [3045] = {.lex_state = 26, .external_lex_state = 4},
  [3046] = {.lex_state = 26, .external_lex_state = 4},
  [3047] = {.lex_state = 26, .external_lex_state = 4},
  [3048] = {.lex_state = 26, .external_lex_state = 4},
  [3049] = {.lex_state = 26, .external_lex_state = 4},
  [3050] = {.lex_state = 26, .external_lex_state = 4},
  [3051] = {.lex_state = 26, .external_lex_state = 4},
  [3052] = {.lex_state = 26, .external_lex_state = 4},
  [3053] = {.lex_state = 26, .external_lex_state = 4},
  [3054] = {.lex_state = 26, .external_lex_state = 4},
  [3055] = {.lex_state = 26, .external_lex_state = 4},
  [3056] = {.lex_state = 26, .external_lex_state = 4},
  [3057] = {.lex_state = 26, .external_lex_state = 4},
  [3058] = {.lex_state = 26, .external_lex_state = 4},
  [3059] = {.lex_state = 26, .external_lex_state = 4},
  [3060] = {.lex_state = 26, .external_lex_state = 4},
  [3061] = {.lex_state = 26, .external_lex_state = 4},
  [3062] = {.lex_state = 26, .external_lex_state = 4},
  [3063] = {.lex_state = 26, .external_lex_state = 3},
  [3064] = {.lex_state = 26, .external_lex_state = 3},
  [3065] = {.lex_state = 26, .external_lex_state = 4},
  [3066] = {.lex_state = 26, .external_lex_state = 4},
  [3067] = {.lex_state = 26, .external_lex_state = 4},
  [3068] = {.lex_state = 26, .external_lex_state = 4},
  [3069] = {.lex_state = 26, .external_lex_state = 4},
  [3070] = {.lex_state = 26, .external_lex_state = 4},
  [3071] = {.lex_state = 26, .external_lex_state = 4},
  [3072] = {.lex_state = 26, .external_lex_state = 4},
  [3073] = {.lex_state = 26, .external_lex_state = 4},
  [3074] = {.lex_state = 26, .external_lex_state = 4},
  [3075] = {.lex_state = 35, .external_lex_state = 5},
  [3076] = {.lex_state = 26, .external_lex_state = 4},
  [3077] = {.lex_state = 26, .external_lex_state = 4},
  [3078] = {.lex_state = 35, .external_lex_state = 5},
  [3079] = {.lex_state = 26, .external_lex_state = 4},
  [3080] = {.lex_state = 26, .external_lex_state = 4},
  [3081] = {.lex_state = 26, .external_lex_state = 4},
  [3082] = {.lex_state = 36, .external_lex_state = 2},
  [3083] = {.lex_state = 26, .external_lex_state = 4},
  [3084] = {.lex_state = 26, .external_lex_state = 4},
  [3085] = {.lex_state = 26, .external_lex_state = 4},
  [3086] = {.lex_state = 26, .external_lex_state = 4},
  [3087] = {.lex_state = 36, .external_lex_state = 5},
  [3088] = {.lex_state = 26, .external_lex_state = 4},
  [3089] = {.lex_state = 26, .external_lex_state = 4},
  [3090] = {.lex_state = 26, .external_lex_state = 4},
  [3091] = {.lex_state = 26, .external_lex_state = 4},
  [3092] = {.lex_state = 26, .external_lex_state = 4},
  [3093] = {.lex_state = 26, .external_lex_state = 4},
  [3094] = {.lex_state = 26, .external_lex_state = 4},
  [3095] = {.lex_state = 26, .external_lex_state = 4},
  [3096] = {.lex_state = 26, .external_lex_state = 4},
  [3097] = {.lex_state = 26, .external_lex_state = 4},
  [3098] = {.lex_state = 26, .external_lex_state = 4},
  [3099] = {.lex_state = 26, .external_lex_state = 4},
  [3100] = {.lex_state = 26, .external_lex_state = 4},
  [3101] = {.lex_state = 26, .external_lex_state = 4},
  [3102] = {.lex_state = 26, .external_lex_state = 4},
  [3103] = {.lex_state = 26, .external_lex_state = 4},
  [3104] = {.lex_state = 26, .external_lex_state = 4},
  [3105] = {.lex_state = 26, .external_lex_state = 4},
  [3106] = {.lex_state = 26, .external_lex_state = 4},
  [3107] = {.lex_state = 26, .external_lex_state = 4},
  [3108] = {.lex_state = 26, .external_lex_state = 4},
  [3109] = {.lex_state = 26, .external_lex_state = 4},
  [3110] = {.lex_state = 26, .external_lex_state = 4},
  [3111] = {.lex_state = 26, .external_lex_state = 4},
  [3112] = {.lex_state = 26, .external_lex_state = 4},
  [3113] = {.lex_state = 26, .external_lex_state = 4},
  [3114] = {.lex_state = 26, .external_lex_state = 4},
  [3115] = {.lex_state = 36, .external_lex_state = 5},
  [3116] = {.lex_state = 36, .external_lex_state = 2},
  [3117] = {.lex_state = 36, .external_lex_state = 2},
  [3118] = {.lex_state = 26, .external_lex_state = 4},
  [3119] = {.lex_state = 26, .external_lex_state = 4},
  [3120] = {.lex_state = 26, .external_lex_state = 3},
  [3121] = {.lex_state = 26, .external_lex_state = 4},
  [3122] = {.lex_state = 26, .external_lex_state = 4},
  [3123] = {.lex_state = 26, .external_lex_state = 3},
  [3124] = {.lex_state = 26, .external_lex_state = 4},
  [3125] = {.lex_state = 26, .external_lex_state = 4},
  [3126] = {.lex_state = 26, .external_lex_state = 4},
  [3127] = {.lex_state = 26, .external_lex_state = 4},
  [3128] = {.lex_state = 26, .external_lex_state = 4},
  [3129] = {.lex_state = 26, .external_lex_state = 4},
  [3130] = {.lex_state = 35, .external_lex_state = 5},
  [3131] = {.lex_state = 26, .external_lex_state = 4},
  [3132] = {.lex_state = 35, .external_lex_state = 5},
  [3133] = {.lex_state = 36, .external_lex_state = 2},
  [3134] = {.lex_state = 26, .external_lex_state = 4},
  [3135] = {.lex_state = 26, .external_lex_state = 4},
  [3136] = {.lex_state = 26, .external_lex_state = 4},
  [3137] = {.lex_state = 36, .external_lex_state = 2},
  [3138] = {.lex_state = 36, .external_lex_state = 2},
  [3139] = {.lex_state = 26, .external_lex_state = 4},
  [3140] = {.lex_state = 26, .external_lex_state = 3},
  [3141] = {.lex_state = 26, .external_lex_state = 3},
  [3142] = {.lex_state = 26, .external_lex_state = 3},
  [3143] = {.lex_state = 36, .external_lex_state = 5},
  [3144] = {.lex_state = 36, .external_lex_state = 5},
  [3145] = {.lex_state = 36, .external_lex_state = 2},
  [3146] = {.lex_state = 36, .external_lex_state = 5},
  [3147] = {.lex_state = 26, .external_lex_state = 3},
  [3148] = {.lex_state = 26, .external_lex_state = 3},
  [3149] = {.lex_state = 26, .external_lex_state = 3},
  [3150] = {.lex_state = 26, .external_lex_state = 4},
  [3151] = {.lex_state = 26, .external_lex_state = 4},
  [3152] = {.lex_state = 26, .external_lex_state = 4},
  [3153] = {.lex_state = 26, .external_lex_state = 3},
  [3154] = {.lex_state = 26, .external_lex_state = 3},
  [3155] = {.lex_state = 36, .external_lex_state = 5},
  [3156] = {.lex_state = 26, .external_lex_state = 4},
  [3157] = {.lex_state = 26, .external_lex_state = 4},
  [3158] = {.lex_state = 36, .external_lex_state = 2},
  [3159] = {.lex_state = 36, .external_lex_state = 5},
  [3160] = {.lex_state = 36, .external_lex_state = 5},
  [3161] = {.lex_state = 36, .external_lex_state = 5},
  [3162] = {.lex_state = 26, .external_lex_state = 3},
  [3163] = {.lex_state = 26, .external_lex_state = 4},
  [3164] = {.lex_state = 26, .external_lex_state = 4},
  [3165] = {.lex_state = 36, .external_lex_state = 5},
  [3166] = {.lex_state = 36, .external_lex_state = 2},
  [3167] = {.lex_state = 26, .external_lex_state = 4},
  [3168] = {.lex_state = 26, .external_lex_state = 4},
  [3169] = {.lex_state = 36, .external_lex_state = 2},
  [3170] = {.lex_state = 26, .external_lex_state = 4},
  [3171] = {.lex_state = 26, .external_lex_state = 4},
  [3172] = {.lex_state = 26, .external_lex_state = 4},
  [3173] = {.lex_state = 26, .external_lex_state = 3},
  [3174] = {.lex_state = 26, .external_lex_state = 4},
  [3175] = {.lex_state = 26, .external_lex_state = 4},
  [3176] = {.lex_state = 26, .external_lex_state = 4},
  [3177] = {.lex_state = 26, .external_lex_state = 4},
  [3178] = {.lex_state = 36, .external_lex_state = 5},
  [3179] = {.lex_state = 26, .external_lex_state = 4},
  [3180] = {.lex_state = 26, .external_lex_state = 4},
  [3181] = {.lex_state = 26, .external_lex_state = 3},
  [3182] = {.lex_state = 26, .external_lex_state = 3},
  [3183] = {.lex_state = 36, .external_lex_state = 5},
  [3184] = {.lex_state = 26, .external_lex_state = 4},
  [3185] = {.lex_state = 26, .external_lex_state = 3},
  [3186] = {.lex_state = 36, .external_lex_state = 5},
  [3187] = {.lex_state = 26, .external_lex_state = 3},
  [3188] = {.lex_state = 26, .external_lex_state = 3},
  [3189] = {.lex_state = 26, .external_lex_state = 4},
  [3190] = {.lex_state = 24, .external_lex_state = 4},
  [3191] = {.lex_state = 36, .external_lex_state = 5},
  [3192] = {.lex_state = 26, .external_lex_state = 4},
  [3193] = {.lex_state = 26, .external_lex_state = 4},
  [3194] = {.lex_state = 26, .external_lex_state = 4},
  [3195] = {.lex_state = 26, .external_lex_state = 4},
  [3196] = {.lex_state = 26, .external_lex_state = 4},
  [3197] = {.lex_state = 26, .external_lex_state = 4},
  [3198] = {.lex_state = 36, .external_lex_state = 5},
  [3199] = {.lex_state = 36, .external_lex_state = 5},
  [3200] = {.lex_state = 26, .external_lex_state = 4},
  [3201] = {.lex_state = 26, .external_lex_state = 4},
  [3202] = {.lex_state = 26, .external_lex_state = 4},
  [3203] = {.lex_state = 36, .external_lex_state = 5},
  [3204] = {.lex_state = 36, .external_lex_state = 2},
  [3205] = {.lex_state = 36, .external_lex_state = 5},
  [3206] = {.lex_state = 26, .external_lex_state = 3},
  [3207] = {.lex_state = 36, .external_lex_state = 2},
  [3208] = {.lex_state = 36, .external_lex_state = 5},
  [3209] = {.lex_state = 26, .external_lex_state = 4},
  [3210] = {.lex_state = 26, .external_lex_state = 4},
  [3211] = {.lex_state = 26, .external_lex_state = 4},
  [3212] = {.lex_state = 36, .external_lex_state = 5},
  [3213] = {.lex_state = 36, .external_lex_state = 5},
  [3214] = {.lex_state = 36, .external_lex_state = 5},
  [3215] = {.lex_state = 36, .external_lex_state = 2},
  [3216] = {.lex_state = 36, .external_lex_state = 2},
  [3217] = {.lex_state = 36, .external_lex_state = 2},
  [3218] = {.lex_state = 26, .external_lex_state = 4},
  [3219] = {.lex_state = 26, .external_lex_state = 4},
  [3220] = {.lex_state = 36, .external_lex_state = 5},
  [3221] = {.lex_state = 26, .external_lex_state = 4},
  [3222] = {.lex_state = 36, .external_lex_state = 2},
  [3223] = {.lex_state = 26, .external_lex_state = 4},
  [3224] = {.lex_state = 26, .external_lex_state = 3},
  [3225] = {.lex_state = 26, .external_lex_state = 4},
  [3226] = {.lex_state = 26, .external_lex_state = 3},
  [3227] = {.lex_state = 26, .external_lex_state = 3},
  [3228] = {.lex_state = 26, .external_lex_state = 4},
  [3229] = {.lex_state = 26, .external_lex_state = 4},
  [3230] = {.lex_state = 26, .external_lex_state = 4},
  [3231] = {.lex_state = 26, .external_lex_state = 3},
  [3232] = {.lex_state = 36, .external_lex_state = 5},
  [3233] = {.lex_state = 26, .external_lex_state = 4},
  [3234] = {.lex_state = 36, .external_lex_state = 5},
  [3235] = {.lex_state = 36, .external_lex_state = 5},
  [3236] = {.lex_state = 26, .external_lex_state = 3},
  [3237] = {.lex_state = 36, .external_lex_state = 5},
  [3238] = {.lex_state = 26, .external_lex_state = 3},
  [3239] = {.lex_state = 36, .external_lex_state = 5},
  [3240] = {.lex_state = 26, .external_lex_state = 3},
  [3241] = {.lex_state = 26, .external_lex_state = 4},
  [3242] = {.lex_state = 26, .external_lex_state = 3},
  [3243] = {.lex_state = 26, .external_lex_state = 4},
  [3244] = {.lex_state = 26, .external_lex_state = 4},
  [3245] = {.lex_state = 36, .external_lex_state = 5},
  [3246] = {.lex_state = 26, .external_lex_state = 4},
  [3247] = {.lex_state = 26, .external_lex_state = 4},
  [3248] = {.lex_state = 26, .external_lex_state = 3},
  [3249] = {.lex_state = 26, .external_lex_state = 4},
  [3250] = {.lex_state = 26, .external_lex_state = 4},
  [3251] = {.lex_state = 26, .external_lex_state = 4},
  [3252] = {.lex_state = 26, .external_lex_state = 3},
  [3253] = {.lex_state = 36, .external_lex_state = 5},
  [3254] = {.lex_state = 26, .external_lex_state = 4},
  [3255] = {.lex_state = 26, .external_lex_state = 3},
  [3256] = {.lex_state = 36, .external_lex_state = 5},
  [3257] = {.lex_state = 26, .external_lex_state = 3},
  [3258] = {.lex_state = 26, .external_lex_state = 3},
  [3259] = {.lex_state = 26, .external_lex_state = 3},
  [3260] = {.lex_state = 26, .external_lex_state = 3},
  [3261] = {.lex_state = 26, .external_lex_state = 3},
  [3262] = {.lex_state = 26, .external_lex_state = 3},
  [3263] = {.lex_state = 26, .external_lex_state = 4},
  [3264] = {.lex_state = 26, .external_lex_state = 3},
  [3265] = {.lex_state = 26, .external_lex_state = 3},
  [3266] = {.lex_state = 26, .external_lex_state = 3},
  [3267] = {.lex_state = 26, .external_lex_state = 3},
  [3268] = {.lex_state = 26, .external_lex_state = 4},
  [3269] = {.lex_state = 26, .external_lex_state = 4},
  [3270] = {.lex_state = 26, .external_lex_state = 4},
  [3271] = {.lex_state = 26, .external_lex_state = 3},
  [3272] = {.lex_state = 26, .external_lex_state = 4},
  [3273] = {.lex_state = 26, .external_lex_state = 3},
  [3274] = {.lex_state = 26, .external_lex_state = 3},
  [3275] = {.lex_state = 26, .external_lex_state = 4},
  [3276] = {.lex_state = 26, .external_lex_state = 3},
  [3277] = {.lex_state = 26, .external_lex_state = 3},
  [3278] = {.lex_state = 26, .external_lex_state = 3},
  [3279] = {.lex_state = 26, .external_lex_state = 4},
  [3280] = {.lex_state = 26, .external_lex_state = 3},
  [3281] = {.lex_state = 26, .external_lex_state = 3},
  [3282] = {.lex_state = 26, .external_lex_state = 3},
  [3283] = {.lex_state = 26, .external_lex_state = 3},
  [3284] = {.lex_state = 26, .external_lex_state = 3},
  [3285] = {.lex_state = 26, .external_lex_state = 3},
  [3286] = {.lex_state = 26, .external_lex_state = 3},
  [3287] = {.lex_state = 26, .external_lex_state = 3},
  [3288] = {.lex_state = 36, .external_lex_state = 5},
  [3289] = {.lex_state = 26, .external_lex_state = 4},
  [3290] = {.lex_state = 26, .external_lex_state = 4},
  [3291] = {.lex_state = 26, .external_lex_state = 4},
  [3292] = {.lex_state = 26, .external_lex_state = 3},
  [3293] = {.lex_state = 26, .external_lex_state = 3},
  [3294] = {.lex_state = 26, .external_lex_state = 4},
  [3295] = {.lex_state = 26, .external_lex_state = 3},
  [3296] = {.lex_state = 26, .external_lex_state = 4},
  [3297] = {.lex_state = 26, .external_lex_state = 4},
  [3298] = {.lex_state = 26, .external_lex_state = 4},
  [3299] = {.lex_state = 26, .external_lex_state = 4},
  [3300] = {.lex_state = 26, .external_lex_state = 4},
  [3301] = {.lex_state = 26, .external_lex_state = 4},
  [3302] = {.lex_state = 26, .external_lex_state = 3},
  [3303] = {.lex_state = 26, .external_lex_state = 3},
  [3304] = {.lex_state = 26, .external_lex_state = 3},
  [3305] = {.lex_state = 26, .external_lex_state = 4},
  [3306] = {.lex_state = 26, .external_lex_state = 3},
  [3307] = {.lex_state = 26, .external_lex_state = 3},
  [3308] = {.lex_state = 26, .external_lex_state = 3},
  [3309] = {.lex_state = 26, .external_lex_state = 3},
  [3310] = {.lex_state = 26, .external_lex_state = 3},
  [3311] = {.lex_state = 26, .external_lex_state = 3},
  [3312] = {.lex_state = 26, .external_lex_state = 4},
  [3313] = {.lex_state = 26, .external_lex_state = 3},
  [3314] = {.lex_state = 26, .external_lex_state = 3},
  [3315] = {.lex_state = 26, .external_lex_state = 3},
  [3316] = {.lex_state = 26, .external_lex_state = 3},
  [3317] = {.lex_state = 36, .external_lex_state = 2},
  [3318] = {.lex_state = 36, .external_lex_state = 5},
  [3319] = {.lex_state = 26, .external_lex_state = 3},
  [3320] = {.lex_state = 26, .external_lex_state = 3},
  [3321] = {.lex_state = 26, .external_lex_state = 3},
  [3322] = {.lex_state = 26, .external_lex_state = 3},
  [3323] = {.lex_state = 27, .external_lex_state = 4},
  [3324] = {.lex_state = 26, .external_lex_state = 3},
  [3325] = {.lex_state = 36, .external_lex_state = 5},
  [3326] = {.lex_state = 26, .external_lex_state = 4},
  [3327] = {.lex_state = 26, .external_lex_state = 4},
  [3328] = {.lex_state = 26, .external_lex_state = 4},
  [3329] = {.lex_state = 36, .external_lex_state = 5},
  [3330] = {.lex_state = 26, .external_lex_state = 3},
  [3331] = {.lex_state = 26, .external_lex_state = 3},
  [3332] = {.lex_state = 26, .external_lex_state = 3},
  [3333] = {.lex_state = 36, .external_lex_state = 5},
  [3334] = {.lex_state = 26, .external_lex_state = 3},
  [3335] = {.lex_state = 36, .external_lex_state = 5},
  [3336] = {.lex_state = 26, .external_lex_state = 4},
  [3337] = {.lex_state = 36, .external_lex_state = 5},
  [3338] = {.lex_state = 26, .external_lex_state = 3},
  [3339] = {.lex_state = 36, .external_lex_state = 5},
  [3340] = {.lex_state = 26, .external_lex_state = 4},
  [3341] = {.lex_state = 36, .external_lex_state = 5},
  [3342] = {.lex_state = 26, .external_lex_state = 3},
  [3343] = {.lex_state = 26, .external_lex_state = 3},
  [3344] = {.lex_state = 26, .external_lex_state = 4},
  [3345] = {.lex_state = 26, .external_lex_state = 3},
  [3346] = {.lex_state = 26, .external_lex_state = 3},
  [3347] = {.lex_state = 26, .external_lex_state = 4},
  [3348] = {.lex_state = 26, .external_lex_state = 4},
  [3349] = {.lex_state = 26, .external_lex_state = 4},
  [3350] = {.lex_state = 26, .external_lex_state = 4},
  [3351] = {.lex_state = 36, .external_lex_state = 5},
  [3352] = {.lex_state = 26, .external_lex_state = 3},
  [3353] = {.lex_state = 26, .external_lex_state = 4},
  [3354] = {.lex_state = 36, .external_lex_state = 5},
  [3355] = {.lex_state = 26, .external_lex_state = 4},
  [3356] = {.lex_state = 26, .external_lex_state = 3},
  [3357] = {.lex_state = 26, .external_lex_state = 4},
  [3358] = {.lex_state = 36, .external_lex_state = 5},
  [3359] = {.lex_state = 26, .external_lex_state = 4},
  [3360] = {.lex_state = 26, .external_lex_state = 3},
  [3361] = {.lex_state = 26, .external_lex_state = 3},
  [3362] = {.lex_state = 26, .external_lex_state = 3},
  [3363] = {.lex_state = 26, .external_lex_state = 3},
  [3364] = {.lex_state = 26, .external_lex_state = 3},
  [3365] = {.lex_state = 36, .external_lex_state = 2},
  [3366] = {.lex_state = 26, .external_lex_state = 3},
  [3367] = {.lex_state = 26, .external_lex_state = 3},
  [3368] = {.lex_state = 26, .external_lex_state = 3},
  [3369] = {.lex_state = 26, .external_lex_state = 3},
  [3370] = {.lex_state = 26, .external_lex_state = 3},
  [3371] = {.lex_state = 26, .external_lex_state = 3},
  [3372] = {.lex_state = 26, .external_lex_state = 3},
  [3373] = {.lex_state = 26, .external_lex_state = 3},
  [3374] = {.lex_state = 26, .external_lex_state = 3},
  [3375] = {.lex_state = 26, .external_lex_state = 4},
  [3376] = {.lex_state = 26, .external_lex_state = 3},
  [3377] = {.lex_state = 26, .external_lex_state = 3},
  [3378] = {.lex_state = 26, .external_lex_state = 3},
  [3379] = {.lex_state = 36, .external_lex_state = 2},
  [3380] = {.lex_state = 26, .external_lex_state = 3},
  [3381] = {.lex_state = 26, .external_lex_state = 3},
  [3382] = {.lex_state = 26, .external_lex_state = 3},
  [3383] = {.lex_state = 26, .external_lex_state = 3},
  [3384] = {.lex_state = 26, .external_lex_state = 3},
  [3385] = {.lex_state = 36, .external_lex_state = 5},
  [3386] = {.lex_state = 26, .external_lex_state = 3},
  [3387] = {.lex_state = 26, .external_lex_state = 3},
  [3388] = {.lex_state = 36, .external_lex_state = 5},
  [3389] = {.lex_state = 26, .external_lex_state = 3},
  [3390] = {.lex_state = 26, .external_lex_state = 3},
  [3391] = {.lex_state = 26, .external_lex_state = 3},
  [3392] = {.lex_state = 26, .external_lex_state = 3},
  [3393] = {.lex_state = 26, .external_lex_state = 3},
  [3394] = {.lex_state = 36, .external_lex_state = 5},
  [3395] = {.lex_state = 26, .external_lex_state = 3},
  [3396] = {.lex_state = 26, .external_lex_state = 3},
  [3397] = {.lex_state = 36, .external_lex_state = 2},
  [3398] = {.lex_state = 26, .external_lex_state = 3},
  [3399] = {.lex_state = 26, .external_lex_state = 3},
  [3400] = {.lex_state = 26, .external_lex_state = 3},
  [3401] = {.lex_state = 26, .external_lex_state = 3},
  [3402] = {.lex_state = 26, .external_lex_state = 4},
  [3403] = {.lex_state = 26, .external_lex_state = 3},
  [3404] = {.lex_state = 26, .external_lex_state = 4},
  [3405] = {.lex_state = 26, .external_lex_state = 3},
  [3406] = {.lex_state = 26, .external_lex_state = 3},
  [3407] = {.lex_state = 26, .external_lex_state = 3},
  [3408] = {.lex_state = 26, .external_lex_state = 3},
  [3409] = {.lex_state = 26, .external_lex_state = 4},
  [3410] = {.lex_state = 26, .external_lex_state = 4},
  [3411] = {.lex_state = 26, .external_lex_state = 4},
  [3412] = {.lex_state = 26, .external_lex_state = 3},
  [3413] = {.lex_state = 36, .external_lex_state = 2},
  [3414] = {.lex_state = 26, .external_lex_state = 3},
  [3415] = {.lex_state = 36, .external_lex_state = 2},
  [3416] = {.lex_state = 26, .external_lex_state = 3},
  [3417] = {.lex_state = 26, .external_lex_state = 3},
  [3418] = {.lex_state = 36, .external_lex_state = 5},
  [3419] = {.lex_state = 36, .external_lex_state = 5},
  [3420] = {.lex_state = 26, .external_lex_state = 3},
  [3421] = {.lex_state = 26, .external_lex_state = 3},
  [3422] = {.lex_state = 26, .external_lex_state = 3},
  [3423] = {.lex_state = 26, .external_lex_state = 3},
  [3424] = {.lex_state = 26, .external_lex_state = 3},
  [3425] = {.lex_state = 26, .external_lex_state = 4},
  [3426] = {.lex_state = 26, .external_lex_state = 3},
  [3427] = {.lex_state = 26, .external_lex_state = 3},
  [3428] = {.lex_state = 26, .external_lex_state = 3},
  [3429] = {.lex_state = 26, .external_lex_state = 3},
  [3430] = {.lex_state = 26, .external_lex_state = 3},
  [3431] = {.lex_state = 36, .external_lex_state = 5},
  [3432] = {.lex_state = 26, .external_lex_state = 3},
  [3433] = {.lex_state = 26, .external_lex_state = 3},
  [3434] = {.lex_state = 26, .external_lex_state = 3},
  [3435] = {.lex_state = 36, .external_lex_state = 5},
  [3436] = {.lex_state = 26, .external_lex_state = 3},
  [3437] = {.lex_state = 26, .external_lex_state = 3},
  [3438] = {.lex_state = 26, .external_lex_state = 3},
  [3439] = {.lex_state = 36, .external_lex_state = 2},
  [3440] = {.lex_state = 36, .external_lex_state = 5},
  [3441] = {.lex_state = 36, .external_lex_state = 5},
  [3442] = {.lex_state = 26, .external_lex_state = 3},
  [3443] = {.lex_state = 26, .external_lex_state = 3},
  [3444] = {.lex_state = 36, .external_lex_state = 5},
  [3445] = {.lex_state = 26, .external_lex_state = 3},
  [3446] = {.lex_state = 36, .external_lex_state = 5},
  [3447] = {.lex_state = 26, .external_lex_state = 3},
  [3448] = {.lex_state = 36, .external_lex_state = 5},
  [3449] = {.lex_state = 26, .external_lex_state = 3},
  [3450] = {.lex_state = 36, .external_lex_state = 2},
  [3451] = {.lex_state = 26, .external_lex_state = 3},
  [3452] = {.lex_state = 36, .external_lex_state = 2},
  [3453] = {.lex_state = 36, .external_lex_state = 5},
  [3454] = {.lex_state = 26, .external_lex_state = 3},
  [3455] = {.lex_state = 26, .external_lex_state = 3},
  [3456] = {.lex_state = 36, .external_lex_state = 5},
  [3457] = {.lex_state = 36, .external_lex_state = 5},
  [3458] = {.lex_state = 26, .external_lex_state = 3},
  [3459] = {.lex_state = 26, .external_lex_state = 3},
  [3460] = {.lex_state = 26, .external_lex_state = 3},
  [3461] = {.lex_state = 26, .external_lex_state = 3},
  [3462] = {.lex_state = 36, .external_lex_state = 2},
  [3463] = {.lex_state = 26, .external_lex_state = 3},
  [3464] = {.lex_state = 26, .external_lex_state = 3},
  [3465] = {.lex_state = 26, .external_lex_state = 3},
  [3466] = {.lex_state = 26, .external_lex_state = 3},
  [3467] = {.lex_state = 26, .external_lex_state = 3},
  [3468] = {.lex_state = 36, .external_lex_state = 5},
  [3469] = {.lex_state = 26, .external_lex_state = 3},
  [3470] = {.lex_state = 36, .external_lex_state = 5},
  [3471] = {.lex_state = 36, .external_lex_state = 5},
  [3472] = {.lex_state = 36, .external_lex_state = 5},
  [3473] = {.lex_state = 26, .external_lex_state = 3},
  [3474] = {.lex_state = 26, .external_lex_state = 3},
  [3475] = {.lex_state = 26, .external_lex_state = 3},
  [3476] = {.lex_state = 26, .external_lex_state = 3},
  [3477] = {.lex_state = 26, .external_lex_state = 4},
  [3478] = {.lex_state = 26, .external_lex_state = 3},
  [3479] = {.lex_state = 36, .external_lex_state = 2},
  [3480] = {.lex_state = 26, .external_lex_state = 3},
  [3481] = {.lex_state = 26, .external_lex_state = 3},
  [3482] = {.lex_state = 26, .external_lex_state = 3},
  [3483] = {.lex_state = 26, .external_lex_state = 4},
  [3484] = {.lex_state = 36, .external_lex_state = 2},
  [3485] = {.lex_state = 26, .external_lex_state = 4},
  [3486] = {.lex_state = 36, .external_lex_state = 5},
  [3487] = {.lex_state = 36, .external_lex_state = 5},
  [3488] = {.lex_state = 26, .external_lex_state = 3},
  [3489] = {.lex_state = 26, .external_lex_state = 3},
  [3490] = {.lex_state = 36, .external_lex_state = 5},
  [3491] = {.lex_state = 29, .external_lex_state = 3},
  [3492] = {.lex_state = 26, .external_lex_state = 3},
  [3493] = {.lex_state = 26, .external_lex_state = 3},
  [3494] = {.lex_state = 36, .external_lex_state = 5},
  [3495] = {.lex_state = 36, .external_lex_state = 2},
  [3496] = {.lex_state = 26, .external_lex_state = 3},
  [3497] = {.lex_state = 26, .external_lex_state = 3},
  [3498] = {.lex_state = 26, .external_lex_state = 3},
  [3499] = {.lex_state = 36, .external_lex_state = 5},
  [3500] = {.lex_state = 36, .external_lex_state = 2},
  [3501] = {.lex_state = 36, .external_lex_state = 2},
  [3502] = {.lex_state = 26, .external_lex_state = 3},
  [3503] = {.lex_state = 36, .external_lex_state = 2},
  [3504] = {.lex_state = 26, .external_lex_state = 3},
  [3505] = {.lex_state = 36, .external_lex_state = 5},
  [3506] = {.lex_state = 26, .external_lex_state = 4},
  [3507] = {.lex_state = 36, .external_lex_state = 5},
  [3508] = {.lex_state = 26, .external_lex_state = 3},
  [3509] = {.lex_state = 36, .external_lex_state = 5},
  [3510] = {.lex_state = 36, .external_lex_state = 5},
  [3511] = {.lex_state = 26, .external_lex_state = 3},
  [3512] = {.lex_state = 36, .external_lex_state = 5},
  [3513] = {.lex_state = 26, .external_lex_state = 3},
  [3514] = {.lex_state = 26, .external_lex_state = 3},
  [3515] = {.lex_state = 26, .external_lex_state = 3},
  [3516] = {.lex_state = 35, .external_lex_state = 5},
  [3517] = {.lex_state = 26, .external_lex_state = 3},
  [3518] = {.lex_state = 36, .external_lex_state = 5},
  [3519] = {.lex_state = 36, .external_lex_state = 5},
  [3520] = {.lex_state = 35, .external_lex_state = 5},
  [3521] = {.lex_state = 36, .external_lex_state = 2},
  [3522] = {.lex_state = 35, .external_lex_state = 5},
  [3523] = {.lex_state = 36, .external_lex_state = 2},
  [3524] = {.lex_state = 26, .external_lex_state = 3},
  [3525] = {.lex_state = 36, .external_lex_state = 5},
  [3526] = {.lex_state = 26, .external_lex_state = 3},
  [3527] = {.lex_state = 26, .external_lex_state = 3},
  [3528] = {.lex_state = 26, .external_lex_state = 3},
  [3529] = {.lex_state = 35, .external_lex_state = 5},
  [3530] = {.lex_state = 36, .external_lex_state = 5},
  [3531] = {.lex_state = 35, .external_lex_state = 5},
  [3532] = {.lex_state = 26, .external_lex_state = 3},
  [3533] = {.lex_state = 26, .external_lex_state = 3},
  [3534] = {.lex_state = 36, .external_lex_state = 2},
  [3535] = {.lex_state = 35, .external_lex_state = 2},
  [3536] = {.lex_state = 36, .external_lex_state = 2},
  [3537] = {.lex_state = 35, .external_lex_state = 5},
  [3538] = {.lex_state = 36, .external_lex_state = 5},
  [3539] = {.lex_state = 26, .external_lex_state = 3},
  [3540] = {.lex_state = 26, .external_lex_state = 3},
  [3541] = {.lex_state = 36, .external_lex_state = 5},
  [3542] = {.lex_state = 26, .external_lex_state = 4},
  [3543] = {.lex_state = 26, .external_lex_state = 3},
  [3544] = {.lex_state = 26, .external_lex_state = 4},
  [3545] = {.lex_state = 26, .external_lex_state = 3},
  [3546] = {.lex_state = 26, .external_lex_state = 3},
  [3547] = {.lex_state = 36, .external_lex_state = 2},
  [3548] = {.lex_state = 36, .external_lex_state = 5},
  [3549] = {.lex_state = 26, .external_lex_state = 3},
  [3550] = {.lex_state = 26, .external_lex_state = 3},
  [3551] = {.lex_state = 26, .external_lex_state = 3},
  [3552] = {.lex_state = 26, .external_lex_state = 3},
  [3553] = {.lex_state = 26, .external_lex_state = 3},
  [3554] = {.lex_state = 36, .external_lex_state = 5},
  [3555] = {.lex_state = 36, .external_lex_state = 2},
  [3556] = {.lex_state = 36, .external_lex_state = 5},
  [3557] = {.lex_state = 36, .external_lex_state = 5},
  [3558] = {.lex_state = 36, .external_lex_state = 5},
  [3559] = {.lex_state = 36, .external_lex_state = 5},
  [3560] = {.lex_state = 36, .external_lex_state = 2},
  [3561] = {.lex_state = 36, .external_lex_state = 5},
  [3562] = {.lex_state = 36, .external_lex_state = 2},
  [3563] = {.lex_state = 36, .external_lex_state = 2},
  [3564] = {.lex_state = 26, .external_lex_state = 3},
  [3565] = {.lex_state = 36, .external_lex_state = 5},
  [3566] = {.lex_state = 36, .external_lex_state = 5},
  [3567] = {.lex_state = 36, .external_lex_state = 2},
  [3568] = {.lex_state = 26, .external_lex_state = 3},
  [3569] = {.lex_state = 36, .external_lex_state = 5},
  [3570] = {.lex_state = 26, .external_lex_state = 3},
  [3571] = {.lex_state = 26, .external_lex_state = 3},
  [3572] = {.lex_state = 36, .external_lex_state = 5},
  [3573] = {.lex_state = 36, .external_lex_state = 2},
  [3574] = {.lex_state = 36, .external_lex_state = 2},
  [3575] = {.lex_state = 36, .external_lex_state = 2},
  [3576] = {.lex_state = 36, .external_lex_state = 2},
  [3577] = {.lex_state = 36, .external_lex_state = 2},
  [3578] = {.lex_state = 36, .external_lex_state = 2},
  [3579] = {.lex_state = 36, .external_lex_state = 5},
  [3580] = {.lex_state = 36, .external_lex_state = 2},
  [3581] = {.lex_state = 36, .external_lex_state = 5},
  [3582] = {.lex_state = 26, .external_lex_state = 3},
  [3583] = {.lex_state = 26, .external_lex_state = 3},
  [3584] = {.lex_state = 26, .external_lex_state = 3},
  [3585] = {.lex_state = 36, .external_lex_state = 5},
  [3586] = {.lex_state = 36, .external_lex_state = 2},
  [3587] = {.lex_state = 36, .external_lex_state = 2},
  [3588] = {.lex_state = 36, .external_lex_state = 2},
  [3589] = {.lex_state = 36, .external_lex_state = 5},
  [3590] = {.lex_state = 36, .external_lex_state = 2},
  [3591] = {.lex_state = 36, .external_lex_state = 5},
  [3592] = {.lex_state = 26, .external_lex_state = 3},
  [3593] = {.lex_state = 36, .external_lex_state = 5},
  [3594] = {.lex_state = 27, .external_lex_state = 3},
  [3595] = {.lex_state = 36, .external_lex_state = 5},
  [3596] = {.lex_state = 36, .external_lex_state = 2},
  [3597] = {.lex_state = 36, .external_lex_state = 2},
  [3598] = {.lex_state = 36, .external_lex_state = 2},
  [3599] = {.lex_state = 26, .external_lex_state = 3},
  [3600] = {.lex_state = 26, .external_lex_state = 3},
  [3601] = {.lex_state = 26, .external_lex_state = 3},
  [3602] = {.lex_state = 26, .external_lex_state = 3},
  [3603] = {.lex_state = 26, .external_lex_state = 3},
  [3604] = {.lex_state = 26, .external_lex_state = 3},
  [3605] = {.lex_state = 26, .external_lex_state = 3},
  [3606] = {.lex_state = 26, .external_lex_state = 3},
  [3607] = {.lex_state = 26, .external_lex_state = 3},
  [3608] = {.lex_state = 26, .external_lex_state = 3},
  [3609] = {.lex_state = 36, .external_lex_state = 2},
  [3610] = {.lex_state = 35, .external_lex_state = 5},
  [3611] = {.lex_state = 35, .external_lex_state = 5},
  [3612] = {.lex_state = 35, .external_lex_state = 5},
  [3613] = {.lex_state = 35, .external_lex_state = 5},
  [3614] = {.lex_state = 35, .external_lex_state = 5},
  [3615] = {.lex_state = 35, .external_lex_state = 5},
  [3616] = {.lex_state = 35, .external_lex_state = 5},
  [3617] = {.lex_state = 35, .external_lex_state = 5},
  [3618] = {.lex_state = 35, .external_lex_state = 5},
  [3619] = {.lex_state = 36, .external_lex_state = 2},
  [3620] = {.lex_state = 35, .external_lex_state = 5},
  [3621] = {.lex_state = 35, .external_lex_state = 5},
  [3622] = {.lex_state = 36, .external_lex_state = 2},
  [3623] = {.lex_state = 35, .external_lex_state = 5},
  [3624] = {.lex_state = 35, .external_lex_state = 5},
  [3625] = {.lex_state = 35, .external_lex_state = 5},
  [3626] = {.lex_state = 35, .external_lex_state = 5},
  [3627] = {.lex_state = 35, .external_lex_state = 5},
  [3628] = {.lex_state = 35, .external_lex_state = 5},
  [3629] = {.lex_state = 35, .external_lex_state = 5},
  [3630] = {.lex_state = 35, .external_lex_state = 5},
  [3631] = {.lex_state = 35, .external_lex_state = 5},
  [3632] = {.lex_state = 35, .external_lex_state = 5},
  [3633] = {.lex_state = 35, .external_lex_state = 5},
  [3634] = {.lex_state = 35, .external_lex_state = 5},
  [3635] = {.lex_state = 35, .external_lex_state = 5},
  [3636] = {.lex_state = 35, .external_lex_state = 5},
  [3637] = {.lex_state = 35, .external_lex_state = 5},
  [3638] = {.lex_state = 35, .external_lex_state = 5},
  [3639] = {.lex_state = 35, .external_lex_state = 5},
  [3640] = {.lex_state = 35, .external_lex_state = 5},
  [3641] = {.lex_state = 35, .external_lex_state = 5},
  [3642] = {.lex_state = 35, .external_lex_state = 5},
  [3643] = {.lex_state = 35, .external_lex_state = 5},
  [3644] = {.lex_state = 35, .external_lex_state = 5},
  [3645] = {.lex_state = 35, .external_lex_state = 5},
  [3646] = {.lex_state = 35, .external_lex_state = 5},
  [3647] = {.lex_state = 35, .external_lex_state = 5},
  [3648] = {.lex_state = 35, .external_lex_state = 5},
  [3649] = {.lex_state = 35, .external_lex_state = 5},
  [3650] = {.lex_state = 35, .external_lex_state = 5},
  [3651] = {.lex_state = 35, .external_lex_state = 5},
  [3652] = {.lex_state = 35, .external_lex_state = 5},
  [3653] = {.lex_state = 35, .external_lex_state = 5},
  [3654] = {.lex_state = 35, .external_lex_state = 5},
  [3655] = {.lex_state = 35, .external_lex_state = 5},
  [3656] = {.lex_state = 35, .external_lex_state = 5},
  [3657] = {.lex_state = 35, .external_lex_state = 5},
  [3658] = {.lex_state = 35, .external_lex_state = 5},
  [3659] = {.lex_state = 36, .external_lex_state = 2},
  [3660] = {.lex_state = 35, .external_lex_state = 5},
  [3661] = {.lex_state = 35, .external_lex_state = 5},
  [3662] = {.lex_state = 35, .external_lex_state = 5},
  [3663] = {.lex_state = 35, .external_lex_state = 5},
  [3664] = {.lex_state = 36, .external_lex_state = 2},
  [3665] = {.lex_state = 35, .external_lex_state = 5},
  [3666] = {.lex_state = 36, .external_lex_state = 2},
  [3667] = {.lex_state = 36, .external_lex_state = 2},
  [3668] = {.lex_state = 36, .external_lex_state = 2},
  [3669] = {.lex_state = 36, .external_lex_state = 2},
  [3670] = {.lex_state = 35, .external_lex_state = 2},
  [3671] = {.lex_state = 35, .external_lex_state = 2},
  [3672] = {.lex_state = 36, .external_lex_state = 2},
  [3673] = {.lex_state = 35, .external_lex_state = 2},
  [3674] = {.lex_state = 36, .external_lex_state = 2},
  [3675] = {.lex_state = 36, .external_lex_state = 2},
  [3676] = {.lex_state = 36, .external_lex_state = 2},
  [3677] = {.lex_state = 35, .external_lex_state = 2},
  [3678] = {.lex_state = 36, .external_lex_state = 2},
  [3679] = {.lex_state = 35, .external_lex_state = 2},
  [3680] = {.lex_state = 35, .external_lex_state = 2},
  [3681] = {.lex_state = 36, .external_lex_state = 2},
  [3682] = {.lex_state = 35, .external_lex_state = 2},
  [3683] = {.lex_state = 36, .external_lex_state = 2},
  [3684] = {.lex_state = 36, .external_lex_state = 2},
  [3685] = {.lex_state = 36, .external_lex_state = 2},
  [3686] = {.lex_state = 35, .external_lex_state = 2},
  [3687] = {.lex_state = 36, .external_lex_state = 2},
  [3688] = {.lex_state = 36, .external_lex_state = 2},
  [3689] = {.lex_state = 36, .external_lex_state = 2},
  [3690] = {.lex_state = 36, .external_lex_state = 2},
  [3691] = {.lex_state = 36, .external_lex_state = 2},
  [3692] = {.lex_state = 36, .external_lex_state = 2},
  [3693] = {.lex_state = 36, .external_lex_state = 2},
  [3694] = {.lex_state = 36, .external_lex_state = 2},
  [3695] = {.lex_state = 36, .external_lex_state = 2},
  [3696] = {.lex_state = 36, .external_lex_state = 2},
  [3697] = {.lex_state = 36, .external_lex_state = 2},
  [3698] = {.lex_state = 35, .external_lex_state = 2},
  [3699] = {.lex_state = 35, .external_lex_state = 2},
  [3700] = {.lex_state = 36, .external_lex_state = 2},
  [3701] = {.lex_state = 36, .external_lex_state = 2},
  [3702] = {.lex_state = 36, .external_lex_state = 2},
  [3703] = {.lex_state = 36, .external_lex_state = 2},
  [3704] = {.lex_state = 36, .external_lex_state = 2},
  [3705] = {.lex_state = 36, .external_lex_state = 2},
  [3706] = {.lex_state = 36, .external_lex_state = 2},
  [3707] = {.lex_state = 36, .external_lex_state = 2},
  [3708] = {.lex_state = 36, .external_lex_state = 2},
  [3709] = {.lex_state = 36, .external_lex_state = 2},
  [3710] = {.lex_state = 36, .external_lex_state = 2},
  [3711] = {.lex_state = 36, .external_lex_state = 2},
  [3712] = {.lex_state = 36, .external_lex_state = 2},
  [3713] = {.lex_state = 349, .external_lex_state = 2},
  [3714] = {.lex_state = 36, .external_lex_state = 2},
  [3715] = {.lex_state = 349, .external_lex_state = 2},
  [3716] = {.lex_state = 349, .external_lex_state = 2},
  [3717] = {.lex_state = 36, .external_lex_state = 2},
  [3718] = {.lex_state = 36, .external_lex_state = 2},
  [3719] = {.lex_state = 36, .external_lex_state = 2},
  [3720] = {.lex_state = 36, .external_lex_state = 2},
  [3721] = {.lex_state = 36, .external_lex_state = 2},
  [3722] = {.lex_state = 349, .external_lex_state = 2},
  [3723] = {.lex_state = 36, .external_lex_state = 2},
  [3724] = {.lex_state = 36, .external_lex_state = 2},
  [3725] = {.lex_state = 349, .external_lex_state = 2},
  [3726] = {.lex_state = 36, .external_lex_state = 2},
  [3727] = {.lex_state = 36, .external_lex_state = 2},
  [3728] = {.lex_state = 36, .external_lex_state = 2},
  [3729] = {.lex_state = 36, .external_lex_state = 2},
  [3730] = {.lex_state = 349, .external_lex_state = 2},
  [3731] = {.lex_state = 36, .external_lex_state = 2},
  [3732] = {.lex_state = 349, .external_lex_state = 2},
  [3733] = {.lex_state = 35, .external_lex_state = 2},
  [3734] = {.lex_state = 36, .external_lex_state = 2},
  [3735] = {.lex_state = 349, .external_lex_state = 2},
  [3736] = {.lex_state = 36, .external_lex_state = 2},
  [3737] = {.lex_state = 36, .external_lex_state = 2},
  [3738] = {.lex_state = 349, .external_lex_state = 2},
  [3739] = {.lex_state = 36, .external_lex_state = 2},
  [3740] = {.lex_state = 35, .external_lex_state = 2},
  [3741] = {.lex_state = 36, .external_lex_state = 2},
  [3742] = {.lex_state = 35, .external_lex_state = 2},
  [3743] = {.lex_state = 36, .external_lex_state = 2},
  [3744] = {.lex_state = 36, .external_lex_state = 2},
  [3745] = {.lex_state = 36, .external_lex_state = 2},
  [3746] = {.lex_state = 349, .external_lex_state = 2},
  [3747] = {.lex_state = 349, .external_lex_state = 2},
  [3748] = {.lex_state = 36, .external_lex_state = 2},
  [3749] = {.lex_state = 36, .external_lex_state = 2},
  [3750] = {.lex_state = 36, .external_lex_state = 2},
  [3751] = {.lex_state = 36, .external_lex_state = 2},
  [3752] = {.lex_state = 35, .external_lex_state = 2},
  [3753] = {.lex_state = 36, .external_lex_state = 2},
  [3754] = {.lex_state = 36, .external_lex_state = 2},
  [3755] = {.lex_state = 36, .external_lex_state = 2},
  [3756] = {.lex_state = 36, .external_lex_state = 2},
  [3757] = {.lex_state = 349, .external_lex_state = 2},
  [3758] = {.lex_state = 36, .external_lex_state = 2},
  [3759] = {.lex_state = 36, .external_lex_state = 2},
  [3760] = {.lex_state = 36, .external_lex_state = 2},
  [3761] = {.lex_state = 36, .external_lex_state = 2},
  [3762] = {.lex_state = 36, .external_lex_state = 2},
  [3763] = {.lex_state = 36, .external_lex_state = 2},
  [3764] = {.lex_state = 36, .external_lex_state = 2},
  [3765] = {.lex_state = 36, .external_lex_state = 2},
  [3766] = {.lex_state = 36, .external_lex_state = 2},
  [3767] = {.lex_state = 36, .external_lex_state = 2},
  [3768] = {.lex_state = 36, .external_lex_state = 2},
  [3769] = {.lex_state = 36, .external_lex_state = 2},
  [3770] = {.lex_state = 36, .external_lex_state = 2},
  [3771] = {.lex_state = 36, .external_lex_state = 2},
  [3772] = {.lex_state = 36, .external_lex_state = 2},
  [3773] = {.lex_state = 36, .external_lex_state = 2},
  [3774] = {.lex_state = 36, .external_lex_state = 2},
  [3775] = {.lex_state = 36, .external_lex_state = 2},
  [3776] = {.lex_state = 36, .external_lex_state = 2},
  [3777] = {.lex_state = 36, .external_lex_state = 2},
  [3778] = {.lex_state = 36, .external_lex_state = 2},
  [3779] = {.lex_state = 36, .external_lex_state = 2},
  [3780] = {.lex_state = 36, .external_lex_state = 2},
  [3781] = {.lex_state = 36, .external_lex_state = 2},
  [3782] = {.lex_state = 36, .external_lex_state = 2},
  [3783] = {.lex_state = 36, .external_lex_state = 2},
  [3784] = {.lex_state = 35, .external_lex_state = 2},
  [3785] = {.lex_state = 36, .external_lex_state = 2},
  [3786] = {.lex_state = 36, .external_lex_state = 2},
  [3787] = {.lex_state = 36, .external_lex_state = 2},
  [3788] = {.lex_state = 36, .external_lex_state = 2},
  [3789] = {.lex_state = 36, .external_lex_state = 2},
  [3790] = {.lex_state = 36, .external_lex_state = 2},
  [3791] = {.lex_state = 35, .external_lex_state = 2},
  [3792] = {.lex_state = 36, .external_lex_state = 2},
  [3793] = {.lex_state = 36, .external_lex_state = 2},
  [3794] = {.lex_state = 36, .external_lex_state = 2},
  [3795] = {.lex_state = 36, .external_lex_state = 2},
  [3796] = {.lex_state = 36, .external_lex_state = 2},
  [3797] = {.lex_state = 36, .external_lex_state = 2},
  [3798] = {.lex_state = 36, .external_lex_state = 2},
  [3799] = {.lex_state = 36, .external_lex_state = 2},
  [3800] = {.lex_state = 36, .external_lex_state = 2},
  [3801] = {.lex_state = 36, .external_lex_state = 2},
  [3802] = {.lex_state = 36, .external_lex_state = 2},
  [3803] = {.lex_state = 35, .external_lex_state = 2},
  [3804] = {.lex_state = 35, .external_lex_state = 2},
  [3805] = {.lex_state = 36, .external_lex_state = 2},
  [3806] = {.lex_state = 36, .external_lex_state = 2},
  [3807] = {.lex_state = 36, .external_lex_state = 2},
  [3808] = {.lex_state = 36, .external_lex_state = 2},
  [3809] = {.lex_state = 36, .external_lex_state = 2},
  [3810] = {.lex_state = 36, .external_lex_state = 2},
  [3811] = {.lex_state = 36, .external_lex_state = 2},
  [3812] = {.lex_state = 35, .external_lex_state = 2},
  [3813] = {.lex_state = 36, .external_lex_state = 2},
  [3814] = {.lex_state = 36, .external_lex_state = 2},
  [3815] = {.lex_state = 36, .external_lex_state = 2},
  [3816] = {.lex_state = 36, .external_lex_state = 2},
  [3817] = {.lex_state = 36, .external_lex_state = 2},
  [3818] = {.lex_state = 36, .external_lex_state = 2},
  [3819] = {.lex_state = 36, .external_lex_state = 2},
  [3820] = {.lex_state = 36, .external_lex_state = 2},
  [3821] = {.lex_state = 36, .external_lex_state = 2},
  [3822] = {.lex_state = 36, .external_lex_state = 2},
  [3823] = {.lex_state = 36, .external_lex_state = 2},
  [3824] = {.lex_state = 36, .external_lex_state = 2},
  [3825] = {.lex_state = 36, .external_lex_state = 2},
  [3826] = {.lex_state = 36, .external_lex_state = 2},
  [3827] = {.lex_state = 36, .external_lex_state = 2},
  [3828] = {.lex_state = 36, .external_lex_state = 2},
  [3829] = {.lex_state = 36, .external_lex_state = 2},
  [3830] = {.lex_state = 36, .external_lex_state = 2},
  [3831] = {.lex_state = 36, .external_lex_state = 2},
  [3832] = {.lex_state = 36, .external_lex_state = 2},
  [3833] = {.lex_state = 36, .external_lex_state = 2},
  [3834] = {.lex_state = 36, .external_lex_state = 2},
  [3835] = {.lex_state = 36, .external_lex_state = 2},
  [3836] = {.lex_state = 36, .external_lex_state = 2},
  [3837] = {.lex_state = 36, .external_lex_state = 2},
  [3838] = {.lex_state = 36, .external_lex_state = 2},
  [3839] = {.lex_state = 36, .external_lex_state = 2},
  [3840] = {.lex_state = 36, .external_lex_state = 2},
  [3841] = {.lex_state = 36, .external_lex_state = 2},
  [3842] = {.lex_state = 35, .external_lex_state = 2},
  [3843] = {.lex_state = 36, .external_lex_state = 2},
  [3844] = {.lex_state = 36, .external_lex_state = 2},
  [3845] = {.lex_state = 72, .external_lex_state = 2},
  [3846] = {.lex_state = 46, .external_lex_state = 2},
  [3847] = {.lex_state = 46, .external_lex_state = 2},
  [3848] = {.lex_state = 46, .external_lex_state = 2},
  [3849] = {.lex_state = 46, .external_lex_state = 2},
  [3850] = {.lex_state = 46, .external_lex_state = 2},
  [3851] = {.lex_state = 46, .external_lex_state = 2},
  [3852] = {.lex_state = 55, .external_lex_state = 2},
  [3853] = {.lex_state = 55, .external_lex_state = 2},
  [3854] = {.lex_state = 55, .external_lex_state = 2},
  [3855] = {.lex_state = 46, .external_lex_state = 2},
  [3856] = {.lex_state = 46, .external_lex_state = 2},
  [3857] = {.lex_state = 46, .external_lex_state = 2},
  [3858] = {.lex_state = 46, .external_lex_state = 2},
  [3859] = {.lex_state = 46, .external_lex_state = 2},
  [3860] = {.lex_state = 46, .external_lex_state = 2},
  [3861] = {.lex_state = 46, .external_lex_state = 2},
  [3862] = {.lex_state = 46, .external_lex_state = 2},
  [3863] = {.lex_state = 46, .external_lex_state = 2},
  [3864] = {.lex_state = 46, .external_lex_state = 2},
  [3865] = {.lex_state = 46, .external_lex_state = 2},
  [3866] = {.lex_state = 46, .external_lex_state = 2},
  [3867] = {.lex_state = 46, .external_lex_state = 2},
  [3868] = {.lex_state = 46, .external_lex_state = 2},
  [3869] = {.lex_state = 46, .external_lex_state = 2},
  [3870] = {.lex_state = 46, .external_lex_state = 2},
  [3871] = {.lex_state = 46, .external_lex_state = 2},
  [3872] = {.lex_state = 46, .external_lex_state = 2},
  [3873] = {.lex_state = 46, .external_lex_state = 2},
  [3874] = {.lex_state = 46, .external_lex_state = 2},
  [3875] = {.lex_state = 46, .external_lex_state = 2},
  [3876] = {.lex_state = 46, .external_lex_state = 2},
  [3877] = {.lex_state = 46, .external_lex_state = 2},
  [3878] = {.lex_state = 46, .external_lex_state = 2},
  [3879] = {.lex_state = 46, .external_lex_state = 2},
  [3880] = {.lex_state = 46, .external_lex_state = 2},
  [3881] = {.lex_state = 46, .external_lex_state = 2},
  [3882] = {.lex_state = 46, .external_lex_state = 2},
  [3883] = {.lex_state = 46, .external_lex_state = 2},
  [3884] = {.lex_state = 46, .external_lex_state = 2},
  [3885] = {.lex_state = 46, .external_lex_state = 2},
  [3886] = {.lex_state = 46, .external_lex_state = 2},
  [3887] = {.lex_state = 46, .external_lex_state = 2},
  [3888] = {.lex_state = 46, .external_lex_state = 2},
  [3889] = {.lex_state = 50, .external_lex_state = 2},
  [3890] = {.lex_state = 50, .external_lex_state = 2},
  [3891] = {.lex_state = 50, .external_lex_state = 2},
  [3892] = {.lex_state = 55, .external_lex_state = 2},
  [3893] = {.lex_state = 50, .external_lex_state = 2},
  [3894] = {.lex_state = 50, .external_lex_state = 2},
  [3895] = {.lex_state = 55, .external_lex_state = 2},
  [3896] = {.lex_state = 55, .external_lex_state = 2},
  [3897] = {.lex_state = 55, .external_lex_state = 2},
  [3898] = {.lex_state = 45, .external_lex_state = 5},
  [3899] = {.lex_state = 46, .external_lex_state = 5},
  [3900] = {.lex_state = 55, .external_lex_state = 2},
  [3901] = {.lex_state = 46, .external_lex_state = 5},
  [3902] = {.lex_state = 45, .external_lex_state = 5},
  [3903] = {.lex_state = 55, .external_lex_state = 2},
  [3904] = {.lex_state = 55, .external_lex_state = 2},
  [3905] = {.lex_state = 46, .external_lex_state = 5},
  [3906] = {.lex_state = 55, .external_lex_state = 2},
  [3907] = {.lex_state = 55, .external_lex_state = 2},
  [3908] = {.lex_state = 46, .external_lex_state = 2},
  [3909] = {.lex_state = 55, .external_lex_state = 2},
  [3910] = {.lex_state = 55, .external_lex_state = 2},
  [3911] = {.lex_state = 55, .external_lex_state = 2},
  [3912] = {.lex_state = 46, .external_lex_state = 2},
  [3913] = {.lex_state = 55, .external_lex_state = 2},
  [3914] = {.lex_state = 55, .external_lex_state = 2},
  [3915] = {.lex_state = 46, .external_lex_state = 2},
  [3916] = {.lex_state = 55, .external_lex_state = 2},
  [3917] = {.lex_state = 55, .external_lex_state = 2},
  [3918] = {.lex_state = 55, .external_lex_state = 2},
  [3919] = {.lex_state = 55, .external_lex_state = 2},
  [3920] = {.lex_state = 55, .external_lex_state = 2},
  [3921] = {.lex_state = 55, .external_lex_state = 2},
  [3922] = {.lex_state = 46, .external_lex_state = 2},
  [3923] = {.lex_state = 55, .external_lex_state = 2},
  [3924] = {.lex_state = 55, .external_lex_state = 2},
  [3925] = {.lex_state = 55, .external_lex_state = 2},
  [3926] = {.lex_state = 55, .external_lex_state = 2},
  [3927] = {.lex_state = 55, .external_lex_state = 2},
  [3928] = {.lex_state = 55, .external_lex_state = 2},
  [3929] = {.lex_state = 46, .external_lex_state = 5},
  [3930] = {.lex_state = 349, .external_lex_state = 2},
  [3931] = {.lex_state = 349, .external_lex_state = 2},
  [3932] = {.lex_state = 46, .external_lex_state = 5},
  [3933] = {.lex_state = 46, .external_lex_state = 5},
  [3934] = {.lex_state = 46, .external_lex_state = 5},
  [3935] = {.lex_state = 46, .external_lex_state = 5},
  [3936] = {.lex_state = 349, .external_lex_state = 2},
  [3937] = {.lex_state = 46, .external_lex_state = 5},
  [3938] = {.lex_state = 46, .external_lex_state = 5},
  [3939] = {.lex_state = 46, .external_lex_state = 5},
  [3940] = {.lex_state = 46, .external_lex_state = 5},
  [3941] = {.lex_state = 349, .external_lex_state = 2},
  [3942] = {.lex_state = 349, .external_lex_state = 2},
  [3943] = {.lex_state = 349, .external_lex_state = 2},
  [3944] = {.lex_state = 46, .external_lex_state = 5},
  [3945] = {.lex_state = 46, .external_lex_state = 5},
  [3946] = {.lex_state = 349, .external_lex_state = 2},
  [3947] = {.lex_state = 55, .external_lex_state = 2},
  [3948] = {.lex_state = 55, .external_lex_state = 2},
  [3949] = {.lex_state = 55, .external_lex_state = 2},
  [3950] = {.lex_state = 55, .external_lex_state = 2},
  [3951] = {.lex_state = 349, .external_lex_state = 2},
  [3952] = {.lex_state = 55, .external_lex_state = 2},
  [3953] = {.lex_state = 55, .external_lex_state = 2},
  [3954] = {.lex_state = 46, .external_lex_state = 5},
  [3955] = {.lex_state = 55, .external_lex_state = 2},
  [3956] = {.lex_state = 55, .external_lex_state = 2},
  [3957] = {.lex_state = 349, .external_lex_state = 2},
  [3958] = {.lex_state = 349, .external_lex_state = 2},
  [3959] = {.lex_state = 55, .external_lex_state = 2},
  [3960] = {.lex_state = 55, .external_lex_state = 2},
  [3961] = {.lex_state = 349, .external_lex_state = 2},
  [3962] = {.lex_state = 349, .external_lex_state = 2},
  [3963] = {.lex_state = 349, .external_lex_state = 2},
  [3964] = {.lex_state = 349, .external_lex_state = 2},
  [3965] = {.lex_state = 45, .external_lex_state = 5},
  [3966] = {.lex_state = 55, .external_lex_state = 2},
  [3967] = {.lex_state = 349, .external_lex_state = 2},
  [3968] = {.lex_state = 46, .external_lex_state = 5},
  [3969] = {.lex_state = 349, .external_lex_state = 2},
  [3970] = {.lex_state = 55, .external_lex_state = 2},
  [3971] = {.lex_state = 349, .external_lex_state = 2},
  [3972] = {.lex_state = 349, .external_lex_state = 2},
  [3973] = {.lex_state = 46, .external_lex_state = 5},
  [3974] = {.lex_state = 55, .external_lex_state = 2},
  [3975] = {.lex_state = 55, .external_lex_state = 2},
  [3976] = {.lex_state = 55, .external_lex_state = 2},
  [3977] = {.lex_state = 46, .external_lex_state = 5},
  [3978] = {.lex_state = 55, .external_lex_state = 2},
  [3979] = {.lex_state = 55, .external_lex_state = 2},
  [3980] = {.lex_state = 349, .external_lex_state = 2},
  [3981] = {.lex_state = 46, .external_lex_state = 5},
  [3982] = {.lex_state = 46, .external_lex_state = 5},
  [3983] = {.lex_state = 46, .external_lex_state = 5},
  [3984] = {.lex_state = 349, .external_lex_state = 2},
  [3985] = {.lex_state = 55, .external_lex_state = 2},
  [3986] = {.lex_state = 349, .external_lex_state = 2},
  [3987] = {.lex_state = 46, .external_lex_state = 5},
  [3988] = {.lex_state = 46, .external_lex_state = 5},
  [3989] = {.lex_state = 55, .external_lex_state = 2},
  [3990] = {.lex_state = 46, .external_lex_state = 5},
  [3991] = {.lex_state = 46, .external_lex_state = 5},
  [3992] = {.lex_state = 349, .external_lex_state = 2},
  [3993] = {.lex_state = 349, .external_lex_state = 2},
  [3994] = {.lex_state = 46, .external_lex_state = 6},
  [3995] = {.lex_state = 46, .external_lex_state = 6},
  [3996] = {.lex_state = 46, .external_lex_state = 6},
  [3997] = {.lex_state = 349, .external_lex_state = 2},
  [3998] = {.lex_state = 46, .external_lex_state = 5},
  [3999] = {.lex_state = 55, .external_lex_state = 2},
  [4000] = {.lex_state = 55, .external_lex_state = 2},
  [4001] = {.lex_state = 55, .external_lex_state = 2},
  [4002] = {.lex_state = 55, .external_lex_state = 2},
  [4003] = {.lex_state = 55, .external_lex_state = 2},
  [4004] = {.lex_state = 55, .external_lex_state = 2},
  [4005] = {.lex_state = 46, .external_lex_state = 5},
  [4006] = {.lex_state = 46, .external_lex_state = 5},
  [4007] = {.lex_state = 349, .external_lex_state = 2},
  [4008] = {.lex_state = 349, .external_lex_state = 2},
  [4009] = {.lex_state = 349, .external_lex_state = 2},
  [4010] = {.lex_state = 349, .external_lex_state = 2},
  [4011] = {.lex_state = 55, .external_lex_state = 2},
  [4012] = {.lex_state = 349, .external_lex_state = 2},
  [4013] = {.lex_state = 55, .external_lex_state = 2},
  [4014] = {.lex_state = 46, .external_lex_state = 5},
  [4015] = {.lex_state = 55, .external_lex_state = 2},
  [4016] = {.lex_state = 46, .external_lex_state = 5},
  [4017] = {.lex_state = 55, .external_lex_state = 2},
  [4018] = {.lex_state = 46, .external_lex_state = 5},
  [4019] = {.lex_state = 55, .external_lex_state = 2},
  [4020] = {.lex_state = 46, .external_lex_state = 5},
  [4021] = {.lex_state = 46, .external_lex_state = 5},
  [4022] = {.lex_state = 55, .external_lex_state = 2},
  [4023] = {.lex_state = 46, .external_lex_state = 5},
  [4024] = {.lex_state = 46, .external_lex_state = 5},
  [4025] = {.lex_state = 55, .external_lex_state = 2},
  [4026] = {.lex_state = 55, .external_lex_state = 2},
  [4027] = {.lex_state = 349, .external_lex_state = 2},
  [4028] = {.lex_state = 46, .external_lex_state = 5},
  [4029] = {.lex_state = 55, .external_lex_state = 2},
  [4030] = {.lex_state = 55, .external_lex_state = 2},
  [4031] = {.lex_state = 55, .external_lex_state = 2},
  [4032] = {.lex_state = 55, .external_lex_state = 2},
  [4033] = {.lex_state = 55, .external_lex_state = 2},
  [4034] = {.lex_state = 55, .external_lex_state = 2},
  [4035] = {.lex_state = 46, .external_lex_state = 5},
  [4036] = {.lex_state = 55, .external_lex_state = 2},
  [4037] = {.lex_state = 55, .external_lex_state = 2},
  [4038] = {.lex_state = 55, .external_lex_state = 2},
  [4039] = {.lex_state = 55, .external_lex_state = 2},
  [4040] = {.lex_state = 45, .external_lex_state = 5},
  [4041] = {.lex_state = 45, .external_lex_state = 5},
  [4042] = {.lex_state = 45, .external_lex_state = 5},
  [4043] = {.lex_state = 51, .external_lex_state = 2},
  [4044] = {.lex_state = 73, .external_lex_state = 2},
  [4045] = {.lex_state = 73, .external_lex_state = 2},
  [4046] = {.lex_state = 45, .external_lex_state = 5},
  [4047] = {.lex_state = 45, .external_lex_state = 5},
  [4048] = {.lex_state = 45, .external_lex_state = 5},
  [4049] = {.lex_state = 45, .external_lex_state = 5},
  [4050] = {.lex_state = 45, .external_lex_state = 5},
  [4051] = {.lex_state = 51, .external_lex_state = 2},
  [4052] = {.lex_state = 45, .external_lex_state = 5},
  [4053] = {.lex_state = 45, .external_lex_state = 5},
  [4054] = {.lex_state = 51, .external_lex_state = 2},
  [4055] = {.lex_state = 45, .external_lex_state = 5},
  [4056] = {.lex_state = 45, .external_lex_state = 5},
  [4057] = {.lex_state = 45, .external_lex_state = 5},
  [4058] = {.lex_state = 45, .external_lex_state = 5},
  [4059] = {.lex_state = 45, .external_lex_state = 5},
  [4060] = {.lex_state = 45, .external_lex_state = 5},
  [4061] = {.lex_state = 45, .external_lex_state = 5},
  [4062] = {.lex_state = 45, .external_lex_state = 5},
  [4063] = {.lex_state = 45, .external_lex_state = 5},
  [4064] = {.lex_state = 45, .external_lex_state = 5},
  [4065] = {.lex_state = 45, .external_lex_state = 5},
  [4066] = {.lex_state = 45, .external_lex_state = 5},
  [4067] = {.lex_state = 45, .external_lex_state = 5},
  [4068] = {.lex_state = 45, .external_lex_state = 5},
  [4069] = {.lex_state = 45, .external_lex_state = 5},
  [4070] = {.lex_state = 45, .external_lex_state = 5},
  [4071] = {.lex_state = 73, .external_lex_state = 2},
  [4072] = {.lex_state = 73, .external_lex_state = 2},
  [4073] = {.lex_state = 45, .external_lex_state = 5},
  [4074] = {.lex_state = 45, .external_lex_state = 5},
  [4075] = {.lex_state = 45, .external_lex_state = 5},
  [4076] = {.lex_state = 51, .external_lex_state = 2},
  [4077] = {.lex_state = 51, .external_lex_state = 2},
  [4078] = {.lex_state = 73, .external_lex_state = 2},
  [4079] = {.lex_state = 45, .external_lex_state = 2},
  [4080] = {.lex_state = 45, .external_lex_state = 5},
  [4081] = {.lex_state = 46, .external_lex_state = 6},
  [4082] = {.lex_state = 46, .external_lex_state = 6},
  [4083] = {.lex_state = 45, .external_lex_state = 5},
  [4084] = {.lex_state = 46, .external_lex_state = 6},
  [4085] = {.lex_state = 46, .external_lex_state = 5},
  [4086] = {.lex_state = 45, .external_lex_state = 5},
  [4087] = {.lex_state = 45, .external_lex_state = 6},
  [4088] = {.lex_state = 46, .external_lex_state = 6},
  [4089] = {.lex_state = 46, .external_lex_state = 6},
  [4090] = {.lex_state = 45, .external_lex_state = 5},
  [4091] = {.lex_state = 45, .external_lex_state = 5},
  [4092] = {.lex_state = 46, .external_lex_state = 6},
  [4093] = {.lex_state = 46, .external_lex_state = 6},
  [4094] = {.lex_state = 46, .external_lex_state = 6},
  [4095] = {.lex_state = 46, .external_lex_state = 6},
  [4096] = {.lex_state = 46, .external_lex_state = 5},
  [4097] = {.lex_state = 46, .external_lex_state = 6},
  [4098] = {.lex_state = 46, .external_lex_state = 6},
  [4099] = {.lex_state = 46, .external_lex_state = 6},
  [4100] = {.lex_state = 45, .external_lex_state = 5},
  [4101] = {.lex_state = 45, .external_lex_state = 5},
  [4102] = {.lex_state = 46, .external_lex_state = 5},
  [4103] = {.lex_state = 45, .external_lex_state = 5},
  [4104] = {.lex_state = 46, .external_lex_state = 6},
  [4105] = {.lex_state = 45, .external_lex_state = 5},
  [4106] = {.lex_state = 46, .external_lex_state = 6},
  [4107] = {.lex_state = 45, .external_lex_state = 5},
  [4108] = {.lex_state = 45, .external_lex_state = 5},
  [4109] = {.lex_state = 45, .external_lex_state = 5},
  [4110] = {.lex_state = 45, .external_lex_state = 5},
  [4111] = {.lex_state = 46, .external_lex_state = 6},
  [4112] = {.lex_state = 45, .external_lex_state = 5},
  [4113] = {.lex_state = 45, .external_lex_state = 5},
  [4114] = {.lex_state = 46, .external_lex_state = 6},
  [4115] = {.lex_state = 45, .external_lex_state = 5},
  [4116] = {.lex_state = 46, .external_lex_state = 5},
  [4117] = {.lex_state = 45, .external_lex_state = 5},
  [4118] = {.lex_state = 46, .external_lex_state = 5},
  [4119] = {.lex_state = 45, .external_lex_state = 5},
  [4120] = {.lex_state = 46, .external_lex_state = 6},
  [4121] = {.lex_state = 45, .external_lex_state = 5},
  [4122] = {.lex_state = 46, .external_lex_state = 5},
  [4123] = {.lex_state = 45, .external_lex_state = 5},
  [4124] = {.lex_state = 46, .external_lex_state = 6},
  [4125] = {.lex_state = 45, .external_lex_state = 5},
  [4126] = {.lex_state = 45, .external_lex_state = 5},
  [4127] = {.lex_state = 45, .external_lex_state = 5},
  [4128] = {.lex_state = 45, .external_lex_state = 2},
  [4129] = {.lex_state = 45, .external_lex_state = 5},
  [4130] = {.lex_state = 46, .external_lex_state = 6},
  [4131] = {.lex_state = 46, .external_lex_state = 5},
  [4132] = {.lex_state = 45, .external_lex_state = 5},
  [4133] = {.lex_state = 46, .external_lex_state = 6},
  [4134] = {.lex_state = 46, .external_lex_state = 6},
  [4135] = {.lex_state = 46, .external_lex_state = 6},
  [4136] = {.lex_state = 46, .external_lex_state = 6},
  [4137] = {.lex_state = 46, .external_lex_state = 6},
  [4138] = {.lex_state = 46, .external_lex_state = 6},
  [4139] = {.lex_state = 46, .external_lex_state = 6},
  [4140] = {.lex_state = 46, .external_lex_state = 6},
  [4141] = {.lex_state = 46, .external_lex_state = 6},
  [4142] = {.lex_state = 46, .external_lex_state = 6},
  [4143] = {.lex_state = 46, .external_lex_state = 6},
  [4144] = {.lex_state = 46, .external_lex_state = 6},
  [4145] = {.lex_state = 46, .external_lex_state = 6},
  [4146] = {.lex_state = 46, .external_lex_state = 6},
  [4147] = {.lex_state = 46, .external_lex_state = 6},
  [4148] = {.lex_state = 45, .external_lex_state = 5},
  [4149] = {.lex_state = 45, .external_lex_state = 5},
  [4150] = {.lex_state = 45, .external_lex_state = 5},
  [4151] = {.lex_state = 45, .external_lex_state = 5},
  [4152] = {.lex_state = 45, .external_lex_state = 5},
  [4153] = {.lex_state = 45, .external_lex_state = 5},
  [4154] = {.lex_state = 45, .external_lex_state = 5},
  [4155] = {.lex_state = 45, .external_lex_state = 5},
  [4156] = {.lex_state = 45, .external_lex_state = 5},
  [4157] = {.lex_state = 45, .external_lex_state = 5},
  [4158] = {.lex_state = 45, .external_lex_state = 5},
  [4159] = {.lex_state = 50, .external_lex_state = 2},
  [4160] = {.lex_state = 45, .external_lex_state = 5},
  [4161] = {.lex_state = 50, .external_lex_state = 2},
  [4162] = {.lex_state = 45, .external_lex_state = 5},
  [4163] = {.lex_state = 45, .external_lex_state = 5},
  [4164] = {.lex_state = 50, .external_lex_state = 2},
  [4165] = {.lex_state = 45, .external_lex_state = 5},
  [4166] = {.lex_state = 45, .external_lex_state = 2},
  [4167] = {.lex_state = 45, .external_lex_state = 5},
  [4168] = {.lex_state = 45, .external_lex_state = 5},
  [4169] = {.lex_state = 45, .external_lex_state = 5},
  [4170] = {.lex_state = 50, .external_lex_state = 2},
  [4171] = {.lex_state = 45, .external_lex_state = 5},
  [4172] = {.lex_state = 45, .external_lex_state = 5},
  [4173] = {.lex_state = 45, .external_lex_state = 5},
  [4174] = {.lex_state = 45, .external_lex_state = 5},
  [4175] = {.lex_state = 45, .external_lex_state = 5},
  [4176] = {.lex_state = 45, .external_lex_state = 5},
  [4177] = {.lex_state = 45, .external_lex_state = 5},
  [4178] = {.lex_state = 45, .external_lex_state = 5},
  [4179] = {.lex_state = 45, .external_lex_state = 5},
  [4180] = {.lex_state = 45, .external_lex_state = 5},
  [4181] = {.lex_state = 45, .external_lex_state = 5},
  [4182] = {.lex_state = 45, .external_lex_state = 5},
  [4183] = {.lex_state = 45, .external_lex_state = 5},
  [4184] = {.lex_state = 50, .external_lex_state = 2},
  [4185] = {.lex_state = 45, .external_lex_state = 5},
  [4186] = {.lex_state = 45, .external_lex_state = 5},
  [4187] = {.lex_state = 45, .external_lex_state = 5},
  [4188] = {.lex_state = 45, .external_lex_state = 5},
  [4189] = {.lex_state = 45, .external_lex_state = 5},
  [4190] = {.lex_state = 45, .external_lex_state = 6},
  [4191] = {.lex_state = 45, .external_lex_state = 5},
  [4192] = {.lex_state = 45, .external_lex_state = 5},
  [4193] = {.lex_state = 45, .external_lex_state = 5},
  [4194] = {.lex_state = 45, .external_lex_state = 5},
  [4195] = {.lex_state = 45, .external_lex_state = 5},
  [4196] = {.lex_state = 45, .external_lex_state = 5},
  [4197] = {.lex_state = 45, .external_lex_state = 5},
  [4198] = {.lex_state = 45, .external_lex_state = 5},
  [4199] = {.lex_state = 45, .external_lex_state = 5},
  [4200] = {.lex_state = 45, .external_lex_state = 5},
  [4201] = {.lex_state = 45, .external_lex_state = 5},
  [4202] = {.lex_state = 45, .external_lex_state = 5},
  [4203] = {.lex_state = 45, .external_lex_state = 5},
  [4204] = {.lex_state = 45, .external_lex_state = 5},
  [4205] = {.lex_state = 45, .external_lex_state = 5},
  [4206] = {.lex_state = 45, .external_lex_state = 5},
  [4207] = {.lex_state = 45, .external_lex_state = 5},
  [4208] = {.lex_state = 45, .external_lex_state = 5},
  [4209] = {.lex_state = 46, .external_lex_state = 6},
  [4210] = {.lex_state = 45, .external_lex_state = 5},
  [4211] = {.lex_state = 45, .external_lex_state = 5},
  [4212] = {.lex_state = 45, .external_lex_state = 5},
  [4213] = {.lex_state = 45, .external_lex_state = 5},
  [4214] = {.lex_state = 45, .external_lex_state = 5},
  [4215] = {.lex_state = 45, .external_lex_state = 5},
  [4216] = {.lex_state = 45, .external_lex_state = 5},
  [4217] = {.lex_state = 46, .external_lex_state = 6},
  [4218] = {.lex_state = 45, .external_lex_state = 5},
  [4219] = {.lex_state = 45, .external_lex_state = 5},
  [4220] = {.lex_state = 45, .external_lex_state = 5},
  [4221] = {.lex_state = 45, .external_lex_state = 5},
  [4222] = {.lex_state = 45, .external_lex_state = 5},
  [4223] = {.lex_state = 45, .external_lex_state = 5},
  [4224] = {.lex_state = 45, .external_lex_state = 5},
  [4225] = {.lex_state = 45, .external_lex_state = 5},
  [4226] = {.lex_state = 46, .external_lex_state = 6},
  [4227] = {.lex_state = 45, .external_lex_state = 5},
  [4228] = {.lex_state = 45, .external_lex_state = 5},
  [4229] = {.lex_state = 45, .external_lex_state = 5},
  [4230] = {.lex_state = 45, .external_lex_state = 5},
  [4231] = {.lex_state = 45, .external_lex_state = 5},
  [4232] = {.lex_state = 45, .external_lex_state = 5},
  [4233] = {.lex_state = 45, .external_lex_state = 5},
  [4234] = {.lex_state = 45, .external_lex_state = 5},
  [4235] = {.lex_state = 46, .external_lex_state = 6},
  [4236] = {.lex_state = 46, .external_lex_state = 6},
  [4237] = {.lex_state = 45, .external_lex_state = 5},
  [4238] = {.lex_state = 46, .external_lex_state = 6},
  [4239] = {.lex_state = 45, .external_lex_state = 5},
  [4240] = {.lex_state = 45, .external_lex_state = 5},
  [4241] = {.lex_state = 46, .external_lex_state = 6},
  [4242] = {.lex_state = 50, .external_lex_state = 2},
  [4243] = {.lex_state = 45, .external_lex_state = 6},
  [4244] = {.lex_state = 45, .external_lex_state = 5},
  [4245] = {.lex_state = 45, .external_lex_state = 6},
  [4246] = {.lex_state = 45, .external_lex_state = 5},
  [4247] = {.lex_state = 45, .external_lex_state = 5},
  [4248] = {.lex_state = 45, .external_lex_state = 5},
  [4249] = {.lex_state = 45, .external_lex_state = 5},
  [4250] = {.lex_state = 45, .external_lex_state = 5},
  [4251] = {.lex_state = 45, .external_lex_state = 5},
  [4252] = {.lex_state = 45, .external_lex_state = 5},
  [4253] = {.lex_state = 45, .external_lex_state = 5},
  [4254] = {.lex_state = 45, .external_lex_state = 5},
  [4255] = {.lex_state = 45, .external_lex_state = 5},
  [4256] = {.lex_state = 45, .external_lex_state = 5},
  [4257] = {.lex_state = 45, .external_lex_state = 5},
  [4258] = {.lex_state = 45, .external_lex_state = 5},
  [4259] = {.lex_state = 45, .external_lex_state = 5},
  [4260] = {.lex_state = 45, .external_lex_state = 5},
  [4261] = {.lex_state = 45, .external_lex_state = 5},
  [4262] = {.lex_state = 45, .external_lex_state = 6},
  [4263] = {.lex_state = 50, .external_lex_state = 2},
  [4264] = {.lex_state = 69, .external_lex_state = 2},
  [4265] = {.lex_state = 349, .external_lex_state = 5},
  [4266] = {.lex_state = 45, .external_lex_state = 5},
  [4267] = {.lex_state = 69, .external_lex_state = 2},
  [4268] = {.lex_state = 45, .external_lex_state = 6},
  [4269] = {.lex_state = 50, .external_lex_state = 2},
  [4270] = {.lex_state = 69, .external_lex_state = 2},
  [4271] = {.lex_state = 69, .external_lex_state = 2},
  [4272] = {.lex_state = 69, .external_lex_state = 2},
  [4273] = {.lex_state = 50, .external_lex_state = 2},
  [4274] = {.lex_state = 69, .external_lex_state = 2},
  [4275] = {.lex_state = 45, .external_lex_state = 5},
  [4276] = {.lex_state = 349, .external_lex_state = 5},
  [4277] = {.lex_state = 46, .external_lex_state = 5},
  [4278] = {.lex_state = 46, .external_lex_state = 5},
  [4279] = {.lex_state = 45, .external_lex_state = 6},
  [4280] = {.lex_state = 349, .external_lex_state = 5},
  [4281] = {.lex_state = 69, .external_lex_state = 2},
  [4282] = {.lex_state = 69, .external_lex_state = 2},
  [4283] = {.lex_state = 69, .external_lex_state = 2},
  [4284] = {.lex_state = 45, .external_lex_state = 6},
  [4285] = {.lex_state = 69, .external_lex_state = 2},
  [4286] = {.lex_state = 52, .external_lex_state = 2},
  [4287] = {.lex_state = 69, .external_lex_state = 2},
  [4288] = {.lex_state = 69, .external_lex_state = 2},
  [4289] = {.lex_state = 69, .external_lex_state = 2},
  [4290] = {.lex_state = 69, .external_lex_state = 2},
  [4291] = {.lex_state = 69, .external_lex_state = 2},
  [4292] = {.lex_state = 45, .external_lex_state = 6},
  [4293] = {.lex_state = 69, .external_lex_state = 2},
  [4294] = {.lex_state = 45, .external_lex_state = 6},
  [4295] = {.lex_state = 45, .external_lex_state = 2},
  [4296] = {.lex_state = 69, .external_lex_state = 2},
  [4297] = {.lex_state = 45, .external_lex_state = 2},
  [4298] = {.lex_state = 45, .external_lex_state = 5},
  [4299] = {.lex_state = 45, .external_lex_state = 5},
  [4300] = {.lex_state = 45, .external_lex_state = 5},
  [4301] = {.lex_state = 349, .external_lex_state = 5},
  [4302] = {.lex_state = 349, .external_lex_state = 5},
  [4303] = {.lex_state = 45, .external_lex_state = 5},
  [4304] = {.lex_state = 45, .external_lex_state = 6},
  [4305] = {.lex_state = 45, .external_lex_state = 2},
  [4306] = {.lex_state = 45, .external_lex_state = 5},
  [4307] = {.lex_state = 349, .external_lex_state = 2},
  [4308] = {.lex_state = 45, .external_lex_state = 2},
  [4309] = {.lex_state = 45, .external_lex_state = 5},
  [4310] = {.lex_state = 45, .external_lex_state = 5},
  [4311] = {.lex_state = 45, .external_lex_state = 2},
  [4312] = {.lex_state = 46, .external_lex_state = 2},
  [4313] = {.lex_state = 45, .external_lex_state = 5},
  [4314] = {.lex_state = 45, .external_lex_state = 2},
  [4315] = {.lex_state = 45, .external_lex_state = 2},
  [4316] = {.lex_state = 45, .external_lex_state = 2},
  [4317] = {.lex_state = 45, .external_lex_state = 2},
  [4318] = {.lex_state = 45, .external_lex_state = 2},
  [4319] = {.lex_state = 349, .external_lex_state = 5},
  [4320] = {.lex_state = 46, .external_lex_state = 2},
  [4321] = {.lex_state = 45, .external_lex_state = 6},
  [4322] = {.lex_state = 45, .external_lex_state = 2},
  [4323] = {.lex_state = 45, .external_lex_state = 2},
  [4324] = {.lex_state = 45, .external_lex_state = 6},
  [4325] = {.lex_state = 45, .external_lex_state = 2},
  [4326] = {.lex_state = 45, .external_lex_state = 2},
  [4327] = {.lex_state = 45, .external_lex_state = 5},
  [4328] = {.lex_state = 45, .external_lex_state = 2},
  [4329] = {.lex_state = 45, .external_lex_state = 6},
  [4330] = {.lex_state = 45, .external_lex_state = 2},
  [4331] = {.lex_state = 45, .external_lex_state = 6},
  [4332] = {.lex_state = 45, .external_lex_state = 2},
  [4333] = {.lex_state = 45, .external_lex_state = 6},
  [4334] = {.lex_state = 46, .external_lex_state = 2},
  [4335] = {.lex_state = 45, .external_lex_state = 5},
  [4336] = {.lex_state = 45, .external_lex_state = 2},
  [4337] = {.lex_state = 45, .external_lex_state = 5},
  [4338] = {.lex_state = 349, .external_lex_state = 6},
  [4339] = {.lex_state = 45, .external_lex_state = 2},
  [4340] = {.lex_state = 45, .external_lex_state = 6},
  [4341] = {.lex_state = 46, .external_lex_state = 2},
  [4342] = {.lex_state = 45, .external_lex_state = 2},
  [4343] = {.lex_state = 349, .external_lex_state = 6},
  [4344] = {.lex_state = 55, .external_lex_state = 2},
  [4345] = {.lex_state = 45, .external_lex_state = 6},
  [4346] = {.lex_state = 45, .external_lex_state = 6},
  [4347] = {.lex_state = 45, .external_lex_state = 2},
  [4348] = {.lex_state = 45, .external_lex_state = 2},
  [4349] = {.lex_state = 45, .external_lex_state = 2},
  [4350] = {.lex_state = 45, .external_lex_state = 2},
  [4351] = {.lex_state = 46, .external_lex_state = 2},
  [4352] = {.lex_state = 45, .external_lex_state = 6},
  [4353] = {.lex_state = 45, .external_lex_state = 6},
  [4354] = {.lex_state = 45, .external_lex_state = 5},
  [4355] = {.lex_state = 46, .external_lex_state = 2},
  [4356] = {.lex_state = 45, .external_lex_state = 2},
  [4357] = {.lex_state = 46, .external_lex_state = 2},
  [4358] = {.lex_state = 50, .external_lex_state = 2},
  [4359] = {.lex_state = 46, .external_lex_state = 2},
  [4360] = {.lex_state = 45, .external_lex_state = 5},
  [4361] = {.lex_state = 45, .external_lex_state = 5},
  [4362] = {.lex_state = 45, .external_lex_state = 2},
  [4363] = {.lex_state = 45, .external_lex_state = 5},
  [4364] = {.lex_state = 45, .external_lex_state = 2},
  [4365] = {.lex_state = 55, .external_lex_state = 2},
  [4366] = {.lex_state = 55, .external_lex_state = 2},
  [4367] = {.lex_state = 45, .external_lex_state = 2},
  [4368] = {.lex_state = 45, .external_lex_state = 6},
  [4369] = {.lex_state = 45, .external_lex_state = 2},
  [4370] = {.lex_state = 45, .external_lex_state = 6},
  [4371] = {.lex_state = 45, .external_lex_state = 6},
  [4372] = {.lex_state = 45, .external_lex_state = 6},
  [4373] = {.lex_state = 45, .external_lex_state = 6},
  [4374] = {.lex_state = 45, .external_lex_state = 6},
  [4375] = {.lex_state = 45, .external_lex_state = 6},
  [4376] = {.lex_state = 45, .external_lex_state = 6},
  [4377] = {.lex_state = 45, .external_lex_state = 6},
  [4378] = {.lex_state = 45, .external_lex_state = 6},
  [4379] = {.lex_state = 45, .external_lex_state = 6},
  [4380] = {.lex_state = 45, .external_lex_state = 2},
  [4381] = {.lex_state = 45, .external_lex_state = 6},
  [4382] = {.lex_state = 45, .external_lex_state = 2},
  [4383] = {.lex_state = 45, .external_lex_state = 2},
  [4384] = {.lex_state = 45, .external_lex_state = 2},
  [4385] = {.lex_state = 45, .external_lex_state = 6},
  [4386] = {.lex_state = 45, .external_lex_state = 2},
  [4387] = {.lex_state = 55, .external_lex_state = 2},
  [4388] = {.lex_state = 45, .external_lex_state = 6},
  [4389] = {.lex_state = 45, .external_lex_state = 6},
  [4390] = {.lex_state = 45, .external_lex_state = 5},
  [4391] = {.lex_state = 45, .external_lex_state = 6},
  [4392] = {.lex_state = 45, .external_lex_state = 2},
  [4393] = {.lex_state = 45, .external_lex_state = 2},
  [4394] = {.lex_state = 45, .external_lex_state = 6},
  [4395] = {.lex_state = 45, .external_lex_state = 5},
  [4396] = {.lex_state = 349, .external_lex_state = 5},
  [4397] = {.lex_state = 55, .external_lex_state = 2},
  [4398] = {.lex_state = 45, .external_lex_state = 5},
  [4399] = {.lex_state = 45, .external_lex_state = 6},
  [4400] = {.lex_state = 46, .external_lex_state = 2},
  [4401] = {.lex_state = 45, .external_lex_state = 5},
  [4402] = {.lex_state = 349, .external_lex_state = 5},
  [4403] = {.lex_state = 45, .external_lex_state = 5},
  [4404] = {.lex_state = 55, .external_lex_state = 2},
  [4405] = {.lex_state = 45, .external_lex_state = 2},
  [4406] = {.lex_state = 45, .external_lex_state = 5},
  [4407] = {.lex_state = 45, .external_lex_state = 2},
  [4408] = {.lex_state = 45, .external_lex_state = 2},
  [4409] = {.lex_state = 45, .external_lex_state = 2},
  [4410] = {.lex_state = 45, .external_lex_state = 2},
  [4411] = {.lex_state = 46, .external_lex_state = 2},
  [4412] = {.lex_state = 45, .external_lex_state = 2},
  [4413] = {.lex_state = 45, .external_lex_state = 6},
  [4414] = {.lex_state = 45, .external_lex_state = 5},
  [4415] = {.lex_state = 45, .external_lex_state = 5},
  [4416] = {.lex_state = 45, .external_lex_state = 5},
  [4417] = {.lex_state = 45, .external_lex_state = 2},
  [4418] = {.lex_state = 45, .external_lex_state = 5},
  [4419] = {.lex_state = 45, .external_lex_state = 6},
  [4420] = {.lex_state = 45, .external_lex_state = 6},
  [4421] = {.lex_state = 45, .external_lex_state = 6},
  [4422] = {.lex_state = 45, .external_lex_state = 2},
  [4423] = {.lex_state = 45, .external_lex_state = 5},
  [4424] = {.lex_state = 45, .external_lex_state = 2},
  [4425] = {.lex_state = 45, .external_lex_state = 5},
  [4426] = {.lex_state = 45, .external_lex_state = 5},
  [4427] = {.lex_state = 45, .external_lex_state = 6},
  [4428] = {.lex_state = 45, .external_lex_state = 6},
  [4429] = {.lex_state = 45, .external_lex_state = 5},
  [4430] = {.lex_state = 45, .external_lex_state = 5},
  [4431] = {.lex_state = 45, .external_lex_state = 5},
  [4432] = {.lex_state = 45, .external_lex_state = 2},
  [4433] = {.lex_state = 45, .external_lex_state = 6},
  [4434] = {.lex_state = 45, .external_lex_state = 5},
  [4435] = {.lex_state = 45, .external_lex_state = 6},
  [4436] = {.lex_state = 45, .external_lex_state = 6},
  [4437] = {.lex_state = 45, .external_lex_state = 2},
  [4438] = {.lex_state = 45, .external_lex_state = 5},
  [4439] = {.lex_state = 45, .external_lex_state = 5},
  [4440] = {.lex_state = 45, .external_lex_state = 2},
  [4441] = {.lex_state = 46, .external_lex_state = 2},
  [4442] = {.lex_state = 45, .external_lex_state = 5},
  [4443] = {.lex_state = 45, .external_lex_state = 5},
  [4444] = {.lex_state = 45, .external_lex_state = 2},
  [4445] = {.lex_state = 45, .external_lex_state = 2},
  [4446] = {.lex_state = 45, .external_lex_state = 5},
  [4447] = {.lex_state = 45, .external_lex_state = 6},
  [4448] = {.lex_state = 45, .external_lex_state = 5},
  [4449] = {.lex_state = 45, .external_lex_state = 5},
  [4450] = {.lex_state = 45, .external_lex_state = 6},
  [4451] = {.lex_state = 46, .external_lex_state = 2},
  [4452] = {.lex_state = 45, .external_lex_state = 6},
  [4453] = {.lex_state = 46, .external_lex_state = 2},
  [4454] = {.lex_state = 45, .external_lex_state = 6},
  [4455] = {.lex_state = 45, .external_lex_state = 6},
  [4456] = {.lex_state = 45, .external_lex_state = 6},
  [4457] = {.lex_state = 45, .external_lex_state = 6},
  [4458] = {.lex_state = 45, .external_lex_state = 2},
  [4459] = {.lex_state = 45, .external_lex_state = 2},
  [4460] = {.lex_state = 45, .external_lex_state = 2},
  [4461] = {.lex_state = 46, .external_lex_state = 5},
  [4462] = {.lex_state = 50, .external_lex_state = 2},
  [4463] = {.lex_state = 45, .external_lex_state = 6},
  [4464] = {.lex_state = 45, .external_lex_state = 2},
  [4465] = {.lex_state = 45, .external_lex_state = 5},
  [4466] = {.lex_state = 45, .external_lex_state = 6},
  [4467] = {.lex_state = 46, .external_lex_state = 5},
  [4468] = {.lex_state = 50, .external_lex_state = 2},
  [4469] = {.lex_state = 45, .external_lex_state = 6},
  [4470] = {.lex_state = 349, .external_lex_state = 5},
  [4471] = {.lex_state = 45, .external_lex_state = 6},
  [4472] = {.lex_state = 45, .external_lex_state = 6},
  [4473] = {.lex_state = 45, .external_lex_state = 6},
  [4474] = {.lex_state = 45, .external_lex_state = 5},
  [4475] = {.lex_state = 45, .external_lex_state = 2},
  [4476] = {.lex_state = 46, .external_lex_state = 2},
  [4477] = {.lex_state = 45, .external_lex_state = 6},
  [4478] = {.lex_state = 45, .external_lex_state = 2},
  [4479] = {.lex_state = 45, .external_lex_state = 6},
  [4480] = {.lex_state = 45, .external_lex_state = 5},
  [4481] = {.lex_state = 45, .external_lex_state = 6},
  [4482] = {.lex_state = 45, .external_lex_state = 6},
  [4483] = {.lex_state = 45, .external_lex_state = 6},
  [4484] = {.lex_state = 45, .external_lex_state = 6},
  [4485] = {.lex_state = 45, .external_lex_state = 5},
  [4486] = {.lex_state = 45, .external_lex_state = 5},
  [4487] = {.lex_state = 45, .external_lex_state = 6},
  [4488] = {.lex_state = 45, .external_lex_state = 6},
  [4489] = {.lex_state = 45, .external_lex_state = 6},
  [4490] = {.lex_state = 45, .external_lex_state = 6},
  [4491] = {.lex_state = 45, .external_lex_state = 6},
  [4492] = {.lex_state = 62, .external_lex_state = 2},
  [4493] = {.lex_state = 62, .external_lex_state = 2},
  [4494] = {.lex_state = 50, .external_lex_state = 2},
  [4495] = {.lex_state = 349, .external_lex_state = 7},
  [4496] = {.lex_state = 71, .external_lex_state = 2},
  [4497] = {.lex_state = 349, .external_lex_state = 5},
  [4498] = {.lex_state = 45, .external_lex_state = 6},
  [4499] = {.lex_state = 45, .external_lex_state = 2},
  [4500] = {.lex_state = 349, .external_lex_state = 6},
  [4501] = {.lex_state = 62, .external_lex_state = 2},
  [4502] = {.lex_state = 349, .external_lex_state = 7},
  [4503] = {.lex_state = 45, .external_lex_state = 2},
  [4504] = {.lex_state = 349, .external_lex_state = 5},
  [4505] = {.lex_state = 349, .external_lex_state = 7},
  [4506] = {.lex_state = 349, .external_lex_state = 5},
  [4507] = {.lex_state = 349, .external_lex_state = 5},
  [4508] = {.lex_state = 349, .external_lex_state = 5},
  [4509] = {.lex_state = 62, .external_lex_state = 2},
  [4510] = {.lex_state = 71, .external_lex_state = 2},
  [4511] = {.lex_state = 45, .external_lex_state = 5},
  [4512] = {.lex_state = 62, .external_lex_state = 2},
  [4513] = {.lex_state = 71, .external_lex_state = 2},
  [4514] = {.lex_state = 349, .external_lex_state = 7},
  [4515] = {.lex_state = 62, .external_lex_state = 2},
  [4516] = {.lex_state = 62, .external_lex_state = 2},
  [4517] = {.lex_state = 45, .external_lex_state = 5},
  [4518] = {.lex_state = 45, .external_lex_state = 5},
  [4519] = {.lex_state = 45, .external_lex_state = 5},
  [4520] = {.lex_state = 62, .external_lex_state = 2},
  [4521] = {.lex_state = 349, .external_lex_state = 7},
  [4522] = {.lex_state = 349, .external_lex_state = 7},
  [4523] = {.lex_state = 71, .external_lex_state = 2},
  [4524] = {.lex_state = 349, .external_lex_state = 7},
  [4525] = {.lex_state = 71, .external_lex_state = 2},
  [4526] = {.lex_state = 71, .external_lex_state = 2},
  [4527] = {.lex_state = 62, .external_lex_state = 2},
  [4528] = {.lex_state = 349, .external_lex_state = 7},
  [4529] = {.lex_state = 349, .external_lex_state = 5},
  [4530] = {.lex_state = 349, .external_lex_state = 2},
  [4531] = {.lex_state = 349, .external_lex_state = 5},
  [4532] = {.lex_state = 46, .external_lex_state = 5},
  [4533] = {.lex_state = 349, .external_lex_state = 5},
  [4534] = {.lex_state = 47, .external_lex_state = 2},
  [4535] = {.lex_state = 47, .external_lex_state = 2},
  [4536] = {.lex_state = 349, .external_lex_state = 5},
  [4537] = {.lex_state = 46, .external_lex_state = 5},
  [4538] = {.lex_state = 47, .external_lex_state = 2},
  [4539] = {.lex_state = 349, .external_lex_state = 2},
  [4540] = {.lex_state = 47, .external_lex_state = 2},
  [4541] = {.lex_state = 349, .external_lex_state = 5},
  [4542] = {.lex_state = 349, .external_lex_state = 5},
  [4543] = {.lex_state = 47, .external_lex_state = 2},
  [4544] = {.lex_state = 349, .external_lex_state = 5},
  [4545] = {.lex_state = 349, .external_lex_state = 5},
  [4546] = {.lex_state = 349, .external_lex_state = 5},
  [4547] = {.lex_state = 349, .external_lex_state = 5},
  [4548] = {.lex_state = 47, .external_lex_state = 2},
  [4549] = {.lex_state = 349, .external_lex_state = 5},
  [4550] = {.lex_state = 47, .external_lex_state = 2},
  [4551] = {.lex_state = 45, .external_lex_state = 2},
  [4552] = {.lex_state = 45, .external_lex_state = 2},
  [4553] = {.lex_state = 349, .external_lex_state = 5},
  [4554] = {.lex_state = 349, .external_lex_state = 5},
  [4555] = {.lex_state = 349, .external_lex_state = 5},
  [4556] = {.lex_state = 74, .external_lex_state = 2},
  [4557] = {.lex_state = 47, .external_lex_state = 2},
  [4558] = {.lex_state = 349, .external_lex_state = 5},
  [4559] = {.lex_state = 349, .external_lex_state = 5},
  [4560] = {.lex_state = 349, .external_lex_state = 5},
  [4561] = {.lex_state = 349, .external_lex_state = 5},
  [4562] = {.lex_state = 349, .external_lex_state = 5},
  [4563] = {.lex_state = 349, .external_lex_state = 5},
  [4564] = {.lex_state = 349, .external_lex_state = 5},
  [4565] = {.lex_state = 47, .external_lex_state = 2},
  [4566] = {.lex_state = 349, .external_lex_state = 5},
  [4567] = {.lex_state = 349, .external_lex_state = 2},
  [4568] = {.lex_state = 349, .external_lex_state = 5},
  [4569] = {.lex_state = 349, .external_lex_state = 5},
  [4570] = {.lex_state = 349, .external_lex_state = 2},
  [4571] = {.lex_state = 349, .external_lex_state = 5},
  [4572] = {.lex_state = 74, .external_lex_state = 2},
  [4573] = {.lex_state = 349, .external_lex_state = 5},
  [4574] = {.lex_state = 349, .external_lex_state = 5},
  [4575] = {.lex_state = 349, .external_lex_state = 5},
  [4576] = {.lex_state = 47, .external_lex_state = 2},
  [4577] = {.lex_state = 349, .external_lex_state = 5},
  [4578] = {.lex_state = 62, .external_lex_state = 2},
  [4579] = {.lex_state = 349, .external_lex_state = 2},
  [4580] = {.lex_state = 349, .external_lex_state = 5},
  [4581] = {.lex_state = 349, .external_lex_state = 5},
  [4582] = {.lex_state = 47, .external_lex_state = 2},
  [4583] = {.lex_state = 349, .external_lex_state = 5},
  [4584] = {.lex_state = 349, .external_lex_state = 5},
  [4585] = {.lex_state = 349, .external_lex_state = 5},
  [4586] = {.lex_state = 47, .external_lex_state = 2},
  [4587] = {.lex_state = 349, .external_lex_state = 5},
  [4588] = {.lex_state = 45, .external_lex_state = 2},
  [4589] = {.lex_state = 45, .external_lex_state = 2},
  [4590] = {.lex_state = 47, .external_lex_state = 2},
  [4591] = {.lex_state = 47, .external_lex_state = 2},
  [4592] = {.lex_state = 62, .external_lex_state = 2},
  [4593] = {.lex_state = 349, .external_lex_state = 5},
  [4594] = {.lex_state = 47, .external_lex_state = 2},
  [4595] = {.lex_state = 47, .external_lex_state = 2},
  [4596] = {.lex_state = 349, .external_lex_state = 5},
  [4597] = {.lex_state = 349, .external_lex_state = 2},
  [4598] = {.lex_state = 47, .external_lex_state = 2},
  [4599] = {.lex_state = 349, .external_lex_state = 5},
  [4600] = {.lex_state = 74, .external_lex_state = 2},
  [4601] = {.lex_state = 349, .external_lex_state = 5},
  [4602] = {.lex_state = 349, .external_lex_state = 5},
  [4603] = {.lex_state = 349, .external_lex_state = 5},
  [4604] = {.lex_state = 56, .external_lex_state = 2},
  [4605] = {.lex_state = 349, .external_lex_state = 2},
  [4606] = {.lex_state = 349, .external_lex_state = 2},
  [4607] = {.lex_state = 349, .external_lex_state = 5},
  [4608] = {.lex_state = 349, .external_lex_state = 5},
  [4609] = {.lex_state = 349, .external_lex_state = 5},
  [4610] = {.lex_state = 349, .external_lex_state = 6},
  [4611] = {.lex_state = 349, .external_lex_state = 2},
  [4612] = {.lex_state = 47, .external_lex_state = 2},
  [4613] = {.lex_state = 349, .external_lex_state = 5},
  [4614] = {.lex_state = 349, .external_lex_state = 2},
  [4615] = {.lex_state = 47, .external_lex_state = 2},
  [4616] = {.lex_state = 47, .external_lex_state = 2},
  [4617] = {.lex_state = 349, .external_lex_state = 5},
  [4618] = {.lex_state = 349, .external_lex_state = 5},
  [4619] = {.lex_state = 349, .external_lex_state = 2},
  [4620] = {.lex_state = 349, .external_lex_state = 2},
  [4621] = {.lex_state = 47, .external_lex_state = 2},
  [4622] = {.lex_state = 47, .external_lex_state = 2},
  [4623] = {.lex_state = 45, .external_lex_state = 2},
  [4624] = {.lex_state = 349, .external_lex_state = 5},
  [4625] = {.lex_state = 47, .external_lex_state = 2},
  [4626] = {.lex_state = 349, .external_lex_state = 5},
  [4627] = {.lex_state = 349, .external_lex_state = 2},
  [4628] = {.lex_state = 349, .external_lex_state = 5},
  [4629] = {.lex_state = 349, .external_lex_state = 5},
  [4630] = {.lex_state = 349, .external_lex_state = 5},
  [4631] = {.lex_state = 349, .external_lex_state = 5},
  [4632] = {.lex_state = 349, .external_lex_state = 5},
  [4633] = {.lex_state = 349, .external_lex_state = 5},
  [4634] = {.lex_state = 349, .external_lex_state = 5},
  [4635] = {.lex_state = 349, .external_lex_state = 5},
  [4636] = {.lex_state = 349, .external_lex_state = 5},
  [4637] = {.lex_state = 349, .external_lex_state = 5},
  [4638] = {.lex_state = 62, .external_lex_state = 2},
  [4639] = {.lex_state = 349, .external_lex_state = 5},
  [4640] = {.lex_state = 349, .external_lex_state = 5},
  [4641] = {.lex_state = 349, .external_lex_state = 5},
  [4642] = {.lex_state = 349, .external_lex_state = 5},
  [4643] = {.lex_state = 349, .external_lex_state = 5},
  [4644] = {.lex_state = 47, .external_lex_state = 2},
  [4645] = {.lex_state = 45, .external_lex_state = 2},
  [4646] = {.lex_state = 349, .external_lex_state = 2},
  [4647] = {.lex_state = 349, .external_lex_state = 5},
  [4648] = {.lex_state = 349, .external_lex_state = 5},
  [4649] = {.lex_state = 349, .external_lex_state = 5},
  [4650] = {.lex_state = 349, .external_lex_state = 2},
  [4651] = {.lex_state = 349, .external_lex_state = 5},
  [4652] = {.lex_state = 349, .external_lex_state = 5},
  [4653] = {.lex_state = 349, .external_lex_state = 6},
  [4654] = {.lex_state = 62, .external_lex_state = 2},
  [4655] = {.lex_state = 349, .external_lex_state = 2},
  [4656] = {.lex_state = 349, .external_lex_state = 2},
  [4657] = {.lex_state = 45, .external_lex_state = 2},
  [4658] = {.lex_state = 349, .external_lex_state = 6},
  [4659] = {.lex_state = 349, .external_lex_state = 5},
  [4660] = {.lex_state = 349, .external_lex_state = 5},
  [4661] = {.lex_state = 349, .external_lex_state = 6},
  [4662] = {.lex_state = 349, .external_lex_state = 5},
  [4663] = {.lex_state = 349, .external_lex_state = 5},
  [4664] = {.lex_state = 349, .external_lex_state = 2},
  [4665] = {.lex_state = 349, .external_lex_state = 5},
  [4666] = {.lex_state = 47, .external_lex_state = 2},
  [4667] = {.lex_state = 349, .external_lex_state = 5},
  [4668] = {.lex_state = 349, .external_lex_state = 5},
  [4669] = {.lex_state = 46, .external_lex_state = 5},
  [4670] = {.lex_state = 349, .external_lex_state = 5},
  [4671] = {.lex_state = 50, .external_lex_state = 2},
  [4672] = {.lex_state = 349, .external_lex_state = 5},
  [4673] = {.lex_state = 349, .external_lex_state = 5},
  [4674] = {.lex_state = 349, .external_lex_state = 2},
  [4675] = {.lex_state = 349, .external_lex_state = 2},
  [4676] = {.lex_state = 46, .external_lex_state = 5},
  [4677] = {.lex_state = 47, .external_lex_state = 2},
  [4678] = {.lex_state = 46, .external_lex_state = 5},
  [4679] = {.lex_state = 47, .external_lex_state = 2},
  [4680] = {.lex_state = 47, .external_lex_state = 2},
  [4681] = {.lex_state = 47, .external_lex_state = 2},
  [4682] = {.lex_state = 349, .external_lex_state = 5},
  [4683] = {.lex_state = 349, .external_lex_state = 6},
  [4684] = {.lex_state = 349, .external_lex_state = 5},
  [4685] = {.lex_state = 349, .external_lex_state = 5},
  [4686] = {.lex_state = 349, .external_lex_state = 5},
  [4687] = {.lex_state = 349, .external_lex_state = 2},
  [4688] = {.lex_state = 47, .external_lex_state = 2},
  [4689] = {.lex_state = 349, .external_lex_state = 5},
  [4690] = {.lex_state = 349, .external_lex_state = 6},
  [4691] = {.lex_state = 74, .external_lex_state = 2},
  [4692] = {.lex_state = 349, .external_lex_state = 5},
  [4693] = {.lex_state = 45, .external_lex_state = 2},
  [4694] = {.lex_state = 349, .external_lex_state = 2},
  [4695] = {.lex_state = 47, .external_lex_state = 2},
  [4696] = {.lex_state = 349, .external_lex_state = 2},
  [4697] = {.lex_state = 349, .external_lex_state = 5},
  [4698] = {.lex_state = 349, .external_lex_state = 2},
  [4699] = {.lex_state = 62, .external_lex_state = 2},
  [4700] = {.lex_state = 46, .external_lex_state = 5},
  [4701] = {.lex_state = 349, .external_lex_state = 5},
  [4702] = {.lex_state = 349, .external_lex_state = 2},
  [4703] = {.lex_state = 349, .external_lex_state = 2},
  [4704] = {.lex_state = 349, .external_lex_state = 2},
  [4705] = {.lex_state = 349, .external_lex_state = 5},
  [4706] = {.lex_state = 349, .external_lex_state = 5},
  [4707] = {.lex_state = 349, .external_lex_state = 5},
  [4708] = {.lex_state = 349, .external_lex_state = 5},
  [4709] = {.lex_state = 349, .external_lex_state = 5},
  [4710] = {.lex_state = 349, .external_lex_state = 5},
  [4711] = {.lex_state = 349, .external_lex_state = 2},
  [4712] = {.lex_state = 349, .external_lex_state = 5},
  [4713] = {.lex_state = 349, .external_lex_state = 5},
  [4714] = {.lex_state = 46, .external_lex_state = 5},
  [4715] = {.lex_state = 349, .external_lex_state = 5},
  [4716] = {.lex_state = 349, .external_lex_state = 5},
  [4717] = {.lex_state = 349, .external_lex_state = 2},
  [4718] = {.lex_state = 349, .external_lex_state = 5},
  [4719] = {.lex_state = 45, .external_lex_state = 2},
  [4720] = {.lex_state = 349, .external_lex_state = 5},
  [4721] = {.lex_state = 349, .external_lex_state = 5},
  [4722] = {.lex_state = 349, .external_lex_state = 5},
  [4723] = {.lex_state = 349, .external_lex_state = 2},
  [4724] = {.lex_state = 349, .external_lex_state = 5},
  [4725] = {.lex_state = 46, .external_lex_state = 5},
  [4726] = {.lex_state = 349, .external_lex_state = 5},
  [4727] = {.lex_state = 349, .external_lex_state = 5},
  [4728] = {.lex_state = 349, .external_lex_state = 5},
  [4729] = {.lex_state = 349, .external_lex_state = 5},
  [4730] = {.lex_state = 349, .external_lex_state = 5},
  [4731] = {.lex_state = 349, .external_lex_state = 5},
  [4732] = {.lex_state = 349, .external_lex_state = 5},
  [4733] = {.lex_state = 349, .external_lex_state = 5},
  [4734] = {.lex_state = 349, .external_lex_state = 5},
  [4735] = {.lex_state = 349, .external_lex_state = 5},
  [4736] = {.lex_state = 349, .external_lex_state = 5},
  [4737] = {.lex_state = 349, .external_lex_state = 5},
  [4738] = {.lex_state = 349, .external_lex_state = 5},
  [4739] = {.lex_state = 349, .external_lex_state = 5},
  [4740] = {.lex_state = 349, .external_lex_state = 5},
  [4741] = {.lex_state = 349, .external_lex_state = 5},
  [4742] = {.lex_state = 46, .external_lex_state = 5},
  [4743] = {.lex_state = 349, .external_lex_state = 5},
  [4744] = {.lex_state = 62, .external_lex_state = 2},
  [4745] = {.lex_state = 47, .external_lex_state = 2},
  [4746] = {.lex_state = 47, .external_lex_state = 2},
  [4747] = {.lex_state = 349, .external_lex_state = 2},
  [4748] = {.lex_state = 349, .external_lex_state = 5},
  [4749] = {.lex_state = 349, .external_lex_state = 2},
  [4750] = {.lex_state = 349, .external_lex_state = 2},
  [4751] = {.lex_state = 349, .external_lex_state = 2},
  [4752] = {.lex_state = 47, .external_lex_state = 2},
  [4753] = {.lex_state = 349, .external_lex_state = 2},
  [4754] = {.lex_state = 349, .external_lex_state = 2},
  [4755] = {.lex_state = 349, .external_lex_state = 2},
  [4756] = {.lex_state = 349, .external_lex_state = 5},
  [4757] = {.lex_state = 349, .external_lex_state = 5},
  [4758] = {.lex_state = 349, .external_lex_state = 2},
  [4759] = {.lex_state = 349, .external_lex_state = 5},
  [4760] = {.lex_state = 349, .external_lex_state = 5},
  [4761] = {.lex_state = 349, .external_lex_state = 5},
  [4762] = {.lex_state = 349, .external_lex_state = 5},
  [4763] = {.lex_state = 349, .external_lex_state = 5},
  [4764] = {.lex_state = 349, .external_lex_state = 2},
  [4765] = {.lex_state = 349, .external_lex_state = 5},
  [4766] = {.lex_state = 349, .external_lex_state = 2},
  [4767] = {.lex_state = 349, .external_lex_state = 2},
  [4768] = {.lex_state = 349, .external_lex_state = 5},
  [4769] = {.lex_state = 349, .external_lex_state = 5},
  [4770] = {.lex_state = 349, .external_lex_state = 2},
  [4771] = {.lex_state = 349, .external_lex_state = 5},
  [4772] = {.lex_state = 47, .external_lex_state = 2},
  [4773] = {.lex_state = 349, .external_lex_state = 5},
  [4774] = {.lex_state = 349, .external_lex_state = 5},
  [4775] = {.lex_state = 349, .external_lex_state = 5},
  [4776] = {.lex_state = 349, .external_lex_state = 2},
  [4777] = {.lex_state = 47, .external_lex_state = 2},
  [4778] = {.lex_state = 349, .external_lex_state = 5},
  [4779] = {.lex_state = 349, .external_lex_state = 2},
  [4780] = {.lex_state = 45, .external_lex_state = 2},
  [4781] = {.lex_state = 349, .external_lex_state = 5},
  [4782] = {.lex_state = 45, .external_lex_state = 2},
  [4783] = {.lex_state = 349, .external_lex_state = 5},
  [4784] = {.lex_state = 349, .external_lex_state = 5},
  [4785] = {.lex_state = 74, .external_lex_state = 2},
  [4786] = {.lex_state = 349, .external_lex_state = 5},
  [4787] = {.lex_state = 47, .external_lex_state = 2},
  [4788] = {.lex_state = 62, .external_lex_state = 2},
  [4789] = {.lex_state = 349, .external_lex_state = 5},
  [4790] = {.lex_state = 349, .external_lex_state = 2},
  [4791] = {.lex_state = 47, .external_lex_state = 2},
  [4792] = {.lex_state = 349, .external_lex_state = 5},
  [4793] = {.lex_state = 349, .external_lex_state = 2},
  [4794] = {.lex_state = 349, .external_lex_state = 5},
  [4795] = {.lex_state = 349, .external_lex_state = 2},
  [4796] = {.lex_state = 45, .external_lex_state = 2},
  [4797] = {.lex_state = 349, .external_lex_state = 2},
  [4798] = {.lex_state = 47, .external_lex_state = 2},
  [4799] = {.lex_state = 349, .external_lex_state = 5},
  [4800] = {.lex_state = 47, .external_lex_state = 2},
  [4801] = {.lex_state = 349, .external_lex_state = 2},
  [4802] = {.lex_state = 47, .external_lex_state = 2},
  [4803] = {.lex_state = 349, .external_lex_state = 2},
  [4804] = {.lex_state = 45, .external_lex_state = 2},
  [4805] = {.lex_state = 45, .external_lex_state = 2},
  [4806] = {.lex_state = 45, .external_lex_state = 2},
  [4807] = {.lex_state = 45, .external_lex_state = 2},
  [4808] = {.lex_state = 349, .external_lex_state = 5},
  [4809] = {.lex_state = 45, .external_lex_state = 2},
  [4810] = {.lex_state = 349, .external_lex_state = 6},
  [4811] = {.lex_state = 349, .external_lex_state = 7},
  [4812] = {.lex_state = 349, .external_lex_state = 5},
  [4813] = {.lex_state = 349, .external_lex_state = 6},
  [4814] = {.lex_state = 47, .external_lex_state = 2},
  [4815] = {.lex_state = 47, .external_lex_state = 2},
  [4816] = {.lex_state = 349, .external_lex_state = 5},
  [4817] = {.lex_state = 349, .external_lex_state = 6},
  [4818] = {.lex_state = 47, .external_lex_state = 2},
  [4819] = {.lex_state = 349, .external_lex_state = 7},
  [4820] = {.lex_state = 47, .external_lex_state = 2},
  [4821] = {.lex_state = 349, .external_lex_state = 5},
  [4822] = {.lex_state = 349, .external_lex_state = 5},
  [4823] = {.lex_state = 349, .external_lex_state = 2},
  [4824] = {.lex_state = 47, .external_lex_state = 2},
  [4825] = {.lex_state = 47, .external_lex_state = 2},
  [4826] = {.lex_state = 45, .external_lex_state = 2},
  [4827] = {.lex_state = 47, .external_lex_state = 2},
  [4828] = {.lex_state = 349, .external_lex_state = 5},
  [4829] = {.lex_state = 349, .external_lex_state = 2},
  [4830] = {.lex_state = 349, .external_lex_state = 6},
  [4831] = {.lex_state = 45, .external_lex_state = 2},
  [4832] = {.lex_state = 45, .external_lex_state = 2},
  [4833] = {.lex_state = 47, .external_lex_state = 2},
  [4834] = {.lex_state = 47, .external_lex_state = 2},
  [4835] = {.lex_state = 45, .external_lex_state = 2},
  [4836] = {.lex_state = 349, .external_lex_state = 5},
  [4837] = {.lex_state = 349, .external_lex_state = 5},
  [4838] = {.lex_state = 349, .external_lex_state = 5},
  [4839] = {.lex_state = 349, .external_lex_state = 5},
  [4840] = {.lex_state = 45, .external_lex_state = 2},
  [4841] = {.lex_state = 349, .external_lex_state = 5},
  [4842] = {.lex_state = 349, .external_lex_state = 2},
  [4843] = {.lex_state = 349, .external_lex_state = 6},
  [4844] = {.lex_state = 349, .external_lex_state = 6},
  [4845] = {.lex_state = 349, .external_lex_state = 6},
  [4846] = {.lex_state = 349, .external_lex_state = 5},
  [4847] = {.lex_state = 349, .external_lex_state = 5},
  [4848] = {.lex_state = 45, .external_lex_state = 2},
  [4849] = {.lex_state = 349, .external_lex_state = 5},
  [4850] = {.lex_state = 349, .external_lex_state = 5},
  [4851] = {.lex_state = 349, .external_lex_state = 6},
  [4852] = {.lex_state = 349, .external_lex_state = 5},
  [4853] = {.lex_state = 349, .external_lex_state = 2},
  [4854] = {.lex_state = 349, .external_lex_state = 5},
  [4855] = {.lex_state = 349, .external_lex_state = 5},
  [4856] = {.lex_state = 349, .external_lex_state = 5},
  [4857] = {.lex_state = 349, .external_lex_state = 2},
  [4858] = {.lex_state = 349, .external_lex_state = 5},
  [4859] = {.lex_state = 45, .external_lex_state = 2},
  [4860] = {.lex_state = 47, .external_lex_state = 2},
  [4861] = {.lex_state = 45, .external_lex_state = 2},
  [4862] = {.lex_state = 45, .external_lex_state = 2},
  [4863] = {.lex_state = 45, .external_lex_state = 2},
  [4864] = {.lex_state = 45, .external_lex_state = 2},
  [4865] = {.lex_state = 349, .external_lex_state = 5},
  [4866] = {.lex_state = 349, .external_lex_state = 5},
  [4867] = {.lex_state = 349, .external_lex_state = 2},
  [4868] = {.lex_state = 45, .external_lex_state = 2},
  [4869] = {.lex_state = 47, .external_lex_state = 2},
  [4870] = {.lex_state = 349, .external_lex_state = 6},
  [4871] = {.lex_state = 47, .external_lex_state = 2},
  [4872] = {.lex_state = 349, .external_lex_state = 5},
  [4873] = {.lex_state = 47, .external_lex_state = 2},
  [4874] = {.lex_state = 349, .external_lex_state = 5},
  [4875] = {.lex_state = 349, .external_lex_state = 2},
  [4876] = {.lex_state = 349, .external_lex_state = 6},
  [4877] = {.lex_state = 45, .external_lex_state = 2},
  [4878] = {.lex_state = 349, .external_lex_state = 5},
  [4879] = {.lex_state = 47, .external_lex_state = 2},
  [4880] = {.lex_state = 45, .external_lex_state = 2},
  [4881] = {.lex_state = 349, .external_lex_state = 6},
  [4882] = {.lex_state = 45, .external_lex_state = 2},
  [4883] = {.lex_state = 349, .external_lex_state = 2},
  [4884] = {.lex_state = 45, .external_lex_state = 2},
  [4885] = {.lex_state = 349, .external_lex_state = 5},
  [4886] = {.lex_state = 349, .external_lex_state = 2},
  [4887] = {.lex_state = 349, .external_lex_state = 2},
  [4888] = {.lex_state = 349, .external_lex_state = 6},
  [4889] = {.lex_state = 349, .external_lex_state = 5},
  [4890] = {.lex_state = 45, .external_lex_state = 2},
  [4891] = {.lex_state = 349, .external_lex_state = 5},
  [4892] = {.lex_state = 47, .external_lex_state = 2},
  [4893] = {.lex_state = 45, .external_lex_state = 2},
  [4894] = {.lex_state = 349, .external_lex_state = 5},
  [4895] = {.lex_state = 349, .external_lex_state = 5},
  [4896] = {.lex_state = 45, .external_lex_state = 2},
  [4897] = {.lex_state = 349, .external_lex_state = 5},
  [4898] = {.lex_state = 349, .external_lex_state = 5},
  [4899] = {.lex_state = 349, .external_lex_state = 6},
  [4900] = {.lex_state = 349, .external_lex_state = 6},
  [4901] = {.lex_state = 349, .external_lex_state = 5},
  [4902] = {.lex_state = 45, .external_lex_state = 2},
  [4903] = {.lex_state = 349, .external_lex_state = 6},
  [4904] = {.lex_state = 45, .external_lex_state = 2},
  [4905] = {.lex_state = 47, .external_lex_state = 2},
  [4906] = {.lex_state = 349, .external_lex_state = 2},
  [4907] = {.lex_state = 349, .external_lex_state = 2},
  [4908] = {.lex_state = 62, .external_lex_state = 2},
  [4909] = {.lex_state = 349, .external_lex_state = 2},
  [4910] = {.lex_state = 45, .external_lex_state = 2},
  [4911] = {.lex_state = 45, .external_lex_state = 2},
  [4912] = {.lex_state = 45, .external_lex_state = 2},
  [4913] = {.lex_state = 349, .external_lex_state = 2},
  [4914] = {.lex_state = 349, .external_lex_state = 7},
  [4915] = {.lex_state = 45, .external_lex_state = 2},
  [4916] = {.lex_state = 349, .external_lex_state = 5},
  [4917] = {.lex_state = 349, .external_lex_state = 2},
  [4918] = {.lex_state = 349, .external_lex_state = 6},
  [4919] = {.lex_state = 45, .external_lex_state = 2},
  [4920] = {.lex_state = 45, .external_lex_state = 2},
  [4921] = {.lex_state = 349, .external_lex_state = 6},
  [4922] = {.lex_state = 45, .external_lex_state = 2},
  [4923] = {.lex_state = 349, .external_lex_state = 2},
  [4924] = {.lex_state = 349, .external_lex_state = 6},
  [4925] = {.lex_state = 349, .external_lex_state = 5},
  [4926] = {.lex_state = 349, .external_lex_state = 5},
  [4927] = {.lex_state = 349, .external_lex_state = 2},
  [4928] = {.lex_state = 62, .external_lex_state = 2},
  [4929] = {.lex_state = 349, .external_lex_state = 6},
  [4930] = {.lex_state = 45, .external_lex_state = 2},
  [4931] = {.lex_state = 349, .external_lex_state = 6},
  [4932] = {.lex_state = 349, .external_lex_state = 5},
  [4933] = {.lex_state = 47, .external_lex_state = 2},
  [4934] = {.lex_state = 45, .external_lex_state = 2},
  [4935] = {.lex_state = 45, .external_lex_state = 2},
  [4936] = {.lex_state = 349, .external_lex_state = 5},
  [4937] = {.lex_state = 47, .external_lex_state = 2},
  [4938] = {.lex_state = 349, .external_lex_state = 6},
  [4939] = {.lex_state = 47, .external_lex_state = 2},
  [4940] = {.lex_state = 47, .external_lex_state = 2},
  [4941] = {.lex_state = 47, .external_lex_state = 2},
  [4942] = {.lex_state = 45, .external_lex_state = 2},
  [4943] = {.lex_state = 349, .external_lex_state = 7},
  [4944] = {.lex_state = 45, .external_lex_state = 2},
  [4945] = {.lex_state = 45, .external_lex_state = 2},
  [4946] = {.lex_state = 349, .external_lex_state = 6},
  [4947] = {.lex_state = 45, .external_lex_state = 2},
  [4948] = {.lex_state = 47, .external_lex_state = 2},
  [4949] = {.lex_state = 47, .external_lex_state = 2},
  [4950] = {.lex_state = 47, .external_lex_state = 2},
  [4951] = {.lex_state = 349, .external_lex_state = 2},
  [4952] = {.lex_state = 47, .external_lex_state = 2},
  [4953] = {.lex_state = 45, .external_lex_state = 2},
  [4954] = {.lex_state = 45, .external_lex_state = 2},
  [4955] = {.lex_state = 45, .external_lex_state = 2},
  [4956] = {.lex_state = 45, .external_lex_state = 2},
  [4957] = {.lex_state = 349, .external_lex_state = 6},
  [4958] = {.lex_state = 47, .external_lex_state = 2},
  [4959] = {.lex_state = 45, .external_lex_state = 2},
  [4960] = {.lex_state = 45, .external_lex_state = 2},
  [4961] = {.lex_state = 349, .external_lex_state = 6},
  [4962] = {.lex_state = 45, .external_lex_state = 2},
  [4963] = {.lex_state = 47, .external_lex_state = 2},
  [4964] = {.lex_state = 349, .external_lex_state = 6},
  [4965] = {.lex_state = 47, .external_lex_state = 2},
  [4966] = {.lex_state = 47, .external_lex_state = 2},
  [4967] = {.lex_state = 45, .external_lex_state = 2},
  [4968] = {.lex_state = 47, .external_lex_state = 2},
  [4969] = {.lex_state = 349, .external_lex_state = 5},
  [4970] = {.lex_state = 349, .external_lex_state = 6},
  [4971] = {.lex_state = 47, .external_lex_state = 2},
  [4972] = {.lex_state = 349, .external_lex_state = 5},
  [4973] = {.lex_state = 47, .external_lex_state = 2},
  [4974] = {.lex_state = 45, .external_lex_state = 2},
  [4975] = {.lex_state = 47, .external_lex_state = 2},
  [4976] = {.lex_state = 47, .external_lex_state = 2},
  [4977] = {.lex_state = 349, .external_lex_state = 2},
  [4978] = {.lex_state = 349, .external_lex_state = 2},
  [4979] = {.lex_state = 47, .external_lex_state = 2},
  [4980] = {.lex_state = 349, .external_lex_state = 6},
  [4981] = {.lex_state = 45, .external_lex_state = 2},
  [4982] = {.lex_state = 47, .external_lex_state = 2},
  [4983] = {.lex_state = 349, .external_lex_state = 7},
  [4984] = {.lex_state = 349, .external_lex_state = 6},
  [4985] = {.lex_state = 349, .external_lex_state = 6},
  [4986] = {.lex_state = 47, .external_lex_state = 2},
  [4987] = {.lex_state = 47, .external_lex_state = 2},
  [4988] = {.lex_state = 47, .external_lex_state = 2},
  [4989] = {.lex_state = 349, .external_lex_state = 2},
  [4990] = {.lex_state = 45, .external_lex_state = 2},
  [4991] = {.lex_state = 349, .external_lex_state = 2},
  [4992] = {.lex_state = 45, .external_lex_state = 2},
  [4993] = {.lex_state = 349, .external_lex_state = 5},
  [4994] = {.lex_state = 349, .external_lex_state = 5},
  [4995] = {.lex_state = 349, .external_lex_state = 5},
  [4996] = {.lex_state = 349, .external_lex_state = 5},
  [4997] = {.lex_state = 349, .external_lex_state = 5},
  [4998] = {.lex_state = 349, .external_lex_state = 5},
  [4999] = {.lex_state = 349, .external_lex_state = 5},
  [5000] = {.lex_state = 349, .external_lex_state = 6},
  [5001] = {.lex_state = 349, .external_lex_state = 5},
  [5002] = {.lex_state = 349, .external_lex_state = 5},
  [5003] = {.lex_state = 62, .external_lex_state = 2},
  [5004] = {.lex_state = 45, .external_lex_state = 2},
  [5005] = {.lex_state = 349, .external_lex_state = 5},
  [5006] = {.lex_state = 349, .external_lex_state = 5},
  [5007] = {.lex_state = 349, .external_lex_state = 5},
  [5008] = {.lex_state = 349, .external_lex_state = 5},
  [5009] = {.lex_state = 349, .external_lex_state = 5},
  [5010] = {.lex_state = 62, .external_lex_state = 2},
  [5011] = {.lex_state = 62, .external_lex_state = 2},
  [5012] = {.lex_state = 349, .external_lex_state = 5},
  [5013] = {.lex_state = 349, .external_lex_state = 5},
  [5014] = {.lex_state = 349, .external_lex_state = 6},
  [5015] = {.lex_state = 349, .external_lex_state = 5},
  [5016] = {.lex_state = 349, .external_lex_state = 2},
  [5017] = {.lex_state = 349, .external_lex_state = 5},
  [5018] = {.lex_state = 349, .external_lex_state = 5},
  [5019] = {.lex_state = 349, .external_lex_state = 6},
  [5020] = {.lex_state = 349, .external_lex_state = 5},
  [5021] = {.lex_state = 349, .external_lex_state = 5},
  [5022] = {.lex_state = 349, .external_lex_state = 5},
  [5023] = {.lex_state = 45, .external_lex_state = 2},
  [5024] = {.lex_state = 349, .external_lex_state = 5},
  [5025] = {.lex_state = 349, .external_lex_state = 2},
  [5026] = {.lex_state = 349, .external_lex_state = 2},
  [5027] = {.lex_state = 349, .external_lex_state = 5},
  [5028] = {.lex_state = 349, .external_lex_state = 5},
  [5029] = {.lex_state = 349, .external_lex_state = 5},
  [5030] = {.lex_state = 349, .external_lex_state = 5},
  [5031] = {.lex_state = 349, .external_lex_state = 5},
  [5032] = {.lex_state = 349, .external_lex_state = 5},
  [5033] = {.lex_state = 349, .external_lex_state = 5},
  [5034] = {.lex_state = 349, .external_lex_state = 5},
  [5035] = {.lex_state = 349, .external_lex_state = 5},
  [5036] = {.lex_state = 349, .external_lex_state = 5},
  [5037] = {.lex_state = 349, .external_lex_state = 5},
  [5038] = {.lex_state = 349, .external_lex_state = 5},
  [5039] = {.lex_state = 349, .external_lex_state = 5},
  [5040] = {.lex_state = 349, .external_lex_state = 5},
  [5041] = {.lex_state = 349, .external_lex_state = 5},
  [5042] = {.lex_state = 349, .external_lex_state = 5},
  [5043] = {.lex_state = 349, .external_lex_state = 5},
  [5044] = {.lex_state = 349, .external_lex_state = 5},
  [5045] = {.lex_state = 349, .external_lex_state = 5},
  [5046] = {.lex_state = 349, .external_lex_state = 5},
  [5047] = {.lex_state = 349, .external_lex_state = 5},
  [5048] = {.lex_state = 349, .external_lex_state = 5},
  [5049] = {.lex_state = 349, .external_lex_state = 5},
  [5050] = {.lex_state = 349, .external_lex_state = 5},
  [5051] = {.lex_state = 349, .external_lex_state = 5},
  [5052] = {.lex_state = 349, .external_lex_state = 5},
  [5053] = {.lex_state = 349, .external_lex_state = 5},
  [5054] = {.lex_state = 349, .external_lex_state = 5},
  [5055] = {.lex_state = 349, .external_lex_state = 5},
  [5056] = {.lex_state = 349, .external_lex_state = 5},
  [5057] = {.lex_state = 349, .external_lex_state = 5},
  [5058] = {.lex_state = 349, .external_lex_state = 5},
  [5059] = {.lex_state = 349, .external_lex_state = 5},
  [5060] = {.lex_state = 349, .external_lex_state = 5},
  [5061] = {.lex_state = 349, .external_lex_state = 5},
  [5062] = {.lex_state = 349, .external_lex_state = 5},
  [5063] = {.lex_state = 349, .external_lex_state = 5},
  [5064] = {.lex_state = 349, .external_lex_state = 5},
  [5065] = {.lex_state = 349, .external_lex_state = 5},
  [5066] = {.lex_state = 349, .external_lex_state = 5},
  [5067] = {.lex_state = 349, .external_lex_state = 5},
  [5068] = {.lex_state = 349, .external_lex_state = 5},
  [5069] = {.lex_state = 45, .external_lex_state = 2},
  [5070] = {.lex_state = 349, .external_lex_state = 6},
  [5071] = {.lex_state = 349, .external_lex_state = 5},
  [5072] = {.lex_state = 349, .external_lex_state = 5},
  [5073] = {.lex_state = 349, .external_lex_state = 5},
  [5074] = {.lex_state = 349, .external_lex_state = 5},
  [5075] = {.lex_state = 45, .external_lex_state = 2},
  [5076] = {.lex_state = 45, .external_lex_state = 2},
  [5077] = {.lex_state = 349, .external_lex_state = 5},
  [5078] = {.lex_state = 349, .external_lex_state = 5},
  [5079] = {.lex_state = 349, .external_lex_state = 5},
  [5080] = {.lex_state = 349, .external_lex_state = 5},
  [5081] = {.lex_state = 45, .external_lex_state = 5},
  [5082] = {.lex_state = 349, .external_lex_state = 5},
  [5083] = {.lex_state = 45, .external_lex_state = 5},
  [5084] = {.lex_state = 349, .external_lex_state = 5},
  [5085] = {.lex_state = 349, .external_lex_state = 5},
  [5086] = {.lex_state = 349, .external_lex_state = 5},
  [5087] = {.lex_state = 349, .external_lex_state = 5},
  [5088] = {.lex_state = 349, .external_lex_state = 5},
  [5089] = {.lex_state = 349, .external_lex_state = 5},
  [5090] = {.lex_state = 349, .external_lex_state = 5},
  [5091] = {.lex_state = 349, .external_lex_state = 6},
  [5092] = {.lex_state = 349, .external_lex_state = 5},
  [5093] = {.lex_state = 45, .external_lex_state = 5},
  [5094] = {.lex_state = 349, .external_lex_state = 5},
  [5095] = {.lex_state = 349, .external_lex_state = 2},
  [5096] = {.lex_state = 349, .external_lex_state = 5},
  [5097] = {.lex_state = 349, .external_lex_state = 5},
  [5098] = {.lex_state = 349, .external_lex_state = 5},
  [5099] = {.lex_state = 349, .external_lex_state = 5},
  [5100] = {.lex_state = 45, .external_lex_state = 2},
  [5101] = {.lex_state = 349, .external_lex_state = 5},
  [5102] = {.lex_state = 349, .external_lex_state = 5},
  [5103] = {.lex_state = 349, .external_lex_state = 5},
  [5104] = {.lex_state = 349, .external_lex_state = 5},
  [5105] = {.lex_state = 349, .external_lex_state = 5},
  [5106] = {.lex_state = 349, .external_lex_state = 5},
  [5107] = {.lex_state = 349, .external_lex_state = 5},
  [5108] = {.lex_state = 349, .external_lex_state = 5},
  [5109] = {.lex_state = 349, .external_lex_state = 5},
  [5110] = {.lex_state = 349, .external_lex_state = 5},
  [5111] = {.lex_state = 349, .external_lex_state = 5},
  [5112] = {.lex_state = 349, .external_lex_state = 2},
  [5113] = {.lex_state = 349, .external_lex_state = 5},
  [5114] = {.lex_state = 45, .external_lex_state = 2},
  [5115] = {.lex_state = 55, .external_lex_state = 2},
  [5116] = {.lex_state = 349, .external_lex_state = 5},
  [5117] = {.lex_state = 349, .external_lex_state = 5},
  [5118] = {.lex_state = 349, .external_lex_state = 5},
  [5119] = {.lex_state = 45, .external_lex_state = 2},
  [5120] = {.lex_state = 349, .external_lex_state = 5},
  [5121] = {.lex_state = 349, .external_lex_state = 5},
  [5122] = {.lex_state = 349, .external_lex_state = 6},
  [5123] = {.lex_state = 349, .external_lex_state = 5},
  [5124] = {.lex_state = 45, .external_lex_state = 2},
  [5125] = {.lex_state = 349, .external_lex_state = 2},
  [5126] = {.lex_state = 349, .external_lex_state = 5},
  [5127] = {.lex_state = 45, .external_lex_state = 2},
  [5128] = {.lex_state = 349, .external_lex_state = 5},
  [5129] = {.lex_state = 46, .external_lex_state = 2},
  [5130] = {.lex_state = 349, .external_lex_state = 5},
  [5131] = {.lex_state = 62, .external_lex_state = 2},
  [5132] = {.lex_state = 45, .external_lex_state = 2},
  [5133] = {.lex_state = 45, .external_lex_state = 5},
  [5134] = {.lex_state = 45, .external_lex_state = 2},
  [5135] = {.lex_state = 45, .external_lex_state = 2},
  [5136] = {.lex_state = 349, .external_lex_state = 5},
  [5137] = {.lex_state = 349, .external_lex_state = 5},
  [5138] = {.lex_state = 349, .external_lex_state = 5},
  [5139] = {.lex_state = 349, .external_lex_state = 5},
  [5140] = {.lex_state = 349, .external_lex_state = 5},
  [5141] = {.lex_state = 349, .external_lex_state = 5},
  [5142] = {.lex_state = 349, .external_lex_state = 2},
  [5143] = {.lex_state = 349, .external_lex_state = 2},
  [5144] = {.lex_state = 349, .external_lex_state = 5},
  [5145] = {.lex_state = 45, .external_lex_state = 2},
  [5146] = {.lex_state = 45, .external_lex_state = 2},
  [5147] = {.lex_state = 349, .external_lex_state = 6},
  [5148] = {.lex_state = 349, .external_lex_state = 5},
  [5149] = {.lex_state = 349, .external_lex_state = 5},
  [5150] = {.lex_state = 349, .external_lex_state = 5},
  [5151] = {.lex_state = 45, .external_lex_state = 5},
  [5152] = {.lex_state = 349, .external_lex_state = 5},
  [5153] = {.lex_state = 45, .external_lex_state = 2},
  [5154] = {.lex_state = 349, .external_lex_state = 5},
  [5155] = {.lex_state = 45, .external_lex_state = 2},
  [5156] = {.lex_state = 349, .external_lex_state = 5},
  [5157] = {.lex_state = 349, .external_lex_state = 5},
  [5158] = {.lex_state = 45, .external_lex_state = 5},
  [5159] = {.lex_state = 349, .external_lex_state = 5},
  [5160] = {.lex_state = 349, .external_lex_state = 5},
  [5161] = {.lex_state = 349, .external_lex_state = 5},
  [5162] = {.lex_state = 45, .external_lex_state = 2},
  [5163] = {.lex_state = 349, .external_lex_state = 5},
  [5164] = {.lex_state = 349, .external_lex_state = 5},
  [5165] = {.lex_state = 349, .external_lex_state = 5},
  [5166] = {.lex_state = 45, .external_lex_state = 5},
  [5167] = {.lex_state = 349, .external_lex_state = 2},
  [5168] = {.lex_state = 349, .external_lex_state = 5},
  [5169] = {.lex_state = 45, .external_lex_state = 2},
  [5170] = {.lex_state = 349, .external_lex_state = 8},
  [5171] = {.lex_state = 46, .external_lex_state = 2},
  [5172] = {.lex_state = 349, .external_lex_state = 6},
  [5173] = {.lex_state = 349, .external_lex_state = 5},
  [5174] = {.lex_state = 45, .external_lex_state = 2},
  [5175] = {.lex_state = 349, .external_lex_state = 8},
  [5176] = {.lex_state = 349, .external_lex_state = 5},
  [5177] = {.lex_state = 349, .external_lex_state = 5},
  [5178] = {.lex_state = 349, .external_lex_state = 8},
  [5179] = {.lex_state = 349, .external_lex_state = 5},
  [5180] = {.lex_state = 349, .external_lex_state = 5},
  [5181] = {.lex_state = 349, .external_lex_state = 5},
  [5182] = {.lex_state = 45, .external_lex_state = 2},
  [5183] = {.lex_state = 349, .external_lex_state = 2},
  [5184] = {.lex_state = 349, .external_lex_state = 5},
  [5185] = {.lex_state = 349, .external_lex_state = 5},
  [5186] = {.lex_state = 349, .external_lex_state = 5},
  [5187] = {.lex_state = 349, .external_lex_state = 5},
  [5188] = {.lex_state = 349, .external_lex_state = 5},
  [5189] = {.lex_state = 349, .external_lex_state = 6},
  [5190] = {.lex_state = 45, .external_lex_state = 2},
  [5191] = {.lex_state = 47, .external_lex_state = 2},
  [5192] = {.lex_state = 349, .external_lex_state = 5},
  [5193] = {.lex_state = 349, .external_lex_state = 5},
  [5194] = {.lex_state = 349, .external_lex_state = 2},
  [5195] = {.lex_state = 45, .external_lex_state = 5},
  [5196] = {.lex_state = 45, .external_lex_state = 2},
  [5197] = {.lex_state = 349, .external_lex_state = 5},
  [5198] = {.lex_state = 45, .external_lex_state = 2},
  [5199] = {.lex_state = 349, .external_lex_state = 5},
  [5200] = {.lex_state = 45, .external_lex_state = 2},
  [5201] = {.lex_state = 349, .external_lex_state = 5},
  [5202] = {.lex_state = 47, .external_lex_state = 2},
  [5203] = {.lex_state = 349, .external_lex_state = 5},
  [5204] = {.lex_state = 349, .external_lex_state = 5},
  [5205] = {.lex_state = 349, .external_lex_state = 6},
  [5206] = {.lex_state = 349, .external_lex_state = 5},
  [5207] = {.lex_state = 45, .external_lex_state = 2},
  [5208] = {.lex_state = 45, .external_lex_state = 2},
  [5209] = {.lex_state = 349, .external_lex_state = 5},
  [5210] = {.lex_state = 349, .external_lex_state = 5},
  [5211] = {.lex_state = 45, .external_lex_state = 5},
  [5212] = {.lex_state = 349, .external_lex_state = 5},
  [5213] = {.lex_state = 45, .external_lex_state = 2},
  [5214] = {.lex_state = 349, .external_lex_state = 2},
  [5215] = {.lex_state = 349, .external_lex_state = 6},
  [5216] = {.lex_state = 349, .external_lex_state = 5},
  [5217] = {.lex_state = 349, .external_lex_state = 5},
  [5218] = {.lex_state = 349, .external_lex_state = 5},
  [5219] = {.lex_state = 349, .external_lex_state = 5},
  [5220] = {.lex_state = 62, .external_lex_state = 2},
  [5221] = {.lex_state = 349, .external_lex_state = 5},
  [5222] = {.lex_state = 45, .external_lex_state = 2},
  [5223] = {.lex_state = 349, .external_lex_state = 5},
  [5224] = {.lex_state = 349, .external_lex_state = 8},
  [5225] = {.lex_state = 45, .external_lex_state = 2},
  [5226] = {.lex_state = 349, .external_lex_state = 2},
  [5227] = {.lex_state = 349, .external_lex_state = 5},
  [5228] = {.lex_state = 349, .external_lex_state = 2},
  [5229] = {.lex_state = 349, .external_lex_state = 5},
  [5230] = {.lex_state = 349, .external_lex_state = 5},
  [5231] = {.lex_state = 349, .external_lex_state = 2},
  [5232] = {.lex_state = 349, .external_lex_state = 5},
  [5233] = {.lex_state = 349, .external_lex_state = 5},
  [5234] = {.lex_state = 45, .external_lex_state = 2},
  [5235] = {.lex_state = 349, .external_lex_state = 5},
  [5236] = {.lex_state = 349, .external_lex_state = 5},
  [5237] = {.lex_state = 349, .external_lex_state = 5},
  [5238] = {.lex_state = 349, .external_lex_state = 6},
  [5239] = {.lex_state = 349, .external_lex_state = 5},
  [5240] = {.lex_state = 349, .external_lex_state = 5},
  [5241] = {.lex_state = 45, .external_lex_state = 2},
  [5242] = {.lex_state = 349, .external_lex_state = 2},
  [5243] = {.lex_state = 349, .external_lex_state = 5},
  [5244] = {.lex_state = 349, .external_lex_state = 5},
  [5245] = {.lex_state = 349, .external_lex_state = 5},
  [5246] = {.lex_state = 349, .external_lex_state = 5},
  [5247] = {.lex_state = 349, .external_lex_state = 5},
  [5248] = {.lex_state = 349, .external_lex_state = 5},
  [5249] = {.lex_state = 349, .external_lex_state = 5},
  [5250] = {.lex_state = 349, .external_lex_state = 5},
  [5251] = {.lex_state = 349, .external_lex_state = 2},
  [5252] = {.lex_state = 349, .external_lex_state = 6},
  [5253] = {.lex_state = 349, .external_lex_state = 5},
  [5254] = {.lex_state = 349, .external_lex_state = 5},
  [5255] = {.lex_state = 349, .external_lex_state = 2},
  [5256] = {.lex_state = 349, .external_lex_state = 5},
  [5257] = {.lex_state = 349, .external_lex_state = 5},
  [5258] = {.lex_state = 45, .external_lex_state = 2},
  [5259] = {.lex_state = 45, .external_lex_state = 2},
  [5260] = {.lex_state = 349, .external_lex_state = 5},
  [5261] = {.lex_state = 349, .external_lex_state = 8},
  [5262] = {.lex_state = 349, .external_lex_state = 2},
  [5263] = {.lex_state = 349, .external_lex_state = 5},
  [5264] = {.lex_state = 349, .external_lex_state = 5},
  [5265] = {.lex_state = 45, .external_lex_state = 5},
  [5266] = {.lex_state = 45, .external_lex_state = 2},
  [5267] = {.lex_state = 349, .external_lex_state = 8},
  [5268] = {.lex_state = 349, .external_lex_state = 5},
  [5269] = {.lex_state = 349, .external_lex_state = 5},
  [5270] = {.lex_state = 349, .external_lex_state = 5},
  [5271] = {.lex_state = 349, .external_lex_state = 2},
  [5272] = {.lex_state = 349, .external_lex_state = 5},
  [5273] = {.lex_state = 62, .external_lex_state = 2},
  [5274] = {.lex_state = 349, .external_lex_state = 5},
  [5275] = {.lex_state = 349, .external_lex_state = 5},
  [5276] = {.lex_state = 349, .external_lex_state = 5},
  [5277] = {.lex_state = 349, .external_lex_state = 5},
  [5278] = {.lex_state = 349, .external_lex_state = 5},
  [5279] = {.lex_state = 349, .external_lex_state = 5},
  [5280] = {.lex_state = 349, .external_lex_state = 5},
  [5281] = {.lex_state = 349, .external_lex_state = 8},
  [5282] = {.lex_state = 349, .external_lex_state = 5},
  [5283] = {.lex_state = 349, .external_lex_state = 5},
  [5284] = {.lex_state = 349, .external_lex_state = 5},
  [5285] = {.lex_state = 349, .external_lex_state = 5},
  [5286] = {.lex_state = 45, .external_lex_state = 2},
  [5287] = {.lex_state = 45, .external_lex_state = 2},
  [5288] = {.lex_state = 349, .external_lex_state = 6},
  [5289] = {.lex_state = 349, .external_lex_state = 5},
  [5290] = {.lex_state = 62, .external_lex_state = 2},
  [5291] = {.lex_state = 349, .external_lex_state = 5},
  [5292] = {.lex_state = 45, .external_lex_state = 2},
  [5293] = {.lex_state = 349, .external_lex_state = 5},
  [5294] = {.lex_state = 349, .external_lex_state = 5},
  [5295] = {.lex_state = 349, .external_lex_state = 5},
  [5296] = {.lex_state = 349, .external_lex_state = 2},
  [5297] = {.lex_state = 45, .external_lex_state = 2},
  [5298] = {.lex_state = 45, .external_lex_state = 2},
  [5299] = {.lex_state = 349, .external_lex_state = 5},
  [5300] = {.lex_state = 45, .external_lex_state = 2},
  [5301] = {.lex_state = 349, .external_lex_state = 8},
  [5302] = {.lex_state = 349, .external_lex_state = 5},
  [5303] = {.lex_state = 349, .external_lex_state = 5},
  [5304] = {.lex_state = 349, .external_lex_state = 5},
  [5305] = {.lex_state = 45, .external_lex_state = 2},
  [5306] = {.lex_state = 349, .external_lex_state = 5},
  [5307] = {.lex_state = 349, .external_lex_state = 5},
  [5308] = {.lex_state = 349, .external_lex_state = 5},
  [5309] = {.lex_state = 349, .external_lex_state = 5},
  [5310] = {.lex_state = 349, .external_lex_state = 5},
  [5311] = {.lex_state = 349, .external_lex_state = 5},
  [5312] = {.lex_state = 349, .external_lex_state = 5},
  [5313] = {.lex_state = 349, .external_lex_state = 2},
  [5314] = {.lex_state = 349, .external_lex_state = 5},
  [5315] = {.lex_state = 45, .external_lex_state = 2},
  [5316] = {.lex_state = 349, .external_lex_state = 5},
  [5317] = {.lex_state = 349, .external_lex_state = 5},
  [5318] = {.lex_state = 62, .external_lex_state = 2},
  [5319] = {.lex_state = 349, .external_lex_state = 5},
  [5320] = {.lex_state = 349, .external_lex_state = 5},
  [5321] = {.lex_state = 349, .external_lex_state = 6},
  [5322] = {.lex_state = 349, .external_lex_state = 5},
  [5323] = {.lex_state = 45, .external_lex_state = 5},
  [5324] = {.lex_state = 349, .external_lex_state = 5},
  [5325] = {.lex_state = 349, .external_lex_state = 5},
  [5326] = {.lex_state = 45, .external_lex_state = 2},
  [5327] = {.lex_state = 349, .external_lex_state = 5},
  [5328] = {.lex_state = 349, .external_lex_state = 2},
  [5329] = {.lex_state = 349, .external_lex_state = 5},
  [5330] = {.lex_state = 349, .external_lex_state = 5},
  [5331] = {.lex_state = 45, .external_lex_state = 2},
  [5332] = {.lex_state = 45, .external_lex_state = 2},
  [5333] = {.lex_state = 47, .external_lex_state = 2},
  [5334] = {.lex_state = 349, .external_lex_state = 5},
  [5335] = {.lex_state = 349, .external_lex_state = 5},
  [5336] = {.lex_state = 45, .external_lex_state = 2},
  [5337] = {.lex_state = 45, .external_lex_state = 2},
  [5338] = {.lex_state = 349, .external_lex_state = 6},
  [5339] = {.lex_state = 45, .external_lex_state = 5},
  [5340] = {.lex_state = 45, .external_lex_state = 2},
  [5341] = {.lex_state = 349, .external_lex_state = 5},
  [5342] = {.lex_state = 45, .external_lex_state = 2},
  [5343] = {.lex_state = 45, .external_lex_state = 2},
  [5344] = {.lex_state = 349, .external_lex_state = 6},
  [5345] = {.lex_state = 349, .external_lex_state = 5},
  [5346] = {.lex_state = 45, .external_lex_state = 2},
  [5347] = {.lex_state = 45, .external_lex_state = 2},
  [5348] = {.lex_state = 45, .external_lex_state = 2},
  [5349] = {.lex_state = 45, .external_lex_state = 2},
  [5350] = {.lex_state = 45, .external_lex_state = 2},
  [5351] = {.lex_state = 349, .external_lex_state = 2},
  [5352] = {.lex_state = 45, .external_lex_state = 2},
  [5353] = {.lex_state = 45, .external_lex_state = 2},
  [5354] = {.lex_state = 45, .external_lex_state = 2},
  [5355] = {.lex_state = 349, .external_lex_state = 5},
  [5356] = {.lex_state = 349, .external_lex_state = 5},
  [5357] = {.lex_state = 46, .external_lex_state = 2},
  [5358] = {.lex_state = 349, .external_lex_state = 5},
  [5359] = {.lex_state = 349, .external_lex_state = 5},
  [5360] = {.lex_state = 349, .external_lex_state = 5},
  [5361] = {.lex_state = 349, .external_lex_state = 5},
  [5362] = {.lex_state = 349, .external_lex_state = 5},
  [5363] = {.lex_state = 349, .external_lex_state = 5},
  [5364] = {.lex_state = 349, .external_lex_state = 5},
  [5365] = {.lex_state = 349, .external_lex_state = 5},
  [5366] = {.lex_state = 349, .external_lex_state = 2},
  [5367] = {.lex_state = 349, .external_lex_state = 2},
  [5368] = {.lex_state = 45, .external_lex_state = 2},
  [5369] = {.lex_state = 45, .external_lex_state = 2},
  [5370] = {.lex_state = 45, .external_lex_state = 2},
  [5371] = {.lex_state = 45, .external_lex_state = 2},
  [5372] = {.lex_state = 349, .external_lex_state = 5},
  [5373] = {.lex_state = 45, .external_lex_state = 2},
  [5374] = {.lex_state = 349, .external_lex_state = 5},
  [5375] = {.lex_state = 349, .external_lex_state = 5},
  [5376] = {.lex_state = 349, .external_lex_state = 8},
  [5377] = {.lex_state = 349, .external_lex_state = 5},
  [5378] = {.lex_state = 45, .external_lex_state = 2},
  [5379] = {.lex_state = 349, .external_lex_state = 5},
  [5380] = {.lex_state = 349, .external_lex_state = 2},
  [5381] = {.lex_state = 349, .external_lex_state = 5},
  [5382] = {.lex_state = 349, .external_lex_state = 5},
  [5383] = {.lex_state = 45, .external_lex_state = 2},
  [5384] = {.lex_state = 349, .external_lex_state = 5},
  [5385] = {.lex_state = 349, .external_lex_state = 5},
  [5386] = {.lex_state = 45, .external_lex_state = 2},
  [5387] = {.lex_state = 349, .external_lex_state = 2},
  [5388] = {.lex_state = 349, .external_lex_state = 5},
  [5389] = {.lex_state = 349, .external_lex_state = 6},
  [5390] = {.lex_state = 45, .external_lex_state = 5},
  [5391] = {.lex_state = 349, .external_lex_state = 6},
  [5392] = {.lex_state = 349, .external_lex_state = 5},
  [5393] = {.lex_state = 349, .external_lex_state = 6},
  [5394] = {.lex_state = 45, .external_lex_state = 2},
  [5395] = {.lex_state = 45, .external_lex_state = 2},
  [5396] = {.lex_state = 349, .external_lex_state = 6},
  [5397] = {.lex_state = 45, .external_lex_state = 5},
  [5398] = {.lex_state = 349, .external_lex_state = 5},
  [5399] = {.lex_state = 349, .external_lex_state = 5},
  [5400] = {.lex_state = 349, .external_lex_state = 5},
  [5401] = {.lex_state = 45, .external_lex_state = 2},
  [5402] = {.lex_state = 349, .external_lex_state = 5},
  [5403] = {.lex_state = 349, .external_lex_state = 5},
  [5404] = {.lex_state = 349, .external_lex_state = 5},
  [5405] = {.lex_state = 349, .external_lex_state = 5},
  [5406] = {.lex_state = 45, .external_lex_state = 2},
  [5407] = {.lex_state = 45, .external_lex_state = 2},
  [5408] = {.lex_state = 45, .external_lex_state = 2},
  [5409] = {.lex_state = 45, .external_lex_state = 2},
  [5410] = {.lex_state = 349, .external_lex_state = 5},
  [5411] = {.lex_state = 349, .external_lex_state = 5},
  [5412] = {.lex_state = 349, .external_lex_state = 5},
  [5413] = {.lex_state = 349, .external_lex_state = 5},
  [5414] = {.lex_state = 349, .external_lex_state = 5},
  [5415] = {.lex_state = 45, .external_lex_state = 2},
  [5416] = {.lex_state = 349, .external_lex_state = 5},
  [5417] = {.lex_state = 45, .external_lex_state = 2},
  [5418] = {.lex_state = 45, .external_lex_state = 2},
  [5419] = {.lex_state = 45, .external_lex_state = 2},
  [5420] = {.lex_state = 45, .external_lex_state = 2},
  [5421] = {.lex_state = 349, .external_lex_state = 5},
  [5422] = {.lex_state = 45, .external_lex_state = 2},
  [5423] = {.lex_state = 45, .external_lex_state = 2},
  [5424] = {.lex_state = 349, .external_lex_state = 2},
  [5425] = {.lex_state = 45, .external_lex_state = 2},
  [5426] = {.lex_state = 349, .external_lex_state = 6},
  [5427] = {.lex_state = 349, .external_lex_state = 5},
  [5428] = {.lex_state = 45, .external_lex_state = 2},
  [5429] = {.lex_state = 349, .external_lex_state = 5},
  [5430] = {.lex_state = 349, .external_lex_state = 2},
  [5431] = {.lex_state = 349, .external_lex_state = 5},
  [5432] = {.lex_state = 349, .external_lex_state = 5},
  [5433] = {.lex_state = 349, .external_lex_state = 5},
  [5434] = {.lex_state = 45, .external_lex_state = 2},
  [5435] = {.lex_state = 45, .external_lex_state = 2},
  [5436] = {.lex_state = 349, .external_lex_state = 5},
  [5437] = {.lex_state = 349, .external_lex_state = 5},
  [5438] = {.lex_state = 349, .external_lex_state = 5},
  [5439] = {.lex_state = 349, .external_lex_state = 8},
  [5440] = {.lex_state = 349, .external_lex_state = 5},
  [5441] = {.lex_state = 349, .external_lex_state = 5},
  [5442] = {.lex_state = 349, .external_lex_state = 2},
  [5443] = {.lex_state = 45, .external_lex_state = 2},
  [5444] = {.lex_state = 349, .external_lex_state = 2},
  [5445] = {.lex_state = 349, .external_lex_state = 5},
  [5446] = {.lex_state = 349, .external_lex_state = 2},
  [5447] = {.lex_state = 45, .external_lex_state = 2},
  [5448] = {.lex_state = 62, .external_lex_state = 2},
  [5449] = {.lex_state = 45, .external_lex_state = 2},
  [5450] = {.lex_state = 349, .external_lex_state = 5},
  [5451] = {.lex_state = 349, .external_lex_state = 8},
  [5452] = {.lex_state = 45, .external_lex_state = 2},
  [5453] = {.lex_state = 349, .external_lex_state = 6},
  [5454] = {.lex_state = 349, .external_lex_state = 5},
  [5455] = {.lex_state = 45, .external_lex_state = 2},
  [5456] = {.lex_state = 349, .external_lex_state = 5},
  [5457] = {.lex_state = 45, .external_lex_state = 5},
  [5458] = {.lex_state = 349, .external_lex_state = 5},
  [5459] = {.lex_state = 349, .external_lex_state = 5},
  [5460] = {.lex_state = 349, .external_lex_state = 5},
  [5461] = {.lex_state = 349, .external_lex_state = 2},
  [5462] = {.lex_state = 349, .external_lex_state = 6},
  [5463] = {.lex_state = 45, .external_lex_state = 5},
  [5464] = {.lex_state = 45, .external_lex_state = 2},
  [5465] = {.lex_state = 349, .external_lex_state = 5},
  [5466] = {.lex_state = 349, .external_lex_state = 5},
  [5467] = {.lex_state = 349, .external_lex_state = 5},
  [5468] = {.lex_state = 45, .external_lex_state = 2},
  [5469] = {.lex_state = 349, .external_lex_state = 2},
  [5470] = {.lex_state = 349, .external_lex_state = 5},
  [5471] = {.lex_state = 349, .external_lex_state = 5},
  [5472] = {.lex_state = 45, .external_lex_state = 2},
  [5473] = {.lex_state = 47, .external_lex_state = 2},
  [5474] = {.lex_state = 45, .external_lex_state = 5},
  [5475] = {.lex_state = 45, .external_lex_state = 2},
  [5476] = {.lex_state = 349, .external_lex_state = 6},
  [5477] = {.lex_state = 45, .external_lex_state = 2},
  [5478] = {.lex_state = 349, .external_lex_state = 6},
  [5479] = {.lex_state = 45, .external_lex_state = 5},
  [5480] = {.lex_state = 45, .external_lex_state = 2},
  [5481] = {.lex_state = 45, .external_lex_state = 2},
  [5482] = {.lex_state = 349, .external_lex_state = 6},
  [5483] = {.lex_state = 45, .external_lex_state = 2},
  [5484] = {.lex_state = 45, .external_lex_state = 2},
  [5485] = {.lex_state = 45, .external_lex_state = 2},
  [5486] = {.lex_state = 45, .external_lex_state = 2},
  [5487] = {.lex_state = 349, .external_lex_state = 5},
  [5488] = {.lex_state = 45, .external_lex_state = 2},
  [5489] = {.lex_state = 349, .external_lex_state = 5},
  [5490] = {.lex_state = 349, .external_lex_state = 5},
  [5491] = {.lex_state = 45, .external_lex_state = 2},
  [5492] = {.lex_state = 349, .external_lex_state = 5},
  [5493] = {.lex_state = 45, .external_lex_state = 2},
  [5494] = {.lex_state = 349, .external_lex_state = 2},
  [5495] = {.lex_state = 46, .external_lex_state = 2},
  [5496] = {.lex_state = 46, .external_lex_state = 2},
  [5497] = {.lex_state = 349, .external_lex_state = 5},
  [5498] = {.lex_state = 45, .external_lex_state = 2},
  [5499] = {.lex_state = 349, .external_lex_state = 2},
  [5500] = {.lex_state = 45, .external_lex_state = 2},
  [5501] = {.lex_state = 349, .external_lex_state = 6},
  [5502] = {.lex_state = 349, .external_lex_state = 5},
  [5503] = {.lex_state = 349, .external_lex_state = 5},
  [5504] = {.lex_state = 46, .external_lex_state = 5},
  [5505] = {.lex_state = 349, .external_lex_state = 5},
  [5506] = {.lex_state = 349, .external_lex_state = 5},
  [5507] = {.lex_state = 46, .external_lex_state = 5},
  [5508] = {.lex_state = 349, .external_lex_state = 5},
  [5509] = {.lex_state = 45, .external_lex_state = 2},
  [5510] = {.lex_state = 349, .external_lex_state = 5},
  [5511] = {.lex_state = 45, .external_lex_state = 2},
  [5512] = {.lex_state = 45, .external_lex_state = 2},
  [5513] = {.lex_state = 349, .external_lex_state = 5},
  [5514] = {.lex_state = 349, .external_lex_state = 5},
  [5515] = {.lex_state = 349, .external_lex_state = 5},
  [5516] = {.lex_state = 349, .external_lex_state = 5},
  [5517] = {.lex_state = 349, .external_lex_state = 5},
  [5518] = {.lex_state = 349, .external_lex_state = 5},
  [5519] = {.lex_state = 349, .external_lex_state = 5},
  [5520] = {.lex_state = 54, .external_lex_state = 9},
  [5521] = {.lex_state = 45, .external_lex_state = 2},
  [5522] = {.lex_state = 1, .external_lex_state = 2},
  [5523] = {.lex_state = 46, .external_lex_state = 2},
  [5524] = {.lex_state = 45, .external_lex_state = 2},
  [5525] = {.lex_state = 349, .external_lex_state = 5},
  [5526] = {.lex_state = 45, .external_lex_state = 2},
  [5527] = {.lex_state = 58, .external_lex_state = 9},
  [5528] = {.lex_state = 54, .external_lex_state = 9},
  [5529] = {.lex_state = 24, .external_lex_state = 2},
  [5530] = {.lex_state = 349, .external_lex_state = 5},
  [5531] = {.lex_state = 349, .external_lex_state = 7},
  [5532] = {.lex_state = 58, .external_lex_state = 9},
  [5533] = {.lex_state = 70, .external_lex_state = 2},
  [5534] = {.lex_state = 45, .external_lex_state = 2},
  [5535] = {.lex_state = 45, .external_lex_state = 2},
  [5536] = {.lex_state = 54, .external_lex_state = 9},
  [5537] = {.lex_state = 45, .external_lex_state = 2},
  [5538] = {.lex_state = 58, .external_lex_state = 9},
  [5539] = {.lex_state = 45, .external_lex_state = 2},
  [5540] = {.lex_state = 54, .external_lex_state = 9},
  [5541] = {.lex_state = 349, .external_lex_state = 7},
  [5542] = {.lex_state = 45, .external_lex_state = 2},
  [5543] = {.lex_state = 58, .external_lex_state = 9},
  [5544] = {.lex_state = 54, .external_lex_state = 9},
  [5545] = {.lex_state = 45, .external_lex_state = 2},
  [5546] = {.lex_state = 58, .external_lex_state = 9},
  [5547] = {.lex_state = 45, .external_lex_state = 2},
  [5548] = {.lex_state = 54, .external_lex_state = 9},
  [5549] = {.lex_state = 45, .external_lex_state = 2},
  [5550] = {.lex_state = 58, .external_lex_state = 9},
  [5551] = {.lex_state = 54, .external_lex_state = 9},
  [5552] = {.lex_state = 45, .external_lex_state = 2},
  [5553] = {.lex_state = 45, .external_lex_state = 2},
  [5554] = {.lex_state = 349, .external_lex_state = 2},
  [5555] = {.lex_state = 349, .external_lex_state = 5},
  [5556] = {.lex_state = 349, .external_lex_state = 5},
  [5557] = {.lex_state = 54, .external_lex_state = 9},
  [5558] = {.lex_state = 58, .external_lex_state = 9},
  [5559] = {.lex_state = 58, .external_lex_state = 9},
  [5560] = {.lex_state = 349, .external_lex_state = 5},
  [5561] = {.lex_state = 349, .external_lex_state = 5},
  [5562] = {.lex_state = 349, .external_lex_state = 2},
  [5563] = {.lex_state = 349, .external_lex_state = 5},
  [5564] = {.lex_state = 349, .external_lex_state = 2},
  [5565] = {.lex_state = 54, .external_lex_state = 9},
  [5566] = {.lex_state = 349, .external_lex_state = 5},
  [5567] = {.lex_state = 58, .external_lex_state = 9},
  [5568] = {.lex_state = 54, .external_lex_state = 9},
  [5569] = {.lex_state = 45, .external_lex_state = 2},
  [5570] = {.lex_state = 45, .external_lex_state = 2},
  [5571] = {.lex_state = 45, .external_lex_state = 2},
  [5572] = {.lex_state = 45, .external_lex_state = 2},
  [5573] = {.lex_state = 45, .external_lex_state = 2},
  [5574] = {.lex_state = 70, .external_lex_state = 2},
  [5575] = {.lex_state = 45, .external_lex_state = 2},
  [5576] = {.lex_state = 45, .external_lex_state = 2},
  [5577] = {.lex_state = 45, .external_lex_state = 2},
  [5578] = {.lex_state = 54, .external_lex_state = 9},
  [5579] = {.lex_state = 349, .external_lex_state = 5},
  [5580] = {.lex_state = 58, .external_lex_state = 9},
  [5581] = {.lex_state = 58, .external_lex_state = 9},
  [5582] = {.lex_state = 54, .external_lex_state = 9},
  [5583] = {.lex_state = 349, .external_lex_state = 5},
  [5584] = {.lex_state = 349, .external_lex_state = 5},
  [5585] = {.lex_state = 349, .external_lex_state = 5},
  [5586] = {.lex_state = 58, .external_lex_state = 9},
  [5587] = {.lex_state = 54, .external_lex_state = 9},
  [5588] = {.lex_state = 349, .external_lex_state = 5},
  [5589] = {.lex_state = 349, .external_lex_state = 2},
  [5590] = {.lex_state = 349, .external_lex_state = 5},
  [5591] = {.lex_state = 349, .external_lex_state = 2},
  [5592] = {.lex_state = 349, .external_lex_state = 5},
  [5593] = {.lex_state = 58, .external_lex_state = 9},
  [5594] = {.lex_state = 45, .external_lex_state = 2},
  [5595] = {.lex_state = 349, .external_lex_state = 5},
  [5596] = {.lex_state = 54, .external_lex_state = 9},
  [5597] = {.lex_state = 349, .external_lex_state = 5},
  [5598] = {.lex_state = 349, .external_lex_state = 5},
  [5599] = {.lex_state = 349, .external_lex_state = 5},
  [5600] = {.lex_state = 349, .external_lex_state = 5},
  [5601] = {.lex_state = 349, .external_lex_state = 5},
  [5602] = {.lex_state = 349, .external_lex_state = 5},
  [5603] = {.lex_state = 349, .external_lex_state = 5},
  [5604] = {.lex_state = 349, .external_lex_state = 5},
  [5605] = {.lex_state = 349, .external_lex_state = 5},
  [5606] = {.lex_state = 349, .external_lex_state = 2},
  [5607] = {.lex_state = 54, .external_lex_state = 9},
  [5608] = {.lex_state = 349, .external_lex_state = 5},
  [5609] = {.lex_state = 58, .external_lex_state = 9},
  [5610] = {.lex_state = 47, .external_lex_state = 2},
  [5611] = {.lex_state = 349, .external_lex_state = 2},
  [5612] = {.lex_state = 70, .external_lex_state = 2},
  [5613] = {.lex_state = 45, .external_lex_state = 2},
  [5614] = {.lex_state = 349, .external_lex_state = 5},
  [5615] = {.lex_state = 349, .external_lex_state = 2},
  [5616] = {.lex_state = 45, .external_lex_state = 2},
  [5617] = {.lex_state = 45, .external_lex_state = 2},
  [5618] = {.lex_state = 54, .external_lex_state = 9},
  [5619] = {.lex_state = 58, .external_lex_state = 9},
  [5620] = {.lex_state = 45, .external_lex_state = 2},
  [5621] = {.lex_state = 349, .external_lex_state = 2},
  [5622] = {.lex_state = 349, .external_lex_state = 5},
  [5623] = {.lex_state = 45, .external_lex_state = 2},
  [5624] = {.lex_state = 349, .external_lex_state = 2},
  [5625] = {.lex_state = 58, .external_lex_state = 9},
  [5626] = {.lex_state = 349, .external_lex_state = 6},
  [5627] = {.lex_state = 54, .external_lex_state = 9},
  [5628] = {.lex_state = 58, .external_lex_state = 9},
  [5629] = {.lex_state = 70, .external_lex_state = 2},
  [5630] = {.lex_state = 54, .external_lex_state = 9},
  [5631] = {.lex_state = 24, .external_lex_state = 2},
  [5632] = {.lex_state = 45, .external_lex_state = 2},
  [5633] = {.lex_state = 45, .external_lex_state = 2},
  [5634] = {.lex_state = 58, .external_lex_state = 9},
  [5635] = {.lex_state = 54, .external_lex_state = 9},
  [5636] = {.lex_state = 58, .external_lex_state = 9},
  [5637] = {.lex_state = 54, .external_lex_state = 9},
  [5638] = {.lex_state = 45, .external_lex_state = 2},
  [5639] = {.lex_state = 349, .external_lex_state = 2},
  [5640] = {.lex_state = 349, .external_lex_state = 2},
  [5641] = {.lex_state = 45, .external_lex_state = 2},
  [5642] = {.lex_state = 349, .external_lex_state = 5},
  [5643] = {.lex_state = 45, .external_lex_state = 2},
  [5644] = {.lex_state = 45, .external_lex_state = 2},
  [5645] = {.lex_state = 349, .external_lex_state = 5},
  [5646] = {.lex_state = 349, .external_lex_state = 5},
  [5647] = {.lex_state = 349, .external_lex_state = 5},
  [5648] = {.lex_state = 349, .external_lex_state = 5},
  [5649] = {.lex_state = 349, .external_lex_state = 5},
  [5650] = {.lex_state = 349, .external_lex_state = 5},
  [5651] = {.lex_state = 45, .external_lex_state = 2},
  [5652] = {.lex_state = 349, .external_lex_state = 5},
  [5653] = {.lex_state = 45, .external_lex_state = 2},
  [5654] = {.lex_state = 349, .external_lex_state = 5},
  [5655] = {.lex_state = 349, .external_lex_state = 5},
  [5656] = {.lex_state = 349, .external_lex_state = 5},
  [5657] = {.lex_state = 349, .external_lex_state = 5},
  [5658] = {.lex_state = 349, .external_lex_state = 5},
  [5659] = {.lex_state = 45, .external_lex_state = 2},
  [5660] = {.lex_state = 349, .external_lex_state = 5},
  [5661] = {.lex_state = 47, .external_lex_state = 2},
  [5662] = {.lex_state = 24, .external_lex_state = 2},
  [5663] = {.lex_state = 24, .external_lex_state = 2},
  [5664] = {.lex_state = 349, .external_lex_state = 5},
  [5665] = {.lex_state = 349, .external_lex_state = 5},
  [5666] = {.lex_state = 349, .external_lex_state = 5},
  [5667] = {.lex_state = 349, .external_lex_state = 5},
  [5668] = {.lex_state = 349, .external_lex_state = 5},
  [5669] = {.lex_state = 24, .external_lex_state = 2},
  [5670] = {.lex_state = 45, .external_lex_state = 2},
  [5671] = {.lex_state = 349, .external_lex_state = 5},
  [5672] = {.lex_state = 349, .external_lex_state = 5},
  [5673] = {.lex_state = 45, .external_lex_state = 2},
  [5674] = {.lex_state = 349, .external_lex_state = 5},
  [5675] = {.lex_state = 349, .external_lex_state = 5},
  [5676] = {.lex_state = 45, .external_lex_state = 2},
  [5677] = {.lex_state = 21, .external_lex_state = 2},
  [5678] = {.lex_state = 349, .external_lex_state = 5},
  [5679] = {.lex_state = 349, .external_lex_state = 5},
  [5680] = {.lex_state = 45, .external_lex_state = 2},
  [5681] = {.lex_state = 349, .external_lex_state = 2},
  [5682] = {.lex_state = 349, .external_lex_state = 5},
  [5683] = {.lex_state = 45, .external_lex_state = 2},
  [5684] = {.lex_state = 1, .external_lex_state = 2},
  [5685] = {.lex_state = 349, .external_lex_state = 5},
  [5686] = {.lex_state = 45, .external_lex_state = 2},
  [5687] = {.lex_state = 349, .external_lex_state = 2},
  [5688] = {.lex_state = 45, .external_lex_state = 2},
  [5689] = {.lex_state = 58, .external_lex_state = 9},
  [5690] = {.lex_state = 45, .external_lex_state = 2},
  [5691] = {.lex_state = 349, .external_lex_state = 2},
  [5692] = {.lex_state = 349, .external_lex_state = 7},
  [5693] = {.lex_state = 45, .external_lex_state = 2},
  [5694] = {.lex_state = 45, .external_lex_state = 2},
  [5695] = {.lex_state = 45, .external_lex_state = 2},
  [5696] = {.lex_state = 349, .external_lex_state = 5},
  [5697] = {.lex_state = 58, .external_lex_state = 9},
  [5698] = {.lex_state = 45, .external_lex_state = 2},
  [5699] = {.lex_state = 349, .external_lex_state = 5},
  [5700] = {.lex_state = 54, .external_lex_state = 9},
  [5701] = {.lex_state = 58, .external_lex_state = 9},
  [5702] = {.lex_state = 54, .external_lex_state = 9},
  [5703] = {.lex_state = 349, .external_lex_state = 2},
  [5704] = {.lex_state = 45, .external_lex_state = 2},
  [5705] = {.lex_state = 58, .external_lex_state = 9},
  [5706] = {.lex_state = 54, .external_lex_state = 9},
  [5707] = {.lex_state = 349, .external_lex_state = 2},
  [5708] = {.lex_state = 349, .external_lex_state = 5},
  [5709] = {.lex_state = 45, .external_lex_state = 2},
  [5710] = {.lex_state = 349, .external_lex_state = 5},
  [5711] = {.lex_state = 349, .external_lex_state = 5},
  [5712] = {.lex_state = 45, .external_lex_state = 2},
  [5713] = {.lex_state = 349, .external_lex_state = 5},
  [5714] = {.lex_state = 45, .external_lex_state = 2},
  [5715] = {.lex_state = 349, .external_lex_state = 5},
  [5716] = {.lex_state = 349, .external_lex_state = 5},
  [5717] = {.lex_state = 349, .external_lex_state = 5},
  [5718] = {.lex_state = 349, .external_lex_state = 5},
  [5719] = {.lex_state = 349, .external_lex_state = 5},
  [5720] = {.lex_state = 45, .external_lex_state = 2},
  [5721] = {.lex_state = 54, .external_lex_state = 9},
  [5722] = {.lex_state = 58, .external_lex_state = 9},
  [5723] = {.lex_state = 349, .external_lex_state = 5},
  [5724] = {.lex_state = 349, .external_lex_state = 5},
  [5725] = {.lex_state = 349, .external_lex_state = 5},
  [5726] = {.lex_state = 45, .external_lex_state = 2},
  [5727] = {.lex_state = 349, .external_lex_state = 5},
  [5728] = {.lex_state = 349, .external_lex_state = 5},
  [5729] = {.lex_state = 54, .external_lex_state = 9},
  [5730] = {.lex_state = 1, .external_lex_state = 2},
  [5731] = {.lex_state = 349, .external_lex_state = 5},
  [5732] = {.lex_state = 58, .external_lex_state = 9},
  [5733] = {.lex_state = 349, .external_lex_state = 2},
  [5734] = {.lex_state = 58, .external_lex_state = 9},
  [5735] = {.lex_state = 54, .external_lex_state = 9},
  [5736] = {.lex_state = 1, .external_lex_state = 2},
  [5737] = {.lex_state = 45, .external_lex_state = 2},
  [5738] = {.lex_state = 349, .external_lex_state = 2},
  [5739] = {.lex_state = 58, .external_lex_state = 9},
  [5740] = {.lex_state = 349, .external_lex_state = 2},
  [5741] = {.lex_state = 54, .external_lex_state = 9},
  [5742] = {.lex_state = 349, .external_lex_state = 2},
  [5743] = {.lex_state = 45, .external_lex_state = 2},
  [5744] = {.lex_state = 349, .external_lex_state = 2},
  [5745] = {.lex_state = 349, .external_lex_state = 5},
  [5746] = {.lex_state = 349, .external_lex_state = 5},
  [5747] = {.lex_state = 349, .external_lex_state = 5},
  [5748] = {.lex_state = 349, .external_lex_state = 5},
  [5749] = {.lex_state = 47, .external_lex_state = 2},
  [5750] = {.lex_state = 349, .external_lex_state = 5},
  [5751] = {.lex_state = 47, .external_lex_state = 2},
  [5752] = {.lex_state = 47, .external_lex_state = 2},
  [5753] = {.lex_state = 349, .external_lex_state = 5},
  [5754] = {.lex_state = 47, .external_lex_state = 2},
  [5755] = {.lex_state = 349, .external_lex_state = 5},
  [5756] = {.lex_state = 47, .external_lex_state = 2},
  [5757] = {.lex_state = 349, .external_lex_state = 5},
  [5758] = {.lex_state = 349, .external_lex_state = 5},
  [5759] = {.lex_state = 349, .external_lex_state = 5},
  [5760] = {.lex_state = 349, .external_lex_state = 5},
  [5761] = {.lex_state = 349, .external_lex_state = 5},
  [5762] = {.lex_state = 349, .external_lex_state = 2},
  [5763] = {.lex_state = 349, .external_lex_state = 5},
  [5764] = {.lex_state = 349, .external_lex_state = 5},
  [5765] = {.lex_state = 349, .external_lex_state = 5},
  [5766] = {.lex_state = 349, .external_lex_state = 5},
  [5767] = {.lex_state = 349, .external_lex_state = 5},
  [5768] = {.lex_state = 349, .external_lex_state = 5},
  [5769] = {.lex_state = 349, .external_lex_state = 5},
  [5770] = {.lex_state = 349, .external_lex_state = 5},
  [5771] = {.lex_state = 24, .external_lex_state = 2},
  [5772] = {.lex_state = 349, .external_lex_state = 5},
  [5773] = {.lex_state = 349, .external_lex_state = 2},
  [5774] = {.lex_state = 349, .external_lex_state = 2},
  [5775] = {.lex_state = 349, .external_lex_state = 5},
  [5776] = {.lex_state = 349, .external_lex_state = 5},
  [5777] = {.lex_state = 349, .external_lex_state = 5},
  [5778] = {.lex_state = 349, .external_lex_state = 2},
  [5779] = {.lex_state = 349, .external_lex_state = 5},
  [5780] = {.lex_state = 349, .external_lex_state = 5},
  [5781] = {.lex_state = 349, .external_lex_state = 5},
  [5782] = {.lex_state = 349, .external_lex_state = 5},
  [5783] = {.lex_state = 349, .external_lex_state = 5},
  [5784] = {.lex_state = 349, .external_lex_state = 5},
  [5785] = {.lex_state = 349, .external_lex_state = 5},
  [5786] = {.lex_state = 349, .external_lex_state = 5},
  [5787] = {.lex_state = 349, .external_lex_state = 5},
  [5788] = {.lex_state = 349, .external_lex_state = 5},
  [5789] = {.lex_state = 349, .external_lex_state = 5},
  [5790] = {.lex_state = 349, .external_lex_state = 5},
  [5791] = {.lex_state = 349, .external_lex_state = 5},
  [5792] = {.lex_state = 349, .external_lex_state = 5},
  [5793] = {.lex_state = 349, .external_lex_state = 5},
  [5794] = {.lex_state = 349, .external_lex_state = 5},
  [5795] = {.lex_state = 349, .external_lex_state = 5},
  [5796] = {.lex_state = 349, .external_lex_state = 5},
  [5797] = {.lex_state = 349, .external_lex_state = 5},
  [5798] = {.lex_state = 349, .external_lex_state = 2},
  [5799] = {.lex_state = 349, .external_lex_state = 5},
  [5800] = {.lex_state = 349, .external_lex_state = 2},
  [5801] = {.lex_state = 349, .external_lex_state = 5},
  [5802] = {.lex_state = 349, .external_lex_state = 5},
  [5803] = {.lex_state = 349, .external_lex_state = 5},
  [5804] = {.lex_state = 24, .external_lex_state = 2},
  [5805] = {.lex_state = 349, .external_lex_state = 5},
  [5806] = {.lex_state = 349, .external_lex_state = 5},
  [5807] = {.lex_state = 349, .external_lex_state = 2},
  [5808] = {.lex_state = 349, .external_lex_state = 5},
  [5809] = {.lex_state = 349, .external_lex_state = 2},
  [5810] = {.lex_state = 349, .external_lex_state = 5},
  [5811] = {.lex_state = 349, .external_lex_state = 5},
  [5812] = {.lex_state = 349, .external_lex_state = 5},
  [5813] = {.lex_state = 45, .external_lex_state = 2},
  [5814] = {.lex_state = 349, .external_lex_state = 5},
  [5815] = {.lex_state = 349, .external_lex_state = 5},
  [5816] = {.lex_state = 349, .external_lex_state = 5},
  [5817] = {.lex_state = 45, .external_lex_state = 2},
  [5818] = {.lex_state = 349, .external_lex_state = 5},
  [5819] = {.lex_state = 349, .external_lex_state = 5},
  [5820] = {.lex_state = 45, .external_lex_state = 2},
  [5821] = {.lex_state = 45, .external_lex_state = 2},
  [5822] = {.lex_state = 349, .external_lex_state = 2},
  [5823] = {.lex_state = 349, .external_lex_state = 5},
  [5824] = {.lex_state = 349, .external_lex_state = 5},
  [5825] = {.lex_state = 349, .external_lex_state = 5},
  [5826] = {.lex_state = 349, .external_lex_state = 5},
  [5827] = {.lex_state = 349, .external_lex_state = 5},
  [5828] = {.lex_state = 349, .external_lex_state = 5},
  [5829] = {.lex_state = 349, .external_lex_state = 5},
  [5830] = {.lex_state = 349, .external_lex_state = 5},
  [5831] = {.lex_state = 75, .external_lex_state = 2},
  [5832] = {.lex_state = 349, .external_lex_state = 5},
  [5833] = {.lex_state = 349, .external_lex_state = 2},
  [5834] = {.lex_state = 349, .external_lex_state = 5},
  [5835] = {.lex_state = 349, .external_lex_state = 5},
  [5836] = {.lex_state = 349, .external_lex_state = 5},
  [5837] = {.lex_state = 349, .external_lex_state = 5},
  [5838] = {.lex_state = 349, .external_lex_state = 2},
  [5839] = {.lex_state = 349, .external_lex_state = 5},
  [5840] = {.lex_state = 349, .external_lex_state = 2},
  [5841] = {.lex_state = 349, .external_lex_state = 2},
  [5842] = {.lex_state = 349, .external_lex_state = 2},
  [5843] = {.lex_state = 349, .external_lex_state = 2},
  [5844] = {.lex_state = 70, .external_lex_state = 2},
  [5845] = {.lex_state = 349, .external_lex_state = 5},
  [5846] = {.lex_state = 349, .external_lex_state = 5},
  [5847] = {.lex_state = 349, .external_lex_state = 5},
  [5848] = {.lex_state = 349, .external_lex_state = 5},
  [5849] = {.lex_state = 349, .external_lex_state = 5},
  [5850] = {.lex_state = 349, .external_lex_state = 5},
  [5851] = {.lex_state = 349, .external_lex_state = 5},
  [5852] = {.lex_state = 349, .external_lex_state = 5},
  [5853] = {.lex_state = 349, .external_lex_state = 5},
  [5854] = {.lex_state = 349, .external_lex_state = 5},
  [5855] = {.lex_state = 349, .external_lex_state = 8},
  [5856] = {.lex_state = 349, .external_lex_state = 5},
  [5857] = {.lex_state = 349, .external_lex_state = 5},
  [5858] = {.lex_state = 349, .external_lex_state = 5},
  [5859] = {.lex_state = 349, .external_lex_state = 5},
  [5860] = {.lex_state = 349, .external_lex_state = 5},
  [5861] = {.lex_state = 349, .external_lex_state = 5},
  [5862] = {.lex_state = 349, .external_lex_state = 5},
  [5863] = {.lex_state = 349, .external_lex_state = 2},
  [5864] = {.lex_state = 349, .external_lex_state = 5},
  [5865] = {.lex_state = 349, .external_lex_state = 5},
  [5866] = {.lex_state = 349, .external_lex_state = 5},
  [5867] = {.lex_state = 349, .external_lex_state = 5},
  [5868] = {.lex_state = 24, .external_lex_state = 2},
  [5869] = {.lex_state = 349, .external_lex_state = 5},
  [5870] = {.lex_state = 349, .external_lex_state = 5},
  [5871] = {.lex_state = 349, .external_lex_state = 5},
  [5872] = {.lex_state = 349, .external_lex_state = 5},
  [5873] = {.lex_state = 349, .external_lex_state = 5},
  [5874] = {.lex_state = 349, .external_lex_state = 5},
  [5875] = {.lex_state = 349, .external_lex_state = 2},
  [5876] = {.lex_state = 349, .external_lex_state = 5},
  [5877] = {.lex_state = 349, .external_lex_state = 2},
  [5878] = {.lex_state = 349, .external_lex_state = 5},
  [5879] = {.lex_state = 349, .external_lex_state = 5},
  [5880] = {.lex_state = 24, .external_lex_state = 2},
  [5881] = {.lex_state = 47, .external_lex_state = 5},
  [5882] = {.lex_state = 47, .external_lex_state = 5},
  [5883] = {.lex_state = 349, .external_lex_state = 5},
  [5884] = {.lex_state = 349, .external_lex_state = 5},
  [5885] = {.lex_state = 349, .external_lex_state = 5},
  [5886] = {.lex_state = 349, .external_lex_state = 5},
  [5887] = {.lex_state = 349, .external_lex_state = 5},
  [5888] = {.lex_state = 349, .external_lex_state = 5},
  [5889] = {.lex_state = 349, .external_lex_state = 5},
  [5890] = {.lex_state = 349, .external_lex_state = 5},
  [5891] = {.lex_state = 349, .external_lex_state = 2},
  [5892] = {.lex_state = 349, .external_lex_state = 5},
  [5893] = {.lex_state = 349, .external_lex_state = 5},
  [5894] = {.lex_state = 349, .external_lex_state = 5},
  [5895] = {.lex_state = 349, .external_lex_state = 5},
  [5896] = {.lex_state = 349, .external_lex_state = 2},
  [5897] = {.lex_state = 349, .external_lex_state = 2},
  [5898] = {.lex_state = 349, .external_lex_state = 5},
  [5899] = {.lex_state = 349, .external_lex_state = 5},
  [5900] = {.lex_state = 349, .external_lex_state = 5},
  [5901] = {.lex_state = 349, .external_lex_state = 5},
  [5902] = {.lex_state = 349, .external_lex_state = 5},
  [5903] = {.lex_state = 349, .external_lex_state = 5},
  [5904] = {.lex_state = 349, .external_lex_state = 2},
  [5905] = {.lex_state = 349, .external_lex_state = 5},
  [5906] = {.lex_state = 349, .external_lex_state = 5},
  [5907] = {.lex_state = 349, .external_lex_state = 5},
  [5908] = {.lex_state = 349, .external_lex_state = 5},
  [5909] = {.lex_state = 349, .external_lex_state = 5},
  [5910] = {.lex_state = 349, .external_lex_state = 5},
  [5911] = {.lex_state = 349, .external_lex_state = 5},
  [5912] = {.lex_state = 349, .external_lex_state = 5},
  [5913] = {.lex_state = 349, .external_lex_state = 2},
  [5914] = {.lex_state = 349, .external_lex_state = 5},
  [5915] = {.lex_state = 349, .external_lex_state = 2},
  [5916] = {.lex_state = 349, .external_lex_state = 5},
  [5917] = {.lex_state = 349, .external_lex_state = 5},
  [5918] = {.lex_state = 349, .external_lex_state = 5},
  [5919] = {.lex_state = 70, .external_lex_state = 2},
  [5920] = {.lex_state = 349, .external_lex_state = 5},
  [5921] = {.lex_state = 349, .external_lex_state = 5},
  [5922] = {.lex_state = 349, .external_lex_state = 5},
  [5923] = {.lex_state = 349, .external_lex_state = 2},
  [5924] = {.lex_state = 349, .external_lex_state = 5},
  [5925] = {.lex_state = 349, .external_lex_state = 5},
  [5926] = {.lex_state = 349, .external_lex_state = 5},
  [5927] = {.lex_state = 349, .external_lex_state = 5},
  [5928] = {.lex_state = 349, .external_lex_state = 5},
  [5929] = {.lex_state = 349, .external_lex_state = 5},
  [5930] = {.lex_state = 349, .external_lex_state = 5},
  [5931] = {.lex_state = 349, .external_lex_state = 5},
  [5932] = {.lex_state = 349, .external_lex_state = 5},
  [5933] = {.lex_state = 349, .external_lex_state = 5},
  [5934] = {.lex_state = 349, .external_lex_state = 5},
  [5935] = {.lex_state = 349, .external_lex_state = 5},
  [5936] = {.lex_state = 349, .external_lex_state = 5},
  [5937] = {.lex_state = 349, .external_lex_state = 5},
  [5938] = {.lex_state = 349, .external_lex_state = 5},
  [5939] = {.lex_state = 349, .external_lex_state = 5},
  [5940] = {.lex_state = 349, .external_lex_state = 5},
  [5941] = {.lex_state = 349, .external_lex_state = 5},
  [5942] = {.lex_state = 349, .external_lex_state = 5},
  [5943] = {.lex_state = 349, .external_lex_state = 5},
  [5944] = {.lex_state = 349, .external_lex_state = 5},
  [5945] = {.lex_state = 349, .external_lex_state = 5},
  [5946] = {.lex_state = 349, .external_lex_state = 5},
  [5947] = {.lex_state = 349, .external_lex_state = 5},
  [5948] = {.lex_state = 349, .external_lex_state = 5},
  [5949] = {.lex_state = 349, .external_lex_state = 5},
  [5950] = {.lex_state = 349, .external_lex_state = 5},
  [5951] = {.lex_state = 349, .external_lex_state = 5},
  [5952] = {.lex_state = 349, .external_lex_state = 5},
  [5953] = {.lex_state = 349, .external_lex_state = 5},
  [5954] = {.lex_state = 349, .external_lex_state = 5},
  [5955] = {.lex_state = 47, .external_lex_state = 2},
  [5956] = {.lex_state = 349, .external_lex_state = 5},
  [5957] = {.lex_state = 349, .external_lex_state = 5},
  [5958] = {.lex_state = 21, .external_lex_state = 2},
  [5959] = {.lex_state = 349, .external_lex_state = 5},
  [5960] = {.lex_state = 349, .external_lex_state = 5},
  [5961] = {.lex_state = 349, .external_lex_state = 5},
  [5962] = {.lex_state = 349, .external_lex_state = 5},
  [5963] = {.lex_state = 349, .external_lex_state = 5},
  [5964] = {.lex_state = 349, .external_lex_state = 5},
  [5965] = {.lex_state = 349, .external_lex_state = 5},
  [5966] = {.lex_state = 349, .external_lex_state = 5},
  [5967] = {.lex_state = 349, .external_lex_state = 5},
  [5968] = {.lex_state = 349, .external_lex_state = 5},
  [5969] = {.lex_state = 349, .external_lex_state = 5},
  [5970] = {.lex_state = 47, .external_lex_state = 2},
  [5971] = {.lex_state = 349, .external_lex_state = 5},
  [5972] = {.lex_state = 349, .external_lex_state = 5},
  [5973] = {.lex_state = 349, .external_lex_state = 5},
  [5974] = {.lex_state = 349, .external_lex_state = 5},
  [5975] = {.lex_state = 349, .external_lex_state = 5},
  [5976] = {.lex_state = 349, .external_lex_state = 5},
  [5977] = {.lex_state = 349, .external_lex_state = 5},
  [5978] = {.lex_state = 349, .external_lex_state = 5},
  [5979] = {.lex_state = 349, .external_lex_state = 5},
  [5980] = {.lex_state = 349, .external_lex_state = 5},
  [5981] = {.lex_state = 349, .external_lex_state = 2},
  [5982] = {.lex_state = 349, .external_lex_state = 5},
  [5983] = {.lex_state = 349, .external_lex_state = 5},
  [5984] = {.lex_state = 349, .external_lex_state = 5},
  [5985] = {.lex_state = 47, .external_lex_state = 5},
  [5986] = {.lex_state = 47, .external_lex_state = 5},
  [5987] = {.lex_state = 349, .external_lex_state = 5},
  [5988] = {.lex_state = 349, .external_lex_state = 2},
  [5989] = {.lex_state = 349, .external_lex_state = 5},
  [5990] = {.lex_state = 349, .external_lex_state = 5},
  [5991] = {.lex_state = 349, .external_lex_state = 5},
  [5992] = {.lex_state = 349, .external_lex_state = 2},
  [5993] = {.lex_state = 349, .external_lex_state = 5},
  [5994] = {.lex_state = 349, .external_lex_state = 5},
  [5995] = {.lex_state = 349, .external_lex_state = 5},
  [5996] = {.lex_state = 349, .external_lex_state = 2},
  [5997] = {.lex_state = 349, .external_lex_state = 5},
  [5998] = {.lex_state = 349, .external_lex_state = 5},
  [5999] = {.lex_state = 349, .external_lex_state = 5},
  [6000] = {.lex_state = 45, .external_lex_state = 2},
  [6001] = {.lex_state = 349, .external_lex_state = 5},
  [6002] = {.lex_state = 349, .external_lex_state = 5},
  [6003] = {.lex_state = 45, .external_lex_state = 2},
  [6004] = {.lex_state = 349, .external_lex_state = 5},
  [6005] = {.lex_state = 45, .external_lex_state = 2},
  [6006] = {.lex_state = 349, .external_lex_state = 5},
  [6007] = {.lex_state = 45, .external_lex_state = 2},
  [6008] = {.lex_state = 349, .external_lex_state = 5},
  [6009] = {.lex_state = 349, .external_lex_state = 5},
  [6010] = {.lex_state = 349, .external_lex_state = 5},
  [6011] = {.lex_state = 24, .external_lex_state = 2},
  [6012] = {.lex_state = 349, .external_lex_state = 5},
  [6013] = {.lex_state = 349, .external_lex_state = 5},
  [6014] = {.lex_state = 349, .external_lex_state = 5},
  [6015] = {.lex_state = 349, .external_lex_state = 2},
  [6016] = {.lex_state = 349, .external_lex_state = 2},
  [6017] = {.lex_state = 349, .external_lex_state = 5},
  [6018] = {.lex_state = 349, .external_lex_state = 5},
  [6019] = {.lex_state = 349, .external_lex_state = 5},
  [6020] = {.lex_state = 349, .external_lex_state = 5},
  [6021] = {.lex_state = 349, .external_lex_state = 5},
  [6022] = {.lex_state = 349, .external_lex_state = 5},
  [6023] = {.lex_state = 349, .external_lex_state = 5},
  [6024] = {.lex_state = 349, .external_lex_state = 5},
  [6025] = {.lex_state = 349, .external_lex_state = 5},
  [6026] = {.lex_state = 349, .external_lex_state = 5},
  [6027] = {.lex_state = 349, .external_lex_state = 5},
  [6028] = {.lex_state = 349, .external_lex_state = 5},
  [6029] = {.lex_state = 349, .external_lex_state = 5},
  [6030] = {.lex_state = 349, .external_lex_state = 5},
  [6031] = {.lex_state = 349, .external_lex_state = 5},
  [6032] = {.lex_state = 349, .external_lex_state = 5},
  [6033] = {.lex_state = 349, .external_lex_state = 5},
  [6034] = {.lex_state = 349, .external_lex_state = 5},
  [6035] = {.lex_state = 349, .external_lex_state = 5},
  [6036] = {.lex_state = 349, .external_lex_state = 5},
  [6037] = {.lex_state = 349, .external_lex_state = 5},
  [6038] = {.lex_state = 349, .external_lex_state = 5},
  [6039] = {.lex_state = 349, .external_lex_state = 5},
  [6040] = {.lex_state = 349, .external_lex_state = 5},
  [6041] = {.lex_state = 349, .external_lex_state = 5},
  [6042] = {.lex_state = 349, .external_lex_state = 5},
  [6043] = {.lex_state = 349, .external_lex_state = 5},
  [6044] = {.lex_state = 349, .external_lex_state = 5},
  [6045] = {.lex_state = 349, .external_lex_state = 5},
  [6046] = {.lex_state = 349, .external_lex_state = 5},
  [6047] = {.lex_state = 349, .external_lex_state = 5},
  [6048] = {.lex_state = 349, .external_lex_state = 5},
  [6049] = {.lex_state = 349, .external_lex_state = 5},
  [6050] = {.lex_state = 349, .external_lex_state = 5},
  [6051] = {.lex_state = 47, .external_lex_state = 2},
  [6052] = {.lex_state = 349, .external_lex_state = 5},
  [6053] = {.lex_state = 21, .external_lex_state = 2},
  [6054] = {.lex_state = 349, .external_lex_state = 2},
  [6055] = {.lex_state = 349, .external_lex_state = 5},
  [6056] = {.lex_state = 24, .external_lex_state = 2},
  [6057] = {.lex_state = 349, .external_lex_state = 5},
  [6058] = {.lex_state = 349, .external_lex_state = 2},
  [6059] = {.lex_state = 349, .external_lex_state = 5},
  [6060] = {.lex_state = 349, .external_lex_state = 2},
  [6061] = {.lex_state = 349, .external_lex_state = 2},
  [6062] = {.lex_state = 349, .external_lex_state = 5},
  [6063] = {.lex_state = 24, .external_lex_state = 2},
  [6064] = {.lex_state = 50, .external_lex_state = 2},
  [6065] = {.lex_state = 349, .external_lex_state = 2},
  [6066] = {.lex_state = 349, .external_lex_state = 2},
  [6067] = {.lex_state = 349, .external_lex_state = 5},
  [6068] = {.lex_state = 75, .external_lex_state = 2},
  [6069] = {.lex_state = 349, .external_lex_state = 5},
  [6070] = {.lex_state = 349, .external_lex_state = 5},
  [6071] = {.lex_state = 349, .external_lex_state = 5},
  [6072] = {.lex_state = 349, .external_lex_state = 2},
  [6073] = {.lex_state = 46, .external_lex_state = 2},
  [6074] = {.lex_state = 50, .external_lex_state = 2},
  [6075] = {.lex_state = 349, .external_lex_state = 5},
  [6076] = {.lex_state = 349, .external_lex_state = 2},
  [6077] = {.lex_state = 349, .external_lex_state = 5},
  [6078] = {.lex_state = 349, .external_lex_state = 2},
  [6079] = {.lex_state = 349, .external_lex_state = 5},
  [6080] = {.lex_state = 349, .external_lex_state = 2},
  [6081] = {.lex_state = 349, .external_lex_state = 2},
  [6082] = {.lex_state = 349, .external_lex_state = 5},
  [6083] = {.lex_state = 349, .external_lex_state = 5},
  [6084] = {.lex_state = 349, .external_lex_state = 5},
  [6085] = {.lex_state = 24, .external_lex_state = 2},
  [6086] = {.lex_state = 45, .external_lex_state = 2},
  [6087] = {.lex_state = 349, .external_lex_state = 5},
  [6088] = {.lex_state = 349, .external_lex_state = 5},
  [6089] = {.lex_state = 45, .external_lex_state = 2},
  [6090] = {.lex_state = 45, .external_lex_state = 2},
  [6091] = {.lex_state = 349, .external_lex_state = 5},
  [6092] = {.lex_state = 349, .external_lex_state = 2},
  [6093] = {.lex_state = 21, .external_lex_state = 2},
  [6094] = {.lex_state = 47, .external_lex_state = 2},
  [6095] = {.lex_state = 349, .external_lex_state = 5},
  [6096] = {.lex_state = 349, .external_lex_state = 5},
  [6097] = {.lex_state = 47, .external_lex_state = 2},
  [6098] = {.lex_state = 349, .external_lex_state = 5},
  [6099] = {.lex_state = 349, .external_lex_state = 2},
  [6100] = {.lex_state = 47, .external_lex_state = 2},
  [6101] = {.lex_state = 349, .external_lex_state = 2},
  [6102] = {.lex_state = 47, .external_lex_state = 2},
  [6103] = {.lex_state = 47, .external_lex_state = 2},
  [6104] = {.lex_state = 349, .external_lex_state = 5},
  [6105] = {.lex_state = 349, .external_lex_state = 5},
  [6106] = {.lex_state = 349, .external_lex_state = 2},
  [6107] = {.lex_state = 349, .external_lex_state = 2},
  [6108] = {.lex_state = 75, .external_lex_state = 2},
  [6109] = {.lex_state = 349, .external_lex_state = 2},
  [6110] = {.lex_state = 349, .external_lex_state = 5},
  [6111] = {.lex_state = 349, .external_lex_state = 2},
  [6112] = {.lex_state = 349, .external_lex_state = 5},
  [6113] = {.lex_state = 62, .external_lex_state = 2},
  [6114] = {.lex_state = 349, .external_lex_state = 5},
  [6115] = {.lex_state = 21, .external_lex_state = 2},
  [6116] = {.lex_state = 47, .external_lex_state = 2},
  [6117] = {.lex_state = 349, .external_lex_state = 2},
  [6118] = {.lex_state = 349, .external_lex_state = 5},
  [6119] = {.lex_state = 349, .external_lex_state = 2},
  [6120] = {.lex_state = 349, .external_lex_state = 2},
  [6121] = {.lex_state = 349, .external_lex_state = 5},
  [6122] = {.lex_state = 349, .external_lex_state = 5},
  [6123] = {.lex_state = 349, .external_lex_state = 5},
  [6124] = {.lex_state = 349, .external_lex_state = 5},
  [6125] = {.lex_state = 349, .external_lex_state = 5},
  [6126] = {.lex_state = 349, .external_lex_state = 5},
  [6127] = {.lex_state = 349, .external_lex_state = 5},
  [6128] = {.lex_state = 349, .external_lex_state = 5},
  [6129] = {.lex_state = 75, .external_lex_state = 2},
  [6130] = {.lex_state = 349, .external_lex_state = 5},
  [6131] = {.lex_state = 349, .external_lex_state = 5},
  [6132] = {.lex_state = 349, .external_lex_state = 5},
  [6133] = {.lex_state = 349, .external_lex_state = 5},
  [6134] = {.lex_state = 349, .external_lex_state = 2},
  [6135] = {.lex_state = 349, .external_lex_state = 5},
  [6136] = {.lex_state = 349, .external_lex_state = 2},
  [6137] = {.lex_state = 349, .external_lex_state = 5},
  [6138] = {.lex_state = 47, .external_lex_state = 5},
  [6139] = {.lex_state = 47, .external_lex_state = 5},
  [6140] = {.lex_state = 349, .external_lex_state = 2},
  [6141] = {.lex_state = 349, .external_lex_state = 2},
  [6142] = {.lex_state = 349, .external_lex_state = 5},
  [6143] = {.lex_state = 21, .external_lex_state = 2},
  [6144] = {.lex_state = 349, .external_lex_state = 5},
  [6145] = {.lex_state = 349, .external_lex_state = 2},
  [6146] = {.lex_state = 349, .external_lex_state = 5},
  [6147] = {.lex_state = 349, .external_lex_state = 5},
  [6148] = {.lex_state = 349, .external_lex_state = 5},
  [6149] = {.lex_state = 349, .external_lex_state = 5},
  [6150] = {.lex_state = 349, .external_lex_state = 5},
  [6151] = {.lex_state = 349, .external_lex_state = 5},
  [6152] = {.lex_state = 349, .external_lex_state = 5},
  [6153] = {.lex_state = 349, .external_lex_state = 2},
  [6154] = {.lex_state = 349, .external_lex_state = 5},
  [6155] = {.lex_state = 349, .external_lex_state = 5},
  [6156] = {.lex_state = 349, .external_lex_state = 5},
  [6157] = {.lex_state = 349, .external_lex_state = 5},
  [6158] = {.lex_state = 349, .external_lex_state = 2},
  [6159] = {.lex_state = 50, .external_lex_state = 2},
  [6160] = {.lex_state = 349, .external_lex_state = 5},
  [6161] = {.lex_state = 50, .external_lex_state = 2},
  [6162] = {.lex_state = 349, .external_lex_state = 5},
  [6163] = {.lex_state = 349, .external_lex_state = 5},
  [6164] = {.lex_state = 21, .external_lex_state = 2},
  [6165] = {.lex_state = 21, .external_lex_state = 2},
  [6166] = {.lex_state = 349, .external_lex_state = 5},
  [6167] = {.lex_state = 349, .external_lex_state = 2},
  [6168] = {.lex_state = 349, .external_lex_state = 5},
  [6169] = {.lex_state = 349, .external_lex_state = 5},
  [6170] = {.lex_state = 349, .external_lex_state = 5},
  [6171] = {.lex_state = 349, .external_lex_state = 5},
  [6172] = {.lex_state = 349, .external_lex_state = 5},
  [6173] = {.lex_state = 349, .external_lex_state = 5},
  [6174] = {.lex_state = 349, .external_lex_state = 2},
  [6175] = {.lex_state = 349, .external_lex_state = 5},
  [6176] = {.lex_state = 45, .external_lex_state = 2},
  [6177] = {.lex_state = 349, .external_lex_state = 5},
  [6178] = {.lex_state = 349, .external_lex_state = 2},
  [6179] = {.lex_state = 1, .external_lex_state = 2},
  [6180] = {.lex_state = 349, .external_lex_state = 2},
  [6181] = {.lex_state = 349, .external_lex_state = 5},
  [6182] = {.lex_state = 349, .external_lex_state = 2},
  [6183] = {.lex_state = 24, .external_lex_state = 2},
  [6184] = {.lex_state = 45, .external_lex_state = 2},
  [6185] = {.lex_state = 349, .external_lex_state = 2},
  [6186] = {.lex_state = 349, .external_lex_state = 5},
  [6187] = {.lex_state = 45, .external_lex_state = 2},
  [6188] = {.lex_state = 45, .external_lex_state = 2},
  [6189] = {.lex_state = 349, .external_lex_state = 5},
  [6190] = {.lex_state = 45, .external_lex_state = 2},
  [6191] = {.lex_state = 349, .external_lex_state = 2},
  [6192] = {.lex_state = 45, .external_lex_state = 2},
  [6193] = {.lex_state = 349, .external_lex_state = 8},
  [6194] = {.lex_state = 349, .external_lex_state = 2},
  [6195] = {.lex_state = 349, .external_lex_state = 2},
  [6196] = {.lex_state = 349, .external_lex_state = 2},
  [6197] = {.lex_state = 349, .external_lex_state = 2},
  [6198] = {.lex_state = 24, .external_lex_state = 2},
  [6199] = {.lex_state = 45, .external_lex_state = 2},
  [6200] = {.lex_state = 349, .external_lex_state = 5},
  [6201] = {.lex_state = 349, .external_lex_state = 5},
  [6202] = {.lex_state = 45, .external_lex_state = 2},
  [6203] = {.lex_state = 349, .external_lex_state = 5},
  [6204] = {.lex_state = 349, .external_lex_state = 5},
  [6205] = {.lex_state = 45, .external_lex_state = 2},
  [6206] = {.lex_state = 349, .external_lex_state = 5},
  [6207] = {.lex_state = 45, .external_lex_state = 2},
  [6208] = {.lex_state = 349, .external_lex_state = 5},
  [6209] = {.lex_state = 349, .external_lex_state = 2},
  [6210] = {.lex_state = 45, .external_lex_state = 2},
  [6211] = {.lex_state = 349, .external_lex_state = 2},
  [6212] = {.lex_state = 349, .external_lex_state = 2},
  [6213] = {.lex_state = 349, .external_lex_state = 2},
  [6214] = {.lex_state = 349, .external_lex_state = 5},
  [6215] = {.lex_state = 349, .external_lex_state = 5},
  [6216] = {.lex_state = 349, .external_lex_state = 2},
  [6217] = {.lex_state = 349, .external_lex_state = 5},
  [6218] = {.lex_state = 349, .external_lex_state = 2},
  [6219] = {.lex_state = 349, .external_lex_state = 2},
  [6220] = {.lex_state = 349, .external_lex_state = 5},
  [6221] = {.lex_state = 349, .external_lex_state = 5},
  [6222] = {.lex_state = 349, .external_lex_state = 2},
  [6223] = {.lex_state = 349, .external_lex_state = 2},
  [6224] = {.lex_state = 349, .external_lex_state = 5},
  [6225] = {.lex_state = 46, .external_lex_state = 2},
  [6226] = {.lex_state = 349, .external_lex_state = 2},
  [6227] = {.lex_state = 349, .external_lex_state = 5},
  [6228] = {.lex_state = 349, .external_lex_state = 5},
  [6229] = {.lex_state = 349, .external_lex_state = 2},
  [6230] = {.lex_state = 349, .external_lex_state = 5},
  [6231] = {.lex_state = 349, .external_lex_state = 5},
  [6232] = {.lex_state = 349, .external_lex_state = 5},
  [6233] = {.lex_state = 349, .external_lex_state = 2},
  [6234] = {.lex_state = 349, .external_lex_state = 2},
  [6235] = {.lex_state = 349, .external_lex_state = 5},
  [6236] = {.lex_state = 349, .external_lex_state = 5},
  [6237] = {.lex_state = 349, .external_lex_state = 5},
  [6238] = {.lex_state = 349, .external_lex_state = 2},
  [6239] = {.lex_state = 349, .external_lex_state = 2},
  [6240] = {.lex_state = 349, .external_lex_state = 5},
  [6241] = {.lex_state = 75, .external_lex_state = 2},
  [6242] = {.lex_state = 349, .external_lex_state = 5},
  [6243] = {.lex_state = 349, .external_lex_state = 2},
  [6244] = {.lex_state = 349, .external_lex_state = 5},
  [6245] = {.lex_state = 349, .external_lex_state = 2},
  [6246] = {.lex_state = 21, .external_lex_state = 2},
  [6247] = {.lex_state = 349, .external_lex_state = 2},
  [6248] = {.lex_state = 349, .external_lex_state = 2},
  [6249] = {.lex_state = 349, .external_lex_state = 2},
  [6250] = {.lex_state = 349, .external_lex_state = 5},
  [6251] = {.lex_state = 349, .external_lex_state = 2},
  [6252] = {.lex_state = 45, .external_lex_state = 2},
  [6253] = {.lex_state = 45, .external_lex_state = 2},
  [6254] = {.lex_state = 349, .external_lex_state = 5},
  [6255] = {.lex_state = 349, .external_lex_state = 5},
  [6256] = {.lex_state = 45, .external_lex_state = 2},
  [6257] = {.lex_state = 349, .external_lex_state = 2},
  [6258] = {.lex_state = 45, .external_lex_state = 2},
  [6259] = {.lex_state = 349, .external_lex_state = 5},
  [6260] = {.lex_state = 45, .external_lex_state = 2},
  [6261] = {.lex_state = 45, .external_lex_state = 2},
  [6262] = {.lex_state = 349, .external_lex_state = 2},
  [6263] = {.lex_state = 349, .external_lex_state = 5},
  [6264] = {.lex_state = 24, .external_lex_state = 2},
  [6265] = {.lex_state = 349, .external_lex_state = 2},
  [6266] = {.lex_state = 349, .external_lex_state = 5},
  [6267] = {.lex_state = 349, .external_lex_state = 5},
  [6268] = {.lex_state = 349, .external_lex_state = 2},
  [6269] = {.lex_state = 349, .external_lex_state = 2},
  [6270] = {.lex_state = 349, .external_lex_state = 2},
  [6271] = {.lex_state = 349, .external_lex_state = 5},
  [6272] = {.lex_state = 349, .external_lex_state = 2},
  [6273] = {.lex_state = 349, .external_lex_state = 5},
  [6274] = {.lex_state = 45, .external_lex_state = 2},
  [6275] = {.lex_state = 349, .external_lex_state = 5},
  [6276] = {.lex_state = 349, .external_lex_state = 2},
  [6277] = {.lex_state = 349, .external_lex_state = 2},
  [6278] = {.lex_state = 349, .external_lex_state = 2},
  [6279] = {.lex_state = 349, .external_lex_state = 5},
  [6280] = {.lex_state = 62, .external_lex_state = 2},
  [6281] = {.lex_state = 349, .external_lex_state = 2},
  [6282] = {.lex_state = 349, .external_lex_state = 5},
  [6283] = {.lex_state = 349, .external_lex_state = 5},
  [6284] = {.lex_state = 349, .external_lex_state = 5},
  [6285] = {.lex_state = 349, .external_lex_state = 5},
  [6286] = {.lex_state = 349, .external_lex_state = 5},
  [6287] = {.lex_state = 349, .external_lex_state = 2},
  [6288] = {.lex_state = 349, .external_lex_state = 5},
  [6289] = {.lex_state = 349, .external_lex_state = 5},
  [6290] = {.lex_state = 21, .external_lex_state = 2},
  [6291] = {.lex_state = 349, .external_lex_state = 2},
  [6292] = {.lex_state = 349, .external_lex_state = 5},
  [6293] = {.lex_state = 349, .external_lex_state = 5},
  [6294] = {.lex_state = 349, .external_lex_state = 5},
  [6295] = {.lex_state = 349, .external_lex_state = 5},
  [6296] = {.lex_state = 47, .external_lex_state = 2},
  [6297] = {.lex_state = 47, .external_lex_state = 2},
  [6298] = {.lex_state = 47, .external_lex_state = 2},
  [6299] = {.lex_state = 349, .external_lex_state = 5},
  [6300] = {.lex_state = 47, .external_lex_state = 2},
  [6301] = {.lex_state = 349, .external_lex_state = 5},
  [6302] = {.lex_state = 47, .external_lex_state = 2},
  [6303] = {.lex_state = 349, .external_lex_state = 5},
  [6304] = {.lex_state = 349, .external_lex_state = 5},
  [6305] = {.lex_state = 349, .external_lex_state = 2},
  [6306] = {.lex_state = 349, .external_lex_state = 2},
  [6307] = {.lex_state = 349, .external_lex_state = 5},
  [6308] = {.lex_state = 349, .external_lex_state = 5},
  [6309] = {.lex_state = 349, .external_lex_state = 5},
  [6310] = {.lex_state = 349, .external_lex_state = 2},
  [6311] = {.lex_state = 47, .external_lex_state = 2},
  [6312] = {.lex_state = 45, .external_lex_state = 2},
  [6313] = {.lex_state = 349, .external_lex_state = 5},
  [6314] = {.lex_state = 24, .external_lex_state = 2},
  [6315] = {.lex_state = 47, .external_lex_state = 2},
  [6316] = {.lex_state = 349, .external_lex_state = 2},
  [6317] = {.lex_state = 349, .external_lex_state = 2},
  [6318] = {.lex_state = 62, .external_lex_state = 2},
  [6319] = {.lex_state = 349, .external_lex_state = 2},
  [6320] = {.lex_state = 45, .external_lex_state = 2},
  [6321] = {.lex_state = 349, .external_lex_state = 5},
  [6322] = {.lex_state = 349, .external_lex_state = 5},
  [6323] = {.lex_state = 349, .external_lex_state = 5},
  [6324] = {.lex_state = 349, .external_lex_state = 2},
  [6325] = {.lex_state = 349, .external_lex_state = 2},
  [6326] = {.lex_state = 70, .external_lex_state = 2},
  [6327] = {.lex_state = 349, .external_lex_state = 5},
  [6328] = {.lex_state = 58, .external_lex_state = 9},
  [6329] = {.lex_state = 54, .external_lex_state = 9},
  [6330] = {.lex_state = 45, .external_lex_state = 2},
  [6331] = {.lex_state = 349, .external_lex_state = 2},
  [6332] = {.lex_state = 349, .external_lex_state = 2},
  [6333] = {.lex_state = 349, .external_lex_state = 2},
  [6334] = {.lex_state = 349, .external_lex_state = 5},
  [6335] = {.lex_state = 349, .external_lex_state = 2},
  [6336] = {.lex_state = 349, .external_lex_state = 2},
  [6337] = {.lex_state = 349, .external_lex_state = 5},
  [6338] = {.lex_state = 349, .external_lex_state = 5},
  [6339] = {.lex_state = 349, .external_lex_state = 2},
  [6340] = {.lex_state = 349, .external_lex_state = 5},
  [6341] = {.lex_state = 349, .external_lex_state = 5},
  [6342] = {.lex_state = 349, .external_lex_state = 2},
  [6343] = {.lex_state = 349, .external_lex_state = 5},
  [6344] = {.lex_state = 349, .external_lex_state = 2},
  [6345] = {.lex_state = 349, .external_lex_state = 5},
  [6346] = {.lex_state = 349, .external_lex_state = 5},
  [6347] = {.lex_state = 349, .external_lex_state = 2},
  [6348] = {.lex_state = 349, .external_lex_state = 5},
  [6349] = {.lex_state = 349, .external_lex_state = 5},
  [6350] = {.lex_state = 349, .external_lex_state = 2},
  [6351] = {.lex_state = 349, .external_lex_state = 5},
  [6352] = {.lex_state = 349, .external_lex_state = 2},
  [6353] = {.lex_state = 349, .external_lex_state = 2},
  [6354] = {.lex_state = 349, .external_lex_state = 2},
  [6355] = {.lex_state = 349, .external_lex_state = 2},
  [6356] = {.lex_state = 349, .external_lex_state = 2},
  [6357] = {.lex_state = 349, .external_lex_state = 5},
  [6358] = {.lex_state = 349, .external_lex_state = 5},
  [6359] = {.lex_state = 349, .external_lex_state = 5},
  [6360] = {.lex_state = 349, .external_lex_state = 2},
  [6361] = {.lex_state = 349, .external_lex_state = 2},
  [6362] = {.lex_state = 349, .external_lex_state = 2},
  [6363] = {.lex_state = 349, .external_lex_state = 2},
  [6364] = {.lex_state = 24, .external_lex_state = 2},
  [6365] = {.lex_state = 349, .external_lex_state = 5},
  [6366] = {.lex_state = 349, .external_lex_state = 2},
  [6367] = {.lex_state = 349, .external_lex_state = 5},
  [6368] = {.lex_state = 45, .external_lex_state = 2},
  [6369] = {.lex_state = 349, .external_lex_state = 5},
  [6370] = {.lex_state = 349, .external_lex_state = 2},
  [6371] = {.lex_state = 349, .external_lex_state = 2},
  [6372] = {.lex_state = 349, .external_lex_state = 2},
  [6373] = {.lex_state = 349, .external_lex_state = 5},
  [6374] = {.lex_state = 349, .external_lex_state = 5},
  [6375] = {.lex_state = 349, .external_lex_state = 2},
  [6376] = {.lex_state = 45, .external_lex_state = 2},
  [6377] = {.lex_state = 349, .external_lex_state = 5},
  [6378] = {.lex_state = 349, .external_lex_state = 2},
  [6379] = {.lex_state = 349, .external_lex_state = 2},
  [6380] = {.lex_state = 349, .external_lex_state = 2},
  [6381] = {.lex_state = 349, .external_lex_state = 2},
  [6382] = {.lex_state = 349, .external_lex_state = 5},
  [6383] = {.lex_state = 349, .external_lex_state = 5},
  [6384] = {.lex_state = 349, .external_lex_state = 2},
  [6385] = {.lex_state = 349, .external_lex_state = 5},
  [6386] = {.lex_state = 349, .external_lex_state = 5},
  [6387] = {.lex_state = 349, .external_lex_state = 5},
  [6388] = {.lex_state = 349, .external_lex_state = 2},
  [6389] = {.lex_state = 349, .external_lex_state = 5},
  [6390] = {.lex_state = 349, .external_lex_state = 5},
  [6391] = {.lex_state = 349, .external_lex_state = 2},
  [6392] = {.lex_state = 349, .external_lex_state = 2},
  [6393] = {.lex_state = 45, .external_lex_state = 2},
  [6394] = {.lex_state = 45, .external_lex_state = 2},
  [6395] = {.lex_state = 349, .external_lex_state = 5},
  [6396] = {.lex_state = 47, .external_lex_state = 2},
  [6397] = {.lex_state = 21, .external_lex_state = 2},
  [6398] = {.lex_state = 349, .external_lex_state = 5},
  [6399] = {.lex_state = 349, .external_lex_state = 5},
  [6400] = {.lex_state = 349, .external_lex_state = 5},
  [6401] = {.lex_state = 47, .external_lex_state = 2},
  [6402] = {.lex_state = 47, .external_lex_state = 5},
  [6403] = {.lex_state = 349, .external_lex_state = 5},
  [6404] = {.lex_state = 47, .external_lex_state = 5},
  [6405] = {.lex_state = 47, .external_lex_state = 2},
  [6406] = {.lex_state = 349, .external_lex_state = 5},
  [6407] = {.lex_state = 349, .external_lex_state = 2},
  [6408] = {.lex_state = 24, .external_lex_state = 2},
  [6409] = {.lex_state = 349, .external_lex_state = 5},
  [6410] = {.lex_state = 349, .external_lex_state = 5},
  [6411] = {.lex_state = 24, .external_lex_state = 2},
  [6412] = {.lex_state = 349, .external_lex_state = 5},
  [6413] = {.lex_state = 349, .external_lex_state = 5},
  [6414] = {.lex_state = 47, .external_lex_state = 5},
  [6415] = {.lex_state = 24, .external_lex_state = 2},
  [6416] = {.lex_state = 24, .external_lex_state = 2},
  [6417] = {.lex_state = 349, .external_lex_state = 2},
  [6418] = {.lex_state = 45, .external_lex_state = 2},
  [6419] = {.lex_state = 349, .external_lex_state = 5},
  [6420] = {.lex_state = 24, .external_lex_state = 2},
  [6421] = {.lex_state = 24, .external_lex_state = 2},
  [6422] = {.lex_state = 24, .external_lex_state = 2},
  [6423] = {.lex_state = 24, .external_lex_state = 2},
  [6424] = {.lex_state = 349, .external_lex_state = 5},
  [6425] = {.lex_state = 24, .external_lex_state = 2},
  [6426] = {.lex_state = 24, .external_lex_state = 2},
  [6427] = {.lex_state = 24, .external_lex_state = 2},
  [6428] = {.lex_state = 349, .external_lex_state = 5},
  [6429] = {.lex_state = 24, .external_lex_state = 2},
  [6430] = {.lex_state = 349, .external_lex_state = 5},
  [6431] = {.lex_state = 24, .external_lex_state = 2},
  [6432] = {.lex_state = 349, .external_lex_state = 5},
  [6433] = {.lex_state = 47, .external_lex_state = 5},
  [6434] = {.lex_state = 349, .external_lex_state = 5},
  [6435] = {.lex_state = 349, .external_lex_state = 2},
  [6436] = {.lex_state = 349, .external_lex_state = 5},
  [6437] = {.lex_state = 45, .external_lex_state = 2},
  [6438] = {.lex_state = 349, .external_lex_state = 5},
  [6439] = {.lex_state = 45, .external_lex_state = 2},
  [6440] = {.lex_state = 349, .external_lex_state = 2},
  [6441] = {.lex_state = 349, .external_lex_state = 2},
  [6442] = {.lex_state = 349, .external_lex_state = 2},
  [6443] = {.lex_state = 349, .external_lex_state = 2},
  [6444] = {.lex_state = 349, .external_lex_state = 2},
  [6445] = {.lex_state = 349, .external_lex_state = 2},
  [6446] = {.lex_state = 349, .external_lex_state = 2},
  [6447] = {.lex_state = 349, .external_lex_state = 2},
  [6448] = {.lex_state = 349, .external_lex_state = 2},
  [6449] = {.lex_state = 349, .external_lex_state = 5},
  [6450] = {.lex_state = 349, .external_lex_state = 5},
  [6451] = {.lex_state = 349, .external_lex_state = 5},
  [6452] = {.lex_state = 349, .external_lex_state = 2},
  [6453] = {.lex_state = 349, .external_lex_state = 5},
  [6454] = {.lex_state = 349, .external_lex_state = 5},
  [6455] = {.lex_state = 349, .external_lex_state = 2},
  [6456] = {.lex_state = 349, .external_lex_state = 5},
  [6457] = {.lex_state = 349, .external_lex_state = 2},
  [6458] = {.lex_state = 349, .external_lex_state = 2},
  [6459] = {.lex_state = 349, .external_lex_state = 2},
  [6460] = {.lex_state = 349, .external_lex_state = 5},
  [6461] = {.lex_state = 349, .external_lex_state = 2},
  [6462] = {.lex_state = 349, .external_lex_state = 2},
  [6463] = {.lex_state = 349, .external_lex_state = 2},
  [6464] = {.lex_state = 349, .external_lex_state = 2},
  [6465] = {.lex_state = 349, .external_lex_state = 2},
  [6466] = {.lex_state = 349, .external_lex_state = 2},
  [6467] = {.lex_state = 349, .external_lex_state = 2},
  [6468] = {.lex_state = 349, .external_lex_state = 2},
  [6469] = {.lex_state = 349, .external_lex_state = 2},
  [6470] = {.lex_state = 349, .external_lex_state = 5},
  [6471] = {.lex_state = 1, .external_lex_state = 2},
  [6472] = {.lex_state = 349, .external_lex_state = 2},
  [6473] = {.lex_state = 349, .external_lex_state = 2},
  [6474] = {.lex_state = 349, .external_lex_state = 2},
  [6475] = {.lex_state = 349, .external_lex_state = 5},
  [6476] = {.lex_state = 349, .external_lex_state = 2},
  [6477] = {.lex_state = 349, .external_lex_state = 5},
  [6478] = {.lex_state = 349, .external_lex_state = 2},
  [6479] = {.lex_state = 349, .external_lex_state = 2},
  [6480] = {.lex_state = 349, .external_lex_state = 2},
  [6481] = {.lex_state = 349, .external_lex_state = 2},
  [6482] = {.lex_state = 349, .external_lex_state = 2},
  [6483] = {.lex_state = 349, .external_lex_state = 2},
  [6484] = {.lex_state = 349, .external_lex_state = 2},
  [6485] = {.lex_state = 349, .external_lex_state = 2},
  [6486] = {.lex_state = 349, .external_lex_state = 2},
  [6487] = {.lex_state = 349, .external_lex_state = 2},
  [6488] = {.lex_state = 349, .external_lex_state = 2},
  [6489] = {.lex_state = 349, .external_lex_state = 2},
  [6490] = {.lex_state = 349, .external_lex_state = 5},
  [6491] = {.lex_state = 47, .external_lex_state = 2},
  [6492] = {.lex_state = 47, .external_lex_state = 2},
  [6493] = {.lex_state = 349, .external_lex_state = 2},
  [6494] = {.lex_state = 349, .external_lex_state = 2},
  [6495] = {.lex_state = 349, .external_lex_state = 2},
  [6496] = {.lex_state = 349, .external_lex_state = 2},
  [6497] = {.lex_state = 349, .external_lex_state = 2},
  [6498] = {.lex_state = 349, .external_lex_state = 2},
  [6499] = {.lex_state = 47, .external_lex_state = 2},
  [6500] = {.lex_state = 349, .external_lex_state = 5},
  [6501] = {.lex_state = 349, .external_lex_state = 5},
  [6502] = {.lex_state = 349, .external_lex_state = 2},
  [6503] = {.lex_state = 349, .external_lex_state = 2},
  [6504] = {.lex_state = 349, .external_lex_state = 5},
  [6505] = {.lex_state = 349, .external_lex_state = 2},
  [6506] = {.lex_state = 349, .external_lex_state = 2},
  [6507] = {.lex_state = 47, .external_lex_state = 2},
  [6508] = {.lex_state = 349, .external_lex_state = 5},
  [6509] = {.lex_state = 349, .external_lex_state = 2},
  [6510] = {.lex_state = 349, .external_lex_state = 2},
  [6511] = {.lex_state = 349, .external_lex_state = 2},
  [6512] = {.lex_state = 349, .external_lex_state = 2},
  [6513] = {.lex_state = 349, .external_lex_state = 2},
  [6514] = {.lex_state = 349, .external_lex_state = 2},
  [6515] = {.lex_state = 47, .external_lex_state = 2},
  [6516] = {.lex_state = 349, .external_lex_state = 2},
  [6517] = {.lex_state = 349, .external_lex_state = 2},
  [6518] = {.lex_state = 349, .external_lex_state = 2},
  [6519] = {.lex_state = 349, .external_lex_state = 2},
  [6520] = {.lex_state = 47, .external_lex_state = 2},
  [6521] = {.lex_state = 47, .external_lex_state = 2},
  [6522] = {.lex_state = 349, .external_lex_state = 2},
  [6523] = {.lex_state = 349, .external_lex_state = 2},
  [6524] = {.lex_state = 47, .external_lex_state = 2},
  [6525] = {.lex_state = 47, .external_lex_state = 2},
  [6526] = {.lex_state = 47, .external_lex_state = 2},
  [6527] = {.lex_state = 349, .external_lex_state = 2},
  [6528] = {.lex_state = 349, .external_lex_state = 2},
  [6529] = {.lex_state = 349, .external_lex_state = 2},
  [6530] = {.lex_state = 349, .external_lex_state = 5},
  [6531] = {.lex_state = 349, .external_lex_state = 5},
  [6532] = {.lex_state = 349, .external_lex_state = 5},
  [6533] = {.lex_state = 349, .external_lex_state = 2},
  [6534] = {.lex_state = 349, .external_lex_state = 2},
  [6535] = {.lex_state = 349, .external_lex_state = 2},
  [6536] = {.lex_state = 349, .external_lex_state = 5},
  [6537] = {.lex_state = 349, .external_lex_state = 2},
  [6538] = {.lex_state = 349, .external_lex_state = 2},
  [6539] = {.lex_state = 349, .external_lex_state = 2},
  [6540] = {.lex_state = 349, .external_lex_state = 2},
  [6541] = {.lex_state = 349, .external_lex_state = 2},
  [6542] = {.lex_state = 349, .external_lex_state = 2},
  [6543] = {.lex_state = 349, .external_lex_state = 2},
  [6544] = {.lex_state = 349, .external_lex_state = 2},
  [6545] = {.lex_state = 349, .external_lex_state = 2},
  [6546] = {.lex_state = 349, .external_lex_state = 2},
  [6547] = {.lex_state = 349, .external_lex_state = 2},
  [6548] = {.lex_state = 47, .external_lex_state = 2},
  [6549] = {.lex_state = 349, .external_lex_state = 2},
  [6550] = {.lex_state = 349, .external_lex_state = 5},
  [6551] = {.lex_state = 349, .external_lex_state = 5},
  [6552] = {.lex_state = 349, .external_lex_state = 2},
  [6553] = {.lex_state = 349, .external_lex_state = 2},
  [6554] = {.lex_state = 349, .external_lex_state = 5},
  [6555] = {.lex_state = 349, .external_lex_state = 5},
  [6556] = {.lex_state = 349, .external_lex_state = 5},
  [6557] = {.lex_state = 349, .external_lex_state = 2},
  [6558] = {.lex_state = 349, .external_lex_state = 2},
  [6559] = {.lex_state = 349, .external_lex_state = 2},
  [6560] = {.lex_state = 349, .external_lex_state = 5},
  [6561] = {.lex_state = 349, .external_lex_state = 5},
  [6562] = {.lex_state = 349, .external_lex_state = 2},
  [6563] = {.lex_state = 349, .external_lex_state = 5},
  [6564] = {.lex_state = 349, .external_lex_state = 2},
  [6565] = {.lex_state = 47, .external_lex_state = 2},
  [6566] = {.lex_state = 349, .external_lex_state = 2},
  [6567] = {.lex_state = 349, .external_lex_state = 2},
  [6568] = {.lex_state = 349, .external_lex_state = 2},
  [6569] = {.lex_state = 349, .external_lex_state = 2},
  [6570] = {.lex_state = 349, .external_lex_state = 2},
  [6571] = {.lex_state = 349, .external_lex_state = 2},
  [6572] = {.lex_state = 349, .external_lex_state = 2},
  [6573] = {.lex_state = 349, .external_lex_state = 2},
  [6574] = {.lex_state = 349, .external_lex_state = 2},
  [6575] = {.lex_state = 349, .external_lex_state = 5},
  [6576] = {.lex_state = 349, .external_lex_state = 2},
  [6577] = {.lex_state = 349, .external_lex_state = 2},
  [6578] = {.lex_state = 349, .external_lex_state = 2},
  [6579] = {.lex_state = 349, .external_lex_state = 5},
  [6580] = {.lex_state = 349, .external_lex_state = 5},
  [6581] = {.lex_state = 349, .external_lex_state = 5},
  [6582] = {.lex_state = 349, .external_lex_state = 5},
  [6583] = {.lex_state = 349, .external_lex_state = 5},
  [6584] = {.lex_state = 349, .external_lex_state = 2},
  [6585] = {.lex_state = 349, .external_lex_state = 5},
  [6586] = {.lex_state = 349, .external_lex_state = 2},
  [6587] = {.lex_state = 349, .external_lex_state = 2},
  [6588] = {.lex_state = 349, .external_lex_state = 2},
  [6589] = {.lex_state = 349, .external_lex_state = 5},
  [6590] = {.lex_state = 349, .external_lex_state = 2},
  [6591] = {.lex_state = 349, .external_lex_state = 5},
  [6592] = {.lex_state = 47, .external_lex_state = 2},
  [6593] = {.lex_state = 349, .external_lex_state = 2},
  [6594] = {.lex_state = 349, .external_lex_state = 2},
  [6595] = {.lex_state = 349, .external_lex_state = 2},
  [6596] = {.lex_state = 349, .external_lex_state = 5},
  [6597] = {.lex_state = 349, .external_lex_state = 5},
  [6598] = {.lex_state = 349, .external_lex_state = 2},
  [6599] = {.lex_state = 349, .external_lex_state = 2},
  [6600] = {.lex_state = 349, .external_lex_state = 2},
  [6601] = {.lex_state = 349, .external_lex_state = 2},
  [6602] = {.lex_state = 349, .external_lex_state = 2},
  [6603] = {.lex_state = 349, .external_lex_state = 2},
  [6604] = {.lex_state = 349, .external_lex_state = 2},
  [6605] = {.lex_state = 349, .external_lex_state = 2},
  [6606] = {.lex_state = 349, .external_lex_state = 2},
  [6607] = {.lex_state = 349, .external_lex_state = 2},
  [6608] = {.lex_state = 349, .external_lex_state = 2},
  [6609] = {.lex_state = 349, .external_lex_state = 2},
  [6610] = {.lex_state = 47, .external_lex_state = 2},
  [6611] = {.lex_state = 349, .external_lex_state = 2},
  [6612] = {.lex_state = 349, .external_lex_state = 2},
  [6613] = {.lex_state = 349, .external_lex_state = 2},
  [6614] = {.lex_state = 349, .external_lex_state = 2},
  [6615] = {.lex_state = 349, .external_lex_state = 2},
  [6616] = {.lex_state = 349, .external_lex_state = 2},
  [6617] = {.lex_state = 349, .external_lex_state = 2},
  [6618] = {.lex_state = 349, .external_lex_state = 2},
  [6619] = {.lex_state = 349, .external_lex_state = 2},
  [6620] = {.lex_state = 349, .external_lex_state = 2},
  [6621] = {.lex_state = 349, .external_lex_state = 2},
  [6622] = {.lex_state = 349, .external_lex_state = 2},
  [6623] = {.lex_state = 349, .external_lex_state = 2},
  [6624] = {.lex_state = 349, .external_lex_state = 5},
  [6625] = {.lex_state = 349, .external_lex_state = 2},
  [6626] = {.lex_state = 349, .external_lex_state = 2},
  [6627] = {.lex_state = 349, .external_lex_state = 2},
  [6628] = {.lex_state = 349, .external_lex_state = 2},
  [6629] = {.lex_state = 349, .external_lex_state = 2},
  [6630] = {.lex_state = 349, .external_lex_state = 2},
  [6631] = {.lex_state = 349, .external_lex_state = 2},
  [6632] = {.lex_state = 47, .external_lex_state = 2},
  [6633] = {.lex_state = 349, .external_lex_state = 2},
  [6634] = {.lex_state = 47, .external_lex_state = 2},
  [6635] = {.lex_state = 349, .external_lex_state = 2},
  [6636] = {.lex_state = 349, .external_lex_state = 2},
  [6637] = {.lex_state = 349, .external_lex_state = 2},
  [6638] = {.lex_state = 1, .external_lex_state = 2},
  [6639] = {.lex_state = 349, .external_lex_state = 2},
  [6640] = {.lex_state = 349, .external_lex_state = 2},
  [6641] = {.lex_state = 349, .external_lex_state = 2},
  [6642] = {.lex_state = 349, .external_lex_state = 2},
  [6643] = {.lex_state = 349, .external_lex_state = 5},
  [6644] = {.lex_state = 349, .external_lex_state = 2},
  [6645] = {.lex_state = 349, .external_lex_state = 2},
  [6646] = {.lex_state = 349, .external_lex_state = 2},
  [6647] = {.lex_state = 349, .external_lex_state = 2},
  [6648] = {.lex_state = 47, .external_lex_state = 2},
  [6649] = {.lex_state = 47, .external_lex_state = 2},
  [6650] = {.lex_state = 349, .external_lex_state = 5},
  [6651] = {.lex_state = 349, .external_lex_state = 2},
  [6652] = {.lex_state = 47, .external_lex_state = 2},
  [6653] = {.lex_state = 349, .external_lex_state = 2},
  [6654] = {.lex_state = 47, .external_lex_state = 2},
  [6655] = {.lex_state = 47, .external_lex_state = 2},
  [6656] = {.lex_state = 47, .external_lex_state = 2},
  [6657] = {.lex_state = 47, .external_lex_state = 2},
  [6658] = {.lex_state = 349, .external_lex_state = 2},
  [6659] = {.lex_state = 349, .external_lex_state = 2},
  [6660] = {.lex_state = 349, .external_lex_state = 5},
  [6661] = {.lex_state = 349, .external_lex_state = 5},
  [6662] = {.lex_state = 349, .external_lex_state = 5},
  [6663] = {.lex_state = 349, .external_lex_state = 2},
  [6664] = {.lex_state = 349, .external_lex_state = 5},
  [6665] = {.lex_state = 349, .external_lex_state = 2},
  [6666] = {.lex_state = 349, .external_lex_state = 2},
  [6667] = {.lex_state = 349, .external_lex_state = 5},
  [6668] = {.lex_state = 349, .external_lex_state = 2},
  [6669] = {.lex_state = 349, .external_lex_state = 2},
  [6670] = {.lex_state = 349, .external_lex_state = 2},
  [6671] = {.lex_state = 47, .external_lex_state = 2},
  [6672] = {.lex_state = 349, .external_lex_state = 2},
  [6673] = {.lex_state = 349, .external_lex_state = 2},
  [6674] = {.lex_state = 349, .external_lex_state = 2},
  [6675] = {.lex_state = 349, .external_lex_state = 2},
  [6676] = {.lex_state = 349, .external_lex_state = 2},
  [6677] = {.lex_state = 349, .external_lex_state = 2},
  [6678] = {.lex_state = 349, .external_lex_state = 2},
  [6679] = {.lex_state = 349, .external_lex_state = 5},
  [6680] = {.lex_state = 349, .external_lex_state = 2},
  [6681] = {.lex_state = 349, .external_lex_state = 2},
  [6682] = {.lex_state = 349, .external_lex_state = 5},
  [6683] = {.lex_state = 349, .external_lex_state = 5},
  [6684] = {.lex_state = 349, .external_lex_state = 2},
  [6685] = {.lex_state = 349, .external_lex_state = 5},
  [6686] = {.lex_state = 349, .external_lex_state = 2},
  [6687] = {.lex_state = 349, .external_lex_state = 2},
  [6688] = {.lex_state = 349, .external_lex_state = 2},
  [6689] = {.lex_state = 349, .external_lex_state = 5},
  [6690] = {.lex_state = 349, .external_lex_state = 5},
  [6691] = {.lex_state = 349, .external_lex_state = 2},
  [6692] = {.lex_state = 349, .external_lex_state = 5},
  [6693] = {.lex_state = 349, .external_lex_state = 2},
  [6694] = {.lex_state = 349, .external_lex_state = 2},
  [6695] = {.lex_state = 349, .external_lex_state = 2},
  [6696] = {.lex_state = 349, .external_lex_state = 2},
  [6697] = {.lex_state = 349, .external_lex_state = 2},
  [6698] = {.lex_state = 349, .external_lex_state = 5},
  [6699] = {.lex_state = 349, .external_lex_state = 5},
  [6700] = {.lex_state = 349, .external_lex_state = 2},
  [6701] = {.lex_state = 349, .external_lex_state = 2},
  [6702] = {.lex_state = 349, .external_lex_state = 2},
  [6703] = {.lex_state = 349, .external_lex_state = 2},
  [6704] = {.lex_state = 349, .external_lex_state = 2},
  [6705] = {.lex_state = 349, .external_lex_state = 2},
  [6706] = {.lex_state = 349, .external_lex_state = 5},
  [6707] = {.lex_state = 349, .external_lex_state = 5},
  [6708] = {.lex_state = 349, .external_lex_state = 2},
  [6709] = {.lex_state = 349, .external_lex_state = 2},
  [6710] = {.lex_state = 349, .external_lex_state = 5},
  [6711] = {.lex_state = 349, .external_lex_state = 5},
  [6712] = {.lex_state = 349, .external_lex_state = 2},
  [6713] = {.lex_state = 349, .external_lex_state = 2},
  [6714] = {.lex_state = 349, .external_lex_state = 2},
  [6715] = {.lex_state = 349, .external_lex_state = 2},
  [6716] = {.lex_state = 349, .external_lex_state = 2},
  [6717] = {.lex_state = 349, .external_lex_state = 5},
  [6718] = {.lex_state = 349, .external_lex_state = 5},
  [6719] = {.lex_state = 349, .external_lex_state = 2},
  [6720] = {.lex_state = 349, .external_lex_state = 2},
  [6721] = {.lex_state = 349, .external_lex_state = 2},
  [6722] = {.lex_state = 349, .external_lex_state = 2},
  [6723] = {.lex_state = 349, .external_lex_state = 2},
  [6724] = {.lex_state = 349, .external_lex_state = 2},
  [6725] = {.lex_state = 349, .external_lex_state = 2},
  [6726] = {.lex_state = 349, .external_lex_state = 5},
  [6727] = {.lex_state = 349, .external_lex_state = 2},
  [6728] = {.lex_state = 349, .external_lex_state = 2},
  [6729] = {.lex_state = 349, .external_lex_state = 2},
  [6730] = {.lex_state = 349, .external_lex_state = 2},
  [6731] = {.lex_state = 349, .external_lex_state = 2},
  [6732] = {.lex_state = 349, .external_lex_state = 2},
  [6733] = {.lex_state = 349, .external_lex_state = 2},
  [6734] = {.lex_state = 349, .external_lex_state = 5},
  [6735] = {.lex_state = 349, .external_lex_state = 5},
  [6736] = {.lex_state = 349, .external_lex_state = 2},
  [6737] = {.lex_state = 349, .external_lex_state = 2},
  [6738] = {.lex_state = 349, .external_lex_state = 2},
  [6739] = {.lex_state = 349, .external_lex_state = 5},
  [6740] = {.lex_state = 349, .external_lex_state = 2},
  [6741] = {.lex_state = 349, .external_lex_state = 2},
  [6742] = {.lex_state = 349, .external_lex_state = 2},
  [6743] = {.lex_state = 349, .external_lex_state = 2},
  [6744] = {.lex_state = 349, .external_lex_state = 2},
  [6745] = {.lex_state = 349, .external_lex_state = 2},
  [6746] = {.lex_state = 349, .external_lex_state = 2},
  [6747] = {.lex_state = 349, .external_lex_state = 2},
  [6748] = {.lex_state = 349, .external_lex_state = 2},
  [6749] = {.lex_state = 349, .external_lex_state = 2},
  [6750] = {.lex_state = 349, .external_lex_state = 2},
  [6751] = {.lex_state = 349, .external_lex_state = 2},
  [6752] = {.lex_state = 349, .external_lex_state = 2},
  [6753] = {.lex_state = 349, .external_lex_state = 2},
  [6754] = {.lex_state = 349, .external_lex_state = 2},
  [6755] = {.lex_state = 349, .external_lex_state = 2},
  [6756] = {.lex_state = 349, .external_lex_state = 2},
  [6757] = {.lex_state = 349, .external_lex_state = 2},
  [6758] = {.lex_state = 349, .external_lex_state = 2},
  [6759] = {.lex_state = 349, .external_lex_state = 2},
  [6760] = {.lex_state = 349, .external_lex_state = 2},
  [6761] = {.lex_state = 349, .external_lex_state = 2},
  [6762] = {.lex_state = 349, .external_lex_state = 2},
  [6763] = {.lex_state = 349, .external_lex_state = 2},
  [6764] = {.lex_state = 349, .external_lex_state = 2},
  [6765] = {.lex_state = 349, .external_lex_state = 2},
  [6766] = {.lex_state = 349, .external_lex_state = 2},
  [6767] = {.lex_state = 47, .external_lex_state = 2},
  [6768] = {.lex_state = 349, .external_lex_state = 2},
  [6769] = {.lex_state = 349, .external_lex_state = 2},
  [6770] = {.lex_state = 349, .external_lex_state = 2},
  [6771] = {.lex_state = 349, .external_lex_state = 2},
  [6772] = {.lex_state = 349, .external_lex_state = 2},
  [6773] = {.lex_state = 349, .external_lex_state = 2},
  [6774] = {.lex_state = 349, .external_lex_state = 2},
  [6775] = {.lex_state = 349, .external_lex_state = 2},
  [6776] = {.lex_state = 349, .external_lex_state = 2},
  [6777] = {.lex_state = 47, .external_lex_state = 2},
  [6778] = {.lex_state = 47, .external_lex_state = 2},
  [6779] = {.lex_state = 349, .external_lex_state = 2},
  [6780] = {.lex_state = 47, .external_lex_state = 2},
  [6781] = {.lex_state = 349, .external_lex_state = 2},
  [6782] = {.lex_state = 349, .external_lex_state = 2},
  [6783] = {.lex_state = 349, .external_lex_state = 2},
  [6784] = {.lex_state = 349, .external_lex_state = 2},
  [6785] = {.lex_state = 349, .external_lex_state = 2},
  [6786] = {.lex_state = 349, .external_lex_state = 2},
  [6787] = {.lex_state = 349, .external_lex_state = 2},
  [6788] = {.lex_state = 349, .external_lex_state = 2},
  [6789] = {.lex_state = 349, .external_lex_state = 2},
  [6790] = {.lex_state = 349, .external_lex_state = 2},
  [6791] = {.lex_state = 349, .external_lex_state = 2},
  [6792] = {.lex_state = 349, .external_lex_state = 2},
  [6793] = {.lex_state = 349, .external_lex_state = 2},
  [6794] = {.lex_state = 349, .external_lex_state = 2},
  [6795] = {.lex_state = 349, .external_lex_state = 2},
  [6796] = {.lex_state = 349, .external_lex_state = 5},
  [6797] = {.lex_state = 349, .external_lex_state = 2},
  [6798] = {.lex_state = 349, .external_lex_state = 2},
  [6799] = {.lex_state = 349, .external_lex_state = 2},
  [6800] = {.lex_state = 349, .external_lex_state = 2},
  [6801] = {.lex_state = 349, .external_lex_state = 2},
  [6802] = {.lex_state = 349, .external_lex_state = 2},
  [6803] = {.lex_state = 47, .external_lex_state = 2},
  [6804] = {.lex_state = 349, .external_lex_state = 2},
  [6805] = {.lex_state = 349, .external_lex_state = 2},
  [6806] = {.lex_state = 349, .external_lex_state = 2},
  [6807] = {.lex_state = 349, .external_lex_state = 2},
  [6808] = {.lex_state = 47, .external_lex_state = 2},
  [6809] = {.lex_state = 47, .external_lex_state = 2},
  [6810] = {.lex_state = 47, .external_lex_state = 2},
  [6811] = {.lex_state = 349, .external_lex_state = 2},
  [6812] = {.lex_state = 47, .external_lex_state = 2},
  [6813] = {.lex_state = 349, .external_lex_state = 2},
  [6814] = {.lex_state = 349, .external_lex_state = 2},
  [6815] = {.lex_state = 349, .external_lex_state = 5},
  [6816] = {.lex_state = 349, .external_lex_state = 5},
  [6817] = {.lex_state = 349, .external_lex_state = 5},
  [6818] = {.lex_state = 349, .external_lex_state = 2},
  [6819] = {.lex_state = 349, .external_lex_state = 5},
  [6820] = {.lex_state = 349, .external_lex_state = 5},
  [6821] = {.lex_state = 349, .external_lex_state = 2},
  [6822] = {.lex_state = 349, .external_lex_state = 2},
  [6823] = {.lex_state = 349, .external_lex_state = 2},
  [6824] = {.lex_state = 47, .external_lex_state = 2},
  [6825] = {.lex_state = 46, .external_lex_state = 2},
  [6826] = {.lex_state = 349, .external_lex_state = 2},
  [6827] = {.lex_state = 47, .external_lex_state = 2},
  [6828] = {.lex_state = 349, .external_lex_state = 2},
  [6829] = {.lex_state = 47, .external_lex_state = 2},
  [6830] = {.lex_state = 45, .external_lex_state = 2},
  [6831] = {.lex_state = 349, .external_lex_state = 2},
  [6832] = {.lex_state = 349, .external_lex_state = 2},
  [6833] = {.lex_state = 349, .external_lex_state = 2},
  [6834] = {.lex_state = 349, .external_lex_state = 2},
  [6835] = {.lex_state = 349, .external_lex_state = 2},
  [6836] = {.lex_state = 46, .external_lex_state = 2},
  [6837] = {.lex_state = 349, .external_lex_state = 2},
  [6838] = {.lex_state = 349, .external_lex_state = 5},
  [6839] = {.lex_state = 47, .external_lex_state = 2},
  [6840] = {.lex_state = 47, .external_lex_state = 2},
  [6841] = {.lex_state = 349, .external_lex_state = 2},
  [6842] = {.lex_state = 349, .external_lex_state = 2},
  [6843] = {.lex_state = 349, .external_lex_state = 2},
  [6844] = {.lex_state = 349, .external_lex_state = 2},
  [6845] = {.lex_state = 349, .external_lex_state = 2},
  [6846] = {.lex_state = 349, .external_lex_state = 2},
  [6847] = {.lex_state = 349, .external_lex_state = 2},
  [6848] = {.lex_state = 349, .external_lex_state = 2},
  [6849] = {.lex_state = 349, .external_lex_state = 2},
  [6850] = {.lex_state = 349, .external_lex_state = 2},
  [6851] = {.lex_state = 349, .external_lex_state = 2},
  [6852] = {.lex_state = 349, .external_lex_state = 2},
  [6853] = {.lex_state = 349, .external_lex_state = 2},
  [6854] = {.lex_state = 349, .external_lex_state = 2},
  [6855] = {.lex_state = 349, .external_lex_state = 2},
  [6856] = {.lex_state = 349, .external_lex_state = 2},
  [6857] = {.lex_state = 349, .external_lex_state = 2},
  [6858] = {.lex_state = 349, .external_lex_state = 2},
  [6859] = {.lex_state = 349, .external_lex_state = 5},
  [6860] = {.lex_state = 349, .external_lex_state = 5},
  [6861] = {.lex_state = 47, .external_lex_state = 2},
  [6862] = {.lex_state = 349, .external_lex_state = 2},
  [6863] = {.lex_state = 349, .external_lex_state = 2},
  [6864] = {.lex_state = 349, .external_lex_state = 5},
  [6865] = {.lex_state = 349, .external_lex_state = 5},
  [6866] = {.lex_state = 349, .external_lex_state = 2},
  [6867] = {.lex_state = 349, .external_lex_state = 2},
  [6868] = {.lex_state = 349, .external_lex_state = 5},
  [6869] = {.lex_state = 349, .external_lex_state = 2},
  [6870] = {.lex_state = 349, .external_lex_state = 2},
  [6871] = {.lex_state = 349, .external_lex_state = 2},
  [6872] = {.lex_state = 45, .external_lex_state = 2},
  [6873] = {.lex_state = 349, .external_lex_state = 2},
  [6874] = {.lex_state = 349, .external_lex_state = 2},
  [6875] = {.lex_state = 349, .external_lex_state = 2},
  [6876] = {.lex_state = 349, .external_lex_state = 2},
  [6877] = {.lex_state = 349, .external_lex_state = 2},
  [6878] = {.lex_state = 349, .external_lex_state = 5},
  [6879] = {.lex_state = 349, .external_lex_state = 5},
  [6880] = {.lex_state = 47, .external_lex_state = 2},
  [6881] = {.lex_state = 349, .external_lex_state = 2},
  [6882] = {.lex_state = 349, .external_lex_state = 2},
  [6883] = {.lex_state = 349, .external_lex_state = 2},
  [6884] = {.lex_state = 349, .external_lex_state = 2},
  [6885] = {.lex_state = 349, .external_lex_state = 2},
  [6886] = {.lex_state = 349, .external_lex_state = 2},
  [6887] = {.lex_state = 349, .external_lex_state = 2},
  [6888] = {.lex_state = 349, .external_lex_state = 2},
  [6889] = {.lex_state = 349, .external_lex_state = 2},
  [6890] = {.lex_state = 349, .external_lex_state = 2},
  [6891] = {.lex_state = 349, .external_lex_state = 5},
  [6892] = {.lex_state = 349, .external_lex_state = 2},
  [6893] = {.lex_state = 349, .external_lex_state = 2},
  [6894] = {.lex_state = 349, .external_lex_state = 2},
  [6895] = {.lex_state = 349, .external_lex_state = 5},
  [6896] = {.lex_state = 349, .external_lex_state = 5},
  [6897] = {.lex_state = 349, .external_lex_state = 5},
  [6898] = {.lex_state = 349, .external_lex_state = 5},
  [6899] = {.lex_state = 349, .external_lex_state = 2},
  [6900] = {.lex_state = 349, .external_lex_state = 2},
  [6901] = {.lex_state = 349, .external_lex_state = 2},
  [6902] = {.lex_state = 349, .external_lex_state = 2},
  [6903] = {.lex_state = 349, .external_lex_state = 2},
  [6904] = {.lex_state = 349, .external_lex_state = 2},
  [6905] = {.lex_state = 349, .external_lex_state = 5},
  [6906] = {.lex_state = 349, .external_lex_state = 5},
  [6907] = {.lex_state = 349, .external_lex_state = 2},
  [6908] = {.lex_state = 349, .external_lex_state = 2},
  [6909] = {.lex_state = 47, .external_lex_state = 2},
  [6910] = {.lex_state = 349, .external_lex_state = 5},
  [6911] = {.lex_state = 349, .external_lex_state = 2},
  [6912] = {.lex_state = 349, .external_lex_state = 5},
  [6913] = {.lex_state = 349, .external_lex_state = 5},
  [6914] = {.lex_state = 349, .external_lex_state = 5},
  [6915] = {.lex_state = 349, .external_lex_state = 5},
  [6916] = {.lex_state = 349, .external_lex_state = 2},
  [6917] = {.lex_state = 349, .external_lex_state = 2},
  [6918] = {.lex_state = 349, .external_lex_state = 2},
  [6919] = {.lex_state = 47, .external_lex_state = 2},
  [6920] = {.lex_state = 349, .external_lex_state = 2},
  [6921] = {.lex_state = 349, .external_lex_state = 2},
  [6922] = {.lex_state = 349, .external_lex_state = 2},
  [6923] = {.lex_state = 349, .external_lex_state = 2},
  [6924] = {.lex_state = 349, .external_lex_state = 2},
  [6925] = {.lex_state = 349, .external_lex_state = 2},
  [6926] = {.lex_state = 46, .external_lex_state = 2},
  [6927] = {.lex_state = 349, .external_lex_state = 2},
  [6928] = {.lex_state = 349, .external_lex_state = 2},
  [6929] = {.lex_state = 349, .external_lex_state = 2},
  [6930] = {.lex_state = 349, .external_lex_state = 2},
  [6931] = {.lex_state = 349, .external_lex_state = 2},
  [6932] = {.lex_state = 349, .external_lex_state = 2},
  [6933] = {.lex_state = 349, .external_lex_state = 2},
  [6934] = {.lex_state = 349, .external_lex_state = 2},
  [6935] = {.lex_state = 349, .external_lex_state = 2},
  [6936] = {.lex_state = 349, .external_lex_state = 2},
  [6937] = {.lex_state = 349, .external_lex_state = 2},
  [6938] = {.lex_state = 349, .external_lex_state = 2},
  [6939] = {.lex_state = 349, .external_lex_state = 2},
  [6940] = {.lex_state = 349, .external_lex_state = 2},
  [6941] = {.lex_state = 349, .external_lex_state = 2},
  [6942] = {.lex_state = 349, .external_lex_state = 2},
  [6943] = {.lex_state = 349, .external_lex_state = 5},
  [6944] = {.lex_state = 349, .external_lex_state = 2},
  [6945] = {.lex_state = 349, .external_lex_state = 2},
  [6946] = {.lex_state = 349, .external_lex_state = 2},
  [6947] = {.lex_state = 349, .external_lex_state = 2},
  [6948] = {.lex_state = 349, .external_lex_state = 2},
  [6949] = {.lex_state = 349, .external_lex_state = 2},
  [6950] = {.lex_state = 349, .external_lex_state = 2},
  [6951] = {.lex_state = 349, .external_lex_state = 2},
  [6952] = {.lex_state = 349, .external_lex_state = 2},
  [6953] = {.lex_state = 349, .external_lex_state = 2},
  [6954] = {.lex_state = 349, .external_lex_state = 2},
  [6955] = {.lex_state = 349, .external_lex_state = 2},
  [6956] = {.lex_state = 349, .external_lex_state = 2},
  [6957] = {.lex_state = 349, .external_lex_state = 2},
  [6958] = {.lex_state = 349, .external_lex_state = 2},
  [6959] = {.lex_state = 349, .external_lex_state = 2},
  [6960] = {.lex_state = 349, .external_lex_state = 2},
  [6961] = {.lex_state = 47, .external_lex_state = 2},
  [6962] = {.lex_state = 349, .external_lex_state = 2},
  [6963] = {.lex_state = 349, .external_lex_state = 2},
  [6964] = {.lex_state = 349, .external_lex_state = 2},
  [6965] = {.lex_state = 349, .external_lex_state = 2},
  [6966] = {.lex_state = 349, .external_lex_state = 2},
  [6967] = {.lex_state = 349, .external_lex_state = 2},
  [6968] = {.lex_state = 349, .external_lex_state = 2},
  [6969] = {.lex_state = 349, .external_lex_state = 2},
  [6970] = {.lex_state = 349, .external_lex_state = 2},
  [6971] = {.lex_state = 349, .external_lex_state = 2},
  [6972] = {.lex_state = 349, .external_lex_state = 2},
  [6973] = {.lex_state = 47, .external_lex_state = 2},
  [6974] = {.lex_state = 349, .external_lex_state = 2},
  [6975] = {.lex_state = 349, .external_lex_state = 2},
  [6976] = {.lex_state = 349, .external_lex_state = 2},
  [6977] = {.lex_state = 349, .external_lex_state = 2},
  [6978] = {.lex_state = 349, .external_lex_state = 2},
  [6979] = {.lex_state = 349, .external_lex_state = 2},
  [6980] = {.lex_state = 349, .external_lex_state = 2},
  [6981] = {.lex_state = 349, .external_lex_state = 2},
  [6982] = {.lex_state = 349, .external_lex_state = 2},
  [6983] = {.lex_state = 349, .external_lex_state = 2},
  [6984] = {.lex_state = 349, .external_lex_state = 2},
  [6985] = {.lex_state = 349, .external_lex_state = 2},
  [6986] = {.lex_state = 349, .external_lex_state = 2},
  [6987] = {.lex_state = 349, .external_lex_state = 2},
  [6988] = {.lex_state = 349, .external_lex_state = 2},
  [6989] = {.lex_state = 349, .external_lex_state = 2},
  [6990] = {.lex_state = 349, .external_lex_state = 2},
  [6991] = {.lex_state = 349, .external_lex_state = 2},
  [6992] = {.lex_state = 349, .external_lex_state = 2},
  [6993] = {.lex_state = 349, .external_lex_state = 2},
  [6994] = {.lex_state = 349, .external_lex_state = 2},
  [6995] = {.lex_state = 349, .external_lex_state = 2},
  [6996] = {.lex_state = 349, .external_lex_state = 2},
  [6997] = {.lex_state = 349, .external_lex_state = 2},
  [6998] = {.lex_state = 349, .external_lex_state = 2},
  [6999] = {.lex_state = 349, .external_lex_state = 2},
  [7000] = {.lex_state = 349, .external_lex_state = 2},
  [7001] = {.lex_state = 349, .external_lex_state = 2},
  [7002] = {.lex_state = 349, .external_lex_state = 2},
  [7003] = {.lex_state = 349, .external_lex_state = 2},
  [7004] = {.lex_state = 349, .external_lex_state = 2},
  [7005] = {.lex_state = 349, .external_lex_state = 2},
  [7006] = {.lex_state = 47, .external_lex_state = 2},
  [7007] = {.lex_state = 349, .external_lex_state = 2},
  [7008] = {.lex_state = 349, .external_lex_state = 2},
  [7009] = {.lex_state = 349, .external_lex_state = 2},
  [7010] = {.lex_state = 349, .external_lex_state = 2},
  [7011] = {.lex_state = 349, .external_lex_state = 2},
  [7012] = {.lex_state = 349, .external_lex_state = 2},
  [7013] = {.lex_state = 349, .external_lex_state = 2},
  [7014] = {.lex_state = 349, .external_lex_state = 2},
  [7015] = {.lex_state = 349, .external_lex_state = 2},
  [7016] = {.lex_state = 349, .external_lex_state = 2},
  [7017] = {.lex_state = 45, .external_lex_state = 2},
  [7018] = {.lex_state = 349, .external_lex_state = 2},
  [7019] = {.lex_state = 349, .external_lex_state = 2},
  [7020] = {.lex_state = 349, .external_lex_state = 2},
  [7021] = {.lex_state = 349, .external_lex_state = 2},
  [7022] = {.lex_state = 349, .external_lex_state = 2},
  [7023] = {.lex_state = 349, .external_lex_state = 2},
  [7024] = {.lex_state = 349, .external_lex_state = 2},
  [7025] = {.lex_state = 349, .external_lex_state = 2},
  [7026] = {.lex_state = 47, .external_lex_state = 2},
  [7027] = {.lex_state = 47, .external_lex_state = 2},
  [7028] = {.lex_state = 47, .external_lex_state = 2},
  [7029] = {.lex_state = 45, .external_lex_state = 2},
  [7030] = {.lex_state = 349, .external_lex_state = 2},
  [7031] = {.lex_state = 349, .external_lex_state = 2},
  [7032] = {.lex_state = 47, .external_lex_state = 2},
  [7033] = {.lex_state = 349, .external_lex_state = 2},
  [7034] = {.lex_state = 349, .external_lex_state = 2},
  [7035] = {.lex_state = 349, .external_lex_state = 5},
  [7036] = {.lex_state = 349, .external_lex_state = 5},
  [7037] = {.lex_state = 349, .external_lex_state = 2},
  [7038] = {.lex_state = 349, .external_lex_state = 2},
  [7039] = {.lex_state = 349, .external_lex_state = 2},
  [7040] = {.lex_state = 349, .external_lex_state = 2},
  [7041] = {.lex_state = 349, .external_lex_state = 2},
  [7042] = {.lex_state = 349, .external_lex_state = 2},
  [7043] = {.lex_state = 349, .external_lex_state = 2},
  [7044] = {.lex_state = 349, .external_lex_state = 2},
  [7045] = {.lex_state = 349, .external_lex_state = 2},
  [7046] = {.lex_state = 349, .external_lex_state = 2},
  [7047] = {.lex_state = 349, .external_lex_state = 2},
  [7048] = {.lex_state = 349, .external_lex_state = 2},
  [7049] = {.lex_state = 349, .external_lex_state = 2},
  [7050] = {.lex_state = 349, .external_lex_state = 2},
  [7051] = {.lex_state = 349, .external_lex_state = 2},
  [7052] = {.lex_state = 349, .external_lex_state = 2},
  [7053] = {.lex_state = 349, .external_lex_state = 2},
  [7054] = {.lex_state = 349, .external_lex_state = 2},
  [7055] = {.lex_state = 45, .external_lex_state = 2},
  [7056] = {.lex_state = 349, .external_lex_state = 2},
  [7057] = {.lex_state = 349, .external_lex_state = 2},
  [7058] = {.lex_state = 349, .external_lex_state = 2},
  [7059] = {.lex_state = 47, .external_lex_state = 2},
  [7060] = {.lex_state = 349, .external_lex_state = 5},
  [7061] = {.lex_state = 349, .external_lex_state = 2},
  [7062] = {.lex_state = 349, .external_lex_state = 2},
  [7063] = {.lex_state = 47, .external_lex_state = 2},
  [7064] = {.lex_state = 349, .external_lex_state = 2},
  [7065] = {.lex_state = 349, .external_lex_state = 2},
  [7066] = {.lex_state = 349, .external_lex_state = 2},
  [7067] = {.lex_state = 349, .external_lex_state = 2},
  [7068] = {.lex_state = 349, .external_lex_state = 2},
  [7069] = {.lex_state = 47, .external_lex_state = 2},
  [7070] = {.lex_state = 349, .external_lex_state = 2},
  [7071] = {.lex_state = 47, .external_lex_state = 2},
  [7072] = {.lex_state = 349, .external_lex_state = 2},
  [7073] = {.lex_state = 349, .external_lex_state = 2},
  [7074] = {.lex_state = 349, .external_lex_state = 2},
  [7075] = {.lex_state = 47, .external_lex_state = 2},
  [7076] = {.lex_state = 349, .external_lex_state = 2},
  [7077] = {.lex_state = 349, .external_lex_state = 2},
  [7078] = {.lex_state = 349, .external_lex_state = 2},
  [7079] = {.lex_state = 349, .external_lex_state = 2},
  [7080] = {.lex_state = 349, .external_lex_state = 2},
  [7081] = {.lex_state = 349, .external_lex_state = 2},
  [7082] = {.lex_state = 349, .external_lex_state = 2},
  [7083] = {.lex_state = 349, .external_lex_state = 2},
  [7084] = {.lex_state = 349, .external_lex_state = 2},
  [7085] = {.lex_state = 349, .external_lex_state = 2},
  [7086] = {.lex_state = 349, .external_lex_state = 2},
  [7087] = {.lex_state = 349, .external_lex_state = 2},
  [7088] = {.lex_state = 349, .external_lex_state = 2},
  [7089] = {.lex_state = 47, .external_lex_state = 2},
  [7090] = {.lex_state = 349, .external_lex_state = 2},
  [7091] = {.lex_state = 47, .external_lex_state = 2},
  [7092] = {.lex_state = 349, .external_lex_state = 2},
  [7093] = {.lex_state = 349, .external_lex_state = 2},
  [7094] = {.lex_state = 349, .external_lex_state = 2},
  [7095] = {.lex_state = 349, .external_lex_state = 2},
  [7096] = {.lex_state = 349, .external_lex_state = 2},
  [7097] = {.lex_state = 349, .external_lex_state = 2},
  [7098] = {.lex_state = 349, .external_lex_state = 2},
  [7099] = {.lex_state = 349, .external_lex_state = 5},
  [7100] = {.lex_state = 349, .external_lex_state = 2},
  [7101] = {.lex_state = 349, .external_lex_state = 2},
  [7102] = {.lex_state = 349, .external_lex_state = 2},
  [7103] = {.lex_state = 349, .external_lex_state = 2},
  [7104] = {.lex_state = 349, .external_lex_state = 2},
  [7105] = {.lex_state = 349, .external_lex_state = 2},
  [7106] = {.lex_state = 349, .external_lex_state = 2},
  [7107] = {.lex_state = 349, .external_lex_state = 2},
  [7108] = {.lex_state = 349, .external_lex_state = 5},
  [7109] = {.lex_state = 349, .external_lex_state = 2},
  [7110] = {.lex_state = 349, .external_lex_state = 2},
  [7111] = {.lex_state = 349, .external_lex_state = 2},
  [7112] = {.lex_state = 349, .external_lex_state = 2},
  [7113] = {.lex_state = 349, .external_lex_state = 2},
  [7114] = {.lex_state = 349, .external_lex_state = 2},
  [7115] = {.lex_state = 349, .external_lex_state = 2},
  [7116] = {.lex_state = 349, .external_lex_state = 2},
  [7117] = {.lex_state = 349, .external_lex_state = 2},
  [7118] = {.lex_state = 349, .external_lex_state = 2},
  [7119] = {.lex_state = 349, .external_lex_state = 2},
  [7120] = {.lex_state = 349, .external_lex_state = 2},
  [7121] = {.lex_state = 349, .external_lex_state = 2},
  [7122] = {.lex_state = 349, .external_lex_state = 2},
  [7123] = {.lex_state = 349, .external_lex_state = 2},
  [7124] = {.lex_state = 349, .external_lex_state = 2},
  [7125] = {.lex_state = 47, .external_lex_state = 2},
  [7126] = {.lex_state = 349, .external_lex_state = 2},
  [7127] = {.lex_state = 349, .external_lex_state = 2},
  [7128] = {.lex_state = 349, .external_lex_state = 2},
  [7129] = {.lex_state = 349, .external_lex_state = 2},
  [7130] = {.lex_state = 349, .external_lex_state = 2},
  [7131] = {.lex_state = 47, .external_lex_state = 2},
  [7132] = {.lex_state = 349, .external_lex_state = 2},
  [7133] = {.lex_state = 2, .external_lex_state = 10},
  [7134] = {.lex_state = 349, .external_lex_state = 2},
  [7135] = {.lex_state = 47, .external_lex_state = 2},
  [7136] = {.lex_state = 349, .external_lex_state = 2},
  [7137] = {.lex_state = 47, .external_lex_state = 2},
  [7138] = {.lex_state = 47, .external_lex_state = 2},
  [7139] = {.lex_state = 349, .external_lex_state = 2},
  [7140] = {.lex_state = 349, .external_lex_state = 2},
  [7141] = {.lex_state = 349, .external_lex_state = 2},
  [7142] = {.lex_state = 349, .external_lex_state = 2},
  [7143] = {.lex_state = 47, .external_lex_state = 2},
  [7144] = {.lex_state = 349, .external_lex_state = 2},
  [7145] = {.lex_state = 47, .external_lex_state = 2},
  [7146] = {.lex_state = 349, .external_lex_state = 2},
  [7147] = {.lex_state = 349, .external_lex_state = 2},
  [7148] = {.lex_state = 349, .external_lex_state = 2},
  [7149] = {.lex_state = 349, .external_lex_state = 2},
  [7150] = {.lex_state = 349, .external_lex_state = 2},
  [7151] = {.lex_state = 47, .external_lex_state = 2},
  [7152] = {.lex_state = 349, .external_lex_state = 2},
  [7153] = {.lex_state = 47, .external_lex_state = 2},
  [7154] = {.lex_state = 47, .external_lex_state = 2},
  [7155] = {.lex_state = 47, .external_lex_state = 2},
  [7156] = {.lex_state = 47, .external_lex_state = 2},
  [7157] = {.lex_state = 349, .external_lex_state = 2},
  [7158] = {.lex_state = 349, .external_lex_state = 2},
  [7159] = {.lex_state = 47, .external_lex_state = 2},
  [7160] = {.lex_state = 349, .external_lex_state = 2},
  [7161] = {.lex_state = 47, .external_lex_state = 2},
  [7162] = {.lex_state = 349, .external_lex_state = 2},
  [7163] = {.lex_state = 47, .external_lex_state = 2},
  [7164] = {.lex_state = 47, .external_lex_state = 2},
  [7165] = {.lex_state = 349, .external_lex_state = 2},
  [7166] = {.lex_state = 2, .external_lex_state = 10},
  [7167] = {.lex_state = 349, .external_lex_state = 2},
  [7168] = {.lex_state = 349, .external_lex_state = 2},
  [7169] = {.lex_state = 349, .external_lex_state = 2},
  [7170] = {.lex_state = 349, .external_lex_state = 2},
  [7171] = {.lex_state = 349, .external_lex_state = 2},
  [7172] = {.lex_state = 21, .external_lex_state = 2},
  [7173] = {.lex_state = 349, .external_lex_state = 2},
  [7174] = {.lex_state = 349, .external_lex_state = 2},
  [7175] = {.lex_state = 349, .external_lex_state = 2},
  [7176] = {.lex_state = 349, .external_lex_state = 2},
  [7177] = {.lex_state = 349, .external_lex_state = 2},
  [7178] = {.lex_state = 349, .external_lex_state = 2},
  [7179] = {.lex_state = 47, .external_lex_state = 2},
  [7180] = {.lex_state = 47, .external_lex_state = 2},
  [7181] = {.lex_state = 349, .external_lex_state = 2},
  [7182] = {.lex_state = 349, .external_lex_state = 2},
  [7183] = {.lex_state = 349, .external_lex_state = 2},
  [7184] = {.lex_state = 47, .external_lex_state = 2},
  [7185] = {.lex_state = 349, .external_lex_state = 2},
  [7186] = {.lex_state = 349, .external_lex_state = 2},
  [7187] = {.lex_state = 47, .external_lex_state = 2},
  [7188] = {.lex_state = 349, .external_lex_state = 2},
  [7189] = {.lex_state = 349, .external_lex_state = 2},
  [7190] = {.lex_state = 47, .external_lex_state = 2},
  [7191] = {.lex_state = 349, .external_lex_state = 2},
  [7192] = {.lex_state = 46, .external_lex_state = 2},
  [7193] = {.lex_state = 349, .external_lex_state = 2},
  [7194] = {.lex_state = 349, .external_lex_state = 2},
  [7195] = {.lex_state = 47, .external_lex_state = 2},
  [7196] = {.lex_state = 349, .external_lex_state = 2},
  [7197] = {.lex_state = 47, .external_lex_state = 2},
  [7198] = {.lex_state = 349, .external_lex_state = 2},
  [7199] = {.lex_state = 349, .external_lex_state = 2},
  [7200] = {.lex_state = 349, .external_lex_state = 2},
  [7201] = {.lex_state = 349, .external_lex_state = 2},
  [7202] = {.lex_state = 47, .external_lex_state = 2},
  [7203] = {.lex_state = 47, .external_lex_state = 2},
  [7204] = {.lex_state = 349, .external_lex_state = 2},
  [7205] = {.lex_state = 47, .external_lex_state = 2},
  [7206] = {.lex_state = 47, .external_lex_state = 2},
  [7207] = {.lex_state = 349, .external_lex_state = 2},
  [7208] = {.lex_state = 47, .external_lex_state = 2},
  [7209] = {.lex_state = 349, .external_lex_state = 2},
  [7210] = {.lex_state = 349, .external_lex_state = 2},
  [7211] = {.lex_state = 47, .external_lex_state = 2},
  [7212] = {.lex_state = 349, .external_lex_state = 2},
  [7213] = {.lex_state = 47, .external_lex_state = 2},
  [7214] = {.lex_state = 349, .external_lex_state = 2},
  [7215] = {.lex_state = 47, .external_lex_state = 2},
  [7216] = {.lex_state = 47, .external_lex_state = 2},
  [7217] = {.lex_state = 2, .external_lex_state = 10},
  [7218] = {.lex_state = 47, .external_lex_state = 2},
  [7219] = {.lex_state = 349, .external_lex_state = 2},
  [7220] = {.lex_state = 349, .external_lex_state = 2},
  [7221] = {.lex_state = 349, .external_lex_state = 2},
  [7222] = {.lex_state = 46, .external_lex_state = 2},
  [7223] = {.lex_state = 46, .external_lex_state = 2},
  [7224] = {.lex_state = 349, .external_lex_state = 2},
  [7225] = {.lex_state = 349, .external_lex_state = 2},
  [7226] = {.lex_state = 349, .external_lex_state = 2},
  [7227] = {.lex_state = 349, .external_lex_state = 2},
  [7228] = {.lex_state = 349, .external_lex_state = 2},
  [7229] = {.lex_state = 349, .external_lex_state = 2},
  [7230] = {.lex_state = 349, .external_lex_state = 2},
  [7231] = {.lex_state = 349, .external_lex_state = 2},
  [7232] = {.lex_state = 349, .external_lex_state = 2},
  [7233] = {.lex_state = 349, .external_lex_state = 2},
  [7234] = {.lex_state = 349, .external_lex_state = 2},
  [7235] = {.lex_state = 349, .external_lex_state = 2},
  [7236] = {.lex_state = 46, .external_lex_state = 2},
  [7237] = {.lex_state = 349, .external_lex_state = 2},
  [7238] = {.lex_state = 47, .external_lex_state = 2},
  [7239] = {.lex_state = 349, .external_lex_state = 2},
  [7240] = {.lex_state = 349, .external_lex_state = 2},
  [7241] = {.lex_state = 349, .external_lex_state = 2},
  [7242] = {.lex_state = 349, .external_lex_state = 2},
  [7243] = {.lex_state = 349, .external_lex_state = 2},
  [7244] = {.lex_state = 349, .external_lex_state = 2},
  [7245] = {.lex_state = 349, .external_lex_state = 2},
  [7246] = {.lex_state = 349, .external_lex_state = 2},
  [7247] = {.lex_state = 68, .external_lex_state = 2},
  [7248] = {.lex_state = 47, .external_lex_state = 2},
  [7249] = {.lex_state = 349, .external_lex_state = 2},
  [7250] = {.lex_state = 349, .external_lex_state = 2},
  [7251] = {.lex_state = 349, .external_lex_state = 2},
  [7252] = {.lex_state = 349, .external_lex_state = 2},
  [7253] = {.lex_state = 47, .external_lex_state = 2},
  [7254] = {.lex_state = 349, .external_lex_state = 2},
  [7255] = {.lex_state = 349, .external_lex_state = 2},
  [7256] = {.lex_state = 349, .external_lex_state = 2},
  [7257] = {.lex_state = 349, .external_lex_state = 2},
  [7258] = {.lex_state = 349, .external_lex_state = 2},
  [7259] = {.lex_state = 47, .external_lex_state = 2},
  [7260] = {.lex_state = 349, .external_lex_state = 2},
  [7261] = {.lex_state = 349, .external_lex_state = 2},
  [7262] = {.lex_state = 349, .external_lex_state = 2},
  [7263] = {.lex_state = 47, .external_lex_state = 2},
  [7264] = {.lex_state = 349, .external_lex_state = 2},
  [7265] = {.lex_state = 47, .external_lex_state = 2},
  [7266] = {.lex_state = 349, .external_lex_state = 2},
  [7267] = {.lex_state = 349, .external_lex_state = 2},
  [7268] = {.lex_state = 349, .external_lex_state = 2},
  [7269] = {.lex_state = 349, .external_lex_state = 2},
  [7270] = {.lex_state = 349, .external_lex_state = 2},
  [7271] = {.lex_state = 349, .external_lex_state = 2},
  [7272] = {.lex_state = 349, .external_lex_state = 2},
  [7273] = {.lex_state = 349, .external_lex_state = 2},
  [7274] = {.lex_state = 47, .external_lex_state = 2},
  [7275] = {.lex_state = 47, .external_lex_state = 2},
  [7276] = {.lex_state = 47, .external_lex_state = 2},
  [7277] = {.lex_state = 349, .external_lex_state = 2},
  [7278] = {.lex_state = 47, .external_lex_state = 2},
  [7279] = {.lex_state = 349, .external_lex_state = 2},
  [7280] = {.lex_state = 349, .external_lex_state = 2},
  [7281] = {.lex_state = 349, .external_lex_state = 2},
  [7282] = {.lex_state = 349, .external_lex_state = 2},
  [7283] = {.lex_state = 349, .external_lex_state = 2},
  [7284] = {.lex_state = 349, .external_lex_state = 2},
  [7285] = {.lex_state = 349, .external_lex_state = 2},
  [7286] = {.lex_state = 47, .external_lex_state = 2},
  [7287] = {.lex_state = 47, .external_lex_state = 2},
  [7288] = {.lex_state = 47, .external_lex_state = 2},
  [7289] = {.lex_state = 349, .external_lex_state = 2},
  [7290] = {.lex_state = 349, .external_lex_state = 2},
  [7291] = {.lex_state = 349, .external_lex_state = 2},
  [7292] = {.lex_state = 349, .external_lex_state = 2},
  [7293] = {.lex_state = 47, .external_lex_state = 2},
  [7294] = {.lex_state = 349, .external_lex_state = 2},
  [7295] = {.lex_state = 349, .external_lex_state = 2},
  [7296] = {.lex_state = 349, .external_lex_state = 2},
  [7297] = {.lex_state = 349, .external_lex_state = 2},
  [7298] = {.lex_state = 349, .external_lex_state = 2},
  [7299] = {.lex_state = 349, .external_lex_state = 2},
  [7300] = {.lex_state = 349, .external_lex_state = 2},
  [7301] = {.lex_state = 349, .external_lex_state = 2},
  [7302] = {.lex_state = 349, .external_lex_state = 2},
  [7303] = {.lex_state = 349, .external_lex_state = 2},
  [7304] = {.lex_state = 349, .external_lex_state = 2},
  [7305] = {.lex_state = 349, .external_lex_state = 2},
  [7306] = {.lex_state = 47, .external_lex_state = 2},
  [7307] = {.lex_state = 349, .external_lex_state = 2},
  [7308] = {.lex_state = 349, .external_lex_state = 2},
  [7309] = {.lex_state = 349, .external_lex_state = 2},
  [7310] = {.lex_state = 349, .external_lex_state = 2},
  [7311] = {.lex_state = 47, .external_lex_state = 2},
  [7312] = {.lex_state = 349, .external_lex_state = 2},
  [7313] = {.lex_state = 349, .external_lex_state = 2},
  [7314] = {.lex_state = 349, .external_lex_state = 2},
  [7315] = {.lex_state = 349, .external_lex_state = 2},
  [7316] = {.lex_state = 349, .external_lex_state = 2},
  [7317] = {.lex_state = 349, .external_lex_state = 2},
  [7318] = {.lex_state = 47, .external_lex_state = 2},
  [7319] = {.lex_state = 47, .external_lex_state = 2},
  [7320] = {.lex_state = 47, .external_lex_state = 2},
  [7321] = {.lex_state = 349, .external_lex_state = 2},
  [7322] = {.lex_state = 349, .external_lex_state = 2},
  [7323] = {.lex_state = 349, .external_lex_state = 2},
  [7324] = {.lex_state = 349, .external_lex_state = 2},
  [7325] = {.lex_state = 349, .external_lex_state = 2},
  [7326] = {.lex_state = 349, .external_lex_state = 2},
  [7327] = {.lex_state = 349, .external_lex_state = 2},
  [7328] = {.lex_state = 349, .external_lex_state = 2},
  [7329] = {.lex_state = 349, .external_lex_state = 2},
  [7330] = {.lex_state = 349, .external_lex_state = 2},
  [7331] = {.lex_state = 349, .external_lex_state = 2},
  [7332] = {.lex_state = 349, .external_lex_state = 2},
  [7333] = {.lex_state = 349, .external_lex_state = 2},
  [7334] = {.lex_state = 349, .external_lex_state = 2},
  [7335] = {.lex_state = 349, .external_lex_state = 2},
  [7336] = {.lex_state = 349, .external_lex_state = 2},
  [7337] = {.lex_state = 349, .external_lex_state = 2},
  [7338] = {.lex_state = 47, .external_lex_state = 2},
  [7339] = {.lex_state = 47, .external_lex_state = 2},
  [7340] = {.lex_state = 349, .external_lex_state = 2},
  [7341] = {.lex_state = 349, .external_lex_state = 2},
  [7342] = {.lex_state = 349, .external_lex_state = 2},
  [7343] = {.lex_state = 349, .external_lex_state = 2},
  [7344] = {.lex_state = 46, .external_lex_state = 2},
  [7345] = {.lex_state = 349, .external_lex_state = 2},
  [7346] = {.lex_state = 349, .external_lex_state = 2},
  [7347] = {.lex_state = 349, .external_lex_state = 2},
  [7348] = {.lex_state = 349, .external_lex_state = 2},
  [7349] = {.lex_state = 349, .external_lex_state = 2},
  [7350] = {.lex_state = 349, .external_lex_state = 2},
  [7351] = {.lex_state = 349, .external_lex_state = 2},
  [7352] = {.lex_state = 349, .external_lex_state = 2},
  [7353] = {.lex_state = 349, .external_lex_state = 2},
  [7354] = {.lex_state = 349, .external_lex_state = 2},
  [7355] = {.lex_state = 349, .external_lex_state = 2},
  [7356] = {.lex_state = 47, .external_lex_state = 2},
  [7357] = {.lex_state = 349, .external_lex_state = 2},
  [7358] = {.lex_state = 349, .external_lex_state = 2},
  [7359] = {.lex_state = 47, .external_lex_state = 2},
  [7360] = {.lex_state = 349, .external_lex_state = 2},
  [7361] = {.lex_state = 21, .external_lex_state = 2},
  [7362] = {.lex_state = 349, .external_lex_state = 2},
  [7363] = {.lex_state = 349, .external_lex_state = 2},
  [7364] = {.lex_state = 349, .external_lex_state = 2},
  [7365] = {.lex_state = 349, .external_lex_state = 2},
  [7366] = {.lex_state = 349, .external_lex_state = 2},
  [7367] = {.lex_state = 349, .external_lex_state = 2},
  [7368] = {.lex_state = 349, .external_lex_state = 2},
  [7369] = {.lex_state = 349, .external_lex_state = 2},
  [7370] = {.lex_state = 47, .external_lex_state = 2},
  [7371] = {.lex_state = 47, .external_lex_state = 2},
  [7372] = {.lex_state = 349, .external_lex_state = 2},
  [7373] = {.lex_state = 349, .external_lex_state = 2},
  [7374] = {.lex_state = 46, .external_lex_state = 2},
  [7375] = {.lex_state = 349, .external_lex_state = 2},
  [7376] = {.lex_state = 68, .external_lex_state = 2},
  [7377] = {.lex_state = 47, .external_lex_state = 2},
  [7378] = {.lex_state = 47, .external_lex_state = 2},
  [7379] = {.lex_state = 349, .external_lex_state = 2},
  [7380] = {.lex_state = 47, .external_lex_state = 2},
  [7381] = {.lex_state = 349, .external_lex_state = 2},
  [7382] = {.lex_state = 349, .external_lex_state = 2},
  [7383] = {.lex_state = 349, .external_lex_state = 2},
  [7384] = {.lex_state = 47, .external_lex_state = 2},
  [7385] = {.lex_state = 47, .external_lex_state = 2},
  [7386] = {.lex_state = 47, .external_lex_state = 2},
  [7387] = {.lex_state = 47, .external_lex_state = 2},
  [7388] = {.lex_state = 47, .external_lex_state = 2},
  [7389] = {.lex_state = 47, .external_lex_state = 2},
  [7390] = {.lex_state = 2, .external_lex_state = 10},
  [7391] = {.lex_state = 47, .external_lex_state = 2},
  [7392] = {.lex_state = 47, .external_lex_state = 2},
  [7393] = {.lex_state = 47, .external_lex_state = 2},
  [7394] = {.lex_state = 349, .external_lex_state = 2},
  [7395] = {.lex_state = 349, .external_lex_state = 2},
  [7396] = {.lex_state = 349, .external_lex_state = 2},
  [7397] = {.lex_state = 349, .external_lex_state = 2},
  [7398] = {.lex_state = 349, .external_lex_state = 2},
  [7399] = {.lex_state = 47, .external_lex_state = 2},
  [7400] = {.lex_state = 47, .external_lex_state = 2},
  [7401] = {.lex_state = 349, .external_lex_state = 2},
  [7402] = {.lex_state = 349, .external_lex_state = 2},
  [7403] = {.lex_state = 47, .external_lex_state = 2},
  [7404] = {.lex_state = 349, .external_lex_state = 2},
  [7405] = {.lex_state = 349, .external_lex_state = 2},
  [7406] = {.lex_state = 349, .external_lex_state = 2},
  [7407] = {.lex_state = 349, .external_lex_state = 2},
  [7408] = {.lex_state = 349, .external_lex_state = 2},
  [7409] = {.lex_state = 349, .external_lex_state = 2},
  [7410] = {.lex_state = 349, .external_lex_state = 2},
  [7411] = {.lex_state = 349, .external_lex_state = 2},
  [7412] = {.lex_state = 349, .external_lex_state = 2},
  [7413] = {.lex_state = 349, .external_lex_state = 2},
  [7414] = {.lex_state = 349, .external_lex_state = 2},
  [7415] = {.lex_state = 47, .external_lex_state = 2},
  [7416] = {.lex_state = 47, .external_lex_state = 2},
  [7417] = {.lex_state = 349, .external_lex_state = 2},
  [7418] = {.lex_state = 349, .external_lex_state = 2},
  [7419] = {.lex_state = 349, .external_lex_state = 2},
  [7420] = {.lex_state = 47, .external_lex_state = 2},
  [7421] = {.lex_state = 349, .external_lex_state = 2},
  [7422] = {.lex_state = 47, .external_lex_state = 2},
  [7423] = {.lex_state = 349, .external_lex_state = 2},
  [7424] = {.lex_state = 349, .external_lex_state = 2},
  [7425] = {.lex_state = 349, .external_lex_state = 2},
  [7426] = {.lex_state = 349, .external_lex_state = 2},
  [7427] = {.lex_state = 47, .external_lex_state = 2},
  [7428] = {.lex_state = 349, .external_lex_state = 2},
  [7429] = {.lex_state = 349, .external_lex_state = 2},
  [7430] = {.lex_state = 349, .external_lex_state = 2},
  [7431] = {.lex_state = 349, .external_lex_state = 2},
  [7432] = {.lex_state = 46, .external_lex_state = 2},
  [7433] = {.lex_state = 349, .external_lex_state = 2},
  [7434] = {.lex_state = 47, .external_lex_state = 2},
  [7435] = {.lex_state = 349, .external_lex_state = 2},
  [7436] = {.lex_state = 349, .external_lex_state = 2},
  [7437] = {.lex_state = 349, .external_lex_state = 2},
  [7438] = {.lex_state = 349, .external_lex_state = 2},
  [7439] = {.lex_state = 349, .external_lex_state = 2},
  [7440] = {.lex_state = 349, .external_lex_state = 2},
  [7441] = {.lex_state = 47, .external_lex_state = 2},
  [7442] = {.lex_state = 68, .external_lex_state = 2},
  [7443] = {.lex_state = 349, .external_lex_state = 2},
  [7444] = {.lex_state = 349, .external_lex_state = 2},
  [7445] = {.lex_state = 349, .external_lex_state = 2},
  [7446] = {.lex_state = 47, .external_lex_state = 2},
  [7447] = {.lex_state = 349, .external_lex_state = 2},
  [7448] = {.lex_state = 349, .external_lex_state = 2},
  [7449] = {.lex_state = 349, .external_lex_state = 2},
  [7450] = {.lex_state = 349, .external_lex_state = 2},
  [7451] = {.lex_state = 349, .external_lex_state = 2},
  [7452] = {.lex_state = 349, .external_lex_state = 2},
  [7453] = {.lex_state = 349, .external_lex_state = 2},
  [7454] = {.lex_state = 68, .external_lex_state = 2},
  [7455] = {.lex_state = 349, .external_lex_state = 2},
  [7456] = {.lex_state = 349, .external_lex_state = 2},
  [7457] = {.lex_state = 47, .external_lex_state = 2},
  [7458] = {.lex_state = 47, .external_lex_state = 2},
  [7459] = {.lex_state = 349, .external_lex_state = 2},
  [7460] = {.lex_state = 349, .external_lex_state = 2},
  [7461] = {.lex_state = 349, .external_lex_state = 2},
  [7462] = {.lex_state = 349, .external_lex_state = 2},
  [7463] = {.lex_state = 349, .external_lex_state = 2},
  [7464] = {.lex_state = 349, .external_lex_state = 2},
  [7465] = {.lex_state = 349, .external_lex_state = 2},
  [7466] = {.lex_state = 349, .external_lex_state = 2},
  [7467] = {.lex_state = 349, .external_lex_state = 2},
  [7468] = {.lex_state = 349, .external_lex_state = 2},
  [7469] = {.lex_state = 349, .external_lex_state = 2},
  [7470] = {.lex_state = 47, .external_lex_state = 2},
  [7471] = {.lex_state = 349, .external_lex_state = 2},
  [7472] = {.lex_state = 349, .external_lex_state = 2},
  [7473] = {.lex_state = 349, .external_lex_state = 2},
  [7474] = {.lex_state = 349, .external_lex_state = 2},
  [7475] = {.lex_state = 349, .external_lex_state = 2},
  [7476] = {.lex_state = 47, .external_lex_state = 2},
  [7477] = {.lex_state = 349, .external_lex_state = 2},
  [7478] = {.lex_state = 47, .external_lex_state = 2},
  [7479] = {.lex_state = 47, .external_lex_state = 2},
  [7480] = {.lex_state = 47, .external_lex_state = 2},
  [7481] = {.lex_state = 349, .external_lex_state = 2},
  [7482] = {.lex_state = 68, .external_lex_state = 2},
  [7483] = {.lex_state = 349, .external_lex_state = 2},
  [7484] = {.lex_state = 349, .external_lex_state = 2},
  [7485] = {.lex_state = 349, .external_lex_state = 2},
  [7486] = {.lex_state = 349, .external_lex_state = 2},
  [7487] = {.lex_state = 349, .external_lex_state = 2},
  [7488] = {.lex_state = 349, .external_lex_state = 2},
  [7489] = {.lex_state = 349, .external_lex_state = 2},
  [7490] = {.lex_state = 46, .external_lex_state = 2},
  [7491] = {.lex_state = 349, .external_lex_state = 2},
  [7492] = {.lex_state = 349, .external_lex_state = 2},
  [7493] = {.lex_state = 47, .external_lex_state = 2},
  [7494] = {.lex_state = 349, .external_lex_state = 2},
  [7495] = {.lex_state = 349, .external_lex_state = 2},
  [7496] = {.lex_state = 349, .external_lex_state = 2},
  [7497] = {.lex_state = 47, .external_lex_state = 2},
  [7498] = {.lex_state = 47, .external_lex_state = 2},
  [7499] = {.lex_state = 349, .external_lex_state = 2},
  [7500] = {.lex_state = 47, .external_lex_state = 2},
  [7501] = {.lex_state = 47, .external_lex_state = 2},
  [7502] = {.lex_state = 349, .external_lex_state = 2},
  [7503] = {.lex_state = 349, .external_lex_state = 2},
  [7504] = {.lex_state = 349, .external_lex_state = 2},
  [7505] = {.lex_state = 47, .external_lex_state = 2},
  [7506] = {.lex_state = 349, .external_lex_state = 2},
  [7507] = {.lex_state = 349, .external_lex_state = 2},
  [7508] = {.lex_state = 47, .external_lex_state = 2},
  [7509] = {.lex_state = 349, .external_lex_state = 2},
  [7510] = {.lex_state = 47, .external_lex_state = 2},
  [7511] = {.lex_state = 47, .external_lex_state = 2},
  [7512] = {.lex_state = 349, .external_lex_state = 2},
  [7513] = {.lex_state = 349, .external_lex_state = 2},
  [7514] = {.lex_state = 47, .external_lex_state = 2},
  [7515] = {.lex_state = 349, .external_lex_state = 2},
  [7516] = {.lex_state = 349, .external_lex_state = 2},
  [7517] = {.lex_state = 349, .external_lex_state = 2},
  [7518] = {.lex_state = 349, .external_lex_state = 2},
  [7519] = {.lex_state = 349, .external_lex_state = 2},
  [7520] = {.lex_state = 21, .external_lex_state = 2},
  [7521] = {.lex_state = 47, .external_lex_state = 2},
  [7522] = {.lex_state = 47, .external_lex_state = 2},
  [7523] = {.lex_state = 349, .external_lex_state = 2},
  [7524] = {.lex_state = 349, .external_lex_state = 2},
  [7525] = {.lex_state = 349, .external_lex_state = 2},
  [7526] = {.lex_state = 349, .external_lex_state = 2},
  [7527] = {.lex_state = 47, .external_lex_state = 2},
  [7528] = {.lex_state = 47, .external_lex_state = 2},
  [7529] = {.lex_state = 349, .external_lex_state = 2},
  [7530] = {.lex_state = 349, .external_lex_state = 2},
  [7531] = {.lex_state = 349, .external_lex_state = 2},
  [7532] = {.lex_state = 47, .external_lex_state = 2},
  [7533] = {.lex_state = 349, .external_lex_state = 2},
  [7534] = {.lex_state = 349, .external_lex_state = 2},
  [7535] = {.lex_state = 47, .external_lex_state = 2},
  [7536] = {.lex_state = 349, .external_lex_state = 2},
  [7537] = {.lex_state = 349, .external_lex_state = 2},
  [7538] = {.lex_state = 349, .external_lex_state = 2},
  [7539] = {.lex_state = 47, .external_lex_state = 2},
  [7540] = {.lex_state = 349, .external_lex_state = 2},
  [7541] = {.lex_state = 349, .external_lex_state = 2},
  [7542] = {.lex_state = 47, .external_lex_state = 2},
  [7543] = {.lex_state = 349, .external_lex_state = 2},
  [7544] = {.lex_state = 349, .external_lex_state = 2},
  [7545] = {.lex_state = 349, .external_lex_state = 2},
  [7546] = {.lex_state = 349, .external_lex_state = 2},
  [7547] = {.lex_state = 349, .external_lex_state = 2},
  [7548] = {.lex_state = 349, .external_lex_state = 2},
  [7549] = {.lex_state = 349, .external_lex_state = 2},
  [7550] = {.lex_state = 349, .external_lex_state = 2},
  [7551] = {.lex_state = 349, .external_lex_state = 2},
  [7552] = {.lex_state = 349, .external_lex_state = 2},
  [7553] = {.lex_state = 349, .external_lex_state = 2},
  [7554] = {.lex_state = 349, .external_lex_state = 2},
  [7555] = {.lex_state = 47, .external_lex_state = 2},
  [7556] = {.lex_state = 349, .external_lex_state = 2},
  [7557] = {.lex_state = 349, .external_lex_state = 2},
  [7558] = {.lex_state = 47, .external_lex_state = 2},
  [7559] = {.lex_state = 349, .external_lex_state = 2},
  [7560] = {.lex_state = 349, .external_lex_state = 2},
  [7561] = {.lex_state = 47, .external_lex_state = 2},
  [7562] = {.lex_state = 349, .external_lex_state = 2},
  [7563] = {.lex_state = 47, .external_lex_state = 2},
  [7564] = {.lex_state = 47, .external_lex_state = 2},
  [7565] = {.lex_state = 349, .external_lex_state = 2},
  [7566] = {.lex_state = 349, .external_lex_state = 2},
  [7567] = {.lex_state = 349, .external_lex_state = 2},
  [7568] = {.lex_state = 349, .external_lex_state = 2},
  [7569] = {.lex_state = 349, .external_lex_state = 2},
  [7570] = {.lex_state = 47, .external_lex_state = 2},
  [7571] = {.lex_state = 349, .external_lex_state = 2},
  [7572] = {.lex_state = 349, .external_lex_state = 2},
  [7573] = {.lex_state = 349, .external_lex_state = 2},
  [7574] = {.lex_state = 349, .external_lex_state = 2},
  [7575] = {.lex_state = 349, .external_lex_state = 2},
  [7576] = {.lex_state = 46, .external_lex_state = 2},
  [7577] = {.lex_state = 349, .external_lex_state = 2},
  [7578] = {.lex_state = 47, .external_lex_state = 2},
  [7579] = {.lex_state = 349, .external_lex_state = 2},
  [7580] = {.lex_state = 47, .external_lex_state = 2},
  [7581] = {.lex_state = 349, .external_lex_state = 2},
  [7582] = {.lex_state = 349, .external_lex_state = 2},
  [7583] = {.lex_state = 47, .external_lex_state = 2},
  [7584] = {.lex_state = 46, .external_lex_state = 2},
  [7585] = {.lex_state = 2, .external_lex_state = 10},
  [7586] = {.lex_state = 349, .external_lex_state = 2},
  [7587] = {.lex_state = 349, .external_lex_state = 2},
  [7588] = {.lex_state = 349, .external_lex_state = 2},
  [7589] = {.lex_state = 349, .external_lex_state = 2},
  [7590] = {.lex_state = 349, .external_lex_state = 2},
  [7591] = {.lex_state = 47, .external_lex_state = 2},
  [7592] = {.lex_state = 349, .external_lex_state = 2},
  [7593] = {.lex_state = 349, .external_lex_state = 2},
  [7594] = {.lex_state = 349, .external_lex_state = 2},
  [7595] = {.lex_state = 47, .external_lex_state = 2},
  [7596] = {.lex_state = 47, .external_lex_state = 2},
  [7597] = {.lex_state = 349, .external_lex_state = 2},
  [7598] = {.lex_state = 349, .external_lex_state = 2},
  [7599] = {.lex_state = 349, .external_lex_state = 2},
  [7600] = {.lex_state = 47, .external_lex_state = 2},
  [7601] = {.lex_state = 47, .external_lex_state = 2},
  [7602] = {.lex_state = 349, .external_lex_state = 2},
  [7603] = {.lex_state = 47, .external_lex_state = 2},
  [7604] = {.lex_state = 47, .external_lex_state = 2},
  [7605] = {.lex_state = 47, .external_lex_state = 2},
  [7606] = {.lex_state = 47, .external_lex_state = 2},
  [7607] = {.lex_state = 349, .external_lex_state = 2},
  [7608] = {.lex_state = 349, .external_lex_state = 2},
  [7609] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(7577),
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5292),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(801),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(186),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(192),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5292),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(801),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(186),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(192),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7534),
    [sym_spread_element] = STATE(6380),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3402),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6380),
    [sym_pair] = STATE(6380),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4552),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_accessibility_modifier] = STATE(3744),
    [sym_override_modifier] = STATE(3771),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [aux_sym_object_repeat1] = STATE(6347),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7534),
    [sym_spread_element] = STATE(6380),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3402),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6380),
    [sym_pair] = STATE(6380),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4552),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_accessibility_modifier] = STATE(3744),
    [sym_override_modifier] = STATE(3771),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [aux_sym_object_repeat1] = STATE(6347),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7534),
    [sym_spread_element] = STATE(6380),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3402),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6380),
    [sym_pair] = STATE(6380),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4552),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_accessibility_modifier] = STATE(3744),
    [sym_override_modifier] = STATE(3771),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [aux_sym_object_repeat1] = STATE(6347),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7534),
    [sym_spread_element] = STATE(6380),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3402),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6380),
    [sym_pair] = STATE(6380),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4552),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_accessibility_modifier] = STATE(3744),
    [sym_override_modifier] = STATE(3771),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [aux_sym_object_repeat1] = STATE(6347),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7534),
    [sym_spread_element] = STATE(6391),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3402),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4552),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_accessibility_modifier] = STATE(3744),
    [sym_override_modifier] = STATE(3771),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_export] = ACTIONS(271),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(273),
    [anon_sym_namespace] = ACTIONS(275),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(283),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_readonly] = ACTIONS(287),
    [anon_sym_get] = ACTIONS(289),
    [anon_sym_set] = ACTIONS(289),
    [anon_sym_declare] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(293),
    [anon_sym_private] = ACTIONS(293),
    [anon_sym_protected] = ACTIONS(293),
    [anon_sym_override] = ACTIONS(295),
    [anon_sym_module] = ACTIONS(297),
    [anon_sym_any] = ACTIONS(299),
    [anon_sym_number] = ACTIONS(299),
    [anon_sym_boolean] = ACTIONS(299),
    [anon_sym_string] = ACTIONS(299),
    [anon_sym_symbol] = ACTIONS(299),
    [anon_sym_object] = ACTIONS(299),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7534),
    [sym_spread_element] = STATE(6380),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3402),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6380),
    [sym_pair] = STATE(6380),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4552),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_accessibility_modifier] = STATE(3744),
    [sym_override_modifier] = STATE(3771),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(34),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [aux_sym_object_repeat1] = STATE(6347),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7534),
    [sym_spread_element] = STATE(6391),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3402),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4552),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_accessibility_modifier] = STATE(3744),
    [sym_override_modifier] = STATE(3771),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_export] = ACTIONS(305),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_namespace] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(311),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(313),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(315),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_readonly] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(321),
    [anon_sym_set] = ACTIONS(321),
    [anon_sym_declare] = ACTIONS(323),
    [anon_sym_public] = ACTIONS(325),
    [anon_sym_private] = ACTIONS(325),
    [anon_sym_protected] = ACTIONS(325),
    [anon_sym_override] = ACTIONS(327),
    [anon_sym_module] = ACTIONS(329),
    [anon_sym_any] = ACTIONS(331),
    [anon_sym_number] = ACTIONS(331),
    [anon_sym_boolean] = ACTIONS(331),
    [anon_sym_string] = ACTIONS(331),
    [anon_sym_symbol] = ACTIONS(331),
    [anon_sym_object] = ACTIONS(331),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7534),
    [sym_spread_element] = STATE(6380),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3402),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6380),
    [sym_pair] = STATE(6380),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4551),
    [sym_computed_property_name] = STATE(4552),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_accessibility_modifier] = STATE(3744),
    [sym_override_modifier] = STATE(3771),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(44),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [aux_sym_object_repeat1] = STATE(6347),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(1531),
    [sym_declaration] = STATE(1531),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1531),
    [sym_expression_statement] = STATE(1531),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1531),
    [sym_if_statement] = STATE(1531),
    [sym_switch_statement] = STATE(1531),
    [sym_for_statement] = STATE(1531),
    [sym_for_in_statement] = STATE(1531),
    [sym_while_statement] = STATE(1531),
    [sym_do_statement] = STATE(1531),
    [sym_try_statement] = STATE(1531),
    [sym_with_statement] = STATE(1531),
    [sym_break_statement] = STATE(1531),
    [sym_continue_statement] = STATE(1531),
    [sym_debugger_statement] = STATE(1531),
    [sym_return_statement] = STATE(1531),
    [sym_throw_statement] = STATE(1531),
    [sym_empty_statement] = STATE(1531),
    [sym_labeled_statement] = STATE(1531),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_default] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(339),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(1531),
    [sym_declaration] = STATE(1531),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1531),
    [sym_expression_statement] = STATE(1531),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1531),
    [sym_if_statement] = STATE(1531),
    [sym_switch_statement] = STATE(1531),
    [sym_for_statement] = STATE(1531),
    [sym_for_in_statement] = STATE(1531),
    [sym_while_statement] = STATE(1531),
    [sym_do_statement] = STATE(1531),
    [sym_try_statement] = STATE(1531),
    [sym_with_statement] = STATE(1531),
    [sym_break_statement] = STATE(1531),
    [sym_continue_statement] = STATE(1531),
    [sym_debugger_statement] = STATE(1531),
    [sym_return_statement] = STATE(1531),
    [sym_throw_statement] = STATE(1531),
    [sym_empty_statement] = STATE(1531),
    [sym_labeled_statement] = STATE(1531),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_RBRACE] = ACTIONS(401),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(1531),
    [sym_declaration] = STATE(1531),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1531),
    [sym_expression_statement] = STATE(1531),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1531),
    [sym_if_statement] = STATE(1531),
    [sym_switch_statement] = STATE(1531),
    [sym_for_statement] = STATE(1531),
    [sym_for_in_statement] = STATE(1531),
    [sym_while_statement] = STATE(1531),
    [sym_do_statement] = STATE(1531),
    [sym_try_statement] = STATE(1531),
    [sym_with_statement] = STATE(1531),
    [sym_break_statement] = STATE(1531),
    [sym_continue_statement] = STATE(1531),
    [sym_debugger_statement] = STATE(1531),
    [sym_return_statement] = STATE(1531),
    [sym_throw_statement] = STATE(1531),
    [sym_empty_statement] = STATE(1531),
    [sym_labeled_statement] = STATE(1531),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_default] = ACTIONS(403),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(403),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(1531),
    [sym_declaration] = STATE(1531),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1531),
    [sym_expression_statement] = STATE(1531),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1531),
    [sym_if_statement] = STATE(1531),
    [sym_switch_statement] = STATE(1531),
    [sym_for_statement] = STATE(1531),
    [sym_for_in_statement] = STATE(1531),
    [sym_while_statement] = STATE(1531),
    [sym_do_statement] = STATE(1531),
    [sym_try_statement] = STATE(1531),
    [sym_with_statement] = STATE(1531),
    [sym_break_statement] = STATE(1531),
    [sym_continue_statement] = STATE(1531),
    [sym_debugger_statement] = STATE(1531),
    [sym_return_statement] = STATE(1531),
    [sym_throw_statement] = STATE(1531),
    [sym_empty_statement] = STATE(1531),
    [sym_labeled_statement] = STATE(1531),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_default] = ACTIONS(405),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(1531),
    [sym_declaration] = STATE(1531),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1531),
    [sym_expression_statement] = STATE(1531),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1531),
    [sym_if_statement] = STATE(1531),
    [sym_switch_statement] = STATE(1531),
    [sym_for_statement] = STATE(1531),
    [sym_for_in_statement] = STATE(1531),
    [sym_while_statement] = STATE(1531),
    [sym_do_statement] = STATE(1531),
    [sym_try_statement] = STATE(1531),
    [sym_with_statement] = STATE(1531),
    [sym_break_statement] = STATE(1531),
    [sym_continue_statement] = STATE(1531),
    [sym_debugger_statement] = STATE(1531),
    [sym_return_statement] = STATE(1531),
    [sym_throw_statement] = STATE(1531),
    [sym_empty_statement] = STATE(1531),
    [sym_labeled_statement] = STATE(1531),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(407),
    [anon_sym_export] = ACTIONS(410),
    [anon_sym_default] = ACTIONS(413),
    [anon_sym_type] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(418),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_typeof] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(427),
    [anon_sym_with] = ACTIONS(430),
    [anon_sym_var] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(436),
    [anon_sym_const] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(424),
    [anon_sym_if] = ACTIONS(442),
    [anon_sym_switch] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_await] = ACTIONS(454),
    [anon_sym_while] = ACTIONS(457),
    [anon_sym_do] = ACTIONS(460),
    [anon_sym_try] = ACTIONS(463),
    [anon_sym_break] = ACTIONS(466),
    [anon_sym_continue] = ACTIONS(469),
    [anon_sym_debugger] = ACTIONS(472),
    [anon_sym_return] = ACTIONS(475),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_yield] = ACTIONS(484),
    [anon_sym_LBRACK] = ACTIONS(487),
    [anon_sym_LTtemplate_GT] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(493),
    [anon_sym_SQUOTE] = ACTIONS(496),
    [anon_sym_class] = ACTIONS(499),
    [anon_sym_async] = ACTIONS(502),
    [anon_sym_function] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(508),
    [anon_sym_using] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(517),
    [anon_sym_TILDE] = ACTIONS(424),
    [anon_sym_void] = ACTIONS(424),
    [anon_sym_delete] = ACTIONS(424),
    [anon_sym_PLUS_PLUS] = ACTIONS(520),
    [anon_sym_DASH_DASH] = ACTIONS(520),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(523),
    [sym_number] = ACTIONS(526),
    [sym_private_property_identifier] = ACTIONS(529),
    [sym_this] = ACTIONS(526),
    [sym_super] = ACTIONS(526),
    [sym_true] = ACTIONS(526),
    [sym_false] = ACTIONS(526),
    [sym_null] = ACTIONS(526),
    [sym_undefined] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(535),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(541),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(544),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(547),
    [anon_sym_interface] = ACTIONS(550),
    [anon_sym_enum] = ACTIONS(553),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [ts_builtin_sym_end] = ACTIONS(556),
    [sym_identifier] = ACTIONS(558),
    [anon_sym_export] = ACTIONS(561),
    [anon_sym_type] = ACTIONS(564),
    [anon_sym_namespace] = ACTIONS(567),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_typeof] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(576),
    [anon_sym_var] = ACTIONS(579),
    [anon_sym_let] = ACTIONS(582),
    [anon_sym_const] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(424),
    [anon_sym_if] = ACTIONS(588),
    [anon_sym_switch] = ACTIONS(591),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_await] = ACTIONS(454),
    [anon_sym_while] = ACTIONS(597),
    [anon_sym_do] = ACTIONS(600),
    [anon_sym_try] = ACTIONS(603),
    [anon_sym_break] = ACTIONS(606),
    [anon_sym_continue] = ACTIONS(609),
    [anon_sym_debugger] = ACTIONS(612),
    [anon_sym_return] = ACTIONS(615),
    [anon_sym_throw] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(621),
    [anon_sym_yield] = ACTIONS(484),
    [anon_sym_LBRACK] = ACTIONS(487),
    [anon_sym_LTtemplate_GT] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(493),
    [anon_sym_SQUOTE] = ACTIONS(496),
    [anon_sym_class] = ACTIONS(624),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(630),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_using] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(517),
    [anon_sym_TILDE] = ACTIONS(424),
    [anon_sym_void] = ACTIONS(424),
    [anon_sym_delete] = ACTIONS(424),
    [anon_sym_PLUS_PLUS] = ACTIONS(520),
    [anon_sym_DASH_DASH] = ACTIONS(520),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(523),
    [sym_number] = ACTIONS(526),
    [sym_private_property_identifier] = ACTIONS(529),
    [sym_this] = ACTIONS(526),
    [sym_super] = ACTIONS(526),
    [sym_true] = ACTIONS(526),
    [sym_false] = ACTIONS(526),
    [sym_null] = ACTIONS(526),
    [sym_undefined] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(535),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(639),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(645),
    [anon_sym_interface] = ACTIONS(648),
    [anon_sym_enum] = ACTIONS(651),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(36),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(654),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(34),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(656),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(658),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(662),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(666),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(674),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(688),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(690),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(37),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [ts_builtin_sym_end] = ACTIONS(696),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(698),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(42),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(704),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(708),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(712),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(714),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(720),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(724),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(44),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(730),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(748),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [ts_builtin_sym_end] = ACTIONS(756),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(758),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(760),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(1681),
    [sym_declaration] = STATE(1681),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1681),
    [sym_expression_statement] = STATE(1681),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_switch_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_for_in_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_do_statement] = STATE(1681),
    [sym_try_statement] = STATE(1681),
    [sym_with_statement] = STATE(1681),
    [sym_break_statement] = STATE(1681),
    [sym_continue_statement] = STATE(1681),
    [sym_debugger_statement] = STATE(1681),
    [sym_return_statement] = STATE(1681),
    [sym_throw_statement] = STATE(1681),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [ts_builtin_sym_end] = ACTIONS(696),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(6072),
    [sym_declaration] = STATE(6072),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(6072),
    [sym_expression_statement] = STATE(6072),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(6072),
    [sym_if_statement] = STATE(6072),
    [sym_switch_statement] = STATE(6072),
    [sym_for_statement] = STATE(6072),
    [sym_for_in_statement] = STATE(6072),
    [sym_while_statement] = STATE(6072),
    [sym_do_statement] = STATE(6072),
    [sym_try_statement] = STATE(6072),
    [sym_with_statement] = STATE(6072),
    [sym_break_statement] = STATE(6072),
    [sym_continue_statement] = STATE(6072),
    [sym_debugger_statement] = STATE(6072),
    [sym_return_statement] = STATE(6072),
    [sym_throw_statement] = STATE(6072),
    [sym_empty_statement] = STATE(6072),
    [sym_labeled_statement] = STATE(6072),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(7369),
    [sym_declaration] = STATE(7369),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(7369),
    [sym_expression_statement] = STATE(7369),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(7369),
    [sym_if_statement] = STATE(7369),
    [sym_switch_statement] = STATE(7369),
    [sym_for_statement] = STATE(7369),
    [sym_for_in_statement] = STATE(7369),
    [sym_while_statement] = STATE(7369),
    [sym_do_statement] = STATE(7369),
    [sym_try_statement] = STATE(7369),
    [sym_with_statement] = STATE(7369),
    [sym_break_statement] = STATE(7369),
    [sym_continue_statement] = STATE(7369),
    [sym_debugger_statement] = STATE(7369),
    [sym_return_statement] = STATE(7369),
    [sym_throw_statement] = STATE(7369),
    [sym_empty_statement] = STATE(7369),
    [sym_labeled_statement] = STATE(7369),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(6633),
    [sym_declaration] = STATE(6633),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(6633),
    [sym_expression_statement] = STATE(6633),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(6633),
    [sym_if_statement] = STATE(6633),
    [sym_switch_statement] = STATE(6633),
    [sym_for_statement] = STATE(6633),
    [sym_for_in_statement] = STATE(6633),
    [sym_while_statement] = STATE(6633),
    [sym_do_statement] = STATE(6633),
    [sym_try_statement] = STATE(6633),
    [sym_with_statement] = STATE(6633),
    [sym_break_statement] = STATE(6633),
    [sym_continue_statement] = STATE(6633),
    [sym_debugger_statement] = STATE(6633),
    [sym_return_statement] = STATE(6633),
    [sym_throw_statement] = STATE(6633),
    [sym_empty_statement] = STATE(6633),
    [sym_labeled_statement] = STATE(6633),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(1754),
    [sym_declaration] = STATE(1754),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1754),
    [sym_expression_statement] = STATE(1754),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1754),
    [sym_if_statement] = STATE(1754),
    [sym_switch_statement] = STATE(1754),
    [sym_for_statement] = STATE(1754),
    [sym_for_in_statement] = STATE(1754),
    [sym_while_statement] = STATE(1754),
    [sym_do_statement] = STATE(1754),
    [sym_try_statement] = STATE(1754),
    [sym_with_statement] = STATE(1754),
    [sym_break_statement] = STATE(1754),
    [sym_continue_statement] = STATE(1754),
    [sym_debugger_statement] = STATE(1754),
    [sym_return_statement] = STATE(1754),
    [sym_throw_statement] = STATE(1754),
    [sym_empty_statement] = STATE(1754),
    [sym_labeled_statement] = STATE(1754),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(1051),
    [sym_declaration] = STATE(1051),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1051),
    [sym_expression_statement] = STATE(1051),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_statement_block] = STATE(1051),
    [sym_if_statement] = STATE(1051),
    [sym_switch_statement] = STATE(1051),
    [sym_for_statement] = STATE(1051),
    [sym_for_in_statement] = STATE(1051),
    [sym_while_statement] = STATE(1051),
    [sym_do_statement] = STATE(1051),
    [sym_try_statement] = STATE(1051),
    [sym_with_statement] = STATE(1051),
    [sym_break_statement] = STATE(1051),
    [sym_continue_statement] = STATE(1051),
    [sym_debugger_statement] = STATE(1051),
    [sym_return_statement] = STATE(1051),
    [sym_throw_statement] = STATE(1051),
    [sym_empty_statement] = STATE(1051),
    [sym_labeled_statement] = STATE(1051),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6460),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4829),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(974),
    [sym_declaration] = STATE(974),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(974),
    [sym_expression_statement] = STATE(974),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_statement_block] = STATE(974),
    [sym_if_statement] = STATE(974),
    [sym_switch_statement] = STATE(974),
    [sym_for_statement] = STATE(974),
    [sym_for_in_statement] = STATE(974),
    [sym_while_statement] = STATE(974),
    [sym_do_statement] = STATE(974),
    [sym_try_statement] = STATE(974),
    [sym_with_statement] = STATE(974),
    [sym_break_statement] = STATE(974),
    [sym_continue_statement] = STATE(974),
    [sym_debugger_statement] = STATE(974),
    [sym_return_statement] = STATE(974),
    [sym_throw_statement] = STATE(974),
    [sym_empty_statement] = STATE(974),
    [sym_labeled_statement] = STATE(974),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6460),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4829),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(1494),
    [sym_declaration] = STATE(1494),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1494),
    [sym_expression_statement] = STATE(1494),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1494),
    [sym_if_statement] = STATE(1494),
    [sym_switch_statement] = STATE(1494),
    [sym_for_statement] = STATE(1494),
    [sym_for_in_statement] = STATE(1494),
    [sym_while_statement] = STATE(1494),
    [sym_do_statement] = STATE(1494),
    [sym_try_statement] = STATE(1494),
    [sym_with_statement] = STATE(1494),
    [sym_break_statement] = STATE(1494),
    [sym_continue_statement] = STATE(1494),
    [sym_debugger_statement] = STATE(1494),
    [sym_return_statement] = STATE(1494),
    [sym_throw_statement] = STATE(1494),
    [sym_empty_statement] = STATE(1494),
    [sym_labeled_statement] = STATE(1494),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(1028),
    [sym_declaration] = STATE(1028),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1028),
    [sym_expression_statement] = STATE(1028),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_statement_block] = STATE(1028),
    [sym_if_statement] = STATE(1028),
    [sym_switch_statement] = STATE(1028),
    [sym_for_statement] = STATE(1028),
    [sym_for_in_statement] = STATE(1028),
    [sym_while_statement] = STATE(1028),
    [sym_do_statement] = STATE(1028),
    [sym_try_statement] = STATE(1028),
    [sym_with_statement] = STATE(1028),
    [sym_break_statement] = STATE(1028),
    [sym_continue_statement] = STATE(1028),
    [sym_debugger_statement] = STATE(1028),
    [sym_return_statement] = STATE(1028),
    [sym_throw_statement] = STATE(1028),
    [sym_empty_statement] = STATE(1028),
    [sym_labeled_statement] = STATE(1028),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6460),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4829),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(1751),
    [sym_declaration] = STATE(1708),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1709),
    [sym_expression_statement] = STATE(1710),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1711),
    [sym_if_statement] = STATE(1712),
    [sym_switch_statement] = STATE(1713),
    [sym_for_statement] = STATE(1720),
    [sym_for_in_statement] = STATE(1721),
    [sym_while_statement] = STATE(1728),
    [sym_do_statement] = STATE(1729),
    [sym_try_statement] = STATE(1734),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1743),
    [sym_continue_statement] = STATE(1744),
    [sym_debugger_statement] = STATE(1745),
    [sym_return_statement] = STATE(1746),
    [sym_throw_statement] = STATE(1747),
    [sym_empty_statement] = STATE(1748),
    [sym_labeled_statement] = STATE(1749),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(1633),
    [sym_declaration] = STATE(1633),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1633),
    [sym_expression_statement] = STATE(1633),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1633),
    [sym_if_statement] = STATE(1633),
    [sym_switch_statement] = STATE(1633),
    [sym_for_statement] = STATE(1633),
    [sym_for_in_statement] = STATE(1633),
    [sym_while_statement] = STATE(1633),
    [sym_do_statement] = STATE(1633),
    [sym_try_statement] = STATE(1633),
    [sym_with_statement] = STATE(1633),
    [sym_break_statement] = STATE(1633),
    [sym_continue_statement] = STATE(1633),
    [sym_debugger_statement] = STATE(1633),
    [sym_return_statement] = STATE(1633),
    [sym_throw_statement] = STATE(1633),
    [sym_empty_statement] = STATE(1633),
    [sym_labeled_statement] = STATE(1633),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(1460),
    [sym_declaration] = STATE(1462),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1463),
    [sym_expression_statement] = STATE(1464),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1465),
    [sym_if_statement] = STATE(1466),
    [sym_switch_statement] = STATE(1467),
    [sym_for_statement] = STATE(1469),
    [sym_for_in_statement] = STATE(1474),
    [sym_while_statement] = STATE(1475),
    [sym_do_statement] = STATE(1476),
    [sym_try_statement] = STATE(1478),
    [sym_with_statement] = STATE(1479),
    [sym_break_statement] = STATE(1482),
    [sym_continue_statement] = STATE(1484),
    [sym_debugger_statement] = STATE(1487),
    [sym_return_statement] = STATE(1488),
    [sym_throw_statement] = STATE(1489),
    [sym_empty_statement] = STATE(1490),
    [sym_labeled_statement] = STATE(1492),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(7158),
    [sym_declaration] = STATE(7158),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(7158),
    [sym_expression_statement] = STATE(7158),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(7158),
    [sym_if_statement] = STATE(7158),
    [sym_switch_statement] = STATE(7158),
    [sym_for_statement] = STATE(7158),
    [sym_for_in_statement] = STATE(7158),
    [sym_while_statement] = STATE(7158),
    [sym_do_statement] = STATE(7158),
    [sym_try_statement] = STATE(7158),
    [sym_with_statement] = STATE(7158),
    [sym_break_statement] = STATE(7158),
    [sym_continue_statement] = STATE(7158),
    [sym_debugger_statement] = STATE(7158),
    [sym_return_statement] = STATE(7158),
    [sym_throw_statement] = STATE(7158),
    [sym_empty_statement] = STATE(7158),
    [sym_labeled_statement] = STATE(7158),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(1622),
    [sym_declaration] = STATE(1622),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1622),
    [sym_expression_statement] = STATE(1622),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1622),
    [sym_if_statement] = STATE(1622),
    [sym_switch_statement] = STATE(1622),
    [sym_for_statement] = STATE(1622),
    [sym_for_in_statement] = STATE(1622),
    [sym_while_statement] = STATE(1622),
    [sym_do_statement] = STATE(1622),
    [sym_try_statement] = STATE(1622),
    [sym_with_statement] = STATE(1622),
    [sym_break_statement] = STATE(1622),
    [sym_continue_statement] = STATE(1622),
    [sym_debugger_statement] = STATE(1622),
    [sym_return_statement] = STATE(1622),
    [sym_throw_statement] = STATE(1622),
    [sym_empty_statement] = STATE(1622),
    [sym_labeled_statement] = STATE(1622),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(1686),
    [sym_declaration] = STATE(1686),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1686),
    [sym_expression_statement] = STATE(1686),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_switch_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_for_in_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_do_statement] = STATE(1686),
    [sym_try_statement] = STATE(1686),
    [sym_with_statement] = STATE(1686),
    [sym_break_statement] = STATE(1686),
    [sym_continue_statement] = STATE(1686),
    [sym_debugger_statement] = STATE(1686),
    [sym_return_statement] = STATE(1686),
    [sym_throw_statement] = STATE(1686),
    [sym_empty_statement] = STATE(1686),
    [sym_labeled_statement] = STATE(1686),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(1115),
    [sym_declaration] = STATE(1115),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1115),
    [sym_expression_statement] = STATE(1115),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_statement_block] = STATE(1115),
    [sym_if_statement] = STATE(1115),
    [sym_switch_statement] = STATE(1115),
    [sym_for_statement] = STATE(1115),
    [sym_for_in_statement] = STATE(1115),
    [sym_while_statement] = STATE(1115),
    [sym_do_statement] = STATE(1115),
    [sym_try_statement] = STATE(1115),
    [sym_with_statement] = STATE(1115),
    [sym_break_statement] = STATE(1115),
    [sym_continue_statement] = STATE(1115),
    [sym_debugger_statement] = STATE(1115),
    [sym_return_statement] = STATE(1115),
    [sym_throw_statement] = STATE(1115),
    [sym_empty_statement] = STATE(1115),
    [sym_labeled_statement] = STATE(1115),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6906),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4917),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(1703),
    [sym_declaration] = STATE(1688),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1655),
    [sym_expression_statement] = STATE(1662),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1666),
    [sym_if_statement] = STATE(1680),
    [sym_switch_statement] = STATE(1706),
    [sym_for_statement] = STATE(1718),
    [sym_for_in_statement] = STATE(1740),
    [sym_while_statement] = STATE(1742),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1777),
    [sym_with_statement] = STATE(1774),
    [sym_break_statement] = STATE(1691),
    [sym_continue_statement] = STATE(1771),
    [sym_debugger_statement] = STATE(1760),
    [sym_return_statement] = STATE(1726),
    [sym_throw_statement] = STATE(1684),
    [sym_empty_statement] = STATE(1679),
    [sym_labeled_statement] = STATE(1674),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(6577),
    [sym_declaration] = STATE(6577),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(6577),
    [sym_expression_statement] = STATE(6577),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(6577),
    [sym_if_statement] = STATE(6577),
    [sym_switch_statement] = STATE(6577),
    [sym_for_statement] = STATE(6577),
    [sym_for_in_statement] = STATE(6577),
    [sym_while_statement] = STATE(6577),
    [sym_do_statement] = STATE(6577),
    [sym_try_statement] = STATE(6577),
    [sym_with_statement] = STATE(6577),
    [sym_break_statement] = STATE(6577),
    [sym_continue_statement] = STATE(6577),
    [sym_debugger_statement] = STATE(6577),
    [sym_return_statement] = STATE(6577),
    [sym_throw_statement] = STATE(6577),
    [sym_empty_statement] = STATE(6577),
    [sym_labeled_statement] = STATE(6577),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(1452),
    [sym_declaration] = STATE(1452),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1452),
    [sym_expression_statement] = STATE(1452),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1452),
    [sym_if_statement] = STATE(1452),
    [sym_switch_statement] = STATE(1452),
    [sym_for_statement] = STATE(1452),
    [sym_for_in_statement] = STATE(1452),
    [sym_while_statement] = STATE(1452),
    [sym_do_statement] = STATE(1452),
    [sym_try_statement] = STATE(1452),
    [sym_with_statement] = STATE(1452),
    [sym_break_statement] = STATE(1452),
    [sym_continue_statement] = STATE(1452),
    [sym_debugger_statement] = STATE(1452),
    [sym_return_statement] = STATE(1452),
    [sym_throw_statement] = STATE(1452),
    [sym_empty_statement] = STATE(1452),
    [sym_labeled_statement] = STATE(1452),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(1412),
    [sym_declaration] = STATE(1412),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1412),
    [sym_expression_statement] = STATE(1412),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1412),
    [sym_if_statement] = STATE(1412),
    [sym_switch_statement] = STATE(1412),
    [sym_for_statement] = STATE(1412),
    [sym_for_in_statement] = STATE(1412),
    [sym_while_statement] = STATE(1412),
    [sym_do_statement] = STATE(1412),
    [sym_try_statement] = STATE(1412),
    [sym_with_statement] = STATE(1412),
    [sym_break_statement] = STATE(1412),
    [sym_continue_statement] = STATE(1412),
    [sym_debugger_statement] = STATE(1412),
    [sym_return_statement] = STATE(1412),
    [sym_throw_statement] = STATE(1412),
    [sym_empty_statement] = STATE(1412),
    [sym_labeled_statement] = STATE(1412),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(7050),
    [sym_declaration] = STATE(7050),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(7050),
    [sym_expression_statement] = STATE(7050),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(7050),
    [sym_if_statement] = STATE(7050),
    [sym_switch_statement] = STATE(7050),
    [sym_for_statement] = STATE(7050),
    [sym_for_in_statement] = STATE(7050),
    [sym_while_statement] = STATE(7050),
    [sym_do_statement] = STATE(7050),
    [sym_try_statement] = STATE(7050),
    [sym_with_statement] = STATE(7050),
    [sym_break_statement] = STATE(7050),
    [sym_continue_statement] = STATE(7050),
    [sym_debugger_statement] = STATE(7050),
    [sym_return_statement] = STATE(7050),
    [sym_throw_statement] = STATE(7050),
    [sym_empty_statement] = STATE(7050),
    [sym_labeled_statement] = STATE(7050),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(1582),
    [sym_declaration] = STATE(1582),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1582),
    [sym_expression_statement] = STATE(1582),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_statement_block] = STATE(1582),
    [sym_if_statement] = STATE(1582),
    [sym_switch_statement] = STATE(1582),
    [sym_for_statement] = STATE(1582),
    [sym_for_in_statement] = STATE(1582),
    [sym_while_statement] = STATE(1582),
    [sym_do_statement] = STATE(1582),
    [sym_try_statement] = STATE(1582),
    [sym_with_statement] = STATE(1582),
    [sym_break_statement] = STATE(1582),
    [sym_continue_statement] = STATE(1582),
    [sym_debugger_statement] = STATE(1582),
    [sym_return_statement] = STATE(1582),
    [sym_throw_statement] = STATE(1582),
    [sym_empty_statement] = STATE(1582),
    [sym_labeled_statement] = STATE(1582),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6906),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4917),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(1227),
    [sym_declaration] = STATE(1227),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1227),
    [sym_expression_statement] = STATE(1227),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_statement_block] = STATE(1227),
    [sym_if_statement] = STATE(1227),
    [sym_switch_statement] = STATE(1227),
    [sym_for_statement] = STATE(1227),
    [sym_for_in_statement] = STATE(1227),
    [sym_while_statement] = STATE(1227),
    [sym_do_statement] = STATE(1227),
    [sym_try_statement] = STATE(1227),
    [sym_with_statement] = STATE(1227),
    [sym_break_statement] = STATE(1227),
    [sym_continue_statement] = STATE(1227),
    [sym_debugger_statement] = STATE(1227),
    [sym_return_statement] = STATE(1227),
    [sym_throw_statement] = STATE(1227),
    [sym_empty_statement] = STATE(1227),
    [sym_labeled_statement] = STATE(1227),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6906),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4917),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(1635),
    [sym_declaration] = STATE(1635),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1635),
    [sym_expression_statement] = STATE(1635),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1635),
    [sym_if_statement] = STATE(1635),
    [sym_switch_statement] = STATE(1635),
    [sym_for_statement] = STATE(1635),
    [sym_for_in_statement] = STATE(1635),
    [sym_while_statement] = STATE(1635),
    [sym_do_statement] = STATE(1635),
    [sym_try_statement] = STATE(1635),
    [sym_with_statement] = STATE(1635),
    [sym_break_statement] = STATE(1635),
    [sym_continue_statement] = STATE(1635),
    [sym_debugger_statement] = STATE(1635),
    [sym_return_statement] = STATE(1635),
    [sym_throw_statement] = STATE(1635),
    [sym_empty_statement] = STATE(1635),
    [sym_labeled_statement] = STATE(1635),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(1337),
    [sym_declaration] = STATE(1337),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1337),
    [sym_expression_statement] = STATE(1337),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_statement_block] = STATE(1337),
    [sym_if_statement] = STATE(1337),
    [sym_switch_statement] = STATE(1337),
    [sym_for_statement] = STATE(1337),
    [sym_for_in_statement] = STATE(1337),
    [sym_while_statement] = STATE(1337),
    [sym_do_statement] = STATE(1337),
    [sym_try_statement] = STATE(1337),
    [sym_with_statement] = STATE(1337),
    [sym_break_statement] = STATE(1337),
    [sym_continue_statement] = STATE(1337),
    [sym_debugger_statement] = STATE(1337),
    [sym_return_statement] = STATE(1337),
    [sym_throw_statement] = STATE(1337),
    [sym_empty_statement] = STATE(1337),
    [sym_labeled_statement] = STATE(1337),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6906),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4917),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(1430),
    [sym_declaration] = STATE(1430),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1430),
    [sym_expression_statement] = STATE(1430),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1430),
    [sym_if_statement] = STATE(1430),
    [sym_switch_statement] = STATE(1430),
    [sym_for_statement] = STATE(1430),
    [sym_for_in_statement] = STATE(1430),
    [sym_while_statement] = STATE(1430),
    [sym_do_statement] = STATE(1430),
    [sym_try_statement] = STATE(1430),
    [sym_with_statement] = STATE(1430),
    [sym_break_statement] = STATE(1430),
    [sym_continue_statement] = STATE(1430),
    [sym_debugger_statement] = STATE(1430),
    [sym_return_statement] = STATE(1430),
    [sym_throw_statement] = STATE(1430),
    [sym_empty_statement] = STATE(1430),
    [sym_labeled_statement] = STATE(1430),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(1373),
    [sym_declaration] = STATE(1373),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1373),
    [sym_expression_statement] = STATE(1373),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1373),
    [sym_if_statement] = STATE(1373),
    [sym_switch_statement] = STATE(1373),
    [sym_for_statement] = STATE(1373),
    [sym_for_in_statement] = STATE(1373),
    [sym_while_statement] = STATE(1373),
    [sym_do_statement] = STATE(1373),
    [sym_try_statement] = STATE(1373),
    [sym_with_statement] = STATE(1373),
    [sym_break_statement] = STATE(1373),
    [sym_continue_statement] = STATE(1373),
    [sym_debugger_statement] = STATE(1373),
    [sym_return_statement] = STATE(1373),
    [sym_throw_statement] = STATE(1373),
    [sym_empty_statement] = STATE(1373),
    [sym_labeled_statement] = STATE(1373),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(975),
    [sym_declaration] = STATE(975),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(975),
    [sym_expression_statement] = STATE(975),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_statement_block] = STATE(975),
    [sym_if_statement] = STATE(975),
    [sym_switch_statement] = STATE(975),
    [sym_for_statement] = STATE(975),
    [sym_for_in_statement] = STATE(975),
    [sym_while_statement] = STATE(975),
    [sym_do_statement] = STATE(975),
    [sym_try_statement] = STATE(975),
    [sym_with_statement] = STATE(975),
    [sym_break_statement] = STATE(975),
    [sym_continue_statement] = STATE(975),
    [sym_debugger_statement] = STATE(975),
    [sym_return_statement] = STATE(975),
    [sym_throw_statement] = STATE(975),
    [sym_empty_statement] = STATE(975),
    [sym_labeled_statement] = STATE(975),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6460),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4829),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(6950),
    [sym_declaration] = STATE(6950),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(6950),
    [sym_expression_statement] = STATE(6950),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(6950),
    [sym_if_statement] = STATE(6950),
    [sym_switch_statement] = STATE(6950),
    [sym_for_statement] = STATE(6950),
    [sym_for_in_statement] = STATE(6950),
    [sym_while_statement] = STATE(6950),
    [sym_do_statement] = STATE(6950),
    [sym_try_statement] = STATE(6950),
    [sym_with_statement] = STATE(6950),
    [sym_break_statement] = STATE(6950),
    [sym_continue_statement] = STATE(6950),
    [sym_debugger_statement] = STATE(6950),
    [sym_return_statement] = STATE(6950),
    [sym_throw_statement] = STATE(6950),
    [sym_empty_statement] = STATE(6950),
    [sym_labeled_statement] = STATE(6950),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(1099),
    [sym_declaration] = STATE(1099),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1099),
    [sym_expression_statement] = STATE(1099),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_statement_block] = STATE(1099),
    [sym_if_statement] = STATE(1099),
    [sym_switch_statement] = STATE(1099),
    [sym_for_statement] = STATE(1099),
    [sym_for_in_statement] = STATE(1099),
    [sym_while_statement] = STATE(1099),
    [sym_do_statement] = STATE(1099),
    [sym_try_statement] = STATE(1099),
    [sym_with_statement] = STATE(1099),
    [sym_break_statement] = STATE(1099),
    [sym_continue_statement] = STATE(1099),
    [sym_debugger_statement] = STATE(1099),
    [sym_return_statement] = STATE(1099),
    [sym_throw_statement] = STATE(1099),
    [sym_empty_statement] = STATE(1099),
    [sym_labeled_statement] = STATE(1099),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6460),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4829),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(1468),
    [sym_declaration] = STATE(1453),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1448),
    [sym_expression_statement] = STATE(1447),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_statement_block] = STATE(1444),
    [sym_if_statement] = STATE(1443),
    [sym_switch_statement] = STATE(1442),
    [sym_for_statement] = STATE(1441),
    [sym_for_in_statement] = STATE(1595),
    [sym_while_statement] = STATE(1438),
    [sym_do_statement] = STATE(1256),
    [sym_try_statement] = STATE(1432),
    [sym_with_statement] = STATE(1429),
    [sym_break_statement] = STATE(1426),
    [sym_continue_statement] = STATE(1422),
    [sym_debugger_statement] = STATE(1415),
    [sym_return_statement] = STATE(1414),
    [sym_throw_statement] = STATE(1409),
    [sym_empty_statement] = STATE(1408),
    [sym_labeled_statement] = STATE(1406),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6906),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4917),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(7485),
    [sym_declaration] = STATE(7485),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(7485),
    [sym_expression_statement] = STATE(7485),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(7485),
    [sym_if_statement] = STATE(7485),
    [sym_switch_statement] = STATE(7485),
    [sym_for_statement] = STATE(7485),
    [sym_for_in_statement] = STATE(7485),
    [sym_while_statement] = STATE(7485),
    [sym_do_statement] = STATE(7485),
    [sym_try_statement] = STATE(7485),
    [sym_with_statement] = STATE(7485),
    [sym_break_statement] = STATE(7485),
    [sym_continue_statement] = STATE(7485),
    [sym_debugger_statement] = STATE(7485),
    [sym_return_statement] = STATE(7485),
    [sym_throw_statement] = STATE(7485),
    [sym_empty_statement] = STATE(7485),
    [sym_labeled_statement] = STATE(7485),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(1135),
    [sym_declaration] = STATE(1136),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1137),
    [sym_expression_statement] = STATE(1138),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_statement_block] = STATE(1139),
    [sym_if_statement] = STATE(1140),
    [sym_switch_statement] = STATE(1141),
    [sym_for_statement] = STATE(1146),
    [sym_for_in_statement] = STATE(1147),
    [sym_while_statement] = STATE(1148),
    [sym_do_statement] = STATE(1151),
    [sym_try_statement] = STATE(1152),
    [sym_with_statement] = STATE(1153),
    [sym_break_statement] = STATE(1154),
    [sym_continue_statement] = STATE(1155),
    [sym_debugger_statement] = STATE(1157),
    [sym_return_statement] = STATE(1158),
    [sym_throw_statement] = STATE(1159),
    [sym_empty_statement] = STATE(1160),
    [sym_labeled_statement] = STATE(1161),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6460),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4829),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(7210),
    [sym_declaration] = STATE(7210),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(7210),
    [sym_expression_statement] = STATE(7210),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(7210),
    [sym_if_statement] = STATE(7210),
    [sym_switch_statement] = STATE(7210),
    [sym_for_statement] = STATE(7210),
    [sym_for_in_statement] = STATE(7210),
    [sym_while_statement] = STATE(7210),
    [sym_do_statement] = STATE(7210),
    [sym_try_statement] = STATE(7210),
    [sym_with_statement] = STATE(7210),
    [sym_break_statement] = STATE(7210),
    [sym_continue_statement] = STATE(7210),
    [sym_debugger_statement] = STATE(7210),
    [sym_return_statement] = STATE(7210),
    [sym_throw_statement] = STATE(7210),
    [sym_empty_statement] = STATE(7210),
    [sym_labeled_statement] = STATE(7210),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(1216),
    [sym_declaration] = STATE(1216),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1216),
    [sym_expression_statement] = STATE(1216),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_statement_block] = STATE(1216),
    [sym_if_statement] = STATE(1216),
    [sym_switch_statement] = STATE(1216),
    [sym_for_statement] = STATE(1216),
    [sym_for_in_statement] = STATE(1216),
    [sym_while_statement] = STATE(1216),
    [sym_do_statement] = STATE(1216),
    [sym_try_statement] = STATE(1216),
    [sym_with_statement] = STATE(1216),
    [sym_break_statement] = STATE(1216),
    [sym_continue_statement] = STATE(1216),
    [sym_debugger_statement] = STATE(1216),
    [sym_return_statement] = STATE(1216),
    [sym_throw_statement] = STATE(1216),
    [sym_empty_statement] = STATE(1216),
    [sym_labeled_statement] = STATE(1216),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6460),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4829),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(6955),
    [sym_declaration] = STATE(6953),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(6946),
    [sym_expression_statement] = STATE(6939),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(6934),
    [sym_if_statement] = STATE(6933),
    [sym_switch_statement] = STATE(7084),
    [sym_for_statement] = STATE(6911),
    [sym_for_in_statement] = STATE(6907),
    [sym_while_statement] = STATE(6884),
    [sym_do_statement] = STATE(6883),
    [sym_try_statement] = STATE(6882),
    [sym_with_statement] = STATE(6877),
    [sym_break_statement] = STATE(6875),
    [sym_continue_statement] = STATE(6874),
    [sym_debugger_statement] = STATE(6873),
    [sym_return_statement] = STATE(6866),
    [sym_throw_statement] = STATE(6856),
    [sym_empty_statement] = STATE(6837),
    [sym_labeled_statement] = STATE(6834),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(1304),
    [sym_declaration] = STATE(1304),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1304),
    [sym_expression_statement] = STATE(1304),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_statement_block] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_switch_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_for_in_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_do_statement] = STATE(1304),
    [sym_try_statement] = STATE(1304),
    [sym_with_statement] = STATE(1304),
    [sym_break_statement] = STATE(1304),
    [sym_continue_statement] = STATE(1304),
    [sym_debugger_statement] = STATE(1304),
    [sym_return_statement] = STATE(1304),
    [sym_throw_statement] = STATE(1304),
    [sym_empty_statement] = STATE(1304),
    [sym_labeled_statement] = STATE(1304),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6906),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4917),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(6963),
    [sym_declaration] = STATE(6963),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(6963),
    [sym_expression_statement] = STATE(6963),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(6963),
    [sym_if_statement] = STATE(6963),
    [sym_switch_statement] = STATE(6963),
    [sym_for_statement] = STATE(6963),
    [sym_for_in_statement] = STATE(6963),
    [sym_while_statement] = STATE(6963),
    [sym_do_statement] = STATE(6963),
    [sym_try_statement] = STATE(6963),
    [sym_with_statement] = STATE(6963),
    [sym_break_statement] = STATE(6963),
    [sym_continue_statement] = STATE(6963),
    [sym_debugger_statement] = STATE(6963),
    [sym_return_statement] = STATE(6963),
    [sym_throw_statement] = STATE(6963),
    [sym_empty_statement] = STATE(6963),
    [sym_labeled_statement] = STATE(6963),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(1250),
    [sym_declaration] = STATE(1250),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1250),
    [sym_expression_statement] = STATE(1250),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_statement_block] = STATE(1250),
    [sym_if_statement] = STATE(1250),
    [sym_switch_statement] = STATE(1250),
    [sym_for_statement] = STATE(1250),
    [sym_for_in_statement] = STATE(1250),
    [sym_while_statement] = STATE(1250),
    [sym_do_statement] = STATE(1250),
    [sym_try_statement] = STATE(1250),
    [sym_with_statement] = STATE(1250),
    [sym_break_statement] = STATE(1250),
    [sym_continue_statement] = STATE(1250),
    [sym_debugger_statement] = STATE(1250),
    [sym_return_statement] = STATE(1250),
    [sym_throw_statement] = STATE(1250),
    [sym_empty_statement] = STATE(1250),
    [sym_labeled_statement] = STATE(1250),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6460),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4829),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(1242),
    [sym_declaration] = STATE(1242),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1242),
    [sym_expression_statement] = STATE(1242),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_statement_block] = STATE(1242),
    [sym_if_statement] = STATE(1242),
    [sym_switch_statement] = STATE(1242),
    [sym_for_statement] = STATE(1242),
    [sym_for_in_statement] = STATE(1242),
    [sym_while_statement] = STATE(1242),
    [sym_do_statement] = STATE(1242),
    [sym_try_statement] = STATE(1242),
    [sym_with_statement] = STATE(1242),
    [sym_break_statement] = STATE(1242),
    [sym_continue_statement] = STATE(1242),
    [sym_debugger_statement] = STATE(1242),
    [sym_return_statement] = STATE(1242),
    [sym_throw_statement] = STATE(1242),
    [sym_empty_statement] = STATE(1242),
    [sym_labeled_statement] = STATE(1242),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6460),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4829),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(7132),
    [sym_declaration] = STATE(7132),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(7132),
    [sym_expression_statement] = STATE(7132),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(7132),
    [sym_if_statement] = STATE(7132),
    [sym_switch_statement] = STATE(7132),
    [sym_for_statement] = STATE(7132),
    [sym_for_in_statement] = STATE(7132),
    [sym_while_statement] = STATE(7132),
    [sym_do_statement] = STATE(7132),
    [sym_try_statement] = STATE(7132),
    [sym_with_statement] = STATE(7132),
    [sym_break_statement] = STATE(7132),
    [sym_continue_statement] = STATE(7132),
    [sym_debugger_statement] = STATE(7132),
    [sym_return_statement] = STATE(7132),
    [sym_throw_statement] = STATE(7132),
    [sym_empty_statement] = STATE(7132),
    [sym_labeled_statement] = STATE(7132),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(1725),
    [sym_declaration] = STATE(1725),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1725),
    [sym_expression_statement] = STATE(1725),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_statement_block] = STATE(1725),
    [sym_if_statement] = STATE(1725),
    [sym_switch_statement] = STATE(1725),
    [sym_for_statement] = STATE(1725),
    [sym_for_in_statement] = STATE(1725),
    [sym_while_statement] = STATE(1725),
    [sym_do_statement] = STATE(1725),
    [sym_try_statement] = STATE(1725),
    [sym_with_statement] = STATE(1725),
    [sym_break_statement] = STATE(1725),
    [sym_continue_statement] = STATE(1725),
    [sym_debugger_statement] = STATE(1725),
    [sym_return_statement] = STATE(1725),
    [sym_throw_statement] = STATE(1725),
    [sym_empty_statement] = STATE(1725),
    [sym_labeled_statement] = STATE(1725),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6477),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4977),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(6743),
    [sym_declaration] = STATE(6743),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(6743),
    [sym_expression_statement] = STATE(6743),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(6743),
    [sym_if_statement] = STATE(6743),
    [sym_switch_statement] = STATE(6743),
    [sym_for_statement] = STATE(6743),
    [sym_for_in_statement] = STATE(6743),
    [sym_while_statement] = STATE(6743),
    [sym_do_statement] = STATE(6743),
    [sym_try_statement] = STATE(6743),
    [sym_with_statement] = STATE(6743),
    [sym_break_statement] = STATE(6743),
    [sym_continue_statement] = STATE(6743),
    [sym_debugger_statement] = STATE(6743),
    [sym_return_statement] = STATE(6743),
    [sym_throw_statement] = STATE(6743),
    [sym_empty_statement] = STATE(6743),
    [sym_labeled_statement] = STATE(6743),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(1485),
    [sym_declaration] = STATE(1485),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1485),
    [sym_expression_statement] = STATE(1485),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1485),
    [sym_if_statement] = STATE(1485),
    [sym_switch_statement] = STATE(1485),
    [sym_for_statement] = STATE(1485),
    [sym_for_in_statement] = STATE(1485),
    [sym_while_statement] = STATE(1485),
    [sym_do_statement] = STATE(1485),
    [sym_try_statement] = STATE(1485),
    [sym_with_statement] = STATE(1485),
    [sym_break_statement] = STATE(1485),
    [sym_continue_statement] = STATE(1485),
    [sym_debugger_statement] = STATE(1485),
    [sym_return_statement] = STATE(1485),
    [sym_throw_statement] = STATE(1485),
    [sym_empty_statement] = STATE(1485),
    [sym_labeled_statement] = STATE(1485),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(6969),
    [sym_declaration] = STATE(6971),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(6974),
    [sym_expression_statement] = STATE(6975),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_statement_block] = STATE(6977),
    [sym_if_statement] = STATE(6979),
    [sym_switch_statement] = STATE(6980),
    [sym_for_statement] = STATE(6983),
    [sym_for_in_statement] = STATE(6988),
    [sym_while_statement] = STATE(6991),
    [sym_do_statement] = STATE(6994),
    [sym_try_statement] = STATE(6995),
    [sym_with_statement] = STATE(6998),
    [sym_break_statement] = STATE(7000),
    [sym_continue_statement] = STATE(7007),
    [sym_debugger_statement] = STATE(7010),
    [sym_return_statement] = STATE(7015),
    [sym_throw_statement] = STATE(7021),
    [sym_empty_statement] = STATE(7022),
    [sym_labeled_statement] = STATE(7049),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6490),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(1287),
    [sym_declaration] = STATE(1287),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1287),
    [sym_expression_statement] = STATE(1287),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_statement_block] = STATE(1287),
    [sym_if_statement] = STATE(1287),
    [sym_switch_statement] = STATE(1287),
    [sym_for_statement] = STATE(1287),
    [sym_for_in_statement] = STATE(1287),
    [sym_while_statement] = STATE(1287),
    [sym_do_statement] = STATE(1287),
    [sym_try_statement] = STATE(1287),
    [sym_with_statement] = STATE(1287),
    [sym_break_statement] = STATE(1287),
    [sym_continue_statement] = STATE(1287),
    [sym_debugger_statement] = STATE(1287),
    [sym_return_statement] = STATE(1287),
    [sym_throw_statement] = STATE(1287),
    [sym_empty_statement] = STATE(1287),
    [sym_labeled_statement] = STATE(1287),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6906),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4917),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(1368),
    [sym_declaration] = STATE(1368),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1368),
    [sym_expression_statement] = STATE(1368),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_statement_block] = STATE(1368),
    [sym_if_statement] = STATE(1368),
    [sym_switch_statement] = STATE(1368),
    [sym_for_statement] = STATE(1368),
    [sym_for_in_statement] = STATE(1368),
    [sym_while_statement] = STATE(1368),
    [sym_do_statement] = STATE(1368),
    [sym_try_statement] = STATE(1368),
    [sym_with_statement] = STATE(1368),
    [sym_break_statement] = STATE(1368),
    [sym_continue_statement] = STATE(1368),
    [sym_debugger_statement] = STATE(1368),
    [sym_return_statement] = STATE(1368),
    [sym_throw_statement] = STATE(1368),
    [sym_empty_statement] = STATE(1368),
    [sym_labeled_statement] = STATE(1368),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6906),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4917),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_export_statement] = STATE(1053),
    [sym_declaration] = STATE(1020),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1055),
    [sym_expression_statement] = STATE(1056),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_statement_block] = STATE(1057),
    [sym_if_statement] = STATE(1059),
    [sym_switch_statement] = STATE(1065),
    [sym_for_statement] = STATE(1066),
    [sym_for_in_statement] = STATE(1067),
    [sym_while_statement] = STATE(1070),
    [sym_do_statement] = STATE(1071),
    [sym_try_statement] = STATE(1077),
    [sym_with_statement] = STATE(1078),
    [sym_break_statement] = STATE(1079),
    [sym_continue_statement] = STATE(1080),
    [sym_debugger_statement] = STATE(1085),
    [sym_return_statement] = STATE(1086),
    [sym_throw_statement] = STATE(1092),
    [sym_empty_statement] = STATE(1094),
    [sym_labeled_statement] = STATE(1095),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6460),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4829),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_export_statement] = STATE(1589),
    [sym_declaration] = STATE(1591),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1596),
    [sym_expression_statement] = STATE(1598),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_statement_block] = STATE(1603),
    [sym_if_statement] = STATE(1610),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1568),
    [sym_for_in_statement] = STATE(1567),
    [sym_while_statement] = STATE(1565),
    [sym_do_statement] = STATE(1556),
    [sym_try_statement] = STATE(1554),
    [sym_with_statement] = STATE(1542),
    [sym_break_statement] = STATE(1535),
    [sym_continue_statement] = STATE(1534),
    [sym_debugger_statement] = STATE(1526),
    [sym_return_statement] = STATE(1524),
    [sym_throw_statement] = STATE(1523),
    [sym_empty_statement] = STATE(1522),
    [sym_labeled_statement] = STATE(1521),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6589),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4875),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(341),
    [anon_sym_namespace] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_with] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_break] = ACTIONS(369),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_debugger] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_throw] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_get] = ACTIONS(389),
    [anon_sym_set] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(391),
    [anon_sym_public] = ACTIONS(389),
    [anon_sym_private] = ACTIONS(389),
    [anon_sym_protected] = ACTIONS(389),
    [anon_sym_override] = ACTIONS(389),
    [anon_sym_module] = ACTIONS(393),
    [anon_sym_any] = ACTIONS(389),
    [anon_sym_number] = ACTIONS(389),
    [anon_sym_boolean] = ACTIONS(389),
    [anon_sym_string] = ACTIONS(389),
    [anon_sym_symbol] = ACTIONS(389),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_export_statement] = STATE(1273),
    [sym_declaration] = STATE(1272),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1267),
    [sym_expression_statement] = STATE(1266),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_statement_block] = STATE(1265),
    [sym_if_statement] = STATE(1264),
    [sym_switch_statement] = STATE(1262),
    [sym_for_statement] = STATE(1260),
    [sym_for_in_statement] = STATE(1259),
    [sym_while_statement] = STATE(1258),
    [sym_do_statement] = STATE(1257),
    [sym_try_statement] = STATE(1578),
    [sym_with_statement] = STATE(1302),
    [sym_break_statement] = STATE(1308),
    [sym_continue_statement] = STATE(1330),
    [sym_debugger_statement] = STATE(1331),
    [sym_return_statement] = STATE(1335),
    [sym_throw_statement] = STATE(1336),
    [sym_empty_statement] = STATE(1354),
    [sym_labeled_statement] = STATE(1372),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6906),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4917),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_export_statement] = STATE(1431),
    [sym_declaration] = STATE(1431),
    [sym_import] = STATE(4341),
    [sym_import_statement] = STATE(1431),
    [sym_expression_statement] = STATE(1431),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_statement_block] = STATE(1431),
    [sym_if_statement] = STATE(1431),
    [sym_switch_statement] = STATE(1431),
    [sym_for_statement] = STATE(1431),
    [sym_for_in_statement] = STATE(1431),
    [sym_while_statement] = STATE(1431),
    [sym_do_statement] = STATE(1431),
    [sym_try_statement] = STATE(1431),
    [sym_with_statement] = STATE(1431),
    [sym_break_statement] = STATE(1431),
    [sym_continue_statement] = STATE(1431),
    [sym_debugger_statement] = STATE(1431),
    [sym_return_statement] = STATE(1431),
    [sym_throw_statement] = STATE(1431),
    [sym_empty_statement] = STATE(1431),
    [sym_labeled_statement] = STATE(1431),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6906),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(4917),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(5442),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6194),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(5442),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(5822),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(1002),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1004),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(5442),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6194),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1006),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(5442),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6194),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1008),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(5442),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6194),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1010),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(5442),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6194),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1045),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(5442),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6194),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1047),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2897),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6336),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(5442),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6194),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6335),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1049),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(5442),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6194),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1051),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2897),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6336),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(5442),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6194),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6335),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1053),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5190),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5406),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1081),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5292),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1083),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5434),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5509),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1087),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5511),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5401),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1091),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5292),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(170),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1083),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1117),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1117),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(1117),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(1117),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2494),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2254),
    [sym_subscript_expression] = STATE(2254),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5145),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7123),
    [sym_string] = STATE(3252),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2254),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym__type] = STATE(5693),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(735),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_object] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2494),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2254),
    [sym_subscript_expression] = STATE(2254),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5145),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7123),
    [sym_string] = STATE(3252),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2254),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym__type] = STATE(5620),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(735),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_object] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2560),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2254),
    [sym_subscript_expression] = STATE(2254),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5145),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7488),
    [sym_string] = STATE(3252),
    [sym_comment] = STATE(148),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2254),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym__type] = STATE(5620),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(735),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_object] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(149),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym__type] = STATE(5620),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(801),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(150),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1181),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(151),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(152),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym__type] = STATE(5638),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(801),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(153),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_export] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1189),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1187),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_readonly] = ACTIONS(1187),
    [anon_sym_get] = ACTIONS(1187),
    [anon_sym_set] = ACTIONS(1187),
    [anon_sym_declare] = ACTIONS(1187),
    [anon_sym_public] = ACTIONS(1187),
    [anon_sym_private] = ACTIONS(1187),
    [anon_sym_protected] = ACTIONS(1187),
    [anon_sym_override] = ACTIONS(1187),
    [anon_sym_module] = ACTIONS(1187),
    [anon_sym_any] = ACTIONS(1187),
    [anon_sym_number] = ACTIONS(1187),
    [anon_sym_boolean] = ACTIONS(1187),
    [anon_sym_string] = ACTIONS(1187),
    [anon_sym_symbol] = ACTIONS(1187),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(154),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym__type] = STATE(5545),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(801),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(156),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1213),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(157),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(158),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1219),
    [anon_sym_export] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1225),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1227),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1221),
    [anon_sym_readonly] = ACTIONS(1221),
    [anon_sym_get] = ACTIONS(1221),
    [anon_sym_set] = ACTIONS(1221),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(1221),
    [anon_sym_public] = ACTIONS(1221),
    [anon_sym_private] = ACTIONS(1221),
    [anon_sym_protected] = ACTIONS(1221),
    [anon_sym_override] = ACTIONS(1221),
    [anon_sym_module] = ACTIONS(1221),
    [anon_sym_any] = ACTIONS(1221),
    [anon_sym_number] = ACTIONS(1221),
    [anon_sym_boolean] = ACTIONS(1221),
    [anon_sym_string] = ACTIONS(1221),
    [anon_sym_symbol] = ACTIONS(1221),
    [anon_sym_object] = ACTIONS(1221),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(159),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1213),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(160),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_export] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1189),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1187),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_readonly] = ACTIONS(1187),
    [anon_sym_get] = ACTIONS(1187),
    [anon_sym_set] = ACTIONS(1187),
    [anon_sym_declare] = ACTIONS(1187),
    [anon_sym_public] = ACTIONS(1187),
    [anon_sym_private] = ACTIONS(1187),
    [anon_sym_protected] = ACTIONS(1187),
    [anon_sym_override] = ACTIONS(1187),
    [anon_sym_module] = ACTIONS(1187),
    [anon_sym_any] = ACTIONS(1187),
    [anon_sym_number] = ACTIONS(1187),
    [anon_sym_boolean] = ACTIONS(1187),
    [anon_sym_string] = ACTIONS(1187),
    [anon_sym_symbol] = ACTIONS(1187),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(161),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(162),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(163),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(164),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1219),
    [anon_sym_export] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1225),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1227),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1221),
    [anon_sym_readonly] = ACTIONS(1221),
    [anon_sym_get] = ACTIONS(1221),
    [anon_sym_set] = ACTIONS(1221),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(1221),
    [anon_sym_public] = ACTIONS(1221),
    [anon_sym_private] = ACTIONS(1221),
    [anon_sym_protected] = ACTIONS(1221),
    [anon_sym_override] = ACTIONS(1221),
    [anon_sym_module] = ACTIONS(1221),
    [anon_sym_any] = ACTIONS(1221),
    [anon_sym_number] = ACTIONS(1221),
    [anon_sym_boolean] = ACTIONS(1221),
    [anon_sym_string] = ACTIONS(1221),
    [anon_sym_symbol] = ACTIONS(1221),
    [anon_sym_object] = ACTIONS(1221),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(165),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(166),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym__type] = STATE(5659),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(801),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(167),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(168),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(169),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5296),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym__type] = STATE(5693),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(801),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(156),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(168),
    [anon_sym_DASH] = ACTIONS(168),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(170),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1236),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(171),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(172),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1219),
    [anon_sym_export] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1225),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1227),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1221),
    [anon_sym_readonly] = ACTIONS(1221),
    [anon_sym_get] = ACTIONS(1221),
    [anon_sym_set] = ACTIONS(1221),
    [anon_sym_declare] = ACTIONS(1221),
    [anon_sym_public] = ACTIONS(1221),
    [anon_sym_private] = ACTIONS(1221),
    [anon_sym_protected] = ACTIONS(1221),
    [anon_sym_override] = ACTIONS(1221),
    [anon_sym_module] = ACTIONS(1221),
    [anon_sym_any] = ACTIONS(1221),
    [anon_sym_number] = ACTIONS(1221),
    [anon_sym_boolean] = ACTIONS(1221),
    [anon_sym_string] = ACTIONS(1221),
    [anon_sym_symbol] = ACTIONS(1221),
    [anon_sym_object] = ACTIONS(1221),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(173),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(174),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(1242),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1213),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(175),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1249),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1254),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(176),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1213),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(177),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1242),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(1242),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1213),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(178),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1219),
    [anon_sym_export] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1225),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1227),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1221),
    [anon_sym_readonly] = ACTIONS(1221),
    [anon_sym_get] = ACTIONS(1221),
    [anon_sym_set] = ACTIONS(1221),
    [anon_sym_declare] = ACTIONS(1221),
    [anon_sym_public] = ACTIONS(1221),
    [anon_sym_private] = ACTIONS(1221),
    [anon_sym_protected] = ACTIONS(1221),
    [anon_sym_override] = ACTIONS(1221),
    [anon_sym_module] = ACTIONS(1221),
    [anon_sym_any] = ACTIONS(1221),
    [anon_sym_number] = ACTIONS(1221),
    [anon_sym_boolean] = ACTIONS(1221),
    [anon_sym_string] = ACTIONS(1221),
    [anon_sym_symbol] = ACTIONS(1221),
    [anon_sym_object] = ACTIONS(1221),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(179),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(180),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5366),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6791),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1213),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(181),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1267),
    [anon_sym_export] = ACTIONS(1269),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1275),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1279),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1269),
    [anon_sym_readonly] = ACTIONS(1269),
    [anon_sym_get] = ACTIONS(1269),
    [anon_sym_set] = ACTIONS(1269),
    [anon_sym_declare] = ACTIONS(1269),
    [anon_sym_public] = ACTIONS(1269),
    [anon_sym_private] = ACTIONS(1269),
    [anon_sym_protected] = ACTIONS(1269),
    [anon_sym_override] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_any] = ACTIONS(1269),
    [anon_sym_number] = ACTIONS(1269),
    [anon_sym_boolean] = ACTIONS(1269),
    [anon_sym_string] = ACTIONS(1269),
    [anon_sym_symbol] = ACTIONS(1269),
    [anon_sym_object] = ACTIONS(1269),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(182),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1283),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(183),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1249),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(184),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(185),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1213),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(186),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1254),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(187),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1285),
    [anon_sym_export] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1287),
    [anon_sym_EQ] = ACTIONS(1289),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1293),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1295),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_readonly] = ACTIONS(1287),
    [anon_sym_get] = ACTIONS(1287),
    [anon_sym_set] = ACTIONS(1287),
    [anon_sym_declare] = ACTIONS(1287),
    [anon_sym_public] = ACTIONS(1287),
    [anon_sym_private] = ACTIONS(1287),
    [anon_sym_protected] = ACTIONS(1287),
    [anon_sym_override] = ACTIONS(1287),
    [anon_sym_module] = ACTIONS(1287),
    [anon_sym_any] = ACTIONS(1287),
    [anon_sym_number] = ACTIONS(1287),
    [anon_sym_boolean] = ACTIONS(1287),
    [anon_sym_string] = ACTIONS(1287),
    [anon_sym_symbol] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2222),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2747),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2222),
    [sym_subscript_expression] = STATE(2222),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(188),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2222),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1267),
    [anon_sym_export] = ACTIONS(1269),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1269),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1275),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1279),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1269),
    [anon_sym_readonly] = ACTIONS(1269),
    [anon_sym_get] = ACTIONS(1269),
    [anon_sym_set] = ACTIONS(1269),
    [anon_sym_declare] = ACTIONS(1269),
    [anon_sym_public] = ACTIONS(1269),
    [anon_sym_private] = ACTIONS(1269),
    [anon_sym_protected] = ACTIONS(1269),
    [anon_sym_override] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_any] = ACTIONS(1269),
    [anon_sym_number] = ACTIONS(1269),
    [anon_sym_boolean] = ACTIONS(1269),
    [anon_sym_string] = ACTIONS(1269),
    [anon_sym_symbol] = ACTIONS(1269),
    [anon_sym_object] = ACTIONS(1269),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(189),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1285),
    [anon_sym_export] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1287),
    [anon_sym_EQ] = ACTIONS(1289),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1293),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1295),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_readonly] = ACTIONS(1287),
    [anon_sym_get] = ACTIONS(1287),
    [anon_sym_set] = ACTIONS(1287),
    [anon_sym_declare] = ACTIONS(1287),
    [anon_sym_public] = ACTIONS(1287),
    [anon_sym_private] = ACTIONS(1287),
    [anon_sym_protected] = ACTIONS(1287),
    [anon_sym_override] = ACTIONS(1287),
    [anon_sym_module] = ACTIONS(1287),
    [anon_sym_any] = ACTIONS(1287),
    [anon_sym_number] = ACTIONS(1287),
    [anon_sym_boolean] = ACTIONS(1287),
    [anon_sym_string] = ACTIONS(1287),
    [anon_sym_symbol] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(190),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(191),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(192),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(193),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1315),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1319),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1325),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(194),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(195),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(196),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1315),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1319),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1325),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(197),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(198),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1260),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_object] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(199),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(1325),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(201),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5444),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(7046),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(4355),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2974),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6947),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7209),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5262),
    [sym_pattern] = STATE(6167),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4265),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4497),
    [sym__type] = STATE(4275),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6771),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1329),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_typeof] = ACTIONS(1335),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1339),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1341),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1343),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1349),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(1351),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1353),
    [sym_number] = ACTIONS(1355),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(1357),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1355),
    [sym_false] = ACTIONS(1355),
    [sym_null] = ACTIONS(1355),
    [sym_undefined] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1365),
    [anon_sym_number] = ACTIONS(1365),
    [anon_sym_boolean] = ACTIONS(1365),
    [anon_sym_string] = ACTIONS(1365),
    [anon_sym_symbol] = ACTIONS(1365),
    [anon_sym_object] = ACTIONS(1365),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(203),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1381),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(205),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(206),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1385),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(207),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(208),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1389),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(210),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1393),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(212),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1395),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2440),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(213),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1397),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(4441),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3378),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3332),
    [sym_comment] = STATE(214),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4862),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4859),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(738),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1399),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_typeof] = ACTIONS(1407),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1415),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1419),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1425),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1429),
    [sym_number] = ACTIONS(1431),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(1435),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1431),
    [sym_false] = ACTIONS(1431),
    [sym_null] = ACTIONS(1431),
    [sym_undefined] = ACTIONS(1437),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1439),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1441),
    [anon_sym_number] = ACTIONS(1441),
    [anon_sym_boolean] = ACTIONS(1441),
    [anon_sym_string] = ACTIONS(1441),
    [anon_sym_symbol] = ACTIONS(1441),
    [anon_sym_object] = ACTIONS(1441),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(4320),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3124),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3485),
    [sym_comment] = STATE(215),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4956),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5644),
    [sym__type] = STATE(4954),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(721),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1443),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1455),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1465),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1471),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1475),
    [sym_number] = ACTIONS(1477),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(1481),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [sym_null] = ACTIONS(1477),
    [sym_undefined] = ACTIONS(1483),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1485),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1487),
    [anon_sym_number] = ACTIONS(1487),
    [anon_sym_boolean] = ACTIONS(1487),
    [anon_sym_string] = ACTIONS(1487),
    [anon_sym_symbol] = ACTIONS(1487),
    [anon_sym_object] = ACTIONS(1487),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(4476),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2614),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(2935),
    [sym_comment] = STATE(216),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4956),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5644),
    [sym__type] = STATE(4954),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(795),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_typeof] = ACTIONS(1497),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1455),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1515),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1519),
    [sym_number] = ACTIONS(1521),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(1525),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1521),
    [sym_false] = ACTIONS(1521),
    [sym_null] = ACTIONS(1521),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1529),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1531),
    [anon_sym_number] = ACTIONS(1531),
    [anon_sym_boolean] = ACTIONS(1531),
    [anon_sym_string] = ACTIONS(1531),
    [anon_sym_symbol] = ACTIONS(1531),
    [anon_sym_object] = ACTIONS(1531),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(4441),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3420),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3332),
    [sym_comment] = STATE(217),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4862),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4859),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(790),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1533),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_typeof] = ACTIONS(1539),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1415),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1549),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1555),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1429),
    [sym_number] = ACTIONS(1431),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(1435),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1431),
    [sym_false] = ACTIONS(1431),
    [sym_null] = ACTIONS(1431),
    [sym_undefined] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1563),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1565),
    [anon_sym_number] = ACTIONS(1565),
    [anon_sym_boolean] = ACTIONS(1565),
    [anon_sym_string] = ACTIONS(1565),
    [anon_sym_symbol] = ACTIONS(1565),
    [anon_sym_object] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(4334),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2904),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2738),
    [sym_comment] = STATE(218),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4862),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4859),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(735),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1567),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1573),
    [anon_sym_typeof] = ACTIONS(1575),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1577),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1581),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1583),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1585),
    [sym_number] = ACTIONS(1587),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1589),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1587),
    [sym_false] = ACTIONS(1587),
    [sym_null] = ACTIONS(1587),
    [sym_undefined] = ACTIONS(1591),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1593),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(4441),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3478),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3332),
    [sym_comment] = STATE(219),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4862),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4859),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(801),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1597),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1599),
    [anon_sym_typeof] = ACTIONS(1601),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1415),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1603),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1429),
    [sym_number] = ACTIONS(1431),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1435),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1431),
    [sym_false] = ACTIONS(1431),
    [sym_null] = ACTIONS(1431),
    [sym_undefined] = ACTIONS(1607),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1609),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1611),
    [anon_sym_number] = ACTIONS(1611),
    [anon_sym_boolean] = ACTIONS(1611),
    [anon_sym_string] = ACTIONS(1611),
    [anon_sym_symbol] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(4476),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2735),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(2935),
    [sym_comment] = STATE(220),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4956),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5644),
    [sym__type] = STATE(4954),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(695),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1613),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(1455),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1623),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1519),
    [sym_number] = ACTIONS(1521),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(1525),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1521),
    [sym_false] = ACTIONS(1521),
    [sym_null] = ACTIONS(1521),
    [sym_undefined] = ACTIONS(1629),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1631),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1633),
    [anon_sym_number] = ACTIONS(1633),
    [anon_sym_boolean] = ACTIONS(1633),
    [anon_sym_string] = ACTIONS(1633),
    [anon_sym_symbol] = ACTIONS(1633),
    [anon_sym_object] = ACTIONS(1633),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(4334),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2705),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2738),
    [sym_comment] = STATE(221),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4862),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4859),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1573),
    [anon_sym_typeof] = ACTIONS(1641),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1577),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1585),
    [sym_number] = ACTIONS(1587),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(1589),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1587),
    [sym_false] = ACTIONS(1587),
    [sym_null] = ACTIONS(1587),
    [sym_undefined] = ACTIONS(1649),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1653),
    [anon_sym_number] = ACTIONS(1653),
    [anon_sym_boolean] = ACTIONS(1653),
    [anon_sym_string] = ACTIONS(1653),
    [anon_sym_symbol] = ACTIONS(1653),
    [anon_sym_object] = ACTIONS(1653),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(4441),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3265),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3332),
    [sym_comment] = STATE(222),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4862),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4859),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(626),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1655),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1599),
    [anon_sym_typeof] = ACTIONS(1661),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1415),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1671),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1675),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1677),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1429),
    [sym_number] = ACTIONS(1431),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(1435),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1431),
    [sym_false] = ACTIONS(1431),
    [sym_null] = ACTIONS(1431),
    [sym_undefined] = ACTIONS(1683),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1685),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1687),
    [anon_sym_number] = ACTIONS(1687),
    [anon_sym_boolean] = ACTIONS(1687),
    [anon_sym_string] = ACTIONS(1687),
    [anon_sym_symbol] = ACTIONS(1687),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(4334),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2820),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2738),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4862),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4859),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(803),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1573),
    [anon_sym_typeof] = ACTIONS(1695),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1577),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1711),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1585),
    [sym_number] = ACTIONS(1587),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(1589),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1587),
    [sym_false] = ACTIONS(1587),
    [sym_null] = ACTIONS(1587),
    [sym_undefined] = ACTIONS(1717),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1721),
    [anon_sym_number] = ACTIONS(1721),
    [anon_sym_boolean] = ACTIONS(1721),
    [anon_sym_string] = ACTIONS(1721),
    [anon_sym_symbol] = ACTIONS(1721),
    [anon_sym_object] = ACTIONS(1721),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7266),
    [sym_string] = STATE(3252),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(6192),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(5449),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(5539),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1723),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1731),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(1733),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1735),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1737),
    [anon_sym_number] = ACTIONS(1737),
    [anon_sym_boolean] = ACTIONS(1737),
    [anon_sym_string] = ACTIONS(1737),
    [anon_sym_symbol] = ACTIONS(1737),
    [anon_sym_object] = ACTIONS(1737),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2331),
    [sym_subscript_expression] = STATE(2331),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4780),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2331),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5447),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(801),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_export] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_namespace] = ACTIONS(1743),
    [anon_sym_LBRACE] = ACTIONS(1745),
    [anon_sym_typeof] = ACTIONS(1747),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1741),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1749),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1751),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1757),
    [sym_number] = ACTIONS(1759),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1761),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1759),
    [sym_false] = ACTIONS(1759),
    [sym_null] = ACTIONS(1759),
    [sym_undefined] = ACTIONS(1763),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1741),
    [anon_sym_public] = ACTIONS(1741),
    [anon_sym_private] = ACTIONS(1741),
    [anon_sym_protected] = ACTIONS(1741),
    [anon_sym_override] = ACTIONS(1741),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_any] = ACTIONS(1767),
    [anon_sym_number] = ACTIONS(1767),
    [anon_sym_boolean] = ACTIONS(1767),
    [anon_sym_string] = ACTIONS(1767),
    [anon_sym_symbol] = ACTIONS(1767),
    [anon_sym_object] = ACTIONS(1767),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2900),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_nested_identifier] = STATE(7429),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2249),
    [sym_subscript_expression] = STATE(2249),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5214),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(3147),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(5296),
    [sym_non_null_expression] = STATE(2249),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5447),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(669),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1771),
    [anon_sym_namespace] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1775),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1771),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1779),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1771),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_get] = ACTIONS(1771),
    [anon_sym_set] = ACTIONS(1771),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1771),
    [anon_sym_public] = ACTIONS(1771),
    [anon_sym_private] = ACTIONS(1771),
    [anon_sym_protected] = ACTIONS(1771),
    [anon_sym_override] = ACTIONS(1771),
    [anon_sym_module] = ACTIONS(1771),
    [anon_sym_any] = ACTIONS(1785),
    [anon_sym_number] = ACTIONS(1785),
    [anon_sym_boolean] = ACTIONS(1785),
    [anon_sym_string] = ACTIONS(1785),
    [anon_sym_symbol] = ACTIONS(1785),
    [anon_sym_object] = ACTIONS(1785),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2678),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(1791),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2659),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1801),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_of] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__automatic_semicolon] = ACTIONS(1797),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2618),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__automatic_semicolon] = ACTIONS(1797),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2844),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1791),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2929),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_STAR] = ACTIONS(1823),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__automatic_semicolon] = ACTIONS(1797),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2850),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [anon_sym_satisfies] = ACTIONS(1791),
    [anon_sym_implements] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3259),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_STAR] = ACTIONS(1839),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(1791),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3363),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_of] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3369),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3475),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_declaration] = STATE(1307),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2978),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5499),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1863),
    [anon_sym_namespace] = ACTIONS(1865),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1867),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(1871),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1873),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1875),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_declaration] = STATE(1183),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2933),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5351),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1877),
    [anon_sym_namespace] = ACTIONS(1879),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1881),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(1883),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(1885),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1887),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1889),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_declaration] = STATE(1461),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2995),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5387),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1891),
    [anon_sym_namespace] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1895),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(1899),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1901),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1903),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_declaration] = STATE(1762),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3060),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5194),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_namespace] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1909),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1911),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1913),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1915),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1917),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_declaration] = STATE(5073),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(5108),
    [sym_lexical_declaration] = STATE(5108),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3051),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(5108),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(5108),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(5108),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(241),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(5108),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(5108),
    [sym_abstract_class_declaration] = STATE(5108),
    [sym_module] = STATE(5108),
    [sym_internal_module] = STATE(3326),
    [sym_import_alias] = STATE(5108),
    [sym_interface_declaration] = STATE(5108),
    [sym_enum_declaration] = STATE(5108),
    [sym_type_alias_declaration] = STATE(5108),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5430),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1919),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1921),
    [anon_sym_var] = ACTIONS(1923),
    [anon_sym_let] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1929),
    [anon_sym_async] = ACTIONS(1931),
    [anon_sym_function] = ACTIONS(1933),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1935),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1937),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(1939),
    [anon_sym_interface] = ACTIONS(1941),
    [anon_sym_enum] = ACTIONS(1943),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_declaration] = STATE(6949),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3004),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(242),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5226),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1945),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1947),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(1951),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1953),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1955),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_declaration] = STATE(1289),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3136),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1364),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(243),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(1364),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(367),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5499),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1863),
    [anon_sym_namespace] = ACTIONS(1865),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1867),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(1871),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1873),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1875),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_declaration] = STATE(5106),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(5108),
    [sym_lexical_declaration] = STATE(5108),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3066),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(5108),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(5108),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(5108),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(244),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(5108),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(5108),
    [sym_abstract_class_declaration] = STATE(5108),
    [sym_module] = STATE(5108),
    [sym_internal_module] = STATE(3326),
    [sym_import_alias] = STATE(5108),
    [sym_interface_declaration] = STATE(5108),
    [sym_enum_declaration] = STATE(5108),
    [sym_type_alias_declaration] = STATE(5108),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5430),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1919),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1921),
    [anon_sym_var] = ACTIONS(1923),
    [anon_sym_let] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1929),
    [anon_sym_async] = ACTIONS(1931),
    [anon_sym_function] = ACTIONS(1933),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1935),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1937),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(1939),
    [anon_sym_interface] = ACTIONS(1941),
    [anon_sym_enum] = ACTIONS(1943),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_declaration] = STATE(1687),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3052),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1772),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(245),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(1772),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(433),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5194),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_namespace] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1909),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1911),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1913),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1915),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1917),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_declaration] = STATE(6787),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2981),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(6924),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(246),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(6924),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(3268),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5226),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1945),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1947),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(1951),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1953),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1955),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_declaration] = STATE(1143),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3024),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1205),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(1205),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(307),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5351),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1877),
    [anon_sym_namespace] = ACTIONS(1879),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1881),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(1883),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(1885),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1887),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1889),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_declaration] = STATE(1276),
    [sym_import] = STATE(4341),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3013),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_class_declaration] = STATE(1318),
    [sym_function_expression] = STATE(3425),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function] = STATE(3425),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_function_signature] = STATE(1318),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(339),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5387),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1891),
    [anon_sym_namespace] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1895),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(381),
    [anon_sym_async] = ACTIONS(1899),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1901),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1903),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(395),
    [anon_sym_interface] = ACTIONS(397),
    [anon_sym_enum] = ACTIONS(399),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(249),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1189),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(250),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(251),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(252),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(253),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(1242),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(1242),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(254),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(255),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(256),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(257),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4208),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(258),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1289),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(259),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2560),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2254),
    [sym_subscript_expression] = STATE(2254),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5145),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7488),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2254),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(2011),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2015),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1121),
    [anon_sym_number] = ACTIONS(1121),
    [anon_sym_boolean] = ACTIONS(1121),
    [anon_sym_string] = ACTIONS(1121),
    [anon_sym_symbol] = ACTIONS(1121),
    [anon_sym_object] = ACTIONS(1121),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(261),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(262),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1319),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1325),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(263),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2494),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2254),
    [sym_subscript_expression] = STATE(2254),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5145),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7123),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(264),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2254),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(2011),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2015),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1121),
    [anon_sym_number] = ACTIONS(1121),
    [anon_sym_boolean] = ACTIONS(1121),
    [anon_sym_string] = ACTIONS(1121),
    [anon_sym_symbol] = ACTIONS(1121),
    [anon_sym_object] = ACTIONS(1121),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(265),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(6363),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2019),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(7113),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2023),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2019),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(5904),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2025),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2019),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(7113),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2027),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2019),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(7113),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2019),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(7113),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2031),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2019),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(7113),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2019),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(7113),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2035),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2019),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(6371),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2019),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2043),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2897),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6336),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6335),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2049),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym__formal_parameter] = STATE(7113),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5146),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(431),
    [sym_override_modifier] = STATE(468),
    [sym_required_parameter] = STATE(6578),
    [sym_optional_parameter] = STATE(6578),
    [sym__parameter_name] = STATE(4589),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2019),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2897),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6336),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6335),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2053),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2890),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6336),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6335),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2049),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2057),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6354),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2059),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_RBRACE] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_SEMI] = ACTIONS(2061),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [anon_sym_extends] = ACTIONS(2061),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2061),
    [sym__automatic_semicolon] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(4341),
    [sym_expression_statement] = STATE(416),
    [sym_variable_declaration] = STATE(416),
    [sym_lexical_declaration] = STATE(416),
    [sym_empty_statement] = STATE(416),
    [sym_parenthesized_expression] = STATE(2258),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2258),
    [sym_subscript_expression] = STATE(2258),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(6225),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6726),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2258),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(4341),
    [sym_expression_statement] = STATE(447),
    [sym_variable_declaration] = STATE(447),
    [sym_lexical_declaration] = STATE(447),
    [sym_empty_statement] = STATE(447),
    [sym_parenthesized_expression] = STATE(2258),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2258),
    [sym_subscript_expression] = STATE(2258),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(6225),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6726),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2258),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(4341),
    [sym_expression_statement] = STATE(407),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_empty_statement] = STATE(407),
    [sym_parenthesized_expression] = STATE(2258),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2258),
    [sym_subscript_expression] = STATE(2258),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(6225),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6726),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2258),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_RBRACE] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_RBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_QMARK] = ACTIONS(2061),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3162),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2303),
    [sym_subscript_expression] = STATE(2303),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(6333),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2303),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_mapped_type_clause] = STATE(7141),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2103),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(4341),
    [sym_expression_statement] = STATE(438),
    [sym_variable_declaration] = STATE(438),
    [sym_lexical_declaration] = STATE(438),
    [sym_empty_statement] = STATE(438),
    [sym_parenthesized_expression] = STATE(2258),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2258),
    [sym_subscript_expression] = STATE(2258),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(6225),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6726),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(290),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2258),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(4341),
    [sym_expression_statement] = STATE(459),
    [sym_variable_declaration] = STATE(459),
    [sym_lexical_declaration] = STATE(459),
    [sym_empty_statement] = STATE(459),
    [sym_parenthesized_expression] = STATE(2258),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2258),
    [sym_subscript_expression] = STATE(2258),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(6225),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6726),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(291),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2258),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3455),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(292),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2061),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_RBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_statement_block] = STATE(326),
    [sym_comment] = STATE(293),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2111),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_statement_block] = STATE(326),
    [sym_comment] = STATE(294),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2111),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2115),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_statement_block] = STATE(326),
    [sym_comment] = STATE(295),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2111),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2940),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6765),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6219),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(296),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(6218),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2122),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2940),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6765),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6219),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(297),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(6218),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2126),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(298),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2940),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6765),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_spread_element] = STATE(6219),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(299),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(6218),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3311),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6339),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2303),
    [sym_subscript_expression] = STATE(2303),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(6333),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(300),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5703),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2303),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_pattern_repeat1] = STATE(6332),
    [sym_identifier] = ACTIONS(2130),
    [anon_sym_export] = ACTIONS(2132),
    [anon_sym_type] = ACTIONS(2132),
    [anon_sym_namespace] = ACTIONS(2134),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2136),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2138),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2132),
    [anon_sym_readonly] = ACTIONS(2132),
    [anon_sym_get] = ACTIONS(2132),
    [anon_sym_set] = ACTIONS(2132),
    [anon_sym_declare] = ACTIONS(2132),
    [anon_sym_public] = ACTIONS(2132),
    [anon_sym_private] = ACTIONS(2132),
    [anon_sym_protected] = ACTIONS(2132),
    [anon_sym_override] = ACTIONS(2132),
    [anon_sym_module] = ACTIONS(2132),
    [anon_sym_any] = ACTIONS(2132),
    [anon_sym_number] = ACTIONS(2132),
    [anon_sym_boolean] = ACTIONS(2132),
    [anon_sym_string] = ACTIONS(2132),
    [anon_sym_symbol] = ACTIONS(2132),
    [anon_sym_object] = ACTIONS(2132),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_comment] = STATE(301),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2142),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2144),
    [anon_sym_as] = ACTIONS(2142),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2142),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_in] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_DOT] = ACTIONS(2142),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_QMARK_DOT] = ACTIONS(2142),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2142),
    [anon_sym_PIPE_PIPE] = ACTIONS(2142),
    [anon_sym_GT_GT] = ACTIONS(2142),
    [anon_sym_GT_GT_GT] = ACTIONS(2142),
    [anon_sym_LT_LT] = ACTIONS(2142),
    [anon_sym_AMP] = ACTIONS(2142),
    [anon_sym_CARET] = ACTIONS(2142),
    [anon_sym_PIPE] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2142),
    [anon_sym_STAR_STAR] = ACTIONS(2142),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2142),
    [anon_sym_EQ_EQ] = ACTIONS(2142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2142),
    [anon_sym_BANG_EQ] = ACTIONS(2142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2142),
    [anon_sym_GT_EQ] = ACTIONS(2142),
    [anon_sym_QMARK_QMARK] = ACTIONS(2142),
    [anon_sym_instanceof] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_satisfies] = ACTIONS(2142),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2146),
    [sym__ternary_qmark] = ACTIONS(2148),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6356),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(302),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5707),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_pattern_repeat1] = STATE(6353),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_RBRACK] = ACTIONS(2150),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_comment] = STATE(303),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2154),
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2154),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_QMARK_QMARK] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2154),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2154),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2156),
    [sym__ternary_qmark] = ACTIONS(2158),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_comment] = STATE(304),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_PIPE_PIPE] = ACTIONS(2160),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2160),
    [anon_sym_LT_LT] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2160),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2160),
    [anon_sym_STAR_STAR] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2160),
    [anon_sym_GT_EQ] = ACTIONS(2160),
    [anon_sym_QMARK_QMARK] = ACTIONS(2160),
    [anon_sym_instanceof] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2162),
    [sym__ternary_qmark] = ACTIONS(2162),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_comment] = STATE(305),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_as] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_in] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2140),
    [anon_sym_DOT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_QMARK_DOT] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2140),
    [anon_sym_GT_GT_GT] = ACTIONS(2140),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2140),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_STAR_STAR] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2140),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2140),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_QMARK_QMARK] = ACTIONS(2140),
    [anon_sym_instanceof] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_satisfies] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2164),
    [sym__ternary_qmark] = ACTIONS(2166),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_comment] = STATE(306),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_as] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_QMARK_DOT] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2170),
    [anon_sym_PIPE_PIPE] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_GT_GT_GT] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_STAR_STAR] = ACTIONS(2170),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2170),
    [anon_sym_GT_EQ] = ACTIONS(2170),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_instanceof] = ACTIONS(2170),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_satisfies] = ACTIONS(2170),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2172),
    [sym__ternary_qmark] = ACTIONS(2174),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_comment] = STATE(307),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_as] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_else] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_case] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_QMARK_DOT] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_STAR_STAR] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_QMARK_QMARK] = ACTIONS(2178),
    [anon_sym_instanceof] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_satisfies] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym__ternary_qmark] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_comment] = STATE(308),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_as] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_QMARK_DOT] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_GT_GT] = ACTIONS(2184),
    [anon_sym_GT_GT_GT] = ACTIONS(2184),
    [anon_sym_LT_LT] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_CARET] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2184),
    [anon_sym_STAR_STAR] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2184),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_QMARK_QMARK] = ACTIONS(2184),
    [anon_sym_instanceof] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_satisfies] = ACTIONS(2184),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2186),
    [sym__ternary_qmark] = ACTIONS(2188),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_comment] = STATE(309),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_comment] = STATE(310),
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_export] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_default] = ACTIONS(2194),
    [anon_sym_type] = ACTIONS(2194),
    [anon_sym_as] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_typeof] = ACTIONS(2194),
    [anon_sym_import] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2194),
    [anon_sym_var] = ACTIONS(2194),
    [anon_sym_let] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_BANG] = ACTIONS(2194),
    [anon_sym_else] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(2194),
    [anon_sym_await] = ACTIONS(2194),
    [anon_sym_in] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_debugger] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2194),
    [anon_sym_case] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_LTtemplate_GT] = ACTIONS(2194),
    [anon_sym_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_async] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_QMARK_DOT] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2196),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_QMARK_QMARK] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2194),
    [anon_sym_void] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_PLUS_PLUS] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2194),
    [sym_number] = ACTIONS(2194),
    [sym_private_property_identifier] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [sym_super] = ACTIONS(2194),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [sym_null] = ACTIONS(2194),
    [sym_undefined] = ACTIONS(2194),
    [anon_sym_AT] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_readonly] = ACTIONS(2194),
    [anon_sym_get] = ACTIONS(2194),
    [anon_sym_set] = ACTIONS(2194),
    [anon_sym_declare] = ACTIONS(2194),
    [anon_sym_public] = ACTIONS(2194),
    [anon_sym_private] = ACTIONS(2194),
    [anon_sym_protected] = ACTIONS(2194),
    [anon_sym_override] = ACTIONS(2194),
    [anon_sym_module] = ACTIONS(2194),
    [anon_sym_any] = ACTIONS(2194),
    [anon_sym_number] = ACTIONS(2194),
    [anon_sym_boolean] = ACTIONS(2194),
    [anon_sym_string] = ACTIONS(2194),
    [anon_sym_symbol] = ACTIONS(2194),
    [anon_sym_object] = ACTIONS(2194),
    [anon_sym_abstract] = ACTIONS(2194),
    [anon_sym_satisfies] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [sym__automatic_semicolon] = ACTIONS(2198),
    [sym__ternary_qmark] = ACTIONS(2200),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_comment] = STATE(311),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2202),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_comment] = STATE(312),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_default] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_as] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_else] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_case] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2204),
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_QMARK_DOT] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_PIPE_PIPE] = ACTIONS(2204),
    [anon_sym_GT_GT] = ACTIONS(2204),
    [anon_sym_GT_GT_GT] = ACTIONS(2204),
    [anon_sym_LT_LT] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2204),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_PIPE] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2204),
    [anon_sym_STAR_STAR] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2204),
    [anon_sym_GT_EQ] = ACTIONS(2204),
    [anon_sym_QMARK_QMARK] = ACTIONS(2204),
    [anon_sym_instanceof] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_satisfies] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2206),
    [sym__ternary_qmark] = ACTIONS(2206),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_comment] = STATE(313),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_as] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_GT] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_QMARK_DOT] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_GT_GT] = ACTIONS(2210),
    [anon_sym_GT_GT_GT] = ACTIONS(2210),
    [anon_sym_LT_LT] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_CARET] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2210),
    [anon_sym_STAR_STAR] = ACTIONS(2210),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2210),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_QMARK_QMARK] = ACTIONS(2210),
    [anon_sym_instanceof] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_satisfies] = ACTIONS(2210),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2212),
    [sym__ternary_qmark] = ACTIONS(2214),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_comment] = STATE(314),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_as] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_QMARK_DOT] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2216),
    [anon_sym_GT_GT_GT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_STAR_STAR] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2216),
    [anon_sym_QMARK_QMARK] = ACTIONS(2216),
    [anon_sym_instanceof] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_satisfies] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2218),
    [sym__ternary_qmark] = ACTIONS(2218),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_statement_block] = STATE(351),
    [sym_comment] = STATE(315),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2222),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_statement_block] = STATE(393),
    [sym_comment] = STATE(316),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_statement_block] = STATE(393),
    [sym_comment] = STATE(317),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_comment] = STATE(318),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_else] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_case] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_QMARK_DOT] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2230),
    [anon_sym_LT_LT] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2230),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_STAR_STAR] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2230),
    [anon_sym_GT_EQ] = ACTIONS(2230),
    [anon_sym_QMARK_QMARK] = ACTIONS(2230),
    [anon_sym_instanceof] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_satisfies] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2232),
    [sym__ternary_qmark] = ACTIONS(2234),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_statement_block] = STATE(393),
    [sym_comment] = STATE(319),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_comment] = STATE(320),
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_export] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_type] = ACTIONS(2238),
    [anon_sym_as] = ACTIONS(2240),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2240),
    [anon_sym_RBRACE] = ACTIONS(2238),
    [anon_sym_typeof] = ACTIONS(2238),
    [anon_sym_import] = ACTIONS(2238),
    [anon_sym_with] = ACTIONS(2238),
    [anon_sym_var] = ACTIONS(2238),
    [anon_sym_let] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_LPAREN] = ACTIONS(2238),
    [anon_sym_await] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2240),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_debugger] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_yield] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_LTtemplate_GT] = ACTIONS(2238),
    [anon_sym_GT] = ACTIONS(2240),
    [anon_sym_DOT] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [anon_sym_SQUOTE] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_async] = ACTIONS(2238),
    [anon_sym_function] = ACTIONS(2238),
    [anon_sym_QMARK_DOT] = ACTIONS(2240),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_PIPE_PIPE] = ACTIONS(2240),
    [anon_sym_GT_GT] = ACTIONS(2240),
    [anon_sym_GT_GT_GT] = ACTIONS(2240),
    [anon_sym_LT_LT] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2240),
    [anon_sym_CARET] = ACTIONS(2240),
    [anon_sym_PIPE] = ACTIONS(2240),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_PERCENT] = ACTIONS(2240),
    [anon_sym_STAR_STAR] = ACTIONS(2240),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_LT_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2240),
    [anon_sym_GT_EQ] = ACTIONS(2240),
    [anon_sym_QMARK_QMARK] = ACTIONS(2240),
    [anon_sym_instanceof] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2238),
    [anon_sym_void] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2238),
    [sym_number] = ACTIONS(2238),
    [sym_private_property_identifier] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [sym_super] = ACTIONS(2238),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [sym_null] = ACTIONS(2238),
    [sym_undefined] = ACTIONS(2238),
    [anon_sym_AT] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_readonly] = ACTIONS(2238),
    [anon_sym_get] = ACTIONS(2238),
    [anon_sym_set] = ACTIONS(2238),
    [anon_sym_declare] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_override] = ACTIONS(2238),
    [anon_sym_module] = ACTIONS(2238),
    [anon_sym_any] = ACTIONS(2238),
    [anon_sym_number] = ACTIONS(2238),
    [anon_sym_boolean] = ACTIONS(2238),
    [anon_sym_string] = ACTIONS(2238),
    [anon_sym_symbol] = ACTIONS(2238),
    [anon_sym_object] = ACTIONS(2238),
    [anon_sym_abstract] = ACTIONS(2238),
    [anon_sym_satisfies] = ACTIONS(2240),
    [anon_sym_interface] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [sym__automatic_semicolon] = ACTIONS(2242),
    [sym__ternary_qmark] = ACTIONS(2244),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_comment] = STATE(321),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_as] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_QMARK_DOT] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_AMP_AMP] = ACTIONS(2246),
    [anon_sym_PIPE_PIPE] = ACTIONS(2246),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2246),
    [anon_sym_LT_LT] = ACTIONS(2246),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2246),
    [anon_sym_STAR_STAR] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_LT_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2246),
    [anon_sym_GT_EQ] = ACTIONS(2246),
    [anon_sym_QMARK_QMARK] = ACTIONS(2246),
    [anon_sym_instanceof] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_satisfies] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym__automatic_semicolon] = ACTIONS(2248),
    [sym__ternary_qmark] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_comment] = STATE(322),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2142),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2144),
    [anon_sym_as] = ACTIONS(2142),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2142),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_in] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_DOT] = ACTIONS(2142),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_QMARK_DOT] = ACTIONS(2142),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2142),
    [anon_sym_PIPE_PIPE] = ACTIONS(2142),
    [anon_sym_GT_GT] = ACTIONS(2142),
    [anon_sym_GT_GT_GT] = ACTIONS(2142),
    [anon_sym_LT_LT] = ACTIONS(2142),
    [anon_sym_AMP] = ACTIONS(2142),
    [anon_sym_CARET] = ACTIONS(2142),
    [anon_sym_PIPE] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2142),
    [anon_sym_STAR_STAR] = ACTIONS(2142),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2142),
    [anon_sym_EQ_EQ] = ACTIONS(2142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2142),
    [anon_sym_BANG_EQ] = ACTIONS(2142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2142),
    [anon_sym_GT_EQ] = ACTIONS(2142),
    [anon_sym_QMARK_QMARK] = ACTIONS(2142),
    [anon_sym_instanceof] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_satisfies] = ACTIONS(2142),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2250),
    [sym__ternary_qmark] = ACTIONS(2148),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_comment] = STATE(323),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_export] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2252),
    [anon_sym_as] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_typeof] = ACTIONS(2252),
    [anon_sym_import] = ACTIONS(2252),
    [anon_sym_with] = ACTIONS(2252),
    [anon_sym_var] = ACTIONS(2252),
    [anon_sym_let] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_else] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_await] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_debugger] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym_yield] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_LTtemplate_GT] = ACTIONS(2252),
    [anon_sym_GT] = ACTIONS(2252),
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_async] = ACTIONS(2252),
    [anon_sym_function] = ACTIONS(2252),
    [anon_sym_QMARK_DOT] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2252),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_SLASH] = ACTIONS(2252),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2252),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_QMARK_QMARK] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
    [sym_number] = ACTIONS(2252),
    [sym_private_property_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [sym_super] = ACTIONS(2252),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [sym_null] = ACTIONS(2252),
    [sym_undefined] = ACTIONS(2252),
    [anon_sym_AT] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_readonly] = ACTIONS(2252),
    [anon_sym_get] = ACTIONS(2252),
    [anon_sym_set] = ACTIONS(2252),
    [anon_sym_declare] = ACTIONS(2252),
    [anon_sym_public] = ACTIONS(2252),
    [anon_sym_private] = ACTIONS(2252),
    [anon_sym_protected] = ACTIONS(2252),
    [anon_sym_override] = ACTIONS(2252),
    [anon_sym_module] = ACTIONS(2252),
    [anon_sym_any] = ACTIONS(2252),
    [anon_sym_number] = ACTIONS(2252),
    [anon_sym_boolean] = ACTIONS(2252),
    [anon_sym_string] = ACTIONS(2252),
    [anon_sym_symbol] = ACTIONS(2252),
    [anon_sym_object] = ACTIONS(2252),
    [anon_sym_abstract] = ACTIONS(2252),
    [anon_sym_satisfies] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [sym__automatic_semicolon] = ACTIONS(2254),
    [sym__ternary_qmark] = ACTIONS(2254),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_statement_block] = STATE(351),
    [sym_comment] = STATE(324),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_statement_block] = STATE(351),
    [sym_comment] = STATE(325),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_comment] = STATE(326),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_as] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_COMMA] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_DOT] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_QMARK_DOT] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_PIPE_PIPE] = ACTIONS(2258),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2258),
    [anon_sym_LT_LT] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2258),
    [anon_sym_STAR_STAR] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_LT_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2258),
    [anon_sym_GT_EQ] = ACTIONS(2258),
    [anon_sym_QMARK_QMARK] = ACTIONS(2258),
    [anon_sym_instanceof] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_satisfies] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_comment] = STATE(327),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_as] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2262),
    [anon_sym_DOT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_QMARK_DOT] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_PIPE_PIPE] = ACTIONS(2262),
    [anon_sym_GT_GT] = ACTIONS(2262),
    [anon_sym_GT_GT_GT] = ACTIONS(2262),
    [anon_sym_LT_LT] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_PIPE] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2262),
    [anon_sym_STAR_STAR] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2262),
    [anon_sym_GT_EQ] = ACTIONS(2262),
    [anon_sym_QMARK_QMARK] = ACTIONS(2262),
    [anon_sym_instanceof] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_satisfies] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2264),
    [sym__ternary_qmark] = ACTIONS(2264),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_comment] = STATE(328),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_as] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_QMARK_DOT] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_QMARK_QMARK] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_satisfies] = ACTIONS(2268),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2270),
    [sym__ternary_qmark] = ACTIONS(2272),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_comment] = STATE(329),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_export] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_default] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_typeof] = ACTIONS(2274),
    [anon_sym_import] = ACTIONS(2274),
    [anon_sym_with] = ACTIONS(2274),
    [anon_sym_var] = ACTIONS(2274),
    [anon_sym_let] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_else] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_switch] = ACTIONS(2274),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_await] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2274),
    [anon_sym_do] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2274),
    [anon_sym_break] = ACTIONS(2274),
    [anon_sym_continue] = ACTIONS(2274),
    [anon_sym_debugger] = ACTIONS(2274),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_case] = ACTIONS(2274),
    [anon_sym_yield] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_LTtemplate_GT] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2274),
    [anon_sym_async] = ACTIONS(2274),
    [anon_sym_function] = ACTIONS(2274),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2274),
    [anon_sym_using] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_void] = ACTIONS(2274),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2274),
    [sym_number] = ACTIONS(2274),
    [sym_private_property_identifier] = ACTIONS(2274),
    [sym_this] = ACTIONS(2274),
    [sym_super] = ACTIONS(2274),
    [sym_true] = ACTIONS(2274),
    [sym_false] = ACTIONS(2274),
    [sym_null] = ACTIONS(2274),
    [sym_undefined] = ACTIONS(2274),
    [anon_sym_AT] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_get] = ACTIONS(2274),
    [anon_sym_set] = ACTIONS(2274),
    [anon_sym_declare] = ACTIONS(2274),
    [anon_sym_public] = ACTIONS(2274),
    [anon_sym_private] = ACTIONS(2274),
    [anon_sym_protected] = ACTIONS(2274),
    [anon_sym_override] = ACTIONS(2274),
    [anon_sym_module] = ACTIONS(2274),
    [anon_sym_any] = ACTIONS(2274),
    [anon_sym_number] = ACTIONS(2274),
    [anon_sym_boolean] = ACTIONS(2274),
    [anon_sym_string] = ACTIONS(2274),
    [anon_sym_symbol] = ACTIONS(2274),
    [anon_sym_object] = ACTIONS(2274),
    [anon_sym_abstract] = ACTIONS(2274),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [sym__automatic_semicolon] = ACTIONS(2276),
    [sym__ternary_qmark] = ACTIONS(2276),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_comment] = STATE(330),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2142),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2144),
    [anon_sym_as] = ACTIONS(2142),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2142),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_in] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_DOT] = ACTIONS(2142),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_QMARK_DOT] = ACTIONS(2142),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2142),
    [anon_sym_PIPE_PIPE] = ACTIONS(2142),
    [anon_sym_GT_GT] = ACTIONS(2142),
    [anon_sym_GT_GT_GT] = ACTIONS(2142),
    [anon_sym_LT_LT] = ACTIONS(2142),
    [anon_sym_AMP] = ACTIONS(2142),
    [anon_sym_CARET] = ACTIONS(2142),
    [anon_sym_PIPE] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2142),
    [anon_sym_STAR_STAR] = ACTIONS(2142),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2142),
    [anon_sym_EQ_EQ] = ACTIONS(2142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2142),
    [anon_sym_BANG_EQ] = ACTIONS(2142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2142),
    [anon_sym_GT_EQ] = ACTIONS(2142),
    [anon_sym_QMARK_QMARK] = ACTIONS(2142),
    [anon_sym_instanceof] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_satisfies] = ACTIONS(2142),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2278),
    [sym__ternary_qmark] = ACTIONS(2148),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_comment] = STATE(331),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2284),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_comment] = STATE(332),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2290),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_DOT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2290),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_PIPE_PIPE] = ACTIONS(2290),
    [anon_sym_GT_GT] = ACTIONS(2290),
    [anon_sym_GT_GT_GT] = ACTIONS(2290),
    [anon_sym_LT_LT] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2290),
    [anon_sym_STAR_STAR] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2290),
    [anon_sym_GT_EQ] = ACTIONS(2290),
    [anon_sym_QMARK_QMARK] = ACTIONS(2290),
    [anon_sym_instanceof] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2290),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym__ternary_qmark] = ACTIONS(2294),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_comment] = STATE(333),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6765),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(334),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(6218),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2300),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_RBRACK] = ACTIONS(2300),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_comment] = STATE(335),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_as] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2304),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2304),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_QMARK_DOT] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2304),
    [anon_sym_PIPE_PIPE] = ACTIONS(2304),
    [anon_sym_GT_GT] = ACTIONS(2304),
    [anon_sym_GT_GT_GT] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2304),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2304),
    [anon_sym_STAR_STAR] = ACTIONS(2304),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2304),
    [anon_sym_EQ_EQ] = ACTIONS(2304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2304),
    [anon_sym_QMARK_QMARK] = ACTIONS(2304),
    [anon_sym_instanceof] = ACTIONS(2304),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_satisfies] = ACTIONS(2304),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2306),
    [sym__ternary_qmark] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2862),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(336),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2061),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_comment] = STATE(337),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_as] = ACTIONS(2312),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_QMARK_DOT] = ACTIONS(2312),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_PIPE_PIPE] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_GT_GT_GT] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_STAR_STAR] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2312),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_instanceof] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_satisfies] = ACTIONS(2312),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2314),
    [sym__ternary_qmark] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_statement_block] = STATE(413),
    [sym_comment] = STATE(338),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_comment] = STATE(339),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_as] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_case] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_QMARK_DOT] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_STAR_STAR] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_QMARK_QMARK] = ACTIONS(2178),
    [anon_sym_instanceof] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_satisfies] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym__ternary_qmark] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2804),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_spread_element] = STATE(6268),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(340),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6269),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2320),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2322),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_comment] = STATE(341),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_comment] = STATE(342),
    [ts_builtin_sym_end] = ACTIONS(2254),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_export] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2252),
    [anon_sym_as] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_typeof] = ACTIONS(2252),
    [anon_sym_import] = ACTIONS(2252),
    [anon_sym_with] = ACTIONS(2252),
    [anon_sym_var] = ACTIONS(2252),
    [anon_sym_let] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_else] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_await] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_debugger] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_yield] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_LTtemplate_GT] = ACTIONS(2252),
    [anon_sym_GT] = ACTIONS(2252),
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_async] = ACTIONS(2252),
    [anon_sym_function] = ACTIONS(2252),
    [anon_sym_QMARK_DOT] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2252),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_SLASH] = ACTIONS(2252),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2252),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_QMARK_QMARK] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
    [sym_number] = ACTIONS(2252),
    [sym_private_property_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [sym_super] = ACTIONS(2252),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [sym_null] = ACTIONS(2252),
    [sym_undefined] = ACTIONS(2252),
    [anon_sym_AT] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_readonly] = ACTIONS(2252),
    [anon_sym_get] = ACTIONS(2252),
    [anon_sym_set] = ACTIONS(2252),
    [anon_sym_declare] = ACTIONS(2252),
    [anon_sym_public] = ACTIONS(2252),
    [anon_sym_private] = ACTIONS(2252),
    [anon_sym_protected] = ACTIONS(2252),
    [anon_sym_override] = ACTIONS(2252),
    [anon_sym_module] = ACTIONS(2252),
    [anon_sym_any] = ACTIONS(2252),
    [anon_sym_number] = ACTIONS(2252),
    [anon_sym_boolean] = ACTIONS(2252),
    [anon_sym_string] = ACTIONS(2252),
    [anon_sym_symbol] = ACTIONS(2252),
    [anon_sym_object] = ACTIONS(2252),
    [anon_sym_abstract] = ACTIONS(2252),
    [anon_sym_satisfies] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [sym__automatic_semicolon] = ACTIONS(2254),
    [sym__ternary_qmark] = ACTIONS(2254),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_comment] = STATE(343),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_as] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_QMARK_DOT] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_AMP_AMP] = ACTIONS(2246),
    [anon_sym_PIPE_PIPE] = ACTIONS(2246),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2246),
    [anon_sym_LT_LT] = ACTIONS(2246),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2246),
    [anon_sym_STAR_STAR] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_LT_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2246),
    [anon_sym_GT_EQ] = ACTIONS(2246),
    [anon_sym_QMARK_QMARK] = ACTIONS(2246),
    [anon_sym_instanceof] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_satisfies] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym__automatic_semicolon] = ACTIONS(2248),
    [sym__ternary_qmark] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2884),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_spread_element] = STATE(6435),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(344),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6417),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2320),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2326),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2892),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_spread_element] = STATE(6182),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(345),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6180),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2320),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_comment] = STATE(346),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_as] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_in] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2140),
    [anon_sym_DOT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_QMARK_DOT] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2140),
    [anon_sym_GT_GT_GT] = ACTIONS(2140),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2140),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_STAR_STAR] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2140),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2140),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_QMARK_QMARK] = ACTIONS(2140),
    [anon_sym_instanceof] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_satisfies] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym__ternary_qmark] = ACTIONS(2166),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2923),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_spread_element] = STATE(6248),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(347),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6245),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2320),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_comment] = STATE(348),
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_as] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_QMARK_DOT] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_AMP_AMP] = ACTIONS(2246),
    [anon_sym_PIPE_PIPE] = ACTIONS(2246),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2246),
    [anon_sym_LT_LT] = ACTIONS(2246),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2246),
    [anon_sym_STAR_STAR] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_LT_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2246),
    [anon_sym_GT_EQ] = ACTIONS(2246),
    [anon_sym_QMARK_QMARK] = ACTIONS(2246),
    [anon_sym_instanceof] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_satisfies] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym__automatic_semicolon] = ACTIONS(2248),
    [sym__ternary_qmark] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_comment] = STATE(349),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_export] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2252),
    [anon_sym_as] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_typeof] = ACTIONS(2252),
    [anon_sym_import] = ACTIONS(2252),
    [anon_sym_with] = ACTIONS(2252),
    [anon_sym_var] = ACTIONS(2252),
    [anon_sym_let] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_await] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_debugger] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym_yield] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_LTtemplate_GT] = ACTIONS(2252),
    [anon_sym_GT] = ACTIONS(2252),
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_async] = ACTIONS(2252),
    [anon_sym_function] = ACTIONS(2252),
    [anon_sym_QMARK_DOT] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2252),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_SLASH] = ACTIONS(2252),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2252),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_QMARK_QMARK] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
    [sym_number] = ACTIONS(2252),
    [sym_private_property_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [sym_super] = ACTIONS(2252),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [sym_null] = ACTIONS(2252),
    [sym_undefined] = ACTIONS(2252),
    [anon_sym_AT] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_readonly] = ACTIONS(2252),
    [anon_sym_get] = ACTIONS(2252),
    [anon_sym_set] = ACTIONS(2252),
    [anon_sym_declare] = ACTIONS(2252),
    [anon_sym_public] = ACTIONS(2252),
    [anon_sym_private] = ACTIONS(2252),
    [anon_sym_protected] = ACTIONS(2252),
    [anon_sym_override] = ACTIONS(2252),
    [anon_sym_module] = ACTIONS(2252),
    [anon_sym_any] = ACTIONS(2252),
    [anon_sym_number] = ACTIONS(2252),
    [anon_sym_boolean] = ACTIONS(2252),
    [anon_sym_string] = ACTIONS(2252),
    [anon_sym_symbol] = ACTIONS(2252),
    [anon_sym_object] = ACTIONS(2252),
    [anon_sym_abstract] = ACTIONS(2252),
    [anon_sym_satisfies] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [sym__automatic_semicolon] = ACTIONS(2254),
    [sym__ternary_qmark] = ACTIONS(2254),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(350),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_comment] = STATE(351),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_as] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_COMMA] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_DOT] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_QMARK_DOT] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_PIPE_PIPE] = ACTIONS(2258),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2258),
    [anon_sym_LT_LT] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2258),
    [anon_sym_STAR_STAR] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_LT_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2258),
    [anon_sym_GT_EQ] = ACTIONS(2258),
    [anon_sym_QMARK_QMARK] = ACTIONS(2258),
    [anon_sym_instanceof] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_satisfies] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_comment] = STATE(352),
    [ts_builtin_sym_end] = ACTIONS(2206),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_as] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_else] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2204),
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_QMARK_DOT] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_PIPE_PIPE] = ACTIONS(2204),
    [anon_sym_GT_GT] = ACTIONS(2204),
    [anon_sym_GT_GT_GT] = ACTIONS(2204),
    [anon_sym_LT_LT] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2204),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_PIPE] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2204),
    [anon_sym_STAR_STAR] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2204),
    [anon_sym_GT_EQ] = ACTIONS(2204),
    [anon_sym_QMARK_QMARK] = ACTIONS(2204),
    [anon_sym_instanceof] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_satisfies] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2206),
    [sym__ternary_qmark] = ACTIONS(2206),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_comment] = STATE(353),
    [ts_builtin_sym_end] = ACTIONS(2276),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_export] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_typeof] = ACTIONS(2274),
    [anon_sym_import] = ACTIONS(2274),
    [anon_sym_with] = ACTIONS(2274),
    [anon_sym_var] = ACTIONS(2274),
    [anon_sym_let] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_else] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_switch] = ACTIONS(2274),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_await] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2274),
    [anon_sym_do] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2274),
    [anon_sym_break] = ACTIONS(2274),
    [anon_sym_continue] = ACTIONS(2274),
    [anon_sym_debugger] = ACTIONS(2274),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_yield] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_LTtemplate_GT] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2274),
    [anon_sym_async] = ACTIONS(2274),
    [anon_sym_function] = ACTIONS(2274),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2274),
    [anon_sym_using] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_void] = ACTIONS(2274),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2274),
    [sym_number] = ACTIONS(2274),
    [sym_private_property_identifier] = ACTIONS(2274),
    [sym_this] = ACTIONS(2274),
    [sym_super] = ACTIONS(2274),
    [sym_true] = ACTIONS(2274),
    [sym_false] = ACTIONS(2274),
    [sym_null] = ACTIONS(2274),
    [sym_undefined] = ACTIONS(2274),
    [anon_sym_AT] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_get] = ACTIONS(2274),
    [anon_sym_set] = ACTIONS(2274),
    [anon_sym_declare] = ACTIONS(2274),
    [anon_sym_public] = ACTIONS(2274),
    [anon_sym_private] = ACTIONS(2274),
    [anon_sym_protected] = ACTIONS(2274),
    [anon_sym_override] = ACTIONS(2274),
    [anon_sym_module] = ACTIONS(2274),
    [anon_sym_any] = ACTIONS(2274),
    [anon_sym_number] = ACTIONS(2274),
    [anon_sym_boolean] = ACTIONS(2274),
    [anon_sym_string] = ACTIONS(2274),
    [anon_sym_symbol] = ACTIONS(2274),
    [anon_sym_object] = ACTIONS(2274),
    [anon_sym_abstract] = ACTIONS(2274),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [sym__automatic_semicolon] = ACTIONS(2276),
    [sym__ternary_qmark] = ACTIONS(2276),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_comment] = STATE(354),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_as] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_QMARK_DOT] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2216),
    [anon_sym_GT_GT_GT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_STAR_STAR] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2216),
    [anon_sym_QMARK_QMARK] = ACTIONS(2216),
    [anon_sym_instanceof] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_satisfies] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2218),
    [sym__ternary_qmark] = ACTIONS(2218),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_comment] = STATE(355),
    [ts_builtin_sym_end] = ACTIONS(2218),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_as] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_QMARK_DOT] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2216),
    [anon_sym_GT_GT_GT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_STAR_STAR] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2216),
    [anon_sym_QMARK_QMARK] = ACTIONS(2216),
    [anon_sym_instanceof] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_satisfies] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2218),
    [sym__ternary_qmark] = ACTIONS(2218),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2860),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_spread_element] = STATE(6015),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(356),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6016),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2320),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2334),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_comment] = STATE(357),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_export] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_default] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_typeof] = ACTIONS(2274),
    [anon_sym_import] = ACTIONS(2274),
    [anon_sym_with] = ACTIONS(2274),
    [anon_sym_var] = ACTIONS(2274),
    [anon_sym_let] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_switch] = ACTIONS(2274),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_await] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2274),
    [anon_sym_do] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2274),
    [anon_sym_break] = ACTIONS(2274),
    [anon_sym_continue] = ACTIONS(2274),
    [anon_sym_debugger] = ACTIONS(2274),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_case] = ACTIONS(2274),
    [anon_sym_yield] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_LTtemplate_GT] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2274),
    [anon_sym_async] = ACTIONS(2274),
    [anon_sym_function] = ACTIONS(2274),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2274),
    [anon_sym_using] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_void] = ACTIONS(2274),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2274),
    [sym_number] = ACTIONS(2274),
    [sym_private_property_identifier] = ACTIONS(2274),
    [sym_this] = ACTIONS(2274),
    [sym_super] = ACTIONS(2274),
    [sym_true] = ACTIONS(2274),
    [sym_false] = ACTIONS(2274),
    [sym_null] = ACTIONS(2274),
    [sym_undefined] = ACTIONS(2274),
    [anon_sym_AT] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_get] = ACTIONS(2274),
    [anon_sym_set] = ACTIONS(2274),
    [anon_sym_declare] = ACTIONS(2274),
    [anon_sym_public] = ACTIONS(2274),
    [anon_sym_private] = ACTIONS(2274),
    [anon_sym_protected] = ACTIONS(2274),
    [anon_sym_override] = ACTIONS(2274),
    [anon_sym_module] = ACTIONS(2274),
    [anon_sym_any] = ACTIONS(2274),
    [anon_sym_number] = ACTIONS(2274),
    [anon_sym_boolean] = ACTIONS(2274),
    [anon_sym_string] = ACTIONS(2274),
    [anon_sym_symbol] = ACTIONS(2274),
    [anon_sym_object] = ACTIONS(2274),
    [anon_sym_abstract] = ACTIONS(2274),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [sym__automatic_semicolon] = ACTIONS(2276),
    [sym__ternary_qmark] = ACTIONS(2276),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_comment] = STATE(358),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_default] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_as] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_case] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2204),
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_QMARK_DOT] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_PIPE_PIPE] = ACTIONS(2204),
    [anon_sym_GT_GT] = ACTIONS(2204),
    [anon_sym_GT_GT_GT] = ACTIONS(2204),
    [anon_sym_LT_LT] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2204),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_PIPE] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2204),
    [anon_sym_STAR_STAR] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2204),
    [anon_sym_GT_EQ] = ACTIONS(2204),
    [anon_sym_QMARK_QMARK] = ACTIONS(2204),
    [anon_sym_instanceof] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_satisfies] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2206),
    [sym__ternary_qmark] = ACTIONS(2206),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_comment] = STATE(359),
    [ts_builtin_sym_end] = ACTIONS(2162),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_PIPE_PIPE] = ACTIONS(2160),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2160),
    [anon_sym_LT_LT] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2160),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2160),
    [anon_sym_STAR_STAR] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2160),
    [anon_sym_GT_EQ] = ACTIONS(2160),
    [anon_sym_QMARK_QMARK] = ACTIONS(2160),
    [anon_sym_instanceof] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2162),
    [sym__ternary_qmark] = ACTIONS(2162),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(360),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(361),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5258),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_accessibility_modifier] = STATE(412),
    [sym_override_modifier] = STATE(463),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(2133),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(2336),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2338),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2340),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2891),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_spread_element] = STATE(6197),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(362),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(6196),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2320),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2342),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_comment] = STATE(363),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_case] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_QMARK_DOT] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2230),
    [anon_sym_LT_LT] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2230),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_STAR_STAR] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2230),
    [anon_sym_GT_EQ] = ACTIONS(2230),
    [anon_sym_QMARK_QMARK] = ACTIONS(2230),
    [anon_sym_instanceof] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_satisfies] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2344),
    [sym__ternary_qmark] = ACTIONS(2234),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_comment] = STATE(364),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_as] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_GT] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_QMARK_DOT] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_GT_GT] = ACTIONS(2210),
    [anon_sym_GT_GT_GT] = ACTIONS(2210),
    [anon_sym_LT_LT] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_CARET] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2210),
    [anon_sym_STAR_STAR] = ACTIONS(2210),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2210),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_QMARK_QMARK] = ACTIONS(2210),
    [anon_sym_instanceof] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_satisfies] = ACTIONS(2210),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2346),
    [sym__ternary_qmark] = ACTIONS(2214),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_comment] = STATE(365),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_PIPE_PIPE] = ACTIONS(2160),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2160),
    [anon_sym_LT_LT] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2160),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2160),
    [anon_sym_STAR_STAR] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2160),
    [anon_sym_GT_EQ] = ACTIONS(2160),
    [anon_sym_QMARK_QMARK] = ACTIONS(2160),
    [anon_sym_instanceof] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2162),
    [sym__ternary_qmark] = ACTIONS(2162),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_comment] = STATE(366),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2348),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_comment] = STATE(367),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_as] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_else] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_QMARK_DOT] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_STAR_STAR] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_QMARK_QMARK] = ACTIONS(2178),
    [anon_sym_instanceof] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_satisfies] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym__ternary_qmark] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_comment] = STATE(368),
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_export] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_type] = ACTIONS(2238),
    [anon_sym_as] = ACTIONS(2240),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2240),
    [anon_sym_RBRACE] = ACTIONS(2238),
    [anon_sym_typeof] = ACTIONS(2238),
    [anon_sym_import] = ACTIONS(2238),
    [anon_sym_with] = ACTIONS(2238),
    [anon_sym_var] = ACTIONS(2238),
    [anon_sym_let] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_LPAREN] = ACTIONS(2238),
    [anon_sym_await] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2240),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_debugger] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_yield] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_LTtemplate_GT] = ACTIONS(2238),
    [anon_sym_GT] = ACTIONS(2240),
    [anon_sym_DOT] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [anon_sym_SQUOTE] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_async] = ACTIONS(2238),
    [anon_sym_function] = ACTIONS(2238),
    [anon_sym_QMARK_DOT] = ACTIONS(2240),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_PIPE_PIPE] = ACTIONS(2240),
    [anon_sym_GT_GT] = ACTIONS(2240),
    [anon_sym_GT_GT_GT] = ACTIONS(2240),
    [anon_sym_LT_LT] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2240),
    [anon_sym_CARET] = ACTIONS(2240),
    [anon_sym_PIPE] = ACTIONS(2240),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_PERCENT] = ACTIONS(2240),
    [anon_sym_STAR_STAR] = ACTIONS(2240),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_LT_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2240),
    [anon_sym_GT_EQ] = ACTIONS(2240),
    [anon_sym_QMARK_QMARK] = ACTIONS(2240),
    [anon_sym_instanceof] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2238),
    [anon_sym_void] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2238),
    [sym_number] = ACTIONS(2238),
    [sym_private_property_identifier] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [sym_super] = ACTIONS(2238),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [sym_null] = ACTIONS(2238),
    [sym_undefined] = ACTIONS(2238),
    [anon_sym_AT] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_readonly] = ACTIONS(2238),
    [anon_sym_get] = ACTIONS(2238),
    [anon_sym_set] = ACTIONS(2238),
    [anon_sym_declare] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_override] = ACTIONS(2238),
    [anon_sym_module] = ACTIONS(2238),
    [anon_sym_any] = ACTIONS(2238),
    [anon_sym_number] = ACTIONS(2238),
    [anon_sym_boolean] = ACTIONS(2238),
    [anon_sym_string] = ACTIONS(2238),
    [anon_sym_symbol] = ACTIONS(2238),
    [anon_sym_object] = ACTIONS(2238),
    [anon_sym_abstract] = ACTIONS(2238),
    [anon_sym_satisfies] = ACTIONS(2240),
    [anon_sym_interface] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym__ternary_qmark] = ACTIONS(2244),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_comment] = STATE(369),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_as] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_QMARK_DOT] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_GT_GT] = ACTIONS(2184),
    [anon_sym_GT_GT_GT] = ACTIONS(2184),
    [anon_sym_LT_LT] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_CARET] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2184),
    [anon_sym_STAR_STAR] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2184),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_QMARK_QMARK] = ACTIONS(2184),
    [anon_sym_instanceof] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_satisfies] = ACTIONS(2184),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2356),
    [sym__ternary_qmark] = ACTIONS(2188),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_comment] = STATE(370),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2290),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_DOT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2290),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_PIPE_PIPE] = ACTIONS(2290),
    [anon_sym_GT_GT] = ACTIONS(2290),
    [anon_sym_GT_GT_GT] = ACTIONS(2290),
    [anon_sym_LT_LT] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2290),
    [anon_sym_STAR_STAR] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2290),
    [anon_sym_GT_EQ] = ACTIONS(2290),
    [anon_sym_QMARK_QMARK] = ACTIONS(2290),
    [anon_sym_instanceof] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2290),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2358),
    [sym__ternary_qmark] = ACTIONS(2294),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2982),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(371),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_comment] = STATE(372),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_as] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_QMARK_DOT] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_GT_GT] = ACTIONS(2184),
    [anon_sym_GT_GT_GT] = ACTIONS(2184),
    [anon_sym_LT_LT] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_CARET] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2184),
    [anon_sym_STAR_STAR] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2184),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_QMARK_QMARK] = ACTIONS(2184),
    [anon_sym_instanceof] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_satisfies] = ACTIONS(2184),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2360),
    [sym__ternary_qmark] = ACTIONS(2188),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_comment] = STATE(373),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_as] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_QMARK_DOT] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_QMARK_QMARK] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_satisfies] = ACTIONS(2268),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2362),
    [sym__ternary_qmark] = ACTIONS(2272),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_comment] = STATE(374),
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2154),
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2154),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_QMARK_QMARK] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2154),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2154),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2366),
    [sym__ternary_qmark] = ACTIONS(2158),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_comment] = STATE(375),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2142),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2144),
    [anon_sym_as] = ACTIONS(2142),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2142),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_in] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_DOT] = ACTIONS(2142),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_QMARK_DOT] = ACTIONS(2142),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2142),
    [anon_sym_PIPE_PIPE] = ACTIONS(2142),
    [anon_sym_GT_GT] = ACTIONS(2142),
    [anon_sym_GT_GT_GT] = ACTIONS(2142),
    [anon_sym_LT_LT] = ACTIONS(2142),
    [anon_sym_AMP] = ACTIONS(2142),
    [anon_sym_CARET] = ACTIONS(2142),
    [anon_sym_PIPE] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2142),
    [anon_sym_STAR_STAR] = ACTIONS(2142),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2142),
    [anon_sym_EQ_EQ] = ACTIONS(2142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2142),
    [anon_sym_BANG_EQ] = ACTIONS(2142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2142),
    [anon_sym_GT_EQ] = ACTIONS(2142),
    [anon_sym_QMARK_QMARK] = ACTIONS(2142),
    [anon_sym_instanceof] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_satisfies] = ACTIONS(2142),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2368),
    [sym__ternary_qmark] = ACTIONS(2148),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_comment] = STATE(376),
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_export] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_default] = ACTIONS(2194),
    [anon_sym_type] = ACTIONS(2194),
    [anon_sym_as] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_typeof] = ACTIONS(2194),
    [anon_sym_import] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2194),
    [anon_sym_var] = ACTIONS(2194),
    [anon_sym_let] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_BANG] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(2194),
    [anon_sym_await] = ACTIONS(2194),
    [anon_sym_in] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_debugger] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2194),
    [anon_sym_case] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_LTtemplate_GT] = ACTIONS(2194),
    [anon_sym_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_async] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_QMARK_DOT] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2196),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_QMARK_QMARK] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2194),
    [anon_sym_void] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_PLUS_PLUS] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2194),
    [sym_number] = ACTIONS(2194),
    [sym_private_property_identifier] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [sym_super] = ACTIONS(2194),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [sym_null] = ACTIONS(2194),
    [sym_undefined] = ACTIONS(2194),
    [anon_sym_AT] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_readonly] = ACTIONS(2194),
    [anon_sym_get] = ACTIONS(2194),
    [anon_sym_set] = ACTIONS(2194),
    [anon_sym_declare] = ACTIONS(2194),
    [anon_sym_public] = ACTIONS(2194),
    [anon_sym_private] = ACTIONS(2194),
    [anon_sym_protected] = ACTIONS(2194),
    [anon_sym_override] = ACTIONS(2194),
    [anon_sym_module] = ACTIONS(2194),
    [anon_sym_any] = ACTIONS(2194),
    [anon_sym_number] = ACTIONS(2194),
    [anon_sym_boolean] = ACTIONS(2194),
    [anon_sym_string] = ACTIONS(2194),
    [anon_sym_symbol] = ACTIONS(2194),
    [anon_sym_object] = ACTIONS(2194),
    [anon_sym_abstract] = ACTIONS(2194),
    [anon_sym_satisfies] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [sym__automatic_semicolon] = ACTIONS(2370),
    [sym__ternary_qmark] = ACTIONS(2200),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_comment] = STATE(377),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_as] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_QMARK_DOT] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2170),
    [anon_sym_PIPE_PIPE] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_GT_GT_GT] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_STAR_STAR] = ACTIONS(2170),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2170),
    [anon_sym_GT_EQ] = ACTIONS(2170),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_instanceof] = ACTIONS(2170),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_satisfies] = ACTIONS(2170),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2372),
    [sym__ternary_qmark] = ACTIONS(2174),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_comment] = STATE(378),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2374),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_comment] = STATE(379),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_as] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2304),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2304),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_QMARK_DOT] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2304),
    [anon_sym_PIPE_PIPE] = ACTIONS(2304),
    [anon_sym_GT_GT] = ACTIONS(2304),
    [anon_sym_GT_GT_GT] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2304),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2304),
    [anon_sym_STAR_STAR] = ACTIONS(2304),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2304),
    [anon_sym_EQ_EQ] = ACTIONS(2304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2304),
    [anon_sym_QMARK_QMARK] = ACTIONS(2304),
    [anon_sym_instanceof] = ACTIONS(2304),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_satisfies] = ACTIONS(2304),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2376),
    [sym__ternary_qmark] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2608),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(380),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_statement_block] = STATE(413),
    [sym_comment] = STATE(381),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_statement_block] = STATE(413),
    [sym_comment] = STATE(382),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2380),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym__automatic_semicolon] = ACTIONS(2113),
    [sym__ternary_qmark] = ACTIONS(2113),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3361),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(383),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_comment] = STATE(384),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_as] = ACTIONS(2312),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_QMARK_DOT] = ACTIONS(2312),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_PIPE_PIPE] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_GT_GT_GT] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_STAR_STAR] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2312),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_instanceof] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_satisfies] = ACTIONS(2312),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2382),
    [sym__ternary_qmark] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_comment] = STATE(385),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2154),
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2154),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_QMARK_QMARK] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2154),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2154),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2384),
    [sym__ternary_qmark] = ACTIONS(2158),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3372),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(386),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2926),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_spread_element] = STATE(5800),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(387),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [aux_sym_array_repeat1] = STATE(5798),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2320),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2386),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_comment] = STATE(388),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_as] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_in] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2140),
    [anon_sym_DOT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_QMARK_DOT] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2140),
    [anon_sym_GT_GT_GT] = ACTIONS(2140),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2140),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_STAR_STAR] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2140),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2140),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_QMARK_QMARK] = ACTIONS(2140),
    [anon_sym_instanceof] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_satisfies] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2388),
    [sym__ternary_qmark] = ACTIONS(2166),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_comment] = STATE(389),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_comment] = STATE(390),
    [ts_builtin_sym_end] = ACTIONS(2390),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_else] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_QMARK_DOT] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2230),
    [anon_sym_LT_LT] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2230),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_STAR_STAR] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2230),
    [anon_sym_GT_EQ] = ACTIONS(2230),
    [anon_sym_QMARK_QMARK] = ACTIONS(2230),
    [anon_sym_instanceof] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_satisfies] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2392),
    [sym__ternary_qmark] = ACTIONS(2234),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_comment] = STATE(391),
    [ts_builtin_sym_end] = ACTIONS(2394),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_as] = ACTIONS(2312),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_QMARK_DOT] = ACTIONS(2312),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_PIPE_PIPE] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_GT_GT_GT] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_STAR_STAR] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2312),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_instanceof] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_satisfies] = ACTIONS(2312),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2396),
    [sym__ternary_qmark] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_comment] = STATE(392),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2398),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_comment] = STATE(393),
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_as] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_COMMA] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_DOT] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_QMARK_DOT] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_PIPE_PIPE] = ACTIONS(2258),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2258),
    [anon_sym_LT_LT] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2258),
    [anon_sym_STAR_STAR] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_LT_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2258),
    [anon_sym_GT_EQ] = ACTIONS(2258),
    [anon_sym_QMARK_QMARK] = ACTIONS(2258),
    [anon_sym_instanceof] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_satisfies] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_comment] = STATE(394),
    [ts_builtin_sym_end] = ACTIONS(2400),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(2304),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_as] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2304),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2304),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_QMARK_DOT] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2304),
    [anon_sym_PIPE_PIPE] = ACTIONS(2304),
    [anon_sym_GT_GT] = ACTIONS(2304),
    [anon_sym_GT_GT_GT] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2304),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2304),
    [anon_sym_STAR_STAR] = ACTIONS(2304),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2304),
    [anon_sym_EQ_EQ] = ACTIONS(2304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2304),
    [anon_sym_QMARK_QMARK] = ACTIONS(2304),
    [anon_sym_instanceof] = ACTIONS(2304),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_satisfies] = ACTIONS(2304),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2402),
    [sym__ternary_qmark] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_comment] = STATE(395),
    [ts_builtin_sym_end] = ACTIONS(2404),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2406),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_comment] = STATE(396),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_as] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2262),
    [anon_sym_DOT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_QMARK_DOT] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_PIPE_PIPE] = ACTIONS(2262),
    [anon_sym_GT_GT] = ACTIONS(2262),
    [anon_sym_GT_GT_GT] = ACTIONS(2262),
    [anon_sym_LT_LT] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_PIPE] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2262),
    [anon_sym_STAR_STAR] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2262),
    [anon_sym_GT_EQ] = ACTIONS(2262),
    [anon_sym_QMARK_QMARK] = ACTIONS(2262),
    [anon_sym_instanceof] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_satisfies] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2264),
    [sym__ternary_qmark] = ACTIONS(2264),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_comment] = STATE(397),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3262),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(398),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_comment] = STATE(399),
    [ts_builtin_sym_end] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_as] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_GT] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_QMARK_DOT] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_GT_GT] = ACTIONS(2210),
    [anon_sym_GT_GT_GT] = ACTIONS(2210),
    [anon_sym_LT_LT] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_CARET] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2210),
    [anon_sym_STAR_STAR] = ACTIONS(2210),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2210),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_QMARK_QMARK] = ACTIONS(2210),
    [anon_sym_instanceof] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_satisfies] = ACTIONS(2210),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2410),
    [sym__ternary_qmark] = ACTIONS(2214),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_comment] = STATE(400),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_export] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_type] = ACTIONS(2238),
    [anon_sym_as] = ACTIONS(2240),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2240),
    [anon_sym_RBRACE] = ACTIONS(2238),
    [anon_sym_typeof] = ACTIONS(2238),
    [anon_sym_import] = ACTIONS(2238),
    [anon_sym_with] = ACTIONS(2238),
    [anon_sym_var] = ACTIONS(2238),
    [anon_sym_let] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_LPAREN] = ACTIONS(2238),
    [anon_sym_await] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2240),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_debugger] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2238),
    [anon_sym_yield] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_LTtemplate_GT] = ACTIONS(2238),
    [anon_sym_GT] = ACTIONS(2240),
    [anon_sym_DOT] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [anon_sym_SQUOTE] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_async] = ACTIONS(2238),
    [anon_sym_function] = ACTIONS(2238),
    [anon_sym_QMARK_DOT] = ACTIONS(2240),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_PIPE_PIPE] = ACTIONS(2240),
    [anon_sym_GT_GT] = ACTIONS(2240),
    [anon_sym_GT_GT_GT] = ACTIONS(2240),
    [anon_sym_LT_LT] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2240),
    [anon_sym_CARET] = ACTIONS(2240),
    [anon_sym_PIPE] = ACTIONS(2240),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_PERCENT] = ACTIONS(2240),
    [anon_sym_STAR_STAR] = ACTIONS(2240),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_LT_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2240),
    [anon_sym_GT_EQ] = ACTIONS(2240),
    [anon_sym_QMARK_QMARK] = ACTIONS(2240),
    [anon_sym_instanceof] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2238),
    [anon_sym_void] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2238),
    [sym_number] = ACTIONS(2238),
    [sym_private_property_identifier] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [sym_super] = ACTIONS(2238),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [sym_null] = ACTIONS(2238),
    [sym_undefined] = ACTIONS(2238),
    [anon_sym_AT] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_readonly] = ACTIONS(2238),
    [anon_sym_get] = ACTIONS(2238),
    [anon_sym_set] = ACTIONS(2238),
    [anon_sym_declare] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_override] = ACTIONS(2238),
    [anon_sym_module] = ACTIONS(2238),
    [anon_sym_any] = ACTIONS(2238),
    [anon_sym_number] = ACTIONS(2238),
    [anon_sym_boolean] = ACTIONS(2238),
    [anon_sym_string] = ACTIONS(2238),
    [anon_sym_symbol] = ACTIONS(2238),
    [anon_sym_object] = ACTIONS(2238),
    [anon_sym_abstract] = ACTIONS(2238),
    [anon_sym_satisfies] = ACTIONS(2240),
    [anon_sym_interface] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [sym__automatic_semicolon] = ACTIONS(2414),
    [sym__ternary_qmark] = ACTIONS(2244),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_comment] = STATE(401),
    [ts_builtin_sym_end] = ACTIONS(2416),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2290),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_DOT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2290),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_PIPE_PIPE] = ACTIONS(2290),
    [anon_sym_GT_GT] = ACTIONS(2290),
    [anon_sym_GT_GT_GT] = ACTIONS(2290),
    [anon_sym_LT_LT] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2290),
    [anon_sym_STAR_STAR] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2290),
    [anon_sym_GT_EQ] = ACTIONS(2290),
    [anon_sym_QMARK_QMARK] = ACTIONS(2290),
    [anon_sym_instanceof] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2290),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2418),
    [sym__ternary_qmark] = ACTIONS(2294),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_comment] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_comment] = STATE(403),
    [ts_builtin_sym_end] = ACTIONS(2420),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2268),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_as] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_QMARK_DOT] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_QMARK_QMARK] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_satisfies] = ACTIONS(2268),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2422),
    [sym__ternary_qmark] = ACTIONS(2272),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_comment] = STATE(404),
    [ts_builtin_sym_end] = ACTIONS(2424),
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_export] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2194),
    [anon_sym_as] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_typeof] = ACTIONS(2194),
    [anon_sym_import] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2194),
    [anon_sym_var] = ACTIONS(2194),
    [anon_sym_let] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_BANG] = ACTIONS(2194),
    [anon_sym_else] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(2194),
    [anon_sym_await] = ACTIONS(2194),
    [anon_sym_in] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_debugger] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_LTtemplate_GT] = ACTIONS(2194),
    [anon_sym_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_async] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_QMARK_DOT] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2196),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_QMARK_QMARK] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2194),
    [anon_sym_void] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_PLUS_PLUS] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2194),
    [sym_number] = ACTIONS(2194),
    [sym_private_property_identifier] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [sym_super] = ACTIONS(2194),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [sym_null] = ACTIONS(2194),
    [sym_undefined] = ACTIONS(2194),
    [anon_sym_AT] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_readonly] = ACTIONS(2194),
    [anon_sym_get] = ACTIONS(2194),
    [anon_sym_set] = ACTIONS(2194),
    [anon_sym_declare] = ACTIONS(2194),
    [anon_sym_public] = ACTIONS(2194),
    [anon_sym_private] = ACTIONS(2194),
    [anon_sym_protected] = ACTIONS(2194),
    [anon_sym_override] = ACTIONS(2194),
    [anon_sym_module] = ACTIONS(2194),
    [anon_sym_any] = ACTIONS(2194),
    [anon_sym_number] = ACTIONS(2194),
    [anon_sym_boolean] = ACTIONS(2194),
    [anon_sym_string] = ACTIONS(2194),
    [anon_sym_symbol] = ACTIONS(2194),
    [anon_sym_object] = ACTIONS(2194),
    [anon_sym_abstract] = ACTIONS(2194),
    [anon_sym_satisfies] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [sym__automatic_semicolon] = ACTIONS(2426),
    [sym__ternary_qmark] = ACTIONS(2200),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_comment] = STATE(405),
    [ts_builtin_sym_end] = ACTIONS(2264),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_as] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2262),
    [anon_sym_DOT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_QMARK_DOT] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_PIPE_PIPE] = ACTIONS(2262),
    [anon_sym_GT_GT] = ACTIONS(2262),
    [anon_sym_GT_GT_GT] = ACTIONS(2262),
    [anon_sym_LT_LT] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_PIPE] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2262),
    [anon_sym_STAR_STAR] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2262),
    [anon_sym_GT_EQ] = ACTIONS(2262),
    [anon_sym_QMARK_QMARK] = ACTIONS(2262),
    [anon_sym_instanceof] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_satisfies] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2264),
    [sym__ternary_qmark] = ACTIONS(2264),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_comment] = STATE(406),
    [ts_builtin_sym_end] = ACTIONS(2428),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_as] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_QMARK_DOT] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2170),
    [anon_sym_PIPE_PIPE] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_GT_GT_GT] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_STAR_STAR] = ACTIONS(2170),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2170),
    [anon_sym_GT_EQ] = ACTIONS(2170),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_instanceof] = ACTIONS(2170),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_satisfies] = ACTIONS(2170),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2430),
    [sym__ternary_qmark] = ACTIONS(2174),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(4341),
    [sym_expression_statement] = STATE(477),
    [sym_empty_statement] = STATE(477),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6726),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(407),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_comment] = STATE(408),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2432),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_comment] = STATE(409),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_export] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_type] = ACTIONS(2238),
    [anon_sym_as] = ACTIONS(2240),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2240),
    [anon_sym_RBRACE] = ACTIONS(2238),
    [anon_sym_typeof] = ACTIONS(2238),
    [anon_sym_import] = ACTIONS(2238),
    [anon_sym_with] = ACTIONS(2238),
    [anon_sym_var] = ACTIONS(2238),
    [anon_sym_let] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_LPAREN] = ACTIONS(2238),
    [anon_sym_await] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2240),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_debugger] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2238),
    [anon_sym_yield] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_LTtemplate_GT] = ACTIONS(2238),
    [anon_sym_GT] = ACTIONS(2240),
    [anon_sym_DOT] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [anon_sym_SQUOTE] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_async] = ACTIONS(2238),
    [anon_sym_function] = ACTIONS(2238),
    [anon_sym_QMARK_DOT] = ACTIONS(2240),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_PIPE_PIPE] = ACTIONS(2240),
    [anon_sym_GT_GT] = ACTIONS(2240),
    [anon_sym_GT_GT_GT] = ACTIONS(2240),
    [anon_sym_LT_LT] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2240),
    [anon_sym_CARET] = ACTIONS(2240),
    [anon_sym_PIPE] = ACTIONS(2240),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_PERCENT] = ACTIONS(2240),
    [anon_sym_STAR_STAR] = ACTIONS(2240),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_LT_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2240),
    [anon_sym_GT_EQ] = ACTIONS(2240),
    [anon_sym_QMARK_QMARK] = ACTIONS(2240),
    [anon_sym_instanceof] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2238),
    [anon_sym_void] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2238),
    [sym_number] = ACTIONS(2238),
    [sym_private_property_identifier] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [sym_super] = ACTIONS(2238),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [sym_null] = ACTIONS(2238),
    [sym_undefined] = ACTIONS(2238),
    [anon_sym_AT] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_readonly] = ACTIONS(2238),
    [anon_sym_get] = ACTIONS(2238),
    [anon_sym_set] = ACTIONS(2238),
    [anon_sym_declare] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_override] = ACTIONS(2238),
    [anon_sym_module] = ACTIONS(2238),
    [anon_sym_any] = ACTIONS(2238),
    [anon_sym_number] = ACTIONS(2238),
    [anon_sym_boolean] = ACTIONS(2238),
    [anon_sym_string] = ACTIONS(2238),
    [anon_sym_symbol] = ACTIONS(2238),
    [anon_sym_object] = ACTIONS(2238),
    [anon_sym_abstract] = ACTIONS(2238),
    [anon_sym_satisfies] = ACTIONS(2240),
    [anon_sym_interface] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [sym__automatic_semicolon] = ACTIONS(2434),
    [sym__ternary_qmark] = ACTIONS(2244),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(4357),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(410),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3901),
    [sym__type_query_subscript_expression] = STATE(3905),
    [sym__type_query_call_expression] = STATE(4118),
    [sym__type_query_instantiation_expression] = STATE(4237),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2436),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(4351),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(411),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(412),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5407),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_override_modifier] = STATE(467),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2440),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_comment] = STATE(413),
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_as] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_COMMA] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_DOT] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_QMARK_DOT] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_PIPE_PIPE] = ACTIONS(2258),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2258),
    [anon_sym_LT_LT] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2258),
    [anon_sym_STAR_STAR] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_LT_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2258),
    [anon_sym_GT_EQ] = ACTIONS(2258),
    [anon_sym_QMARK_QMARK] = ACTIONS(2258),
    [anon_sym_instanceof] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_satisfies] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_comment] = STATE(414),
    [ts_builtin_sym_end] = ACTIONS(2390),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_QMARK_DOT] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2230),
    [anon_sym_LT_LT] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2230),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_STAR_STAR] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2230),
    [anon_sym_GT_EQ] = ACTIONS(2230),
    [anon_sym_QMARK_QMARK] = ACTIONS(2230),
    [anon_sym_instanceof] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_satisfies] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym__ternary_qmark] = ACTIONS(2234),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_comment] = STATE(415),
    [ts_builtin_sym_end] = ACTIONS(2416),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2290),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_DOT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2290),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_PIPE_PIPE] = ACTIONS(2290),
    [anon_sym_GT_GT] = ACTIONS(2290),
    [anon_sym_GT_GT_GT] = ACTIONS(2290),
    [anon_sym_LT_LT] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2290),
    [anon_sym_STAR_STAR] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2290),
    [anon_sym_GT_EQ] = ACTIONS(2290),
    [anon_sym_QMARK_QMARK] = ACTIONS(2290),
    [anon_sym_instanceof] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2290),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2446),
    [sym__ternary_qmark] = ACTIONS(2294),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(4341),
    [sym_expression_statement] = STATE(476),
    [sym_empty_statement] = STATE(476),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6726),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(416),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(4359),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3361),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(417),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_comment] = STATE(418),
    [ts_builtin_sym_end] = ACTIONS(2264),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_as] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2262),
    [anon_sym_DOT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_QMARK_DOT] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2262),
    [anon_sym_PIPE_PIPE] = ACTIONS(2262),
    [anon_sym_GT_GT] = ACTIONS(2262),
    [anon_sym_GT_GT_GT] = ACTIONS(2262),
    [anon_sym_LT_LT] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_PIPE] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2262),
    [anon_sym_STAR_STAR] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2262),
    [anon_sym_GT_EQ] = ACTIONS(2262),
    [anon_sym_QMARK_QMARK] = ACTIONS(2262),
    [anon_sym_instanceof] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_satisfies] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2264),
    [sym__ternary_qmark] = ACTIONS(2264),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2940),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_spread_element] = STATE(6219),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(419),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2450),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(2450),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(4359),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3455),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(420),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_comment] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_as] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_in] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2140),
    [anon_sym_DOT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_QMARK_DOT] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2140),
    [anon_sym_GT_GT_GT] = ACTIONS(2140),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2140),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_STAR_STAR] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2140),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2140),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_QMARK_QMARK] = ACTIONS(2140),
    [anon_sym_instanceof] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_satisfies] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2456),
    [sym__ternary_qmark] = ACTIONS(2166),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_comment] = STATE(422),
    [ts_builtin_sym_end] = ACTIONS(2218),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_as] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_QMARK_DOT] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2216),
    [anon_sym_GT_GT_GT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_STAR_STAR] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2216),
    [anon_sym_QMARK_QMARK] = ACTIONS(2216),
    [anon_sym_instanceof] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_satisfies] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2218),
    [sym__ternary_qmark] = ACTIONS(2218),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(4400),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3262),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(423),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(4453),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2608),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(424),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_import] = STATE(4453),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(425),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(2462),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_import] = STATE(4351),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3455),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(426),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_comment] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_comment] = STATE(428),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_import] = STATE(4411),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2862),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(429),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(3015),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_spread_element] = STATE(6219),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(430),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(2450),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2450),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(431),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5292),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_override_modifier] = STATE(465),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1083),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2468),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_comment] = STATE(432),
    [sym_identifier] = ACTIONS(2470),
    [anon_sym_export] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_import] = ACTIONS(2470),
    [anon_sym_let] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(2470),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_LTtemplate_GT] = ACTIONS(2470),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_class] = ACTIONS(2470),
    [anon_sym_async] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2470),
    [anon_sym_using] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_SLASH] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2470),
    [sym_number] = ACTIONS(2470),
    [sym_private_property_identifier] = ACTIONS(2470),
    [sym_this] = ACTIONS(2470),
    [sym_super] = ACTIONS(2470),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [sym_null] = ACTIONS(2470),
    [sym_undefined] = ACTIONS(2470),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_readonly] = ACTIONS(2470),
    [anon_sym_get] = ACTIONS(2470),
    [anon_sym_set] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(2470),
    [anon_sym_public] = ACTIONS(2470),
    [anon_sym_private] = ACTIONS(2470),
    [anon_sym_protected] = ACTIONS(2470),
    [anon_sym_override] = ACTIONS(2470),
    [anon_sym_module] = ACTIONS(2470),
    [anon_sym_any] = ACTIONS(2470),
    [anon_sym_number] = ACTIONS(2470),
    [anon_sym_boolean] = ACTIONS(2470),
    [anon_sym_string] = ACTIONS(2470),
    [anon_sym_symbol] = ACTIONS(2470),
    [anon_sym_object] = ACTIONS(2470),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_comment] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_as] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_QMARK_DOT] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_STAR_STAR] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_QMARK_QMARK] = ACTIONS(2178),
    [anon_sym_instanceof] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_satisfies] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym__ternary_qmark] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_comment] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2154),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2154),
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2154),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_QMARK_QMARK] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2154),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2154),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2472),
    [sym__ternary_qmark] = ACTIONS(2158),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_comment] = STATE(435),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_import] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LTtemplate_GT] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_void] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [sym_super] = ACTIONS(2474),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [sym_null] = ACTIONS(2474),
    [sym_undefined] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_comment] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_as] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_GT] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_QMARK_DOT] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_GT_GT] = ACTIONS(2210),
    [anon_sym_GT_GT_GT] = ACTIONS(2210),
    [anon_sym_LT_LT] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_CARET] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2210),
    [anon_sym_STAR_STAR] = ACTIONS(2210),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2210),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_QMARK_QMARK] = ACTIONS(2210),
    [anon_sym_instanceof] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_satisfies] = ACTIONS(2210),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2476),
    [sym__ternary_qmark] = ACTIONS(2214),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2974),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6947),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2277),
    [sym_subscript_expression] = STATE(2277),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5738),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(437),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(6167),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2277),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_import] = STATE(4341),
    [sym_expression_statement] = STATE(473),
    [sym_empty_statement] = STATE(473),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6726),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(438),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_comment] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_as] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_QMARK_DOT] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_GT_GT] = ACTIONS(2184),
    [anon_sym_GT_GT_GT] = ACTIONS(2184),
    [anon_sym_LT_LT] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_CARET] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2184),
    [anon_sym_STAR_STAR] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2184),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_QMARK_QMARK] = ACTIONS(2184),
    [anon_sym_instanceof] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_satisfies] = ACTIONS(2184),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2478),
    [sym__ternary_qmark] = ACTIONS(2188),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_import] = STATE(4351),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(440),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2480),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_import] = STATE(4351),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(441),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(2394),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_as] = ACTIONS(2312),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_QMARK_DOT] = ACTIONS(2312),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_PIPE_PIPE] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_GT_GT_GT] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_STAR_STAR] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2312),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_instanceof] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_satisfies] = ACTIONS(2312),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2484),
    [sym__ternary_qmark] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_import] = STATE(4411),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2862),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(443),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2486),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_comment] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_as] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_QMARK_DOT] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_AMP_AMP] = ACTIONS(2246),
    [anon_sym_PIPE_PIPE] = ACTIONS(2246),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2246),
    [anon_sym_LT_LT] = ACTIONS(2246),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2246),
    [anon_sym_STAR_STAR] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_LT_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2246),
    [anon_sym_GT_EQ] = ACTIONS(2246),
    [anon_sym_QMARK_QMARK] = ACTIONS(2246),
    [anon_sym_instanceof] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_satisfies] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym__automatic_semicolon] = ACTIONS(2248),
    [sym__ternary_qmark] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(2276),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_export] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_typeof] = ACTIONS(2274),
    [anon_sym_import] = ACTIONS(2274),
    [anon_sym_with] = ACTIONS(2274),
    [anon_sym_var] = ACTIONS(2274),
    [anon_sym_let] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_switch] = ACTIONS(2274),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_await] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2274),
    [anon_sym_do] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2274),
    [anon_sym_break] = ACTIONS(2274),
    [anon_sym_continue] = ACTIONS(2274),
    [anon_sym_debugger] = ACTIONS(2274),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_yield] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_LTtemplate_GT] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2274),
    [anon_sym_async] = ACTIONS(2274),
    [anon_sym_function] = ACTIONS(2274),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2274),
    [anon_sym_using] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_void] = ACTIONS(2274),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2274),
    [sym_number] = ACTIONS(2274),
    [sym_private_property_identifier] = ACTIONS(2274),
    [sym_this] = ACTIONS(2274),
    [sym_super] = ACTIONS(2274),
    [sym_true] = ACTIONS(2274),
    [sym_false] = ACTIONS(2274),
    [sym_null] = ACTIONS(2274),
    [sym_undefined] = ACTIONS(2274),
    [anon_sym_AT] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_get] = ACTIONS(2274),
    [anon_sym_set] = ACTIONS(2274),
    [anon_sym_declare] = ACTIONS(2274),
    [anon_sym_public] = ACTIONS(2274),
    [anon_sym_private] = ACTIONS(2274),
    [anon_sym_protected] = ACTIONS(2274),
    [anon_sym_override] = ACTIONS(2274),
    [anon_sym_module] = ACTIONS(2274),
    [anon_sym_any] = ACTIONS(2274),
    [anon_sym_number] = ACTIONS(2274),
    [anon_sym_boolean] = ACTIONS(2274),
    [anon_sym_string] = ACTIONS(2274),
    [anon_sym_symbol] = ACTIONS(2274),
    [anon_sym_object] = ACTIONS(2274),
    [anon_sym_abstract] = ACTIONS(2274),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [sym__automatic_semicolon] = ACTIONS(2276),
    [sym__ternary_qmark] = ACTIONS(2276),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_import] = STATE(4351),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(446),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_import] = STATE(4341),
    [sym_expression_statement] = STATE(472),
    [sym_empty_statement] = STATE(472),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6726),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(447),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(2206),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_as] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2204),
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_QMARK_DOT] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_PIPE_PIPE] = ACTIONS(2204),
    [anon_sym_GT_GT] = ACTIONS(2204),
    [anon_sym_GT_GT_GT] = ACTIONS(2204),
    [anon_sym_LT_LT] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2204),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_PIPE] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2204),
    [anon_sym_STAR_STAR] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2204),
    [anon_sym_GT_EQ] = ACTIONS(2204),
    [anon_sym_QMARK_QMARK] = ACTIONS(2204),
    [anon_sym_instanceof] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_satisfies] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2206),
    [sym__ternary_qmark] = ACTIONS(2206),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_comment] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(2400),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(2304),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_as] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2304),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2304),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_QMARK_DOT] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2304),
    [anon_sym_PIPE_PIPE] = ACTIONS(2304),
    [anon_sym_GT_GT] = ACTIONS(2304),
    [anon_sym_GT_GT_GT] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2304),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2304),
    [anon_sym_STAR_STAR] = ACTIONS(2304),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2304),
    [anon_sym_EQ_EQ] = ACTIONS(2304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2304),
    [anon_sym_QMARK_QMARK] = ACTIONS(2304),
    [anon_sym_instanceof] = ACTIONS(2304),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_satisfies] = ACTIONS(2304),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2490),
    [sym__ternary_qmark] = ACTIONS(2308),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(2404),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2492),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(2162),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2160),
    [anon_sym_PIPE_PIPE] = ACTIONS(2160),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2160),
    [anon_sym_LT_LT] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2160),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2160),
    [anon_sym_STAR_STAR] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2160),
    [anon_sym_GT_EQ] = ACTIONS(2160),
    [anon_sym_QMARK_QMARK] = ACTIONS(2160),
    [anon_sym_instanceof] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2162),
    [sym__ternary_qmark] = ACTIONS(2162),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_import] = STATE(4359),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3455),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(452),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2494),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_import] = STATE(4451),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2982),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(453),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(2428),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_as] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_QMARK_DOT] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2170),
    [anon_sym_PIPE_PIPE] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_GT_GT_GT] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_STAR_STAR] = ACTIONS(2170),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2170),
    [anon_sym_GT_EQ] = ACTIONS(2170),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_instanceof] = ACTIONS(2170),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_satisfies] = ACTIONS(2170),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2498),
    [sym__ternary_qmark] = ACTIONS(2174),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(2424),
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_export] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2194),
    [anon_sym_as] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_typeof] = ACTIONS(2194),
    [anon_sym_import] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2194),
    [anon_sym_var] = ACTIONS(2194),
    [anon_sym_let] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_BANG] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(2194),
    [anon_sym_await] = ACTIONS(2194),
    [anon_sym_in] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_debugger] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_LTtemplate_GT] = ACTIONS(2194),
    [anon_sym_GT] = ACTIONS(2196),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_async] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_QMARK_DOT] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2196),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_QMARK_QMARK] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2194),
    [anon_sym_void] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_PLUS_PLUS] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2194),
    [sym_number] = ACTIONS(2194),
    [sym_private_property_identifier] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [sym_super] = ACTIONS(2194),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [sym_null] = ACTIONS(2194),
    [sym_undefined] = ACTIONS(2194),
    [anon_sym_AT] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_readonly] = ACTIONS(2194),
    [anon_sym_get] = ACTIONS(2194),
    [anon_sym_set] = ACTIONS(2194),
    [anon_sym_declare] = ACTIONS(2194),
    [anon_sym_public] = ACTIONS(2194),
    [anon_sym_private] = ACTIONS(2194),
    [anon_sym_protected] = ACTIONS(2194),
    [anon_sym_override] = ACTIONS(2194),
    [anon_sym_module] = ACTIONS(2194),
    [anon_sym_any] = ACTIONS(2194),
    [anon_sym_number] = ACTIONS(2194),
    [anon_sym_boolean] = ACTIONS(2194),
    [anon_sym_string] = ACTIONS(2194),
    [anon_sym_symbol] = ACTIONS(2194),
    [anon_sym_object] = ACTIONS(2194),
    [anon_sym_abstract] = ACTIONS(2194),
    [anon_sym_satisfies] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [sym__automatic_semicolon] = ACTIONS(2500),
    [sym__ternary_qmark] = ACTIONS(2200),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_assignment_pattern] = STATE(6947),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(456),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(6167),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_comment] = STATE(457),
    [sym_identifier] = ACTIONS(2470),
    [anon_sym_export] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_import] = ACTIONS(2470),
    [anon_sym_let] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(2470),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_LTtemplate_GT] = ACTIONS(2470),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_class] = ACTIONS(2470),
    [anon_sym_async] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2470),
    [anon_sym_using] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_SLASH] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2470),
    [sym_number] = ACTIONS(2470),
    [sym_private_property_identifier] = ACTIONS(2470),
    [sym_this] = ACTIONS(2470),
    [sym_super] = ACTIONS(2470),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [sym_null] = ACTIONS(2470),
    [sym_undefined] = ACTIONS(2470),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_readonly] = ACTIONS(2470),
    [anon_sym_get] = ACTIONS(2470),
    [anon_sym_set] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(2470),
    [anon_sym_public] = ACTIONS(2470),
    [anon_sym_private] = ACTIONS(2470),
    [anon_sym_protected] = ACTIONS(2470),
    [anon_sym_override] = ACTIONS(2470),
    [anon_sym_module] = ACTIONS(2470),
    [anon_sym_any] = ACTIONS(2470),
    [anon_sym_number] = ACTIONS(2470),
    [anon_sym_boolean] = ACTIONS(2470),
    [anon_sym_string] = ACTIONS(2470),
    [anon_sym_symbol] = ACTIONS(2470),
    [anon_sym_object] = ACTIONS(2470),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_comment] = STATE(458),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_import] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LTtemplate_GT] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_void] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [sym_super] = ACTIONS(2474),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [sym_null] = ACTIONS(2474),
    [sym_undefined] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_import] = STATE(4341),
    [sym_expression_statement] = STATE(474),
    [sym_empty_statement] = STATE(474),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6726),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(459),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_comment] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(2420),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2268),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_as] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_QMARK_DOT] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_QMARK_QMARK] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_satisfies] = ACTIONS(2268),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2502),
    [sym__ternary_qmark] = ACTIONS(2272),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(4359),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3372),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(461),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym__type_query_member_expression] = STATE(3848),
    [sym__type_query_subscript_expression] = STATE(3849),
    [sym__type_query_call_expression] = STATE(3915),
    [sym__type_query_instantiation_expression] = STATE(4026),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_comment] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(2254),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_export] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2252),
    [anon_sym_as] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_typeof] = ACTIONS(2252),
    [anon_sym_import] = ACTIONS(2252),
    [anon_sym_with] = ACTIONS(2252),
    [anon_sym_var] = ACTIONS(2252),
    [anon_sym_let] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_await] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_debugger] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_yield] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_LTtemplate_GT] = ACTIONS(2252),
    [anon_sym_GT] = ACTIONS(2252),
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_async] = ACTIONS(2252),
    [anon_sym_function] = ACTIONS(2252),
    [anon_sym_QMARK_DOT] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2252),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_SLASH] = ACTIONS(2252),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2252),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_QMARK_QMARK] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
    [sym_number] = ACTIONS(2252),
    [sym_private_property_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [sym_super] = ACTIONS(2252),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [sym_null] = ACTIONS(2252),
    [sym_undefined] = ACTIONS(2252),
    [anon_sym_AT] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_readonly] = ACTIONS(2252),
    [anon_sym_get] = ACTIONS(2252),
    [anon_sym_set] = ACTIONS(2252),
    [anon_sym_declare] = ACTIONS(2252),
    [anon_sym_public] = ACTIONS(2252),
    [anon_sym_private] = ACTIONS(2252),
    [anon_sym_protected] = ACTIONS(2252),
    [anon_sym_override] = ACTIONS(2252),
    [anon_sym_module] = ACTIONS(2252),
    [anon_sym_any] = ACTIONS(2252),
    [anon_sym_number] = ACTIONS(2252),
    [anon_sym_boolean] = ACTIONS(2252),
    [anon_sym_string] = ACTIONS(2252),
    [anon_sym_symbol] = ACTIONS(2252),
    [anon_sym_object] = ACTIONS(2252),
    [anon_sym_abstract] = ACTIONS(2252),
    [anon_sym_satisfies] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [sym__automatic_semicolon] = ACTIONS(2254),
    [sym__ternary_qmark] = ACTIONS(2254),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(463),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5409),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2506),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2508),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6585),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(464),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym__automatic_semicolon] = ACTIONS(2512),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(465),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5401),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1091),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2514),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2676),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6710),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(466),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym__automatic_semicolon] = ACTIONS(2518),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(467),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5512),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2520),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2522),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2168),
    [sym_subscript_expression] = STATE(2168),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4796),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(468),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_pattern] = STATE(5292),
    [sym_rest_pattern] = STATE(4588),
    [sym_non_null_expression] = STATE(2168),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(150),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1083),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2468),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6563),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(469),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym__automatic_semicolon] = ACTIONS(2526),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2607),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6896),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(470),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym__automatic_semicolon] = ACTIONS(2530),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2762),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6581),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(471),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym__automatic_semicolon] = ACTIONS(2534),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2908),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7300),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(472),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2536),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2906),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7126),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(473),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2838),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7541),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(474),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2540),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2344),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(6073),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(475),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2344),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2542),
    [anon_sym_export] = ACTIONS(2544),
    [anon_sym_type] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2550),
    [anon_sym_let] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2558),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_readonly] = ACTIONS(2544),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
    [anon_sym_declare] = ACTIONS(2544),
    [anon_sym_public] = ACTIONS(2544),
    [anon_sym_private] = ACTIONS(2544),
    [anon_sym_protected] = ACTIONS(2544),
    [anon_sym_override] = ACTIONS(2544),
    [anon_sym_module] = ACTIONS(2544),
    [anon_sym_any] = ACTIONS(2544),
    [anon_sym_number] = ACTIONS(2544),
    [anon_sym_boolean] = ACTIONS(2544),
    [anon_sym_string] = ACTIONS(2544),
    [anon_sym_symbol] = ACTIONS(2544),
    [anon_sym_object] = ACTIONS(2544),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2843),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7410),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(476),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2564),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2877),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7220),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(477),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(2566),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3210),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3127),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(478),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2712),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3400),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(479),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2791),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2816),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(480),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2674),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3454),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(481),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2902),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7212),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(482),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3421),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(483),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2485),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7381),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(484),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2869),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7214),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(485),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2876),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7219),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(486),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2903),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(487),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3476),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(488),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2898),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7366),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(489),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2899),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7367),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(490),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2905),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7368),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(491),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2912),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7407),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(492),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2791),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2885),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(493),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2791),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3464),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(494),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2521),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7513),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(495),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2858),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7148),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(496),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3263),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2757),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(497),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2847),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7199),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(498),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2791),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3367),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(499),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3174),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3017),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(500),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3168),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3018),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(501),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3164),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3019),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(502),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3377),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(503),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2674),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(504),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2712),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3342),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(505),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2714),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3356),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(506),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2720),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3382),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(507),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3299),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3033),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(508),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3299),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2737),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(509),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2767),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6580),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(510),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2799),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7297),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(511),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3263),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(512),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2674),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2832),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(513),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2791),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3426),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(514),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2720),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3398),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(515),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2548),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7538),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(516),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2534),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7240),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(517),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2714),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3438),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(518),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2714),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3399),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(519),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2712),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3445),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(520),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3263),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3001),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(521),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2655),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6575),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(522),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2720),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3434),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(523),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2590),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7484),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(524),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2714),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2640),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(525),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2720),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2883),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(526),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3210),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2613),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(527),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(528),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym__extends_clause_single] = STATE(5624),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2674),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3320),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(529),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3299),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2666),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(530),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2791),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2754),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(531),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2825),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(532),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2714),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2861),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(533),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2712),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(534),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2712),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2859),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(535),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3258),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(536),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2714),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2856),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(537),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2720),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(538),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2677),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6707),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(539),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3162),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(540),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_mapped_type_clause] = STATE(7207),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_export] = ACTIONS(2576),
    [anon_sym_type] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2580),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_readonly] = ACTIONS(2576),
    [anon_sym_get] = ACTIONS(2576),
    [anon_sym_set] = ACTIONS(2576),
    [anon_sym_declare] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_protected] = ACTIONS(2576),
    [anon_sym_override] = ACTIONS(2576),
    [anon_sym_module] = ACTIONS(2576),
    [anon_sym_any] = ACTIONS(2576),
    [anon_sym_number] = ACTIONS(2576),
    [anon_sym_boolean] = ACTIONS(2576),
    [anon_sym_string] = ACTIONS(2576),
    [anon_sym_symbol] = ACTIONS(2576),
    [anon_sym_object] = ACTIONS(2576),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2720),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2648),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(541),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2907),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7281),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(542),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2597),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6591),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(543),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2509),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7507),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(544),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7599),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(545),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2791),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3173),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(546),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3174),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2755),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(547),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2894),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7249),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(548),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2674),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3304),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(549),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3168),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(550),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2606),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_sequence_expression] = STATE(6895),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(551),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3164),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(552),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2674),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2756),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(553),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3210),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2773),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(554),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3164),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2743),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(555),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_sequence_expression] = STATE(7266),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(556),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2712),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3284),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(557),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3168),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2647),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(558),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(4341),
    [sym_statement_block] = STATE(3174),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(559),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2720),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3302),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(560),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3162),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(561),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_mapped_type_clause] = STATE(7141),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_export] = ACTIONS(2586),
    [anon_sym_type] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2590),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_readonly] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_declare] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_any] = ACTIONS(2586),
    [anon_sym_number] = ACTIONS(2586),
    [anon_sym_boolean] = ACTIONS(2586),
    [anon_sym_string] = ACTIONS(2586),
    [anon_sym_symbol] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(562),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym__extends_clause_single] = STATE(5897),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2714),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3287),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(563),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2674),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2875),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(564),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2623),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2707),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(565),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(4312),
    [sym_statement_block] = STATE(2712),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2634),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(566),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2724),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(567),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2921),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(568),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2713),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(569),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(570),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2760),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(571),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2711),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(572),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2870),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(573),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2763),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(574),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2924),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(575),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2681),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(576),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3129),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(577),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2619),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(578),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2694),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(579),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3352),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(580),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2836),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(581),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3141),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(582),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(583),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2925),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(584),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3331),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(585),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3322),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(586),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2872),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(587),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2959),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(588),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2784),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(589),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2746),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(590),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2811),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(591),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2758),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(592),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2753),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(593),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(594),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3262),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(595),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3313),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(596),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(597),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2596),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3307),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(598),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2723),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(599),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2864),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(600),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2376),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2376),
    [sym_subscript_expression] = STATE(2376),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7246),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(601),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2376),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_export] = ACTIONS(2600),
    [anon_sym_type] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2604),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2608),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_readonly] = ACTIONS(2600),
    [anon_sym_get] = ACTIONS(2600),
    [anon_sym_set] = ACTIONS(2600),
    [anon_sym_declare] = ACTIONS(2600),
    [anon_sym_public] = ACTIONS(2600),
    [anon_sym_private] = ACTIONS(2600),
    [anon_sym_protected] = ACTIONS(2600),
    [anon_sym_override] = ACTIONS(2600),
    [anon_sym_module] = ACTIONS(2600),
    [anon_sym_any] = ACTIONS(2600),
    [anon_sym_number] = ACTIONS(2600),
    [anon_sym_boolean] = ACTIONS(2600),
    [anon_sym_string] = ACTIONS(2600),
    [anon_sym_symbol] = ACTIONS(2600),
    [anon_sym_object] = ACTIONS(2600),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3306),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(602),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2740),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(603),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2373),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2373),
    [sym_subscript_expression] = STATE(2373),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7443),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(604),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2373),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2610),
    [anon_sym_export] = ACTIONS(2612),
    [anon_sym_type] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2616),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_readonly] = ACTIONS(2612),
    [anon_sym_get] = ACTIONS(2612),
    [anon_sym_set] = ACTIONS(2612),
    [anon_sym_declare] = ACTIONS(2612),
    [anon_sym_public] = ACTIONS(2612),
    [anon_sym_private] = ACTIONS(2612),
    [anon_sym_protected] = ACTIONS(2612),
    [anon_sym_override] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2612),
    [anon_sym_any] = ACTIONS(2612),
    [anon_sym_number] = ACTIONS(2612),
    [anon_sym_boolean] = ACTIONS(2612),
    [anon_sym_string] = ACTIONS(2612),
    [anon_sym_symbol] = ACTIONS(2612),
    [anon_sym_object] = ACTIONS(2612),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2662),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(605),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3303),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(606),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2722),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(607),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2719),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(608),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2749),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(609),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2703),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(610),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(3011),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(611),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(612),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2608),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(613),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2622),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3370),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(614),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2700),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(615),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3188),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(616),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3361),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(617),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2735),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(618),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2693),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(619),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(620),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(621),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2629),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(622),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2705),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(623),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(624),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2776),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(625),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3154),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(626),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2680),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(627),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2684),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(628),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3185),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(629),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3372),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(630),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(631),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2622),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3283),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(632),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3273),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(633),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2837),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(634),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2827),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(635),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3280),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(636),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3262),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(637),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3407),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(638),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3236),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(639),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2782),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(640),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2732),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(641),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3260),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(642),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(643),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2726),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(644),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(645),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3255),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(646),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2730),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(647),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2371),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2371),
    [sym_subscript_expression] = STATE(2371),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7251),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(648),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2371),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_export] = ACTIONS(2626),
    [anon_sym_type] = ACTIONS(2626),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2630),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_readonly] = ACTIONS(2626),
    [anon_sym_get] = ACTIONS(2626),
    [anon_sym_set] = ACTIONS(2626),
    [anon_sym_declare] = ACTIONS(2626),
    [anon_sym_public] = ACTIONS(2626),
    [anon_sym_private] = ACTIONS(2626),
    [anon_sym_protected] = ACTIONS(2626),
    [anon_sym_override] = ACTIONS(2626),
    [anon_sym_module] = ACTIONS(2626),
    [anon_sym_any] = ACTIONS(2626),
    [anon_sym_number] = ACTIONS(2626),
    [anon_sym_boolean] = ACTIONS(2626),
    [anon_sym_string] = ACTIONS(2626),
    [anon_sym_symbol] = ACTIONS(2626),
    [anon_sym_object] = ACTIONS(2626),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2739),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(649),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2865),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(650),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2866),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(651),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2745),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(652),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2770),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(653),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3406),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(654),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3401),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(655),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2851),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(656),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3455),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(657),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2636),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3376),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(658),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2783),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(659),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3265),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(660),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3266),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(661),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3271),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(662),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2788),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(663),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(664),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(665),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3278),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(666),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2781),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(667),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2797),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(668),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(669),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3281),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(670),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2920),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(671),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3282),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(672),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3286),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(673),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3242),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(674),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3293),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(675),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3360),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(676),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2664),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(677),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2658),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(678),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3295),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(679),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3396),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(680),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2643),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(681),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2372),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2372),
    [sym_subscript_expression] = STATE(2372),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7445),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(682),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2372),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_export] = ACTIONS(2640),
    [anon_sym_type] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2644),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_readonly] = ACTIONS(2640),
    [anon_sym_get] = ACTIONS(2640),
    [anon_sym_set] = ACTIONS(2640),
    [anon_sym_declare] = ACTIONS(2640),
    [anon_sym_public] = ACTIONS(2640),
    [anon_sym_private] = ACTIONS(2640),
    [anon_sym_protected] = ACTIONS(2640),
    [anon_sym_override] = ACTIONS(2640),
    [anon_sym_module] = ACTIONS(2640),
    [anon_sym_any] = ACTIONS(2640),
    [anon_sym_number] = ACTIONS(2640),
    [anon_sym_boolean] = ACTIONS(2640),
    [anon_sym_string] = ACTIONS(2640),
    [anon_sym_symbol] = ACTIONS(2640),
    [anon_sym_object] = ACTIONS(2640),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2641),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(683),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3140),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(684),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3319),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(685),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3148),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(686),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2636),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(687),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2919),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(688),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3324),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(689),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(690),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2633),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(691),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2632),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(692),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2628),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(693),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2379),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2379),
    [sym_subscript_expression] = STATE(2379),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7173),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(694),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2379),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_type] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2656),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_readonly] = ACTIONS(2652),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
    [anon_sym_declare] = ACTIONS(2652),
    [anon_sym_public] = ACTIONS(2652),
    [anon_sym_private] = ACTIONS(2652),
    [anon_sym_protected] = ACTIONS(2652),
    [anon_sym_override] = ACTIONS(2652),
    [anon_sym_module] = ACTIONS(2652),
    [anon_sym_any] = ACTIONS(2652),
    [anon_sym_number] = ACTIONS(2652),
    [anon_sym_boolean] = ACTIONS(2652),
    [anon_sym_string] = ACTIONS(2652),
    [anon_sym_symbol] = ACTIONS(2652),
    [anon_sym_object] = ACTIONS(2652),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2765),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(695),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(696),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(697),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2622),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(698),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(699),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2620),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(700),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2614),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(701),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2819),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(702),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3393),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(703),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3392),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(704),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2611),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(705),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3391),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(706),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(707),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3390),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(708),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2862),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(709),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2701),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(710),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2900),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(711),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3389),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(712),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2918),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(713),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3387),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(714),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3386),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(715),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3384),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(716),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3257),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(717),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2834),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(718),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3383),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(719),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2380),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2380),
    [sym_subscript_expression] = STATE(2380),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7455),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(720),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2380),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_export] = ACTIONS(2664),
    [anon_sym_type] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2668),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2670),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2672),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_readonly] = ACTIONS(2664),
    [anon_sym_get] = ACTIONS(2664),
    [anon_sym_set] = ACTIONS(2664),
    [anon_sym_declare] = ACTIONS(2664),
    [anon_sym_public] = ACTIONS(2664),
    [anon_sym_private] = ACTIONS(2664),
    [anon_sym_protected] = ACTIONS(2664),
    [anon_sym_override] = ACTIONS(2664),
    [anon_sym_module] = ACTIONS(2664),
    [anon_sym_any] = ACTIONS(2664),
    [anon_sym_number] = ACTIONS(2664),
    [anon_sym_boolean] = ACTIONS(2664),
    [anon_sym_string] = ACTIONS(2664),
    [anon_sym_symbol] = ACTIONS(2664),
    [anon_sym_object] = ACTIONS(2664),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(721),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3381),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(722),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2823),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(723),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3380),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(724),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3378),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(725),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2985),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(726),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3455),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(727),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3338),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(728),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(729),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2862),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(730),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2848),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(731),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(732),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3368),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(733),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3026),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(734),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2822),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(735),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2656),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(736),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(737),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3366),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(738),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2917),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(739),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3124),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(740),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3142),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(741),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2974),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(742),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3110),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(743),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(3005),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(744),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3345),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(745),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3062),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(746),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3061),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(747),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3050),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(748),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3043),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(749),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3042),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(750),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3041),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(751),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2378),
    [sym_subscript_expression] = STATE(2378),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7358),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(752),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2378),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2674),
    [anon_sym_export] = ACTIONS(2676),
    [anon_sym_type] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2680),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2682),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2684),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_readonly] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_declare] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_module] = ACTIONS(2676),
    [anon_sym_any] = ACTIONS(2676),
    [anon_sym_number] = ACTIONS(2676),
    [anon_sym_boolean] = ACTIONS(2676),
    [anon_sym_string] = ACTIONS(2676),
    [anon_sym_symbol] = ACTIONS(2676),
    [anon_sym_object] = ACTIONS(2676),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3040),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(753),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3037),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(754),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3035),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(755),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2835),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(756),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3034),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(757),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2916),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(758),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3032),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(759),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3455),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(760),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2686),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2915),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(761),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3346),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(762),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3267),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(763),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3162),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(764),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3264),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(765),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3412),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(766),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(767),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2636),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2853),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(768),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3422),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(769),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2608),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(770),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3016),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(771),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2167),
    [sym_subscript_expression] = STATE(2167),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(4780),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(772),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2167),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_export] = ACTIONS(2690),
    [anon_sym_type] = ACTIONS(2690),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2698),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_readonly] = ACTIONS(2690),
    [anon_sym_get] = ACTIONS(2690),
    [anon_sym_set] = ACTIONS(2690),
    [anon_sym_declare] = ACTIONS(2690),
    [anon_sym_public] = ACTIONS(2690),
    [anon_sym_private] = ACTIONS(2690),
    [anon_sym_protected] = ACTIONS(2690),
    [anon_sym_override] = ACTIONS(2690),
    [anon_sym_module] = ACTIONS(2690),
    [anon_sym_any] = ACTIONS(2690),
    [anon_sym_number] = ACTIONS(2690),
    [anon_sym_boolean] = ACTIONS(2690),
    [anon_sym_string] = ACTIONS(2690),
    [anon_sym_symbol] = ACTIONS(2690),
    [anon_sym_object] = ACTIONS(2690),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(3014),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(773),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(774),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(775),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2813),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(776),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2862),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(777),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2636),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2621),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(778),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2595),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(779),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2831),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(780),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2829),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(781),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2718),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(782),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3238),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(783),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2375),
    [sym_subscript_expression] = STATE(2375),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7221),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(784),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2375),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_export] = ACTIONS(2702),
    [anon_sym_type] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2710),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_readonly] = ACTIONS(2702),
    [anon_sym_get] = ACTIONS(2702),
    [anon_sym_set] = ACTIONS(2702),
    [anon_sym_declare] = ACTIONS(2702),
    [anon_sym_public] = ACTIONS(2702),
    [anon_sym_private] = ACTIONS(2702),
    [anon_sym_protected] = ACTIONS(2702),
    [anon_sym_override] = ACTIONS(2702),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_any] = ACTIONS(2702),
    [anon_sym_number] = ACTIONS(2702),
    [anon_sym_boolean] = ACTIONS(2702),
    [anon_sym_string] = ACTIONS(2702),
    [anon_sym_symbol] = ACTIONS(2702),
    [anon_sym_object] = ACTIONS(2702),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3414),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(785),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2913),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(786),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2949),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(787),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2812),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(788),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2927),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(789),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3417),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(790),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2910),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(791),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3372),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(792),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3427),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(793),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3311),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(794),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2748),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(795),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2809),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(796),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2808),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(797),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2271),
    [sym_expression] = STATE(2764),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2271),
    [sym_subscript_expression] = STATE(2271),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3993),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7357),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(798),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2271),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(795),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1491),
    [anon_sym_namespace] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1501),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1507),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_void] = ACTIONS(1499),
    [anon_sym_delete] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1523),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1805),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_readonly] = ACTIONS(1491),
    [anon_sym_get] = ACTIONS(1491),
    [anon_sym_set] = ACTIONS(1491),
    [anon_sym_declare] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_override] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_any] = ACTIONS(1491),
    [anon_sym_number] = ACTIONS(1491),
    [anon_sym_boolean] = ACTIONS(1491),
    [anon_sym_string] = ACTIONS(1491),
    [anon_sym_symbol] = ACTIONS(1491),
    [anon_sym_object] = ACTIONS(1491),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2849),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(799),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3465),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(800),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3463),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(801),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2806),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(802),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2886),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(803),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3466),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(804),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(805),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2805),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(806),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2904),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(807),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3428),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(808),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3416),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(809),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3362),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(810),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3361),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(811),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3473),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(812),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2945),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(813),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2882),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(814),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3436),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(815),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2803),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(816),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3455),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(817),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2943),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(818),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3474),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(819),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(820),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2982),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(821),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3478),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(822),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3429),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(823),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3481),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(824),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3482),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(825),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3488),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(826),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3430),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(827),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3504),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(828),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2857),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(829),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3285),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(830),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3496),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(831),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2888),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(832),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3420),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(833),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3493),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(834),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3492),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(835),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2833),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(836),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3489),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(837),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2646),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(838),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2374),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2374),
    [sym_subscript_expression] = STATE(2374),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7491),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(839),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2374),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_export] = ACTIONS(2714),
    [anon_sym_type] = ACTIONS(2714),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2722),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_readonly] = ACTIONS(2714),
    [anon_sym_get] = ACTIONS(2714),
    [anon_sym_set] = ACTIONS(2714),
    [anon_sym_declare] = ACTIONS(2714),
    [anon_sym_public] = ACTIONS(2714),
    [anon_sym_private] = ACTIONS(2714),
    [anon_sym_protected] = ACTIONS(2714),
    [anon_sym_override] = ACTIONS(2714),
    [anon_sym_module] = ACTIONS(2714),
    [anon_sym_any] = ACTIONS(2714),
    [anon_sym_number] = ACTIONS(2714),
    [anon_sym_boolean] = ACTIONS(2714),
    [anon_sym_string] = ACTIONS(2714),
    [anon_sym_symbol] = ACTIONS(2714),
    [anon_sym_object] = ACTIONS(2714),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2802),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(840),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(3063),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(841),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(3064),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(842),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3480),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(843),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2801),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(844),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3423),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7433),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3972),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7492),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(845),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(790),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_namespace] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1543),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1547),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1541),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1559),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1535),
    [anon_sym_readonly] = ACTIONS(1535),
    [anon_sym_get] = ACTIONS(1535),
    [anon_sym_set] = ACTIONS(1535),
    [anon_sym_declare] = ACTIONS(1535),
    [anon_sym_public] = ACTIONS(1535),
    [anon_sym_private] = ACTIONS(1535),
    [anon_sym_protected] = ACTIONS(1535),
    [anon_sym_override] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_any] = ACTIONS(1535),
    [anon_sym_number] = ACTIONS(1535),
    [anon_sym_boolean] = ACTIONS(1535),
    [anon_sym_string] = ACTIONS(1535),
    [anon_sym_symbol] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1535),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2800),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(846),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2377),
    [sym_subscript_expression] = STATE(2377),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7375),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(847),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2377),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_export] = ACTIONS(2726),
    [anon_sym_type] = ACTIONS(2726),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2726),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2734),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_readonly] = ACTIONS(2726),
    [anon_sym_get] = ACTIONS(2726),
    [anon_sym_set] = ACTIONS(2726),
    [anon_sym_declare] = ACTIONS(2726),
    [anon_sym_public] = ACTIONS(2726),
    [anon_sym_private] = ACTIONS(2726),
    [anon_sym_protected] = ACTIONS(2726),
    [anon_sym_override] = ACTIONS(2726),
    [anon_sym_module] = ACTIONS(2726),
    [anon_sym_any] = ACTIONS(2726),
    [anon_sym_number] = ACTIONS(2726),
    [anon_sym_boolean] = ACTIONS(2726),
    [anon_sym_string] = ACTIONS(2726),
    [anon_sym_symbol] = ACTIONS(2726),
    [anon_sym_object] = ACTIONS(2726),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(848),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2686),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3442),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(849),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2901),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(850),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3459),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(851),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(2873),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7572),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4007),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7234),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(852),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2284),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(735),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
    [anon_sym_object] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2639),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7396),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(853),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2270),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1637),
    [anon_sym_type] = ACTIONS(1637),
    [anon_sym_namespace] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1637),
    [anon_sym_readonly] = ACTIONS(1637),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_public] = ACTIONS(1637),
    [anon_sym_private] = ACTIONS(1637),
    [anon_sym_protected] = ACTIONS(1637),
    [anon_sym_override] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_any] = ACTIONS(1637),
    [anon_sym_number] = ACTIONS(1637),
    [anon_sym_boolean] = ACTIONS(1637),
    [anon_sym_string] = ACTIONS(1637),
    [anon_sym_symbol] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1637),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3447),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(854),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2096),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7235),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2096),
    [sym_subscript_expression] = STATE(2096),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3986),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7568),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(855),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2096),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(801),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1107),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_using] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(173),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2270),
    [sym_expression] = STATE(2900),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7345),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2249),
    [sym_subscript_expression] = STATE(2249),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3992),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(5214),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(856),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2249),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(669),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(2736),
    [anon_sym_export] = ACTIONS(1771),
    [anon_sym_type] = ACTIONS(1771),
    [anon_sym_namespace] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1771),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1771),
    [anon_sym_readonly] = ACTIONS(1771),
    [anon_sym_get] = ACTIONS(1771),
    [anon_sym_set] = ACTIONS(1771),
    [anon_sym_declare] = ACTIONS(1771),
    [anon_sym_public] = ACTIONS(1771),
    [anon_sym_private] = ACTIONS(1771),
    [anon_sym_protected] = ACTIONS(1771),
    [anon_sym_override] = ACTIONS(1771),
    [anon_sym_module] = ACTIONS(1771),
    [anon_sym_any] = ACTIONS(1771),
    [anon_sym_number] = ACTIONS(1771),
    [anon_sym_boolean] = ACTIONS(1771),
    [anon_sym_string] = ACTIONS(1771),
    [anon_sym_symbol] = ACTIONS(1771),
    [anon_sym_object] = ACTIONS(1771),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2302),
    [sym_expression] = STATE(2982),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7227),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2302),
    [sym_subscript_expression] = STATE(2302),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3958),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7229),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(857),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2302),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(721),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1445),
    [anon_sym_type] = ACTIONS(1445),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_void] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2622),
    [sym_private_property_identifier] = ACTIONS(1479),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_declare] = ACTIONS(1445),
    [anon_sym_public] = ACTIONS(1445),
    [anon_sym_private] = ACTIONS(1445),
    [anon_sym_protected] = ACTIONS(1445),
    [anon_sym_override] = ACTIONS(1445),
    [anon_sym_module] = ACTIONS(1445),
    [anon_sym_any] = ACTIONS(1445),
    [anon_sym_number] = ACTIONS(1445),
    [anon_sym_boolean] = ACTIONS(1445),
    [anon_sym_string] = ACTIONS(1445),
    [anon_sym_symbol] = ACTIONS(1445),
    [anon_sym_object] = ACTIONS(1445),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(2820),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7224),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3942),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7233),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(858),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2286),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(803),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2322),
    [sym_expression] = STATE(3343),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7191),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2322),
    [sym_subscript_expression] = STATE(2322),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(4027),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7347),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(859),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2322),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(738),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1409),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1417),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_void] = ACTIONS(1409),
    [anon_sym_delete] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2358),
    [sym_expression] = STATE(3321),
    [sym_primary_expression] = STATE(2505),
    [sym_yield_expression] = STATE(2685),
    [sym_object] = STATE(2679),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(2679),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(2685),
    [sym_glimmer_opening_tag] = STATE(5730),
    [sym_class] = STATE(2679),
    [sym_function_expression] = STATE(2679),
    [sym_generator_function] = STATE(2679),
    [sym_arrow_function] = STATE(2679),
    [sym__call_signature] = STATE(7468),
    [sym_call_expression] = STATE(2679),
    [sym_new_expression] = STATE(2685),
    [sym_await_expression] = STATE(2685),
    [sym_member_expression] = STATE(2358),
    [sym_subscript_expression] = STATE(2358),
    [sym_assignment_expression] = STATE(2685),
    [sym__augmented_assignment_lhs] = STATE(3984),
    [sym_augmented_assignment_expression] = STATE(2685),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2685),
    [sym_binary_expression] = STATE(2685),
    [sym_unary_expression] = STATE(2685),
    [sym_update_expression] = STATE(2685),
    [sym_string] = STATE(2679),
    [sym_comment] = STATE(860),
    [sym_template_string] = STATE(2679),
    [sym_regex] = STATE(2679),
    [sym_meta_property] = STATE(2679),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2358),
    [sym_type_assertion] = STATE(2685),
    [sym_as_expression] = STATE(2685),
    [sym_satisfies_expression] = STATE(2685),
    [sym_instantiation_expression] = STATE(2685),
    [sym_internal_module] = STATE(2685),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5589),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1657),
    [anon_sym_type] = ACTIONS(1657),
    [anon_sym_namespace] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1663),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_class] = ACTIONS(148),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(152),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_void] = ACTIONS(1663),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1681),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_readonly] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_declare] = ACTIONS(1657),
    [anon_sym_public] = ACTIONS(1657),
    [anon_sym_private] = ACTIONS(1657),
    [anon_sym_protected] = ACTIONS(1657),
    [anon_sym_override] = ACTIONS(1657),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1657),
    [anon_sym_number] = ACTIONS(1657),
    [anon_sym_boolean] = ACTIONS(1657),
    [anon_sym_string] = ACTIONS(1657),
    [anon_sym_symbol] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1657),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [sym_import] = STATE(4341),
    [sym_parenthesized_expression] = STATE(2263),
    [sym_expression] = STATE(2708),
    [sym_primary_expression] = STATE(3054),
    [sym_yield_expression] = STATE(3336),
    [sym_object] = STATE(3425),
    [sym_object_pattern] = STATE(4344),
    [sym_array] = STATE(3425),
    [sym_array_pattern] = STATE(4344),
    [sym_glimmer_template] = STATE(3336),
    [sym_glimmer_opening_tag] = STATE(5736),
    [sym_class] = STATE(3425),
    [sym_function_expression] = STATE(3425),
    [sym_generator_function] = STATE(3425),
    [sym_arrow_function] = STATE(3425),
    [sym__call_signature] = STATE(7575),
    [sym_call_expression] = STATE(3425),
    [sym_new_expression] = STATE(3336),
    [sym_await_expression] = STATE(3336),
    [sym_member_expression] = STATE(2263),
    [sym_subscript_expression] = STATE(2263),
    [sym_assignment_expression] = STATE(3336),
    [sym__augmented_assignment_lhs] = STATE(3941),
    [sym_augmented_assignment_expression] = STATE(3336),
    [sym__destructuring_pattern] = STATE(7574),
    [sym_ternary_expression] = STATE(3336),
    [sym_binary_expression] = STATE(3336),
    [sym_unary_expression] = STATE(3336),
    [sym_update_expression] = STATE(3336),
    [sym_string] = STATE(3425),
    [sym_comment] = STATE(861),
    [sym_template_string] = STATE(3425),
    [sym_regex] = STATE(3425),
    [sym_meta_property] = STATE(3425),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4978),
    [sym_non_null_expression] = STATE(2263),
    [sym_type_assertion] = STATE(3336),
    [sym_as_expression] = STATE(3336),
    [sym_satisfies_expression] = STATE(3336),
    [sym_instantiation_expression] = STATE(3336),
    [sym_internal_module] = STATE(3336),
    [sym_type_arguments] = STATE(695),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_export_statement_repeat1] = STATE(5639),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_export] = ACTIONS(1615),
    [anon_sym_type] = ACTIONS(1615),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1621),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_declare] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_override] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_any] = ACTIONS(1615),
    [anon_sym_number] = ACTIONS(1615),
    [anon_sym_boolean] = ACTIONS(1615),
    [anon_sym_string] = ACTIONS(1615),
    [anon_sym_symbol] = ACTIONS(1615),
    [anon_sym_object] = ACTIONS(1615),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [sym_namespace_export] = STATE(6495),
    [sym_export_clause] = STATE(5727),
    [sym_declaration] = STATE(1646),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_class_declaration] = STATE(1772),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_comment] = STATE(862),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1772),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(1647),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [aux_sym_export_statement_repeat1] = STATE(5112),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [sym_namespace_export] = STATE(6495),
    [sym_export_clause] = STATE(5727),
    [sym_declaration] = STATE(1646),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_class_declaration] = STATE(1772),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_comment] = STATE(863),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1772),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(1647),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [aux_sym_export_statement_repeat1] = STATE(5112),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [sym_namespace_export] = STATE(6495),
    [sym_export_clause] = STATE(5727),
    [sym_declaration] = STATE(1646),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_class_declaration] = STATE(1772),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_comment] = STATE(864),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1772),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(1647),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [aux_sym_export_statement_repeat1] = STATE(5112),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2801),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [sym__call_signature] = STATE(7448),
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(865),
    [sym_formal_parameters] = STATE(4978),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [sym__call_signature] = STATE(7448),
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(866),
    [sym_formal_parameters] = STATE(4978),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [sym__call_signature] = STATE(7448),
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(867),
    [sym_formal_parameters] = STATE(4978),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [sym_type_parameters] = STATE(6489),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [sym_declaration] = STATE(1732),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_class_declaration] = STATE(1772),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_comment] = STATE(868),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1772),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(1647),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [aux_sym_export_statement_repeat1] = STATE(5112),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [sym_declaration] = STATE(1732),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_class_declaration] = STATE(1772),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_comment] = STATE(869),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1772),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(1647),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [aux_sym_export_statement_repeat1] = STATE(5112),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [sym_declaration] = STATE(1732),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_class_declaration] = STATE(1772),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_comment] = STATE(870),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1772),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(1647),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [aux_sym_export_statement_repeat1] = STATE(5112),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2801),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [sym_namespace_export] = STATE(6495),
    [sym_export_clause] = STATE(5727),
    [sym_declaration] = STATE(1646),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_class_declaration] = STATE(1772),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_comment] = STATE(871),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1772),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(1647),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [aux_sym_export_statement_repeat1] = STATE(5112),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2833),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [sym_namespace_export] = STATE(6941),
    [sym_export_clause] = STATE(5579),
    [sym_declaration] = STATE(1360),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_class_declaration] = STATE(1364),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_comment] = STATE(872),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1364),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(1358),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [aux_sym_export_statement_repeat1] = STATE(5167),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2839),
    [anon_sym_type] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_as] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2849),
    [anon_sym_var] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2859),
    [anon_sym_async] = ACTIONS(2861),
    [anon_sym_function] = ACTIONS(2863),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2865),
    [anon_sym_module] = ACTIONS(2867),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2873),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [sym_namespace_export] = STATE(6697),
    [sym_export_clause] = STATE(5728),
    [sym_declaration] = STATE(6959),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_class_declaration] = STATE(6924),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_comment] = STATE(873),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(6924),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(6925),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [aux_sym_export_statement_repeat1] = STATE(5328),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_type] = ACTIONS(2879),
    [anon_sym_EQ] = ACTIONS(2881),
    [anon_sym_as] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2887),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2899),
    [anon_sym_function] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2903),
    [anon_sym_module] = ACTIONS(2905),
    [anon_sym_abstract] = ACTIONS(2907),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2911),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [sym_namespace_export] = STATE(7112),
    [sym_export_clause] = STATE(5583),
    [sym_declaration] = STATE(1316),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_class_declaration] = STATE(1318),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_comment] = STATE(874),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1318),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(1315),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [aux_sym_export_statement_repeat1] = STATE(5125),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2917),
    [anon_sym_EQ] = ACTIONS(2919),
    [anon_sym_as] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2925),
    [anon_sym_var] = ACTIONS(2927),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_async] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2941),
    [anon_sym_module] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2945),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2949),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [sym_namespace_export] = STATE(7031),
    [sym_export_clause] = STATE(5723),
    [sym_declaration] = STATE(1186),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_class_declaration] = STATE(1205),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_comment] = STATE(875),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1205),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(1185),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(5095),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_type] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_function] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2979),
    [anon_sym_module] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2983),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2987),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(876),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [sym_override_modifier] = STATE(3765),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2997),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(877),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [sym_override_modifier] = STATE(3765),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2997),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(878),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [sym_override_modifier] = STATE(3765),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2997),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(879),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(880),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(881),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(882),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(883),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [sym_string] = STATE(4552),
    [sym_comment] = STATE(884),
    [sym__property_name] = STATE(4902),
    [sym_computed_property_name] = STATE(4552),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_async] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [sym_declaration] = STATE(1732),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_class_declaration] = STATE(1772),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_comment] = STATE(885),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1772),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(1647),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [aux_sym_export_statement_repeat1] = STATE(5112),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [sym_declaration] = STATE(1150),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_class_declaration] = STATE(1205),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_comment] = STATE(886),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1205),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(1185),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(5095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_function] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2979),
    [anon_sym_module] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(2983),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3003),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2987),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [sym_declaration] = STATE(1322),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_class_declaration] = STATE(1364),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_comment] = STATE(887),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1364),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(1358),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [aux_sym_export_statement_repeat1] = STATE(5167),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2849),
    [anon_sym_var] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2859),
    [anon_sym_async] = ACTIONS(2861),
    [anon_sym_function] = ACTIONS(2863),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2865),
    [anon_sym_module] = ACTIONS(3007),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3009),
    [anon_sym_interface] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2873),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [sym_declaration] = STATE(6938),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_class_declaration] = STATE(6924),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_comment] = STATE(888),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(6924),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(6925),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [aux_sym_export_statement_repeat1] = STATE(5328),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2887),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2899),
    [anon_sym_function] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2903),
    [anon_sym_module] = ACTIONS(3013),
    [anon_sym_abstract] = ACTIONS(2907),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3015),
    [anon_sym_interface] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2911),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [sym_declaration] = STATE(1274),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_class_declaration] = STATE(1318),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_comment] = STATE(889),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1318),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(1315),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [aux_sym_export_statement_repeat1] = STATE(5125),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2925),
    [anon_sym_var] = ACTIONS(2927),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_async] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2941),
    [anon_sym_module] = ACTIONS(3019),
    [anon_sym_abstract] = ACTIONS(2945),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3021),
    [anon_sym_interface] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2949),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [sym_comment] = STATE(890),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2470),
    [anon_sym_export] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_type] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_async] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2470),
    [sym_private_property_identifier] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_readonly] = ACTIONS(2470),
    [anon_sym_get] = ACTIONS(2470),
    [anon_sym_set] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2470),
    [anon_sym_public] = ACTIONS(2470),
    [anon_sym_private] = ACTIONS(2470),
    [anon_sym_protected] = ACTIONS(2470),
    [anon_sym_override] = ACTIONS(2470),
    [anon_sym_module] = ACTIONS(2470),
    [anon_sym_any] = ACTIONS(2470),
    [anon_sym_number] = ACTIONS(2470),
    [anon_sym_boolean] = ACTIONS(2470),
    [anon_sym_string] = ACTIONS(2470),
    [anon_sym_symbol] = ACTIONS(2470),
    [anon_sym_object] = ACTIONS(2470),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [sym_comment] = STATE(891),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [sym_comment] = STATE(892),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2470),
    [anon_sym_export] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_type] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_let] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_async] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2470),
    [sym_private_property_identifier] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_readonly] = ACTIONS(2470),
    [anon_sym_get] = ACTIONS(2470),
    [anon_sym_set] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2470),
    [anon_sym_public] = ACTIONS(2470),
    [anon_sym_private] = ACTIONS(2470),
    [anon_sym_protected] = ACTIONS(2470),
    [anon_sym_override] = ACTIONS(2470),
    [anon_sym_module] = ACTIONS(2470),
    [anon_sym_any] = ACTIONS(2470),
    [anon_sym_number] = ACTIONS(2470),
    [anon_sym_boolean] = ACTIONS(2470),
    [anon_sym_string] = ACTIONS(2470),
    [anon_sym_symbol] = ACTIONS(2470),
    [anon_sym_object] = ACTIONS(2470),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [sym_declaration] = STATE(1274),
    [sym_variable_declaration] = STATE(1318),
    [sym_lexical_declaration] = STATE(1318),
    [sym_class_declaration] = STATE(1318),
    [sym_function_declaration] = STATE(1318),
    [sym_generator_function_declaration] = STATE(1318),
    [sym_comment] = STATE(893),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1318),
    [sym_ambient_declaration] = STATE(1318),
    [sym_abstract_class_declaration] = STATE(1318),
    [sym_module] = STATE(1318),
    [sym_internal_module] = STATE(1315),
    [sym_import_alias] = STATE(1318),
    [sym_interface_declaration] = STATE(1318),
    [sym_enum_declaration] = STATE(1318),
    [sym_type_alias_declaration] = STATE(1318),
    [aux_sym_export_statement_repeat1] = STATE(5125),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_import] = ACTIONS(2925),
    [anon_sym_var] = ACTIONS(2927),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_async] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2941),
    [anon_sym_module] = ACTIONS(3019),
    [anon_sym_abstract] = ACTIONS(2945),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3021),
    [anon_sym_interface] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2949),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [sym_declaration] = STATE(6938),
    [sym_variable_declaration] = STATE(6924),
    [sym_lexical_declaration] = STATE(6924),
    [sym_class_declaration] = STATE(6924),
    [sym_function_declaration] = STATE(6924),
    [sym_generator_function_declaration] = STATE(6924),
    [sym_comment] = STATE(894),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(6924),
    [sym_ambient_declaration] = STATE(6924),
    [sym_abstract_class_declaration] = STATE(6924),
    [sym_module] = STATE(6924),
    [sym_internal_module] = STATE(6925),
    [sym_import_alias] = STATE(6924),
    [sym_interface_declaration] = STATE(6924),
    [sym_enum_declaration] = STATE(6924),
    [sym_type_alias_declaration] = STATE(6924),
    [aux_sym_export_statement_repeat1] = STATE(5328),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_import] = ACTIONS(2887),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2899),
    [anon_sym_function] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2903),
    [anon_sym_module] = ACTIONS(3013),
    [anon_sym_abstract] = ACTIONS(2907),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3015),
    [anon_sym_interface] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2911),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [sym_comment] = STATE(895),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [sym_declaration] = STATE(1322),
    [sym_variable_declaration] = STATE(1364),
    [sym_lexical_declaration] = STATE(1364),
    [sym_class_declaration] = STATE(1364),
    [sym_function_declaration] = STATE(1364),
    [sym_generator_function_declaration] = STATE(1364),
    [sym_comment] = STATE(896),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1364),
    [sym_ambient_declaration] = STATE(1364),
    [sym_abstract_class_declaration] = STATE(1364),
    [sym_module] = STATE(1364),
    [sym_internal_module] = STATE(1358),
    [sym_import_alias] = STATE(1364),
    [sym_interface_declaration] = STATE(1364),
    [sym_enum_declaration] = STATE(1364),
    [sym_type_alias_declaration] = STATE(1364),
    [aux_sym_export_statement_repeat1] = STATE(5167),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_import] = ACTIONS(2849),
    [anon_sym_var] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2859),
    [anon_sym_async] = ACTIONS(2861),
    [anon_sym_function] = ACTIONS(2863),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2865),
    [anon_sym_module] = ACTIONS(3007),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3009),
    [anon_sym_interface] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2873),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [sym_declaration] = STATE(1150),
    [sym_variable_declaration] = STATE(1205),
    [sym_lexical_declaration] = STATE(1205),
    [sym_class_declaration] = STATE(1205),
    [sym_function_declaration] = STATE(1205),
    [sym_generator_function_declaration] = STATE(1205),
    [sym_comment] = STATE(897),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1205),
    [sym_ambient_declaration] = STATE(1205),
    [sym_abstract_class_declaration] = STATE(1205),
    [sym_module] = STATE(1205),
    [sym_internal_module] = STATE(1185),
    [sym_import_alias] = STATE(1205),
    [sym_interface_declaration] = STATE(1205),
    [sym_enum_declaration] = STATE(1205),
    [sym_type_alias_declaration] = STATE(1205),
    [aux_sym_export_statement_repeat1] = STATE(5095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_function] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2979),
    [anon_sym_module] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(2983),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3003),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2987),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [sym_comment] = STATE(898),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2470),
    [anon_sym_export] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_type] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_async] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2470),
    [sym_private_property_identifier] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_readonly] = ACTIONS(2470),
    [anon_sym_get] = ACTIONS(2470),
    [anon_sym_set] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2470),
    [anon_sym_public] = ACTIONS(2470),
    [anon_sym_private] = ACTIONS(2470),
    [anon_sym_protected] = ACTIONS(2470),
    [anon_sym_override] = ACTIONS(2470),
    [anon_sym_module] = ACTIONS(2470),
    [anon_sym_any] = ACTIONS(2470),
    [anon_sym_number] = ACTIONS(2470),
    [anon_sym_boolean] = ACTIONS(2470),
    [anon_sym_string] = ACTIONS(2470),
    [anon_sym_symbol] = ACTIONS(2470),
    [anon_sym_object] = ACTIONS(2470),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [sym_comment] = STATE(899),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [sym_declaration] = STATE(1732),
    [sym_variable_declaration] = STATE(1772),
    [sym_lexical_declaration] = STATE(1772),
    [sym_class_declaration] = STATE(1772),
    [sym_function_declaration] = STATE(1772),
    [sym_generator_function_declaration] = STATE(1772),
    [sym_comment] = STATE(900),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(1772),
    [sym_ambient_declaration] = STATE(1772),
    [sym_abstract_class_declaration] = STATE(1772),
    [sym_module] = STATE(1772),
    [sym_internal_module] = STATE(1647),
    [sym_import_alias] = STATE(1772),
    [sym_interface_declaration] = STATE(1772),
    [sym_enum_declaration] = STATE(1772),
    [sym_type_alias_declaration] = STATE(1772),
    [aux_sym_export_statement_repeat1] = STATE(5112),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [sym_declaration] = STATE(5104),
    [sym_variable_declaration] = STATE(5108),
    [sym_lexical_declaration] = STATE(5108),
    [sym_class_declaration] = STATE(5108),
    [sym_function_declaration] = STATE(5108),
    [sym_generator_function_declaration] = STATE(5108),
    [sym_comment] = STATE(901),
    [sym_decorator] = STATE(5733),
    [sym_function_signature] = STATE(5108),
    [sym_ambient_declaration] = STATE(5108),
    [sym_abstract_class_declaration] = STATE(5108),
    [sym_module] = STATE(5108),
    [sym_internal_module] = STATE(5109),
    [sym_import_alias] = STATE(5108),
    [sym_interface_declaration] = STATE(5108),
    [sym_enum_declaration] = STATE(5108),
    [sym_type_alias_declaration] = STATE(5108),
    [aux_sym_export_statement_repeat1] = STATE(5142),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3025),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3027),
    [anon_sym_import] = ACTIONS(3029),
    [anon_sym_var] = ACTIONS(3031),
    [anon_sym_let] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_async] = ACTIONS(3039),
    [anon_sym_function] = ACTIONS(3041),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(3043),
    [anon_sym_module] = ACTIONS(3045),
    [anon_sym_abstract] = ACTIONS(3047),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3049),
    [anon_sym_interface] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(902),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(903),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_COMMA] = ACTIONS(1117),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(1117),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1117),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(1117),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [sym__call_signature] = STATE(7351),
    [sym_comment] = STATE(904),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [sym__call_signature] = STATE(7448),
    [sym_comment] = STATE(905),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3071),
    [anon_sym_export] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3073),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_function] = ACTIONS(3075),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_readonly] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
    [anon_sym_declare] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_override] = ACTIONS(3073),
    [anon_sym_module] = ACTIONS(3073),
    [anon_sym_any] = ACTIONS(3073),
    [anon_sym_number] = ACTIONS(3073),
    [anon_sym_boolean] = ACTIONS(3073),
    [anon_sym_string] = ACTIONS(3073),
    [anon_sym_symbol] = ACTIONS(3073),
    [anon_sym_object] = ACTIONS(3073),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [sym__call_signature] = STATE(7404),
    [sym_comment] = STATE(906),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_export] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3079),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3079),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3079),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3079),
    [anon_sym_readonly] = ACTIONS(3079),
    [anon_sym_get] = ACTIONS(3079),
    [anon_sym_set] = ACTIONS(3079),
    [anon_sym_declare] = ACTIONS(3079),
    [anon_sym_public] = ACTIONS(3079),
    [anon_sym_private] = ACTIONS(3079),
    [anon_sym_protected] = ACTIONS(3079),
    [anon_sym_override] = ACTIONS(3079),
    [anon_sym_module] = ACTIONS(3079),
    [anon_sym_any] = ACTIONS(3079),
    [anon_sym_number] = ACTIONS(3079),
    [anon_sym_boolean] = ACTIONS(3079),
    [anon_sym_string] = ACTIONS(3079),
    [anon_sym_symbol] = ACTIONS(3079),
    [anon_sym_object] = ACTIONS(3079),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [sym__call_signature] = STATE(7350),
    [sym_comment] = STATE(907),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3083),
    [anon_sym_export] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_readonly] = ACTIONS(3085),
    [anon_sym_get] = ACTIONS(3085),
    [anon_sym_set] = ACTIONS(3085),
    [anon_sym_declare] = ACTIONS(3085),
    [anon_sym_public] = ACTIONS(3085),
    [anon_sym_private] = ACTIONS(3085),
    [anon_sym_protected] = ACTIONS(3085),
    [anon_sym_override] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_any] = ACTIONS(3085),
    [anon_sym_number] = ACTIONS(3085),
    [anon_sym_boolean] = ACTIONS(3085),
    [anon_sym_string] = ACTIONS(3085),
    [anon_sym_symbol] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3085),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [sym__call_signature] = STATE(7448),
    [sym_comment] = STATE(908),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3071),
    [anon_sym_export] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3073),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_readonly] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
    [anon_sym_declare] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_override] = ACTIONS(3073),
    [anon_sym_module] = ACTIONS(3073),
    [anon_sym_any] = ACTIONS(3073),
    [anon_sym_number] = ACTIONS(3073),
    [anon_sym_boolean] = ACTIONS(3073),
    [anon_sym_string] = ACTIONS(3073),
    [anon_sym_symbol] = ACTIONS(3073),
    [anon_sym_object] = ACTIONS(3073),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym__call_signature] = STATE(7404),
    [sym_comment] = STATE(909),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_export] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3079),
    [anon_sym_EQ] = ACTIONS(1189),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3079),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3079),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3079),
    [anon_sym_readonly] = ACTIONS(3079),
    [anon_sym_get] = ACTIONS(3079),
    [anon_sym_set] = ACTIONS(3079),
    [anon_sym_declare] = ACTIONS(3079),
    [anon_sym_public] = ACTIONS(3079),
    [anon_sym_private] = ACTIONS(3079),
    [anon_sym_protected] = ACTIONS(3079),
    [anon_sym_override] = ACTIONS(3079),
    [anon_sym_module] = ACTIONS(3079),
    [anon_sym_any] = ACTIONS(3079),
    [anon_sym_number] = ACTIONS(3079),
    [anon_sym_boolean] = ACTIONS(3079),
    [anon_sym_string] = ACTIONS(3079),
    [anon_sym_symbol] = ACTIONS(3079),
    [anon_sym_object] = ACTIONS(3079),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym__call_signature] = STATE(7448),
    [sym_comment] = STATE(910),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3071),
    [anon_sym_export] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3073),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_function] = ACTIONS(3089),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_readonly] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
    [anon_sym_declare] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_override] = ACTIONS(3073),
    [anon_sym_module] = ACTIONS(3073),
    [anon_sym_any] = ACTIONS(3073),
    [anon_sym_number] = ACTIONS(3073),
    [anon_sym_boolean] = ACTIONS(3073),
    [anon_sym_string] = ACTIONS(3073),
    [anon_sym_symbol] = ACTIONS(3073),
    [anon_sym_object] = ACTIONS(3073),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym__call_signature] = STATE(7448),
    [sym_comment] = STATE(911),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3071),
    [anon_sym_export] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3073),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_readonly] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
    [anon_sym_declare] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_override] = ACTIONS(3073),
    [anon_sym_module] = ACTIONS(3073),
    [anon_sym_any] = ACTIONS(3073),
    [anon_sym_number] = ACTIONS(3073),
    [anon_sym_boolean] = ACTIONS(3073),
    [anon_sym_string] = ACTIONS(3073),
    [anon_sym_symbol] = ACTIONS(3073),
    [anon_sym_object] = ACTIONS(3073),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym__call_signature] = STATE(7448),
    [sym_comment] = STATE(912),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3071),
    [anon_sym_export] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3073),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_function] = ACTIONS(3091),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_readonly] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
    [anon_sym_declare] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_override] = ACTIONS(3073),
    [anon_sym_module] = ACTIONS(3073),
    [anon_sym_any] = ACTIONS(3073),
    [anon_sym_number] = ACTIONS(3073),
    [anon_sym_boolean] = ACTIONS(3073),
    [anon_sym_string] = ACTIONS(3073),
    [anon_sym_symbol] = ACTIONS(3073),
    [anon_sym_object] = ACTIONS(3073),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym__call_signature] = STATE(7350),
    [sym_comment] = STATE(913),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3083),
    [anon_sym_export] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1242),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_readonly] = ACTIONS(3085),
    [anon_sym_get] = ACTIONS(3085),
    [anon_sym_set] = ACTIONS(3085),
    [anon_sym_declare] = ACTIONS(3085),
    [anon_sym_public] = ACTIONS(3085),
    [anon_sym_private] = ACTIONS(3085),
    [anon_sym_protected] = ACTIONS(3085),
    [anon_sym_override] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_any] = ACTIONS(3085),
    [anon_sym_number] = ACTIONS(3085),
    [anon_sym_boolean] = ACTIONS(3085),
    [anon_sym_string] = ACTIONS(3085),
    [anon_sym_symbol] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3085),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym__call_signature] = STATE(7448),
    [sym_comment] = STATE(914),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3071),
    [anon_sym_export] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3073),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_readonly] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
    [anon_sym_declare] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_override] = ACTIONS(3073),
    [anon_sym_module] = ACTIONS(3073),
    [anon_sym_any] = ACTIONS(3073),
    [anon_sym_number] = ACTIONS(3073),
    [anon_sym_boolean] = ACTIONS(3073),
    [anon_sym_string] = ACTIONS(3073),
    [anon_sym_symbol] = ACTIONS(3073),
    [anon_sym_object] = ACTIONS(3073),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym__call_signature] = STATE(7448),
    [sym_comment] = STATE(915),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3071),
    [anon_sym_export] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3073),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_readonly] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
    [anon_sym_declare] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_override] = ACTIONS(3073),
    [anon_sym_module] = ACTIONS(3073),
    [anon_sym_any] = ACTIONS(3073),
    [anon_sym_number] = ACTIONS(3073),
    [anon_sym_boolean] = ACTIONS(3073),
    [anon_sym_string] = ACTIONS(3073),
    [anon_sym_symbol] = ACTIONS(3073),
    [anon_sym_object] = ACTIONS(3073),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym__call_signature] = STATE(7350),
    [sym_comment] = STATE(916),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3083),
    [anon_sym_export] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_readonly] = ACTIONS(3085),
    [anon_sym_get] = ACTIONS(3085),
    [anon_sym_set] = ACTIONS(3085),
    [anon_sym_declare] = ACTIONS(3085),
    [anon_sym_public] = ACTIONS(3085),
    [anon_sym_private] = ACTIONS(3085),
    [anon_sym_protected] = ACTIONS(3085),
    [anon_sym_override] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_any] = ACTIONS(3085),
    [anon_sym_number] = ACTIONS(3085),
    [anon_sym_boolean] = ACTIONS(3085),
    [anon_sym_string] = ACTIONS(3085),
    [anon_sym_symbol] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3085),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym__call_signature] = STATE(7448),
    [sym_comment] = STATE(917),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3071),
    [anon_sym_export] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3073),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_readonly] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
    [anon_sym_declare] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_override] = ACTIONS(3073),
    [anon_sym_module] = ACTIONS(3073),
    [anon_sym_any] = ACTIONS(3073),
    [anon_sym_number] = ACTIONS(3073),
    [anon_sym_boolean] = ACTIONS(3073),
    [anon_sym_string] = ACTIONS(3073),
    [anon_sym_symbol] = ACTIONS(3073),
    [anon_sym_object] = ACTIONS(3073),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym__call_signature] = STATE(7351),
    [sym_comment] = STATE(918),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym__call_signature] = STATE(7437),
    [sym_comment] = STATE(919),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1249),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym__call_signature] = STATE(7245),
    [sym_comment] = STATE(920),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3097),
    [anon_sym_export] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3099),
    [anon_sym_EQ] = ACTIONS(1289),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_get] = ACTIONS(3099),
    [anon_sym_set] = ACTIONS(3099),
    [anon_sym_declare] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_module] = ACTIONS(3099),
    [anon_sym_any] = ACTIONS(3099),
    [anon_sym_number] = ACTIONS(3099),
    [anon_sym_boolean] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_symbol] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym__call_signature] = STATE(7245),
    [sym_comment] = STATE(921),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3097),
    [anon_sym_export] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3099),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_get] = ACTIONS(3099),
    [anon_sym_set] = ACTIONS(3099),
    [anon_sym_declare] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_module] = ACTIONS(3099),
    [anon_sym_any] = ACTIONS(3099),
    [anon_sym_number] = ACTIONS(3099),
    [anon_sym_boolean] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_symbol] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym__call_signature] = STATE(7350),
    [sym_comment] = STATE(922),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3083),
    [anon_sym_export] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3085),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3085),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_readonly] = ACTIONS(3085),
    [anon_sym_get] = ACTIONS(3085),
    [anon_sym_set] = ACTIONS(3085),
    [anon_sym_declare] = ACTIONS(3085),
    [anon_sym_public] = ACTIONS(3085),
    [anon_sym_private] = ACTIONS(3085),
    [anon_sym_protected] = ACTIONS(3085),
    [anon_sym_override] = ACTIONS(3085),
    [anon_sym_module] = ACTIONS(3085),
    [anon_sym_any] = ACTIONS(3085),
    [anon_sym_number] = ACTIONS(3085),
    [anon_sym_boolean] = ACTIONS(3085),
    [anon_sym_string] = ACTIONS(3085),
    [anon_sym_symbol] = ACTIONS(3085),
    [anon_sym_object] = ACTIONS(3085),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym__call_signature] = STATE(7351),
    [sym_comment] = STATE(923),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym__call_signature] = STATE(7242),
    [sym_comment] = STATE(924),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym__call_signature] = STATE(7242),
    [sym_comment] = STATE(925),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym__call_signature] = STATE(7437),
    [sym_comment] = STATE(926),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym__call_signature] = STATE(7242),
    [sym_comment] = STATE(927),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3105),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym__call_signature] = STATE(7437),
    [sym_comment] = STATE(928),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1249),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym_catch_clause] = STATE(957),
    [sym_finally_clause] = STATE(1105),
    [sym_comment] = STATE(929),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_export] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_type] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3107),
    [anon_sym_with] = ACTIONS(3107),
    [anon_sym_var] = ACTIONS(3107),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_else] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_await] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_debugger] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_catch] = ACTIONS(3109),
    [anon_sym_finally] = ACTIONS(3111),
    [anon_sym_yield] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LTtemplate_GT] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_async] = ACTIONS(3107),
    [anon_sym_function] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_void] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_number] = ACTIONS(3107),
    [sym_private_property_identifier] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
    [sym_super] = ACTIONS(3107),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [sym_null] = ACTIONS(3107),
    [sym_undefined] = ACTIONS(3107),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3107),
    [anon_sym_set] = ACTIONS(3107),
    [anon_sym_declare] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_override] = ACTIONS(3107),
    [anon_sym_module] = ACTIONS(3107),
    [anon_sym_any] = ACTIONS(3107),
    [anon_sym_number] = ACTIONS(3107),
    [anon_sym_boolean] = ACTIONS(3107),
    [anon_sym_string] = ACTIONS(3107),
    [anon_sym_symbol] = ACTIONS(3107),
    [anon_sym_object] = ACTIONS(3107),
    [anon_sym_abstract] = ACTIONS(3107),
    [anon_sym_interface] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym__call_signature] = STATE(7242),
    [sym_comment] = STATE(930),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3089),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym__call_signature] = STATE(7242),
    [sym_comment] = STATE(931),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3091),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym__call_signature] = STATE(7242),
    [sym_comment] = STATE(932),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym__call_signature] = STATE(7242),
    [sym_comment] = STATE(933),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3075),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym__call_signature] = STATE(7242),
    [sym_comment] = STATE(934),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym__call_signature] = STATE(7437),
    [sym_comment] = STATE(935),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym__call_signature] = STATE(7185),
    [sym_comment] = STATE(936),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3113),
    [anon_sym_export] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3115),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_let] = ACTIONS(3115),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3115),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1325),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_readonly] = ACTIONS(3115),
    [anon_sym_get] = ACTIONS(3115),
    [anon_sym_set] = ACTIONS(3115),
    [anon_sym_declare] = ACTIONS(3115),
    [anon_sym_public] = ACTIONS(3115),
    [anon_sym_private] = ACTIONS(3115),
    [anon_sym_protected] = ACTIONS(3115),
    [anon_sym_override] = ACTIONS(3115),
    [anon_sym_module] = ACTIONS(3115),
    [anon_sym_any] = ACTIONS(3115),
    [anon_sym_number] = ACTIONS(3115),
    [anon_sym_boolean] = ACTIONS(3115),
    [anon_sym_string] = ACTIONS(3115),
    [anon_sym_symbol] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3115),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym__call_signature] = STATE(7437),
    [sym_comment] = STATE(937),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym_comment] = STATE(938),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_catch] = ACTIONS(2140),
    [anon_sym_finally] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3117),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym__call_signature] = STATE(7185),
    [sym_comment] = STATE(939),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3113),
    [anon_sym_export] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3115),
    [anon_sym_EQ] = ACTIONS(1319),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_let] = ACTIONS(3115),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3115),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1325),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_readonly] = ACTIONS(3115),
    [anon_sym_get] = ACTIONS(3115),
    [anon_sym_set] = ACTIONS(3115),
    [anon_sym_declare] = ACTIONS(3115),
    [anon_sym_public] = ACTIONS(3115),
    [anon_sym_private] = ACTIONS(3115),
    [anon_sym_protected] = ACTIONS(3115),
    [anon_sym_override] = ACTIONS(3115),
    [anon_sym_module] = ACTIONS(3115),
    [anon_sym_any] = ACTIONS(3115),
    [anon_sym_number] = ACTIONS(3115),
    [anon_sym_boolean] = ACTIONS(3115),
    [anon_sym_string] = ACTIONS(3115),
    [anon_sym_symbol] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3115),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym__call_signature] = STATE(7489),
    [sym_comment] = STATE(940),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3119),
    [anon_sym_export] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3121),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3121),
    [anon_sym_let] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3121),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3121),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3121),
    [anon_sym_readonly] = ACTIONS(3121),
    [anon_sym_get] = ACTIONS(3121),
    [anon_sym_set] = ACTIONS(3121),
    [anon_sym_declare] = ACTIONS(3121),
    [anon_sym_public] = ACTIONS(3121),
    [anon_sym_private] = ACTIONS(3121),
    [anon_sym_protected] = ACTIONS(3121),
    [anon_sym_override] = ACTIONS(3121),
    [anon_sym_module] = ACTIONS(3121),
    [anon_sym_any] = ACTIONS(3121),
    [anon_sym_number] = ACTIONS(3121),
    [anon_sym_boolean] = ACTIONS(3121),
    [anon_sym_string] = ACTIONS(3121),
    [anon_sym_symbol] = ACTIONS(3121),
    [anon_sym_object] = ACTIONS(3121),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(941),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym__call_signature] = STATE(7489),
    [sym_comment] = STATE(942),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3119),
    [anon_sym_export] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3121),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3121),
    [anon_sym_let] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3121),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3121),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3121),
    [anon_sym_readonly] = ACTIONS(3121),
    [anon_sym_get] = ACTIONS(3121),
    [anon_sym_set] = ACTIONS(3121),
    [anon_sym_declare] = ACTIONS(3121),
    [anon_sym_public] = ACTIONS(3121),
    [anon_sym_private] = ACTIONS(3121),
    [anon_sym_protected] = ACTIONS(3121),
    [anon_sym_override] = ACTIONS(3121),
    [anon_sym_module] = ACTIONS(3121),
    [anon_sym_any] = ACTIONS(3121),
    [anon_sym_number] = ACTIONS(3121),
    [anon_sym_boolean] = ACTIONS(3121),
    [anon_sym_string] = ACTIONS(3121),
    [anon_sym_symbol] = ACTIONS(3121),
    [anon_sym_object] = ACTIONS(3121),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym_catch_clause] = STATE(988),
    [sym_finally_clause] = STATE(1499),
    [sym_comment] = STATE(943),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_export] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_type] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3107),
    [anon_sym_with] = ACTIONS(3107),
    [anon_sym_var] = ACTIONS(3107),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_await] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_debugger] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_catch] = ACTIONS(3123),
    [anon_sym_finally] = ACTIONS(3125),
    [anon_sym_yield] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LTtemplate_GT] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_async] = ACTIONS(3107),
    [anon_sym_function] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_void] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_number] = ACTIONS(3107),
    [sym_private_property_identifier] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
    [sym_super] = ACTIONS(3107),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [sym_null] = ACTIONS(3107),
    [sym_undefined] = ACTIONS(3107),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3107),
    [anon_sym_set] = ACTIONS(3107),
    [anon_sym_declare] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_override] = ACTIONS(3107),
    [anon_sym_module] = ACTIONS(3107),
    [anon_sym_any] = ACTIONS(3107),
    [anon_sym_number] = ACTIONS(3107),
    [anon_sym_boolean] = ACTIONS(3107),
    [anon_sym_string] = ACTIONS(3107),
    [anon_sym_symbol] = ACTIONS(3107),
    [anon_sym_object] = ACTIONS(3107),
    [anon_sym_abstract] = ACTIONS(3107),
    [anon_sym_interface] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym_catch_clause] = STATE(980),
    [sym_finally_clause] = STATE(1445),
    [sym_comment] = STATE(944),
    [ts_builtin_sym_end] = ACTIONS(3127),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_export] = ACTIONS(3107),
    [anon_sym_type] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3107),
    [anon_sym_with] = ACTIONS(3107),
    [anon_sym_var] = ACTIONS(3107),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_else] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_await] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_debugger] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_catch] = ACTIONS(3129),
    [anon_sym_finally] = ACTIONS(3131),
    [anon_sym_yield] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LTtemplate_GT] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_async] = ACTIONS(3107),
    [anon_sym_function] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_void] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_number] = ACTIONS(3107),
    [sym_private_property_identifier] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
    [sym_super] = ACTIONS(3107),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [sym_null] = ACTIONS(3107),
    [sym_undefined] = ACTIONS(3107),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3107),
    [anon_sym_set] = ACTIONS(3107),
    [anon_sym_declare] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_override] = ACTIONS(3107),
    [anon_sym_module] = ACTIONS(3107),
    [anon_sym_any] = ACTIONS(3107),
    [anon_sym_number] = ACTIONS(3107),
    [anon_sym_boolean] = ACTIONS(3107),
    [anon_sym_string] = ACTIONS(3107),
    [anon_sym_symbol] = ACTIONS(3107),
    [anon_sym_object] = ACTIONS(3107),
    [anon_sym_abstract] = ACTIONS(3107),
    [anon_sym_interface] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym__call_signature] = STATE(7437),
    [sym_comment] = STATE(945),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym_comment] = STATE(946),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_catch] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3133),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(947),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_statement_block] = STATE(1049),
    [sym_comment] = STATE(948),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym_statement_block] = STATE(1049),
    [sym_comment] = STATE(949),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(3139),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym_comment] = STATE(950),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_catch] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_comment] = STATE(951),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_catch] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3141),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym_comment] = STATE(952),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_catch] = ACTIONS(2246),
    [anon_sym_finally] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(953),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1385),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(954),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1393),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(955),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(956),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_finally_clause] = STATE(1169),
    [sym_comment] = STATE(957),
    [sym_identifier] = ACTIONS(3143),
    [anon_sym_export] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_type] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_typeof] = ACTIONS(3143),
    [anon_sym_import] = ACTIONS(3143),
    [anon_sym_with] = ACTIONS(3143),
    [anon_sym_var] = ACTIONS(3143),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_else] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_await] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_debugger] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_finally] = ACTIONS(3111),
    [anon_sym_yield] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_LTtemplate_GT] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_async] = ACTIONS(3143),
    [anon_sym_function] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_SLASH] = ACTIONS(3143),
    [anon_sym_LT] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_void] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3143),
    [sym_private_property_identifier] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
    [sym_super] = ACTIONS(3143),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [sym_null] = ACTIONS(3143),
    [sym_undefined] = ACTIONS(3143),
    [anon_sym_AT] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_readonly] = ACTIONS(3143),
    [anon_sym_get] = ACTIONS(3143),
    [anon_sym_set] = ACTIONS(3143),
    [anon_sym_declare] = ACTIONS(3143),
    [anon_sym_public] = ACTIONS(3143),
    [anon_sym_private] = ACTIONS(3143),
    [anon_sym_protected] = ACTIONS(3143),
    [anon_sym_override] = ACTIONS(3143),
    [anon_sym_module] = ACTIONS(3143),
    [anon_sym_any] = ACTIONS(3143),
    [anon_sym_number] = ACTIONS(3143),
    [anon_sym_boolean] = ACTIONS(3143),
    [anon_sym_string] = ACTIONS(3143),
    [anon_sym_symbol] = ACTIONS(3143),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_abstract] = ACTIONS(3143),
    [anon_sym_interface] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(958),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym_comment] = STATE(959),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_catch] = ACTIONS(2140),
    [anon_sym_finally] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3145),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(960),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_catch_clause] = STATE(1104),
    [sym_finally_clause] = STATE(1773),
    [sym_comment] = STATE(961),
    [ts_builtin_sym_end] = ACTIONS(3127),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_export] = ACTIONS(3107),
    [anon_sym_type] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3107),
    [anon_sym_with] = ACTIONS(3107),
    [anon_sym_var] = ACTIONS(3107),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_await] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_debugger] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_catch] = ACTIONS(3147),
    [anon_sym_finally] = ACTIONS(3149),
    [anon_sym_yield] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LTtemplate_GT] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_async] = ACTIONS(3107),
    [anon_sym_function] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_void] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_number] = ACTIONS(3107),
    [sym_private_property_identifier] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
    [sym_super] = ACTIONS(3107),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [sym_null] = ACTIONS(3107),
    [sym_undefined] = ACTIONS(3107),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3107),
    [anon_sym_set] = ACTIONS(3107),
    [anon_sym_declare] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_override] = ACTIONS(3107),
    [anon_sym_module] = ACTIONS(3107),
    [anon_sym_any] = ACTIONS(3107),
    [anon_sym_number] = ACTIONS(3107),
    [anon_sym_boolean] = ACTIONS(3107),
    [anon_sym_string] = ACTIONS(3107),
    [anon_sym_symbol] = ACTIONS(3107),
    [anon_sym_object] = ACTIONS(3107),
    [anon_sym_abstract] = ACTIONS(3107),
    [anon_sym_interface] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym_comment] = STATE(962),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_finally] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3151),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(963),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1395),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(964),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1381),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(965),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(966),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1397),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym__call_signature] = STATE(7228),
    [sym_comment] = STATE(967),
    [sym_formal_parameters] = STATE(4978),
    [sym_type_parameters] = STATE(6489),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1389),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_comment] = STATE(968),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_catch] = ACTIONS(2140),
    [anon_sym_finally] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3153),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_comment] = STATE(969),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3155),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_comment] = STATE(970),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_catch] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3157),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_comment] = STATE(971),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3159),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_comment] = STATE(972),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_catch] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3161),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_comment] = STATE(973),
    [sym_identifier] = ACTIONS(3163),
    [anon_sym_export] = ACTIONS(3163),
    [anon_sym_default] = ACTIONS(3163),
    [anon_sym_type] = ACTIONS(3163),
    [anon_sym_namespace] = ACTIONS(3163),
    [anon_sym_LBRACE] = ACTIONS(3163),
    [anon_sym_RBRACE] = ACTIONS(3163),
    [anon_sym_typeof] = ACTIONS(3163),
    [anon_sym_import] = ACTIONS(3163),
    [anon_sym_with] = ACTIONS(3163),
    [anon_sym_var] = ACTIONS(3163),
    [anon_sym_let] = ACTIONS(3163),
    [anon_sym_const] = ACTIONS(3163),
    [anon_sym_BANG] = ACTIONS(3163),
    [anon_sym_else] = ACTIONS(3163),
    [anon_sym_if] = ACTIONS(3163),
    [anon_sym_switch] = ACTIONS(3163),
    [anon_sym_for] = ACTIONS(3163),
    [anon_sym_LPAREN] = ACTIONS(3163),
    [anon_sym_await] = ACTIONS(3163),
    [anon_sym_while] = ACTIONS(3163),
    [anon_sym_do] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3163),
    [anon_sym_break] = ACTIONS(3163),
    [anon_sym_continue] = ACTIONS(3163),
    [anon_sym_debugger] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3163),
    [anon_sym_throw] = ACTIONS(3163),
    [anon_sym_SEMI] = ACTIONS(3163),
    [anon_sym_case] = ACTIONS(3163),
    [anon_sym_yield] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_LTtemplate_GT] = ACTIONS(3163),
    [anon_sym_DQUOTE] = ACTIONS(3163),
    [anon_sym_SQUOTE] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3163),
    [anon_sym_async] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_new] = ACTIONS(3163),
    [anon_sym_using] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3163),
    [anon_sym_DASH] = ACTIONS(3163),
    [anon_sym_SLASH] = ACTIONS(3163),
    [anon_sym_LT] = ACTIONS(3163),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_void] = ACTIONS(3163),
    [anon_sym_delete] = ACTIONS(3163),
    [anon_sym_PLUS_PLUS] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3163),
    [sym_number] = ACTIONS(3163),
    [sym_private_property_identifier] = ACTIONS(3163),
    [sym_this] = ACTIONS(3163),
    [sym_super] = ACTIONS(3163),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [sym_null] = ACTIONS(3163),
    [sym_undefined] = ACTIONS(3163),
    [anon_sym_AT] = ACTIONS(3163),
    [anon_sym_static] = ACTIONS(3163),
    [anon_sym_readonly] = ACTIONS(3163),
    [anon_sym_get] = ACTIONS(3163),
    [anon_sym_set] = ACTIONS(3163),
    [anon_sym_declare] = ACTIONS(3163),
    [anon_sym_public] = ACTIONS(3163),
    [anon_sym_private] = ACTIONS(3163),
    [anon_sym_protected] = ACTIONS(3163),
    [anon_sym_override] = ACTIONS(3163),
    [anon_sym_module] = ACTIONS(3163),
    [anon_sym_any] = ACTIONS(3163),
    [anon_sym_number] = ACTIONS(3163),
    [anon_sym_boolean] = ACTIONS(3163),
    [anon_sym_string] = ACTIONS(3163),
    [anon_sym_symbol] = ACTIONS(3163),
    [anon_sym_object] = ACTIONS(3163),
    [anon_sym_abstract] = ACTIONS(3163),
    [anon_sym_interface] = ACTIONS(3163),
    [anon_sym_enum] = ACTIONS(3163),
    [sym__automatic_semicolon] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_else_clause] = STATE(1576),
    [sym_comment] = STATE(974),
    [sym_identifier] = ACTIONS(3167),
    [anon_sym_export] = ACTIONS(3167),
    [anon_sym_default] = ACTIONS(3167),
    [anon_sym_type] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3167),
    [anon_sym_RBRACE] = ACTIONS(3167),
    [anon_sym_typeof] = ACTIONS(3167),
    [anon_sym_import] = ACTIONS(3167),
    [anon_sym_with] = ACTIONS(3167),
    [anon_sym_var] = ACTIONS(3167),
    [anon_sym_let] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_BANG] = ACTIONS(3167),
    [anon_sym_else] = ACTIONS(3169),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_LPAREN] = ACTIONS(3167),
    [anon_sym_await] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_debugger] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3167),
    [anon_sym_case] = ACTIONS(3167),
    [anon_sym_yield] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_LTtemplate_GT] = ACTIONS(3167),
    [anon_sym_DQUOTE] = ACTIONS(3167),
    [anon_sym_SQUOTE] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_async] = ACTIONS(3167),
    [anon_sym_function] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_SLASH] = ACTIONS(3167),
    [anon_sym_LT] = ACTIONS(3167),
    [anon_sym_TILDE] = ACTIONS(3167),
    [anon_sym_void] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_PLUS_PLUS] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3167),
    [sym_number] = ACTIONS(3167),
    [sym_private_property_identifier] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
    [sym_super] = ACTIONS(3167),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [sym_null] = ACTIONS(3167),
    [sym_undefined] = ACTIONS(3167),
    [anon_sym_AT] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_readonly] = ACTIONS(3167),
    [anon_sym_get] = ACTIONS(3167),
    [anon_sym_set] = ACTIONS(3167),
    [anon_sym_declare] = ACTIONS(3167),
    [anon_sym_public] = ACTIONS(3167),
    [anon_sym_private] = ACTIONS(3167),
    [anon_sym_protected] = ACTIONS(3167),
    [anon_sym_override] = ACTIONS(3167),
    [anon_sym_module] = ACTIONS(3167),
    [anon_sym_any] = ACTIONS(3167),
    [anon_sym_number] = ACTIONS(3167),
    [anon_sym_boolean] = ACTIONS(3167),
    [anon_sym_string] = ACTIONS(3167),
    [anon_sym_symbol] = ACTIONS(3167),
    [anon_sym_object] = ACTIONS(3167),
    [anon_sym_abstract] = ACTIONS(3167),
    [anon_sym_interface] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_else_clause] = STATE(1132),
    [sym_comment] = STATE(975),
    [sym_identifier] = ACTIONS(3167),
    [anon_sym_export] = ACTIONS(3167),
    [anon_sym_default] = ACTIONS(3167),
    [anon_sym_type] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3167),
    [anon_sym_RBRACE] = ACTIONS(3167),
    [anon_sym_typeof] = ACTIONS(3167),
    [anon_sym_import] = ACTIONS(3167),
    [anon_sym_with] = ACTIONS(3167),
    [anon_sym_var] = ACTIONS(3167),
    [anon_sym_let] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_BANG] = ACTIONS(3167),
    [anon_sym_else] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_LPAREN] = ACTIONS(3167),
    [anon_sym_await] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_debugger] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3167),
    [anon_sym_case] = ACTIONS(3167),
    [anon_sym_yield] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_LTtemplate_GT] = ACTIONS(3167),
    [anon_sym_DQUOTE] = ACTIONS(3167),
    [anon_sym_SQUOTE] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_async] = ACTIONS(3167),
    [anon_sym_function] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_SLASH] = ACTIONS(3167),
    [anon_sym_LT] = ACTIONS(3167),
    [anon_sym_TILDE] = ACTIONS(3167),
    [anon_sym_void] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_PLUS_PLUS] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3167),
    [sym_number] = ACTIONS(3167),
    [sym_private_property_identifier] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
    [sym_super] = ACTIONS(3167),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [sym_null] = ACTIONS(3167),
    [sym_undefined] = ACTIONS(3167),
    [anon_sym_AT] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_readonly] = ACTIONS(3167),
    [anon_sym_get] = ACTIONS(3167),
    [anon_sym_set] = ACTIONS(3167),
    [anon_sym_declare] = ACTIONS(3167),
    [anon_sym_public] = ACTIONS(3167),
    [anon_sym_private] = ACTIONS(3167),
    [anon_sym_protected] = ACTIONS(3167),
    [anon_sym_override] = ACTIONS(3167),
    [anon_sym_module] = ACTIONS(3167),
    [anon_sym_any] = ACTIONS(3167),
    [anon_sym_number] = ACTIONS(3167),
    [anon_sym_boolean] = ACTIONS(3167),
    [anon_sym_string] = ACTIONS(3167),
    [anon_sym_symbol] = ACTIONS(3167),
    [anon_sym_object] = ACTIONS(3167),
    [anon_sym_abstract] = ACTIONS(3167),
    [anon_sym_interface] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_comment] = STATE(976),
    [sym_identifier] = ACTIONS(3173),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_type] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_else] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_LTtemplate_GT] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3173),
    [sym_number] = ACTIONS(3173),
    [sym_private_property_identifier] = ACTIONS(3173),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_readonly] = ACTIONS(3173),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
    [anon_sym_declare] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_override] = ACTIONS(3173),
    [anon_sym_module] = ACTIONS(3173),
    [anon_sym_any] = ACTIONS(3173),
    [anon_sym_number] = ACTIONS(3173),
    [anon_sym_boolean] = ACTIONS(3173),
    [anon_sym_string] = ACTIONS(3173),
    [anon_sym_symbol] = ACTIONS(3173),
    [anon_sym_object] = ACTIONS(3173),
    [anon_sym_abstract] = ACTIONS(3173),
    [anon_sym_interface] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [sym__automatic_semicolon] = ACTIONS(3175),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_comment] = STATE(977),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_catch] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_comment] = STATE(978),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3177),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_comment] = STATE(979),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_finally_clause] = STATE(1403),
    [sym_comment] = STATE(980),
    [ts_builtin_sym_end] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3143),
    [anon_sym_export] = ACTIONS(3143),
    [anon_sym_type] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_typeof] = ACTIONS(3143),
    [anon_sym_import] = ACTIONS(3143),
    [anon_sym_with] = ACTIONS(3143),
    [anon_sym_var] = ACTIONS(3143),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_else] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_await] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_debugger] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_finally] = ACTIONS(3131),
    [anon_sym_yield] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_LTtemplate_GT] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_async] = ACTIONS(3143),
    [anon_sym_function] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_SLASH] = ACTIONS(3143),
    [anon_sym_LT] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_void] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3143),
    [sym_private_property_identifier] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
    [sym_super] = ACTIONS(3143),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [sym_null] = ACTIONS(3143),
    [sym_undefined] = ACTIONS(3143),
    [anon_sym_AT] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_readonly] = ACTIONS(3143),
    [anon_sym_get] = ACTIONS(3143),
    [anon_sym_set] = ACTIONS(3143),
    [anon_sym_declare] = ACTIONS(3143),
    [anon_sym_public] = ACTIONS(3143),
    [anon_sym_private] = ACTIONS(3143),
    [anon_sym_protected] = ACTIONS(3143),
    [anon_sym_override] = ACTIONS(3143),
    [anon_sym_module] = ACTIONS(3143),
    [anon_sym_any] = ACTIONS(3143),
    [anon_sym_number] = ACTIONS(3143),
    [anon_sym_boolean] = ACTIONS(3143),
    [anon_sym_string] = ACTIONS(3143),
    [anon_sym_symbol] = ACTIONS(3143),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_abstract] = ACTIONS(3143),
    [anon_sym_interface] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_comment] = STATE(981),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_finally] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3181),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_comment] = STATE(982),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3183),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_comment] = STATE(983),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2212),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_comment] = STATE(984),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_finally] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_comment] = STATE(985),
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_catch] = ACTIONS(2246),
    [anon_sym_finally] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_comment] = STATE(986),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_comment] = STATE(987),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_finally_clause] = STATE(1516),
    [sym_comment] = STATE(988),
    [sym_identifier] = ACTIONS(3143),
    [anon_sym_export] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_type] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_typeof] = ACTIONS(3143),
    [anon_sym_import] = ACTIONS(3143),
    [anon_sym_with] = ACTIONS(3143),
    [anon_sym_var] = ACTIONS(3143),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_await] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_debugger] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_finally] = ACTIONS(3125),
    [anon_sym_yield] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_LTtemplate_GT] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_async] = ACTIONS(3143),
    [anon_sym_function] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_SLASH] = ACTIONS(3143),
    [anon_sym_LT] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_void] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3143),
    [sym_private_property_identifier] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
    [sym_super] = ACTIONS(3143),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [sym_null] = ACTIONS(3143),
    [sym_undefined] = ACTIONS(3143),
    [anon_sym_AT] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_readonly] = ACTIONS(3143),
    [anon_sym_get] = ACTIONS(3143),
    [anon_sym_set] = ACTIONS(3143),
    [anon_sym_declare] = ACTIONS(3143),
    [anon_sym_public] = ACTIONS(3143),
    [anon_sym_private] = ACTIONS(3143),
    [anon_sym_protected] = ACTIONS(3143),
    [anon_sym_override] = ACTIONS(3143),
    [anon_sym_module] = ACTIONS(3143),
    [anon_sym_any] = ACTIONS(3143),
    [anon_sym_number] = ACTIONS(3143),
    [anon_sym_boolean] = ACTIONS(3143),
    [anon_sym_string] = ACTIONS(3143),
    [anon_sym_symbol] = ACTIONS(3143),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_abstract] = ACTIONS(3143),
    [anon_sym_interface] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_comment] = STATE(989),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_catch] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_comment] = STATE(990),
    [sym_identifier] = ACTIONS(3185),
    [anon_sym_export] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_type] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_typeof] = ACTIONS(3185),
    [anon_sym_import] = ACTIONS(3185),
    [anon_sym_with] = ACTIONS(3185),
    [anon_sym_var] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_else] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3185),
    [anon_sym_await] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_debugger] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_finally] = ACTIONS(3185),
    [anon_sym_yield] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_LTtemplate_GT] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_async] = ACTIONS(3185),
    [anon_sym_function] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_SLASH] = ACTIONS(3185),
    [anon_sym_LT] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_void] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3185),
    [sym_number] = ACTIONS(3185),
    [sym_private_property_identifier] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
    [sym_super] = ACTIONS(3185),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [sym_null] = ACTIONS(3185),
    [sym_undefined] = ACTIONS(3185),
    [anon_sym_AT] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_readonly] = ACTIONS(3185),
    [anon_sym_get] = ACTIONS(3185),
    [anon_sym_set] = ACTIONS(3185),
    [anon_sym_declare] = ACTIONS(3185),
    [anon_sym_public] = ACTIONS(3185),
    [anon_sym_private] = ACTIONS(3185),
    [anon_sym_protected] = ACTIONS(3185),
    [anon_sym_override] = ACTIONS(3185),
    [anon_sym_module] = ACTIONS(3185),
    [anon_sym_any] = ACTIONS(3185),
    [anon_sym_number] = ACTIONS(3185),
    [anon_sym_boolean] = ACTIONS(3185),
    [anon_sym_string] = ACTIONS(3185),
    [anon_sym_symbol] = ACTIONS(3185),
    [anon_sym_object] = ACTIONS(3185),
    [anon_sym_abstract] = ACTIONS(3185),
    [anon_sym_interface] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_comment] = STATE(991),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym__automatic_semicolon] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_statement_block] = STATE(1293),
    [sym_comment] = STATE(992),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_comment] = STATE(993),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2264),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_statement_block] = STATE(1293),
    [sym_comment] = STATE(994),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_comment] = STATE(995),
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_export] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_type] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2238),
    [anon_sym_typeof] = ACTIONS(2238),
    [anon_sym_import] = ACTIONS(2238),
    [anon_sym_with] = ACTIONS(2238),
    [anon_sym_var] = ACTIONS(2238),
    [anon_sym_let] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_LPAREN] = ACTIONS(2238),
    [anon_sym_await] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_debugger] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_yield] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_LTtemplate_GT] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [anon_sym_SQUOTE] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_async] = ACTIONS(2238),
    [anon_sym_function] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_TILDE] = ACTIONS(2238),
    [anon_sym_void] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2238),
    [sym_number] = ACTIONS(2238),
    [sym_private_property_identifier] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [sym_super] = ACTIONS(2238),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [sym_null] = ACTIONS(2238),
    [sym_undefined] = ACTIONS(2238),
    [anon_sym_AT] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_readonly] = ACTIONS(2238),
    [anon_sym_get] = ACTIONS(2238),
    [anon_sym_set] = ACTIONS(2238),
    [anon_sym_declare] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_override] = ACTIONS(2238),
    [anon_sym_module] = ACTIONS(2238),
    [anon_sym_any] = ACTIONS(2238),
    [anon_sym_number] = ACTIONS(2238),
    [anon_sym_boolean] = ACTIONS(2238),
    [anon_sym_string] = ACTIONS(2238),
    [anon_sym_symbol] = ACTIONS(2238),
    [anon_sym_object] = ACTIONS(2238),
    [anon_sym_abstract] = ACTIONS(2238),
    [anon_sym_interface] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [sym__automatic_semicolon] = ACTIONS(2242),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_comment] = STATE(996),
    [sym_identifier] = ACTIONS(3193),
    [anon_sym_export] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_typeof] = ACTIONS(3193),
    [anon_sym_import] = ACTIONS(3193),
    [anon_sym_with] = ACTIONS(3193),
    [anon_sym_var] = ACTIONS(3193),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3193),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_debugger] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_finally] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_LTtemplate_GT] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_function] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_SLASH] = ACTIONS(3193),
    [anon_sym_LT] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_void] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3193),
    [sym_number] = ACTIONS(3193),
    [sym_private_property_identifier] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
    [sym_super] = ACTIONS(3193),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [sym_null] = ACTIONS(3193),
    [sym_undefined] = ACTIONS(3193),
    [anon_sym_AT] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_readonly] = ACTIONS(3193),
    [anon_sym_get] = ACTIONS(3193),
    [anon_sym_set] = ACTIONS(3193),
    [anon_sym_declare] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_override] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_any] = ACTIONS(3193),
    [anon_sym_number] = ACTIONS(3193),
    [anon_sym_boolean] = ACTIONS(3193),
    [anon_sym_string] = ACTIONS(3193),
    [anon_sym_symbol] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3193),
    [anon_sym_abstract] = ACTIONS(3193),
    [anon_sym_interface] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_comment] = STATE(997),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2186),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_comment] = STATE(998),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_catch] = ACTIONS(2246),
    [anon_sym_finally] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_comment] = STATE(999),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_comment] = STATE(1000),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3195),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_statement_block] = STATE(1369),
    [sym_comment] = STATE(1001),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_statement_block] = STATE(1369),
    [sym_comment] = STATE(1002),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_comment] = STATE(1003),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_comment] = STATE(1004),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_comment] = STATE(1005),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_else] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym__automatic_semicolon] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_comment] = STATE(1006),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_finally] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_comment] = STATE(1007),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_default] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_else] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_case] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_comment] = STATE(1008),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_statement_block] = STATE(1049),
    [sym_comment] = STATE(1009),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_comment] = STATE(1010),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_export] = ACTIONS(2274),
    [anon_sym_default] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_typeof] = ACTIONS(2274),
    [anon_sym_import] = ACTIONS(2274),
    [anon_sym_with] = ACTIONS(2274),
    [anon_sym_var] = ACTIONS(2274),
    [anon_sym_let] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_else] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_switch] = ACTIONS(2274),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_await] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2274),
    [anon_sym_do] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2274),
    [anon_sym_break] = ACTIONS(2274),
    [anon_sym_continue] = ACTIONS(2274),
    [anon_sym_debugger] = ACTIONS(2274),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_case] = ACTIONS(2274),
    [anon_sym_yield] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_LTtemplate_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2274),
    [anon_sym_async] = ACTIONS(2274),
    [anon_sym_function] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2274),
    [anon_sym_using] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_void] = ACTIONS(2274),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2274),
    [sym_number] = ACTIONS(2274),
    [sym_private_property_identifier] = ACTIONS(2274),
    [sym_this] = ACTIONS(2274),
    [sym_super] = ACTIONS(2274),
    [sym_true] = ACTIONS(2274),
    [sym_false] = ACTIONS(2274),
    [sym_null] = ACTIONS(2274),
    [sym_undefined] = ACTIONS(2274),
    [anon_sym_AT] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_get] = ACTIONS(2274),
    [anon_sym_set] = ACTIONS(2274),
    [anon_sym_declare] = ACTIONS(2274),
    [anon_sym_public] = ACTIONS(2274),
    [anon_sym_private] = ACTIONS(2274),
    [anon_sym_protected] = ACTIONS(2274),
    [anon_sym_override] = ACTIONS(2274),
    [anon_sym_module] = ACTIONS(2274),
    [anon_sym_any] = ACTIONS(2274),
    [anon_sym_number] = ACTIONS(2274),
    [anon_sym_boolean] = ACTIONS(2274),
    [anon_sym_string] = ACTIONS(2274),
    [anon_sym_symbol] = ACTIONS(2274),
    [anon_sym_object] = ACTIONS(2274),
    [anon_sym_abstract] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_comment] = STATE(1011),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_finally] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3213),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_comment] = STATE(1012),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_comment] = STATE(1013),
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_export] = ACTIONS(2194),
    [anon_sym_default] = ACTIONS(2194),
    [anon_sym_type] = ACTIONS(2194),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_typeof] = ACTIONS(2194),
    [anon_sym_import] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2194),
    [anon_sym_var] = ACTIONS(2194),
    [anon_sym_let] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_BANG] = ACTIONS(2194),
    [anon_sym_else] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(2194),
    [anon_sym_await] = ACTIONS(2194),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_debugger] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2194),
    [anon_sym_case] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_LTtemplate_GT] = ACTIONS(2194),
    [anon_sym_DQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_async] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_TILDE] = ACTIONS(2194),
    [anon_sym_void] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_PLUS_PLUS] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2194),
    [sym_number] = ACTIONS(2194),
    [sym_private_property_identifier] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [sym_super] = ACTIONS(2194),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [sym_null] = ACTIONS(2194),
    [sym_undefined] = ACTIONS(2194),
    [anon_sym_AT] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_readonly] = ACTIONS(2194),
    [anon_sym_get] = ACTIONS(2194),
    [anon_sym_set] = ACTIONS(2194),
    [anon_sym_declare] = ACTIONS(2194),
    [anon_sym_public] = ACTIONS(2194),
    [anon_sym_private] = ACTIONS(2194),
    [anon_sym_protected] = ACTIONS(2194),
    [anon_sym_override] = ACTIONS(2194),
    [anon_sym_module] = ACTIONS(2194),
    [anon_sym_any] = ACTIONS(2194),
    [anon_sym_number] = ACTIONS(2194),
    [anon_sym_boolean] = ACTIONS(2194),
    [anon_sym_string] = ACTIONS(2194),
    [anon_sym_symbol] = ACTIONS(2194),
    [anon_sym_object] = ACTIONS(2194),
    [anon_sym_abstract] = ACTIONS(2194),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [sym__automatic_semicolon] = ACTIONS(2198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_comment] = STATE(1014),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_comment] = STATE(1015),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_catch] = ACTIONS(2140),
    [anon_sym_finally] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3215),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_comment] = STATE(1016),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2146),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_comment] = STATE(1017),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_default] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_else] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_case] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2232),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_comment] = STATE(1018),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_comment] = STATE(1019),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_default] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_comment] = STATE(1020),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_comment] = STATE(1021),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2384),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_comment] = STATE(1022),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_export] = ACTIONS(2238),
    [anon_sym_type] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2238),
    [anon_sym_typeof] = ACTIONS(2238),
    [anon_sym_import] = ACTIONS(2238),
    [anon_sym_with] = ACTIONS(2238),
    [anon_sym_var] = ACTIONS(2238),
    [anon_sym_let] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_LPAREN] = ACTIONS(2238),
    [anon_sym_await] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_debugger] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2238),
    [anon_sym_yield] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_LTtemplate_GT] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [anon_sym_SQUOTE] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_async] = ACTIONS(2238),
    [anon_sym_function] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_TILDE] = ACTIONS(2238),
    [anon_sym_void] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2238),
    [sym_number] = ACTIONS(2238),
    [sym_private_property_identifier] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [sym_super] = ACTIONS(2238),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [sym_null] = ACTIONS(2238),
    [sym_undefined] = ACTIONS(2238),
    [anon_sym_AT] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_readonly] = ACTIONS(2238),
    [anon_sym_get] = ACTIONS(2238),
    [anon_sym_set] = ACTIONS(2238),
    [anon_sym_declare] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_override] = ACTIONS(2238),
    [anon_sym_module] = ACTIONS(2238),
    [anon_sym_any] = ACTIONS(2238),
    [anon_sym_number] = ACTIONS(2238),
    [anon_sym_boolean] = ACTIONS(2238),
    [anon_sym_string] = ACTIONS(2238),
    [anon_sym_symbol] = ACTIONS(2238),
    [anon_sym_object] = ACTIONS(2238),
    [anon_sym_abstract] = ACTIONS(2238),
    [anon_sym_interface] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [sym__automatic_semicolon] = ACTIONS(2414),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_comment] = STATE(1023),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_else] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_comment] = STATE(1024),
    [ts_builtin_sym_end] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2410),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_comment] = STATE(1025),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_comment] = STATE(1026),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_comment] = STATE(1027),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_comment] = STATE(1028),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_else] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_comment] = STATE(1029),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_else] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_comment] = STATE(1030),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_comment] = STATE(1031),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_else] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_comment] = STATE(1032),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_else] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_comment] = STATE(1033),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_default] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_else] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_case] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_comment] = STATE(1034),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_comment] = STATE(1035),
    [sym_identifier] = ACTIONS(3239),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_default] = ACTIONS(3239),
    [anon_sym_type] = ACTIONS(3239),
    [anon_sym_namespace] = ACTIONS(3239),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_typeof] = ACTIONS(3239),
    [anon_sym_import] = ACTIONS(3239),
    [anon_sym_with] = ACTIONS(3239),
    [anon_sym_var] = ACTIONS(3239),
    [anon_sym_let] = ACTIONS(3239),
    [anon_sym_const] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_else] = ACTIONS(3239),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_switch] = ACTIONS(3239),
    [anon_sym_for] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_await] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(3239),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_break] = ACTIONS(3239),
    [anon_sym_continue] = ACTIONS(3239),
    [anon_sym_debugger] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3239),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_case] = ACTIONS(3239),
    [anon_sym_yield] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LTtemplate_GT] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(3239),
    [anon_sym_using] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3239),
    [anon_sym_SLASH] = ACTIONS(3239),
    [anon_sym_LT] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_void] = ACTIONS(3239),
    [anon_sym_delete] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3239),
    [sym_number] = ACTIONS(3239),
    [sym_private_property_identifier] = ACTIONS(3239),
    [sym_this] = ACTIONS(3239),
    [sym_super] = ACTIONS(3239),
    [sym_true] = ACTIONS(3239),
    [sym_false] = ACTIONS(3239),
    [sym_null] = ACTIONS(3239),
    [sym_undefined] = ACTIONS(3239),
    [anon_sym_AT] = ACTIONS(3239),
    [anon_sym_static] = ACTIONS(3239),
    [anon_sym_readonly] = ACTIONS(3239),
    [anon_sym_get] = ACTIONS(3239),
    [anon_sym_set] = ACTIONS(3239),
    [anon_sym_declare] = ACTIONS(3239),
    [anon_sym_public] = ACTIONS(3239),
    [anon_sym_private] = ACTIONS(3239),
    [anon_sym_protected] = ACTIONS(3239),
    [anon_sym_override] = ACTIONS(3239),
    [anon_sym_module] = ACTIONS(3239),
    [anon_sym_any] = ACTIONS(3239),
    [anon_sym_number] = ACTIONS(3239),
    [anon_sym_boolean] = ACTIONS(3239),
    [anon_sym_string] = ACTIONS(3239),
    [anon_sym_symbol] = ACTIONS(3239),
    [anon_sym_object] = ACTIONS(3239),
    [anon_sym_abstract] = ACTIONS(3239),
    [anon_sym_interface] = ACTIONS(3239),
    [anon_sym_enum] = ACTIONS(3239),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_comment] = STATE(1036),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_comment] = STATE(1037),
    [ts_builtin_sym_end] = ACTIONS(3165),
    [sym_identifier] = ACTIONS(3163),
    [anon_sym_export] = ACTIONS(3163),
    [anon_sym_type] = ACTIONS(3163),
    [anon_sym_namespace] = ACTIONS(3163),
    [anon_sym_LBRACE] = ACTIONS(3163),
    [anon_sym_RBRACE] = ACTIONS(3163),
    [anon_sym_typeof] = ACTIONS(3163),
    [anon_sym_import] = ACTIONS(3163),
    [anon_sym_with] = ACTIONS(3163),
    [anon_sym_var] = ACTIONS(3163),
    [anon_sym_let] = ACTIONS(3163),
    [anon_sym_const] = ACTIONS(3163),
    [anon_sym_BANG] = ACTIONS(3163),
    [anon_sym_else] = ACTIONS(3163),
    [anon_sym_if] = ACTIONS(3163),
    [anon_sym_switch] = ACTIONS(3163),
    [anon_sym_for] = ACTIONS(3163),
    [anon_sym_LPAREN] = ACTIONS(3163),
    [anon_sym_await] = ACTIONS(3163),
    [anon_sym_while] = ACTIONS(3163),
    [anon_sym_do] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3163),
    [anon_sym_break] = ACTIONS(3163),
    [anon_sym_continue] = ACTIONS(3163),
    [anon_sym_debugger] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3163),
    [anon_sym_throw] = ACTIONS(3163),
    [anon_sym_SEMI] = ACTIONS(3163),
    [anon_sym_yield] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_LTtemplate_GT] = ACTIONS(3163),
    [anon_sym_DQUOTE] = ACTIONS(3163),
    [anon_sym_SQUOTE] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3163),
    [anon_sym_async] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_new] = ACTIONS(3163),
    [anon_sym_using] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3163),
    [anon_sym_DASH] = ACTIONS(3163),
    [anon_sym_SLASH] = ACTIONS(3163),
    [anon_sym_LT] = ACTIONS(3163),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_void] = ACTIONS(3163),
    [anon_sym_delete] = ACTIONS(3163),
    [anon_sym_PLUS_PLUS] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3163),
    [sym_number] = ACTIONS(3163),
    [sym_private_property_identifier] = ACTIONS(3163),
    [sym_this] = ACTIONS(3163),
    [sym_super] = ACTIONS(3163),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [sym_null] = ACTIONS(3163),
    [sym_undefined] = ACTIONS(3163),
    [anon_sym_AT] = ACTIONS(3163),
    [anon_sym_static] = ACTIONS(3163),
    [anon_sym_readonly] = ACTIONS(3163),
    [anon_sym_get] = ACTIONS(3163),
    [anon_sym_set] = ACTIONS(3163),
    [anon_sym_declare] = ACTIONS(3163),
    [anon_sym_public] = ACTIONS(3163),
    [anon_sym_private] = ACTIONS(3163),
    [anon_sym_protected] = ACTIONS(3163),
    [anon_sym_override] = ACTIONS(3163),
    [anon_sym_module] = ACTIONS(3163),
    [anon_sym_any] = ACTIONS(3163),
    [anon_sym_number] = ACTIONS(3163),
    [anon_sym_boolean] = ACTIONS(3163),
    [anon_sym_string] = ACTIONS(3163),
    [anon_sym_symbol] = ACTIONS(3163),
    [anon_sym_object] = ACTIONS(3163),
    [anon_sym_abstract] = ACTIONS(3163),
    [anon_sym_interface] = ACTIONS(3163),
    [anon_sym_enum] = ACTIONS(3163),
    [sym__automatic_semicolon] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_comment] = STATE(1038),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_comment] = STATE(1039),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_comment] = STATE(1040),
    [sym_identifier] = ACTIONS(3185),
    [anon_sym_export] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_type] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_typeof] = ACTIONS(3185),
    [anon_sym_import] = ACTIONS(3185),
    [anon_sym_with] = ACTIONS(3185),
    [anon_sym_var] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3185),
    [anon_sym_await] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_debugger] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_finally] = ACTIONS(3185),
    [anon_sym_yield] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_LTtemplate_GT] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_async] = ACTIONS(3185),
    [anon_sym_function] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_SLASH] = ACTIONS(3185),
    [anon_sym_LT] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_void] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3185),
    [sym_number] = ACTIONS(3185),
    [sym_private_property_identifier] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
    [sym_super] = ACTIONS(3185),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [sym_null] = ACTIONS(3185),
    [sym_undefined] = ACTIONS(3185),
    [anon_sym_AT] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_readonly] = ACTIONS(3185),
    [anon_sym_get] = ACTIONS(3185),
    [anon_sym_set] = ACTIONS(3185),
    [anon_sym_declare] = ACTIONS(3185),
    [anon_sym_public] = ACTIONS(3185),
    [anon_sym_private] = ACTIONS(3185),
    [anon_sym_protected] = ACTIONS(3185),
    [anon_sym_override] = ACTIONS(3185),
    [anon_sym_module] = ACTIONS(3185),
    [anon_sym_any] = ACTIONS(3185),
    [anon_sym_number] = ACTIONS(3185),
    [anon_sym_boolean] = ACTIONS(3185),
    [anon_sym_string] = ACTIONS(3185),
    [anon_sym_symbol] = ACTIONS(3185),
    [anon_sym_object] = ACTIONS(3185),
    [anon_sym_abstract] = ACTIONS(3185),
    [anon_sym_interface] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_comment] = STATE(1041),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_comment] = STATE(1042),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_comment] = STATE(1043),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_else] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_comment] = STATE(1044),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_comment] = STATE(1045),
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym__automatic_semicolon] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_statement_block] = STATE(1293),
    [sym_comment] = STATE(1046),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_comment] = STATE(1047),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_default] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_else] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_case] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_comment] = STATE(1048),
    [sym_identifier] = ACTIONS(3245),
    [anon_sym_export] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_type] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_typeof] = ACTIONS(3245),
    [anon_sym_import] = ACTIONS(3245),
    [anon_sym_with] = ACTIONS(3245),
    [anon_sym_var] = ACTIONS(3245),
    [anon_sym_let] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_BANG] = ACTIONS(3245),
    [anon_sym_else] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_LPAREN] = ACTIONS(3245),
    [anon_sym_await] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_debugger] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_yield] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_LTtemplate_GT] = ACTIONS(3245),
    [anon_sym_DQUOTE] = ACTIONS(3245),
    [anon_sym_SQUOTE] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_async] = ACTIONS(3245),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_SLASH] = ACTIONS(3245),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_void] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_PLUS_PLUS] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3245),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3245),
    [sym_number] = ACTIONS(3245),
    [sym_private_property_identifier] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
    [sym_super] = ACTIONS(3245),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [sym_null] = ACTIONS(3245),
    [sym_undefined] = ACTIONS(3245),
    [anon_sym_AT] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3245),
    [anon_sym_get] = ACTIONS(3245),
    [anon_sym_set] = ACTIONS(3245),
    [anon_sym_declare] = ACTIONS(3245),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_override] = ACTIONS(3245),
    [anon_sym_module] = ACTIONS(3245),
    [anon_sym_any] = ACTIONS(3245),
    [anon_sym_number] = ACTIONS(3245),
    [anon_sym_boolean] = ACTIONS(3245),
    [anon_sym_string] = ACTIONS(3245),
    [anon_sym_symbol] = ACTIONS(3245),
    [anon_sym_object] = ACTIONS(3245),
    [anon_sym_abstract] = ACTIONS(3245),
    [anon_sym_interface] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_comment] = STATE(1049),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_comment] = STATE(1050),
    [sym_identifier] = ACTIONS(3193),
    [anon_sym_export] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_typeof] = ACTIONS(3193),
    [anon_sym_import] = ACTIONS(3193),
    [anon_sym_with] = ACTIONS(3193),
    [anon_sym_var] = ACTIONS(3193),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_debugger] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_finally] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_LTtemplate_GT] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_function] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_SLASH] = ACTIONS(3193),
    [anon_sym_LT] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_void] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3193),
    [sym_number] = ACTIONS(3193),
    [sym_private_property_identifier] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
    [sym_super] = ACTIONS(3193),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [sym_null] = ACTIONS(3193),
    [sym_undefined] = ACTIONS(3193),
    [anon_sym_AT] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_readonly] = ACTIONS(3193),
    [anon_sym_get] = ACTIONS(3193),
    [anon_sym_set] = ACTIONS(3193),
    [anon_sym_declare] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_override] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_any] = ACTIONS(3193),
    [anon_sym_number] = ACTIONS(3193),
    [anon_sym_boolean] = ACTIONS(3193),
    [anon_sym_string] = ACTIONS(3193),
    [anon_sym_symbol] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3193),
    [anon_sym_abstract] = ACTIONS(3193),
    [anon_sym_interface] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_comment] = STATE(1051),
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_export] = ACTIONS(3247),
    [anon_sym_default] = ACTIONS(3247),
    [anon_sym_type] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym_import] = ACTIONS(3247),
    [anon_sym_with] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_else] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_LPAREN] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_debugger] = ACTIONS(3247),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym_case] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3247),
    [anon_sym_LTtemplate_GT] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_function] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_SLASH] = ACTIONS(3247),
    [anon_sym_LT] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_void] = ACTIONS(3247),
    [anon_sym_delete] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3247),
    [sym_number] = ACTIONS(3247),
    [sym_private_property_identifier] = ACTIONS(3247),
    [sym_this] = ACTIONS(3247),
    [sym_super] = ACTIONS(3247),
    [sym_true] = ACTIONS(3247),
    [sym_false] = ACTIONS(3247),
    [sym_null] = ACTIONS(3247),
    [sym_undefined] = ACTIONS(3247),
    [anon_sym_AT] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3247),
    [anon_sym_set] = ACTIONS(3247),
    [anon_sym_declare] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_module] = ACTIONS(3247),
    [anon_sym_any] = ACTIONS(3247),
    [anon_sym_number] = ACTIONS(3247),
    [anon_sym_boolean] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_symbol] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_comment] = STATE(1052),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_else] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_comment] = STATE(1053),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_comment] = STATE(1054),
    [ts_builtin_sym_end] = ACTIONS(2416),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_comment] = STATE(1055),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_comment] = STATE(1056),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_comment] = STATE(1057),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_comment] = STATE(1058),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_comment] = STATE(1059),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_comment] = STATE(1060),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_comment] = STATE(1061),
    [sym_identifier] = ACTIONS(3251),
    [anon_sym_export] = ACTIONS(3251),
    [anon_sym_default] = ACTIONS(3251),
    [anon_sym_type] = ACTIONS(3251),
    [anon_sym_namespace] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym_import] = ACTIONS(3251),
    [anon_sym_with] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_else] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_debugger] = ACTIONS(3251),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_case] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [anon_sym_LTtemplate_GT] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_class] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_function] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_void] = ACTIONS(3251),
    [anon_sym_delete] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3251),
    [sym_number] = ACTIONS(3251),
    [sym_private_property_identifier] = ACTIONS(3251),
    [sym_this] = ACTIONS(3251),
    [sym_super] = ACTIONS(3251),
    [sym_true] = ACTIONS(3251),
    [sym_false] = ACTIONS(3251),
    [sym_null] = ACTIONS(3251),
    [sym_undefined] = ACTIONS(3251),
    [anon_sym_AT] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_get] = ACTIONS(3251),
    [anon_sym_set] = ACTIONS(3251),
    [anon_sym_declare] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_module] = ACTIONS(3251),
    [anon_sym_any] = ACTIONS(3251),
    [anon_sym_number] = ACTIONS(3251),
    [anon_sym_boolean] = ACTIONS(3251),
    [anon_sym_string] = ACTIONS(3251),
    [anon_sym_symbol] = ACTIONS(3251),
    [anon_sym_object] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_interface] = ACTIONS(3251),
    [anon_sym_enum] = ACTIONS(3251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_comment] = STATE(1062),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_comment] = STATE(1063),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_comment] = STATE(1064),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_else] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_comment] = STATE(1065),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_comment] = STATE(1066),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_comment] = STATE(1067),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_comment] = STATE(1068),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2356),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_comment] = STATE(1069),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_export] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_typeof] = ACTIONS(2252),
    [anon_sym_import] = ACTIONS(2252),
    [anon_sym_with] = ACTIONS(2252),
    [anon_sym_var] = ACTIONS(2252),
    [anon_sym_let] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_else] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_await] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_debugger] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym_yield] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_LTtemplate_GT] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_async] = ACTIONS(2252),
    [anon_sym_function] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_SLASH] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
    [sym_number] = ACTIONS(2252),
    [sym_private_property_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [sym_super] = ACTIONS(2252),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [sym_null] = ACTIONS(2252),
    [sym_undefined] = ACTIONS(2252),
    [anon_sym_AT] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_readonly] = ACTIONS(2252),
    [anon_sym_get] = ACTIONS(2252),
    [anon_sym_set] = ACTIONS(2252),
    [anon_sym_declare] = ACTIONS(2252),
    [anon_sym_public] = ACTIONS(2252),
    [anon_sym_private] = ACTIONS(2252),
    [anon_sym_protected] = ACTIONS(2252),
    [anon_sym_override] = ACTIONS(2252),
    [anon_sym_module] = ACTIONS(2252),
    [anon_sym_any] = ACTIONS(2252),
    [anon_sym_number] = ACTIONS(2252),
    [anon_sym_boolean] = ACTIONS(2252),
    [anon_sym_string] = ACTIONS(2252),
    [anon_sym_symbol] = ACTIONS(2252),
    [anon_sym_object] = ACTIONS(2252),
    [anon_sym_abstract] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_comment] = STATE(1070),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_comment] = STATE(1071),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_comment] = STATE(1072),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2382),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_comment] = STATE(1073),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_comment] = STATE(1074),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_comment] = STATE(1075),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_else] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_comment] = STATE(1076),
    [sym_identifier] = ACTIONS(3259),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_default] = ACTIONS(3259),
    [anon_sym_type] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_RBRACE] = ACTIONS(3259),
    [anon_sym_typeof] = ACTIONS(3259),
    [anon_sym_import] = ACTIONS(3259),
    [anon_sym_with] = ACTIONS(3259),
    [anon_sym_var] = ACTIONS(3259),
    [anon_sym_let] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_else] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_await] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_debugger] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym_case] = ACTIONS(3259),
    [anon_sym_yield] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_LTtemplate_GT] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_async] = ACTIONS(3259),
    [anon_sym_function] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_void] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3259),
    [sym_number] = ACTIONS(3259),
    [sym_private_property_identifier] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
    [sym_super] = ACTIONS(3259),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [sym_null] = ACTIONS(3259),
    [sym_undefined] = ACTIONS(3259),
    [anon_sym_AT] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_readonly] = ACTIONS(3259),
    [anon_sym_get] = ACTIONS(3259),
    [anon_sym_set] = ACTIONS(3259),
    [anon_sym_declare] = ACTIONS(3259),
    [anon_sym_public] = ACTIONS(3259),
    [anon_sym_private] = ACTIONS(3259),
    [anon_sym_protected] = ACTIONS(3259),
    [anon_sym_override] = ACTIONS(3259),
    [anon_sym_module] = ACTIONS(3259),
    [anon_sym_any] = ACTIONS(3259),
    [anon_sym_number] = ACTIONS(3259),
    [anon_sym_boolean] = ACTIONS(3259),
    [anon_sym_string] = ACTIONS(3259),
    [anon_sym_symbol] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3259),
    [anon_sym_abstract] = ACTIONS(3259),
    [anon_sym_interface] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_comment] = STATE(1077),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_comment] = STATE(1078),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_comment] = STATE(1079),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_comment] = STATE(1080),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_comment] = STATE(1081),
    [ts_builtin_sym_end] = ACTIONS(3261),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_finally] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_comment] = STATE(1082),
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_finally] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_comment] = STATE(1083),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_else] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_comment] = STATE(1084),
    [ts_builtin_sym_end] = ACTIONS(3265),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_else] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym__automatic_semicolon] = ACTIONS(3269),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_comment] = STATE(1085),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_comment] = STATE(1086),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_comment] = STATE(1087),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_else] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_comment] = STATE(1088),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_comment] = STATE(1089),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_default] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_else] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_case] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_comment] = STATE(1090),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_else] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_comment] = STATE(1091),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_comment] = STATE(1092),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_comment] = STATE(1093),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_comment] = STATE(1094),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_comment] = STATE(1095),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_comment] = STATE(1096),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_else] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_comment] = STATE(1097),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_comment] = STATE(1098),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_comment] = STATE(1099),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_default] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_comment] = STATE(1100),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3283),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_comment] = STATE(1101),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2372),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_comment] = STATE(1102),
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_export] = ACTIONS(2194),
    [anon_sym_default] = ACTIONS(2194),
    [anon_sym_type] = ACTIONS(2194),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_typeof] = ACTIONS(2194),
    [anon_sym_import] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2194),
    [anon_sym_var] = ACTIONS(2194),
    [anon_sym_let] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_BANG] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(2194),
    [anon_sym_await] = ACTIONS(2194),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_debugger] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2194),
    [anon_sym_case] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_LTtemplate_GT] = ACTIONS(2194),
    [anon_sym_DQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_async] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_TILDE] = ACTIONS(2194),
    [anon_sym_void] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_PLUS_PLUS] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2194),
    [sym_number] = ACTIONS(2194),
    [sym_private_property_identifier] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [sym_super] = ACTIONS(2194),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [sym_null] = ACTIONS(2194),
    [sym_undefined] = ACTIONS(2194),
    [anon_sym_AT] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_readonly] = ACTIONS(2194),
    [anon_sym_get] = ACTIONS(2194),
    [anon_sym_set] = ACTIONS(2194),
    [anon_sym_declare] = ACTIONS(2194),
    [anon_sym_public] = ACTIONS(2194),
    [anon_sym_private] = ACTIONS(2194),
    [anon_sym_protected] = ACTIONS(2194),
    [anon_sym_override] = ACTIONS(2194),
    [anon_sym_module] = ACTIONS(2194),
    [anon_sym_any] = ACTIONS(2194),
    [anon_sym_number] = ACTIONS(2194),
    [anon_sym_boolean] = ACTIONS(2194),
    [anon_sym_string] = ACTIONS(2194),
    [anon_sym_symbol] = ACTIONS(2194),
    [anon_sym_object] = ACTIONS(2194),
    [anon_sym_abstract] = ACTIONS(2194),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [sym__automatic_semicolon] = ACTIONS(2370),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_comment] = STATE(1103),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_finally_clause] = STATE(1642),
    [sym_comment] = STATE(1104),
    [ts_builtin_sym_end] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3143),
    [anon_sym_export] = ACTIONS(3143),
    [anon_sym_type] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_typeof] = ACTIONS(3143),
    [anon_sym_import] = ACTIONS(3143),
    [anon_sym_with] = ACTIONS(3143),
    [anon_sym_var] = ACTIONS(3143),
    [anon_sym_let] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_await] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_debugger] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_finally] = ACTIONS(3149),
    [anon_sym_yield] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_LTtemplate_GT] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_async] = ACTIONS(3143),
    [anon_sym_function] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_SLASH] = ACTIONS(3143),
    [anon_sym_LT] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_void] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3143),
    [sym_private_property_identifier] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
    [sym_super] = ACTIONS(3143),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [sym_null] = ACTIONS(3143),
    [sym_undefined] = ACTIONS(3143),
    [anon_sym_AT] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_readonly] = ACTIONS(3143),
    [anon_sym_get] = ACTIONS(3143),
    [anon_sym_set] = ACTIONS(3143),
    [anon_sym_declare] = ACTIONS(3143),
    [anon_sym_public] = ACTIONS(3143),
    [anon_sym_private] = ACTIONS(3143),
    [anon_sym_protected] = ACTIONS(3143),
    [anon_sym_override] = ACTIONS(3143),
    [anon_sym_module] = ACTIONS(3143),
    [anon_sym_any] = ACTIONS(3143),
    [anon_sym_number] = ACTIONS(3143),
    [anon_sym_boolean] = ACTIONS(3143),
    [anon_sym_string] = ACTIONS(3143),
    [anon_sym_symbol] = ACTIONS(3143),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_abstract] = ACTIONS(3143),
    [anon_sym_interface] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_comment] = STATE(1105),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_default] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_else] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_case] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_comment] = STATE(1106),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_else] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_comment] = STATE(1107),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_else] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_comment] = STATE(1108),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_finally] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_comment] = STATE(1109),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_comment] = STATE(1110),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_else] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_comment] = STATE(1111),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_comment] = STATE(1112),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym__automatic_semicolon] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_comment] = STATE(1113),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_comment] = STATE(1114),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_else] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_else_clause] = STATE(1632),
    [sym_comment] = STATE(1115),
    [ts_builtin_sym_end] = ACTIONS(3297),
    [sym_identifier] = ACTIONS(3167),
    [anon_sym_export] = ACTIONS(3167),
    [anon_sym_type] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3167),
    [anon_sym_RBRACE] = ACTIONS(3167),
    [anon_sym_typeof] = ACTIONS(3167),
    [anon_sym_import] = ACTIONS(3167),
    [anon_sym_with] = ACTIONS(3167),
    [anon_sym_var] = ACTIONS(3167),
    [anon_sym_let] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_BANG] = ACTIONS(3167),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_LPAREN] = ACTIONS(3167),
    [anon_sym_await] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_debugger] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3167),
    [anon_sym_yield] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_LTtemplate_GT] = ACTIONS(3167),
    [anon_sym_DQUOTE] = ACTIONS(3167),
    [anon_sym_SQUOTE] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_async] = ACTIONS(3167),
    [anon_sym_function] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_SLASH] = ACTIONS(3167),
    [anon_sym_LT] = ACTIONS(3167),
    [anon_sym_TILDE] = ACTIONS(3167),
    [anon_sym_void] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_PLUS_PLUS] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3167),
    [sym_number] = ACTIONS(3167),
    [sym_private_property_identifier] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
    [sym_super] = ACTIONS(3167),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [sym_null] = ACTIONS(3167),
    [sym_undefined] = ACTIONS(3167),
    [anon_sym_AT] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_readonly] = ACTIONS(3167),
    [anon_sym_get] = ACTIONS(3167),
    [anon_sym_set] = ACTIONS(3167),
    [anon_sym_declare] = ACTIONS(3167),
    [anon_sym_public] = ACTIONS(3167),
    [anon_sym_private] = ACTIONS(3167),
    [anon_sym_protected] = ACTIONS(3167),
    [anon_sym_override] = ACTIONS(3167),
    [anon_sym_module] = ACTIONS(3167),
    [anon_sym_any] = ACTIONS(3167),
    [anon_sym_number] = ACTIONS(3167),
    [anon_sym_boolean] = ACTIONS(3167),
    [anon_sym_string] = ACTIONS(3167),
    [anon_sym_symbol] = ACTIONS(3167),
    [anon_sym_object] = ACTIONS(3167),
    [anon_sym_abstract] = ACTIONS(3167),
    [anon_sym_interface] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_comment] = STATE(1116),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_comment] = STATE(1117),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_finally] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_comment] = STATE(1118),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3301),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_comment] = STATE(1119),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym__automatic_semicolon] = ACTIONS(3305),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_comment] = STATE(1120),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_comment] = STATE(1121),
    [ts_builtin_sym_end] = ACTIONS(3175),
    [sym_identifier] = ACTIONS(3173),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_type] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_else] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_LTtemplate_GT] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3173),
    [sym_number] = ACTIONS(3173),
    [sym_private_property_identifier] = ACTIONS(3173),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_readonly] = ACTIONS(3173),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
    [anon_sym_declare] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_override] = ACTIONS(3173),
    [anon_sym_module] = ACTIONS(3173),
    [anon_sym_any] = ACTIONS(3173),
    [anon_sym_number] = ACTIONS(3173),
    [anon_sym_boolean] = ACTIONS(3173),
    [anon_sym_string] = ACTIONS(3173),
    [anon_sym_symbol] = ACTIONS(3173),
    [anon_sym_object] = ACTIONS(3173),
    [anon_sym_abstract] = ACTIONS(3173),
    [anon_sym_interface] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [sym__automatic_semicolon] = ACTIONS(3175),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_comment] = STATE(1122),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_default] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_case] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_comment] = STATE(1123),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_comment] = STATE(1124),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_default] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_case] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_comment] = STATE(1125),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_else] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_comment] = STATE(1126),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_default] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_else] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_case] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_comment] = STATE(1127),
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_catch] = ACTIONS(2246),
    [anon_sym_finally] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_comment] = STATE(1128),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_else] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_comment] = STATE(1129),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_else] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_comment] = STATE(1130),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_default] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_else] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_case] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_comment] = STATE(1131),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3321),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_comment] = STATE(1132),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_else] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_comment] = STATE(1133),
    [ts_builtin_sym_end] = ACTIONS(2390),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_else] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2392),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_comment] = STATE(1134),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_else] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_comment] = STATE(1135),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_comment] = STATE(1136),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_comment] = STATE(1137),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_comment] = STATE(1138),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_comment] = STATE(1139),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_comment] = STATE(1140),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_comment] = STATE(1141),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_comment] = STATE(1142),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_default] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_else] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_case] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_comment] = STATE(1143),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_comment] = STATE(1144),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_comment] = STATE(1145),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3335),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_comment] = STATE(1146),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_comment] = STATE(1147),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_comment] = STATE(1148),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_comment] = STATE(1149),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_else] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_case] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_comment] = STATE(1150),
    [sym_identifier] = ACTIONS(3339),
    [anon_sym_export] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_type] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3339),
    [anon_sym_typeof] = ACTIONS(3339),
    [anon_sym_import] = ACTIONS(3339),
    [anon_sym_with] = ACTIONS(3339),
    [anon_sym_var] = ACTIONS(3339),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_else] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_await] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_debugger] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_yield] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LTtemplate_GT] = ACTIONS(3339),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_async] = ACTIONS(3339),
    [anon_sym_function] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_SLASH] = ACTIONS(3339),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_void] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3339),
    [sym_number] = ACTIONS(3339),
    [sym_private_property_identifier] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
    [sym_super] = ACTIONS(3339),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [sym_null] = ACTIONS(3339),
    [sym_undefined] = ACTIONS(3339),
    [anon_sym_AT] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3339),
    [anon_sym_set] = ACTIONS(3339),
    [anon_sym_declare] = ACTIONS(3339),
    [anon_sym_public] = ACTIONS(3339),
    [anon_sym_private] = ACTIONS(3339),
    [anon_sym_protected] = ACTIONS(3339),
    [anon_sym_override] = ACTIONS(3339),
    [anon_sym_module] = ACTIONS(3339),
    [anon_sym_any] = ACTIONS(3339),
    [anon_sym_number] = ACTIONS(3339),
    [anon_sym_boolean] = ACTIONS(3339),
    [anon_sym_string] = ACTIONS(3339),
    [anon_sym_symbol] = ACTIONS(3339),
    [anon_sym_object] = ACTIONS(3339),
    [anon_sym_abstract] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_comment] = STATE(1151),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_comment] = STATE(1152),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_comment] = STATE(1153),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_comment] = STATE(1154),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_comment] = STATE(1155),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_comment] = STATE(1156),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_comment] = STATE(1157),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_comment] = STATE(1158),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_comment] = STATE(1159),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_comment] = STATE(1160),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_comment] = STATE(1161),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_comment] = STATE(1162),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_default] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_else] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_case] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_comment] = STATE(1163),
    [ts_builtin_sym_end] = ACTIONS(2420),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2422),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_comment] = STATE(1164),
    [ts_builtin_sym_end] = ACTIONS(2424),
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_export] = ACTIONS(2194),
    [anon_sym_type] = ACTIONS(2194),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_typeof] = ACTIONS(2194),
    [anon_sym_import] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2194),
    [anon_sym_var] = ACTIONS(2194),
    [anon_sym_let] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_BANG] = ACTIONS(2194),
    [anon_sym_else] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(2194),
    [anon_sym_await] = ACTIONS(2194),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_debugger] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_LTtemplate_GT] = ACTIONS(2194),
    [anon_sym_DQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_async] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_TILDE] = ACTIONS(2194),
    [anon_sym_void] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_PLUS_PLUS] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2194),
    [sym_number] = ACTIONS(2194),
    [sym_private_property_identifier] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [sym_super] = ACTIONS(2194),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [sym_null] = ACTIONS(2194),
    [sym_undefined] = ACTIONS(2194),
    [anon_sym_AT] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_readonly] = ACTIONS(2194),
    [anon_sym_get] = ACTIONS(2194),
    [anon_sym_set] = ACTIONS(2194),
    [anon_sym_declare] = ACTIONS(2194),
    [anon_sym_public] = ACTIONS(2194),
    [anon_sym_private] = ACTIONS(2194),
    [anon_sym_protected] = ACTIONS(2194),
    [anon_sym_override] = ACTIONS(2194),
    [anon_sym_module] = ACTIONS(2194),
    [anon_sym_any] = ACTIONS(2194),
    [anon_sym_number] = ACTIONS(2194),
    [anon_sym_boolean] = ACTIONS(2194),
    [anon_sym_string] = ACTIONS(2194),
    [anon_sym_symbol] = ACTIONS(2194),
    [anon_sym_object] = ACTIONS(2194),
    [anon_sym_abstract] = ACTIONS(2194),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [sym__automatic_semicolon] = ACTIONS(2426),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_comment] = STATE(1165),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_comment] = STATE(1166),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1167] = {
    [sym_comment] = STATE(1167),
    [ts_builtin_sym_end] = ACTIONS(2428),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2430),
    [sym_html_comment] = ACTIONS(5),
  },
  [1168] = {
    [sym_comment] = STATE(1168),
    [ts_builtin_sym_end] = ACTIONS(2404),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2406),
    [sym_html_comment] = ACTIONS(5),
  },
  [1169] = {
    [sym_comment] = STATE(1169),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_else] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1170] = {
    [sym_comment] = STATE(1170),
    [sym_identifier] = ACTIONS(3349),
    [anon_sym_export] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_type] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym_import] = ACTIONS(3349),
    [anon_sym_with] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_else] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_debugger] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym_case] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_LTtemplate_GT] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_function] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3349),
    [anon_sym_LT] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_void] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3349),
    [sym_number] = ACTIONS(3349),
    [sym_private_property_identifier] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
    [sym_super] = ACTIONS(3349),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [sym_null] = ACTIONS(3349),
    [sym_undefined] = ACTIONS(3349),
    [anon_sym_AT] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_get] = ACTIONS(3349),
    [anon_sym_set] = ACTIONS(3349),
    [anon_sym_declare] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_module] = ACTIONS(3349),
    [anon_sym_any] = ACTIONS(3349),
    [anon_sym_number] = ACTIONS(3349),
    [anon_sym_boolean] = ACTIONS(3349),
    [anon_sym_string] = ACTIONS(3349),
    [anon_sym_symbol] = ACTIONS(3349),
    [anon_sym_object] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_interface] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [sym_html_comment] = ACTIONS(5),
  },
  [1171] = {
    [sym_comment] = STATE(1171),
    [sym_identifier] = ACTIONS(3351),
    [anon_sym_export] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_type] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3351),
    [anon_sym_typeof] = ACTIONS(3351),
    [anon_sym_import] = ACTIONS(3351),
    [anon_sym_with] = ACTIONS(3351),
    [anon_sym_var] = ACTIONS(3351),
    [anon_sym_let] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_else] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_await] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_debugger] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_yield] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LTtemplate_GT] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_async] = ACTIONS(3351),
    [anon_sym_function] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_LT] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_void] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3351),
    [sym_number] = ACTIONS(3351),
    [sym_private_property_identifier] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
    [sym_super] = ACTIONS(3351),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [sym_null] = ACTIONS(3351),
    [sym_undefined] = ACTIONS(3351),
    [anon_sym_AT] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_readonly] = ACTIONS(3351),
    [anon_sym_get] = ACTIONS(3351),
    [anon_sym_set] = ACTIONS(3351),
    [anon_sym_declare] = ACTIONS(3351),
    [anon_sym_public] = ACTIONS(3351),
    [anon_sym_private] = ACTIONS(3351),
    [anon_sym_protected] = ACTIONS(3351),
    [anon_sym_override] = ACTIONS(3351),
    [anon_sym_module] = ACTIONS(3351),
    [anon_sym_any] = ACTIONS(3351),
    [anon_sym_number] = ACTIONS(3351),
    [anon_sym_boolean] = ACTIONS(3351),
    [anon_sym_string] = ACTIONS(3351),
    [anon_sym_symbol] = ACTIONS(3351),
    [anon_sym_object] = ACTIONS(3351),
    [anon_sym_abstract] = ACTIONS(3351),
    [anon_sym_interface] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [sym_html_comment] = ACTIONS(5),
  },
  [1172] = {
    [sym_comment] = STATE(1172),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_else] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1173] = {
    [sym_comment] = STATE(1173),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_export] = ACTIONS(3355),
    [anon_sym_default] = ACTIONS(3355),
    [anon_sym_type] = ACTIONS(3355),
    [anon_sym_namespace] = ACTIONS(3355),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_RBRACE] = ACTIONS(3355),
    [anon_sym_typeof] = ACTIONS(3355),
    [anon_sym_import] = ACTIONS(3355),
    [anon_sym_with] = ACTIONS(3355),
    [anon_sym_var] = ACTIONS(3355),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_else] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(3355),
    [anon_sym_switch] = ACTIONS(3355),
    [anon_sym_for] = ACTIONS(3355),
    [anon_sym_LPAREN] = ACTIONS(3355),
    [anon_sym_await] = ACTIONS(3355),
    [anon_sym_while] = ACTIONS(3355),
    [anon_sym_do] = ACTIONS(3355),
    [anon_sym_try] = ACTIONS(3355),
    [anon_sym_break] = ACTIONS(3355),
    [anon_sym_continue] = ACTIONS(3355),
    [anon_sym_debugger] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3355),
    [anon_sym_throw] = ACTIONS(3355),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym_case] = ACTIONS(3355),
    [anon_sym_yield] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_LTtemplate_GT] = ACTIONS(3355),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_async] = ACTIONS(3355),
    [anon_sym_function] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_PLUS] = ACTIONS(3355),
    [anon_sym_DASH] = ACTIONS(3355),
    [anon_sym_SLASH] = ACTIONS(3355),
    [anon_sym_LT] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_void] = ACTIONS(3355),
    [anon_sym_delete] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3355),
    [sym_number] = ACTIONS(3355),
    [sym_private_property_identifier] = ACTIONS(3355),
    [sym_this] = ACTIONS(3355),
    [sym_super] = ACTIONS(3355),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [sym_null] = ACTIONS(3355),
    [sym_undefined] = ACTIONS(3355),
    [anon_sym_AT] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_readonly] = ACTIONS(3355),
    [anon_sym_get] = ACTIONS(3355),
    [anon_sym_set] = ACTIONS(3355),
    [anon_sym_declare] = ACTIONS(3355),
    [anon_sym_public] = ACTIONS(3355),
    [anon_sym_private] = ACTIONS(3355),
    [anon_sym_protected] = ACTIONS(3355),
    [anon_sym_override] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(3355),
    [anon_sym_any] = ACTIONS(3355),
    [anon_sym_number] = ACTIONS(3355),
    [anon_sym_boolean] = ACTIONS(3355),
    [anon_sym_string] = ACTIONS(3355),
    [anon_sym_symbol] = ACTIONS(3355),
    [anon_sym_object] = ACTIONS(3355),
    [anon_sym_abstract] = ACTIONS(3355),
    [anon_sym_interface] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [sym_html_comment] = ACTIONS(5),
  },
  [1174] = {
    [sym_comment] = STATE(1174),
    [ts_builtin_sym_end] = ACTIONS(2400),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2402),
    [sym_html_comment] = ACTIONS(5),
  },
  [1175] = {
    [sym_comment] = STATE(1175),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_else] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1176] = {
    [sym_comment] = STATE(1176),
    [sym_identifier] = ACTIONS(3359),
    [anon_sym_export] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_type] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3359),
    [anon_sym_typeof] = ACTIONS(3359),
    [anon_sym_import] = ACTIONS(3359),
    [anon_sym_with] = ACTIONS(3359),
    [anon_sym_var] = ACTIONS(3359),
    [anon_sym_let] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_else] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_await] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_debugger] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_yield] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LTtemplate_GT] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_async] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_LT] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_void] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3359),
    [sym_number] = ACTIONS(3359),
    [sym_private_property_identifier] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
    [sym_super] = ACTIONS(3359),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [sym_null] = ACTIONS(3359),
    [sym_undefined] = ACTIONS(3359),
    [anon_sym_AT] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3359),
    [anon_sym_get] = ACTIONS(3359),
    [anon_sym_set] = ACTIONS(3359),
    [anon_sym_declare] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_override] = ACTIONS(3359),
    [anon_sym_module] = ACTIONS(3359),
    [anon_sym_any] = ACTIONS(3359),
    [anon_sym_number] = ACTIONS(3359),
    [anon_sym_boolean] = ACTIONS(3359),
    [anon_sym_string] = ACTIONS(3359),
    [anon_sym_symbol] = ACTIONS(3359),
    [anon_sym_object] = ACTIONS(3359),
    [anon_sym_abstract] = ACTIONS(3359),
    [anon_sym_interface] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [sym_html_comment] = ACTIONS(5),
  },
  [1177] = {
    [sym_comment] = STATE(1177),
    [sym_identifier] = ACTIONS(3361),
    [anon_sym_export] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_type] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym_import] = ACTIONS(3361),
    [anon_sym_with] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_else] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_LPAREN] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_debugger] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym_case] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_LTtemplate_GT] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_SLASH] = ACTIONS(3361),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_void] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3361),
    [sym_number] = ACTIONS(3361),
    [sym_private_property_identifier] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
    [sym_super] = ACTIONS(3361),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [sym_null] = ACTIONS(3361),
    [sym_undefined] = ACTIONS(3361),
    [anon_sym_AT] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_get] = ACTIONS(3361),
    [anon_sym_set] = ACTIONS(3361),
    [anon_sym_declare] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_module] = ACTIONS(3361),
    [anon_sym_any] = ACTIONS(3361),
    [anon_sym_number] = ACTIONS(3361),
    [anon_sym_boolean] = ACTIONS(3361),
    [anon_sym_string] = ACTIONS(3361),
    [anon_sym_symbol] = ACTIONS(3361),
    [anon_sym_object] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_interface] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1178] = {
    [sym_comment] = STATE(1178),
    [sym_identifier] = ACTIONS(3173),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_type] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_LTtemplate_GT] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3173),
    [sym_number] = ACTIONS(3173),
    [sym_private_property_identifier] = ACTIONS(3173),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_readonly] = ACTIONS(3173),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
    [anon_sym_declare] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_override] = ACTIONS(3173),
    [anon_sym_module] = ACTIONS(3173),
    [anon_sym_any] = ACTIONS(3173),
    [anon_sym_number] = ACTIONS(3173),
    [anon_sym_boolean] = ACTIONS(3173),
    [anon_sym_string] = ACTIONS(3173),
    [anon_sym_symbol] = ACTIONS(3173),
    [anon_sym_object] = ACTIONS(3173),
    [anon_sym_abstract] = ACTIONS(3173),
    [anon_sym_interface] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [sym__automatic_semicolon] = ACTIONS(3175),
    [sym_html_comment] = ACTIONS(5),
  },
  [1179] = {
    [sym_comment] = STATE(1179),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_else] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1180] = {
    [sym_comment] = STATE(1180),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_finally] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1181] = {
    [sym_comment] = STATE(1181),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_else] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1182] = {
    [sym_comment] = STATE(1182),
    [sym_identifier] = ACTIONS(3369),
    [anon_sym_export] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_type] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym_import] = ACTIONS(3369),
    [anon_sym_with] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_else] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_LPAREN] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_debugger] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_LTtemplate_GT] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_function] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_SLASH] = ACTIONS(3369),
    [anon_sym_LT] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_void] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3369),
    [sym_number] = ACTIONS(3369),
    [sym_private_property_identifier] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
    [sym_super] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_null] = ACTIONS(3369),
    [sym_undefined] = ACTIONS(3369),
    [anon_sym_AT] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_get] = ACTIONS(3369),
    [anon_sym_set] = ACTIONS(3369),
    [anon_sym_declare] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_module] = ACTIONS(3369),
    [anon_sym_any] = ACTIONS(3369),
    [anon_sym_number] = ACTIONS(3369),
    [anon_sym_boolean] = ACTIONS(3369),
    [anon_sym_string] = ACTIONS(3369),
    [anon_sym_symbol] = ACTIONS(3369),
    [anon_sym_object] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_interface] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [sym_html_comment] = ACTIONS(5),
  },
  [1183] = {
    [sym_comment] = STATE(1183),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_else] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1184] = {
    [sym_comment] = STATE(1184),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_else] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1185] = {
    [sym_comment] = STATE(1185),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_default] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_else] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_case] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1186] = {
    [sym_comment] = STATE(1186),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_else] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1187] = {
    [sym_comment] = STATE(1187),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1188] = {
    [sym_comment] = STATE(1188),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1189] = {
    [sym_comment] = STATE(1189),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_else] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1190] = {
    [sym_comment] = STATE(1190),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_export] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_type] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym_import] = ACTIONS(3381),
    [anon_sym_with] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_else] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_debugger] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_LTtemplate_GT] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_function] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_SLASH] = ACTIONS(3381),
    [anon_sym_LT] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_void] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3381),
    [sym_number] = ACTIONS(3381),
    [sym_private_property_identifier] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
    [sym_super] = ACTIONS(3381),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [sym_null] = ACTIONS(3381),
    [sym_undefined] = ACTIONS(3381),
    [anon_sym_AT] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_get] = ACTIONS(3381),
    [anon_sym_set] = ACTIONS(3381),
    [anon_sym_declare] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_module] = ACTIONS(3381),
    [anon_sym_any] = ACTIONS(3381),
    [anon_sym_number] = ACTIONS(3381),
    [anon_sym_boolean] = ACTIONS(3381),
    [anon_sym_string] = ACTIONS(3381),
    [anon_sym_symbol] = ACTIONS(3381),
    [anon_sym_object] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_interface] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [sym_html_comment] = ACTIONS(5),
  },
  [1191] = {
    [sym_comment] = STATE(1191),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3383),
    [sym_html_comment] = ACTIONS(5),
  },
  [1192] = {
    [sym_comment] = STATE(1192),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3385),
    [sym_html_comment] = ACTIONS(5),
  },
  [1193] = {
    [sym_comment] = STATE(1193),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_else] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1194] = {
    [sym_comment] = STATE(1194),
    [ts_builtin_sym_end] = ACTIONS(2276),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_export] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_typeof] = ACTIONS(2274),
    [anon_sym_import] = ACTIONS(2274),
    [anon_sym_with] = ACTIONS(2274),
    [anon_sym_var] = ACTIONS(2274),
    [anon_sym_let] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_else] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_switch] = ACTIONS(2274),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_await] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2274),
    [anon_sym_do] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2274),
    [anon_sym_break] = ACTIONS(2274),
    [anon_sym_continue] = ACTIONS(2274),
    [anon_sym_debugger] = ACTIONS(2274),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_yield] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_LTtemplate_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2274),
    [anon_sym_async] = ACTIONS(2274),
    [anon_sym_function] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2274),
    [anon_sym_using] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_void] = ACTIONS(2274),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2274),
    [sym_number] = ACTIONS(2274),
    [sym_private_property_identifier] = ACTIONS(2274),
    [sym_this] = ACTIONS(2274),
    [sym_super] = ACTIONS(2274),
    [sym_true] = ACTIONS(2274),
    [sym_false] = ACTIONS(2274),
    [sym_null] = ACTIONS(2274),
    [sym_undefined] = ACTIONS(2274),
    [anon_sym_AT] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_get] = ACTIONS(2274),
    [anon_sym_set] = ACTIONS(2274),
    [anon_sym_declare] = ACTIONS(2274),
    [anon_sym_public] = ACTIONS(2274),
    [anon_sym_private] = ACTIONS(2274),
    [anon_sym_protected] = ACTIONS(2274),
    [anon_sym_override] = ACTIONS(2274),
    [anon_sym_module] = ACTIONS(2274),
    [anon_sym_any] = ACTIONS(2274),
    [anon_sym_number] = ACTIONS(2274),
    [anon_sym_boolean] = ACTIONS(2274),
    [anon_sym_string] = ACTIONS(2274),
    [anon_sym_symbol] = ACTIONS(2274),
    [anon_sym_object] = ACTIONS(2274),
    [anon_sym_abstract] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1195] = {
    [sym_comment] = STATE(1195),
    [ts_builtin_sym_end] = ACTIONS(2206),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_else] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1196] = {
    [sym_statement_block] = STATE(1727),
    [sym_comment] = STATE(1196),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [1197] = {
    [sym_statement_block] = STATE(1727),
    [sym_comment] = STATE(1197),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(3393),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [1198] = {
    [sym_comment] = STATE(1198),
    [sym_identifier] = ACTIONS(3163),
    [anon_sym_export] = ACTIONS(3163),
    [anon_sym_default] = ACTIONS(3163),
    [anon_sym_type] = ACTIONS(3163),
    [anon_sym_namespace] = ACTIONS(3163),
    [anon_sym_LBRACE] = ACTIONS(3163),
    [anon_sym_RBRACE] = ACTIONS(3163),
    [anon_sym_typeof] = ACTIONS(3163),
    [anon_sym_import] = ACTIONS(3163),
    [anon_sym_with] = ACTIONS(3163),
    [anon_sym_var] = ACTIONS(3163),
    [anon_sym_let] = ACTIONS(3163),
    [anon_sym_const] = ACTIONS(3163),
    [anon_sym_BANG] = ACTIONS(3163),
    [anon_sym_if] = ACTIONS(3163),
    [anon_sym_switch] = ACTIONS(3163),
    [anon_sym_for] = ACTIONS(3163),
    [anon_sym_LPAREN] = ACTIONS(3163),
    [anon_sym_await] = ACTIONS(3163),
    [anon_sym_while] = ACTIONS(3163),
    [anon_sym_do] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3163),
    [anon_sym_break] = ACTIONS(3163),
    [anon_sym_continue] = ACTIONS(3163),
    [anon_sym_debugger] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3163),
    [anon_sym_throw] = ACTIONS(3163),
    [anon_sym_SEMI] = ACTIONS(3163),
    [anon_sym_case] = ACTIONS(3163),
    [anon_sym_yield] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_LTtemplate_GT] = ACTIONS(3163),
    [anon_sym_DQUOTE] = ACTIONS(3163),
    [anon_sym_SQUOTE] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3163),
    [anon_sym_async] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_new] = ACTIONS(3163),
    [anon_sym_using] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3163),
    [anon_sym_DASH] = ACTIONS(3163),
    [anon_sym_SLASH] = ACTIONS(3163),
    [anon_sym_LT] = ACTIONS(3163),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_void] = ACTIONS(3163),
    [anon_sym_delete] = ACTIONS(3163),
    [anon_sym_PLUS_PLUS] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3163),
    [sym_number] = ACTIONS(3163),
    [sym_private_property_identifier] = ACTIONS(3163),
    [sym_this] = ACTIONS(3163),
    [sym_super] = ACTIONS(3163),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [sym_null] = ACTIONS(3163),
    [sym_undefined] = ACTIONS(3163),
    [anon_sym_AT] = ACTIONS(3163),
    [anon_sym_static] = ACTIONS(3163),
    [anon_sym_readonly] = ACTIONS(3163),
    [anon_sym_get] = ACTIONS(3163),
    [anon_sym_set] = ACTIONS(3163),
    [anon_sym_declare] = ACTIONS(3163),
    [anon_sym_public] = ACTIONS(3163),
    [anon_sym_private] = ACTIONS(3163),
    [anon_sym_protected] = ACTIONS(3163),
    [anon_sym_override] = ACTIONS(3163),
    [anon_sym_module] = ACTIONS(3163),
    [anon_sym_any] = ACTIONS(3163),
    [anon_sym_number] = ACTIONS(3163),
    [anon_sym_boolean] = ACTIONS(3163),
    [anon_sym_string] = ACTIONS(3163),
    [anon_sym_symbol] = ACTIONS(3163),
    [anon_sym_object] = ACTIONS(3163),
    [anon_sym_abstract] = ACTIONS(3163),
    [anon_sym_interface] = ACTIONS(3163),
    [anon_sym_enum] = ACTIONS(3163),
    [sym__automatic_semicolon] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1199] = {
    [sym_comment] = STATE(1199),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_else] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1200] = {
    [sym_comment] = STATE(1200),
    [sym_identifier] = ACTIONS(3395),
    [anon_sym_export] = ACTIONS(3395),
    [anon_sym_default] = ACTIONS(3395),
    [anon_sym_type] = ACTIONS(3395),
    [anon_sym_namespace] = ACTIONS(3395),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_typeof] = ACTIONS(3395),
    [anon_sym_import] = ACTIONS(3395),
    [anon_sym_with] = ACTIONS(3395),
    [anon_sym_var] = ACTIONS(3395),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_const] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_else] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(3395),
    [anon_sym_switch] = ACTIONS(3395),
    [anon_sym_for] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_await] = ACTIONS(3395),
    [anon_sym_while] = ACTIONS(3395),
    [anon_sym_do] = ACTIONS(3395),
    [anon_sym_try] = ACTIONS(3395),
    [anon_sym_break] = ACTIONS(3395),
    [anon_sym_continue] = ACTIONS(3395),
    [anon_sym_debugger] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3395),
    [anon_sym_throw] = ACTIONS(3395),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_case] = ACTIONS(3395),
    [anon_sym_yield] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LTtemplate_GT] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_class] = ACTIONS(3395),
    [anon_sym_async] = ACTIONS(3395),
    [anon_sym_function] = ACTIONS(3395),
    [anon_sym_new] = ACTIONS(3395),
    [anon_sym_using] = ACTIONS(3395),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_SLASH] = ACTIONS(3395),
    [anon_sym_LT] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_void] = ACTIONS(3395),
    [anon_sym_delete] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3395),
    [sym_number] = ACTIONS(3395),
    [sym_private_property_identifier] = ACTIONS(3395),
    [sym_this] = ACTIONS(3395),
    [sym_super] = ACTIONS(3395),
    [sym_true] = ACTIONS(3395),
    [sym_false] = ACTIONS(3395),
    [sym_null] = ACTIONS(3395),
    [sym_undefined] = ACTIONS(3395),
    [anon_sym_AT] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3395),
    [anon_sym_readonly] = ACTIONS(3395),
    [anon_sym_get] = ACTIONS(3395),
    [anon_sym_set] = ACTIONS(3395),
    [anon_sym_declare] = ACTIONS(3395),
    [anon_sym_public] = ACTIONS(3395),
    [anon_sym_private] = ACTIONS(3395),
    [anon_sym_protected] = ACTIONS(3395),
    [anon_sym_override] = ACTIONS(3395),
    [anon_sym_module] = ACTIONS(3395),
    [anon_sym_any] = ACTIONS(3395),
    [anon_sym_number] = ACTIONS(3395),
    [anon_sym_boolean] = ACTIONS(3395),
    [anon_sym_string] = ACTIONS(3395),
    [anon_sym_symbol] = ACTIONS(3395),
    [anon_sym_object] = ACTIONS(3395),
    [anon_sym_abstract] = ACTIONS(3395),
    [anon_sym_interface] = ACTIONS(3395),
    [anon_sym_enum] = ACTIONS(3395),
    [sym_html_comment] = ACTIONS(5),
  },
  [1201] = {
    [sym_comment] = STATE(1201),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1202] = {
    [sym_comment] = STATE(1202),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1203] = {
    [sym_comment] = STATE(1203),
    [sym_identifier] = ACTIONS(3399),
    [anon_sym_export] = ACTIONS(3399),
    [anon_sym_default] = ACTIONS(3399),
    [anon_sym_type] = ACTIONS(3399),
    [anon_sym_namespace] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_typeof] = ACTIONS(3399),
    [anon_sym_import] = ACTIONS(3399),
    [anon_sym_with] = ACTIONS(3399),
    [anon_sym_var] = ACTIONS(3399),
    [anon_sym_let] = ACTIONS(3399),
    [anon_sym_const] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_else] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_switch] = ACTIONS(3399),
    [anon_sym_for] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_await] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(3399),
    [anon_sym_do] = ACTIONS(3399),
    [anon_sym_try] = ACTIONS(3399),
    [anon_sym_break] = ACTIONS(3399),
    [anon_sym_continue] = ACTIONS(3399),
    [anon_sym_debugger] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3399),
    [anon_sym_throw] = ACTIONS(3399),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_case] = ACTIONS(3399),
    [anon_sym_yield] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LTtemplate_GT] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3399),
    [anon_sym_async] = ACTIONS(3399),
    [anon_sym_function] = ACTIONS(3399),
    [anon_sym_new] = ACTIONS(3399),
    [anon_sym_using] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_void] = ACTIONS(3399),
    [anon_sym_delete] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3399),
    [sym_number] = ACTIONS(3399),
    [sym_private_property_identifier] = ACTIONS(3399),
    [sym_this] = ACTIONS(3399),
    [sym_super] = ACTIONS(3399),
    [sym_true] = ACTIONS(3399),
    [sym_false] = ACTIONS(3399),
    [sym_null] = ACTIONS(3399),
    [sym_undefined] = ACTIONS(3399),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_static] = ACTIONS(3399),
    [anon_sym_readonly] = ACTIONS(3399),
    [anon_sym_get] = ACTIONS(3399),
    [anon_sym_set] = ACTIONS(3399),
    [anon_sym_declare] = ACTIONS(3399),
    [anon_sym_public] = ACTIONS(3399),
    [anon_sym_private] = ACTIONS(3399),
    [anon_sym_protected] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3399),
    [anon_sym_module] = ACTIONS(3399),
    [anon_sym_any] = ACTIONS(3399),
    [anon_sym_number] = ACTIONS(3399),
    [anon_sym_boolean] = ACTIONS(3399),
    [anon_sym_string] = ACTIONS(3399),
    [anon_sym_symbol] = ACTIONS(3399),
    [anon_sym_object] = ACTIONS(3399),
    [anon_sym_abstract] = ACTIONS(3399),
    [anon_sym_interface] = ACTIONS(3399),
    [anon_sym_enum] = ACTIONS(3399),
    [sym_html_comment] = ACTIONS(5),
  },
  [1204] = {
    [sym_comment] = STATE(1204),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1205] = {
    [sym_comment] = STATE(1205),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_default] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_else] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_case] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1206] = {
    [sym_comment] = STATE(1206),
    [sym_identifier] = ACTIONS(3401),
    [anon_sym_export] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_type] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3401),
    [anon_sym_typeof] = ACTIONS(3401),
    [anon_sym_import] = ACTIONS(3401),
    [anon_sym_with] = ACTIONS(3401),
    [anon_sym_var] = ACTIONS(3401),
    [anon_sym_let] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(3401),
    [anon_sym_else] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_await] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_debugger] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_yield] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LTtemplate_GT] = ACTIONS(3401),
    [anon_sym_DQUOTE] = ACTIONS(3401),
    [anon_sym_SQUOTE] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_SLASH] = ACTIONS(3401),
    [anon_sym_LT] = ACTIONS(3401),
    [anon_sym_TILDE] = ACTIONS(3401),
    [anon_sym_void] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_PLUS_PLUS] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3401),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3401),
    [sym_number] = ACTIONS(3401),
    [sym_private_property_identifier] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
    [sym_super] = ACTIONS(3401),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [sym_null] = ACTIONS(3401),
    [sym_undefined] = ACTIONS(3401),
    [anon_sym_AT] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_declare] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_override] = ACTIONS(3401),
    [anon_sym_module] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_abstract] = ACTIONS(3401),
    [anon_sym_interface] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [sym_html_comment] = ACTIONS(5),
  },
  [1207] = {
    [sym_comment] = STATE(1207),
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_export] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_type] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2238),
    [anon_sym_typeof] = ACTIONS(2238),
    [anon_sym_import] = ACTIONS(2238),
    [anon_sym_with] = ACTIONS(2238),
    [anon_sym_var] = ACTIONS(2238),
    [anon_sym_let] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_LPAREN] = ACTIONS(2238),
    [anon_sym_await] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_debugger] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_yield] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_LTtemplate_GT] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [anon_sym_SQUOTE] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_async] = ACTIONS(2238),
    [anon_sym_function] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_TILDE] = ACTIONS(2238),
    [anon_sym_void] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2238),
    [sym_number] = ACTIONS(2238),
    [sym_private_property_identifier] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [sym_super] = ACTIONS(2238),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [sym_null] = ACTIONS(2238),
    [sym_undefined] = ACTIONS(2238),
    [anon_sym_AT] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_readonly] = ACTIONS(2238),
    [anon_sym_get] = ACTIONS(2238),
    [anon_sym_set] = ACTIONS(2238),
    [anon_sym_declare] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_override] = ACTIONS(2238),
    [anon_sym_module] = ACTIONS(2238),
    [anon_sym_any] = ACTIONS(2238),
    [anon_sym_number] = ACTIONS(2238),
    [anon_sym_boolean] = ACTIONS(2238),
    [anon_sym_string] = ACTIONS(2238),
    [anon_sym_symbol] = ACTIONS(2238),
    [anon_sym_object] = ACTIONS(2238),
    [anon_sym_abstract] = ACTIONS(2238),
    [anon_sym_interface] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1208] = {
    [sym_comment] = STATE(1208),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2360),
    [sym_html_comment] = ACTIONS(5),
  },
  [1209] = {
    [sym_comment] = STATE(1209),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1210] = {
    [sym_comment] = STATE(1210),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1211] = {
    [sym_comment] = STATE(1211),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_else] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1212] = {
    [sym_comment] = STATE(1212),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_default] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_else] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_case] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1213] = {
    [sym_comment] = STATE(1213),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_else] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1214] = {
    [sym_comment] = STATE(1214),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_default] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_else] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_case] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1215] = {
    [sym_comment] = STATE(1215),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_default] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_else] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_case] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1216] = {
    [sym_comment] = STATE(1216),
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_export] = ACTIONS(3413),
    [anon_sym_default] = ACTIONS(3413),
    [anon_sym_type] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(3413),
    [anon_sym_typeof] = ACTIONS(3413),
    [anon_sym_import] = ACTIONS(3413),
    [anon_sym_with] = ACTIONS(3413),
    [anon_sym_var] = ACTIONS(3413),
    [anon_sym_let] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_else] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_await] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_debugger] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3413),
    [anon_sym_case] = ACTIONS(3413),
    [anon_sym_yield] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LTtemplate_GT] = ACTIONS(3413),
    [anon_sym_DQUOTE] = ACTIONS(3413),
    [anon_sym_SQUOTE] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_async] = ACTIONS(3413),
    [anon_sym_function] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_SLASH] = ACTIONS(3413),
    [anon_sym_LT] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_void] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3413),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3413),
    [sym_number] = ACTIONS(3413),
    [sym_private_property_identifier] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
    [sym_super] = ACTIONS(3413),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [sym_null] = ACTIONS(3413),
    [sym_undefined] = ACTIONS(3413),
    [anon_sym_AT] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
    [anon_sym_declare] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_override] = ACTIONS(3413),
    [anon_sym_module] = ACTIONS(3413),
    [anon_sym_any] = ACTIONS(3413),
    [anon_sym_number] = ACTIONS(3413),
    [anon_sym_boolean] = ACTIONS(3413),
    [anon_sym_string] = ACTIONS(3413),
    [anon_sym_symbol] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3413),
    [anon_sym_abstract] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [sym_html_comment] = ACTIONS(5),
  },
  [1217] = {
    [sym_comment] = STATE(1217),
    [sym_identifier] = ACTIONS(3415),
    [anon_sym_export] = ACTIONS(3415),
    [anon_sym_default] = ACTIONS(3415),
    [anon_sym_type] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3415),
    [anon_sym_import] = ACTIONS(3415),
    [anon_sym_with] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_else] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_switch] = ACTIONS(3415),
    [anon_sym_for] = ACTIONS(3415),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_await] = ACTIONS(3415),
    [anon_sym_while] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_try] = ACTIONS(3415),
    [anon_sym_break] = ACTIONS(3415),
    [anon_sym_continue] = ACTIONS(3415),
    [anon_sym_debugger] = ACTIONS(3415),
    [anon_sym_return] = ACTIONS(3415),
    [anon_sym_throw] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_case] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_LTtemplate_GT] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_function] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_SLASH] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_void] = ACTIONS(3415),
    [anon_sym_delete] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3415),
    [sym_number] = ACTIONS(3415),
    [sym_private_property_identifier] = ACTIONS(3415),
    [sym_this] = ACTIONS(3415),
    [sym_super] = ACTIONS(3415),
    [sym_true] = ACTIONS(3415),
    [sym_false] = ACTIONS(3415),
    [sym_null] = ACTIONS(3415),
    [sym_undefined] = ACTIONS(3415),
    [anon_sym_AT] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_get] = ACTIONS(3415),
    [anon_sym_set] = ACTIONS(3415),
    [anon_sym_declare] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_module] = ACTIONS(3415),
    [anon_sym_any] = ACTIONS(3415),
    [anon_sym_number] = ACTIONS(3415),
    [anon_sym_boolean] = ACTIONS(3415),
    [anon_sym_string] = ACTIONS(3415),
    [anon_sym_symbol] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [sym_html_comment] = ACTIONS(5),
  },
  [1218] = {
    [sym_comment] = STATE(1218),
    [sym_identifier] = ACTIONS(3417),
    [anon_sym_export] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3417),
    [anon_sym_type] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_RBRACE] = ACTIONS(3417),
    [anon_sym_typeof] = ACTIONS(3417),
    [anon_sym_import] = ACTIONS(3417),
    [anon_sym_with] = ACTIONS(3417),
    [anon_sym_var] = ACTIONS(3417),
    [anon_sym_let] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_else] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_await] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_debugger] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3417),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_yield] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LTtemplate_GT] = ACTIONS(3417),
    [anon_sym_DQUOTE] = ACTIONS(3417),
    [anon_sym_SQUOTE] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_async] = ACTIONS(3417),
    [anon_sym_function] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_void] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3417),
    [sym_number] = ACTIONS(3417),
    [sym_private_property_identifier] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
    [sym_super] = ACTIONS(3417),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [sym_null] = ACTIONS(3417),
    [sym_undefined] = ACTIONS(3417),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_readonly] = ACTIONS(3417),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_declare] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3417),
    [anon_sym_module] = ACTIONS(3417),
    [anon_sym_any] = ACTIONS(3417),
    [anon_sym_number] = ACTIONS(3417),
    [anon_sym_boolean] = ACTIONS(3417),
    [anon_sym_string] = ACTIONS(3417),
    [anon_sym_symbol] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3417),
    [anon_sym_abstract] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1219] = {
    [sym_comment] = STATE(1219),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_else] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1220] = {
    [sym_comment] = STATE(1220),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_default] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_else] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_case] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1221] = {
    [sym_comment] = STATE(1221),
    [ts_builtin_sym_end] = ACTIONS(2264),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1222] = {
    [sym_comment] = STATE(1222),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_else] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1223] = {
    [sym_comment] = STATE(1223),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_default] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_else] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_case] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1224] = {
    [sym_comment] = STATE(1224),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_default] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_else] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_case] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1225] = {
    [sym_comment] = STATE(1225),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_else] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1226] = {
    [sym_comment] = STATE(1226),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1227] = {
    [sym_else_clause] = STATE(1510),
    [sym_comment] = STATE(1227),
    [ts_builtin_sym_end] = ACTIONS(3297),
    [sym_identifier] = ACTIONS(3167),
    [anon_sym_export] = ACTIONS(3167),
    [anon_sym_type] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3167),
    [anon_sym_RBRACE] = ACTIONS(3167),
    [anon_sym_typeof] = ACTIONS(3167),
    [anon_sym_import] = ACTIONS(3167),
    [anon_sym_with] = ACTIONS(3167),
    [anon_sym_var] = ACTIONS(3167),
    [anon_sym_let] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_BANG] = ACTIONS(3167),
    [anon_sym_else] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_LPAREN] = ACTIONS(3167),
    [anon_sym_await] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_debugger] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3167),
    [anon_sym_yield] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_LTtemplate_GT] = ACTIONS(3167),
    [anon_sym_DQUOTE] = ACTIONS(3167),
    [anon_sym_SQUOTE] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_async] = ACTIONS(3167),
    [anon_sym_function] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_SLASH] = ACTIONS(3167),
    [anon_sym_LT] = ACTIONS(3167),
    [anon_sym_TILDE] = ACTIONS(3167),
    [anon_sym_void] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_PLUS_PLUS] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3167),
    [sym_number] = ACTIONS(3167),
    [sym_private_property_identifier] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
    [sym_super] = ACTIONS(3167),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [sym_null] = ACTIONS(3167),
    [sym_undefined] = ACTIONS(3167),
    [anon_sym_AT] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_readonly] = ACTIONS(3167),
    [anon_sym_get] = ACTIONS(3167),
    [anon_sym_set] = ACTIONS(3167),
    [anon_sym_declare] = ACTIONS(3167),
    [anon_sym_public] = ACTIONS(3167),
    [anon_sym_private] = ACTIONS(3167),
    [anon_sym_protected] = ACTIONS(3167),
    [anon_sym_override] = ACTIONS(3167),
    [anon_sym_module] = ACTIONS(3167),
    [anon_sym_any] = ACTIONS(3167),
    [anon_sym_number] = ACTIONS(3167),
    [anon_sym_boolean] = ACTIONS(3167),
    [anon_sym_string] = ACTIONS(3167),
    [anon_sym_symbol] = ACTIONS(3167),
    [anon_sym_object] = ACTIONS(3167),
    [anon_sym_abstract] = ACTIONS(3167),
    [anon_sym_interface] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1228] = {
    [sym_comment] = STATE(1228),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_export] = ACTIONS(3433),
    [anon_sym_default] = ACTIONS(3433),
    [anon_sym_type] = ACTIONS(3433),
    [anon_sym_namespace] = ACTIONS(3433),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_RBRACE] = ACTIONS(3433),
    [anon_sym_typeof] = ACTIONS(3433),
    [anon_sym_import] = ACTIONS(3433),
    [anon_sym_with] = ACTIONS(3433),
    [anon_sym_var] = ACTIONS(3433),
    [anon_sym_let] = ACTIONS(3433),
    [anon_sym_const] = ACTIONS(3433),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_else] = ACTIONS(3433),
    [anon_sym_if] = ACTIONS(3433),
    [anon_sym_switch] = ACTIONS(3433),
    [anon_sym_for] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3433),
    [anon_sym_await] = ACTIONS(3433),
    [anon_sym_while] = ACTIONS(3433),
    [anon_sym_do] = ACTIONS(3433),
    [anon_sym_try] = ACTIONS(3433),
    [anon_sym_break] = ACTIONS(3433),
    [anon_sym_continue] = ACTIONS(3433),
    [anon_sym_debugger] = ACTIONS(3433),
    [anon_sym_return] = ACTIONS(3433),
    [anon_sym_throw] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(3433),
    [anon_sym_case] = ACTIONS(3433),
    [anon_sym_yield] = ACTIONS(3433),
    [anon_sym_LBRACK] = ACTIONS(3433),
    [anon_sym_LTtemplate_GT] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [anon_sym_SQUOTE] = ACTIONS(3433),
    [anon_sym_class] = ACTIONS(3433),
    [anon_sym_async] = ACTIONS(3433),
    [anon_sym_function] = ACTIONS(3433),
    [anon_sym_new] = ACTIONS(3433),
    [anon_sym_using] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_TILDE] = ACTIONS(3433),
    [anon_sym_void] = ACTIONS(3433),
    [anon_sym_delete] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3433),
    [sym_number] = ACTIONS(3433),
    [sym_private_property_identifier] = ACTIONS(3433),
    [sym_this] = ACTIONS(3433),
    [sym_super] = ACTIONS(3433),
    [sym_true] = ACTIONS(3433),
    [sym_false] = ACTIONS(3433),
    [sym_null] = ACTIONS(3433),
    [sym_undefined] = ACTIONS(3433),
    [anon_sym_AT] = ACTIONS(3433),
    [anon_sym_static] = ACTIONS(3433),
    [anon_sym_readonly] = ACTIONS(3433),
    [anon_sym_get] = ACTIONS(3433),
    [anon_sym_set] = ACTIONS(3433),
    [anon_sym_declare] = ACTIONS(3433),
    [anon_sym_public] = ACTIONS(3433),
    [anon_sym_private] = ACTIONS(3433),
    [anon_sym_protected] = ACTIONS(3433),
    [anon_sym_override] = ACTIONS(3433),
    [anon_sym_module] = ACTIONS(3433),
    [anon_sym_any] = ACTIONS(3433),
    [anon_sym_number] = ACTIONS(3433),
    [anon_sym_boolean] = ACTIONS(3433),
    [anon_sym_string] = ACTIONS(3433),
    [anon_sym_symbol] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3433),
    [anon_sym_abstract] = ACTIONS(3433),
    [anon_sym_interface] = ACTIONS(3433),
    [anon_sym_enum] = ACTIONS(3433),
    [sym_html_comment] = ACTIONS(5),
  },
  [1229] = {
    [sym_comment] = STATE(1229),
    [sym_identifier] = ACTIONS(3435),
    [anon_sym_export] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_type] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3435),
    [anon_sym_RBRACE] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3435),
    [anon_sym_import] = ACTIONS(3435),
    [anon_sym_with] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_BANG] = ACTIONS(3435),
    [anon_sym_else] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_LPAREN] = ACTIONS(3435),
    [anon_sym_await] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_debugger] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3435),
    [anon_sym_case] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_LTtemplate_GT] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_function] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_SLASH] = ACTIONS(3435),
    [anon_sym_LT] = ACTIONS(3435),
    [anon_sym_TILDE] = ACTIONS(3435),
    [anon_sym_void] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_PLUS_PLUS] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3435),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3435),
    [sym_number] = ACTIONS(3435),
    [sym_private_property_identifier] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
    [sym_super] = ACTIONS(3435),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [sym_null] = ACTIONS(3435),
    [sym_undefined] = ACTIONS(3435),
    [anon_sym_AT] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_get] = ACTIONS(3435),
    [anon_sym_set] = ACTIONS(3435),
    [anon_sym_declare] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_module] = ACTIONS(3435),
    [anon_sym_any] = ACTIONS(3435),
    [anon_sym_number] = ACTIONS(3435),
    [anon_sym_boolean] = ACTIONS(3435),
    [anon_sym_string] = ACTIONS(3435),
    [anon_sym_symbol] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [sym_html_comment] = ACTIONS(5),
  },
  [1230] = {
    [sym_comment] = STATE(1230),
    [sym_identifier] = ACTIONS(3437),
    [anon_sym_export] = ACTIONS(3437),
    [anon_sym_default] = ACTIONS(3437),
    [anon_sym_type] = ACTIONS(3437),
    [anon_sym_namespace] = ACTIONS(3437),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_typeof] = ACTIONS(3437),
    [anon_sym_import] = ACTIONS(3437),
    [anon_sym_with] = ACTIONS(3437),
    [anon_sym_var] = ACTIONS(3437),
    [anon_sym_let] = ACTIONS(3437),
    [anon_sym_const] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_else] = ACTIONS(3437),
    [anon_sym_if] = ACTIONS(3437),
    [anon_sym_switch] = ACTIONS(3437),
    [anon_sym_for] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_await] = ACTIONS(3437),
    [anon_sym_while] = ACTIONS(3437),
    [anon_sym_do] = ACTIONS(3437),
    [anon_sym_try] = ACTIONS(3437),
    [anon_sym_break] = ACTIONS(3437),
    [anon_sym_continue] = ACTIONS(3437),
    [anon_sym_debugger] = ACTIONS(3437),
    [anon_sym_return] = ACTIONS(3437),
    [anon_sym_throw] = ACTIONS(3437),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym_case] = ACTIONS(3437),
    [anon_sym_yield] = ACTIONS(3437),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LTtemplate_GT] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_class] = ACTIONS(3437),
    [anon_sym_async] = ACTIONS(3437),
    [anon_sym_function] = ACTIONS(3437),
    [anon_sym_new] = ACTIONS(3437),
    [anon_sym_using] = ACTIONS(3437),
    [anon_sym_PLUS] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3437),
    [anon_sym_SLASH] = ACTIONS(3437),
    [anon_sym_LT] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_void] = ACTIONS(3437),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3437),
    [sym_number] = ACTIONS(3437),
    [sym_private_property_identifier] = ACTIONS(3437),
    [sym_this] = ACTIONS(3437),
    [sym_super] = ACTIONS(3437),
    [sym_true] = ACTIONS(3437),
    [sym_false] = ACTIONS(3437),
    [sym_null] = ACTIONS(3437),
    [sym_undefined] = ACTIONS(3437),
    [anon_sym_AT] = ACTIONS(3437),
    [anon_sym_static] = ACTIONS(3437),
    [anon_sym_readonly] = ACTIONS(3437),
    [anon_sym_get] = ACTIONS(3437),
    [anon_sym_set] = ACTIONS(3437),
    [anon_sym_declare] = ACTIONS(3437),
    [anon_sym_public] = ACTIONS(3437),
    [anon_sym_private] = ACTIONS(3437),
    [anon_sym_protected] = ACTIONS(3437),
    [anon_sym_override] = ACTIONS(3437),
    [anon_sym_module] = ACTIONS(3437),
    [anon_sym_any] = ACTIONS(3437),
    [anon_sym_number] = ACTIONS(3437),
    [anon_sym_boolean] = ACTIONS(3437),
    [anon_sym_string] = ACTIONS(3437),
    [anon_sym_symbol] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3437),
    [anon_sym_abstract] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3437),
    [anon_sym_enum] = ACTIONS(3437),
    [sym_html_comment] = ACTIONS(5),
  },
  [1231] = {
    [sym_statement_block] = STATE(1369),
    [sym_comment] = STATE(1231),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [1232] = {
    [sym_comment] = STATE(1232),
    [ts_builtin_sym_end] = ACTIONS(3439),
    [sym_identifier] = ACTIONS(3185),
    [anon_sym_export] = ACTIONS(3185),
    [anon_sym_type] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_typeof] = ACTIONS(3185),
    [anon_sym_import] = ACTIONS(3185),
    [anon_sym_with] = ACTIONS(3185),
    [anon_sym_var] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_else] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3185),
    [anon_sym_await] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_debugger] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym_finally] = ACTIONS(3185),
    [anon_sym_yield] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_LTtemplate_GT] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_async] = ACTIONS(3185),
    [anon_sym_function] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_SLASH] = ACTIONS(3185),
    [anon_sym_LT] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_void] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3185),
    [sym_number] = ACTIONS(3185),
    [sym_private_property_identifier] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
    [sym_super] = ACTIONS(3185),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [sym_null] = ACTIONS(3185),
    [sym_undefined] = ACTIONS(3185),
    [anon_sym_AT] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_readonly] = ACTIONS(3185),
    [anon_sym_get] = ACTIONS(3185),
    [anon_sym_set] = ACTIONS(3185),
    [anon_sym_declare] = ACTIONS(3185),
    [anon_sym_public] = ACTIONS(3185),
    [anon_sym_private] = ACTIONS(3185),
    [anon_sym_protected] = ACTIONS(3185),
    [anon_sym_override] = ACTIONS(3185),
    [anon_sym_module] = ACTIONS(3185),
    [anon_sym_any] = ACTIONS(3185),
    [anon_sym_number] = ACTIONS(3185),
    [anon_sym_boolean] = ACTIONS(3185),
    [anon_sym_string] = ACTIONS(3185),
    [anon_sym_symbol] = ACTIONS(3185),
    [anon_sym_object] = ACTIONS(3185),
    [anon_sym_abstract] = ACTIONS(3185),
    [anon_sym_interface] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [sym_html_comment] = ACTIONS(5),
  },
  [1233] = {
    [sym_comment] = STATE(1233),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_default] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2362),
    [sym_html_comment] = ACTIONS(5),
  },
  [1234] = {
    [sym_comment] = STATE(1234),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_export] = ACTIONS(2274),
    [anon_sym_default] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_typeof] = ACTIONS(2274),
    [anon_sym_import] = ACTIONS(2274),
    [anon_sym_with] = ACTIONS(2274),
    [anon_sym_var] = ACTIONS(2274),
    [anon_sym_let] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_switch] = ACTIONS(2274),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_await] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2274),
    [anon_sym_do] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2274),
    [anon_sym_break] = ACTIONS(2274),
    [anon_sym_continue] = ACTIONS(2274),
    [anon_sym_debugger] = ACTIONS(2274),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_case] = ACTIONS(2274),
    [anon_sym_yield] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_LTtemplate_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2274),
    [anon_sym_async] = ACTIONS(2274),
    [anon_sym_function] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2274),
    [anon_sym_using] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_void] = ACTIONS(2274),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2274),
    [sym_number] = ACTIONS(2274),
    [sym_private_property_identifier] = ACTIONS(2274),
    [sym_this] = ACTIONS(2274),
    [sym_super] = ACTIONS(2274),
    [sym_true] = ACTIONS(2274),
    [sym_false] = ACTIONS(2274),
    [sym_null] = ACTIONS(2274),
    [sym_undefined] = ACTIONS(2274),
    [anon_sym_AT] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_get] = ACTIONS(2274),
    [anon_sym_set] = ACTIONS(2274),
    [anon_sym_declare] = ACTIONS(2274),
    [anon_sym_public] = ACTIONS(2274),
    [anon_sym_private] = ACTIONS(2274),
    [anon_sym_protected] = ACTIONS(2274),
    [anon_sym_override] = ACTIONS(2274),
    [anon_sym_module] = ACTIONS(2274),
    [anon_sym_any] = ACTIONS(2274),
    [anon_sym_number] = ACTIONS(2274),
    [anon_sym_boolean] = ACTIONS(2274),
    [anon_sym_string] = ACTIONS(2274),
    [anon_sym_symbol] = ACTIONS(2274),
    [anon_sym_object] = ACTIONS(2274),
    [anon_sym_abstract] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1235] = {
    [sym_comment] = STATE(1235),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_default] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_case] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1236] = {
    [sym_comment] = STATE(1236),
    [sym_identifier] = ACTIONS(3441),
    [anon_sym_export] = ACTIONS(3441),
    [anon_sym_default] = ACTIONS(3441),
    [anon_sym_type] = ACTIONS(3441),
    [anon_sym_namespace] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_typeof] = ACTIONS(3441),
    [anon_sym_import] = ACTIONS(3441),
    [anon_sym_with] = ACTIONS(3441),
    [anon_sym_var] = ACTIONS(3441),
    [anon_sym_let] = ACTIONS(3441),
    [anon_sym_const] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_else] = ACTIONS(3441),
    [anon_sym_if] = ACTIONS(3441),
    [anon_sym_switch] = ACTIONS(3441),
    [anon_sym_for] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_await] = ACTIONS(3441),
    [anon_sym_while] = ACTIONS(3441),
    [anon_sym_do] = ACTIONS(3441),
    [anon_sym_try] = ACTIONS(3441),
    [anon_sym_break] = ACTIONS(3441),
    [anon_sym_continue] = ACTIONS(3441),
    [anon_sym_debugger] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3441),
    [anon_sym_throw] = ACTIONS(3441),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym_case] = ACTIONS(3441),
    [anon_sym_yield] = ACTIONS(3441),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LTtemplate_GT] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_class] = ACTIONS(3441),
    [anon_sym_async] = ACTIONS(3441),
    [anon_sym_function] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3441),
    [anon_sym_using] = ACTIONS(3441),
    [anon_sym_PLUS] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3441),
    [anon_sym_SLASH] = ACTIONS(3441),
    [anon_sym_LT] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_void] = ACTIONS(3441),
    [anon_sym_delete] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3441),
    [sym_number] = ACTIONS(3441),
    [sym_private_property_identifier] = ACTIONS(3441),
    [sym_this] = ACTIONS(3441),
    [sym_super] = ACTIONS(3441),
    [sym_true] = ACTIONS(3441),
    [sym_false] = ACTIONS(3441),
    [sym_null] = ACTIONS(3441),
    [sym_undefined] = ACTIONS(3441),
    [anon_sym_AT] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3441),
    [anon_sym_readonly] = ACTIONS(3441),
    [anon_sym_get] = ACTIONS(3441),
    [anon_sym_set] = ACTIONS(3441),
    [anon_sym_declare] = ACTIONS(3441),
    [anon_sym_public] = ACTIONS(3441),
    [anon_sym_private] = ACTIONS(3441),
    [anon_sym_protected] = ACTIONS(3441),
    [anon_sym_override] = ACTIONS(3441),
    [anon_sym_module] = ACTIONS(3441),
    [anon_sym_any] = ACTIONS(3441),
    [anon_sym_number] = ACTIONS(3441),
    [anon_sym_boolean] = ACTIONS(3441),
    [anon_sym_string] = ACTIONS(3441),
    [anon_sym_symbol] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3441),
    [anon_sym_abstract] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3441),
    [anon_sym_enum] = ACTIONS(3441),
    [sym_html_comment] = ACTIONS(5),
  },
  [1237] = {
    [sym_comment] = STATE(1237),
    [ts_builtin_sym_end] = ACTIONS(3443),
    [sym_identifier] = ACTIONS(3193),
    [anon_sym_export] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_typeof] = ACTIONS(3193),
    [anon_sym_import] = ACTIONS(3193),
    [anon_sym_with] = ACTIONS(3193),
    [anon_sym_var] = ACTIONS(3193),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3193),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_debugger] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_finally] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_LTtemplate_GT] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_function] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_SLASH] = ACTIONS(3193),
    [anon_sym_LT] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_void] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3193),
    [sym_number] = ACTIONS(3193),
    [sym_private_property_identifier] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
    [sym_super] = ACTIONS(3193),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [sym_null] = ACTIONS(3193),
    [sym_undefined] = ACTIONS(3193),
    [anon_sym_AT] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_readonly] = ACTIONS(3193),
    [anon_sym_get] = ACTIONS(3193),
    [anon_sym_set] = ACTIONS(3193),
    [anon_sym_declare] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_override] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_any] = ACTIONS(3193),
    [anon_sym_number] = ACTIONS(3193),
    [anon_sym_boolean] = ACTIONS(3193),
    [anon_sym_string] = ACTIONS(3193),
    [anon_sym_symbol] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3193),
    [anon_sym_abstract] = ACTIONS(3193),
    [anon_sym_interface] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [sym_html_comment] = ACTIONS(5),
  },
  [1238] = {
    [sym_comment] = STATE(1238),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2374),
    [sym_html_comment] = ACTIONS(5),
  },
  [1239] = {
    [sym_comment] = STATE(1239),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2376),
    [sym_html_comment] = ACTIONS(5),
  },
  [1240] = {
    [sym_comment] = STATE(1240),
    [sym_identifier] = ACTIONS(3445),
    [anon_sym_export] = ACTIONS(3445),
    [anon_sym_default] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_namespace] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_RBRACE] = ACTIONS(3445),
    [anon_sym_typeof] = ACTIONS(3445),
    [anon_sym_import] = ACTIONS(3445),
    [anon_sym_with] = ACTIONS(3445),
    [anon_sym_var] = ACTIONS(3445),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_const] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_if] = ACTIONS(3445),
    [anon_sym_switch] = ACTIONS(3445),
    [anon_sym_for] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_await] = ACTIONS(3445),
    [anon_sym_while] = ACTIONS(3445),
    [anon_sym_do] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3445),
    [anon_sym_break] = ACTIONS(3445),
    [anon_sym_continue] = ACTIONS(3445),
    [anon_sym_debugger] = ACTIONS(3445),
    [anon_sym_return] = ACTIONS(3445),
    [anon_sym_throw] = ACTIONS(3445),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_case] = ACTIONS(3445),
    [anon_sym_yield] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LTtemplate_GT] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_async] = ACTIONS(3445),
    [anon_sym_function] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(3445),
    [anon_sym_using] = ACTIONS(3445),
    [anon_sym_PLUS] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3445),
    [anon_sym_SLASH] = ACTIONS(3445),
    [anon_sym_LT] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_void] = ACTIONS(3445),
    [anon_sym_delete] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3445),
    [sym_number] = ACTIONS(3445),
    [sym_private_property_identifier] = ACTIONS(3445),
    [sym_this] = ACTIONS(3445),
    [sym_super] = ACTIONS(3445),
    [sym_true] = ACTIONS(3445),
    [sym_false] = ACTIONS(3445),
    [sym_null] = ACTIONS(3445),
    [sym_undefined] = ACTIONS(3445),
    [anon_sym_AT] = ACTIONS(3445),
    [anon_sym_static] = ACTIONS(3445),
    [anon_sym_readonly] = ACTIONS(3445),
    [anon_sym_get] = ACTIONS(3445),
    [anon_sym_set] = ACTIONS(3445),
    [anon_sym_declare] = ACTIONS(3445),
    [anon_sym_public] = ACTIONS(3445),
    [anon_sym_private] = ACTIONS(3445),
    [anon_sym_protected] = ACTIONS(3445),
    [anon_sym_override] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_any] = ACTIONS(3445),
    [anon_sym_number] = ACTIONS(3445),
    [anon_sym_boolean] = ACTIONS(3445),
    [anon_sym_string] = ACTIONS(3445),
    [anon_sym_symbol] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3445),
    [anon_sym_abstract] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3445),
    [anon_sym_enum] = ACTIONS(3445),
    [sym_html_comment] = ACTIONS(5),
  },
  [1241] = {
    [sym_comment] = STATE(1241),
    [sym_identifier] = ACTIONS(3445),
    [anon_sym_export] = ACTIONS(3445),
    [anon_sym_default] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_namespace] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_RBRACE] = ACTIONS(3445),
    [anon_sym_typeof] = ACTIONS(3445),
    [anon_sym_import] = ACTIONS(3445),
    [anon_sym_with] = ACTIONS(3445),
    [anon_sym_var] = ACTIONS(3445),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_const] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_if] = ACTIONS(3445),
    [anon_sym_switch] = ACTIONS(3445),
    [anon_sym_for] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_await] = ACTIONS(3445),
    [anon_sym_while] = ACTIONS(3445),
    [anon_sym_do] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3445),
    [anon_sym_break] = ACTIONS(3445),
    [anon_sym_continue] = ACTIONS(3445),
    [anon_sym_debugger] = ACTIONS(3445),
    [anon_sym_return] = ACTIONS(3445),
    [anon_sym_throw] = ACTIONS(3445),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_case] = ACTIONS(3445),
    [anon_sym_yield] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LTtemplate_GT] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_async] = ACTIONS(3445),
    [anon_sym_function] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(3445),
    [anon_sym_using] = ACTIONS(3445),
    [anon_sym_PLUS] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3445),
    [anon_sym_SLASH] = ACTIONS(3445),
    [anon_sym_LT] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_void] = ACTIONS(3445),
    [anon_sym_delete] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3445),
    [sym_number] = ACTIONS(3445),
    [sym_private_property_identifier] = ACTIONS(3445),
    [sym_this] = ACTIONS(3445),
    [sym_super] = ACTIONS(3445),
    [sym_true] = ACTIONS(3445),
    [sym_false] = ACTIONS(3445),
    [sym_null] = ACTIONS(3445),
    [sym_undefined] = ACTIONS(3445),
    [anon_sym_AT] = ACTIONS(3445),
    [anon_sym_static] = ACTIONS(3445),
    [anon_sym_readonly] = ACTIONS(3445),
    [anon_sym_get] = ACTIONS(3445),
    [anon_sym_set] = ACTIONS(3445),
    [anon_sym_declare] = ACTIONS(3445),
    [anon_sym_public] = ACTIONS(3445),
    [anon_sym_private] = ACTIONS(3445),
    [anon_sym_protected] = ACTIONS(3445),
    [anon_sym_override] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_any] = ACTIONS(3445),
    [anon_sym_number] = ACTIONS(3445),
    [anon_sym_boolean] = ACTIONS(3445),
    [anon_sym_string] = ACTIONS(3445),
    [anon_sym_symbol] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3445),
    [anon_sym_abstract] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3445),
    [anon_sym_enum] = ACTIONS(3445),
    [sym_html_comment] = ACTIONS(5),
  },
  [1242] = {
    [sym_comment] = STATE(1242),
    [sym_identifier] = ACTIONS(3447),
    [anon_sym_export] = ACTIONS(3447),
    [anon_sym_default] = ACTIONS(3447),
    [anon_sym_type] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3447),
    [anon_sym_RBRACE] = ACTIONS(3447),
    [anon_sym_typeof] = ACTIONS(3447),
    [anon_sym_import] = ACTIONS(3447),
    [anon_sym_with] = ACTIONS(3447),
    [anon_sym_var] = ACTIONS(3447),
    [anon_sym_let] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_BANG] = ACTIONS(3447),
    [anon_sym_else] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_LPAREN] = ACTIONS(3447),
    [anon_sym_await] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_debugger] = ACTIONS(3447),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3447),
    [anon_sym_case] = ACTIONS(3447),
    [anon_sym_yield] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_LTtemplate_GT] = ACTIONS(3447),
    [anon_sym_DQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_async] = ACTIONS(3447),
    [anon_sym_function] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_SLASH] = ACTIONS(3447),
    [anon_sym_LT] = ACTIONS(3447),
    [anon_sym_TILDE] = ACTIONS(3447),
    [anon_sym_void] = ACTIONS(3447),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_PLUS_PLUS] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(3447),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3447),
    [sym_number] = ACTIONS(3447),
    [sym_private_property_identifier] = ACTIONS(3447),
    [sym_this] = ACTIONS(3447),
    [sym_super] = ACTIONS(3447),
    [sym_true] = ACTIONS(3447),
    [sym_false] = ACTIONS(3447),
    [sym_null] = ACTIONS(3447),
    [sym_undefined] = ACTIONS(3447),
    [anon_sym_AT] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_readonly] = ACTIONS(3447),
    [anon_sym_get] = ACTIONS(3447),
    [anon_sym_set] = ACTIONS(3447),
    [anon_sym_declare] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_override] = ACTIONS(3447),
    [anon_sym_module] = ACTIONS(3447),
    [anon_sym_any] = ACTIONS(3447),
    [anon_sym_number] = ACTIONS(3447),
    [anon_sym_boolean] = ACTIONS(3447),
    [anon_sym_string] = ACTIONS(3447),
    [anon_sym_symbol] = ACTIONS(3447),
    [anon_sym_object] = ACTIONS(3447),
    [anon_sym_abstract] = ACTIONS(3447),
    [anon_sym_interface] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [sym_html_comment] = ACTIONS(5),
  },
  [1243] = {
    [sym_comment] = STATE(1243),
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2366),
    [sym_html_comment] = ACTIONS(5),
  },
  [1244] = {
    [sym_comment] = STATE(1244),
    [ts_builtin_sym_end] = ACTIONS(2394),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2396),
    [sym_html_comment] = ACTIONS(5),
  },
  [1245] = {
    [sym_comment] = STATE(1245),
    [sym_identifier] = ACTIONS(3449),
    [anon_sym_export] = ACTIONS(3449),
    [anon_sym_default] = ACTIONS(3449),
    [anon_sym_type] = ACTIONS(3449),
    [anon_sym_namespace] = ACTIONS(3449),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_RBRACE] = ACTIONS(3449),
    [anon_sym_typeof] = ACTIONS(3449),
    [anon_sym_import] = ACTIONS(3449),
    [anon_sym_with] = ACTIONS(3449),
    [anon_sym_var] = ACTIONS(3449),
    [anon_sym_let] = ACTIONS(3449),
    [anon_sym_const] = ACTIONS(3449),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_else] = ACTIONS(3449),
    [anon_sym_if] = ACTIONS(3449),
    [anon_sym_switch] = ACTIONS(3449),
    [anon_sym_for] = ACTIONS(3449),
    [anon_sym_LPAREN] = ACTIONS(3449),
    [anon_sym_await] = ACTIONS(3449),
    [anon_sym_while] = ACTIONS(3449),
    [anon_sym_do] = ACTIONS(3449),
    [anon_sym_try] = ACTIONS(3449),
    [anon_sym_break] = ACTIONS(3449),
    [anon_sym_continue] = ACTIONS(3449),
    [anon_sym_debugger] = ACTIONS(3449),
    [anon_sym_return] = ACTIONS(3449),
    [anon_sym_throw] = ACTIONS(3449),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym_case] = ACTIONS(3449),
    [anon_sym_yield] = ACTIONS(3449),
    [anon_sym_LBRACK] = ACTIONS(3449),
    [anon_sym_LTtemplate_GT] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_class] = ACTIONS(3449),
    [anon_sym_async] = ACTIONS(3449),
    [anon_sym_function] = ACTIONS(3449),
    [anon_sym_new] = ACTIONS(3449),
    [anon_sym_using] = ACTIONS(3449),
    [anon_sym_PLUS] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3449),
    [anon_sym_SLASH] = ACTIONS(3449),
    [anon_sym_LT] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_void] = ACTIONS(3449),
    [anon_sym_delete] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3449),
    [sym_number] = ACTIONS(3449),
    [sym_private_property_identifier] = ACTIONS(3449),
    [sym_this] = ACTIONS(3449),
    [sym_super] = ACTIONS(3449),
    [sym_true] = ACTIONS(3449),
    [sym_false] = ACTIONS(3449),
    [sym_null] = ACTIONS(3449),
    [sym_undefined] = ACTIONS(3449),
    [anon_sym_AT] = ACTIONS(3449),
    [anon_sym_static] = ACTIONS(3449),
    [anon_sym_readonly] = ACTIONS(3449),
    [anon_sym_get] = ACTIONS(3449),
    [anon_sym_set] = ACTIONS(3449),
    [anon_sym_declare] = ACTIONS(3449),
    [anon_sym_public] = ACTIONS(3449),
    [anon_sym_private] = ACTIONS(3449),
    [anon_sym_protected] = ACTIONS(3449),
    [anon_sym_override] = ACTIONS(3449),
    [anon_sym_module] = ACTIONS(3449),
    [anon_sym_any] = ACTIONS(3449),
    [anon_sym_number] = ACTIONS(3449),
    [anon_sym_boolean] = ACTIONS(3449),
    [anon_sym_string] = ACTIONS(3449),
    [anon_sym_symbol] = ACTIONS(3449),
    [anon_sym_object] = ACTIONS(3449),
    [anon_sym_abstract] = ACTIONS(3449),
    [anon_sym_interface] = ACTIONS(3449),
    [anon_sym_enum] = ACTIONS(3449),
    [sym_html_comment] = ACTIONS(5),
  },
  [1246] = {
    [sym_comment] = STATE(1246),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_else] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1247] = {
    [sym_comment] = STATE(1247),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_else] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1248] = {
    [sym_comment] = STATE(1248),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_catch] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1249] = {
    [sym_comment] = STATE(1249),
    [sym_identifier] = ACTIONS(3453),
    [anon_sym_export] = ACTIONS(3453),
    [anon_sym_default] = ACTIONS(3453),
    [anon_sym_type] = ACTIONS(3453),
    [anon_sym_namespace] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_RBRACE] = ACTIONS(3453),
    [anon_sym_typeof] = ACTIONS(3453),
    [anon_sym_import] = ACTIONS(3453),
    [anon_sym_with] = ACTIONS(3453),
    [anon_sym_var] = ACTIONS(3453),
    [anon_sym_let] = ACTIONS(3453),
    [anon_sym_const] = ACTIONS(3453),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_else] = ACTIONS(3453),
    [anon_sym_if] = ACTIONS(3453),
    [anon_sym_switch] = ACTIONS(3453),
    [anon_sym_for] = ACTIONS(3453),
    [anon_sym_LPAREN] = ACTIONS(3453),
    [anon_sym_await] = ACTIONS(3453),
    [anon_sym_while] = ACTIONS(3453),
    [anon_sym_do] = ACTIONS(3453),
    [anon_sym_try] = ACTIONS(3453),
    [anon_sym_break] = ACTIONS(3453),
    [anon_sym_continue] = ACTIONS(3453),
    [anon_sym_debugger] = ACTIONS(3453),
    [anon_sym_return] = ACTIONS(3453),
    [anon_sym_throw] = ACTIONS(3453),
    [anon_sym_SEMI] = ACTIONS(3453),
    [anon_sym_case] = ACTIONS(3453),
    [anon_sym_yield] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(3453),
    [anon_sym_LTtemplate_GT] = ACTIONS(3453),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [anon_sym_class] = ACTIONS(3453),
    [anon_sym_async] = ACTIONS(3453),
    [anon_sym_function] = ACTIONS(3453),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_using] = ACTIONS(3453),
    [anon_sym_PLUS] = ACTIONS(3453),
    [anon_sym_DASH] = ACTIONS(3453),
    [anon_sym_SLASH] = ACTIONS(3453),
    [anon_sym_LT] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_void] = ACTIONS(3453),
    [anon_sym_delete] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3453),
    [sym_number] = ACTIONS(3453),
    [sym_private_property_identifier] = ACTIONS(3453),
    [sym_this] = ACTIONS(3453),
    [sym_super] = ACTIONS(3453),
    [sym_true] = ACTIONS(3453),
    [sym_false] = ACTIONS(3453),
    [sym_null] = ACTIONS(3453),
    [sym_undefined] = ACTIONS(3453),
    [anon_sym_AT] = ACTIONS(3453),
    [anon_sym_static] = ACTIONS(3453),
    [anon_sym_readonly] = ACTIONS(3453),
    [anon_sym_get] = ACTIONS(3453),
    [anon_sym_set] = ACTIONS(3453),
    [anon_sym_declare] = ACTIONS(3453),
    [anon_sym_public] = ACTIONS(3453),
    [anon_sym_private] = ACTIONS(3453),
    [anon_sym_protected] = ACTIONS(3453),
    [anon_sym_override] = ACTIONS(3453),
    [anon_sym_module] = ACTIONS(3453),
    [anon_sym_any] = ACTIONS(3453),
    [anon_sym_number] = ACTIONS(3453),
    [anon_sym_boolean] = ACTIONS(3453),
    [anon_sym_string] = ACTIONS(3453),
    [anon_sym_symbol] = ACTIONS(3453),
    [anon_sym_object] = ACTIONS(3453),
    [anon_sym_abstract] = ACTIONS(3453),
    [anon_sym_interface] = ACTIONS(3453),
    [anon_sym_enum] = ACTIONS(3453),
    [sym_html_comment] = ACTIONS(5),
  },
  [1250] = {
    [sym_comment] = STATE(1250),
    [sym_identifier] = ACTIONS(3455),
    [anon_sym_export] = ACTIONS(3455),
    [anon_sym_default] = ACTIONS(3455),
    [anon_sym_type] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(3455),
    [anon_sym_typeof] = ACTIONS(3455),
    [anon_sym_import] = ACTIONS(3455),
    [anon_sym_with] = ACTIONS(3455),
    [anon_sym_var] = ACTIONS(3455),
    [anon_sym_let] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_BANG] = ACTIONS(3455),
    [anon_sym_else] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_LPAREN] = ACTIONS(3455),
    [anon_sym_await] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_debugger] = ACTIONS(3455),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_SEMI] = ACTIONS(3455),
    [anon_sym_case] = ACTIONS(3455),
    [anon_sym_yield] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_LTtemplate_GT] = ACTIONS(3455),
    [anon_sym_DQUOTE] = ACTIONS(3455),
    [anon_sym_SQUOTE] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_async] = ACTIONS(3455),
    [anon_sym_function] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_SLASH] = ACTIONS(3455),
    [anon_sym_LT] = ACTIONS(3455),
    [anon_sym_TILDE] = ACTIONS(3455),
    [anon_sym_void] = ACTIONS(3455),
    [anon_sym_delete] = ACTIONS(3455),
    [anon_sym_PLUS_PLUS] = ACTIONS(3455),
    [anon_sym_DASH_DASH] = ACTIONS(3455),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3455),
    [sym_number] = ACTIONS(3455),
    [sym_private_property_identifier] = ACTIONS(3455),
    [sym_this] = ACTIONS(3455),
    [sym_super] = ACTIONS(3455),
    [sym_true] = ACTIONS(3455),
    [sym_false] = ACTIONS(3455),
    [sym_null] = ACTIONS(3455),
    [sym_undefined] = ACTIONS(3455),
    [anon_sym_AT] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_readonly] = ACTIONS(3455),
    [anon_sym_get] = ACTIONS(3455),
    [anon_sym_set] = ACTIONS(3455),
    [anon_sym_declare] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_override] = ACTIONS(3455),
    [anon_sym_module] = ACTIONS(3455),
    [anon_sym_any] = ACTIONS(3455),
    [anon_sym_number] = ACTIONS(3455),
    [anon_sym_boolean] = ACTIONS(3455),
    [anon_sym_string] = ACTIONS(3455),
    [anon_sym_symbol] = ACTIONS(3455),
    [anon_sym_object] = ACTIONS(3455),
    [anon_sym_abstract] = ACTIONS(3455),
    [anon_sym_interface] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [sym_html_comment] = ACTIONS(5),
  },
  [1251] = {
    [sym_comment] = STATE(1251),
    [sym_identifier] = ACTIONS(3457),
    [anon_sym_export] = ACTIONS(3457),
    [anon_sym_default] = ACTIONS(3457),
    [anon_sym_type] = ACTIONS(3457),
    [anon_sym_namespace] = ACTIONS(3457),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_RBRACE] = ACTIONS(3457),
    [anon_sym_typeof] = ACTIONS(3457),
    [anon_sym_import] = ACTIONS(3457),
    [anon_sym_with] = ACTIONS(3457),
    [anon_sym_var] = ACTIONS(3457),
    [anon_sym_let] = ACTIONS(3457),
    [anon_sym_const] = ACTIONS(3457),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_else] = ACTIONS(3457),
    [anon_sym_if] = ACTIONS(3457),
    [anon_sym_switch] = ACTIONS(3457),
    [anon_sym_for] = ACTIONS(3457),
    [anon_sym_LPAREN] = ACTIONS(3457),
    [anon_sym_await] = ACTIONS(3457),
    [anon_sym_while] = ACTIONS(3457),
    [anon_sym_do] = ACTIONS(3457),
    [anon_sym_try] = ACTIONS(3457),
    [anon_sym_break] = ACTIONS(3457),
    [anon_sym_continue] = ACTIONS(3457),
    [anon_sym_debugger] = ACTIONS(3457),
    [anon_sym_return] = ACTIONS(3457),
    [anon_sym_throw] = ACTIONS(3457),
    [anon_sym_SEMI] = ACTIONS(3457),
    [anon_sym_case] = ACTIONS(3457),
    [anon_sym_yield] = ACTIONS(3457),
    [anon_sym_LBRACK] = ACTIONS(3457),
    [anon_sym_LTtemplate_GT] = ACTIONS(3457),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [anon_sym_class] = ACTIONS(3457),
    [anon_sym_async] = ACTIONS(3457),
    [anon_sym_function] = ACTIONS(3457),
    [anon_sym_new] = ACTIONS(3457),
    [anon_sym_using] = ACTIONS(3457),
    [anon_sym_PLUS] = ACTIONS(3457),
    [anon_sym_DASH] = ACTIONS(3457),
    [anon_sym_SLASH] = ACTIONS(3457),
    [anon_sym_LT] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_void] = ACTIONS(3457),
    [anon_sym_delete] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3457),
    [sym_number] = ACTIONS(3457),
    [sym_private_property_identifier] = ACTIONS(3457),
    [sym_this] = ACTIONS(3457),
    [sym_super] = ACTIONS(3457),
    [sym_true] = ACTIONS(3457),
    [sym_false] = ACTIONS(3457),
    [sym_null] = ACTIONS(3457),
    [sym_undefined] = ACTIONS(3457),
    [anon_sym_AT] = ACTIONS(3457),
    [anon_sym_static] = ACTIONS(3457),
    [anon_sym_readonly] = ACTIONS(3457),
    [anon_sym_get] = ACTIONS(3457),
    [anon_sym_set] = ACTIONS(3457),
    [anon_sym_declare] = ACTIONS(3457),
    [anon_sym_public] = ACTIONS(3457),
    [anon_sym_private] = ACTIONS(3457),
    [anon_sym_protected] = ACTIONS(3457),
    [anon_sym_override] = ACTIONS(3457),
    [anon_sym_module] = ACTIONS(3457),
    [anon_sym_any] = ACTIONS(3457),
    [anon_sym_number] = ACTIONS(3457),
    [anon_sym_boolean] = ACTIONS(3457),
    [anon_sym_string] = ACTIONS(3457),
    [anon_sym_symbol] = ACTIONS(3457),
    [anon_sym_object] = ACTIONS(3457),
    [anon_sym_abstract] = ACTIONS(3457),
    [anon_sym_interface] = ACTIONS(3457),
    [anon_sym_enum] = ACTIONS(3457),
    [sym_html_comment] = ACTIONS(5),
  },
  [1252] = {
    [sym_comment] = STATE(1252),
    [sym_identifier] = ACTIONS(3459),
    [anon_sym_export] = ACTIONS(3459),
    [anon_sym_default] = ACTIONS(3459),
    [anon_sym_type] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3459),
    [anon_sym_RBRACE] = ACTIONS(3459),
    [anon_sym_typeof] = ACTIONS(3459),
    [anon_sym_import] = ACTIONS(3459),
    [anon_sym_with] = ACTIONS(3459),
    [anon_sym_var] = ACTIONS(3459),
    [anon_sym_let] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_BANG] = ACTIONS(3459),
    [anon_sym_else] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_LPAREN] = ACTIONS(3459),
    [anon_sym_await] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_debugger] = ACTIONS(3459),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_SEMI] = ACTIONS(3459),
    [anon_sym_case] = ACTIONS(3459),
    [anon_sym_yield] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3459),
    [anon_sym_LTtemplate_GT] = ACTIONS(3459),
    [anon_sym_DQUOTE] = ACTIONS(3459),
    [anon_sym_SQUOTE] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_async] = ACTIONS(3459),
    [anon_sym_function] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_LT] = ACTIONS(3459),
    [anon_sym_TILDE] = ACTIONS(3459),
    [anon_sym_void] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3459),
    [anon_sym_PLUS_PLUS] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(3459),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3459),
    [sym_number] = ACTIONS(3459),
    [sym_private_property_identifier] = ACTIONS(3459),
    [sym_this] = ACTIONS(3459),
    [sym_super] = ACTIONS(3459),
    [sym_true] = ACTIONS(3459),
    [sym_false] = ACTIONS(3459),
    [sym_null] = ACTIONS(3459),
    [sym_undefined] = ACTIONS(3459),
    [anon_sym_AT] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_readonly] = ACTIONS(3459),
    [anon_sym_get] = ACTIONS(3459),
    [anon_sym_set] = ACTIONS(3459),
    [anon_sym_declare] = ACTIONS(3459),
    [anon_sym_public] = ACTIONS(3459),
    [anon_sym_private] = ACTIONS(3459),
    [anon_sym_protected] = ACTIONS(3459),
    [anon_sym_override] = ACTIONS(3459),
    [anon_sym_module] = ACTIONS(3459),
    [anon_sym_any] = ACTIONS(3459),
    [anon_sym_number] = ACTIONS(3459),
    [anon_sym_boolean] = ACTIONS(3459),
    [anon_sym_string] = ACTIONS(3459),
    [anon_sym_symbol] = ACTIONS(3459),
    [anon_sym_object] = ACTIONS(3459),
    [anon_sym_abstract] = ACTIONS(3459),
    [anon_sym_interface] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [sym_html_comment] = ACTIONS(5),
  },
  [1253] = {
    [sym_comment] = STATE(1253),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_else] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1254] = {
    [sym_comment] = STATE(1254),
    [sym_identifier] = ACTIONS(3461),
    [anon_sym_export] = ACTIONS(3461),
    [anon_sym_default] = ACTIONS(3461),
    [anon_sym_type] = ACTIONS(3461),
    [anon_sym_namespace] = ACTIONS(3461),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_RBRACE] = ACTIONS(3461),
    [anon_sym_typeof] = ACTIONS(3461),
    [anon_sym_import] = ACTIONS(3461),
    [anon_sym_with] = ACTIONS(3461),
    [anon_sym_var] = ACTIONS(3461),
    [anon_sym_let] = ACTIONS(3461),
    [anon_sym_const] = ACTIONS(3461),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_else] = ACTIONS(3461),
    [anon_sym_if] = ACTIONS(3461),
    [anon_sym_switch] = ACTIONS(3461),
    [anon_sym_for] = ACTIONS(3461),
    [anon_sym_LPAREN] = ACTIONS(3461),
    [anon_sym_await] = ACTIONS(3461),
    [anon_sym_while] = ACTIONS(3461),
    [anon_sym_do] = ACTIONS(3461),
    [anon_sym_try] = ACTIONS(3461),
    [anon_sym_break] = ACTIONS(3461),
    [anon_sym_continue] = ACTIONS(3461),
    [anon_sym_debugger] = ACTIONS(3461),
    [anon_sym_return] = ACTIONS(3461),
    [anon_sym_throw] = ACTIONS(3461),
    [anon_sym_SEMI] = ACTIONS(3461),
    [anon_sym_case] = ACTIONS(3461),
    [anon_sym_yield] = ACTIONS(3461),
    [anon_sym_LBRACK] = ACTIONS(3461),
    [anon_sym_LTtemplate_GT] = ACTIONS(3461),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_class] = ACTIONS(3461),
    [anon_sym_async] = ACTIONS(3461),
    [anon_sym_function] = ACTIONS(3461),
    [anon_sym_new] = ACTIONS(3461),
    [anon_sym_using] = ACTIONS(3461),
    [anon_sym_PLUS] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3461),
    [anon_sym_SLASH] = ACTIONS(3461),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_void] = ACTIONS(3461),
    [anon_sym_delete] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3461),
    [sym_number] = ACTIONS(3461),
    [sym_private_property_identifier] = ACTIONS(3461),
    [sym_this] = ACTIONS(3461),
    [sym_super] = ACTIONS(3461),
    [sym_true] = ACTIONS(3461),
    [sym_false] = ACTIONS(3461),
    [sym_null] = ACTIONS(3461),
    [sym_undefined] = ACTIONS(3461),
    [anon_sym_AT] = ACTIONS(3461),
    [anon_sym_static] = ACTIONS(3461),
    [anon_sym_readonly] = ACTIONS(3461),
    [anon_sym_get] = ACTIONS(3461),
    [anon_sym_set] = ACTIONS(3461),
    [anon_sym_declare] = ACTIONS(3461),
    [anon_sym_public] = ACTIONS(3461),
    [anon_sym_private] = ACTIONS(3461),
    [anon_sym_protected] = ACTIONS(3461),
    [anon_sym_override] = ACTIONS(3461),
    [anon_sym_module] = ACTIONS(3461),
    [anon_sym_any] = ACTIONS(3461),
    [anon_sym_number] = ACTIONS(3461),
    [anon_sym_boolean] = ACTIONS(3461),
    [anon_sym_string] = ACTIONS(3461),
    [anon_sym_symbol] = ACTIONS(3461),
    [anon_sym_object] = ACTIONS(3461),
    [anon_sym_abstract] = ACTIONS(3461),
    [anon_sym_interface] = ACTIONS(3461),
    [anon_sym_enum] = ACTIONS(3461),
    [sym_html_comment] = ACTIONS(5),
  },
  [1255] = {
    [sym_comment] = STATE(1255),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1256] = {
    [sym_comment] = STATE(1256),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1257] = {
    [sym_comment] = STATE(1257),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1258] = {
    [sym_comment] = STATE(1258),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1259] = {
    [sym_comment] = STATE(1259),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1260] = {
    [sym_comment] = STATE(1260),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1261] = {
    [sym_comment] = STATE(1261),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1262] = {
    [sym_comment] = STATE(1262),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1263] = {
    [sym_comment] = STATE(1263),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1264] = {
    [sym_comment] = STATE(1264),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1265] = {
    [sym_comment] = STATE(1265),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1266] = {
    [sym_comment] = STATE(1266),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1267] = {
    [sym_comment] = STATE(1267),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1268] = {
    [sym_comment] = STATE(1268),
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1269] = {
    [sym_comment] = STATE(1269),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_else] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1270] = {
    [sym_comment] = STATE(1270),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1271] = {
    [sym_comment] = STATE(1271),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_case] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1272] = {
    [sym_comment] = STATE(1272),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1273] = {
    [sym_comment] = STATE(1273),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1274] = {
    [sym_comment] = STATE(1274),
    [sym_identifier] = ACTIONS(3339),
    [anon_sym_export] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_type] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3339),
    [anon_sym_typeof] = ACTIONS(3339),
    [anon_sym_import] = ACTIONS(3339),
    [anon_sym_with] = ACTIONS(3339),
    [anon_sym_var] = ACTIONS(3339),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_await] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_debugger] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_yield] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LTtemplate_GT] = ACTIONS(3339),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_async] = ACTIONS(3339),
    [anon_sym_function] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_SLASH] = ACTIONS(3339),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_void] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3339),
    [sym_number] = ACTIONS(3339),
    [sym_private_property_identifier] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
    [sym_super] = ACTIONS(3339),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [sym_null] = ACTIONS(3339),
    [sym_undefined] = ACTIONS(3339),
    [anon_sym_AT] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3339),
    [anon_sym_set] = ACTIONS(3339),
    [anon_sym_declare] = ACTIONS(3339),
    [anon_sym_public] = ACTIONS(3339),
    [anon_sym_private] = ACTIONS(3339),
    [anon_sym_protected] = ACTIONS(3339),
    [anon_sym_override] = ACTIONS(3339),
    [anon_sym_module] = ACTIONS(3339),
    [anon_sym_any] = ACTIONS(3339),
    [anon_sym_number] = ACTIONS(3339),
    [anon_sym_boolean] = ACTIONS(3339),
    [anon_sym_string] = ACTIONS(3339),
    [anon_sym_symbol] = ACTIONS(3339),
    [anon_sym_object] = ACTIONS(3339),
    [anon_sym_abstract] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1275] = {
    [sym_comment] = STATE(1275),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_default] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_case] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1276] = {
    [sym_comment] = STATE(1276),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1277] = {
    [sym_comment] = STATE(1277),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1278] = {
    [sym_comment] = STATE(1278),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1279] = {
    [sym_comment] = STATE(1279),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1280] = {
    [sym_comment] = STATE(1280),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1281] = {
    [sym_comment] = STATE(1281),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_default] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_case] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1282] = {
    [sym_comment] = STATE(1282),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_default] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_case] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1283] = {
    [sym_comment] = STATE(1283),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1284] = {
    [sym_comment] = STATE(1284),
    [ts_builtin_sym_end] = ACTIONS(3471),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_else] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1285] = {
    [sym_comment] = STATE(1285),
    [ts_builtin_sym_end] = ACTIONS(3473),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_else] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1286] = {
    [sym_comment] = STATE(1286),
    [ts_builtin_sym_end] = ACTIONS(3475),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1287] = {
    [sym_comment] = STATE(1287),
    [ts_builtin_sym_end] = ACTIONS(3477),
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_export] = ACTIONS(3247),
    [anon_sym_type] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym_import] = ACTIONS(3247),
    [anon_sym_with] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_else] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_LPAREN] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_debugger] = ACTIONS(3247),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3247),
    [anon_sym_LTtemplate_GT] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_function] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_SLASH] = ACTIONS(3247),
    [anon_sym_LT] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_void] = ACTIONS(3247),
    [anon_sym_delete] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3247),
    [sym_number] = ACTIONS(3247),
    [sym_private_property_identifier] = ACTIONS(3247),
    [sym_this] = ACTIONS(3247),
    [sym_super] = ACTIONS(3247),
    [sym_true] = ACTIONS(3247),
    [sym_false] = ACTIONS(3247),
    [sym_null] = ACTIONS(3247),
    [sym_undefined] = ACTIONS(3247),
    [anon_sym_AT] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3247),
    [anon_sym_set] = ACTIONS(3247),
    [anon_sym_declare] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_module] = ACTIONS(3247),
    [anon_sym_any] = ACTIONS(3247),
    [anon_sym_number] = ACTIONS(3247),
    [anon_sym_boolean] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_symbol] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [sym_html_comment] = ACTIONS(5),
  },
  [1288] = {
    [sym_comment] = STATE(1288),
    [ts_builtin_sym_end] = ACTIONS(3479),
    [sym_identifier] = ACTIONS(3245),
    [anon_sym_export] = ACTIONS(3245),
    [anon_sym_type] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_typeof] = ACTIONS(3245),
    [anon_sym_import] = ACTIONS(3245),
    [anon_sym_with] = ACTIONS(3245),
    [anon_sym_var] = ACTIONS(3245),
    [anon_sym_let] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_BANG] = ACTIONS(3245),
    [anon_sym_else] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_LPAREN] = ACTIONS(3245),
    [anon_sym_await] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_debugger] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3245),
    [anon_sym_yield] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_LTtemplate_GT] = ACTIONS(3245),
    [anon_sym_DQUOTE] = ACTIONS(3245),
    [anon_sym_SQUOTE] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_async] = ACTIONS(3245),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_SLASH] = ACTIONS(3245),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_void] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_PLUS_PLUS] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3245),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3245),
    [sym_number] = ACTIONS(3245),
    [sym_private_property_identifier] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
    [sym_super] = ACTIONS(3245),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [sym_null] = ACTIONS(3245),
    [sym_undefined] = ACTIONS(3245),
    [anon_sym_AT] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3245),
    [anon_sym_get] = ACTIONS(3245),
    [anon_sym_set] = ACTIONS(3245),
    [anon_sym_declare] = ACTIONS(3245),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_override] = ACTIONS(3245),
    [anon_sym_module] = ACTIONS(3245),
    [anon_sym_any] = ACTIONS(3245),
    [anon_sym_number] = ACTIONS(3245),
    [anon_sym_boolean] = ACTIONS(3245),
    [anon_sym_string] = ACTIONS(3245),
    [anon_sym_symbol] = ACTIONS(3245),
    [anon_sym_object] = ACTIONS(3245),
    [anon_sym_abstract] = ACTIONS(3245),
    [anon_sym_interface] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [sym_html_comment] = ACTIONS(5),
  },
  [1289] = {
    [sym_comment] = STATE(1289),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_else] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1290] = {
    [sym_comment] = STATE(1290),
    [ts_builtin_sym_end] = ACTIONS(3483),
    [sym_identifier] = ACTIONS(3441),
    [anon_sym_export] = ACTIONS(3441),
    [anon_sym_type] = ACTIONS(3441),
    [anon_sym_namespace] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_typeof] = ACTIONS(3441),
    [anon_sym_import] = ACTIONS(3441),
    [anon_sym_with] = ACTIONS(3441),
    [anon_sym_var] = ACTIONS(3441),
    [anon_sym_let] = ACTIONS(3441),
    [anon_sym_const] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_else] = ACTIONS(3441),
    [anon_sym_if] = ACTIONS(3441),
    [anon_sym_switch] = ACTIONS(3441),
    [anon_sym_for] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_await] = ACTIONS(3441),
    [anon_sym_while] = ACTIONS(3441),
    [anon_sym_do] = ACTIONS(3441),
    [anon_sym_try] = ACTIONS(3441),
    [anon_sym_break] = ACTIONS(3441),
    [anon_sym_continue] = ACTIONS(3441),
    [anon_sym_debugger] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3441),
    [anon_sym_throw] = ACTIONS(3441),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym_yield] = ACTIONS(3441),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LTtemplate_GT] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_class] = ACTIONS(3441),
    [anon_sym_async] = ACTIONS(3441),
    [anon_sym_function] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3441),
    [anon_sym_using] = ACTIONS(3441),
    [anon_sym_PLUS] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3441),
    [anon_sym_SLASH] = ACTIONS(3441),
    [anon_sym_LT] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_void] = ACTIONS(3441),
    [anon_sym_delete] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3441),
    [sym_number] = ACTIONS(3441),
    [sym_private_property_identifier] = ACTIONS(3441),
    [sym_this] = ACTIONS(3441),
    [sym_super] = ACTIONS(3441),
    [sym_true] = ACTIONS(3441),
    [sym_false] = ACTIONS(3441),
    [sym_null] = ACTIONS(3441),
    [sym_undefined] = ACTIONS(3441),
    [anon_sym_AT] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3441),
    [anon_sym_readonly] = ACTIONS(3441),
    [anon_sym_get] = ACTIONS(3441),
    [anon_sym_set] = ACTIONS(3441),
    [anon_sym_declare] = ACTIONS(3441),
    [anon_sym_public] = ACTIONS(3441),
    [anon_sym_private] = ACTIONS(3441),
    [anon_sym_protected] = ACTIONS(3441),
    [anon_sym_override] = ACTIONS(3441),
    [anon_sym_module] = ACTIONS(3441),
    [anon_sym_any] = ACTIONS(3441),
    [anon_sym_number] = ACTIONS(3441),
    [anon_sym_boolean] = ACTIONS(3441),
    [anon_sym_string] = ACTIONS(3441),
    [anon_sym_symbol] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3441),
    [anon_sym_abstract] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3441),
    [anon_sym_enum] = ACTIONS(3441),
    [sym_html_comment] = ACTIONS(5),
  },
  [1291] = {
    [sym_comment] = STATE(1291),
    [ts_builtin_sym_end] = ACTIONS(3485),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_else] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1292] = {
    [sym_comment] = STATE(1292),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1293] = {
    [sym_comment] = STATE(1293),
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1294] = {
    [sym_comment] = STATE(1294),
    [sym_identifier] = ACTIONS(3349),
    [anon_sym_export] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_type] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym_import] = ACTIONS(3349),
    [anon_sym_with] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_debugger] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym_case] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_LTtemplate_GT] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_function] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3349),
    [anon_sym_LT] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_void] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3349),
    [sym_number] = ACTIONS(3349),
    [sym_private_property_identifier] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
    [sym_super] = ACTIONS(3349),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [sym_null] = ACTIONS(3349),
    [sym_undefined] = ACTIONS(3349),
    [anon_sym_AT] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_get] = ACTIONS(3349),
    [anon_sym_set] = ACTIONS(3349),
    [anon_sym_declare] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_module] = ACTIONS(3349),
    [anon_sym_any] = ACTIONS(3349),
    [anon_sym_number] = ACTIONS(3349),
    [anon_sym_boolean] = ACTIONS(3349),
    [anon_sym_string] = ACTIONS(3349),
    [anon_sym_symbol] = ACTIONS(3349),
    [anon_sym_object] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_interface] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [sym_html_comment] = ACTIONS(5),
  },
  [1295] = {
    [sym_comment] = STATE(1295),
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_export] = ACTIONS(3355),
    [anon_sym_type] = ACTIONS(3355),
    [anon_sym_namespace] = ACTIONS(3355),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_RBRACE] = ACTIONS(3355),
    [anon_sym_typeof] = ACTIONS(3355),
    [anon_sym_import] = ACTIONS(3355),
    [anon_sym_with] = ACTIONS(3355),
    [anon_sym_var] = ACTIONS(3355),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_else] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(3355),
    [anon_sym_switch] = ACTIONS(3355),
    [anon_sym_for] = ACTIONS(3355),
    [anon_sym_LPAREN] = ACTIONS(3355),
    [anon_sym_await] = ACTIONS(3355),
    [anon_sym_while] = ACTIONS(3355),
    [anon_sym_do] = ACTIONS(3355),
    [anon_sym_try] = ACTIONS(3355),
    [anon_sym_break] = ACTIONS(3355),
    [anon_sym_continue] = ACTIONS(3355),
    [anon_sym_debugger] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3355),
    [anon_sym_throw] = ACTIONS(3355),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym_yield] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_LTtemplate_GT] = ACTIONS(3355),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_async] = ACTIONS(3355),
    [anon_sym_function] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_PLUS] = ACTIONS(3355),
    [anon_sym_DASH] = ACTIONS(3355),
    [anon_sym_SLASH] = ACTIONS(3355),
    [anon_sym_LT] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_void] = ACTIONS(3355),
    [anon_sym_delete] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3355),
    [sym_number] = ACTIONS(3355),
    [sym_private_property_identifier] = ACTIONS(3355),
    [sym_this] = ACTIONS(3355),
    [sym_super] = ACTIONS(3355),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [sym_null] = ACTIONS(3355),
    [sym_undefined] = ACTIONS(3355),
    [anon_sym_AT] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_readonly] = ACTIONS(3355),
    [anon_sym_get] = ACTIONS(3355),
    [anon_sym_set] = ACTIONS(3355),
    [anon_sym_declare] = ACTIONS(3355),
    [anon_sym_public] = ACTIONS(3355),
    [anon_sym_private] = ACTIONS(3355),
    [anon_sym_protected] = ACTIONS(3355),
    [anon_sym_override] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(3355),
    [anon_sym_any] = ACTIONS(3355),
    [anon_sym_number] = ACTIONS(3355),
    [anon_sym_boolean] = ACTIONS(3355),
    [anon_sym_string] = ACTIONS(3355),
    [anon_sym_symbol] = ACTIONS(3355),
    [anon_sym_object] = ACTIONS(3355),
    [anon_sym_abstract] = ACTIONS(3355),
    [anon_sym_interface] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [sym_html_comment] = ACTIONS(5),
  },
  [1296] = {
    [sym_comment] = STATE(1296),
    [ts_builtin_sym_end] = ACTIONS(3489),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_else] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1297] = {
    [sym_comment] = STATE(1297),
    [ts_builtin_sym_end] = ACTIONS(3491),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_else] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1298] = {
    [sym_comment] = STATE(1298),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1299] = {
    [sym_comment] = STATE(1299),
    [ts_builtin_sym_end] = ACTIONS(3493),
    [sym_identifier] = ACTIONS(3361),
    [anon_sym_export] = ACTIONS(3361),
    [anon_sym_type] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym_import] = ACTIONS(3361),
    [anon_sym_with] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_else] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_LPAREN] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_debugger] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_LTtemplate_GT] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_SLASH] = ACTIONS(3361),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_void] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3361),
    [sym_number] = ACTIONS(3361),
    [sym_private_property_identifier] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
    [sym_super] = ACTIONS(3361),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [sym_null] = ACTIONS(3361),
    [sym_undefined] = ACTIONS(3361),
    [anon_sym_AT] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_get] = ACTIONS(3361),
    [anon_sym_set] = ACTIONS(3361),
    [anon_sym_declare] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_module] = ACTIONS(3361),
    [anon_sym_any] = ACTIONS(3361),
    [anon_sym_number] = ACTIONS(3361),
    [anon_sym_boolean] = ACTIONS(3361),
    [anon_sym_string] = ACTIONS(3361),
    [anon_sym_symbol] = ACTIONS(3361),
    [anon_sym_object] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_interface] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1300] = {
    [sym_comment] = STATE(1300),
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_else] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1301] = {
    [sym_comment] = STATE(1301),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_export] = ACTIONS(3355),
    [anon_sym_default] = ACTIONS(3355),
    [anon_sym_type] = ACTIONS(3355),
    [anon_sym_namespace] = ACTIONS(3355),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_RBRACE] = ACTIONS(3355),
    [anon_sym_typeof] = ACTIONS(3355),
    [anon_sym_import] = ACTIONS(3355),
    [anon_sym_with] = ACTIONS(3355),
    [anon_sym_var] = ACTIONS(3355),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(3355),
    [anon_sym_switch] = ACTIONS(3355),
    [anon_sym_for] = ACTIONS(3355),
    [anon_sym_LPAREN] = ACTIONS(3355),
    [anon_sym_await] = ACTIONS(3355),
    [anon_sym_while] = ACTIONS(3355),
    [anon_sym_do] = ACTIONS(3355),
    [anon_sym_try] = ACTIONS(3355),
    [anon_sym_break] = ACTIONS(3355),
    [anon_sym_continue] = ACTIONS(3355),
    [anon_sym_debugger] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3355),
    [anon_sym_throw] = ACTIONS(3355),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym_case] = ACTIONS(3355),
    [anon_sym_yield] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_LTtemplate_GT] = ACTIONS(3355),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_async] = ACTIONS(3355),
    [anon_sym_function] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_PLUS] = ACTIONS(3355),
    [anon_sym_DASH] = ACTIONS(3355),
    [anon_sym_SLASH] = ACTIONS(3355),
    [anon_sym_LT] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_void] = ACTIONS(3355),
    [anon_sym_delete] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3355),
    [sym_number] = ACTIONS(3355),
    [sym_private_property_identifier] = ACTIONS(3355),
    [sym_this] = ACTIONS(3355),
    [sym_super] = ACTIONS(3355),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [sym_null] = ACTIONS(3355),
    [sym_undefined] = ACTIONS(3355),
    [anon_sym_AT] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_readonly] = ACTIONS(3355),
    [anon_sym_get] = ACTIONS(3355),
    [anon_sym_set] = ACTIONS(3355),
    [anon_sym_declare] = ACTIONS(3355),
    [anon_sym_public] = ACTIONS(3355),
    [anon_sym_private] = ACTIONS(3355),
    [anon_sym_protected] = ACTIONS(3355),
    [anon_sym_override] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(3355),
    [anon_sym_any] = ACTIONS(3355),
    [anon_sym_number] = ACTIONS(3355),
    [anon_sym_boolean] = ACTIONS(3355),
    [anon_sym_string] = ACTIONS(3355),
    [anon_sym_symbol] = ACTIONS(3355),
    [anon_sym_object] = ACTIONS(3355),
    [anon_sym_abstract] = ACTIONS(3355),
    [anon_sym_interface] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [sym_html_comment] = ACTIONS(5),
  },
  [1302] = {
    [sym_comment] = STATE(1302),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1303] = {
    [sym_comment] = STATE(1303),
    [ts_builtin_sym_end] = ACTIONS(3497),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_else] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1304] = {
    [sym_comment] = STATE(1304),
    [ts_builtin_sym_end] = ACTIONS(3499),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_else] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1305] = {
    [sym_comment] = STATE(1305),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1306] = {
    [sym_comment] = STATE(1306),
    [sym_identifier] = ACTIONS(3359),
    [anon_sym_export] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_type] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3359),
    [anon_sym_typeof] = ACTIONS(3359),
    [anon_sym_import] = ACTIONS(3359),
    [anon_sym_with] = ACTIONS(3359),
    [anon_sym_var] = ACTIONS(3359),
    [anon_sym_let] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_await] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_debugger] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_yield] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LTtemplate_GT] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_async] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_LT] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_void] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3359),
    [sym_number] = ACTIONS(3359),
    [sym_private_property_identifier] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
    [sym_super] = ACTIONS(3359),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [sym_null] = ACTIONS(3359),
    [sym_undefined] = ACTIONS(3359),
    [anon_sym_AT] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3359),
    [anon_sym_get] = ACTIONS(3359),
    [anon_sym_set] = ACTIONS(3359),
    [anon_sym_declare] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_override] = ACTIONS(3359),
    [anon_sym_module] = ACTIONS(3359),
    [anon_sym_any] = ACTIONS(3359),
    [anon_sym_number] = ACTIONS(3359),
    [anon_sym_boolean] = ACTIONS(3359),
    [anon_sym_string] = ACTIONS(3359),
    [anon_sym_symbol] = ACTIONS(3359),
    [anon_sym_object] = ACTIONS(3359),
    [anon_sym_abstract] = ACTIONS(3359),
    [anon_sym_interface] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [sym_html_comment] = ACTIONS(5),
  },
  [1307] = {
    [sym_comment] = STATE(1307),
    [ts_builtin_sym_end] = ACTIONS(3501),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1308] = {
    [sym_comment] = STATE(1308),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1309] = {
    [sym_comment] = STATE(1309),
    [ts_builtin_sym_end] = ACTIONS(3503),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_else] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1310] = {
    [sym_comment] = STATE(1310),
    [ts_builtin_sym_end] = ACTIONS(3505),
    [sym_identifier] = ACTIONS(3349),
    [anon_sym_export] = ACTIONS(3349),
    [anon_sym_type] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym_import] = ACTIONS(3349),
    [anon_sym_with] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_else] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_debugger] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_LTtemplate_GT] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_function] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3349),
    [anon_sym_LT] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_void] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3349),
    [sym_number] = ACTIONS(3349),
    [sym_private_property_identifier] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
    [sym_super] = ACTIONS(3349),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [sym_null] = ACTIONS(3349),
    [sym_undefined] = ACTIONS(3349),
    [anon_sym_AT] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_get] = ACTIONS(3349),
    [anon_sym_set] = ACTIONS(3349),
    [anon_sym_declare] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_module] = ACTIONS(3349),
    [anon_sym_any] = ACTIONS(3349),
    [anon_sym_number] = ACTIONS(3349),
    [anon_sym_boolean] = ACTIONS(3349),
    [anon_sym_string] = ACTIONS(3349),
    [anon_sym_symbol] = ACTIONS(3349),
    [anon_sym_object] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_interface] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [sym_html_comment] = ACTIONS(5),
  },
  [1311] = {
    [sym_comment] = STATE(1311),
    [ts_builtin_sym_end] = ACTIONS(3507),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1312] = {
    [sym_comment] = STATE(1312),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1313] = {
    [sym_comment] = STATE(1313),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1314] = {
    [sym_comment] = STATE(1314),
    [ts_builtin_sym_end] = ACTIONS(3509),
    [sym_identifier] = ACTIONS(3351),
    [anon_sym_export] = ACTIONS(3351),
    [anon_sym_type] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3351),
    [anon_sym_typeof] = ACTIONS(3351),
    [anon_sym_import] = ACTIONS(3351),
    [anon_sym_with] = ACTIONS(3351),
    [anon_sym_var] = ACTIONS(3351),
    [anon_sym_let] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_else] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_await] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_debugger] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_yield] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LTtemplate_GT] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_async] = ACTIONS(3351),
    [anon_sym_function] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_LT] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_void] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3351),
    [sym_number] = ACTIONS(3351),
    [sym_private_property_identifier] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
    [sym_super] = ACTIONS(3351),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [sym_null] = ACTIONS(3351),
    [sym_undefined] = ACTIONS(3351),
    [anon_sym_AT] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_readonly] = ACTIONS(3351),
    [anon_sym_get] = ACTIONS(3351),
    [anon_sym_set] = ACTIONS(3351),
    [anon_sym_declare] = ACTIONS(3351),
    [anon_sym_public] = ACTIONS(3351),
    [anon_sym_private] = ACTIONS(3351),
    [anon_sym_protected] = ACTIONS(3351),
    [anon_sym_override] = ACTIONS(3351),
    [anon_sym_module] = ACTIONS(3351),
    [anon_sym_any] = ACTIONS(3351),
    [anon_sym_number] = ACTIONS(3351),
    [anon_sym_boolean] = ACTIONS(3351),
    [anon_sym_string] = ACTIONS(3351),
    [anon_sym_symbol] = ACTIONS(3351),
    [anon_sym_object] = ACTIONS(3351),
    [anon_sym_abstract] = ACTIONS(3351),
    [anon_sym_interface] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [sym_html_comment] = ACTIONS(5),
  },
  [1315] = {
    [sym_comment] = STATE(1315),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_default] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_case] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1316] = {
    [sym_comment] = STATE(1316),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1317] = {
    [sym_comment] = STATE(1317),
    [ts_builtin_sym_end] = ACTIONS(2254),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_export] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_typeof] = ACTIONS(2252),
    [anon_sym_import] = ACTIONS(2252),
    [anon_sym_with] = ACTIONS(2252),
    [anon_sym_var] = ACTIONS(2252),
    [anon_sym_let] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_else] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_await] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_debugger] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_yield] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_LTtemplate_GT] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_async] = ACTIONS(2252),
    [anon_sym_function] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_SLASH] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
    [sym_number] = ACTIONS(2252),
    [sym_private_property_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [sym_super] = ACTIONS(2252),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [sym_null] = ACTIONS(2252),
    [sym_undefined] = ACTIONS(2252),
    [anon_sym_AT] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_readonly] = ACTIONS(2252),
    [anon_sym_get] = ACTIONS(2252),
    [anon_sym_set] = ACTIONS(2252),
    [anon_sym_declare] = ACTIONS(2252),
    [anon_sym_public] = ACTIONS(2252),
    [anon_sym_private] = ACTIONS(2252),
    [anon_sym_protected] = ACTIONS(2252),
    [anon_sym_override] = ACTIONS(2252),
    [anon_sym_module] = ACTIONS(2252),
    [anon_sym_any] = ACTIONS(2252),
    [anon_sym_number] = ACTIONS(2252),
    [anon_sym_boolean] = ACTIONS(2252),
    [anon_sym_string] = ACTIONS(2252),
    [anon_sym_symbol] = ACTIONS(2252),
    [anon_sym_object] = ACTIONS(2252),
    [anon_sym_abstract] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1318] = {
    [sym_comment] = STATE(1318),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_default] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_case] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1319] = {
    [sym_comment] = STATE(1319),
    [ts_builtin_sym_end] = ACTIONS(3511),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1320] = {
    [sym_comment] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(3513),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_else] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1321] = {
    [sym_comment] = STATE(1321),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1322] = {
    [sym_comment] = STATE(1322),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3339),
    [anon_sym_export] = ACTIONS(3339),
    [anon_sym_type] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3339),
    [anon_sym_typeof] = ACTIONS(3339),
    [anon_sym_import] = ACTIONS(3339),
    [anon_sym_with] = ACTIONS(3339),
    [anon_sym_var] = ACTIONS(3339),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_else] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_await] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_debugger] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_yield] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LTtemplate_GT] = ACTIONS(3339),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_async] = ACTIONS(3339),
    [anon_sym_function] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_SLASH] = ACTIONS(3339),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_void] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3339),
    [sym_number] = ACTIONS(3339),
    [sym_private_property_identifier] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
    [sym_super] = ACTIONS(3339),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [sym_null] = ACTIONS(3339),
    [sym_undefined] = ACTIONS(3339),
    [anon_sym_AT] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3339),
    [anon_sym_set] = ACTIONS(3339),
    [anon_sym_declare] = ACTIONS(3339),
    [anon_sym_public] = ACTIONS(3339),
    [anon_sym_private] = ACTIONS(3339),
    [anon_sym_protected] = ACTIONS(3339),
    [anon_sym_override] = ACTIONS(3339),
    [anon_sym_module] = ACTIONS(3339),
    [anon_sym_any] = ACTIONS(3339),
    [anon_sym_number] = ACTIONS(3339),
    [anon_sym_boolean] = ACTIONS(3339),
    [anon_sym_string] = ACTIONS(3339),
    [anon_sym_symbol] = ACTIONS(3339),
    [anon_sym_object] = ACTIONS(3339),
    [anon_sym_abstract] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1323] = {
    [sym_comment] = STATE(1323),
    [ts_builtin_sym_end] = ACTIONS(3517),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_else] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1324] = {
    [sym_comment] = STATE(1324),
    [sym_identifier] = ACTIONS(3401),
    [anon_sym_export] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_type] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3401),
    [anon_sym_typeof] = ACTIONS(3401),
    [anon_sym_import] = ACTIONS(3401),
    [anon_sym_with] = ACTIONS(3401),
    [anon_sym_var] = ACTIONS(3401),
    [anon_sym_let] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_await] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_debugger] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_yield] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LTtemplate_GT] = ACTIONS(3401),
    [anon_sym_DQUOTE] = ACTIONS(3401),
    [anon_sym_SQUOTE] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_SLASH] = ACTIONS(3401),
    [anon_sym_LT] = ACTIONS(3401),
    [anon_sym_TILDE] = ACTIONS(3401),
    [anon_sym_void] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_PLUS_PLUS] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3401),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3401),
    [sym_number] = ACTIONS(3401),
    [sym_private_property_identifier] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
    [sym_super] = ACTIONS(3401),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [sym_null] = ACTIONS(3401),
    [sym_undefined] = ACTIONS(3401),
    [anon_sym_AT] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_declare] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_override] = ACTIONS(3401),
    [anon_sym_module] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_abstract] = ACTIONS(3401),
    [anon_sym_interface] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [sym_html_comment] = ACTIONS(5),
  },
  [1325] = {
    [sym_comment] = STATE(1325),
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_else] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1326] = {
    [sym_comment] = STATE(1326),
    [ts_builtin_sym_end] = ACTIONS(3521),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1327] = {
    [sym_comment] = STATE(1327),
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_else] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1328] = {
    [sym_comment] = STATE(1328),
    [sym_identifier] = ACTIONS(3369),
    [anon_sym_export] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_type] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym_import] = ACTIONS(3369),
    [anon_sym_with] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_LPAREN] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_debugger] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_LTtemplate_GT] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_function] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_SLASH] = ACTIONS(3369),
    [anon_sym_LT] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_void] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3369),
    [sym_number] = ACTIONS(3369),
    [sym_private_property_identifier] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
    [sym_super] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_null] = ACTIONS(3369),
    [sym_undefined] = ACTIONS(3369),
    [anon_sym_AT] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_get] = ACTIONS(3369),
    [anon_sym_set] = ACTIONS(3369),
    [anon_sym_declare] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_module] = ACTIONS(3369),
    [anon_sym_any] = ACTIONS(3369),
    [anon_sym_number] = ACTIONS(3369),
    [anon_sym_boolean] = ACTIONS(3369),
    [anon_sym_string] = ACTIONS(3369),
    [anon_sym_symbol] = ACTIONS(3369),
    [anon_sym_object] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_interface] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [sym_html_comment] = ACTIONS(5),
  },
  [1329] = {
    [sym_comment] = STATE(1329),
    [ts_builtin_sym_end] = ACTIONS(3523),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1330] = {
    [sym_comment] = STATE(1330),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1331] = {
    [sym_comment] = STATE(1331),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1332] = {
    [sym_comment] = STATE(1332),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1333] = {
    [sym_comment] = STATE(1333),
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_else] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1334] = {
    [sym_comment] = STATE(1334),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1335] = {
    [sym_comment] = STATE(1335),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1336] = {
    [sym_comment] = STATE(1336),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1337] = {
    [sym_comment] = STATE(1337),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym_identifier] = ACTIONS(3455),
    [anon_sym_export] = ACTIONS(3455),
    [anon_sym_type] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(3455),
    [anon_sym_typeof] = ACTIONS(3455),
    [anon_sym_import] = ACTIONS(3455),
    [anon_sym_with] = ACTIONS(3455),
    [anon_sym_var] = ACTIONS(3455),
    [anon_sym_let] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_BANG] = ACTIONS(3455),
    [anon_sym_else] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_LPAREN] = ACTIONS(3455),
    [anon_sym_await] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_debugger] = ACTIONS(3455),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_SEMI] = ACTIONS(3455),
    [anon_sym_yield] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_LTtemplate_GT] = ACTIONS(3455),
    [anon_sym_DQUOTE] = ACTIONS(3455),
    [anon_sym_SQUOTE] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_async] = ACTIONS(3455),
    [anon_sym_function] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_SLASH] = ACTIONS(3455),
    [anon_sym_LT] = ACTIONS(3455),
    [anon_sym_TILDE] = ACTIONS(3455),
    [anon_sym_void] = ACTIONS(3455),
    [anon_sym_delete] = ACTIONS(3455),
    [anon_sym_PLUS_PLUS] = ACTIONS(3455),
    [anon_sym_DASH_DASH] = ACTIONS(3455),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3455),
    [sym_number] = ACTIONS(3455),
    [sym_private_property_identifier] = ACTIONS(3455),
    [sym_this] = ACTIONS(3455),
    [sym_super] = ACTIONS(3455),
    [sym_true] = ACTIONS(3455),
    [sym_false] = ACTIONS(3455),
    [sym_null] = ACTIONS(3455),
    [sym_undefined] = ACTIONS(3455),
    [anon_sym_AT] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_readonly] = ACTIONS(3455),
    [anon_sym_get] = ACTIONS(3455),
    [anon_sym_set] = ACTIONS(3455),
    [anon_sym_declare] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_override] = ACTIONS(3455),
    [anon_sym_module] = ACTIONS(3455),
    [anon_sym_any] = ACTIONS(3455),
    [anon_sym_number] = ACTIONS(3455),
    [anon_sym_boolean] = ACTIONS(3455),
    [anon_sym_string] = ACTIONS(3455),
    [anon_sym_symbol] = ACTIONS(3455),
    [anon_sym_object] = ACTIONS(3455),
    [anon_sym_abstract] = ACTIONS(3455),
    [anon_sym_interface] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [sym_html_comment] = ACTIONS(5),
  },
  [1338] = {
    [sym_comment] = STATE(1338),
    [ts_builtin_sym_end] = ACTIONS(3527),
    [sym_identifier] = ACTIONS(3453),
    [anon_sym_export] = ACTIONS(3453),
    [anon_sym_type] = ACTIONS(3453),
    [anon_sym_namespace] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_RBRACE] = ACTIONS(3453),
    [anon_sym_typeof] = ACTIONS(3453),
    [anon_sym_import] = ACTIONS(3453),
    [anon_sym_with] = ACTIONS(3453),
    [anon_sym_var] = ACTIONS(3453),
    [anon_sym_let] = ACTIONS(3453),
    [anon_sym_const] = ACTIONS(3453),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_else] = ACTIONS(3453),
    [anon_sym_if] = ACTIONS(3453),
    [anon_sym_switch] = ACTIONS(3453),
    [anon_sym_for] = ACTIONS(3453),
    [anon_sym_LPAREN] = ACTIONS(3453),
    [anon_sym_await] = ACTIONS(3453),
    [anon_sym_while] = ACTIONS(3453),
    [anon_sym_do] = ACTIONS(3453),
    [anon_sym_try] = ACTIONS(3453),
    [anon_sym_break] = ACTIONS(3453),
    [anon_sym_continue] = ACTIONS(3453),
    [anon_sym_debugger] = ACTIONS(3453),
    [anon_sym_return] = ACTIONS(3453),
    [anon_sym_throw] = ACTIONS(3453),
    [anon_sym_SEMI] = ACTIONS(3453),
    [anon_sym_yield] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(3453),
    [anon_sym_LTtemplate_GT] = ACTIONS(3453),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [anon_sym_class] = ACTIONS(3453),
    [anon_sym_async] = ACTIONS(3453),
    [anon_sym_function] = ACTIONS(3453),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_using] = ACTIONS(3453),
    [anon_sym_PLUS] = ACTIONS(3453),
    [anon_sym_DASH] = ACTIONS(3453),
    [anon_sym_SLASH] = ACTIONS(3453),
    [anon_sym_LT] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_void] = ACTIONS(3453),
    [anon_sym_delete] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3453),
    [sym_number] = ACTIONS(3453),
    [sym_private_property_identifier] = ACTIONS(3453),
    [sym_this] = ACTIONS(3453),
    [sym_super] = ACTIONS(3453),
    [sym_true] = ACTIONS(3453),
    [sym_false] = ACTIONS(3453),
    [sym_null] = ACTIONS(3453),
    [sym_undefined] = ACTIONS(3453),
    [anon_sym_AT] = ACTIONS(3453),
    [anon_sym_static] = ACTIONS(3453),
    [anon_sym_readonly] = ACTIONS(3453),
    [anon_sym_get] = ACTIONS(3453),
    [anon_sym_set] = ACTIONS(3453),
    [anon_sym_declare] = ACTIONS(3453),
    [anon_sym_public] = ACTIONS(3453),
    [anon_sym_private] = ACTIONS(3453),
    [anon_sym_protected] = ACTIONS(3453),
    [anon_sym_override] = ACTIONS(3453),
    [anon_sym_module] = ACTIONS(3453),
    [anon_sym_any] = ACTIONS(3453),
    [anon_sym_number] = ACTIONS(3453),
    [anon_sym_boolean] = ACTIONS(3453),
    [anon_sym_string] = ACTIONS(3453),
    [anon_sym_symbol] = ACTIONS(3453),
    [anon_sym_object] = ACTIONS(3453),
    [anon_sym_abstract] = ACTIONS(3453),
    [anon_sym_interface] = ACTIONS(3453),
    [anon_sym_enum] = ACTIONS(3453),
    [sym_html_comment] = ACTIONS(5),
  },
  [1339] = {
    [sym_comment] = STATE(1339),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_export] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_type] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym_import] = ACTIONS(3381),
    [anon_sym_with] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_debugger] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_LTtemplate_GT] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_function] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_SLASH] = ACTIONS(3381),
    [anon_sym_LT] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_void] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3381),
    [sym_number] = ACTIONS(3381),
    [sym_private_property_identifier] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
    [sym_super] = ACTIONS(3381),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [sym_null] = ACTIONS(3381),
    [sym_undefined] = ACTIONS(3381),
    [anon_sym_AT] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_get] = ACTIONS(3381),
    [anon_sym_set] = ACTIONS(3381),
    [anon_sym_declare] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_module] = ACTIONS(3381),
    [anon_sym_any] = ACTIONS(3381),
    [anon_sym_number] = ACTIONS(3381),
    [anon_sym_boolean] = ACTIONS(3381),
    [anon_sym_string] = ACTIONS(3381),
    [anon_sym_symbol] = ACTIONS(3381),
    [anon_sym_object] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_interface] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [sym_html_comment] = ACTIONS(5),
  },
  [1340] = {
    [sym_comment] = STATE(1340),
    [ts_builtin_sym_end] = ACTIONS(3529),
    [sym_identifier] = ACTIONS(3461),
    [anon_sym_export] = ACTIONS(3461),
    [anon_sym_type] = ACTIONS(3461),
    [anon_sym_namespace] = ACTIONS(3461),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_RBRACE] = ACTIONS(3461),
    [anon_sym_typeof] = ACTIONS(3461),
    [anon_sym_import] = ACTIONS(3461),
    [anon_sym_with] = ACTIONS(3461),
    [anon_sym_var] = ACTIONS(3461),
    [anon_sym_let] = ACTIONS(3461),
    [anon_sym_const] = ACTIONS(3461),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_else] = ACTIONS(3461),
    [anon_sym_if] = ACTIONS(3461),
    [anon_sym_switch] = ACTIONS(3461),
    [anon_sym_for] = ACTIONS(3461),
    [anon_sym_LPAREN] = ACTIONS(3461),
    [anon_sym_await] = ACTIONS(3461),
    [anon_sym_while] = ACTIONS(3461),
    [anon_sym_do] = ACTIONS(3461),
    [anon_sym_try] = ACTIONS(3461),
    [anon_sym_break] = ACTIONS(3461),
    [anon_sym_continue] = ACTIONS(3461),
    [anon_sym_debugger] = ACTIONS(3461),
    [anon_sym_return] = ACTIONS(3461),
    [anon_sym_throw] = ACTIONS(3461),
    [anon_sym_SEMI] = ACTIONS(3461),
    [anon_sym_yield] = ACTIONS(3461),
    [anon_sym_LBRACK] = ACTIONS(3461),
    [anon_sym_LTtemplate_GT] = ACTIONS(3461),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_class] = ACTIONS(3461),
    [anon_sym_async] = ACTIONS(3461),
    [anon_sym_function] = ACTIONS(3461),
    [anon_sym_new] = ACTIONS(3461),
    [anon_sym_using] = ACTIONS(3461),
    [anon_sym_PLUS] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3461),
    [anon_sym_SLASH] = ACTIONS(3461),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_void] = ACTIONS(3461),
    [anon_sym_delete] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3461),
    [sym_number] = ACTIONS(3461),
    [sym_private_property_identifier] = ACTIONS(3461),
    [sym_this] = ACTIONS(3461),
    [sym_super] = ACTIONS(3461),
    [sym_true] = ACTIONS(3461),
    [sym_false] = ACTIONS(3461),
    [sym_null] = ACTIONS(3461),
    [sym_undefined] = ACTIONS(3461),
    [anon_sym_AT] = ACTIONS(3461),
    [anon_sym_static] = ACTIONS(3461),
    [anon_sym_readonly] = ACTIONS(3461),
    [anon_sym_get] = ACTIONS(3461),
    [anon_sym_set] = ACTIONS(3461),
    [anon_sym_declare] = ACTIONS(3461),
    [anon_sym_public] = ACTIONS(3461),
    [anon_sym_private] = ACTIONS(3461),
    [anon_sym_protected] = ACTIONS(3461),
    [anon_sym_override] = ACTIONS(3461),
    [anon_sym_module] = ACTIONS(3461),
    [anon_sym_any] = ACTIONS(3461),
    [anon_sym_number] = ACTIONS(3461),
    [anon_sym_boolean] = ACTIONS(3461),
    [anon_sym_string] = ACTIONS(3461),
    [anon_sym_symbol] = ACTIONS(3461),
    [anon_sym_object] = ACTIONS(3461),
    [anon_sym_abstract] = ACTIONS(3461),
    [anon_sym_interface] = ACTIONS(3461),
    [anon_sym_enum] = ACTIONS(3461),
    [sym_html_comment] = ACTIONS(5),
  },
  [1341] = {
    [sym_comment] = STATE(1341),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1342] = {
    [sym_comment] = STATE(1342),
    [ts_builtin_sym_end] = ACTIONS(3531),
    [sym_identifier] = ACTIONS(3417),
    [anon_sym_export] = ACTIONS(3417),
    [anon_sym_type] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_RBRACE] = ACTIONS(3417),
    [anon_sym_typeof] = ACTIONS(3417),
    [anon_sym_import] = ACTIONS(3417),
    [anon_sym_with] = ACTIONS(3417),
    [anon_sym_var] = ACTIONS(3417),
    [anon_sym_let] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_else] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_await] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_debugger] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3417),
    [anon_sym_yield] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LTtemplate_GT] = ACTIONS(3417),
    [anon_sym_DQUOTE] = ACTIONS(3417),
    [anon_sym_SQUOTE] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_async] = ACTIONS(3417),
    [anon_sym_function] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_void] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3417),
    [sym_number] = ACTIONS(3417),
    [sym_private_property_identifier] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
    [sym_super] = ACTIONS(3417),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [sym_null] = ACTIONS(3417),
    [sym_undefined] = ACTIONS(3417),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_readonly] = ACTIONS(3417),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_declare] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3417),
    [anon_sym_module] = ACTIONS(3417),
    [anon_sym_any] = ACTIONS(3417),
    [anon_sym_number] = ACTIONS(3417),
    [anon_sym_boolean] = ACTIONS(3417),
    [anon_sym_string] = ACTIONS(3417),
    [anon_sym_symbol] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3417),
    [anon_sym_abstract] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1343] = {
    [sym_comment] = STATE(1343),
    [ts_builtin_sym_end] = ACTIONS(3533),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1344] = {
    [sym_comment] = STATE(1344),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1345] = {
    [sym_comment] = STATE(1345),
    [ts_builtin_sym_end] = ACTIONS(2264),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1346] = {
    [sym_comment] = STATE(1346),
    [ts_builtin_sym_end] = ACTIONS(3537),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_else] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1347] = {
    [sym_comment] = STATE(1347),
    [ts_builtin_sym_end] = ACTIONS(3539),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_else] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1348] = {
    [sym_comment] = STATE(1348),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [sym_identifier] = ACTIONS(3415),
    [anon_sym_export] = ACTIONS(3415),
    [anon_sym_type] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3415),
    [anon_sym_import] = ACTIONS(3415),
    [anon_sym_with] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_else] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_switch] = ACTIONS(3415),
    [anon_sym_for] = ACTIONS(3415),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_await] = ACTIONS(3415),
    [anon_sym_while] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_try] = ACTIONS(3415),
    [anon_sym_break] = ACTIONS(3415),
    [anon_sym_continue] = ACTIONS(3415),
    [anon_sym_debugger] = ACTIONS(3415),
    [anon_sym_return] = ACTIONS(3415),
    [anon_sym_throw] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_LTtemplate_GT] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_function] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_SLASH] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_void] = ACTIONS(3415),
    [anon_sym_delete] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3415),
    [sym_number] = ACTIONS(3415),
    [sym_private_property_identifier] = ACTIONS(3415),
    [sym_this] = ACTIONS(3415),
    [sym_super] = ACTIONS(3415),
    [sym_true] = ACTIONS(3415),
    [sym_false] = ACTIONS(3415),
    [sym_null] = ACTIONS(3415),
    [sym_undefined] = ACTIONS(3415),
    [anon_sym_AT] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_get] = ACTIONS(3415),
    [anon_sym_set] = ACTIONS(3415),
    [anon_sym_declare] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_module] = ACTIONS(3415),
    [anon_sym_any] = ACTIONS(3415),
    [anon_sym_number] = ACTIONS(3415),
    [anon_sym_boolean] = ACTIONS(3415),
    [anon_sym_string] = ACTIONS(3415),
    [anon_sym_symbol] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [sym_html_comment] = ACTIONS(5),
  },
  [1349] = {
    [sym_comment] = STATE(1349),
    [ts_builtin_sym_end] = ACTIONS(3543),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_else] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1350] = {
    [sym_comment] = STATE(1350),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [sym_identifier] = ACTIONS(3239),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_type] = ACTIONS(3239),
    [anon_sym_namespace] = ACTIONS(3239),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_typeof] = ACTIONS(3239),
    [anon_sym_import] = ACTIONS(3239),
    [anon_sym_with] = ACTIONS(3239),
    [anon_sym_var] = ACTIONS(3239),
    [anon_sym_let] = ACTIONS(3239),
    [anon_sym_const] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_else] = ACTIONS(3239),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_switch] = ACTIONS(3239),
    [anon_sym_for] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_await] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(3239),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_break] = ACTIONS(3239),
    [anon_sym_continue] = ACTIONS(3239),
    [anon_sym_debugger] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3239),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_yield] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LTtemplate_GT] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(3239),
    [anon_sym_using] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3239),
    [anon_sym_SLASH] = ACTIONS(3239),
    [anon_sym_LT] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_void] = ACTIONS(3239),
    [anon_sym_delete] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3239),
    [sym_number] = ACTIONS(3239),
    [sym_private_property_identifier] = ACTIONS(3239),
    [sym_this] = ACTIONS(3239),
    [sym_super] = ACTIONS(3239),
    [sym_true] = ACTIONS(3239),
    [sym_false] = ACTIONS(3239),
    [sym_null] = ACTIONS(3239),
    [sym_undefined] = ACTIONS(3239),
    [anon_sym_AT] = ACTIONS(3239),
    [anon_sym_static] = ACTIONS(3239),
    [anon_sym_readonly] = ACTIONS(3239),
    [anon_sym_get] = ACTIONS(3239),
    [anon_sym_set] = ACTIONS(3239),
    [anon_sym_declare] = ACTIONS(3239),
    [anon_sym_public] = ACTIONS(3239),
    [anon_sym_private] = ACTIONS(3239),
    [anon_sym_protected] = ACTIONS(3239),
    [anon_sym_override] = ACTIONS(3239),
    [anon_sym_module] = ACTIONS(3239),
    [anon_sym_any] = ACTIONS(3239),
    [anon_sym_number] = ACTIONS(3239),
    [anon_sym_boolean] = ACTIONS(3239),
    [anon_sym_string] = ACTIONS(3239),
    [anon_sym_symbol] = ACTIONS(3239),
    [anon_sym_object] = ACTIONS(3239),
    [anon_sym_abstract] = ACTIONS(3239),
    [anon_sym_interface] = ACTIONS(3239),
    [anon_sym_enum] = ACTIONS(3239),
    [sym_html_comment] = ACTIONS(5),
  },
  [1351] = {
    [sym_comment] = STATE(1351),
    [ts_builtin_sym_end] = ACTIONS(3547),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_export] = ACTIONS(3433),
    [anon_sym_type] = ACTIONS(3433),
    [anon_sym_namespace] = ACTIONS(3433),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_RBRACE] = ACTIONS(3433),
    [anon_sym_typeof] = ACTIONS(3433),
    [anon_sym_import] = ACTIONS(3433),
    [anon_sym_with] = ACTIONS(3433),
    [anon_sym_var] = ACTIONS(3433),
    [anon_sym_let] = ACTIONS(3433),
    [anon_sym_const] = ACTIONS(3433),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_else] = ACTIONS(3433),
    [anon_sym_if] = ACTIONS(3433),
    [anon_sym_switch] = ACTIONS(3433),
    [anon_sym_for] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3433),
    [anon_sym_await] = ACTIONS(3433),
    [anon_sym_while] = ACTIONS(3433),
    [anon_sym_do] = ACTIONS(3433),
    [anon_sym_try] = ACTIONS(3433),
    [anon_sym_break] = ACTIONS(3433),
    [anon_sym_continue] = ACTIONS(3433),
    [anon_sym_debugger] = ACTIONS(3433),
    [anon_sym_return] = ACTIONS(3433),
    [anon_sym_throw] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(3433),
    [anon_sym_yield] = ACTIONS(3433),
    [anon_sym_LBRACK] = ACTIONS(3433),
    [anon_sym_LTtemplate_GT] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [anon_sym_SQUOTE] = ACTIONS(3433),
    [anon_sym_class] = ACTIONS(3433),
    [anon_sym_async] = ACTIONS(3433),
    [anon_sym_function] = ACTIONS(3433),
    [anon_sym_new] = ACTIONS(3433),
    [anon_sym_using] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_TILDE] = ACTIONS(3433),
    [anon_sym_void] = ACTIONS(3433),
    [anon_sym_delete] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3433),
    [sym_number] = ACTIONS(3433),
    [sym_private_property_identifier] = ACTIONS(3433),
    [sym_this] = ACTIONS(3433),
    [sym_super] = ACTIONS(3433),
    [sym_true] = ACTIONS(3433),
    [sym_false] = ACTIONS(3433),
    [sym_null] = ACTIONS(3433),
    [sym_undefined] = ACTIONS(3433),
    [anon_sym_AT] = ACTIONS(3433),
    [anon_sym_static] = ACTIONS(3433),
    [anon_sym_readonly] = ACTIONS(3433),
    [anon_sym_get] = ACTIONS(3433),
    [anon_sym_set] = ACTIONS(3433),
    [anon_sym_declare] = ACTIONS(3433),
    [anon_sym_public] = ACTIONS(3433),
    [anon_sym_private] = ACTIONS(3433),
    [anon_sym_protected] = ACTIONS(3433),
    [anon_sym_override] = ACTIONS(3433),
    [anon_sym_module] = ACTIONS(3433),
    [anon_sym_any] = ACTIONS(3433),
    [anon_sym_number] = ACTIONS(3433),
    [anon_sym_boolean] = ACTIONS(3433),
    [anon_sym_string] = ACTIONS(3433),
    [anon_sym_symbol] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3433),
    [anon_sym_abstract] = ACTIONS(3433),
    [anon_sym_interface] = ACTIONS(3433),
    [anon_sym_enum] = ACTIONS(3433),
    [sym_html_comment] = ACTIONS(5),
  },
  [1352] = {
    [sym_comment] = STATE(1352),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1353] = {
    [sym_comment] = STATE(1353),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2478),
    [sym_html_comment] = ACTIONS(5),
  },
  [1354] = {
    [sym_comment] = STATE(1354),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1355] = {
    [sym_comment] = STATE(1355),
    [sym_identifier] = ACTIONS(3395),
    [anon_sym_export] = ACTIONS(3395),
    [anon_sym_default] = ACTIONS(3395),
    [anon_sym_type] = ACTIONS(3395),
    [anon_sym_namespace] = ACTIONS(3395),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_typeof] = ACTIONS(3395),
    [anon_sym_import] = ACTIONS(3395),
    [anon_sym_with] = ACTIONS(3395),
    [anon_sym_var] = ACTIONS(3395),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_const] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(3395),
    [anon_sym_switch] = ACTIONS(3395),
    [anon_sym_for] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_await] = ACTIONS(3395),
    [anon_sym_while] = ACTIONS(3395),
    [anon_sym_do] = ACTIONS(3395),
    [anon_sym_try] = ACTIONS(3395),
    [anon_sym_break] = ACTIONS(3395),
    [anon_sym_continue] = ACTIONS(3395),
    [anon_sym_debugger] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3395),
    [anon_sym_throw] = ACTIONS(3395),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_case] = ACTIONS(3395),
    [anon_sym_yield] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LTtemplate_GT] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_class] = ACTIONS(3395),
    [anon_sym_async] = ACTIONS(3395),
    [anon_sym_function] = ACTIONS(3395),
    [anon_sym_new] = ACTIONS(3395),
    [anon_sym_using] = ACTIONS(3395),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_SLASH] = ACTIONS(3395),
    [anon_sym_LT] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_void] = ACTIONS(3395),
    [anon_sym_delete] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3395),
    [sym_number] = ACTIONS(3395),
    [sym_private_property_identifier] = ACTIONS(3395),
    [sym_this] = ACTIONS(3395),
    [sym_super] = ACTIONS(3395),
    [sym_true] = ACTIONS(3395),
    [sym_false] = ACTIONS(3395),
    [sym_null] = ACTIONS(3395),
    [sym_undefined] = ACTIONS(3395),
    [anon_sym_AT] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3395),
    [anon_sym_readonly] = ACTIONS(3395),
    [anon_sym_get] = ACTIONS(3395),
    [anon_sym_set] = ACTIONS(3395),
    [anon_sym_declare] = ACTIONS(3395),
    [anon_sym_public] = ACTIONS(3395),
    [anon_sym_private] = ACTIONS(3395),
    [anon_sym_protected] = ACTIONS(3395),
    [anon_sym_override] = ACTIONS(3395),
    [anon_sym_module] = ACTIONS(3395),
    [anon_sym_any] = ACTIONS(3395),
    [anon_sym_number] = ACTIONS(3395),
    [anon_sym_boolean] = ACTIONS(3395),
    [anon_sym_string] = ACTIONS(3395),
    [anon_sym_symbol] = ACTIONS(3395),
    [anon_sym_object] = ACTIONS(3395),
    [anon_sym_abstract] = ACTIONS(3395),
    [anon_sym_interface] = ACTIONS(3395),
    [anon_sym_enum] = ACTIONS(3395),
    [sym_html_comment] = ACTIONS(5),
  },
  [1356] = {
    [sym_comment] = STATE(1356),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1357] = {
    [sym_comment] = STATE(1357),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_else] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1358] = {
    [sym_comment] = STATE(1358),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_else] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1359] = {
    [sym_comment] = STATE(1359),
    [sym_identifier] = ACTIONS(3399),
    [anon_sym_export] = ACTIONS(3399),
    [anon_sym_default] = ACTIONS(3399),
    [anon_sym_type] = ACTIONS(3399),
    [anon_sym_namespace] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_typeof] = ACTIONS(3399),
    [anon_sym_import] = ACTIONS(3399),
    [anon_sym_with] = ACTIONS(3399),
    [anon_sym_var] = ACTIONS(3399),
    [anon_sym_let] = ACTIONS(3399),
    [anon_sym_const] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_switch] = ACTIONS(3399),
    [anon_sym_for] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_await] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(3399),
    [anon_sym_do] = ACTIONS(3399),
    [anon_sym_try] = ACTIONS(3399),
    [anon_sym_break] = ACTIONS(3399),
    [anon_sym_continue] = ACTIONS(3399),
    [anon_sym_debugger] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3399),
    [anon_sym_throw] = ACTIONS(3399),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_case] = ACTIONS(3399),
    [anon_sym_yield] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LTtemplate_GT] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3399),
    [anon_sym_async] = ACTIONS(3399),
    [anon_sym_function] = ACTIONS(3399),
    [anon_sym_new] = ACTIONS(3399),
    [anon_sym_using] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_void] = ACTIONS(3399),
    [anon_sym_delete] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3399),
    [sym_number] = ACTIONS(3399),
    [sym_private_property_identifier] = ACTIONS(3399),
    [sym_this] = ACTIONS(3399),
    [sym_super] = ACTIONS(3399),
    [sym_true] = ACTIONS(3399),
    [sym_false] = ACTIONS(3399),
    [sym_null] = ACTIONS(3399),
    [sym_undefined] = ACTIONS(3399),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_static] = ACTIONS(3399),
    [anon_sym_readonly] = ACTIONS(3399),
    [anon_sym_get] = ACTIONS(3399),
    [anon_sym_set] = ACTIONS(3399),
    [anon_sym_declare] = ACTIONS(3399),
    [anon_sym_public] = ACTIONS(3399),
    [anon_sym_private] = ACTIONS(3399),
    [anon_sym_protected] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3399),
    [anon_sym_module] = ACTIONS(3399),
    [anon_sym_any] = ACTIONS(3399),
    [anon_sym_number] = ACTIONS(3399),
    [anon_sym_boolean] = ACTIONS(3399),
    [anon_sym_string] = ACTIONS(3399),
    [anon_sym_symbol] = ACTIONS(3399),
    [anon_sym_object] = ACTIONS(3399),
    [anon_sym_abstract] = ACTIONS(3399),
    [anon_sym_interface] = ACTIONS(3399),
    [anon_sym_enum] = ACTIONS(3399),
    [sym_html_comment] = ACTIONS(5),
  },
  [1360] = {
    [sym_comment] = STATE(1360),
    [ts_builtin_sym_end] = ACTIONS(3551),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_else] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1361] = {
    [sym_comment] = STATE(1361),
    [ts_builtin_sym_end] = ACTIONS(3553),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_else] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1362] = {
    [sym_comment] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(3555),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_else] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1363] = {
    [sym_comment] = STATE(1363),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1364] = {
    [sym_comment] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_else] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1365] = {
    [sym_comment] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(3557),
    [sym_identifier] = ACTIONS(3401),
    [anon_sym_export] = ACTIONS(3401),
    [anon_sym_type] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3401),
    [anon_sym_typeof] = ACTIONS(3401),
    [anon_sym_import] = ACTIONS(3401),
    [anon_sym_with] = ACTIONS(3401),
    [anon_sym_var] = ACTIONS(3401),
    [anon_sym_let] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(3401),
    [anon_sym_else] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_await] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_debugger] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3401),
    [anon_sym_yield] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LTtemplate_GT] = ACTIONS(3401),
    [anon_sym_DQUOTE] = ACTIONS(3401),
    [anon_sym_SQUOTE] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_SLASH] = ACTIONS(3401),
    [anon_sym_LT] = ACTIONS(3401),
    [anon_sym_TILDE] = ACTIONS(3401),
    [anon_sym_void] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_PLUS_PLUS] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3401),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3401),
    [sym_number] = ACTIONS(3401),
    [sym_private_property_identifier] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
    [sym_super] = ACTIONS(3401),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [sym_null] = ACTIONS(3401),
    [sym_undefined] = ACTIONS(3401),
    [anon_sym_AT] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_declare] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_override] = ACTIONS(3401),
    [anon_sym_module] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_abstract] = ACTIONS(3401),
    [anon_sym_interface] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [sym_html_comment] = ACTIONS(5),
  },
  [1366] = {
    [sym_comment] = STATE(1366),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1367] = {
    [sym_comment] = STATE(1367),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_else] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1368] = {
    [sym_comment] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(3561),
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_export] = ACTIONS(3413),
    [anon_sym_type] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(3413),
    [anon_sym_typeof] = ACTIONS(3413),
    [anon_sym_import] = ACTIONS(3413),
    [anon_sym_with] = ACTIONS(3413),
    [anon_sym_var] = ACTIONS(3413),
    [anon_sym_let] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_else] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_await] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_debugger] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3413),
    [anon_sym_yield] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LTtemplate_GT] = ACTIONS(3413),
    [anon_sym_DQUOTE] = ACTIONS(3413),
    [anon_sym_SQUOTE] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_async] = ACTIONS(3413),
    [anon_sym_function] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_SLASH] = ACTIONS(3413),
    [anon_sym_LT] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_void] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3413),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3413),
    [sym_number] = ACTIONS(3413),
    [sym_private_property_identifier] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
    [sym_super] = ACTIONS(3413),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [sym_null] = ACTIONS(3413),
    [sym_undefined] = ACTIONS(3413),
    [anon_sym_AT] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
    [anon_sym_declare] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_override] = ACTIONS(3413),
    [anon_sym_module] = ACTIONS(3413),
    [anon_sym_any] = ACTIONS(3413),
    [anon_sym_number] = ACTIONS(3413),
    [anon_sym_boolean] = ACTIONS(3413),
    [anon_sym_string] = ACTIONS(3413),
    [anon_sym_symbol] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3413),
    [anon_sym_abstract] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [sym_html_comment] = ACTIONS(5),
  },
  [1369] = {
    [sym_comment] = STATE(1369),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1370] = {
    [sym_comment] = STATE(1370),
    [ts_builtin_sym_end] = ACTIONS(2416),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2446),
    [sym_html_comment] = ACTIONS(5),
  },
  [1371] = {
    [sym_comment] = STATE(1371),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_export] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_typeof] = ACTIONS(2252),
    [anon_sym_import] = ACTIONS(2252),
    [anon_sym_with] = ACTIONS(2252),
    [anon_sym_var] = ACTIONS(2252),
    [anon_sym_let] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_await] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_debugger] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym_yield] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_LTtemplate_GT] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_async] = ACTIONS(2252),
    [anon_sym_function] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_SLASH] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
    [sym_number] = ACTIONS(2252),
    [sym_private_property_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [sym_super] = ACTIONS(2252),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [sym_null] = ACTIONS(2252),
    [sym_undefined] = ACTIONS(2252),
    [anon_sym_AT] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_readonly] = ACTIONS(2252),
    [anon_sym_get] = ACTIONS(2252),
    [anon_sym_set] = ACTIONS(2252),
    [anon_sym_declare] = ACTIONS(2252),
    [anon_sym_public] = ACTIONS(2252),
    [anon_sym_private] = ACTIONS(2252),
    [anon_sym_protected] = ACTIONS(2252),
    [anon_sym_override] = ACTIONS(2252),
    [anon_sym_module] = ACTIONS(2252),
    [anon_sym_any] = ACTIONS(2252),
    [anon_sym_number] = ACTIONS(2252),
    [anon_sym_boolean] = ACTIONS(2252),
    [anon_sym_string] = ACTIONS(2252),
    [anon_sym_symbol] = ACTIONS(2252),
    [anon_sym_object] = ACTIONS(2252),
    [anon_sym_abstract] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1372] = {
    [sym_comment] = STATE(1372),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1373] = {
    [sym_comment] = STATE(1373),
    [sym_identifier] = ACTIONS(3455),
    [anon_sym_export] = ACTIONS(3455),
    [anon_sym_default] = ACTIONS(3455),
    [anon_sym_type] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(3455),
    [anon_sym_typeof] = ACTIONS(3455),
    [anon_sym_import] = ACTIONS(3455),
    [anon_sym_with] = ACTIONS(3455),
    [anon_sym_var] = ACTIONS(3455),
    [anon_sym_let] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_BANG] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_LPAREN] = ACTIONS(3455),
    [anon_sym_await] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_debugger] = ACTIONS(3455),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_SEMI] = ACTIONS(3455),
    [anon_sym_case] = ACTIONS(3455),
    [anon_sym_yield] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_LTtemplate_GT] = ACTIONS(3455),
    [anon_sym_DQUOTE] = ACTIONS(3455),
    [anon_sym_SQUOTE] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_async] = ACTIONS(3455),
    [anon_sym_function] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_SLASH] = ACTIONS(3455),
    [anon_sym_LT] = ACTIONS(3455),
    [anon_sym_TILDE] = ACTIONS(3455),
    [anon_sym_void] = ACTIONS(3455),
    [anon_sym_delete] = ACTIONS(3455),
    [anon_sym_PLUS_PLUS] = ACTIONS(3455),
    [anon_sym_DASH_DASH] = ACTIONS(3455),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3455),
    [sym_number] = ACTIONS(3455),
    [sym_private_property_identifier] = ACTIONS(3455),
    [sym_this] = ACTIONS(3455),
    [sym_super] = ACTIONS(3455),
    [sym_true] = ACTIONS(3455),
    [sym_false] = ACTIONS(3455),
    [sym_null] = ACTIONS(3455),
    [sym_undefined] = ACTIONS(3455),
    [anon_sym_AT] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_readonly] = ACTIONS(3455),
    [anon_sym_get] = ACTIONS(3455),
    [anon_sym_set] = ACTIONS(3455),
    [anon_sym_declare] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_override] = ACTIONS(3455),
    [anon_sym_module] = ACTIONS(3455),
    [anon_sym_any] = ACTIONS(3455),
    [anon_sym_number] = ACTIONS(3455),
    [anon_sym_boolean] = ACTIONS(3455),
    [anon_sym_string] = ACTIONS(3455),
    [anon_sym_symbol] = ACTIONS(3455),
    [anon_sym_object] = ACTIONS(3455),
    [anon_sym_abstract] = ACTIONS(3455),
    [anon_sym_interface] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [sym_html_comment] = ACTIONS(5),
  },
  [1374] = {
    [sym_comment] = STATE(1374),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1375] = {
    [sym_comment] = STATE(1375),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_default] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_case] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1376] = {
    [sym_comment] = STATE(1376),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_default] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_case] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1377] = {
    [sym_comment] = STATE(1377),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(3563),
    [sym_html_comment] = ACTIONS(5),
  },
  [1378] = {
    [sym_comment] = STATE(1378),
    [ts_builtin_sym_end] = ACTIONS(3565),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_else] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1379] = {
    [sym_comment] = STATE(1379),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1380] = {
    [sym_comment] = STATE(1380),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1381] = {
    [sym_comment] = STATE(1381),
    [sym_identifier] = ACTIONS(3449),
    [anon_sym_export] = ACTIONS(3449),
    [anon_sym_default] = ACTIONS(3449),
    [anon_sym_type] = ACTIONS(3449),
    [anon_sym_namespace] = ACTIONS(3449),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_RBRACE] = ACTIONS(3449),
    [anon_sym_typeof] = ACTIONS(3449),
    [anon_sym_import] = ACTIONS(3449),
    [anon_sym_with] = ACTIONS(3449),
    [anon_sym_var] = ACTIONS(3449),
    [anon_sym_let] = ACTIONS(3449),
    [anon_sym_const] = ACTIONS(3449),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_if] = ACTIONS(3449),
    [anon_sym_switch] = ACTIONS(3449),
    [anon_sym_for] = ACTIONS(3449),
    [anon_sym_LPAREN] = ACTIONS(3449),
    [anon_sym_await] = ACTIONS(3449),
    [anon_sym_while] = ACTIONS(3449),
    [anon_sym_do] = ACTIONS(3449),
    [anon_sym_try] = ACTIONS(3449),
    [anon_sym_break] = ACTIONS(3449),
    [anon_sym_continue] = ACTIONS(3449),
    [anon_sym_debugger] = ACTIONS(3449),
    [anon_sym_return] = ACTIONS(3449),
    [anon_sym_throw] = ACTIONS(3449),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym_case] = ACTIONS(3449),
    [anon_sym_yield] = ACTIONS(3449),
    [anon_sym_LBRACK] = ACTIONS(3449),
    [anon_sym_LTtemplate_GT] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_class] = ACTIONS(3449),
    [anon_sym_async] = ACTIONS(3449),
    [anon_sym_function] = ACTIONS(3449),
    [anon_sym_new] = ACTIONS(3449),
    [anon_sym_using] = ACTIONS(3449),
    [anon_sym_PLUS] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3449),
    [anon_sym_SLASH] = ACTIONS(3449),
    [anon_sym_LT] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_void] = ACTIONS(3449),
    [anon_sym_delete] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3449),
    [sym_number] = ACTIONS(3449),
    [sym_private_property_identifier] = ACTIONS(3449),
    [sym_this] = ACTIONS(3449),
    [sym_super] = ACTIONS(3449),
    [sym_true] = ACTIONS(3449),
    [sym_false] = ACTIONS(3449),
    [sym_null] = ACTIONS(3449),
    [sym_undefined] = ACTIONS(3449),
    [anon_sym_AT] = ACTIONS(3449),
    [anon_sym_static] = ACTIONS(3449),
    [anon_sym_readonly] = ACTIONS(3449),
    [anon_sym_get] = ACTIONS(3449),
    [anon_sym_set] = ACTIONS(3449),
    [anon_sym_declare] = ACTIONS(3449),
    [anon_sym_public] = ACTIONS(3449),
    [anon_sym_private] = ACTIONS(3449),
    [anon_sym_protected] = ACTIONS(3449),
    [anon_sym_override] = ACTIONS(3449),
    [anon_sym_module] = ACTIONS(3449),
    [anon_sym_any] = ACTIONS(3449),
    [anon_sym_number] = ACTIONS(3449),
    [anon_sym_boolean] = ACTIONS(3449),
    [anon_sym_string] = ACTIONS(3449),
    [anon_sym_symbol] = ACTIONS(3449),
    [anon_sym_object] = ACTIONS(3449),
    [anon_sym_abstract] = ACTIONS(3449),
    [anon_sym_interface] = ACTIONS(3449),
    [anon_sym_enum] = ACTIONS(3449),
    [sym_html_comment] = ACTIONS(5),
  },
  [1382] = {
    [sym_comment] = STATE(1382),
    [ts_builtin_sym_end] = ACTIONS(3565),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_else] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1383] = {
    [sym_comment] = STATE(1383),
    [ts_builtin_sym_end] = ACTIONS(3567),
    [sym_identifier] = ACTIONS(3457),
    [anon_sym_export] = ACTIONS(3457),
    [anon_sym_type] = ACTIONS(3457),
    [anon_sym_namespace] = ACTIONS(3457),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_RBRACE] = ACTIONS(3457),
    [anon_sym_typeof] = ACTIONS(3457),
    [anon_sym_import] = ACTIONS(3457),
    [anon_sym_with] = ACTIONS(3457),
    [anon_sym_var] = ACTIONS(3457),
    [anon_sym_let] = ACTIONS(3457),
    [anon_sym_const] = ACTIONS(3457),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_else] = ACTIONS(3457),
    [anon_sym_if] = ACTIONS(3457),
    [anon_sym_switch] = ACTIONS(3457),
    [anon_sym_for] = ACTIONS(3457),
    [anon_sym_LPAREN] = ACTIONS(3457),
    [anon_sym_await] = ACTIONS(3457),
    [anon_sym_while] = ACTIONS(3457),
    [anon_sym_do] = ACTIONS(3457),
    [anon_sym_try] = ACTIONS(3457),
    [anon_sym_break] = ACTIONS(3457),
    [anon_sym_continue] = ACTIONS(3457),
    [anon_sym_debugger] = ACTIONS(3457),
    [anon_sym_return] = ACTIONS(3457),
    [anon_sym_throw] = ACTIONS(3457),
    [anon_sym_SEMI] = ACTIONS(3457),
    [anon_sym_yield] = ACTIONS(3457),
    [anon_sym_LBRACK] = ACTIONS(3457),
    [anon_sym_LTtemplate_GT] = ACTIONS(3457),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [anon_sym_class] = ACTIONS(3457),
    [anon_sym_async] = ACTIONS(3457),
    [anon_sym_function] = ACTIONS(3457),
    [anon_sym_new] = ACTIONS(3457),
    [anon_sym_using] = ACTIONS(3457),
    [anon_sym_PLUS] = ACTIONS(3457),
    [anon_sym_DASH] = ACTIONS(3457),
    [anon_sym_SLASH] = ACTIONS(3457),
    [anon_sym_LT] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_void] = ACTIONS(3457),
    [anon_sym_delete] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3457),
    [sym_number] = ACTIONS(3457),
    [sym_private_property_identifier] = ACTIONS(3457),
    [sym_this] = ACTIONS(3457),
    [sym_super] = ACTIONS(3457),
    [sym_true] = ACTIONS(3457),
    [sym_false] = ACTIONS(3457),
    [sym_null] = ACTIONS(3457),
    [sym_undefined] = ACTIONS(3457),
    [anon_sym_AT] = ACTIONS(3457),
    [anon_sym_static] = ACTIONS(3457),
    [anon_sym_readonly] = ACTIONS(3457),
    [anon_sym_get] = ACTIONS(3457),
    [anon_sym_set] = ACTIONS(3457),
    [anon_sym_declare] = ACTIONS(3457),
    [anon_sym_public] = ACTIONS(3457),
    [anon_sym_private] = ACTIONS(3457),
    [anon_sym_protected] = ACTIONS(3457),
    [anon_sym_override] = ACTIONS(3457),
    [anon_sym_module] = ACTIONS(3457),
    [anon_sym_any] = ACTIONS(3457),
    [anon_sym_number] = ACTIONS(3457),
    [anon_sym_boolean] = ACTIONS(3457),
    [anon_sym_string] = ACTIONS(3457),
    [anon_sym_symbol] = ACTIONS(3457),
    [anon_sym_object] = ACTIONS(3457),
    [anon_sym_abstract] = ACTIONS(3457),
    [anon_sym_interface] = ACTIONS(3457),
    [anon_sym_enum] = ACTIONS(3457),
    [sym_html_comment] = ACTIONS(5),
  },
  [1384] = {
    [sym_comment] = STATE(1384),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_export] = ACTIONS(2238),
    [anon_sym_type] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2238),
    [anon_sym_typeof] = ACTIONS(2238),
    [anon_sym_import] = ACTIONS(2238),
    [anon_sym_with] = ACTIONS(2238),
    [anon_sym_var] = ACTIONS(2238),
    [anon_sym_let] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_LPAREN] = ACTIONS(2238),
    [anon_sym_await] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_debugger] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2238),
    [anon_sym_yield] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_LTtemplate_GT] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [anon_sym_SQUOTE] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_async] = ACTIONS(2238),
    [anon_sym_function] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_TILDE] = ACTIONS(2238),
    [anon_sym_void] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2238),
    [sym_number] = ACTIONS(2238),
    [sym_private_property_identifier] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [sym_super] = ACTIONS(2238),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [sym_null] = ACTIONS(2238),
    [sym_undefined] = ACTIONS(2238),
    [anon_sym_AT] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_readonly] = ACTIONS(2238),
    [anon_sym_get] = ACTIONS(2238),
    [anon_sym_set] = ACTIONS(2238),
    [anon_sym_declare] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_override] = ACTIONS(2238),
    [anon_sym_module] = ACTIONS(2238),
    [anon_sym_any] = ACTIONS(2238),
    [anon_sym_number] = ACTIONS(2238),
    [anon_sym_boolean] = ACTIONS(2238),
    [anon_sym_string] = ACTIONS(2238),
    [anon_sym_symbol] = ACTIONS(2238),
    [anon_sym_object] = ACTIONS(2238),
    [anon_sym_abstract] = ACTIONS(2238),
    [anon_sym_interface] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [sym__automatic_semicolon] = ACTIONS(2434),
    [sym_html_comment] = ACTIONS(5),
  },
  [1385] = {
    [sym_comment] = STATE(1385),
    [sym_identifier] = ACTIONS(3239),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_default] = ACTIONS(3239),
    [anon_sym_type] = ACTIONS(3239),
    [anon_sym_namespace] = ACTIONS(3239),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_typeof] = ACTIONS(3239),
    [anon_sym_import] = ACTIONS(3239),
    [anon_sym_with] = ACTIONS(3239),
    [anon_sym_var] = ACTIONS(3239),
    [anon_sym_let] = ACTIONS(3239),
    [anon_sym_const] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_switch] = ACTIONS(3239),
    [anon_sym_for] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_await] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(3239),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_break] = ACTIONS(3239),
    [anon_sym_continue] = ACTIONS(3239),
    [anon_sym_debugger] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3239),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_case] = ACTIONS(3239),
    [anon_sym_yield] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LTtemplate_GT] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(3239),
    [anon_sym_using] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3239),
    [anon_sym_SLASH] = ACTIONS(3239),
    [anon_sym_LT] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_void] = ACTIONS(3239),
    [anon_sym_delete] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3239),
    [sym_number] = ACTIONS(3239),
    [sym_private_property_identifier] = ACTIONS(3239),
    [sym_this] = ACTIONS(3239),
    [sym_super] = ACTIONS(3239),
    [sym_true] = ACTIONS(3239),
    [sym_false] = ACTIONS(3239),
    [sym_null] = ACTIONS(3239),
    [sym_undefined] = ACTIONS(3239),
    [anon_sym_AT] = ACTIONS(3239),
    [anon_sym_static] = ACTIONS(3239),
    [anon_sym_readonly] = ACTIONS(3239),
    [anon_sym_get] = ACTIONS(3239),
    [anon_sym_set] = ACTIONS(3239),
    [anon_sym_declare] = ACTIONS(3239),
    [anon_sym_public] = ACTIONS(3239),
    [anon_sym_private] = ACTIONS(3239),
    [anon_sym_protected] = ACTIONS(3239),
    [anon_sym_override] = ACTIONS(3239),
    [anon_sym_module] = ACTIONS(3239),
    [anon_sym_any] = ACTIONS(3239),
    [anon_sym_number] = ACTIONS(3239),
    [anon_sym_boolean] = ACTIONS(3239),
    [anon_sym_string] = ACTIONS(3239),
    [anon_sym_symbol] = ACTIONS(3239),
    [anon_sym_object] = ACTIONS(3239),
    [anon_sym_abstract] = ACTIONS(3239),
    [anon_sym_interface] = ACTIONS(3239),
    [anon_sym_enum] = ACTIONS(3239),
    [sym_html_comment] = ACTIONS(5),
  },
  [1386] = {
    [sym_comment] = STATE(1386),
    [ts_builtin_sym_end] = ACTIONS(3439),
    [sym_identifier] = ACTIONS(3185),
    [anon_sym_export] = ACTIONS(3185),
    [anon_sym_type] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_typeof] = ACTIONS(3185),
    [anon_sym_import] = ACTIONS(3185),
    [anon_sym_with] = ACTIONS(3185),
    [anon_sym_var] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3185),
    [anon_sym_await] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_debugger] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym_finally] = ACTIONS(3185),
    [anon_sym_yield] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_LTtemplate_GT] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_async] = ACTIONS(3185),
    [anon_sym_function] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_SLASH] = ACTIONS(3185),
    [anon_sym_LT] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_void] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3185),
    [sym_number] = ACTIONS(3185),
    [sym_private_property_identifier] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
    [sym_super] = ACTIONS(3185),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [sym_null] = ACTIONS(3185),
    [sym_undefined] = ACTIONS(3185),
    [anon_sym_AT] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_readonly] = ACTIONS(3185),
    [anon_sym_get] = ACTIONS(3185),
    [anon_sym_set] = ACTIONS(3185),
    [anon_sym_declare] = ACTIONS(3185),
    [anon_sym_public] = ACTIONS(3185),
    [anon_sym_private] = ACTIONS(3185),
    [anon_sym_protected] = ACTIONS(3185),
    [anon_sym_override] = ACTIONS(3185),
    [anon_sym_module] = ACTIONS(3185),
    [anon_sym_any] = ACTIONS(3185),
    [anon_sym_number] = ACTIONS(3185),
    [anon_sym_boolean] = ACTIONS(3185),
    [anon_sym_string] = ACTIONS(3185),
    [anon_sym_symbol] = ACTIONS(3185),
    [anon_sym_object] = ACTIONS(3185),
    [anon_sym_abstract] = ACTIONS(3185),
    [anon_sym_interface] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [sym_html_comment] = ACTIONS(5),
  },
  [1387] = {
    [sym_comment] = STATE(1387),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_default] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_case] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1388] = {
    [sym_comment] = STATE(1388),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1389] = {
    [sym_comment] = STATE(1389),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1390] = {
    [sym_comment] = STATE(1390),
    [ts_builtin_sym_end] = ACTIONS(3569),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_else] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1391] = {
    [sym_comment] = STATE(1391),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3571),
    [sym_html_comment] = ACTIONS(5),
  },
  [1392] = {
    [sym_comment] = STATE(1392),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_else] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1393] = {
    [sym_comment] = STATE(1393),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1394] = {
    [sym_comment] = STATE(1394),
    [sym_identifier] = ACTIONS(3441),
    [anon_sym_export] = ACTIONS(3441),
    [anon_sym_default] = ACTIONS(3441),
    [anon_sym_type] = ACTIONS(3441),
    [anon_sym_namespace] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_typeof] = ACTIONS(3441),
    [anon_sym_import] = ACTIONS(3441),
    [anon_sym_with] = ACTIONS(3441),
    [anon_sym_var] = ACTIONS(3441),
    [anon_sym_let] = ACTIONS(3441),
    [anon_sym_const] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_if] = ACTIONS(3441),
    [anon_sym_switch] = ACTIONS(3441),
    [anon_sym_for] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_await] = ACTIONS(3441),
    [anon_sym_while] = ACTIONS(3441),
    [anon_sym_do] = ACTIONS(3441),
    [anon_sym_try] = ACTIONS(3441),
    [anon_sym_break] = ACTIONS(3441),
    [anon_sym_continue] = ACTIONS(3441),
    [anon_sym_debugger] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3441),
    [anon_sym_throw] = ACTIONS(3441),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym_case] = ACTIONS(3441),
    [anon_sym_yield] = ACTIONS(3441),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LTtemplate_GT] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_class] = ACTIONS(3441),
    [anon_sym_async] = ACTIONS(3441),
    [anon_sym_function] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3441),
    [anon_sym_using] = ACTIONS(3441),
    [anon_sym_PLUS] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3441),
    [anon_sym_SLASH] = ACTIONS(3441),
    [anon_sym_LT] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_void] = ACTIONS(3441),
    [anon_sym_delete] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3441),
    [sym_number] = ACTIONS(3441),
    [sym_private_property_identifier] = ACTIONS(3441),
    [sym_this] = ACTIONS(3441),
    [sym_super] = ACTIONS(3441),
    [sym_true] = ACTIONS(3441),
    [sym_false] = ACTIONS(3441),
    [sym_null] = ACTIONS(3441),
    [sym_undefined] = ACTIONS(3441),
    [anon_sym_AT] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3441),
    [anon_sym_readonly] = ACTIONS(3441),
    [anon_sym_get] = ACTIONS(3441),
    [anon_sym_set] = ACTIONS(3441),
    [anon_sym_declare] = ACTIONS(3441),
    [anon_sym_public] = ACTIONS(3441),
    [anon_sym_private] = ACTIONS(3441),
    [anon_sym_protected] = ACTIONS(3441),
    [anon_sym_override] = ACTIONS(3441),
    [anon_sym_module] = ACTIONS(3441),
    [anon_sym_any] = ACTIONS(3441),
    [anon_sym_number] = ACTIONS(3441),
    [anon_sym_boolean] = ACTIONS(3441),
    [anon_sym_string] = ACTIONS(3441),
    [anon_sym_symbol] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3441),
    [anon_sym_abstract] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3441),
    [anon_sym_enum] = ACTIONS(3441),
    [sym_html_comment] = ACTIONS(5),
  },
  [1395] = {
    [sym_comment] = STATE(1395),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1396] = {
    [sym_comment] = STATE(1396),
    [ts_builtin_sym_end] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_typeof] = ACTIONS(2208),
    [anon_sym_import] = ACTIONS(2208),
    [anon_sym_with] = ACTIONS(2208),
    [anon_sym_var] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_await] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_debugger] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LTtemplate_GT] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_void] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym_number] = ACTIONS(2208),
    [sym_private_property_identifier] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_abstract] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2476),
    [sym_html_comment] = ACTIONS(5),
  },
  [1397] = {
    [sym_comment] = STATE(1397),
    [ts_builtin_sym_end] = ACTIONS(3577),
    [sym_identifier] = ACTIONS(3459),
    [anon_sym_export] = ACTIONS(3459),
    [anon_sym_type] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3459),
    [anon_sym_RBRACE] = ACTIONS(3459),
    [anon_sym_typeof] = ACTIONS(3459),
    [anon_sym_import] = ACTIONS(3459),
    [anon_sym_with] = ACTIONS(3459),
    [anon_sym_var] = ACTIONS(3459),
    [anon_sym_let] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_BANG] = ACTIONS(3459),
    [anon_sym_else] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_LPAREN] = ACTIONS(3459),
    [anon_sym_await] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_debugger] = ACTIONS(3459),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_SEMI] = ACTIONS(3459),
    [anon_sym_yield] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3459),
    [anon_sym_LTtemplate_GT] = ACTIONS(3459),
    [anon_sym_DQUOTE] = ACTIONS(3459),
    [anon_sym_SQUOTE] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_async] = ACTIONS(3459),
    [anon_sym_function] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_LT] = ACTIONS(3459),
    [anon_sym_TILDE] = ACTIONS(3459),
    [anon_sym_void] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3459),
    [anon_sym_PLUS_PLUS] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(3459),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3459),
    [sym_number] = ACTIONS(3459),
    [sym_private_property_identifier] = ACTIONS(3459),
    [sym_this] = ACTIONS(3459),
    [sym_super] = ACTIONS(3459),
    [sym_true] = ACTIONS(3459),
    [sym_false] = ACTIONS(3459),
    [sym_null] = ACTIONS(3459),
    [sym_undefined] = ACTIONS(3459),
    [anon_sym_AT] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_readonly] = ACTIONS(3459),
    [anon_sym_get] = ACTIONS(3459),
    [anon_sym_set] = ACTIONS(3459),
    [anon_sym_declare] = ACTIONS(3459),
    [anon_sym_public] = ACTIONS(3459),
    [anon_sym_private] = ACTIONS(3459),
    [anon_sym_protected] = ACTIONS(3459),
    [anon_sym_override] = ACTIONS(3459),
    [anon_sym_module] = ACTIONS(3459),
    [anon_sym_any] = ACTIONS(3459),
    [anon_sym_number] = ACTIONS(3459),
    [anon_sym_boolean] = ACTIONS(3459),
    [anon_sym_string] = ACTIONS(3459),
    [anon_sym_symbol] = ACTIONS(3459),
    [anon_sym_object] = ACTIONS(3459),
    [anon_sym_abstract] = ACTIONS(3459),
    [anon_sym_interface] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [sym_html_comment] = ACTIONS(5),
  },
  [1398] = {
    [sym_comment] = STATE(1398),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1399] = {
    [sym_comment] = STATE(1399),
    [ts_builtin_sym_end] = ACTIONS(3579),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1400] = {
    [sym_comment] = STATE(1400),
    [ts_builtin_sym_end] = ACTIONS(3579),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1401] = {
    [sym_comment] = STATE(1401),
    [ts_builtin_sym_end] = ACTIONS(3579),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1402] = {
    [sym_comment] = STATE(1402),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_else] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1403] = {
    [sym_comment] = STATE(1403),
    [ts_builtin_sym_end] = ACTIONS(3583),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_else] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1404] = {
    [sym_comment] = STATE(1404),
    [ts_builtin_sym_end] = ACTIONS(3585),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1405] = {
    [sym_comment] = STATE(1405),
    [ts_builtin_sym_end] = ACTIONS(3587),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_else] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1406] = {
    [sym_comment] = STATE(1406),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1407] = {
    [sym_comment] = STATE(1407),
    [ts_builtin_sym_end] = ACTIONS(3443),
    [sym_identifier] = ACTIONS(3193),
    [anon_sym_export] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_typeof] = ACTIONS(3193),
    [anon_sym_import] = ACTIONS(3193),
    [anon_sym_with] = ACTIONS(3193),
    [anon_sym_var] = ACTIONS(3193),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_debugger] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_finally] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_LTtemplate_GT] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_function] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_SLASH] = ACTIONS(3193),
    [anon_sym_LT] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_void] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3193),
    [sym_number] = ACTIONS(3193),
    [sym_private_property_identifier] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
    [sym_super] = ACTIONS(3193),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [sym_null] = ACTIONS(3193),
    [sym_undefined] = ACTIONS(3193),
    [anon_sym_AT] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_readonly] = ACTIONS(3193),
    [anon_sym_get] = ACTIONS(3193),
    [anon_sym_set] = ACTIONS(3193),
    [anon_sym_declare] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_override] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_any] = ACTIONS(3193),
    [anon_sym_number] = ACTIONS(3193),
    [anon_sym_boolean] = ACTIONS(3193),
    [anon_sym_string] = ACTIONS(3193),
    [anon_sym_symbol] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3193),
    [anon_sym_abstract] = ACTIONS(3193),
    [anon_sym_interface] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [sym_html_comment] = ACTIONS(5),
  },
  [1408] = {
    [sym_comment] = STATE(1408),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1409] = {
    [sym_comment] = STATE(1409),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1410] = {
    [sym_comment] = STATE(1410),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1411] = {
    [sym_comment] = STATE(1411),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1412] = {
    [sym_comment] = STATE(1412),
    [sym_identifier] = ACTIONS(3447),
    [anon_sym_export] = ACTIONS(3447),
    [anon_sym_default] = ACTIONS(3447),
    [anon_sym_type] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3447),
    [anon_sym_RBRACE] = ACTIONS(3447),
    [anon_sym_typeof] = ACTIONS(3447),
    [anon_sym_import] = ACTIONS(3447),
    [anon_sym_with] = ACTIONS(3447),
    [anon_sym_var] = ACTIONS(3447),
    [anon_sym_let] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_BANG] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_LPAREN] = ACTIONS(3447),
    [anon_sym_await] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_debugger] = ACTIONS(3447),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3447),
    [anon_sym_case] = ACTIONS(3447),
    [anon_sym_yield] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_LTtemplate_GT] = ACTIONS(3447),
    [anon_sym_DQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_async] = ACTIONS(3447),
    [anon_sym_function] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_SLASH] = ACTIONS(3447),
    [anon_sym_LT] = ACTIONS(3447),
    [anon_sym_TILDE] = ACTIONS(3447),
    [anon_sym_void] = ACTIONS(3447),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_PLUS_PLUS] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(3447),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3447),
    [sym_number] = ACTIONS(3447),
    [sym_private_property_identifier] = ACTIONS(3447),
    [sym_this] = ACTIONS(3447),
    [sym_super] = ACTIONS(3447),
    [sym_true] = ACTIONS(3447),
    [sym_false] = ACTIONS(3447),
    [sym_null] = ACTIONS(3447),
    [sym_undefined] = ACTIONS(3447),
    [anon_sym_AT] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_readonly] = ACTIONS(3447),
    [anon_sym_get] = ACTIONS(3447),
    [anon_sym_set] = ACTIONS(3447),
    [anon_sym_declare] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_override] = ACTIONS(3447),
    [anon_sym_module] = ACTIONS(3447),
    [anon_sym_any] = ACTIONS(3447),
    [anon_sym_number] = ACTIONS(3447),
    [anon_sym_boolean] = ACTIONS(3447),
    [anon_sym_string] = ACTIONS(3447),
    [anon_sym_symbol] = ACTIONS(3447),
    [anon_sym_object] = ACTIONS(3447),
    [anon_sym_abstract] = ACTIONS(3447),
    [anon_sym_interface] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [sym_html_comment] = ACTIONS(5),
  },
  [1413] = {
    [sym_comment] = STATE(1413),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1414] = {
    [sym_comment] = STATE(1414),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1415] = {
    [sym_comment] = STATE(1415),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1416] = {
    [sym_comment] = STATE(1416),
    [sym_identifier] = ACTIONS(3445),
    [anon_sym_export] = ACTIONS(3445),
    [anon_sym_default] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_namespace] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_RBRACE] = ACTIONS(3445),
    [anon_sym_typeof] = ACTIONS(3445),
    [anon_sym_import] = ACTIONS(3445),
    [anon_sym_with] = ACTIONS(3445),
    [anon_sym_var] = ACTIONS(3445),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_const] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_if] = ACTIONS(3445),
    [anon_sym_switch] = ACTIONS(3445),
    [anon_sym_for] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_await] = ACTIONS(3445),
    [anon_sym_while] = ACTIONS(3445),
    [anon_sym_do] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3445),
    [anon_sym_break] = ACTIONS(3445),
    [anon_sym_continue] = ACTIONS(3445),
    [anon_sym_debugger] = ACTIONS(3445),
    [anon_sym_return] = ACTIONS(3445),
    [anon_sym_throw] = ACTIONS(3445),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_case] = ACTIONS(3445),
    [anon_sym_yield] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LTtemplate_GT] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_async] = ACTIONS(3445),
    [anon_sym_function] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(3445),
    [anon_sym_using] = ACTIONS(3445),
    [anon_sym_PLUS] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3445),
    [anon_sym_SLASH] = ACTIONS(3445),
    [anon_sym_LT] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_void] = ACTIONS(3445),
    [anon_sym_delete] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3445),
    [sym_number] = ACTIONS(3445),
    [sym_private_property_identifier] = ACTIONS(3445),
    [sym_this] = ACTIONS(3445),
    [sym_super] = ACTIONS(3445),
    [sym_true] = ACTIONS(3445),
    [sym_false] = ACTIONS(3445),
    [sym_null] = ACTIONS(3445),
    [sym_undefined] = ACTIONS(3445),
    [anon_sym_AT] = ACTIONS(3445),
    [anon_sym_static] = ACTIONS(3445),
    [anon_sym_readonly] = ACTIONS(3445),
    [anon_sym_get] = ACTIONS(3445),
    [anon_sym_set] = ACTIONS(3445),
    [anon_sym_declare] = ACTIONS(3445),
    [anon_sym_public] = ACTIONS(3445),
    [anon_sym_private] = ACTIONS(3445),
    [anon_sym_protected] = ACTIONS(3445),
    [anon_sym_override] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_any] = ACTIONS(3445),
    [anon_sym_number] = ACTIONS(3445),
    [anon_sym_boolean] = ACTIONS(3445),
    [anon_sym_string] = ACTIONS(3445),
    [anon_sym_symbol] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3445),
    [anon_sym_abstract] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3445),
    [anon_sym_enum] = ACTIONS(3445),
    [sym_html_comment] = ACTIONS(5),
  },
  [1417] = {
    [sym_comment] = STATE(1417),
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_finally] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1418] = {
    [sym_comment] = STATE(1418),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1419] = {
    [sym_comment] = STATE(1419),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1420] = {
    [sym_comment] = STATE(1420),
    [sym_identifier] = ACTIONS(3453),
    [anon_sym_export] = ACTIONS(3453),
    [anon_sym_default] = ACTIONS(3453),
    [anon_sym_type] = ACTIONS(3453),
    [anon_sym_namespace] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_RBRACE] = ACTIONS(3453),
    [anon_sym_typeof] = ACTIONS(3453),
    [anon_sym_import] = ACTIONS(3453),
    [anon_sym_with] = ACTIONS(3453),
    [anon_sym_var] = ACTIONS(3453),
    [anon_sym_let] = ACTIONS(3453),
    [anon_sym_const] = ACTIONS(3453),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_if] = ACTIONS(3453),
    [anon_sym_switch] = ACTIONS(3453),
    [anon_sym_for] = ACTIONS(3453),
    [anon_sym_LPAREN] = ACTIONS(3453),
    [anon_sym_await] = ACTIONS(3453),
    [anon_sym_while] = ACTIONS(3453),
    [anon_sym_do] = ACTIONS(3453),
    [anon_sym_try] = ACTIONS(3453),
    [anon_sym_break] = ACTIONS(3453),
    [anon_sym_continue] = ACTIONS(3453),
    [anon_sym_debugger] = ACTIONS(3453),
    [anon_sym_return] = ACTIONS(3453),
    [anon_sym_throw] = ACTIONS(3453),
    [anon_sym_SEMI] = ACTIONS(3453),
    [anon_sym_case] = ACTIONS(3453),
    [anon_sym_yield] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(3453),
    [anon_sym_LTtemplate_GT] = ACTIONS(3453),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [anon_sym_class] = ACTIONS(3453),
    [anon_sym_async] = ACTIONS(3453),
    [anon_sym_function] = ACTIONS(3453),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_using] = ACTIONS(3453),
    [anon_sym_PLUS] = ACTIONS(3453),
    [anon_sym_DASH] = ACTIONS(3453),
    [anon_sym_SLASH] = ACTIONS(3453),
    [anon_sym_LT] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_void] = ACTIONS(3453),
    [anon_sym_delete] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3453),
    [sym_number] = ACTIONS(3453),
    [sym_private_property_identifier] = ACTIONS(3453),
    [sym_this] = ACTIONS(3453),
    [sym_super] = ACTIONS(3453),
    [sym_true] = ACTIONS(3453),
    [sym_false] = ACTIONS(3453),
    [sym_null] = ACTIONS(3453),
    [sym_undefined] = ACTIONS(3453),
    [anon_sym_AT] = ACTIONS(3453),
    [anon_sym_static] = ACTIONS(3453),
    [anon_sym_readonly] = ACTIONS(3453),
    [anon_sym_get] = ACTIONS(3453),
    [anon_sym_set] = ACTIONS(3453),
    [anon_sym_declare] = ACTIONS(3453),
    [anon_sym_public] = ACTIONS(3453),
    [anon_sym_private] = ACTIONS(3453),
    [anon_sym_protected] = ACTIONS(3453),
    [anon_sym_override] = ACTIONS(3453),
    [anon_sym_module] = ACTIONS(3453),
    [anon_sym_any] = ACTIONS(3453),
    [anon_sym_number] = ACTIONS(3453),
    [anon_sym_boolean] = ACTIONS(3453),
    [anon_sym_string] = ACTIONS(3453),
    [anon_sym_symbol] = ACTIONS(3453),
    [anon_sym_object] = ACTIONS(3453),
    [anon_sym_abstract] = ACTIONS(3453),
    [anon_sym_interface] = ACTIONS(3453),
    [anon_sym_enum] = ACTIONS(3453),
    [sym_html_comment] = ACTIONS(5),
  },
  [1421] = {
    [sym_comment] = STATE(1421),
    [sym_identifier] = ACTIONS(3445),
    [anon_sym_export] = ACTIONS(3445),
    [anon_sym_default] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_namespace] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_RBRACE] = ACTIONS(3445),
    [anon_sym_typeof] = ACTIONS(3445),
    [anon_sym_import] = ACTIONS(3445),
    [anon_sym_with] = ACTIONS(3445),
    [anon_sym_var] = ACTIONS(3445),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_const] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_if] = ACTIONS(3445),
    [anon_sym_switch] = ACTIONS(3445),
    [anon_sym_for] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_await] = ACTIONS(3445),
    [anon_sym_while] = ACTIONS(3445),
    [anon_sym_do] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3445),
    [anon_sym_break] = ACTIONS(3445),
    [anon_sym_continue] = ACTIONS(3445),
    [anon_sym_debugger] = ACTIONS(3445),
    [anon_sym_return] = ACTIONS(3445),
    [anon_sym_throw] = ACTIONS(3445),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_case] = ACTIONS(3445),
    [anon_sym_yield] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LTtemplate_GT] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_async] = ACTIONS(3445),
    [anon_sym_function] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(3445),
    [anon_sym_using] = ACTIONS(3445),
    [anon_sym_PLUS] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3445),
    [anon_sym_SLASH] = ACTIONS(3445),
    [anon_sym_LT] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_void] = ACTIONS(3445),
    [anon_sym_delete] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3445),
    [sym_number] = ACTIONS(3445),
    [sym_private_property_identifier] = ACTIONS(3445),
    [sym_this] = ACTIONS(3445),
    [sym_super] = ACTIONS(3445),
    [sym_true] = ACTIONS(3445),
    [sym_false] = ACTIONS(3445),
    [sym_null] = ACTIONS(3445),
    [sym_undefined] = ACTIONS(3445),
    [anon_sym_AT] = ACTIONS(3445),
    [anon_sym_static] = ACTIONS(3445),
    [anon_sym_readonly] = ACTIONS(3445),
    [anon_sym_get] = ACTIONS(3445),
    [anon_sym_set] = ACTIONS(3445),
    [anon_sym_declare] = ACTIONS(3445),
    [anon_sym_public] = ACTIONS(3445),
    [anon_sym_private] = ACTIONS(3445),
    [anon_sym_protected] = ACTIONS(3445),
    [anon_sym_override] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_any] = ACTIONS(3445),
    [anon_sym_number] = ACTIONS(3445),
    [anon_sym_boolean] = ACTIONS(3445),
    [anon_sym_string] = ACTIONS(3445),
    [anon_sym_symbol] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3445),
    [anon_sym_abstract] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3445),
    [anon_sym_enum] = ACTIONS(3445),
    [sym_html_comment] = ACTIONS(5),
  },
  [1422] = {
    [sym_comment] = STATE(1422),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1423] = {
    [sym_comment] = STATE(1423),
    [sym_identifier] = ACTIONS(3461),
    [anon_sym_export] = ACTIONS(3461),
    [anon_sym_default] = ACTIONS(3461),
    [anon_sym_type] = ACTIONS(3461),
    [anon_sym_namespace] = ACTIONS(3461),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_RBRACE] = ACTIONS(3461),
    [anon_sym_typeof] = ACTIONS(3461),
    [anon_sym_import] = ACTIONS(3461),
    [anon_sym_with] = ACTIONS(3461),
    [anon_sym_var] = ACTIONS(3461),
    [anon_sym_let] = ACTIONS(3461),
    [anon_sym_const] = ACTIONS(3461),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_if] = ACTIONS(3461),
    [anon_sym_switch] = ACTIONS(3461),
    [anon_sym_for] = ACTIONS(3461),
    [anon_sym_LPAREN] = ACTIONS(3461),
    [anon_sym_await] = ACTIONS(3461),
    [anon_sym_while] = ACTIONS(3461),
    [anon_sym_do] = ACTIONS(3461),
    [anon_sym_try] = ACTIONS(3461),
    [anon_sym_break] = ACTIONS(3461),
    [anon_sym_continue] = ACTIONS(3461),
    [anon_sym_debugger] = ACTIONS(3461),
    [anon_sym_return] = ACTIONS(3461),
    [anon_sym_throw] = ACTIONS(3461),
    [anon_sym_SEMI] = ACTIONS(3461),
    [anon_sym_case] = ACTIONS(3461),
    [anon_sym_yield] = ACTIONS(3461),
    [anon_sym_LBRACK] = ACTIONS(3461),
    [anon_sym_LTtemplate_GT] = ACTIONS(3461),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_class] = ACTIONS(3461),
    [anon_sym_async] = ACTIONS(3461),
    [anon_sym_function] = ACTIONS(3461),
    [anon_sym_new] = ACTIONS(3461),
    [anon_sym_using] = ACTIONS(3461),
    [anon_sym_PLUS] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3461),
    [anon_sym_SLASH] = ACTIONS(3461),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_void] = ACTIONS(3461),
    [anon_sym_delete] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3461),
    [sym_number] = ACTIONS(3461),
    [sym_private_property_identifier] = ACTIONS(3461),
    [sym_this] = ACTIONS(3461),
    [sym_super] = ACTIONS(3461),
    [sym_true] = ACTIONS(3461),
    [sym_false] = ACTIONS(3461),
    [sym_null] = ACTIONS(3461),
    [sym_undefined] = ACTIONS(3461),
    [anon_sym_AT] = ACTIONS(3461),
    [anon_sym_static] = ACTIONS(3461),
    [anon_sym_readonly] = ACTIONS(3461),
    [anon_sym_get] = ACTIONS(3461),
    [anon_sym_set] = ACTIONS(3461),
    [anon_sym_declare] = ACTIONS(3461),
    [anon_sym_public] = ACTIONS(3461),
    [anon_sym_private] = ACTIONS(3461),
    [anon_sym_protected] = ACTIONS(3461),
    [anon_sym_override] = ACTIONS(3461),
    [anon_sym_module] = ACTIONS(3461),
    [anon_sym_any] = ACTIONS(3461),
    [anon_sym_number] = ACTIONS(3461),
    [anon_sym_boolean] = ACTIONS(3461),
    [anon_sym_string] = ACTIONS(3461),
    [anon_sym_symbol] = ACTIONS(3461),
    [anon_sym_object] = ACTIONS(3461),
    [anon_sym_abstract] = ACTIONS(3461),
    [anon_sym_interface] = ACTIONS(3461),
    [anon_sym_enum] = ACTIONS(3461),
    [sym_html_comment] = ACTIONS(5),
  },
  [1424] = {
    [sym_comment] = STATE(1424),
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2472),
    [sym_html_comment] = ACTIONS(5),
  },
  [1425] = {
    [sym_comment] = STATE(1425),
    [ts_builtin_sym_end] = ACTIONS(2394),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_export] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_typeof] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_var] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_await] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_debugger] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LTtemplate_GT] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_async] = ACTIONS(2310),
    [anon_sym_function] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_void] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2310),
    [sym_number] = ACTIONS(2310),
    [sym_private_property_identifier] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_null] = ACTIONS(2310),
    [sym_undefined] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_get] = ACTIONS(2310),
    [anon_sym_set] = ACTIONS(2310),
    [anon_sym_declare] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_override] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_any] = ACTIONS(2310),
    [anon_sym_number] = ACTIONS(2310),
    [anon_sym_boolean] = ACTIONS(2310),
    [anon_sym_string] = ACTIONS(2310),
    [anon_sym_symbol] = ACTIONS(2310),
    [anon_sym_object] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [sym__automatic_semicolon] = ACTIONS(2484),
    [sym_html_comment] = ACTIONS(5),
  },
  [1426] = {
    [sym_comment] = STATE(1426),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1427] = {
    [sym_comment] = STATE(1427),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_default] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_case] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1428] = {
    [sym_comment] = STATE(1428),
    [ts_builtin_sym_end] = ACTIONS(3175),
    [sym_identifier] = ACTIONS(3173),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_type] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_LTtemplate_GT] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3173),
    [sym_number] = ACTIONS(3173),
    [sym_private_property_identifier] = ACTIONS(3173),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_readonly] = ACTIONS(3173),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
    [anon_sym_declare] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_override] = ACTIONS(3173),
    [anon_sym_module] = ACTIONS(3173),
    [anon_sym_any] = ACTIONS(3173),
    [anon_sym_number] = ACTIONS(3173),
    [anon_sym_boolean] = ACTIONS(3173),
    [anon_sym_string] = ACTIONS(3173),
    [anon_sym_symbol] = ACTIONS(3173),
    [anon_sym_object] = ACTIONS(3173),
    [anon_sym_abstract] = ACTIONS(3173),
    [anon_sym_interface] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [sym__automatic_semicolon] = ACTIONS(3175),
    [sym_html_comment] = ACTIONS(5),
  },
  [1429] = {
    [sym_comment] = STATE(1429),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1430] = {
    [sym_comment] = STATE(1430),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1431] = {
    [sym_comment] = STATE(1431),
    [ts_builtin_sym_end] = ACTIONS(3589),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1432] = {
    [sym_comment] = STATE(1432),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1433] = {
    [sym_comment] = STATE(1433),
    [ts_builtin_sym_end] = ACTIONS(2206),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1434] = {
    [sym_comment] = STATE(1434),
    [ts_builtin_sym_end] = ACTIONS(3591),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1435] = {
    [sym_comment] = STATE(1435),
    [ts_builtin_sym_end] = ACTIONS(2276),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_export] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_typeof] = ACTIONS(2274),
    [anon_sym_import] = ACTIONS(2274),
    [anon_sym_with] = ACTIONS(2274),
    [anon_sym_var] = ACTIONS(2274),
    [anon_sym_let] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_switch] = ACTIONS(2274),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_await] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2274),
    [anon_sym_do] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2274),
    [anon_sym_break] = ACTIONS(2274),
    [anon_sym_continue] = ACTIONS(2274),
    [anon_sym_debugger] = ACTIONS(2274),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_yield] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_LTtemplate_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2274),
    [anon_sym_async] = ACTIONS(2274),
    [anon_sym_function] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2274),
    [anon_sym_using] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_void] = ACTIONS(2274),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2274),
    [sym_number] = ACTIONS(2274),
    [sym_private_property_identifier] = ACTIONS(2274),
    [sym_this] = ACTIONS(2274),
    [sym_super] = ACTIONS(2274),
    [sym_true] = ACTIONS(2274),
    [sym_false] = ACTIONS(2274),
    [sym_null] = ACTIONS(2274),
    [sym_undefined] = ACTIONS(2274),
    [anon_sym_AT] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_get] = ACTIONS(2274),
    [anon_sym_set] = ACTIONS(2274),
    [anon_sym_declare] = ACTIONS(2274),
    [anon_sym_public] = ACTIONS(2274),
    [anon_sym_private] = ACTIONS(2274),
    [anon_sym_protected] = ACTIONS(2274),
    [anon_sym_override] = ACTIONS(2274),
    [anon_sym_module] = ACTIONS(2274),
    [anon_sym_any] = ACTIONS(2274),
    [anon_sym_number] = ACTIONS(2274),
    [anon_sym_boolean] = ACTIONS(2274),
    [anon_sym_string] = ACTIONS(2274),
    [anon_sym_symbol] = ACTIONS(2274),
    [anon_sym_object] = ACTIONS(2274),
    [anon_sym_abstract] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1436] = {
    [sym_comment] = STATE(1436),
    [ts_builtin_sym_end] = ACTIONS(3593),
    [sym_identifier] = ACTIONS(3359),
    [anon_sym_export] = ACTIONS(3359),
    [anon_sym_type] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3359),
    [anon_sym_typeof] = ACTIONS(3359),
    [anon_sym_import] = ACTIONS(3359),
    [anon_sym_with] = ACTIONS(3359),
    [anon_sym_var] = ACTIONS(3359),
    [anon_sym_let] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_else] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_await] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_debugger] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_yield] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LTtemplate_GT] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_async] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_LT] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_void] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3359),
    [sym_number] = ACTIONS(3359),
    [sym_private_property_identifier] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
    [sym_super] = ACTIONS(3359),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [sym_null] = ACTIONS(3359),
    [sym_undefined] = ACTIONS(3359),
    [anon_sym_AT] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3359),
    [anon_sym_get] = ACTIONS(3359),
    [anon_sym_set] = ACTIONS(3359),
    [anon_sym_declare] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_override] = ACTIONS(3359),
    [anon_sym_module] = ACTIONS(3359),
    [anon_sym_any] = ACTIONS(3359),
    [anon_sym_number] = ACTIONS(3359),
    [anon_sym_boolean] = ACTIONS(3359),
    [anon_sym_string] = ACTIONS(3359),
    [anon_sym_symbol] = ACTIONS(3359),
    [anon_sym_object] = ACTIONS(3359),
    [anon_sym_abstract] = ACTIONS(3359),
    [anon_sym_interface] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [sym_html_comment] = ACTIONS(5),
  },
  [1437] = {
    [sym_comment] = STATE(1437),
    [sym_identifier] = ACTIONS(3457),
    [anon_sym_export] = ACTIONS(3457),
    [anon_sym_default] = ACTIONS(3457),
    [anon_sym_type] = ACTIONS(3457),
    [anon_sym_namespace] = ACTIONS(3457),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_RBRACE] = ACTIONS(3457),
    [anon_sym_typeof] = ACTIONS(3457),
    [anon_sym_import] = ACTIONS(3457),
    [anon_sym_with] = ACTIONS(3457),
    [anon_sym_var] = ACTIONS(3457),
    [anon_sym_let] = ACTIONS(3457),
    [anon_sym_const] = ACTIONS(3457),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_if] = ACTIONS(3457),
    [anon_sym_switch] = ACTIONS(3457),
    [anon_sym_for] = ACTIONS(3457),
    [anon_sym_LPAREN] = ACTIONS(3457),
    [anon_sym_await] = ACTIONS(3457),
    [anon_sym_while] = ACTIONS(3457),
    [anon_sym_do] = ACTIONS(3457),
    [anon_sym_try] = ACTIONS(3457),
    [anon_sym_break] = ACTIONS(3457),
    [anon_sym_continue] = ACTIONS(3457),
    [anon_sym_debugger] = ACTIONS(3457),
    [anon_sym_return] = ACTIONS(3457),
    [anon_sym_throw] = ACTIONS(3457),
    [anon_sym_SEMI] = ACTIONS(3457),
    [anon_sym_case] = ACTIONS(3457),
    [anon_sym_yield] = ACTIONS(3457),
    [anon_sym_LBRACK] = ACTIONS(3457),
    [anon_sym_LTtemplate_GT] = ACTIONS(3457),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [anon_sym_class] = ACTIONS(3457),
    [anon_sym_async] = ACTIONS(3457),
    [anon_sym_function] = ACTIONS(3457),
    [anon_sym_new] = ACTIONS(3457),
    [anon_sym_using] = ACTIONS(3457),
    [anon_sym_PLUS] = ACTIONS(3457),
    [anon_sym_DASH] = ACTIONS(3457),
    [anon_sym_SLASH] = ACTIONS(3457),
    [anon_sym_LT] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_void] = ACTIONS(3457),
    [anon_sym_delete] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3457),
    [sym_number] = ACTIONS(3457),
    [sym_private_property_identifier] = ACTIONS(3457),
    [sym_this] = ACTIONS(3457),
    [sym_super] = ACTIONS(3457),
    [sym_true] = ACTIONS(3457),
    [sym_false] = ACTIONS(3457),
    [sym_null] = ACTIONS(3457),
    [sym_undefined] = ACTIONS(3457),
    [anon_sym_AT] = ACTIONS(3457),
    [anon_sym_static] = ACTIONS(3457),
    [anon_sym_readonly] = ACTIONS(3457),
    [anon_sym_get] = ACTIONS(3457),
    [anon_sym_set] = ACTIONS(3457),
    [anon_sym_declare] = ACTIONS(3457),
    [anon_sym_public] = ACTIONS(3457),
    [anon_sym_private] = ACTIONS(3457),
    [anon_sym_protected] = ACTIONS(3457),
    [anon_sym_override] = ACTIONS(3457),
    [anon_sym_module] = ACTIONS(3457),
    [anon_sym_any] = ACTIONS(3457),
    [anon_sym_number] = ACTIONS(3457),
    [anon_sym_boolean] = ACTIONS(3457),
    [anon_sym_string] = ACTIONS(3457),
    [anon_sym_symbol] = ACTIONS(3457),
    [anon_sym_object] = ACTIONS(3457),
    [anon_sym_abstract] = ACTIONS(3457),
    [anon_sym_interface] = ACTIONS(3457),
    [anon_sym_enum] = ACTIONS(3457),
    [sym_html_comment] = ACTIONS(5),
  },
  [1438] = {
    [sym_comment] = STATE(1438),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1439] = {
    [sym_comment] = STATE(1439),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1440] = {
    [sym_comment] = STATE(1440),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_typeof] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2140),
    [anon_sym_with] = ACTIONS(2140),
    [anon_sym_var] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_switch] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_debugger] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LTtemplate_GT] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_function] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_void] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [sym_private_property_identifier] = ACTIONS(2140),
    [sym_this] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_true] = ACTIONS(2140),
    [sym_false] = ACTIONS(2140),
    [sym_null] = ACTIONS(2140),
    [sym_undefined] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [sym__automatic_semicolon] = ACTIONS(2368),
    [sym_html_comment] = ACTIONS(5),
  },
  [1441] = {
    [sym_comment] = STATE(1441),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1442] = {
    [sym_comment] = STATE(1442),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1443] = {
    [sym_comment] = STATE(1443),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1444] = {
    [sym_comment] = STATE(1444),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1445] = {
    [sym_comment] = STATE(1445),
    [ts_builtin_sym_end] = ACTIONS(3595),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_else] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1446] = {
    [sym_comment] = STATE(1446),
    [sym_identifier] = ACTIONS(3459),
    [anon_sym_export] = ACTIONS(3459),
    [anon_sym_default] = ACTIONS(3459),
    [anon_sym_type] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3459),
    [anon_sym_RBRACE] = ACTIONS(3459),
    [anon_sym_typeof] = ACTIONS(3459),
    [anon_sym_import] = ACTIONS(3459),
    [anon_sym_with] = ACTIONS(3459),
    [anon_sym_var] = ACTIONS(3459),
    [anon_sym_let] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_BANG] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_LPAREN] = ACTIONS(3459),
    [anon_sym_await] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_debugger] = ACTIONS(3459),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_SEMI] = ACTIONS(3459),
    [anon_sym_case] = ACTIONS(3459),
    [anon_sym_yield] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3459),
    [anon_sym_LTtemplate_GT] = ACTIONS(3459),
    [anon_sym_DQUOTE] = ACTIONS(3459),
    [anon_sym_SQUOTE] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_async] = ACTIONS(3459),
    [anon_sym_function] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_LT] = ACTIONS(3459),
    [anon_sym_TILDE] = ACTIONS(3459),
    [anon_sym_void] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3459),
    [anon_sym_PLUS_PLUS] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(3459),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3459),
    [sym_number] = ACTIONS(3459),
    [sym_private_property_identifier] = ACTIONS(3459),
    [sym_this] = ACTIONS(3459),
    [sym_super] = ACTIONS(3459),
    [sym_true] = ACTIONS(3459),
    [sym_false] = ACTIONS(3459),
    [sym_null] = ACTIONS(3459),
    [sym_undefined] = ACTIONS(3459),
    [anon_sym_AT] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_readonly] = ACTIONS(3459),
    [anon_sym_get] = ACTIONS(3459),
    [anon_sym_set] = ACTIONS(3459),
    [anon_sym_declare] = ACTIONS(3459),
    [anon_sym_public] = ACTIONS(3459),
    [anon_sym_private] = ACTIONS(3459),
    [anon_sym_protected] = ACTIONS(3459),
    [anon_sym_override] = ACTIONS(3459),
    [anon_sym_module] = ACTIONS(3459),
    [anon_sym_any] = ACTIONS(3459),
    [anon_sym_number] = ACTIONS(3459),
    [anon_sym_boolean] = ACTIONS(3459),
    [anon_sym_string] = ACTIONS(3459),
    [anon_sym_symbol] = ACTIONS(3459),
    [anon_sym_object] = ACTIONS(3459),
    [anon_sym_abstract] = ACTIONS(3459),
    [anon_sym_interface] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [sym_html_comment] = ACTIONS(5),
  },
  [1447] = {
    [sym_comment] = STATE(1447),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1448] = {
    [sym_comment] = STATE(1448),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1449] = {
    [sym_comment] = STATE(1449),
    [ts_builtin_sym_end] = ACTIONS(3597),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_else] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1450] = {
    [sym_comment] = STATE(1450),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_default] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_case] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1451] = {
    [sym_comment] = STATE(1451),
    [sym_identifier] = ACTIONS(3245),
    [anon_sym_export] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_type] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_typeof] = ACTIONS(3245),
    [anon_sym_import] = ACTIONS(3245),
    [anon_sym_with] = ACTIONS(3245),
    [anon_sym_var] = ACTIONS(3245),
    [anon_sym_let] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_BANG] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_LPAREN] = ACTIONS(3245),
    [anon_sym_await] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_debugger] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_yield] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_LTtemplate_GT] = ACTIONS(3245),
    [anon_sym_DQUOTE] = ACTIONS(3245),
    [anon_sym_SQUOTE] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_async] = ACTIONS(3245),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_SLASH] = ACTIONS(3245),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_void] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_PLUS_PLUS] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3245),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3245),
    [sym_number] = ACTIONS(3245),
    [sym_private_property_identifier] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
    [sym_super] = ACTIONS(3245),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [sym_null] = ACTIONS(3245),
    [sym_undefined] = ACTIONS(3245),
    [anon_sym_AT] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3245),
    [anon_sym_get] = ACTIONS(3245),
    [anon_sym_set] = ACTIONS(3245),
    [anon_sym_declare] = ACTIONS(3245),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_override] = ACTIONS(3245),
    [anon_sym_module] = ACTIONS(3245),
    [anon_sym_any] = ACTIONS(3245),
    [anon_sym_number] = ACTIONS(3245),
    [anon_sym_boolean] = ACTIONS(3245),
    [anon_sym_string] = ACTIONS(3245),
    [anon_sym_symbol] = ACTIONS(3245),
    [anon_sym_object] = ACTIONS(3245),
    [anon_sym_abstract] = ACTIONS(3245),
    [anon_sym_interface] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [sym_html_comment] = ACTIONS(5),
  },
  [1452] = {
    [sym_comment] = STATE(1452),
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_export] = ACTIONS(3247),
    [anon_sym_default] = ACTIONS(3247),
    [anon_sym_type] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym_import] = ACTIONS(3247),
    [anon_sym_with] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_LPAREN] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_debugger] = ACTIONS(3247),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym_case] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3247),
    [anon_sym_LTtemplate_GT] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_function] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_SLASH] = ACTIONS(3247),
    [anon_sym_LT] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_void] = ACTIONS(3247),
    [anon_sym_delete] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3247),
    [sym_number] = ACTIONS(3247),
    [sym_private_property_identifier] = ACTIONS(3247),
    [sym_this] = ACTIONS(3247),
    [sym_super] = ACTIONS(3247),
    [sym_true] = ACTIONS(3247),
    [sym_false] = ACTIONS(3247),
    [sym_null] = ACTIONS(3247),
    [sym_undefined] = ACTIONS(3247),
    [anon_sym_AT] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3247),
    [anon_sym_set] = ACTIONS(3247),
    [anon_sym_declare] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_module] = ACTIONS(3247),
    [anon_sym_any] = ACTIONS(3247),
    [anon_sym_number] = ACTIONS(3247),
    [anon_sym_boolean] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_symbol] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [sym_html_comment] = ACTIONS(5),
  },
  [1453] = {
    [sym_comment] = STATE(1453),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1454] = {
    [sym_comment] = STATE(1454),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1455] = {
    [sym_comment] = STATE(1455),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1456] = {
    [sym_comment] = STATE(1456),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1457] = {
    [sym_comment] = STATE(1457),
    [ts_builtin_sym_end] = ACTIONS(3599),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_else] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1458] = {
    [sym_comment] = STATE(1458),
    [ts_builtin_sym_end] = ACTIONS(3601),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1459] = {
    [sym_comment] = STATE(1459),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1460] = {
    [sym_comment] = STATE(1460),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1461] = {
    [sym_comment] = STATE(1461),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1462] = {
    [sym_comment] = STATE(1462),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1463] = {
    [sym_comment] = STATE(1463),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1464] = {
    [sym_comment] = STATE(1464),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1465] = {
    [sym_comment] = STATE(1465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1466] = {
    [sym_comment] = STATE(1466),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1467] = {
    [sym_comment] = STATE(1467),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1468] = {
    [sym_comment] = STATE(1468),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1469] = {
    [sym_comment] = STATE(1469),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1470] = {
    [sym_comment] = STATE(1470),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1471] = {
    [sym_comment] = STATE(1471),
    [ts_builtin_sym_end] = ACTIONS(3603),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_else] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1472] = {
    [sym_comment] = STATE(1472),
    [sym_identifier] = ACTIONS(3417),
    [anon_sym_export] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3417),
    [anon_sym_type] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_RBRACE] = ACTIONS(3417),
    [anon_sym_typeof] = ACTIONS(3417),
    [anon_sym_import] = ACTIONS(3417),
    [anon_sym_with] = ACTIONS(3417),
    [anon_sym_var] = ACTIONS(3417),
    [anon_sym_let] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_await] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_debugger] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3417),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_yield] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LTtemplate_GT] = ACTIONS(3417),
    [anon_sym_DQUOTE] = ACTIONS(3417),
    [anon_sym_SQUOTE] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_async] = ACTIONS(3417),
    [anon_sym_function] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_void] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3417),
    [sym_number] = ACTIONS(3417),
    [sym_private_property_identifier] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
    [sym_super] = ACTIONS(3417),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [sym_null] = ACTIONS(3417),
    [sym_undefined] = ACTIONS(3417),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_readonly] = ACTIONS(3417),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_declare] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3417),
    [anon_sym_module] = ACTIONS(3417),
    [anon_sym_any] = ACTIONS(3417),
    [anon_sym_number] = ACTIONS(3417),
    [anon_sym_boolean] = ACTIONS(3417),
    [anon_sym_string] = ACTIONS(3417),
    [anon_sym_symbol] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3417),
    [anon_sym_abstract] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1473] = {
    [sym_comment] = STATE(1473),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_finally] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1474] = {
    [sym_comment] = STATE(1474),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1475] = {
    [sym_comment] = STATE(1475),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1476] = {
    [sym_comment] = STATE(1476),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1477] = {
    [sym_comment] = STATE(1477),
    [sym_identifier] = ACTIONS(3415),
    [anon_sym_export] = ACTIONS(3415),
    [anon_sym_default] = ACTIONS(3415),
    [anon_sym_type] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3415),
    [anon_sym_import] = ACTIONS(3415),
    [anon_sym_with] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_switch] = ACTIONS(3415),
    [anon_sym_for] = ACTIONS(3415),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_await] = ACTIONS(3415),
    [anon_sym_while] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_try] = ACTIONS(3415),
    [anon_sym_break] = ACTIONS(3415),
    [anon_sym_continue] = ACTIONS(3415),
    [anon_sym_debugger] = ACTIONS(3415),
    [anon_sym_return] = ACTIONS(3415),
    [anon_sym_throw] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_case] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_LTtemplate_GT] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_function] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_SLASH] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_void] = ACTIONS(3415),
    [anon_sym_delete] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3415),
    [sym_number] = ACTIONS(3415),
    [sym_private_property_identifier] = ACTIONS(3415),
    [sym_this] = ACTIONS(3415),
    [sym_super] = ACTIONS(3415),
    [sym_true] = ACTIONS(3415),
    [sym_false] = ACTIONS(3415),
    [sym_null] = ACTIONS(3415),
    [sym_undefined] = ACTIONS(3415),
    [anon_sym_AT] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_get] = ACTIONS(3415),
    [anon_sym_set] = ACTIONS(3415),
    [anon_sym_declare] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_module] = ACTIONS(3415),
    [anon_sym_any] = ACTIONS(3415),
    [anon_sym_number] = ACTIONS(3415),
    [anon_sym_boolean] = ACTIONS(3415),
    [anon_sym_string] = ACTIONS(3415),
    [anon_sym_symbol] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [sym_html_comment] = ACTIONS(5),
  },
  [1478] = {
    [sym_comment] = STATE(1478),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1479] = {
    [sym_comment] = STATE(1479),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1480] = {
    [sym_comment] = STATE(1480),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1481] = {
    [sym_comment] = STATE(1481),
    [sym_identifier] = ACTIONS(3361),
    [anon_sym_export] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_type] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym_import] = ACTIONS(3361),
    [anon_sym_with] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_LPAREN] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_debugger] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym_case] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_LTtemplate_GT] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_SLASH] = ACTIONS(3361),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_void] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3361),
    [sym_number] = ACTIONS(3361),
    [sym_private_property_identifier] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
    [sym_super] = ACTIONS(3361),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [sym_null] = ACTIONS(3361),
    [sym_undefined] = ACTIONS(3361),
    [anon_sym_AT] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_get] = ACTIONS(3361),
    [anon_sym_set] = ACTIONS(3361),
    [anon_sym_declare] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_module] = ACTIONS(3361),
    [anon_sym_any] = ACTIONS(3361),
    [anon_sym_number] = ACTIONS(3361),
    [anon_sym_boolean] = ACTIONS(3361),
    [anon_sym_string] = ACTIONS(3361),
    [anon_sym_symbol] = ACTIONS(3361),
    [anon_sym_object] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_interface] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1482] = {
    [sym_comment] = STATE(1482),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1483] = {
    [sym_comment] = STATE(1483),
    [sym_identifier] = ACTIONS(3351),
    [anon_sym_export] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_type] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3351),
    [anon_sym_typeof] = ACTIONS(3351),
    [anon_sym_import] = ACTIONS(3351),
    [anon_sym_with] = ACTIONS(3351),
    [anon_sym_var] = ACTIONS(3351),
    [anon_sym_let] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_await] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_debugger] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_yield] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LTtemplate_GT] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_async] = ACTIONS(3351),
    [anon_sym_function] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_LT] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_void] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3351),
    [sym_number] = ACTIONS(3351),
    [sym_private_property_identifier] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
    [sym_super] = ACTIONS(3351),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [sym_null] = ACTIONS(3351),
    [sym_undefined] = ACTIONS(3351),
    [anon_sym_AT] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_readonly] = ACTIONS(3351),
    [anon_sym_get] = ACTIONS(3351),
    [anon_sym_set] = ACTIONS(3351),
    [anon_sym_declare] = ACTIONS(3351),
    [anon_sym_public] = ACTIONS(3351),
    [anon_sym_private] = ACTIONS(3351),
    [anon_sym_protected] = ACTIONS(3351),
    [anon_sym_override] = ACTIONS(3351),
    [anon_sym_module] = ACTIONS(3351),
    [anon_sym_any] = ACTIONS(3351),
    [anon_sym_number] = ACTIONS(3351),
    [anon_sym_boolean] = ACTIONS(3351),
    [anon_sym_string] = ACTIONS(3351),
    [anon_sym_symbol] = ACTIONS(3351),
    [anon_sym_object] = ACTIONS(3351),
    [anon_sym_abstract] = ACTIONS(3351),
    [anon_sym_interface] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [sym_html_comment] = ACTIONS(5),
  },
  [1484] = {
    [sym_comment] = STATE(1484),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1485] = {
    [sym_comment] = STATE(1485),
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_export] = ACTIONS(3413),
    [anon_sym_default] = ACTIONS(3413),
    [anon_sym_type] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(3413),
    [anon_sym_typeof] = ACTIONS(3413),
    [anon_sym_import] = ACTIONS(3413),
    [anon_sym_with] = ACTIONS(3413),
    [anon_sym_var] = ACTIONS(3413),
    [anon_sym_let] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_await] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_debugger] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3413),
    [anon_sym_case] = ACTIONS(3413),
    [anon_sym_yield] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LTtemplate_GT] = ACTIONS(3413),
    [anon_sym_DQUOTE] = ACTIONS(3413),
    [anon_sym_SQUOTE] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_async] = ACTIONS(3413),
    [anon_sym_function] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_SLASH] = ACTIONS(3413),
    [anon_sym_LT] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_void] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3413),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3413),
    [sym_number] = ACTIONS(3413),
    [sym_private_property_identifier] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
    [sym_super] = ACTIONS(3413),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [sym_null] = ACTIONS(3413),
    [sym_undefined] = ACTIONS(3413),
    [anon_sym_AT] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
    [anon_sym_declare] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_override] = ACTIONS(3413),
    [anon_sym_module] = ACTIONS(3413),
    [anon_sym_any] = ACTIONS(3413),
    [anon_sym_number] = ACTIONS(3413),
    [anon_sym_boolean] = ACTIONS(3413),
    [anon_sym_string] = ACTIONS(3413),
    [anon_sym_symbol] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3413),
    [anon_sym_abstract] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [sym_html_comment] = ACTIONS(5),
  },
  [1486] = {
    [sym_comment] = STATE(1486),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_default] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_case] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1487] = {
    [sym_comment] = STATE(1487),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1488] = {
    [sym_comment] = STATE(1488),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1489] = {
    [sym_comment] = STATE(1489),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1490] = {
    [sym_comment] = STATE(1490),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1491] = {
    [sym_comment] = STATE(1491),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_default] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_case] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1492] = {
    [sym_comment] = STATE(1492),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1493] = {
    [sym_comment] = STATE(1493),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_default] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_case] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1494] = {
    [sym_comment] = STATE(1494),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_default] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1495] = {
    [sym_comment] = STATE(1495),
    [sym_identifier] = ACTIONS(3437),
    [anon_sym_export] = ACTIONS(3437),
    [anon_sym_default] = ACTIONS(3437),
    [anon_sym_type] = ACTIONS(3437),
    [anon_sym_namespace] = ACTIONS(3437),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_typeof] = ACTIONS(3437),
    [anon_sym_import] = ACTIONS(3437),
    [anon_sym_with] = ACTIONS(3437),
    [anon_sym_var] = ACTIONS(3437),
    [anon_sym_let] = ACTIONS(3437),
    [anon_sym_const] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_if] = ACTIONS(3437),
    [anon_sym_switch] = ACTIONS(3437),
    [anon_sym_for] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_await] = ACTIONS(3437),
    [anon_sym_while] = ACTIONS(3437),
    [anon_sym_do] = ACTIONS(3437),
    [anon_sym_try] = ACTIONS(3437),
    [anon_sym_break] = ACTIONS(3437),
    [anon_sym_continue] = ACTIONS(3437),
    [anon_sym_debugger] = ACTIONS(3437),
    [anon_sym_return] = ACTIONS(3437),
    [anon_sym_throw] = ACTIONS(3437),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym_case] = ACTIONS(3437),
    [anon_sym_yield] = ACTIONS(3437),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LTtemplate_GT] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_class] = ACTIONS(3437),
    [anon_sym_async] = ACTIONS(3437),
    [anon_sym_function] = ACTIONS(3437),
    [anon_sym_new] = ACTIONS(3437),
    [anon_sym_using] = ACTIONS(3437),
    [anon_sym_PLUS] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3437),
    [anon_sym_SLASH] = ACTIONS(3437),
    [anon_sym_LT] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_void] = ACTIONS(3437),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3437),
    [sym_number] = ACTIONS(3437),
    [sym_private_property_identifier] = ACTIONS(3437),
    [sym_this] = ACTIONS(3437),
    [sym_super] = ACTIONS(3437),
    [sym_true] = ACTIONS(3437),
    [sym_false] = ACTIONS(3437),
    [sym_null] = ACTIONS(3437),
    [sym_undefined] = ACTIONS(3437),
    [anon_sym_AT] = ACTIONS(3437),
    [anon_sym_static] = ACTIONS(3437),
    [anon_sym_readonly] = ACTIONS(3437),
    [anon_sym_get] = ACTIONS(3437),
    [anon_sym_set] = ACTIONS(3437),
    [anon_sym_declare] = ACTIONS(3437),
    [anon_sym_public] = ACTIONS(3437),
    [anon_sym_private] = ACTIONS(3437),
    [anon_sym_protected] = ACTIONS(3437),
    [anon_sym_override] = ACTIONS(3437),
    [anon_sym_module] = ACTIONS(3437),
    [anon_sym_any] = ACTIONS(3437),
    [anon_sym_number] = ACTIONS(3437),
    [anon_sym_boolean] = ACTIONS(3437),
    [anon_sym_string] = ACTIONS(3437),
    [anon_sym_symbol] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3437),
    [anon_sym_abstract] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3437),
    [anon_sym_enum] = ACTIONS(3437),
    [sym_html_comment] = ACTIONS(5),
  },
  [1496] = {
    [sym_comment] = STATE(1496),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1497] = {
    [sym_comment] = STATE(1497),
    [sym_identifier] = ACTIONS(3435),
    [anon_sym_export] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_type] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3435),
    [anon_sym_RBRACE] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3435),
    [anon_sym_import] = ACTIONS(3435),
    [anon_sym_with] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_BANG] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_LPAREN] = ACTIONS(3435),
    [anon_sym_await] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_debugger] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3435),
    [anon_sym_case] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_LTtemplate_GT] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_function] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_SLASH] = ACTIONS(3435),
    [anon_sym_LT] = ACTIONS(3435),
    [anon_sym_TILDE] = ACTIONS(3435),
    [anon_sym_void] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_PLUS_PLUS] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3435),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3435),
    [sym_number] = ACTIONS(3435),
    [sym_private_property_identifier] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
    [sym_super] = ACTIONS(3435),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [sym_null] = ACTIONS(3435),
    [sym_undefined] = ACTIONS(3435),
    [anon_sym_AT] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_get] = ACTIONS(3435),
    [anon_sym_set] = ACTIONS(3435),
    [anon_sym_declare] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_module] = ACTIONS(3435),
    [anon_sym_any] = ACTIONS(3435),
    [anon_sym_number] = ACTIONS(3435),
    [anon_sym_boolean] = ACTIONS(3435),
    [anon_sym_string] = ACTIONS(3435),
    [anon_sym_symbol] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [sym_html_comment] = ACTIONS(5),
  },
  [1498] = {
    [sym_comment] = STATE(1498),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1499] = {
    [sym_comment] = STATE(1499),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_default] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_case] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1500] = {
    [sym_comment] = STATE(1500),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1501] = {
    [sym_comment] = STATE(1501),
    [sym_identifier] = ACTIONS(3259),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_default] = ACTIONS(3259),
    [anon_sym_type] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_RBRACE] = ACTIONS(3259),
    [anon_sym_typeof] = ACTIONS(3259),
    [anon_sym_import] = ACTIONS(3259),
    [anon_sym_with] = ACTIONS(3259),
    [anon_sym_var] = ACTIONS(3259),
    [anon_sym_let] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_await] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_debugger] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym_case] = ACTIONS(3259),
    [anon_sym_yield] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_LTtemplate_GT] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_async] = ACTIONS(3259),
    [anon_sym_function] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_void] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3259),
    [sym_number] = ACTIONS(3259),
    [sym_private_property_identifier] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
    [sym_super] = ACTIONS(3259),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [sym_null] = ACTIONS(3259),
    [sym_undefined] = ACTIONS(3259),
    [anon_sym_AT] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_readonly] = ACTIONS(3259),
    [anon_sym_get] = ACTIONS(3259),
    [anon_sym_set] = ACTIONS(3259),
    [anon_sym_declare] = ACTIONS(3259),
    [anon_sym_public] = ACTIONS(3259),
    [anon_sym_private] = ACTIONS(3259),
    [anon_sym_protected] = ACTIONS(3259),
    [anon_sym_override] = ACTIONS(3259),
    [anon_sym_module] = ACTIONS(3259),
    [anon_sym_any] = ACTIONS(3259),
    [anon_sym_number] = ACTIONS(3259),
    [anon_sym_boolean] = ACTIONS(3259),
    [anon_sym_string] = ACTIONS(3259),
    [anon_sym_symbol] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3259),
    [anon_sym_abstract] = ACTIONS(3259),
    [anon_sym_interface] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1502] = {
    [sym_comment] = STATE(1502),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_export] = ACTIONS(3433),
    [anon_sym_default] = ACTIONS(3433),
    [anon_sym_type] = ACTIONS(3433),
    [anon_sym_namespace] = ACTIONS(3433),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_RBRACE] = ACTIONS(3433),
    [anon_sym_typeof] = ACTIONS(3433),
    [anon_sym_import] = ACTIONS(3433),
    [anon_sym_with] = ACTIONS(3433),
    [anon_sym_var] = ACTIONS(3433),
    [anon_sym_let] = ACTIONS(3433),
    [anon_sym_const] = ACTIONS(3433),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_if] = ACTIONS(3433),
    [anon_sym_switch] = ACTIONS(3433),
    [anon_sym_for] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3433),
    [anon_sym_await] = ACTIONS(3433),
    [anon_sym_while] = ACTIONS(3433),
    [anon_sym_do] = ACTIONS(3433),
    [anon_sym_try] = ACTIONS(3433),
    [anon_sym_break] = ACTIONS(3433),
    [anon_sym_continue] = ACTIONS(3433),
    [anon_sym_debugger] = ACTIONS(3433),
    [anon_sym_return] = ACTIONS(3433),
    [anon_sym_throw] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(3433),
    [anon_sym_case] = ACTIONS(3433),
    [anon_sym_yield] = ACTIONS(3433),
    [anon_sym_LBRACK] = ACTIONS(3433),
    [anon_sym_LTtemplate_GT] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [anon_sym_SQUOTE] = ACTIONS(3433),
    [anon_sym_class] = ACTIONS(3433),
    [anon_sym_async] = ACTIONS(3433),
    [anon_sym_function] = ACTIONS(3433),
    [anon_sym_new] = ACTIONS(3433),
    [anon_sym_using] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_TILDE] = ACTIONS(3433),
    [anon_sym_void] = ACTIONS(3433),
    [anon_sym_delete] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3433),
    [sym_number] = ACTIONS(3433),
    [sym_private_property_identifier] = ACTIONS(3433),
    [sym_this] = ACTIONS(3433),
    [sym_super] = ACTIONS(3433),
    [sym_true] = ACTIONS(3433),
    [sym_false] = ACTIONS(3433),
    [sym_null] = ACTIONS(3433),
    [sym_undefined] = ACTIONS(3433),
    [anon_sym_AT] = ACTIONS(3433),
    [anon_sym_static] = ACTIONS(3433),
    [anon_sym_readonly] = ACTIONS(3433),
    [anon_sym_get] = ACTIONS(3433),
    [anon_sym_set] = ACTIONS(3433),
    [anon_sym_declare] = ACTIONS(3433),
    [anon_sym_public] = ACTIONS(3433),
    [anon_sym_private] = ACTIONS(3433),
    [anon_sym_protected] = ACTIONS(3433),
    [anon_sym_override] = ACTIONS(3433),
    [anon_sym_module] = ACTIONS(3433),
    [anon_sym_any] = ACTIONS(3433),
    [anon_sym_number] = ACTIONS(3433),
    [anon_sym_boolean] = ACTIONS(3433),
    [anon_sym_string] = ACTIONS(3433),
    [anon_sym_symbol] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3433),
    [anon_sym_abstract] = ACTIONS(3433),
    [anon_sym_interface] = ACTIONS(3433),
    [anon_sym_enum] = ACTIONS(3433),
    [sym_html_comment] = ACTIONS(5),
  },
  [1503] = {
    [sym_comment] = STATE(1503),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1504] = {
    [sym_comment] = STATE(1504),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1505] = {
    [sym_comment] = STATE(1505),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1506] = {
    [sym_comment] = STATE(1506),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1507] = {
    [sym_comment] = STATE(1507),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1508] = {
    [sym_comment] = STATE(1508),
    [ts_builtin_sym_end] = ACTIONS(3605),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_else] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1509] = {
    [sym_comment] = STATE(1509),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1510] = {
    [sym_comment] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3607),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_else] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1511] = {
    [sym_comment] = STATE(1511),
    [ts_builtin_sym_end] = ACTIONS(2162),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1512] = {
    [sym_comment] = STATE(1512),
    [ts_builtin_sym_end] = ACTIONS(3609),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_else] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1513] = {
    [sym_comment] = STATE(1513),
    [ts_builtin_sym_end] = ACTIONS(3611),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_else] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1514] = {
    [sym_comment] = STATE(1514),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_else] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1515] = {
    [sym_comment] = STATE(1515),
    [ts_builtin_sym_end] = ACTIONS(2264),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1516] = {
    [sym_comment] = STATE(1516),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1517] = {
    [sym_comment] = STATE(1517),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1518] = {
    [sym_comment] = STATE(1518),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1519] = {
    [sym_comment] = STATE(1519),
    [ts_builtin_sym_end] = ACTIONS(3615),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1520] = {
    [sym_comment] = STATE(1520),
    [ts_builtin_sym_end] = ACTIONS(3617),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_else] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1521] = {
    [sym_comment] = STATE(1521),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1522] = {
    [sym_comment] = STATE(1522),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1523] = {
    [sym_comment] = STATE(1523),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1524] = {
    [sym_comment] = STATE(1524),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1525] = {
    [sym_comment] = STATE(1525),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1526] = {
    [sym_comment] = STATE(1526),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1527] = {
    [sym_statement_block] = STATE(1727),
    [sym_comment] = STATE(1527),
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_using] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [sym_private_property_identifier] = ACTIONS(2109),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [1528] = {
    [sym_comment] = STATE(1528),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1529] = {
    [sym_comment] = STATE(1529),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1530] = {
    [sym_comment] = STATE(1530),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1531] = {
    [sym_comment] = STATE(1531),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_export] = ACTIONS(3619),
    [anon_sym_default] = ACTIONS(3619),
    [anon_sym_type] = ACTIONS(3619),
    [anon_sym_namespace] = ACTIONS(3619),
    [anon_sym_LBRACE] = ACTIONS(3619),
    [anon_sym_RBRACE] = ACTIONS(3619),
    [anon_sym_typeof] = ACTIONS(3619),
    [anon_sym_import] = ACTIONS(3619),
    [anon_sym_with] = ACTIONS(3619),
    [anon_sym_var] = ACTIONS(3619),
    [anon_sym_let] = ACTIONS(3619),
    [anon_sym_const] = ACTIONS(3619),
    [anon_sym_BANG] = ACTIONS(3619),
    [anon_sym_if] = ACTIONS(3619),
    [anon_sym_switch] = ACTIONS(3619),
    [anon_sym_for] = ACTIONS(3619),
    [anon_sym_LPAREN] = ACTIONS(3619),
    [anon_sym_await] = ACTIONS(3619),
    [anon_sym_while] = ACTIONS(3619),
    [anon_sym_do] = ACTIONS(3619),
    [anon_sym_try] = ACTIONS(3619),
    [anon_sym_break] = ACTIONS(3619),
    [anon_sym_continue] = ACTIONS(3619),
    [anon_sym_debugger] = ACTIONS(3619),
    [anon_sym_return] = ACTIONS(3619),
    [anon_sym_throw] = ACTIONS(3619),
    [anon_sym_SEMI] = ACTIONS(3619),
    [anon_sym_case] = ACTIONS(3619),
    [anon_sym_yield] = ACTIONS(3619),
    [anon_sym_LBRACK] = ACTIONS(3619),
    [anon_sym_LTtemplate_GT] = ACTIONS(3619),
    [anon_sym_DQUOTE] = ACTIONS(3619),
    [anon_sym_SQUOTE] = ACTIONS(3619),
    [anon_sym_class] = ACTIONS(3619),
    [anon_sym_async] = ACTIONS(3619),
    [anon_sym_function] = ACTIONS(3619),
    [anon_sym_new] = ACTIONS(3619),
    [anon_sym_using] = ACTIONS(3619),
    [anon_sym_PLUS] = ACTIONS(3619),
    [anon_sym_DASH] = ACTIONS(3619),
    [anon_sym_SLASH] = ACTIONS(3619),
    [anon_sym_LT] = ACTIONS(3619),
    [anon_sym_TILDE] = ACTIONS(3619),
    [anon_sym_void] = ACTIONS(3619),
    [anon_sym_delete] = ACTIONS(3619),
    [anon_sym_PLUS_PLUS] = ACTIONS(3619),
    [anon_sym_DASH_DASH] = ACTIONS(3619),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3619),
    [sym_number] = ACTIONS(3619),
    [sym_private_property_identifier] = ACTIONS(3619),
    [sym_this] = ACTIONS(3619),
    [sym_super] = ACTIONS(3619),
    [sym_true] = ACTIONS(3619),
    [sym_false] = ACTIONS(3619),
    [sym_null] = ACTIONS(3619),
    [sym_undefined] = ACTIONS(3619),
    [anon_sym_AT] = ACTIONS(3619),
    [anon_sym_static] = ACTIONS(3619),
    [anon_sym_readonly] = ACTIONS(3619),
    [anon_sym_get] = ACTIONS(3619),
    [anon_sym_set] = ACTIONS(3619),
    [anon_sym_declare] = ACTIONS(3619),
    [anon_sym_public] = ACTIONS(3619),
    [anon_sym_private] = ACTIONS(3619),
    [anon_sym_protected] = ACTIONS(3619),
    [anon_sym_override] = ACTIONS(3619),
    [anon_sym_module] = ACTIONS(3619),
    [anon_sym_any] = ACTIONS(3619),
    [anon_sym_number] = ACTIONS(3619),
    [anon_sym_boolean] = ACTIONS(3619),
    [anon_sym_string] = ACTIONS(3619),
    [anon_sym_symbol] = ACTIONS(3619),
    [anon_sym_object] = ACTIONS(3619),
    [anon_sym_abstract] = ACTIONS(3619),
    [anon_sym_interface] = ACTIONS(3619),
    [anon_sym_enum] = ACTIONS(3619),
    [sym_html_comment] = ACTIONS(5),
  },
  [1532] = {
    [sym_comment] = STATE(1532),
    [sym_identifier] = ACTIONS(3251),
    [anon_sym_export] = ACTIONS(3251),
    [anon_sym_default] = ACTIONS(3251),
    [anon_sym_type] = ACTIONS(3251),
    [anon_sym_namespace] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym_import] = ACTIONS(3251),
    [anon_sym_with] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_debugger] = ACTIONS(3251),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_case] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [anon_sym_LTtemplate_GT] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_class] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_function] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_void] = ACTIONS(3251),
    [anon_sym_delete] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3251),
    [sym_number] = ACTIONS(3251),
    [sym_private_property_identifier] = ACTIONS(3251),
    [sym_this] = ACTIONS(3251),
    [sym_super] = ACTIONS(3251),
    [sym_true] = ACTIONS(3251),
    [sym_false] = ACTIONS(3251),
    [sym_null] = ACTIONS(3251),
    [sym_undefined] = ACTIONS(3251),
    [anon_sym_AT] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_get] = ACTIONS(3251),
    [anon_sym_set] = ACTIONS(3251),
    [anon_sym_declare] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_module] = ACTIONS(3251),
    [anon_sym_any] = ACTIONS(3251),
    [anon_sym_number] = ACTIONS(3251),
    [anon_sym_boolean] = ACTIONS(3251),
    [anon_sym_string] = ACTIONS(3251),
    [anon_sym_symbol] = ACTIONS(3251),
    [anon_sym_object] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_interface] = ACTIONS(3251),
    [anon_sym_enum] = ACTIONS(3251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1533] = {
    [sym_comment] = STATE(1533),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1534] = {
    [sym_comment] = STATE(1534),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1535] = {
    [sym_comment] = STATE(1535),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1536] = {
    [sym_comment] = STATE(1536),
    [ts_builtin_sym_end] = ACTIONS(3621),
    [sym_identifier] = ACTIONS(3369),
    [anon_sym_export] = ACTIONS(3369),
    [anon_sym_type] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym_import] = ACTIONS(3369),
    [anon_sym_with] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_else] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_LPAREN] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_debugger] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_LTtemplate_GT] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_function] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_SLASH] = ACTIONS(3369),
    [anon_sym_LT] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_void] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3369),
    [sym_number] = ACTIONS(3369),
    [sym_private_property_identifier] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
    [sym_super] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_null] = ACTIONS(3369),
    [sym_undefined] = ACTIONS(3369),
    [anon_sym_AT] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_get] = ACTIONS(3369),
    [anon_sym_set] = ACTIONS(3369),
    [anon_sym_declare] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_module] = ACTIONS(3369),
    [anon_sym_any] = ACTIONS(3369),
    [anon_sym_number] = ACTIONS(3369),
    [anon_sym_boolean] = ACTIONS(3369),
    [anon_sym_string] = ACTIONS(3369),
    [anon_sym_symbol] = ACTIONS(3369),
    [anon_sym_object] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_interface] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [sym_html_comment] = ACTIONS(5),
  },
  [1537] = {
    [sym_comment] = STATE(1537),
    [ts_builtin_sym_end] = ACTIONS(3623),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_else] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1538] = {
    [sym_comment] = STATE(1538),
    [ts_builtin_sym_end] = ACTIONS(3625),
    [sym_identifier] = ACTIONS(3437),
    [anon_sym_export] = ACTIONS(3437),
    [anon_sym_type] = ACTIONS(3437),
    [anon_sym_namespace] = ACTIONS(3437),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_typeof] = ACTIONS(3437),
    [anon_sym_import] = ACTIONS(3437),
    [anon_sym_with] = ACTIONS(3437),
    [anon_sym_var] = ACTIONS(3437),
    [anon_sym_let] = ACTIONS(3437),
    [anon_sym_const] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_else] = ACTIONS(3437),
    [anon_sym_if] = ACTIONS(3437),
    [anon_sym_switch] = ACTIONS(3437),
    [anon_sym_for] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_await] = ACTIONS(3437),
    [anon_sym_while] = ACTIONS(3437),
    [anon_sym_do] = ACTIONS(3437),
    [anon_sym_try] = ACTIONS(3437),
    [anon_sym_break] = ACTIONS(3437),
    [anon_sym_continue] = ACTIONS(3437),
    [anon_sym_debugger] = ACTIONS(3437),
    [anon_sym_return] = ACTIONS(3437),
    [anon_sym_throw] = ACTIONS(3437),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym_yield] = ACTIONS(3437),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LTtemplate_GT] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_class] = ACTIONS(3437),
    [anon_sym_async] = ACTIONS(3437),
    [anon_sym_function] = ACTIONS(3437),
    [anon_sym_new] = ACTIONS(3437),
    [anon_sym_using] = ACTIONS(3437),
    [anon_sym_PLUS] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3437),
    [anon_sym_SLASH] = ACTIONS(3437),
    [anon_sym_LT] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_void] = ACTIONS(3437),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3437),
    [sym_number] = ACTIONS(3437),
    [sym_private_property_identifier] = ACTIONS(3437),
    [sym_this] = ACTIONS(3437),
    [sym_super] = ACTIONS(3437),
    [sym_true] = ACTIONS(3437),
    [sym_false] = ACTIONS(3437),
    [sym_null] = ACTIONS(3437),
    [sym_undefined] = ACTIONS(3437),
    [anon_sym_AT] = ACTIONS(3437),
    [anon_sym_static] = ACTIONS(3437),
    [anon_sym_readonly] = ACTIONS(3437),
    [anon_sym_get] = ACTIONS(3437),
    [anon_sym_set] = ACTIONS(3437),
    [anon_sym_declare] = ACTIONS(3437),
    [anon_sym_public] = ACTIONS(3437),
    [anon_sym_private] = ACTIONS(3437),
    [anon_sym_protected] = ACTIONS(3437),
    [anon_sym_override] = ACTIONS(3437),
    [anon_sym_module] = ACTIONS(3437),
    [anon_sym_any] = ACTIONS(3437),
    [anon_sym_number] = ACTIONS(3437),
    [anon_sym_boolean] = ACTIONS(3437),
    [anon_sym_string] = ACTIONS(3437),
    [anon_sym_symbol] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3437),
    [anon_sym_abstract] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3437),
    [anon_sym_enum] = ACTIONS(3437),
    [sym_html_comment] = ACTIONS(5),
  },
  [1539] = {
    [sym_comment] = STATE(1539),
    [ts_builtin_sym_end] = ACTIONS(3627),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_else] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1540] = {
    [sym_comment] = STATE(1540),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1541] = {
    [sym_comment] = STATE(1541),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1542] = {
    [sym_comment] = STATE(1542),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1543] = {
    [sym_comment] = STATE(1543),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1544] = {
    [sym_comment] = STATE(1544),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1545] = {
    [sym_comment] = STATE(1545),
    [ts_builtin_sym_end] = ACTIONS(2420),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_typeof] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_var] = ACTIONS(2266),
    [anon_sym_let] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_debugger] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LTtemplate_GT] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_void] = ACTIONS(2266),
    [anon_sym_delete] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2266),
    [sym_number] = ACTIONS(2266),
    [sym_private_property_identifier] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_null] = ACTIONS(2266),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_object] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [sym__automatic_semicolon] = ACTIONS(2502),
    [sym_html_comment] = ACTIONS(5),
  },
  [1546] = {
    [sym_comment] = STATE(1546),
    [ts_builtin_sym_end] = ACTIONS(3629),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_else] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1547] = {
    [sym_comment] = STATE(1547),
    [ts_builtin_sym_end] = ACTIONS(2424),
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_export] = ACTIONS(2194),
    [anon_sym_type] = ACTIONS(2194),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_typeof] = ACTIONS(2194),
    [anon_sym_import] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2194),
    [anon_sym_var] = ACTIONS(2194),
    [anon_sym_let] = ACTIONS(2194),
    [anon_sym_const] = ACTIONS(2194),
    [anon_sym_BANG] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(2194),
    [anon_sym_await] = ACTIONS(2194),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_debugger] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_LTtemplate_GT] = ACTIONS(2194),
    [anon_sym_DQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_async] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_TILDE] = ACTIONS(2194),
    [anon_sym_void] = ACTIONS(2194),
    [anon_sym_delete] = ACTIONS(2194),
    [anon_sym_PLUS_PLUS] = ACTIONS(2194),
    [anon_sym_DASH_DASH] = ACTIONS(2194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2194),
    [sym_number] = ACTIONS(2194),
    [sym_private_property_identifier] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [sym_super] = ACTIONS(2194),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [sym_null] = ACTIONS(2194),
    [sym_undefined] = ACTIONS(2194),
    [anon_sym_AT] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_readonly] = ACTIONS(2194),
    [anon_sym_get] = ACTIONS(2194),
    [anon_sym_set] = ACTIONS(2194),
    [anon_sym_declare] = ACTIONS(2194),
    [anon_sym_public] = ACTIONS(2194),
    [anon_sym_private] = ACTIONS(2194),
    [anon_sym_protected] = ACTIONS(2194),
    [anon_sym_override] = ACTIONS(2194),
    [anon_sym_module] = ACTIONS(2194),
    [anon_sym_any] = ACTIONS(2194),
    [anon_sym_number] = ACTIONS(2194),
    [anon_sym_boolean] = ACTIONS(2194),
    [anon_sym_string] = ACTIONS(2194),
    [anon_sym_symbol] = ACTIONS(2194),
    [anon_sym_object] = ACTIONS(2194),
    [anon_sym_abstract] = ACTIONS(2194),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [sym__automatic_semicolon] = ACTIONS(2500),
    [sym_html_comment] = ACTIONS(5),
  },
  [1548] = {
    [sym_comment] = STATE(1548),
    [ts_builtin_sym_end] = ACTIONS(2428),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2498),
    [sym_html_comment] = ACTIONS(5),
  },
  [1549] = {
    [sym_comment] = STATE(1549),
    [ts_builtin_sym_end] = ACTIONS(2404),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2492),
    [sym_html_comment] = ACTIONS(5),
  },
  [1550] = {
    [sym_comment] = STATE(1550),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1551] = {
    [sym_comment] = STATE(1551),
    [ts_builtin_sym_end] = ACTIONS(2400),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2490),
    [sym_html_comment] = ACTIONS(5),
  },
  [1552] = {
    [sym_comment] = STATE(1552),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1553] = {
    [sym_comment] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(3627),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_else] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1554] = {
    [sym_comment] = STATE(1554),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1555] = {
    [sym_comment] = STATE(1555),
    [ts_builtin_sym_end] = ACTIONS(3631),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_else] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1556] = {
    [sym_comment] = STATE(1556),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1557] = {
    [sym_comment] = STATE(1557),
    [ts_builtin_sym_end] = ACTIONS(3633),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_else] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1558] = {
    [sym_comment] = STATE(1558),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1559] = {
    [sym_comment] = STATE(1559),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1560] = {
    [sym_comment] = STATE(1560),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(3635),
    [sym_html_comment] = ACTIONS(5),
  },
  [1561] = {
    [sym_comment] = STATE(1561),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_default] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_case] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1562] = {
    [sym_comment] = STATE(1562),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1563] = {
    [sym_comment] = STATE(1563),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1564] = {
    [sym_comment] = STATE(1564),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1565] = {
    [sym_comment] = STATE(1565),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1566] = {
    [sym_comment] = STATE(1566),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1567] = {
    [sym_comment] = STATE(1567),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1568] = {
    [sym_comment] = STATE(1568),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1569] = {
    [sym_comment] = STATE(1569),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1570] = {
    [sym_comment] = STATE(1570),
    [ts_builtin_sym_end] = ACTIONS(3639),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_else] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1571] = {
    [sym_comment] = STATE(1571),
    [ts_builtin_sym_end] = ACTIONS(3641),
    [sym_identifier] = ACTIONS(3251),
    [anon_sym_export] = ACTIONS(3251),
    [anon_sym_type] = ACTIONS(3251),
    [anon_sym_namespace] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym_import] = ACTIONS(3251),
    [anon_sym_with] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_else] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_debugger] = ACTIONS(3251),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [anon_sym_LTtemplate_GT] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_class] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_function] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_void] = ACTIONS(3251),
    [anon_sym_delete] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3251),
    [sym_number] = ACTIONS(3251),
    [sym_private_property_identifier] = ACTIONS(3251),
    [sym_this] = ACTIONS(3251),
    [sym_super] = ACTIONS(3251),
    [sym_true] = ACTIONS(3251),
    [sym_false] = ACTIONS(3251),
    [sym_null] = ACTIONS(3251),
    [sym_undefined] = ACTIONS(3251),
    [anon_sym_AT] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_get] = ACTIONS(3251),
    [anon_sym_set] = ACTIONS(3251),
    [anon_sym_declare] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_module] = ACTIONS(3251),
    [anon_sym_any] = ACTIONS(3251),
    [anon_sym_number] = ACTIONS(3251),
    [anon_sym_boolean] = ACTIONS(3251),
    [anon_sym_string] = ACTIONS(3251),
    [anon_sym_symbol] = ACTIONS(3251),
    [anon_sym_object] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_interface] = ACTIONS(3251),
    [anon_sym_enum] = ACTIONS(3251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1572] = {
    [sym_comment] = STATE(1572),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1573] = {
    [sym_comment] = STATE(1573),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1574] = {
    [sym_comment] = STATE(1574),
    [ts_builtin_sym_end] = ACTIONS(3165),
    [sym_identifier] = ACTIONS(3163),
    [anon_sym_export] = ACTIONS(3163),
    [anon_sym_type] = ACTIONS(3163),
    [anon_sym_namespace] = ACTIONS(3163),
    [anon_sym_LBRACE] = ACTIONS(3163),
    [anon_sym_RBRACE] = ACTIONS(3163),
    [anon_sym_typeof] = ACTIONS(3163),
    [anon_sym_import] = ACTIONS(3163),
    [anon_sym_with] = ACTIONS(3163),
    [anon_sym_var] = ACTIONS(3163),
    [anon_sym_let] = ACTIONS(3163),
    [anon_sym_const] = ACTIONS(3163),
    [anon_sym_BANG] = ACTIONS(3163),
    [anon_sym_if] = ACTIONS(3163),
    [anon_sym_switch] = ACTIONS(3163),
    [anon_sym_for] = ACTIONS(3163),
    [anon_sym_LPAREN] = ACTIONS(3163),
    [anon_sym_await] = ACTIONS(3163),
    [anon_sym_while] = ACTIONS(3163),
    [anon_sym_do] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3163),
    [anon_sym_break] = ACTIONS(3163),
    [anon_sym_continue] = ACTIONS(3163),
    [anon_sym_debugger] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3163),
    [anon_sym_throw] = ACTIONS(3163),
    [anon_sym_SEMI] = ACTIONS(3163),
    [anon_sym_yield] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_LTtemplate_GT] = ACTIONS(3163),
    [anon_sym_DQUOTE] = ACTIONS(3163),
    [anon_sym_SQUOTE] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3163),
    [anon_sym_async] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_new] = ACTIONS(3163),
    [anon_sym_using] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3163),
    [anon_sym_DASH] = ACTIONS(3163),
    [anon_sym_SLASH] = ACTIONS(3163),
    [anon_sym_LT] = ACTIONS(3163),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_void] = ACTIONS(3163),
    [anon_sym_delete] = ACTIONS(3163),
    [anon_sym_PLUS_PLUS] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3163),
    [sym_number] = ACTIONS(3163),
    [sym_private_property_identifier] = ACTIONS(3163),
    [sym_this] = ACTIONS(3163),
    [sym_super] = ACTIONS(3163),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [sym_null] = ACTIONS(3163),
    [sym_undefined] = ACTIONS(3163),
    [anon_sym_AT] = ACTIONS(3163),
    [anon_sym_static] = ACTIONS(3163),
    [anon_sym_readonly] = ACTIONS(3163),
    [anon_sym_get] = ACTIONS(3163),
    [anon_sym_set] = ACTIONS(3163),
    [anon_sym_declare] = ACTIONS(3163),
    [anon_sym_public] = ACTIONS(3163),
    [anon_sym_private] = ACTIONS(3163),
    [anon_sym_protected] = ACTIONS(3163),
    [anon_sym_override] = ACTIONS(3163),
    [anon_sym_module] = ACTIONS(3163),
    [anon_sym_any] = ACTIONS(3163),
    [anon_sym_number] = ACTIONS(3163),
    [anon_sym_boolean] = ACTIONS(3163),
    [anon_sym_string] = ACTIONS(3163),
    [anon_sym_symbol] = ACTIONS(3163),
    [anon_sym_object] = ACTIONS(3163),
    [anon_sym_abstract] = ACTIONS(3163),
    [anon_sym_interface] = ACTIONS(3163),
    [anon_sym_enum] = ACTIONS(3163),
    [sym__automatic_semicolon] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1575] = {
    [sym_comment] = STATE(1575),
    [ts_builtin_sym_end] = ACTIONS(3643),
    [sym_identifier] = ACTIONS(3395),
    [anon_sym_export] = ACTIONS(3395),
    [anon_sym_type] = ACTIONS(3395),
    [anon_sym_namespace] = ACTIONS(3395),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_typeof] = ACTIONS(3395),
    [anon_sym_import] = ACTIONS(3395),
    [anon_sym_with] = ACTIONS(3395),
    [anon_sym_var] = ACTIONS(3395),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_const] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_else] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(3395),
    [anon_sym_switch] = ACTIONS(3395),
    [anon_sym_for] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_await] = ACTIONS(3395),
    [anon_sym_while] = ACTIONS(3395),
    [anon_sym_do] = ACTIONS(3395),
    [anon_sym_try] = ACTIONS(3395),
    [anon_sym_break] = ACTIONS(3395),
    [anon_sym_continue] = ACTIONS(3395),
    [anon_sym_debugger] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3395),
    [anon_sym_throw] = ACTIONS(3395),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_yield] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LTtemplate_GT] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_class] = ACTIONS(3395),
    [anon_sym_async] = ACTIONS(3395),
    [anon_sym_function] = ACTIONS(3395),
    [anon_sym_new] = ACTIONS(3395),
    [anon_sym_using] = ACTIONS(3395),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_SLASH] = ACTIONS(3395),
    [anon_sym_LT] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_void] = ACTIONS(3395),
    [anon_sym_delete] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3395),
    [sym_number] = ACTIONS(3395),
    [sym_private_property_identifier] = ACTIONS(3395),
    [sym_this] = ACTIONS(3395),
    [sym_super] = ACTIONS(3395),
    [sym_true] = ACTIONS(3395),
    [sym_false] = ACTIONS(3395),
    [sym_null] = ACTIONS(3395),
    [sym_undefined] = ACTIONS(3395),
    [anon_sym_AT] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3395),
    [anon_sym_readonly] = ACTIONS(3395),
    [anon_sym_get] = ACTIONS(3395),
    [anon_sym_set] = ACTIONS(3395),
    [anon_sym_declare] = ACTIONS(3395),
    [anon_sym_public] = ACTIONS(3395),
    [anon_sym_private] = ACTIONS(3395),
    [anon_sym_protected] = ACTIONS(3395),
    [anon_sym_override] = ACTIONS(3395),
    [anon_sym_module] = ACTIONS(3395),
    [anon_sym_any] = ACTIONS(3395),
    [anon_sym_number] = ACTIONS(3395),
    [anon_sym_boolean] = ACTIONS(3395),
    [anon_sym_string] = ACTIONS(3395),
    [anon_sym_symbol] = ACTIONS(3395),
    [anon_sym_object] = ACTIONS(3395),
    [anon_sym_abstract] = ACTIONS(3395),
    [anon_sym_interface] = ACTIONS(3395),
    [anon_sym_enum] = ACTIONS(3395),
    [sym_html_comment] = ACTIONS(5),
  },
  [1576] = {
    [sym_comment] = STATE(1576),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1577] = {
    [sym_comment] = STATE(1577),
    [ts_builtin_sym_end] = ACTIONS(2390),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_namespace] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_typeof] = ACTIONS(2228),
    [anon_sym_import] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2228),
    [anon_sym_var] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_await] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_do] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_debugger] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_throw] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LTtemplate_GT] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2228),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2228),
    [anon_sym_using] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2228),
    [anon_sym_SLASH] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_void] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym_number] = ACTIONS(2228),
    [sym_private_property_identifier] = ACTIONS(2228),
    [sym_this] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_true] = ACTIONS(2228),
    [sym_false] = ACTIONS(2228),
    [sym_null] = ACTIONS(2228),
    [sym_undefined] = ACTIONS(2228),
    [anon_sym_AT] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [anon_sym_abstract] = ACTIONS(2228),
    [anon_sym_interface] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1578] = {
    [sym_comment] = STATE(1578),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1579] = {
    [sym_comment] = STATE(1579),
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym__automatic_semicolon] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1580] = {
    [sym_comment] = STATE(1580),
    [ts_builtin_sym_end] = ACTIONS(2218),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1581] = {
    [sym_comment] = STATE(1581),
    [ts_builtin_sym_end] = ACTIONS(3645),
    [sym_identifier] = ACTIONS(3435),
    [anon_sym_export] = ACTIONS(3435),
    [anon_sym_type] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3435),
    [anon_sym_RBRACE] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3435),
    [anon_sym_import] = ACTIONS(3435),
    [anon_sym_with] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_BANG] = ACTIONS(3435),
    [anon_sym_else] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_LPAREN] = ACTIONS(3435),
    [anon_sym_await] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_debugger] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_LTtemplate_GT] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_function] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_SLASH] = ACTIONS(3435),
    [anon_sym_LT] = ACTIONS(3435),
    [anon_sym_TILDE] = ACTIONS(3435),
    [anon_sym_void] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_PLUS_PLUS] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3435),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3435),
    [sym_number] = ACTIONS(3435),
    [sym_private_property_identifier] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
    [sym_super] = ACTIONS(3435),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [sym_null] = ACTIONS(3435),
    [sym_undefined] = ACTIONS(3435),
    [anon_sym_AT] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_get] = ACTIONS(3435),
    [anon_sym_set] = ACTIONS(3435),
    [anon_sym_declare] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_module] = ACTIONS(3435),
    [anon_sym_any] = ACTIONS(3435),
    [anon_sym_number] = ACTIONS(3435),
    [anon_sym_boolean] = ACTIONS(3435),
    [anon_sym_string] = ACTIONS(3435),
    [anon_sym_symbol] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [sym_html_comment] = ACTIONS(5),
  },
  [1582] = {
    [sym_comment] = STATE(1582),
    [ts_builtin_sym_end] = ACTIONS(3647),
    [sym_identifier] = ACTIONS(3447),
    [anon_sym_export] = ACTIONS(3447),
    [anon_sym_type] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3447),
    [anon_sym_RBRACE] = ACTIONS(3447),
    [anon_sym_typeof] = ACTIONS(3447),
    [anon_sym_import] = ACTIONS(3447),
    [anon_sym_with] = ACTIONS(3447),
    [anon_sym_var] = ACTIONS(3447),
    [anon_sym_let] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_BANG] = ACTIONS(3447),
    [anon_sym_else] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_LPAREN] = ACTIONS(3447),
    [anon_sym_await] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_debugger] = ACTIONS(3447),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3447),
    [anon_sym_yield] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_LTtemplate_GT] = ACTIONS(3447),
    [anon_sym_DQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_async] = ACTIONS(3447),
    [anon_sym_function] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_SLASH] = ACTIONS(3447),
    [anon_sym_LT] = ACTIONS(3447),
    [anon_sym_TILDE] = ACTIONS(3447),
    [anon_sym_void] = ACTIONS(3447),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_PLUS_PLUS] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(3447),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3447),
    [sym_number] = ACTIONS(3447),
    [sym_private_property_identifier] = ACTIONS(3447),
    [sym_this] = ACTIONS(3447),
    [sym_super] = ACTIONS(3447),
    [sym_true] = ACTIONS(3447),
    [sym_false] = ACTIONS(3447),
    [sym_null] = ACTIONS(3447),
    [sym_undefined] = ACTIONS(3447),
    [anon_sym_AT] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_readonly] = ACTIONS(3447),
    [anon_sym_get] = ACTIONS(3447),
    [anon_sym_set] = ACTIONS(3447),
    [anon_sym_declare] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_override] = ACTIONS(3447),
    [anon_sym_module] = ACTIONS(3447),
    [anon_sym_any] = ACTIONS(3447),
    [anon_sym_number] = ACTIONS(3447),
    [anon_sym_boolean] = ACTIONS(3447),
    [anon_sym_string] = ACTIONS(3447),
    [anon_sym_symbol] = ACTIONS(3447),
    [anon_sym_object] = ACTIONS(3447),
    [anon_sym_abstract] = ACTIONS(3447),
    [anon_sym_interface] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [sym_html_comment] = ACTIONS(5),
  },
  [1583] = {
    [sym_comment] = STATE(1583),
    [ts_builtin_sym_end] = ACTIONS(3649),
    [sym_identifier] = ACTIONS(3445),
    [anon_sym_export] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_namespace] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_RBRACE] = ACTIONS(3445),
    [anon_sym_typeof] = ACTIONS(3445),
    [anon_sym_import] = ACTIONS(3445),
    [anon_sym_with] = ACTIONS(3445),
    [anon_sym_var] = ACTIONS(3445),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_const] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_if] = ACTIONS(3445),
    [anon_sym_switch] = ACTIONS(3445),
    [anon_sym_for] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_await] = ACTIONS(3445),
    [anon_sym_while] = ACTIONS(3445),
    [anon_sym_do] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3445),
    [anon_sym_break] = ACTIONS(3445),
    [anon_sym_continue] = ACTIONS(3445),
    [anon_sym_debugger] = ACTIONS(3445),
    [anon_sym_return] = ACTIONS(3445),
    [anon_sym_throw] = ACTIONS(3445),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_yield] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LTtemplate_GT] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_async] = ACTIONS(3445),
    [anon_sym_function] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(3445),
    [anon_sym_using] = ACTIONS(3445),
    [anon_sym_PLUS] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3445),
    [anon_sym_SLASH] = ACTIONS(3445),
    [anon_sym_LT] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_void] = ACTIONS(3445),
    [anon_sym_delete] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3445),
    [sym_number] = ACTIONS(3445),
    [sym_private_property_identifier] = ACTIONS(3445),
    [sym_this] = ACTIONS(3445),
    [sym_super] = ACTIONS(3445),
    [sym_true] = ACTIONS(3445),
    [sym_false] = ACTIONS(3445),
    [sym_null] = ACTIONS(3445),
    [sym_undefined] = ACTIONS(3445),
    [anon_sym_AT] = ACTIONS(3445),
    [anon_sym_static] = ACTIONS(3445),
    [anon_sym_readonly] = ACTIONS(3445),
    [anon_sym_get] = ACTIONS(3445),
    [anon_sym_set] = ACTIONS(3445),
    [anon_sym_declare] = ACTIONS(3445),
    [anon_sym_public] = ACTIONS(3445),
    [anon_sym_private] = ACTIONS(3445),
    [anon_sym_protected] = ACTIONS(3445),
    [anon_sym_override] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_any] = ACTIONS(3445),
    [anon_sym_number] = ACTIONS(3445),
    [anon_sym_boolean] = ACTIONS(3445),
    [anon_sym_string] = ACTIONS(3445),
    [anon_sym_symbol] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3445),
    [anon_sym_abstract] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3445),
    [anon_sym_enum] = ACTIONS(3445),
    [sym_html_comment] = ACTIONS(5),
  },
  [1584] = {
    [sym_comment] = STATE(1584),
    [ts_builtin_sym_end] = ACTIONS(3649),
    [sym_identifier] = ACTIONS(3445),
    [anon_sym_export] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_namespace] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_RBRACE] = ACTIONS(3445),
    [anon_sym_typeof] = ACTIONS(3445),
    [anon_sym_import] = ACTIONS(3445),
    [anon_sym_with] = ACTIONS(3445),
    [anon_sym_var] = ACTIONS(3445),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_const] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_if] = ACTIONS(3445),
    [anon_sym_switch] = ACTIONS(3445),
    [anon_sym_for] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_await] = ACTIONS(3445),
    [anon_sym_while] = ACTIONS(3445),
    [anon_sym_do] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3445),
    [anon_sym_break] = ACTIONS(3445),
    [anon_sym_continue] = ACTIONS(3445),
    [anon_sym_debugger] = ACTIONS(3445),
    [anon_sym_return] = ACTIONS(3445),
    [anon_sym_throw] = ACTIONS(3445),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_yield] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LTtemplate_GT] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_async] = ACTIONS(3445),
    [anon_sym_function] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(3445),
    [anon_sym_using] = ACTIONS(3445),
    [anon_sym_PLUS] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3445),
    [anon_sym_SLASH] = ACTIONS(3445),
    [anon_sym_LT] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_void] = ACTIONS(3445),
    [anon_sym_delete] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3445),
    [sym_number] = ACTIONS(3445),
    [sym_private_property_identifier] = ACTIONS(3445),
    [sym_this] = ACTIONS(3445),
    [sym_super] = ACTIONS(3445),
    [sym_true] = ACTIONS(3445),
    [sym_false] = ACTIONS(3445),
    [sym_null] = ACTIONS(3445),
    [sym_undefined] = ACTIONS(3445),
    [anon_sym_AT] = ACTIONS(3445),
    [anon_sym_static] = ACTIONS(3445),
    [anon_sym_readonly] = ACTIONS(3445),
    [anon_sym_get] = ACTIONS(3445),
    [anon_sym_set] = ACTIONS(3445),
    [anon_sym_declare] = ACTIONS(3445),
    [anon_sym_public] = ACTIONS(3445),
    [anon_sym_private] = ACTIONS(3445),
    [anon_sym_protected] = ACTIONS(3445),
    [anon_sym_override] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_any] = ACTIONS(3445),
    [anon_sym_number] = ACTIONS(3445),
    [anon_sym_boolean] = ACTIONS(3445),
    [anon_sym_string] = ACTIONS(3445),
    [anon_sym_symbol] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3445),
    [anon_sym_abstract] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3445),
    [anon_sym_enum] = ACTIONS(3445),
    [sym_html_comment] = ACTIONS(5),
  },
  [1585] = {
    [sym_comment] = STATE(1585),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1586] = {
    [sym_comment] = STATE(1586),
    [ts_builtin_sym_end] = ACTIONS(3651),
    [sym_identifier] = ACTIONS(3399),
    [anon_sym_export] = ACTIONS(3399),
    [anon_sym_type] = ACTIONS(3399),
    [anon_sym_namespace] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_typeof] = ACTIONS(3399),
    [anon_sym_import] = ACTIONS(3399),
    [anon_sym_with] = ACTIONS(3399),
    [anon_sym_var] = ACTIONS(3399),
    [anon_sym_let] = ACTIONS(3399),
    [anon_sym_const] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_else] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_switch] = ACTIONS(3399),
    [anon_sym_for] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_await] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(3399),
    [anon_sym_do] = ACTIONS(3399),
    [anon_sym_try] = ACTIONS(3399),
    [anon_sym_break] = ACTIONS(3399),
    [anon_sym_continue] = ACTIONS(3399),
    [anon_sym_debugger] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3399),
    [anon_sym_throw] = ACTIONS(3399),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_yield] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LTtemplate_GT] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3399),
    [anon_sym_async] = ACTIONS(3399),
    [anon_sym_function] = ACTIONS(3399),
    [anon_sym_new] = ACTIONS(3399),
    [anon_sym_using] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_void] = ACTIONS(3399),
    [anon_sym_delete] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3399),
    [sym_number] = ACTIONS(3399),
    [sym_private_property_identifier] = ACTIONS(3399),
    [sym_this] = ACTIONS(3399),
    [sym_super] = ACTIONS(3399),
    [sym_true] = ACTIONS(3399),
    [sym_false] = ACTIONS(3399),
    [sym_null] = ACTIONS(3399),
    [sym_undefined] = ACTIONS(3399),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_static] = ACTIONS(3399),
    [anon_sym_readonly] = ACTIONS(3399),
    [anon_sym_get] = ACTIONS(3399),
    [anon_sym_set] = ACTIONS(3399),
    [anon_sym_declare] = ACTIONS(3399),
    [anon_sym_public] = ACTIONS(3399),
    [anon_sym_private] = ACTIONS(3399),
    [anon_sym_protected] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3399),
    [anon_sym_module] = ACTIONS(3399),
    [anon_sym_any] = ACTIONS(3399),
    [anon_sym_number] = ACTIONS(3399),
    [anon_sym_boolean] = ACTIONS(3399),
    [anon_sym_string] = ACTIONS(3399),
    [anon_sym_symbol] = ACTIONS(3399),
    [anon_sym_object] = ACTIONS(3399),
    [anon_sym_abstract] = ACTIONS(3399),
    [anon_sym_interface] = ACTIONS(3399),
    [anon_sym_enum] = ACTIONS(3399),
    [sym_html_comment] = ACTIONS(5),
  },
  [1587] = {
    [sym_comment] = STATE(1587),
    [ts_builtin_sym_end] = ACTIONS(3653),
    [sym_identifier] = ACTIONS(3449),
    [anon_sym_export] = ACTIONS(3449),
    [anon_sym_type] = ACTIONS(3449),
    [anon_sym_namespace] = ACTIONS(3449),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_RBRACE] = ACTIONS(3449),
    [anon_sym_typeof] = ACTIONS(3449),
    [anon_sym_import] = ACTIONS(3449),
    [anon_sym_with] = ACTIONS(3449),
    [anon_sym_var] = ACTIONS(3449),
    [anon_sym_let] = ACTIONS(3449),
    [anon_sym_const] = ACTIONS(3449),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_else] = ACTIONS(3449),
    [anon_sym_if] = ACTIONS(3449),
    [anon_sym_switch] = ACTIONS(3449),
    [anon_sym_for] = ACTIONS(3449),
    [anon_sym_LPAREN] = ACTIONS(3449),
    [anon_sym_await] = ACTIONS(3449),
    [anon_sym_while] = ACTIONS(3449),
    [anon_sym_do] = ACTIONS(3449),
    [anon_sym_try] = ACTIONS(3449),
    [anon_sym_break] = ACTIONS(3449),
    [anon_sym_continue] = ACTIONS(3449),
    [anon_sym_debugger] = ACTIONS(3449),
    [anon_sym_return] = ACTIONS(3449),
    [anon_sym_throw] = ACTIONS(3449),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym_yield] = ACTIONS(3449),
    [anon_sym_LBRACK] = ACTIONS(3449),
    [anon_sym_LTtemplate_GT] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_class] = ACTIONS(3449),
    [anon_sym_async] = ACTIONS(3449),
    [anon_sym_function] = ACTIONS(3449),
    [anon_sym_new] = ACTIONS(3449),
    [anon_sym_using] = ACTIONS(3449),
    [anon_sym_PLUS] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3449),
    [anon_sym_SLASH] = ACTIONS(3449),
    [anon_sym_LT] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_void] = ACTIONS(3449),
    [anon_sym_delete] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3449),
    [sym_number] = ACTIONS(3449),
    [sym_private_property_identifier] = ACTIONS(3449),
    [sym_this] = ACTIONS(3449),
    [sym_super] = ACTIONS(3449),
    [sym_true] = ACTIONS(3449),
    [sym_false] = ACTIONS(3449),
    [sym_null] = ACTIONS(3449),
    [sym_undefined] = ACTIONS(3449),
    [anon_sym_AT] = ACTIONS(3449),
    [anon_sym_static] = ACTIONS(3449),
    [anon_sym_readonly] = ACTIONS(3449),
    [anon_sym_get] = ACTIONS(3449),
    [anon_sym_set] = ACTIONS(3449),
    [anon_sym_declare] = ACTIONS(3449),
    [anon_sym_public] = ACTIONS(3449),
    [anon_sym_private] = ACTIONS(3449),
    [anon_sym_protected] = ACTIONS(3449),
    [anon_sym_override] = ACTIONS(3449),
    [anon_sym_module] = ACTIONS(3449),
    [anon_sym_any] = ACTIONS(3449),
    [anon_sym_number] = ACTIONS(3449),
    [anon_sym_boolean] = ACTIONS(3449),
    [anon_sym_string] = ACTIONS(3449),
    [anon_sym_symbol] = ACTIONS(3449),
    [anon_sym_object] = ACTIONS(3449),
    [anon_sym_abstract] = ACTIONS(3449),
    [anon_sym_interface] = ACTIONS(3449),
    [anon_sym_enum] = ACTIONS(3449),
    [sym_html_comment] = ACTIONS(5),
  },
  [1588] = {
    [sym_comment] = STATE(1588),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1589] = {
    [sym_comment] = STATE(1589),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1590] = {
    [sym_comment] = STATE(1590),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1591] = {
    [sym_comment] = STATE(1591),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1592] = {
    [sym_comment] = STATE(1592),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_default] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_case] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1593] = {
    [sym_comment] = STATE(1593),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1594] = {
    [sym_comment] = STATE(1594),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1595] = {
    [sym_comment] = STATE(1595),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1596] = {
    [sym_comment] = STATE(1596),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1597] = {
    [sym_comment] = STATE(1597),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_default] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_case] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1598] = {
    [sym_comment] = STATE(1598),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1599] = {
    [sym_comment] = STATE(1599),
    [ts_builtin_sym_end] = ACTIONS(3655),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_else] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1600] = {
    [sym_comment] = STATE(1600),
    [ts_builtin_sym_end] = ACTIONS(3657),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_export] = ACTIONS(3381),
    [anon_sym_type] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym_import] = ACTIONS(3381),
    [anon_sym_with] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_else] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_debugger] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_LTtemplate_GT] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_function] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_SLASH] = ACTIONS(3381),
    [anon_sym_LT] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_void] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3381),
    [sym_number] = ACTIONS(3381),
    [sym_private_property_identifier] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
    [sym_super] = ACTIONS(3381),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [sym_null] = ACTIONS(3381),
    [sym_undefined] = ACTIONS(3381),
    [anon_sym_AT] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_get] = ACTIONS(3381),
    [anon_sym_set] = ACTIONS(3381),
    [anon_sym_declare] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_module] = ACTIONS(3381),
    [anon_sym_any] = ACTIONS(3381),
    [anon_sym_number] = ACTIONS(3381),
    [anon_sym_boolean] = ACTIONS(3381),
    [anon_sym_string] = ACTIONS(3381),
    [anon_sym_symbol] = ACTIONS(3381),
    [anon_sym_object] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_interface] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [sym_html_comment] = ACTIONS(5),
  },
  [1601] = {
    [sym_comment] = STATE(1601),
    [ts_builtin_sym_end] = ACTIONS(3655),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_else] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1602] = {
    [sym_comment] = STATE(1602),
    [ts_builtin_sym_end] = ACTIONS(3659),
    [sym_identifier] = ACTIONS(3259),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_type] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_RBRACE] = ACTIONS(3259),
    [anon_sym_typeof] = ACTIONS(3259),
    [anon_sym_import] = ACTIONS(3259),
    [anon_sym_with] = ACTIONS(3259),
    [anon_sym_var] = ACTIONS(3259),
    [anon_sym_let] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_else] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_await] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_debugger] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym_yield] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_LTtemplate_GT] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_async] = ACTIONS(3259),
    [anon_sym_function] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_void] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3259),
    [sym_number] = ACTIONS(3259),
    [sym_private_property_identifier] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
    [sym_super] = ACTIONS(3259),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [sym_null] = ACTIONS(3259),
    [sym_undefined] = ACTIONS(3259),
    [anon_sym_AT] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_readonly] = ACTIONS(3259),
    [anon_sym_get] = ACTIONS(3259),
    [anon_sym_set] = ACTIONS(3259),
    [anon_sym_declare] = ACTIONS(3259),
    [anon_sym_public] = ACTIONS(3259),
    [anon_sym_private] = ACTIONS(3259),
    [anon_sym_protected] = ACTIONS(3259),
    [anon_sym_override] = ACTIONS(3259),
    [anon_sym_module] = ACTIONS(3259),
    [anon_sym_any] = ACTIONS(3259),
    [anon_sym_number] = ACTIONS(3259),
    [anon_sym_boolean] = ACTIONS(3259),
    [anon_sym_string] = ACTIONS(3259),
    [anon_sym_symbol] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3259),
    [anon_sym_abstract] = ACTIONS(3259),
    [anon_sym_interface] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1603] = {
    [sym_comment] = STATE(1603),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1604] = {
    [sym_comment] = STATE(1604),
    [ts_builtin_sym_end] = ACTIONS(3661),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_else] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1605] = {
    [sym_comment] = STATE(1605),
    [ts_builtin_sym_end] = ACTIONS(3663),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_else] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1606] = {
    [sym_comment] = STATE(1606),
    [ts_builtin_sym_end] = ACTIONS(3665),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1607] = {
    [sym_comment] = STATE(1607),
    [ts_builtin_sym_end] = ACTIONS(3265),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3667),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym__automatic_semicolon] = ACTIONS(3669),
    [sym_html_comment] = ACTIONS(5),
  },
  [1608] = {
    [sym_comment] = STATE(1608),
    [ts_builtin_sym_end] = ACTIONS(3671),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_else] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1609] = {
    [sym_comment] = STATE(1609),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1610] = {
    [sym_comment] = STATE(1610),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1611] = {
    [sym_comment] = STATE(1611),
    [ts_builtin_sym_end] = ACTIONS(3673),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_else] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1612] = {
    [sym_comment] = STATE(1612),
    [ts_builtin_sym_end] = ACTIONS(3261),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_finally] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1613] = {
    [sym_comment] = STATE(1613),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1614] = {
    [sym_comment] = STATE(1614),
    [ts_builtin_sym_end] = ACTIONS(3675),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_else] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1615] = {
    [sym_comment] = STATE(1615),
    [ts_builtin_sym_end] = ACTIONS(3509),
    [sym_identifier] = ACTIONS(3351),
    [anon_sym_export] = ACTIONS(3351),
    [anon_sym_type] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3351),
    [anon_sym_typeof] = ACTIONS(3351),
    [anon_sym_import] = ACTIONS(3351),
    [anon_sym_with] = ACTIONS(3351),
    [anon_sym_var] = ACTIONS(3351),
    [anon_sym_let] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_await] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_debugger] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_yield] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LTtemplate_GT] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_async] = ACTIONS(3351),
    [anon_sym_function] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_LT] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_void] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3351),
    [sym_number] = ACTIONS(3351),
    [sym_private_property_identifier] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
    [sym_super] = ACTIONS(3351),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [sym_null] = ACTIONS(3351),
    [sym_undefined] = ACTIONS(3351),
    [anon_sym_AT] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_readonly] = ACTIONS(3351),
    [anon_sym_get] = ACTIONS(3351),
    [anon_sym_set] = ACTIONS(3351),
    [anon_sym_declare] = ACTIONS(3351),
    [anon_sym_public] = ACTIONS(3351),
    [anon_sym_private] = ACTIONS(3351),
    [anon_sym_protected] = ACTIONS(3351),
    [anon_sym_override] = ACTIONS(3351),
    [anon_sym_module] = ACTIONS(3351),
    [anon_sym_any] = ACTIONS(3351),
    [anon_sym_number] = ACTIONS(3351),
    [anon_sym_boolean] = ACTIONS(3351),
    [anon_sym_string] = ACTIONS(3351),
    [anon_sym_symbol] = ACTIONS(3351),
    [anon_sym_object] = ACTIONS(3351),
    [anon_sym_abstract] = ACTIONS(3351),
    [anon_sym_interface] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [sym_html_comment] = ACTIONS(5),
  },
  [1616] = {
    [sym_comment] = STATE(1616),
    [ts_builtin_sym_end] = ACTIONS(3529),
    [sym_identifier] = ACTIONS(3461),
    [anon_sym_export] = ACTIONS(3461),
    [anon_sym_type] = ACTIONS(3461),
    [anon_sym_namespace] = ACTIONS(3461),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_RBRACE] = ACTIONS(3461),
    [anon_sym_typeof] = ACTIONS(3461),
    [anon_sym_import] = ACTIONS(3461),
    [anon_sym_with] = ACTIONS(3461),
    [anon_sym_var] = ACTIONS(3461),
    [anon_sym_let] = ACTIONS(3461),
    [anon_sym_const] = ACTIONS(3461),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_if] = ACTIONS(3461),
    [anon_sym_switch] = ACTIONS(3461),
    [anon_sym_for] = ACTIONS(3461),
    [anon_sym_LPAREN] = ACTIONS(3461),
    [anon_sym_await] = ACTIONS(3461),
    [anon_sym_while] = ACTIONS(3461),
    [anon_sym_do] = ACTIONS(3461),
    [anon_sym_try] = ACTIONS(3461),
    [anon_sym_break] = ACTIONS(3461),
    [anon_sym_continue] = ACTIONS(3461),
    [anon_sym_debugger] = ACTIONS(3461),
    [anon_sym_return] = ACTIONS(3461),
    [anon_sym_throw] = ACTIONS(3461),
    [anon_sym_SEMI] = ACTIONS(3461),
    [anon_sym_yield] = ACTIONS(3461),
    [anon_sym_LBRACK] = ACTIONS(3461),
    [anon_sym_LTtemplate_GT] = ACTIONS(3461),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_class] = ACTIONS(3461),
    [anon_sym_async] = ACTIONS(3461),
    [anon_sym_function] = ACTIONS(3461),
    [anon_sym_new] = ACTIONS(3461),
    [anon_sym_using] = ACTIONS(3461),
    [anon_sym_PLUS] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3461),
    [anon_sym_SLASH] = ACTIONS(3461),
    [anon_sym_LT] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_void] = ACTIONS(3461),
    [anon_sym_delete] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3461),
    [sym_number] = ACTIONS(3461),
    [sym_private_property_identifier] = ACTIONS(3461),
    [sym_this] = ACTIONS(3461),
    [sym_super] = ACTIONS(3461),
    [sym_true] = ACTIONS(3461),
    [sym_false] = ACTIONS(3461),
    [sym_null] = ACTIONS(3461),
    [sym_undefined] = ACTIONS(3461),
    [anon_sym_AT] = ACTIONS(3461),
    [anon_sym_static] = ACTIONS(3461),
    [anon_sym_readonly] = ACTIONS(3461),
    [anon_sym_get] = ACTIONS(3461),
    [anon_sym_set] = ACTIONS(3461),
    [anon_sym_declare] = ACTIONS(3461),
    [anon_sym_public] = ACTIONS(3461),
    [anon_sym_private] = ACTIONS(3461),
    [anon_sym_protected] = ACTIONS(3461),
    [anon_sym_override] = ACTIONS(3461),
    [anon_sym_module] = ACTIONS(3461),
    [anon_sym_any] = ACTIONS(3461),
    [anon_sym_number] = ACTIONS(3461),
    [anon_sym_boolean] = ACTIONS(3461),
    [anon_sym_string] = ACTIONS(3461),
    [anon_sym_symbol] = ACTIONS(3461),
    [anon_sym_object] = ACTIONS(3461),
    [anon_sym_abstract] = ACTIONS(3461),
    [anon_sym_interface] = ACTIONS(3461),
    [anon_sym_enum] = ACTIONS(3461),
    [sym_html_comment] = ACTIONS(5),
  },
  [1617] = {
    [sym_comment] = STATE(1617),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1618] = {
    [sym_comment] = STATE(1618),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1619] = {
    [sym_comment] = STATE(1619),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1620] = {
    [sym_comment] = STATE(1620),
    [ts_builtin_sym_end] = ACTIONS(3639),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1621] = {
    [sym_comment] = STATE(1621),
    [ts_builtin_sym_end] = ACTIONS(3569),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1622] = {
    [sym_comment] = STATE(1622),
    [ts_builtin_sym_end] = ACTIONS(3647),
    [sym_identifier] = ACTIONS(3447),
    [anon_sym_export] = ACTIONS(3447),
    [anon_sym_type] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3447),
    [anon_sym_RBRACE] = ACTIONS(3447),
    [anon_sym_typeof] = ACTIONS(3447),
    [anon_sym_import] = ACTIONS(3447),
    [anon_sym_with] = ACTIONS(3447),
    [anon_sym_var] = ACTIONS(3447),
    [anon_sym_let] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_BANG] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_LPAREN] = ACTIONS(3447),
    [anon_sym_await] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_debugger] = ACTIONS(3447),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3447),
    [anon_sym_yield] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_LTtemplate_GT] = ACTIONS(3447),
    [anon_sym_DQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_async] = ACTIONS(3447),
    [anon_sym_function] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_SLASH] = ACTIONS(3447),
    [anon_sym_LT] = ACTIONS(3447),
    [anon_sym_TILDE] = ACTIONS(3447),
    [anon_sym_void] = ACTIONS(3447),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_PLUS_PLUS] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(3447),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3447),
    [sym_number] = ACTIONS(3447),
    [sym_private_property_identifier] = ACTIONS(3447),
    [sym_this] = ACTIONS(3447),
    [sym_super] = ACTIONS(3447),
    [sym_true] = ACTIONS(3447),
    [sym_false] = ACTIONS(3447),
    [sym_null] = ACTIONS(3447),
    [sym_undefined] = ACTIONS(3447),
    [anon_sym_AT] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_readonly] = ACTIONS(3447),
    [anon_sym_get] = ACTIONS(3447),
    [anon_sym_set] = ACTIONS(3447),
    [anon_sym_declare] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_override] = ACTIONS(3447),
    [anon_sym_module] = ACTIONS(3447),
    [anon_sym_any] = ACTIONS(3447),
    [anon_sym_number] = ACTIONS(3447),
    [anon_sym_boolean] = ACTIONS(3447),
    [anon_sym_string] = ACTIONS(3447),
    [anon_sym_symbol] = ACTIONS(3447),
    [anon_sym_object] = ACTIONS(3447),
    [anon_sym_abstract] = ACTIONS(3447),
    [anon_sym_interface] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [sym_html_comment] = ACTIONS(5),
  },
  [1623] = {
    [sym_comment] = STATE(1623),
    [ts_builtin_sym_end] = ACTIONS(3641),
    [sym_identifier] = ACTIONS(3251),
    [anon_sym_export] = ACTIONS(3251),
    [anon_sym_type] = ACTIONS(3251),
    [anon_sym_namespace] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym_import] = ACTIONS(3251),
    [anon_sym_with] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_debugger] = ACTIONS(3251),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [anon_sym_LTtemplate_GT] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_class] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_function] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_void] = ACTIONS(3251),
    [anon_sym_delete] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3251),
    [sym_number] = ACTIONS(3251),
    [sym_private_property_identifier] = ACTIONS(3251),
    [sym_this] = ACTIONS(3251),
    [sym_super] = ACTIONS(3251),
    [sym_true] = ACTIONS(3251),
    [sym_false] = ACTIONS(3251),
    [sym_null] = ACTIONS(3251),
    [sym_undefined] = ACTIONS(3251),
    [anon_sym_AT] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_get] = ACTIONS(3251),
    [anon_sym_set] = ACTIONS(3251),
    [anon_sym_declare] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_module] = ACTIONS(3251),
    [anon_sym_any] = ACTIONS(3251),
    [anon_sym_number] = ACTIONS(3251),
    [anon_sym_boolean] = ACTIONS(3251),
    [anon_sym_string] = ACTIONS(3251),
    [anon_sym_symbol] = ACTIONS(3251),
    [anon_sym_object] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_interface] = ACTIONS(3251),
    [anon_sym_enum] = ACTIONS(3251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1624] = {
    [sym_comment] = STATE(1624),
    [ts_builtin_sym_end] = ACTIONS(3605),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1625] = {
    [sym_comment] = STATE(1625),
    [ts_builtin_sym_end] = ACTIONS(3485),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1626] = {
    [sym_comment] = STATE(1626),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1627] = {
    [sym_comment] = STATE(1627),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1628] = {
    [sym_comment] = STATE(1628),
    [ts_builtin_sym_end] = ACTIONS(3567),
    [sym_identifier] = ACTIONS(3457),
    [anon_sym_export] = ACTIONS(3457),
    [anon_sym_type] = ACTIONS(3457),
    [anon_sym_namespace] = ACTIONS(3457),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_RBRACE] = ACTIONS(3457),
    [anon_sym_typeof] = ACTIONS(3457),
    [anon_sym_import] = ACTIONS(3457),
    [anon_sym_with] = ACTIONS(3457),
    [anon_sym_var] = ACTIONS(3457),
    [anon_sym_let] = ACTIONS(3457),
    [anon_sym_const] = ACTIONS(3457),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_if] = ACTIONS(3457),
    [anon_sym_switch] = ACTIONS(3457),
    [anon_sym_for] = ACTIONS(3457),
    [anon_sym_LPAREN] = ACTIONS(3457),
    [anon_sym_await] = ACTIONS(3457),
    [anon_sym_while] = ACTIONS(3457),
    [anon_sym_do] = ACTIONS(3457),
    [anon_sym_try] = ACTIONS(3457),
    [anon_sym_break] = ACTIONS(3457),
    [anon_sym_continue] = ACTIONS(3457),
    [anon_sym_debugger] = ACTIONS(3457),
    [anon_sym_return] = ACTIONS(3457),
    [anon_sym_throw] = ACTIONS(3457),
    [anon_sym_SEMI] = ACTIONS(3457),
    [anon_sym_yield] = ACTIONS(3457),
    [anon_sym_LBRACK] = ACTIONS(3457),
    [anon_sym_LTtemplate_GT] = ACTIONS(3457),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [anon_sym_class] = ACTIONS(3457),
    [anon_sym_async] = ACTIONS(3457),
    [anon_sym_function] = ACTIONS(3457),
    [anon_sym_new] = ACTIONS(3457),
    [anon_sym_using] = ACTIONS(3457),
    [anon_sym_PLUS] = ACTIONS(3457),
    [anon_sym_DASH] = ACTIONS(3457),
    [anon_sym_SLASH] = ACTIONS(3457),
    [anon_sym_LT] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_void] = ACTIONS(3457),
    [anon_sym_delete] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3457),
    [sym_number] = ACTIONS(3457),
    [sym_private_property_identifier] = ACTIONS(3457),
    [sym_this] = ACTIONS(3457),
    [sym_super] = ACTIONS(3457),
    [sym_true] = ACTIONS(3457),
    [sym_false] = ACTIONS(3457),
    [sym_null] = ACTIONS(3457),
    [sym_undefined] = ACTIONS(3457),
    [anon_sym_AT] = ACTIONS(3457),
    [anon_sym_static] = ACTIONS(3457),
    [anon_sym_readonly] = ACTIONS(3457),
    [anon_sym_get] = ACTIONS(3457),
    [anon_sym_set] = ACTIONS(3457),
    [anon_sym_declare] = ACTIONS(3457),
    [anon_sym_public] = ACTIONS(3457),
    [anon_sym_private] = ACTIONS(3457),
    [anon_sym_protected] = ACTIONS(3457),
    [anon_sym_override] = ACTIONS(3457),
    [anon_sym_module] = ACTIONS(3457),
    [anon_sym_any] = ACTIONS(3457),
    [anon_sym_number] = ACTIONS(3457),
    [anon_sym_boolean] = ACTIONS(3457),
    [anon_sym_string] = ACTIONS(3457),
    [anon_sym_symbol] = ACTIONS(3457),
    [anon_sym_object] = ACTIONS(3457),
    [anon_sym_abstract] = ACTIONS(3457),
    [anon_sym_interface] = ACTIONS(3457),
    [anon_sym_enum] = ACTIONS(3457),
    [sym_html_comment] = ACTIONS(5),
  },
  [1629] = {
    [sym_comment] = STATE(1629),
    [ts_builtin_sym_end] = ACTIONS(3479),
    [sym_identifier] = ACTIONS(3245),
    [anon_sym_export] = ACTIONS(3245),
    [anon_sym_type] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_typeof] = ACTIONS(3245),
    [anon_sym_import] = ACTIONS(3245),
    [anon_sym_with] = ACTIONS(3245),
    [anon_sym_var] = ACTIONS(3245),
    [anon_sym_let] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_BANG] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_LPAREN] = ACTIONS(3245),
    [anon_sym_await] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_debugger] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3245),
    [anon_sym_yield] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_LTtemplate_GT] = ACTIONS(3245),
    [anon_sym_DQUOTE] = ACTIONS(3245),
    [anon_sym_SQUOTE] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_async] = ACTIONS(3245),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_SLASH] = ACTIONS(3245),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_void] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_PLUS_PLUS] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3245),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3245),
    [sym_number] = ACTIONS(3245),
    [sym_private_property_identifier] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
    [sym_super] = ACTIONS(3245),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [sym_null] = ACTIONS(3245),
    [sym_undefined] = ACTIONS(3245),
    [anon_sym_AT] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3245),
    [anon_sym_get] = ACTIONS(3245),
    [anon_sym_set] = ACTIONS(3245),
    [anon_sym_declare] = ACTIONS(3245),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_override] = ACTIONS(3245),
    [anon_sym_module] = ACTIONS(3245),
    [anon_sym_any] = ACTIONS(3245),
    [anon_sym_number] = ACTIONS(3245),
    [anon_sym_boolean] = ACTIONS(3245),
    [anon_sym_string] = ACTIONS(3245),
    [anon_sym_symbol] = ACTIONS(3245),
    [anon_sym_object] = ACTIONS(3245),
    [anon_sym_abstract] = ACTIONS(3245),
    [anon_sym_interface] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [sym_html_comment] = ACTIONS(5),
  },
  [1630] = {
    [sym_comment] = STATE(1630),
    [ts_builtin_sym_end] = ACTIONS(3565),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1631] = {
    [sym_comment] = STATE(1631),
    [ts_builtin_sym_end] = ACTIONS(3565),
    [sym_identifier] = ACTIONS(3411),
    [anon_sym_export] = ACTIONS(3411),
    [anon_sym_type] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym_import] = ACTIONS(3411),
    [anon_sym_with] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_debugger] = ACTIONS(3411),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_LTtemplate_GT] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_function] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_SLASH] = ACTIONS(3411),
    [anon_sym_LT] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_void] = ACTIONS(3411),
    [anon_sym_delete] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_private_property_identifier] = ACTIONS(3411),
    [sym_this] = ACTIONS(3411),
    [sym_super] = ACTIONS(3411),
    [sym_true] = ACTIONS(3411),
    [sym_false] = ACTIONS(3411),
    [sym_null] = ACTIONS(3411),
    [sym_undefined] = ACTIONS(3411),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_get] = ACTIONS(3411),
    [anon_sym_set] = ACTIONS(3411),
    [anon_sym_declare] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_module] = ACTIONS(3411),
    [anon_sym_any] = ACTIONS(3411),
    [anon_sym_number] = ACTIONS(3411),
    [anon_sym_boolean] = ACTIONS(3411),
    [anon_sym_string] = ACTIONS(3411),
    [anon_sym_symbol] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [sym_html_comment] = ACTIONS(5),
  },
  [1632] = {
    [sym_comment] = STATE(1632),
    [ts_builtin_sym_end] = ACTIONS(3607),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1633] = {
    [sym_comment] = STATE(1633),
    [ts_builtin_sym_end] = ACTIONS(3561),
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_export] = ACTIONS(3413),
    [anon_sym_type] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(3413),
    [anon_sym_typeof] = ACTIONS(3413),
    [anon_sym_import] = ACTIONS(3413),
    [anon_sym_with] = ACTIONS(3413),
    [anon_sym_var] = ACTIONS(3413),
    [anon_sym_let] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_await] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_debugger] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3413),
    [anon_sym_yield] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LTtemplate_GT] = ACTIONS(3413),
    [anon_sym_DQUOTE] = ACTIONS(3413),
    [anon_sym_SQUOTE] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_async] = ACTIONS(3413),
    [anon_sym_function] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_SLASH] = ACTIONS(3413),
    [anon_sym_LT] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_void] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3413),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3413),
    [sym_number] = ACTIONS(3413),
    [sym_private_property_identifier] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
    [sym_super] = ACTIONS(3413),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [sym_null] = ACTIONS(3413),
    [sym_undefined] = ACTIONS(3413),
    [anon_sym_AT] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
    [anon_sym_declare] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_override] = ACTIONS(3413),
    [anon_sym_module] = ACTIONS(3413),
    [anon_sym_any] = ACTIONS(3413),
    [anon_sym_number] = ACTIONS(3413),
    [anon_sym_boolean] = ACTIONS(3413),
    [anon_sym_string] = ACTIONS(3413),
    [anon_sym_symbol] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3413),
    [anon_sym_abstract] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [sym_html_comment] = ACTIONS(5),
  },
  [1634] = {
    [sym_comment] = STATE(1634),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1635] = {
    [sym_comment] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(3477),
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_export] = ACTIONS(3247),
    [anon_sym_type] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym_import] = ACTIONS(3247),
    [anon_sym_with] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_LPAREN] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_debugger] = ACTIONS(3247),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3247),
    [anon_sym_LTtemplate_GT] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_function] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_SLASH] = ACTIONS(3247),
    [anon_sym_LT] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_void] = ACTIONS(3247),
    [anon_sym_delete] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3247),
    [sym_number] = ACTIONS(3247),
    [sym_private_property_identifier] = ACTIONS(3247),
    [sym_this] = ACTIONS(3247),
    [sym_super] = ACTIONS(3247),
    [sym_true] = ACTIONS(3247),
    [sym_false] = ACTIONS(3247),
    [sym_null] = ACTIONS(3247),
    [sym_undefined] = ACTIONS(3247),
    [anon_sym_AT] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3247),
    [anon_sym_set] = ACTIONS(3247),
    [anon_sym_declare] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_module] = ACTIONS(3247),
    [anon_sym_any] = ACTIONS(3247),
    [anon_sym_number] = ACTIONS(3247),
    [anon_sym_boolean] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_symbol] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [sym_html_comment] = ACTIONS(5),
  },
  [1636] = {
    [sym_comment] = STATE(1636),
    [ts_builtin_sym_end] = ACTIONS(3609),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1637] = {
    [sym_comment] = STATE(1637),
    [ts_builtin_sym_end] = ACTIONS(3663),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1638] = {
    [sym_comment] = STATE(1638),
    [ts_builtin_sym_end] = ACTIONS(2264),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1639] = {
    [sym_comment] = STATE(1639),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [sym_identifier] = ACTIONS(3415),
    [anon_sym_export] = ACTIONS(3415),
    [anon_sym_type] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3415),
    [anon_sym_import] = ACTIONS(3415),
    [anon_sym_with] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_switch] = ACTIONS(3415),
    [anon_sym_for] = ACTIONS(3415),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_await] = ACTIONS(3415),
    [anon_sym_while] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_try] = ACTIONS(3415),
    [anon_sym_break] = ACTIONS(3415),
    [anon_sym_continue] = ACTIONS(3415),
    [anon_sym_debugger] = ACTIONS(3415),
    [anon_sym_return] = ACTIONS(3415),
    [anon_sym_throw] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_LTtemplate_GT] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_function] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_SLASH] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_void] = ACTIONS(3415),
    [anon_sym_delete] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3415),
    [sym_number] = ACTIONS(3415),
    [sym_private_property_identifier] = ACTIONS(3415),
    [sym_this] = ACTIONS(3415),
    [sym_super] = ACTIONS(3415),
    [sym_true] = ACTIONS(3415),
    [sym_false] = ACTIONS(3415),
    [sym_null] = ACTIONS(3415),
    [sym_undefined] = ACTIONS(3415),
    [anon_sym_AT] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_get] = ACTIONS(3415),
    [anon_sym_set] = ACTIONS(3415),
    [anon_sym_declare] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_module] = ACTIONS(3415),
    [anon_sym_any] = ACTIONS(3415),
    [anon_sym_number] = ACTIONS(3415),
    [anon_sym_boolean] = ACTIONS(3415),
    [anon_sym_string] = ACTIONS(3415),
    [anon_sym_symbol] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [sym_html_comment] = ACTIONS(5),
  },
  [1640] = {
    [sym_comment] = STATE(1640),
    [ts_builtin_sym_end] = ACTIONS(3585),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1641] = {
    [sym_comment] = STATE(1641),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1642] = {
    [sym_comment] = STATE(1642),
    [ts_builtin_sym_end] = ACTIONS(3583),
    [sym_identifier] = ACTIONS(3347),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_type] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_typeof] = ACTIONS(3347),
    [anon_sym_import] = ACTIONS(3347),
    [anon_sym_with] = ACTIONS(3347),
    [anon_sym_var] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_await] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_debugger] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_yield] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LTtemplate_GT] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_async] = ACTIONS(3347),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_SLASH] = ACTIONS(3347),
    [anon_sym_LT] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_void] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3347),
    [sym_number] = ACTIONS(3347),
    [sym_private_property_identifier] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
    [sym_super] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_null] = ACTIONS(3347),
    [sym_undefined] = ACTIONS(3347),
    [anon_sym_AT] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_readonly] = ACTIONS(3347),
    [anon_sym_get] = ACTIONS(3347),
    [anon_sym_set] = ACTIONS(3347),
    [anon_sym_declare] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_override] = ACTIONS(3347),
    [anon_sym_module] = ACTIONS(3347),
    [anon_sym_any] = ACTIONS(3347),
    [anon_sym_number] = ACTIONS(3347),
    [anon_sym_boolean] = ACTIONS(3347),
    [anon_sym_string] = ACTIONS(3347),
    [anon_sym_symbol] = ACTIONS(3347),
    [anon_sym_object] = ACTIONS(3347),
    [anon_sym_abstract] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1643] = {
    [sym_comment] = STATE(1643),
    [ts_builtin_sym_end] = ACTIONS(3615),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1644] = {
    [sym_comment] = STATE(1644),
    [ts_builtin_sym_end] = ACTIONS(3673),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1645] = {
    [sym_comment] = STATE(1645),
    [ts_builtin_sym_end] = ACTIONS(3493),
    [sym_identifier] = ACTIONS(3361),
    [anon_sym_export] = ACTIONS(3361),
    [anon_sym_type] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym_import] = ACTIONS(3361),
    [anon_sym_with] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_LPAREN] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_debugger] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_LTtemplate_GT] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_SLASH] = ACTIONS(3361),
    [anon_sym_LT] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_void] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3361),
    [sym_number] = ACTIONS(3361),
    [sym_private_property_identifier] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
    [sym_super] = ACTIONS(3361),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [sym_null] = ACTIONS(3361),
    [sym_undefined] = ACTIONS(3361),
    [anon_sym_AT] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_get] = ACTIONS(3361),
    [anon_sym_set] = ACTIONS(3361),
    [anon_sym_declare] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_module] = ACTIONS(3361),
    [anon_sym_any] = ACTIONS(3361),
    [anon_sym_number] = ACTIONS(3361),
    [anon_sym_boolean] = ACTIONS(3361),
    [anon_sym_string] = ACTIONS(3361),
    [anon_sym_symbol] = ACTIONS(3361),
    [anon_sym_object] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_interface] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1646] = {
    [sym_comment] = STATE(1646),
    [ts_builtin_sym_end] = ACTIONS(3551),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1647] = {
    [sym_comment] = STATE(1647),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1648] = {
    [sym_comment] = STATE(1648),
    [ts_builtin_sym_end] = ACTIONS(3617),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1649] = {
    [sym_comment] = STATE(1649),
    [ts_builtin_sym_end] = ACTIONS(3649),
    [sym_identifier] = ACTIONS(3445),
    [anon_sym_export] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_namespace] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_RBRACE] = ACTIONS(3445),
    [anon_sym_typeof] = ACTIONS(3445),
    [anon_sym_import] = ACTIONS(3445),
    [anon_sym_with] = ACTIONS(3445),
    [anon_sym_var] = ACTIONS(3445),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_const] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_if] = ACTIONS(3445),
    [anon_sym_switch] = ACTIONS(3445),
    [anon_sym_for] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_await] = ACTIONS(3445),
    [anon_sym_while] = ACTIONS(3445),
    [anon_sym_do] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3445),
    [anon_sym_break] = ACTIONS(3445),
    [anon_sym_continue] = ACTIONS(3445),
    [anon_sym_debugger] = ACTIONS(3445),
    [anon_sym_return] = ACTIONS(3445),
    [anon_sym_throw] = ACTIONS(3445),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_yield] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LTtemplate_GT] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_async] = ACTIONS(3445),
    [anon_sym_function] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(3445),
    [anon_sym_using] = ACTIONS(3445),
    [anon_sym_PLUS] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3445),
    [anon_sym_SLASH] = ACTIONS(3445),
    [anon_sym_LT] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_void] = ACTIONS(3445),
    [anon_sym_delete] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3445),
    [sym_number] = ACTIONS(3445),
    [sym_private_property_identifier] = ACTIONS(3445),
    [sym_this] = ACTIONS(3445),
    [sym_super] = ACTIONS(3445),
    [sym_true] = ACTIONS(3445),
    [sym_false] = ACTIONS(3445),
    [sym_null] = ACTIONS(3445),
    [sym_undefined] = ACTIONS(3445),
    [anon_sym_AT] = ACTIONS(3445),
    [anon_sym_static] = ACTIONS(3445),
    [anon_sym_readonly] = ACTIONS(3445),
    [anon_sym_get] = ACTIONS(3445),
    [anon_sym_set] = ACTIONS(3445),
    [anon_sym_declare] = ACTIONS(3445),
    [anon_sym_public] = ACTIONS(3445),
    [anon_sym_private] = ACTIONS(3445),
    [anon_sym_protected] = ACTIONS(3445),
    [anon_sym_override] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_any] = ACTIONS(3445),
    [anon_sym_number] = ACTIONS(3445),
    [anon_sym_boolean] = ACTIONS(3445),
    [anon_sym_string] = ACTIONS(3445),
    [anon_sym_symbol] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3445),
    [anon_sym_abstract] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3445),
    [anon_sym_enum] = ACTIONS(3445),
    [sym_html_comment] = ACTIONS(5),
  },
  [1650] = {
    [sym_comment] = STATE(1650),
    [ts_builtin_sym_end] = ACTIONS(3649),
    [sym_identifier] = ACTIONS(3445),
    [anon_sym_export] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_namespace] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_RBRACE] = ACTIONS(3445),
    [anon_sym_typeof] = ACTIONS(3445),
    [anon_sym_import] = ACTIONS(3445),
    [anon_sym_with] = ACTIONS(3445),
    [anon_sym_var] = ACTIONS(3445),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_const] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_if] = ACTIONS(3445),
    [anon_sym_switch] = ACTIONS(3445),
    [anon_sym_for] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_await] = ACTIONS(3445),
    [anon_sym_while] = ACTIONS(3445),
    [anon_sym_do] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3445),
    [anon_sym_break] = ACTIONS(3445),
    [anon_sym_continue] = ACTIONS(3445),
    [anon_sym_debugger] = ACTIONS(3445),
    [anon_sym_return] = ACTIONS(3445),
    [anon_sym_throw] = ACTIONS(3445),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_yield] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LTtemplate_GT] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_async] = ACTIONS(3445),
    [anon_sym_function] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(3445),
    [anon_sym_using] = ACTIONS(3445),
    [anon_sym_PLUS] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3445),
    [anon_sym_SLASH] = ACTIONS(3445),
    [anon_sym_LT] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_void] = ACTIONS(3445),
    [anon_sym_delete] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3445),
    [sym_number] = ACTIONS(3445),
    [sym_private_property_identifier] = ACTIONS(3445),
    [sym_this] = ACTIONS(3445),
    [sym_super] = ACTIONS(3445),
    [sym_true] = ACTIONS(3445),
    [sym_false] = ACTIONS(3445),
    [sym_null] = ACTIONS(3445),
    [sym_undefined] = ACTIONS(3445),
    [anon_sym_AT] = ACTIONS(3445),
    [anon_sym_static] = ACTIONS(3445),
    [anon_sym_readonly] = ACTIONS(3445),
    [anon_sym_get] = ACTIONS(3445),
    [anon_sym_set] = ACTIONS(3445),
    [anon_sym_declare] = ACTIONS(3445),
    [anon_sym_public] = ACTIONS(3445),
    [anon_sym_private] = ACTIONS(3445),
    [anon_sym_protected] = ACTIONS(3445),
    [anon_sym_override] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_any] = ACTIONS(3445),
    [anon_sym_number] = ACTIONS(3445),
    [anon_sym_boolean] = ACTIONS(3445),
    [anon_sym_string] = ACTIONS(3445),
    [anon_sym_symbol] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3445),
    [anon_sym_abstract] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3445),
    [anon_sym_enum] = ACTIONS(3445),
    [sym_html_comment] = ACTIONS(5),
  },
  [1651] = {
    [sym_comment] = STATE(1651),
    [ts_builtin_sym_end] = ACTIONS(3533),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1652] = {
    [sym_comment] = STATE(1652),
    [ts_builtin_sym_end] = ACTIONS(3531),
    [sym_identifier] = ACTIONS(3417),
    [anon_sym_export] = ACTIONS(3417),
    [anon_sym_type] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_RBRACE] = ACTIONS(3417),
    [anon_sym_typeof] = ACTIONS(3417),
    [anon_sym_import] = ACTIONS(3417),
    [anon_sym_with] = ACTIONS(3417),
    [anon_sym_var] = ACTIONS(3417),
    [anon_sym_let] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_await] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_debugger] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3417),
    [anon_sym_yield] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LTtemplate_GT] = ACTIONS(3417),
    [anon_sym_DQUOTE] = ACTIONS(3417),
    [anon_sym_SQUOTE] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_async] = ACTIONS(3417),
    [anon_sym_function] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_void] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3417),
    [sym_number] = ACTIONS(3417),
    [sym_private_property_identifier] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
    [sym_super] = ACTIONS(3417),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [sym_null] = ACTIONS(3417),
    [sym_undefined] = ACTIONS(3417),
    [anon_sym_AT] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_readonly] = ACTIONS(3417),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_declare] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_override] = ACTIONS(3417),
    [anon_sym_module] = ACTIONS(3417),
    [anon_sym_any] = ACTIONS(3417),
    [anon_sym_number] = ACTIONS(3417),
    [anon_sym_boolean] = ACTIONS(3417),
    [anon_sym_string] = ACTIONS(3417),
    [anon_sym_symbol] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3417),
    [anon_sym_abstract] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1653] = {
    [sym_comment] = STATE(1653),
    [ts_builtin_sym_end] = ACTIONS(3627),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1654] = {
    [sym_comment] = STATE(1654),
    [ts_builtin_sym_end] = ACTIONS(3627),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1655] = {
    [sym_comment] = STATE(1655),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1656] = {
    [sym_comment] = STATE(1656),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1657] = {
    [sym_comment] = STATE(1657),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1658] = {
    [sym_comment] = STATE(1658),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1659] = {
    [sym_comment] = STATE(1659),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1660] = {
    [sym_comment] = STATE(1660),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1661] = {
    [sym_comment] = STATE(1661),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1662] = {
    [sym_comment] = STATE(1662),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1663] = {
    [sym_comment] = STATE(1663),
    [ts_builtin_sym_end] = ACTIONS(3553),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1664] = {
    [sym_comment] = STATE(1664),
    [ts_builtin_sym_end] = ACTIONS(3657),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_export] = ACTIONS(3381),
    [anon_sym_type] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym_import] = ACTIONS(3381),
    [anon_sym_with] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_debugger] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_LTtemplate_GT] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_function] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_SLASH] = ACTIONS(3381),
    [anon_sym_LT] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_void] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3381),
    [sym_number] = ACTIONS(3381),
    [sym_private_property_identifier] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
    [sym_super] = ACTIONS(3381),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [sym_null] = ACTIONS(3381),
    [sym_undefined] = ACTIONS(3381),
    [anon_sym_AT] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_get] = ACTIONS(3381),
    [anon_sym_set] = ACTIONS(3381),
    [anon_sym_declare] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_module] = ACTIONS(3381),
    [anon_sym_any] = ACTIONS(3381),
    [anon_sym_number] = ACTIONS(3381),
    [anon_sym_boolean] = ACTIONS(3381),
    [anon_sym_string] = ACTIONS(3381),
    [anon_sym_symbol] = ACTIONS(3381),
    [anon_sym_object] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_interface] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [sym_html_comment] = ACTIONS(5),
  },
  [1665] = {
    [sym_comment] = STATE(1665),
    [ts_builtin_sym_end] = ACTIONS(3555),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1666] = {
    [sym_comment] = STATE(1666),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1667] = {
    [sym_comment] = STATE(1667),
    [ts_builtin_sym_end] = ACTIONS(3577),
    [sym_identifier] = ACTIONS(3459),
    [anon_sym_export] = ACTIONS(3459),
    [anon_sym_type] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3459),
    [anon_sym_RBRACE] = ACTIONS(3459),
    [anon_sym_typeof] = ACTIONS(3459),
    [anon_sym_import] = ACTIONS(3459),
    [anon_sym_with] = ACTIONS(3459),
    [anon_sym_var] = ACTIONS(3459),
    [anon_sym_let] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_BANG] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_LPAREN] = ACTIONS(3459),
    [anon_sym_await] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_debugger] = ACTIONS(3459),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_SEMI] = ACTIONS(3459),
    [anon_sym_yield] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3459),
    [anon_sym_LTtemplate_GT] = ACTIONS(3459),
    [anon_sym_DQUOTE] = ACTIONS(3459),
    [anon_sym_SQUOTE] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_async] = ACTIONS(3459),
    [anon_sym_function] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_SLASH] = ACTIONS(3459),
    [anon_sym_LT] = ACTIONS(3459),
    [anon_sym_TILDE] = ACTIONS(3459),
    [anon_sym_void] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3459),
    [anon_sym_PLUS_PLUS] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(3459),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3459),
    [sym_number] = ACTIONS(3459),
    [sym_private_property_identifier] = ACTIONS(3459),
    [sym_this] = ACTIONS(3459),
    [sym_super] = ACTIONS(3459),
    [sym_true] = ACTIONS(3459),
    [sym_false] = ACTIONS(3459),
    [sym_null] = ACTIONS(3459),
    [sym_undefined] = ACTIONS(3459),
    [anon_sym_AT] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_readonly] = ACTIONS(3459),
    [anon_sym_get] = ACTIONS(3459),
    [anon_sym_set] = ACTIONS(3459),
    [anon_sym_declare] = ACTIONS(3459),
    [anon_sym_public] = ACTIONS(3459),
    [anon_sym_private] = ACTIONS(3459),
    [anon_sym_protected] = ACTIONS(3459),
    [anon_sym_override] = ACTIONS(3459),
    [anon_sym_module] = ACTIONS(3459),
    [anon_sym_any] = ACTIONS(3459),
    [anon_sym_number] = ACTIONS(3459),
    [anon_sym_boolean] = ACTIONS(3459),
    [anon_sym_string] = ACTIONS(3459),
    [anon_sym_symbol] = ACTIONS(3459),
    [anon_sym_object] = ACTIONS(3459),
    [anon_sym_abstract] = ACTIONS(3459),
    [anon_sym_interface] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [sym_html_comment] = ACTIONS(5),
  },
  [1668] = {
    [sym_comment] = STATE(1668),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1669] = {
    [sym_comment] = STATE(1669),
    [ts_builtin_sym_end] = ACTIONS(3643),
    [sym_identifier] = ACTIONS(3395),
    [anon_sym_export] = ACTIONS(3395),
    [anon_sym_type] = ACTIONS(3395),
    [anon_sym_namespace] = ACTIONS(3395),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_typeof] = ACTIONS(3395),
    [anon_sym_import] = ACTIONS(3395),
    [anon_sym_with] = ACTIONS(3395),
    [anon_sym_var] = ACTIONS(3395),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_const] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(3395),
    [anon_sym_switch] = ACTIONS(3395),
    [anon_sym_for] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_await] = ACTIONS(3395),
    [anon_sym_while] = ACTIONS(3395),
    [anon_sym_do] = ACTIONS(3395),
    [anon_sym_try] = ACTIONS(3395),
    [anon_sym_break] = ACTIONS(3395),
    [anon_sym_continue] = ACTIONS(3395),
    [anon_sym_debugger] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3395),
    [anon_sym_throw] = ACTIONS(3395),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_yield] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LTtemplate_GT] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_class] = ACTIONS(3395),
    [anon_sym_async] = ACTIONS(3395),
    [anon_sym_function] = ACTIONS(3395),
    [anon_sym_new] = ACTIONS(3395),
    [anon_sym_using] = ACTIONS(3395),
    [anon_sym_PLUS] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3395),
    [anon_sym_SLASH] = ACTIONS(3395),
    [anon_sym_LT] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_void] = ACTIONS(3395),
    [anon_sym_delete] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3395),
    [sym_number] = ACTIONS(3395),
    [sym_private_property_identifier] = ACTIONS(3395),
    [sym_this] = ACTIONS(3395),
    [sym_super] = ACTIONS(3395),
    [sym_true] = ACTIONS(3395),
    [sym_false] = ACTIONS(3395),
    [sym_null] = ACTIONS(3395),
    [sym_undefined] = ACTIONS(3395),
    [anon_sym_AT] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3395),
    [anon_sym_readonly] = ACTIONS(3395),
    [anon_sym_get] = ACTIONS(3395),
    [anon_sym_set] = ACTIONS(3395),
    [anon_sym_declare] = ACTIONS(3395),
    [anon_sym_public] = ACTIONS(3395),
    [anon_sym_private] = ACTIONS(3395),
    [anon_sym_protected] = ACTIONS(3395),
    [anon_sym_override] = ACTIONS(3395),
    [anon_sym_module] = ACTIONS(3395),
    [anon_sym_any] = ACTIONS(3395),
    [anon_sym_number] = ACTIONS(3395),
    [anon_sym_boolean] = ACTIONS(3395),
    [anon_sym_string] = ACTIONS(3395),
    [anon_sym_symbol] = ACTIONS(3395),
    [anon_sym_object] = ACTIONS(3395),
    [anon_sym_abstract] = ACTIONS(3395),
    [anon_sym_interface] = ACTIONS(3395),
    [anon_sym_enum] = ACTIONS(3395),
    [sym_html_comment] = ACTIONS(5),
  },
  [1670] = {
    [sym_comment] = STATE(1670),
    [ts_builtin_sym_end] = ACTIONS(3491),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1671] = {
    [sym_comment] = STATE(1671),
    [ts_builtin_sym_end] = ACTIONS(3489),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1672] = {
    [sym_comment] = STATE(1672),
    [ts_builtin_sym_end] = ACTIONS(3651),
    [sym_identifier] = ACTIONS(3399),
    [anon_sym_export] = ACTIONS(3399),
    [anon_sym_type] = ACTIONS(3399),
    [anon_sym_namespace] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_typeof] = ACTIONS(3399),
    [anon_sym_import] = ACTIONS(3399),
    [anon_sym_with] = ACTIONS(3399),
    [anon_sym_var] = ACTIONS(3399),
    [anon_sym_let] = ACTIONS(3399),
    [anon_sym_const] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_switch] = ACTIONS(3399),
    [anon_sym_for] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_await] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(3399),
    [anon_sym_do] = ACTIONS(3399),
    [anon_sym_try] = ACTIONS(3399),
    [anon_sym_break] = ACTIONS(3399),
    [anon_sym_continue] = ACTIONS(3399),
    [anon_sym_debugger] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3399),
    [anon_sym_throw] = ACTIONS(3399),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_yield] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LTtemplate_GT] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3399),
    [anon_sym_async] = ACTIONS(3399),
    [anon_sym_function] = ACTIONS(3399),
    [anon_sym_new] = ACTIONS(3399),
    [anon_sym_using] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3399),
    [anon_sym_LT] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_void] = ACTIONS(3399),
    [anon_sym_delete] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3399),
    [sym_number] = ACTIONS(3399),
    [sym_private_property_identifier] = ACTIONS(3399),
    [sym_this] = ACTIONS(3399),
    [sym_super] = ACTIONS(3399),
    [sym_true] = ACTIONS(3399),
    [sym_false] = ACTIONS(3399),
    [sym_null] = ACTIONS(3399),
    [sym_undefined] = ACTIONS(3399),
    [anon_sym_AT] = ACTIONS(3399),
    [anon_sym_static] = ACTIONS(3399),
    [anon_sym_readonly] = ACTIONS(3399),
    [anon_sym_get] = ACTIONS(3399),
    [anon_sym_set] = ACTIONS(3399),
    [anon_sym_declare] = ACTIONS(3399),
    [anon_sym_public] = ACTIONS(3399),
    [anon_sym_private] = ACTIONS(3399),
    [anon_sym_protected] = ACTIONS(3399),
    [anon_sym_override] = ACTIONS(3399),
    [anon_sym_module] = ACTIONS(3399),
    [anon_sym_any] = ACTIONS(3399),
    [anon_sym_number] = ACTIONS(3399),
    [anon_sym_boolean] = ACTIONS(3399),
    [anon_sym_string] = ACTIONS(3399),
    [anon_sym_symbol] = ACTIONS(3399),
    [anon_sym_object] = ACTIONS(3399),
    [anon_sym_abstract] = ACTIONS(3399),
    [anon_sym_interface] = ACTIONS(3399),
    [anon_sym_enum] = ACTIONS(3399),
    [sym_html_comment] = ACTIONS(5),
  },
  [1673] = {
    [sym_comment] = STATE(1673),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1674] = {
    [sym_comment] = STATE(1674),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1675] = {
    [sym_comment] = STATE(1675),
    [ts_builtin_sym_end] = ACTIONS(3655),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1676] = {
    [sym_comment] = STATE(1676),
    [ts_builtin_sym_end] = ACTIONS(3655),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_export] = ACTIONS(3409),
    [anon_sym_type] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_typeof] = ACTIONS(3409),
    [anon_sym_import] = ACTIONS(3409),
    [anon_sym_with] = ACTIONS(3409),
    [anon_sym_var] = ACTIONS(3409),
    [anon_sym_let] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_await] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_debugger] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_yield] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LTtemplate_GT] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_function] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_void] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3409),
    [sym_number] = ACTIONS(3409),
    [sym_private_property_identifier] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
    [sym_super] = ACTIONS(3409),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [sym_null] = ACTIONS(3409),
    [sym_undefined] = ACTIONS(3409),
    [anon_sym_AT] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_readonly] = ACTIONS(3409),
    [anon_sym_get] = ACTIONS(3409),
    [anon_sym_set] = ACTIONS(3409),
    [anon_sym_declare] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_override] = ACTIONS(3409),
    [anon_sym_module] = ACTIONS(3409),
    [anon_sym_any] = ACTIONS(3409),
    [anon_sym_number] = ACTIONS(3409),
    [anon_sym_boolean] = ACTIONS(3409),
    [anon_sym_string] = ACTIONS(3409),
    [anon_sym_symbol] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3409),
    [anon_sym_abstract] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [sym_html_comment] = ACTIONS(5),
  },
  [1677] = {
    [sym_comment] = STATE(1677),
    [ts_builtin_sym_end] = ACTIONS(3631),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1678] = {
    [sym_comment] = STATE(1678),
    [ts_builtin_sym_end] = ACTIONS(3497),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1679] = {
    [sym_comment] = STATE(1679),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1680] = {
    [sym_comment] = STATE(1680),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1681] = {
    [sym_comment] = STATE(1681),
    [ts_builtin_sym_end] = ACTIONS(3677),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_export] = ACTIONS(3619),
    [anon_sym_type] = ACTIONS(3619),
    [anon_sym_namespace] = ACTIONS(3619),
    [anon_sym_LBRACE] = ACTIONS(3619),
    [anon_sym_RBRACE] = ACTIONS(3619),
    [anon_sym_typeof] = ACTIONS(3619),
    [anon_sym_import] = ACTIONS(3619),
    [anon_sym_with] = ACTIONS(3619),
    [anon_sym_var] = ACTIONS(3619),
    [anon_sym_let] = ACTIONS(3619),
    [anon_sym_const] = ACTIONS(3619),
    [anon_sym_BANG] = ACTIONS(3619),
    [anon_sym_if] = ACTIONS(3619),
    [anon_sym_switch] = ACTIONS(3619),
    [anon_sym_for] = ACTIONS(3619),
    [anon_sym_LPAREN] = ACTIONS(3619),
    [anon_sym_await] = ACTIONS(3619),
    [anon_sym_while] = ACTIONS(3619),
    [anon_sym_do] = ACTIONS(3619),
    [anon_sym_try] = ACTIONS(3619),
    [anon_sym_break] = ACTIONS(3619),
    [anon_sym_continue] = ACTIONS(3619),
    [anon_sym_debugger] = ACTIONS(3619),
    [anon_sym_return] = ACTIONS(3619),
    [anon_sym_throw] = ACTIONS(3619),
    [anon_sym_SEMI] = ACTIONS(3619),
    [anon_sym_yield] = ACTIONS(3619),
    [anon_sym_LBRACK] = ACTIONS(3619),
    [anon_sym_LTtemplate_GT] = ACTIONS(3619),
    [anon_sym_DQUOTE] = ACTIONS(3619),
    [anon_sym_SQUOTE] = ACTIONS(3619),
    [anon_sym_class] = ACTIONS(3619),
    [anon_sym_async] = ACTIONS(3619),
    [anon_sym_function] = ACTIONS(3619),
    [anon_sym_new] = ACTIONS(3619),
    [anon_sym_using] = ACTIONS(3619),
    [anon_sym_PLUS] = ACTIONS(3619),
    [anon_sym_DASH] = ACTIONS(3619),
    [anon_sym_SLASH] = ACTIONS(3619),
    [anon_sym_LT] = ACTIONS(3619),
    [anon_sym_TILDE] = ACTIONS(3619),
    [anon_sym_void] = ACTIONS(3619),
    [anon_sym_delete] = ACTIONS(3619),
    [anon_sym_PLUS_PLUS] = ACTIONS(3619),
    [anon_sym_DASH_DASH] = ACTIONS(3619),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3619),
    [sym_number] = ACTIONS(3619),
    [sym_private_property_identifier] = ACTIONS(3619),
    [sym_this] = ACTIONS(3619),
    [sym_super] = ACTIONS(3619),
    [sym_true] = ACTIONS(3619),
    [sym_false] = ACTIONS(3619),
    [sym_null] = ACTIONS(3619),
    [sym_undefined] = ACTIONS(3619),
    [anon_sym_AT] = ACTIONS(3619),
    [anon_sym_static] = ACTIONS(3619),
    [anon_sym_readonly] = ACTIONS(3619),
    [anon_sym_get] = ACTIONS(3619),
    [anon_sym_set] = ACTIONS(3619),
    [anon_sym_declare] = ACTIONS(3619),
    [anon_sym_public] = ACTIONS(3619),
    [anon_sym_private] = ACTIONS(3619),
    [anon_sym_protected] = ACTIONS(3619),
    [anon_sym_override] = ACTIONS(3619),
    [anon_sym_module] = ACTIONS(3619),
    [anon_sym_any] = ACTIONS(3619),
    [anon_sym_number] = ACTIONS(3619),
    [anon_sym_boolean] = ACTIONS(3619),
    [anon_sym_string] = ACTIONS(3619),
    [anon_sym_symbol] = ACTIONS(3619),
    [anon_sym_object] = ACTIONS(3619),
    [anon_sym_abstract] = ACTIONS(3619),
    [anon_sym_interface] = ACTIONS(3619),
    [anon_sym_enum] = ACTIONS(3619),
    [sym_html_comment] = ACTIONS(5),
  },
  [1682] = {
    [sym_comment] = STATE(1682),
    [ts_builtin_sym_end] = ACTIONS(2254),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_export] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_typeof] = ACTIONS(2252),
    [anon_sym_import] = ACTIONS(2252),
    [anon_sym_with] = ACTIONS(2252),
    [anon_sym_var] = ACTIONS(2252),
    [anon_sym_let] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_switch] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_await] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_do] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_debugger] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_throw] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_yield] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_LTtemplate_GT] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2252),
    [anon_sym_async] = ACTIONS(2252),
    [anon_sym_function] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2252),
    [anon_sym_SLASH] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_void] = ACTIONS(2252),
    [anon_sym_delete] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
    [sym_number] = ACTIONS(2252),
    [sym_private_property_identifier] = ACTIONS(2252),
    [sym_this] = ACTIONS(2252),
    [sym_super] = ACTIONS(2252),
    [sym_true] = ACTIONS(2252),
    [sym_false] = ACTIONS(2252),
    [sym_null] = ACTIONS(2252),
    [sym_undefined] = ACTIONS(2252),
    [anon_sym_AT] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_readonly] = ACTIONS(2252),
    [anon_sym_get] = ACTIONS(2252),
    [anon_sym_set] = ACTIONS(2252),
    [anon_sym_declare] = ACTIONS(2252),
    [anon_sym_public] = ACTIONS(2252),
    [anon_sym_private] = ACTIONS(2252),
    [anon_sym_protected] = ACTIONS(2252),
    [anon_sym_override] = ACTIONS(2252),
    [anon_sym_module] = ACTIONS(2252),
    [anon_sym_any] = ACTIONS(2252),
    [anon_sym_number] = ACTIONS(2252),
    [anon_sym_boolean] = ACTIONS(2252),
    [anon_sym_string] = ACTIONS(2252),
    [anon_sym_symbol] = ACTIONS(2252),
    [anon_sym_object] = ACTIONS(2252),
    [anon_sym_abstract] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1683] = {
    [sym_comment] = STATE(1683),
    [ts_builtin_sym_end] = ACTIONS(3625),
    [sym_identifier] = ACTIONS(3437),
    [anon_sym_export] = ACTIONS(3437),
    [anon_sym_type] = ACTIONS(3437),
    [anon_sym_namespace] = ACTIONS(3437),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_typeof] = ACTIONS(3437),
    [anon_sym_import] = ACTIONS(3437),
    [anon_sym_with] = ACTIONS(3437),
    [anon_sym_var] = ACTIONS(3437),
    [anon_sym_let] = ACTIONS(3437),
    [anon_sym_const] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_if] = ACTIONS(3437),
    [anon_sym_switch] = ACTIONS(3437),
    [anon_sym_for] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_await] = ACTIONS(3437),
    [anon_sym_while] = ACTIONS(3437),
    [anon_sym_do] = ACTIONS(3437),
    [anon_sym_try] = ACTIONS(3437),
    [anon_sym_break] = ACTIONS(3437),
    [anon_sym_continue] = ACTIONS(3437),
    [anon_sym_debugger] = ACTIONS(3437),
    [anon_sym_return] = ACTIONS(3437),
    [anon_sym_throw] = ACTIONS(3437),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym_yield] = ACTIONS(3437),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LTtemplate_GT] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_class] = ACTIONS(3437),
    [anon_sym_async] = ACTIONS(3437),
    [anon_sym_function] = ACTIONS(3437),
    [anon_sym_new] = ACTIONS(3437),
    [anon_sym_using] = ACTIONS(3437),
    [anon_sym_PLUS] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3437),
    [anon_sym_SLASH] = ACTIONS(3437),
    [anon_sym_LT] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_void] = ACTIONS(3437),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3437),
    [sym_number] = ACTIONS(3437),
    [sym_private_property_identifier] = ACTIONS(3437),
    [sym_this] = ACTIONS(3437),
    [sym_super] = ACTIONS(3437),
    [sym_true] = ACTIONS(3437),
    [sym_false] = ACTIONS(3437),
    [sym_null] = ACTIONS(3437),
    [sym_undefined] = ACTIONS(3437),
    [anon_sym_AT] = ACTIONS(3437),
    [anon_sym_static] = ACTIONS(3437),
    [anon_sym_readonly] = ACTIONS(3437),
    [anon_sym_get] = ACTIONS(3437),
    [anon_sym_set] = ACTIONS(3437),
    [anon_sym_declare] = ACTIONS(3437),
    [anon_sym_public] = ACTIONS(3437),
    [anon_sym_private] = ACTIONS(3437),
    [anon_sym_protected] = ACTIONS(3437),
    [anon_sym_override] = ACTIONS(3437),
    [anon_sym_module] = ACTIONS(3437),
    [anon_sym_any] = ACTIONS(3437),
    [anon_sym_number] = ACTIONS(3437),
    [anon_sym_boolean] = ACTIONS(3437),
    [anon_sym_string] = ACTIONS(3437),
    [anon_sym_symbol] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3437),
    [anon_sym_abstract] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3437),
    [anon_sym_enum] = ACTIONS(3437),
    [sym_html_comment] = ACTIONS(5),
  },
  [1684] = {
    [sym_comment] = STATE(1684),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1685] = {
    [sym_comment] = STATE(1685),
    [ts_builtin_sym_end] = ACTIONS(3671),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1686] = {
    [sym_comment] = STATE(1686),
    [ts_builtin_sym_end] = ACTIONS(3499),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1687] = {
    [sym_comment] = STATE(1687),
    [ts_builtin_sym_end] = ACTIONS(3501),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1688] = {
    [sym_comment] = STATE(1688),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1689] = {
    [sym_comment] = STATE(1689),
    [ts_builtin_sym_end] = ACTIONS(3579),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1690] = {
    [sym_comment] = STATE(1690),
    [ts_builtin_sym_end] = ACTIONS(2162),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1691] = {
    [sym_comment] = STATE(1691),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1692] = {
    [sym_comment] = STATE(1692),
    [ts_builtin_sym_end] = ACTIONS(3675),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1693] = {
    [sym_comment] = STATE(1693),
    [ts_builtin_sym_end] = ACTIONS(3579),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1694] = {
    [sym_comment] = STATE(1694),
    [ts_builtin_sym_end] = ACTIONS(3579),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1695] = {
    [sym_comment] = STATE(1695),
    [ts_builtin_sym_end] = ACTIONS(3475),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1696] = {
    [sym_comment] = STATE(1696),
    [ts_builtin_sym_end] = ACTIONS(3511),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1697] = {
    [sym_comment] = STATE(1697),
    [ts_builtin_sym_end] = ACTIONS(3473),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1698] = {
    [sym_comment] = STATE(1698),
    [ts_builtin_sym_end] = ACTIONS(3645),
    [sym_identifier] = ACTIONS(3435),
    [anon_sym_export] = ACTIONS(3435),
    [anon_sym_type] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3435),
    [anon_sym_RBRACE] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3435),
    [anon_sym_import] = ACTIONS(3435),
    [anon_sym_with] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_BANG] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_LPAREN] = ACTIONS(3435),
    [anon_sym_await] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_debugger] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_LTtemplate_GT] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_function] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_SLASH] = ACTIONS(3435),
    [anon_sym_LT] = ACTIONS(3435),
    [anon_sym_TILDE] = ACTIONS(3435),
    [anon_sym_void] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_PLUS_PLUS] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3435),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3435),
    [sym_number] = ACTIONS(3435),
    [sym_private_property_identifier] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
    [sym_super] = ACTIONS(3435),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [sym_null] = ACTIONS(3435),
    [sym_undefined] = ACTIONS(3435),
    [anon_sym_AT] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_get] = ACTIONS(3435),
    [anon_sym_set] = ACTIONS(3435),
    [anon_sym_declare] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_module] = ACTIONS(3435),
    [anon_sym_any] = ACTIONS(3435),
    [anon_sym_number] = ACTIONS(3435),
    [anon_sym_boolean] = ACTIONS(3435),
    [anon_sym_string] = ACTIONS(3435),
    [anon_sym_symbol] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [sym_html_comment] = ACTIONS(5),
  },
  [1699] = {
    [sym_comment] = STATE(1699),
    [ts_builtin_sym_end] = ACTIONS(3591),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1700] = {
    [sym_comment] = STATE(1700),
    [ts_builtin_sym_end] = ACTIONS(3471),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1701] = {
    [sym_comment] = STATE(1701),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [sym_identifier] = ACTIONS(3239),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_type] = ACTIONS(3239),
    [anon_sym_namespace] = ACTIONS(3239),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_typeof] = ACTIONS(3239),
    [anon_sym_import] = ACTIONS(3239),
    [anon_sym_with] = ACTIONS(3239),
    [anon_sym_var] = ACTIONS(3239),
    [anon_sym_let] = ACTIONS(3239),
    [anon_sym_const] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_switch] = ACTIONS(3239),
    [anon_sym_for] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_await] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(3239),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_break] = ACTIONS(3239),
    [anon_sym_continue] = ACTIONS(3239),
    [anon_sym_debugger] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3239),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_yield] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LTtemplate_GT] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(3239),
    [anon_sym_using] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3239),
    [anon_sym_SLASH] = ACTIONS(3239),
    [anon_sym_LT] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_void] = ACTIONS(3239),
    [anon_sym_delete] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3239),
    [sym_number] = ACTIONS(3239),
    [sym_private_property_identifier] = ACTIONS(3239),
    [sym_this] = ACTIONS(3239),
    [sym_super] = ACTIONS(3239),
    [sym_true] = ACTIONS(3239),
    [sym_false] = ACTIONS(3239),
    [sym_null] = ACTIONS(3239),
    [sym_undefined] = ACTIONS(3239),
    [anon_sym_AT] = ACTIONS(3239),
    [anon_sym_static] = ACTIONS(3239),
    [anon_sym_readonly] = ACTIONS(3239),
    [anon_sym_get] = ACTIONS(3239),
    [anon_sym_set] = ACTIONS(3239),
    [anon_sym_declare] = ACTIONS(3239),
    [anon_sym_public] = ACTIONS(3239),
    [anon_sym_private] = ACTIONS(3239),
    [anon_sym_protected] = ACTIONS(3239),
    [anon_sym_override] = ACTIONS(3239),
    [anon_sym_module] = ACTIONS(3239),
    [anon_sym_any] = ACTIONS(3239),
    [anon_sym_number] = ACTIONS(3239),
    [anon_sym_boolean] = ACTIONS(3239),
    [anon_sym_string] = ACTIONS(3239),
    [anon_sym_symbol] = ACTIONS(3239),
    [anon_sym_object] = ACTIONS(3239),
    [anon_sym_abstract] = ACTIONS(3239),
    [anon_sym_interface] = ACTIONS(3239),
    [anon_sym_enum] = ACTIONS(3239),
    [sym_html_comment] = ACTIONS(5),
  },
  [1702] = {
    [sym_comment] = STATE(1702),
    [ts_builtin_sym_end] = ACTIONS(3547),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_export] = ACTIONS(3433),
    [anon_sym_type] = ACTIONS(3433),
    [anon_sym_namespace] = ACTIONS(3433),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_RBRACE] = ACTIONS(3433),
    [anon_sym_typeof] = ACTIONS(3433),
    [anon_sym_import] = ACTIONS(3433),
    [anon_sym_with] = ACTIONS(3433),
    [anon_sym_var] = ACTIONS(3433),
    [anon_sym_let] = ACTIONS(3433),
    [anon_sym_const] = ACTIONS(3433),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_if] = ACTIONS(3433),
    [anon_sym_switch] = ACTIONS(3433),
    [anon_sym_for] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3433),
    [anon_sym_await] = ACTIONS(3433),
    [anon_sym_while] = ACTIONS(3433),
    [anon_sym_do] = ACTIONS(3433),
    [anon_sym_try] = ACTIONS(3433),
    [anon_sym_break] = ACTIONS(3433),
    [anon_sym_continue] = ACTIONS(3433),
    [anon_sym_debugger] = ACTIONS(3433),
    [anon_sym_return] = ACTIONS(3433),
    [anon_sym_throw] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(3433),
    [anon_sym_yield] = ACTIONS(3433),
    [anon_sym_LBRACK] = ACTIONS(3433),
    [anon_sym_LTtemplate_GT] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [anon_sym_SQUOTE] = ACTIONS(3433),
    [anon_sym_class] = ACTIONS(3433),
    [anon_sym_async] = ACTIONS(3433),
    [anon_sym_function] = ACTIONS(3433),
    [anon_sym_new] = ACTIONS(3433),
    [anon_sym_using] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_TILDE] = ACTIONS(3433),
    [anon_sym_void] = ACTIONS(3433),
    [anon_sym_delete] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3433),
    [sym_number] = ACTIONS(3433),
    [sym_private_property_identifier] = ACTIONS(3433),
    [sym_this] = ACTIONS(3433),
    [sym_super] = ACTIONS(3433),
    [sym_true] = ACTIONS(3433),
    [sym_false] = ACTIONS(3433),
    [sym_null] = ACTIONS(3433),
    [sym_undefined] = ACTIONS(3433),
    [anon_sym_AT] = ACTIONS(3433),
    [anon_sym_static] = ACTIONS(3433),
    [anon_sym_readonly] = ACTIONS(3433),
    [anon_sym_get] = ACTIONS(3433),
    [anon_sym_set] = ACTIONS(3433),
    [anon_sym_declare] = ACTIONS(3433),
    [anon_sym_public] = ACTIONS(3433),
    [anon_sym_private] = ACTIONS(3433),
    [anon_sym_protected] = ACTIONS(3433),
    [anon_sym_override] = ACTIONS(3433),
    [anon_sym_module] = ACTIONS(3433),
    [anon_sym_any] = ACTIONS(3433),
    [anon_sym_number] = ACTIONS(3433),
    [anon_sym_boolean] = ACTIONS(3433),
    [anon_sym_string] = ACTIONS(3433),
    [anon_sym_symbol] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3433),
    [anon_sym_abstract] = ACTIONS(3433),
    [anon_sym_interface] = ACTIONS(3433),
    [anon_sym_enum] = ACTIONS(3433),
    [sym_html_comment] = ACTIONS(5),
  },
  [1703] = {
    [sym_comment] = STATE(1703),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1704] = {
    [sym_comment] = STATE(1704),
    [ts_builtin_sym_end] = ACTIONS(3539),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1705] = {
    [sym_comment] = STATE(1705),
    [ts_builtin_sym_end] = ACTIONS(3633),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1706] = {
    [sym_comment] = STATE(1706),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1707] = {
    [sym_comment] = STATE(1707),
    [ts_builtin_sym_end] = ACTIONS(3527),
    [sym_identifier] = ACTIONS(3453),
    [anon_sym_export] = ACTIONS(3453),
    [anon_sym_type] = ACTIONS(3453),
    [anon_sym_namespace] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_RBRACE] = ACTIONS(3453),
    [anon_sym_typeof] = ACTIONS(3453),
    [anon_sym_import] = ACTIONS(3453),
    [anon_sym_with] = ACTIONS(3453),
    [anon_sym_var] = ACTIONS(3453),
    [anon_sym_let] = ACTIONS(3453),
    [anon_sym_const] = ACTIONS(3453),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_if] = ACTIONS(3453),
    [anon_sym_switch] = ACTIONS(3453),
    [anon_sym_for] = ACTIONS(3453),
    [anon_sym_LPAREN] = ACTIONS(3453),
    [anon_sym_await] = ACTIONS(3453),
    [anon_sym_while] = ACTIONS(3453),
    [anon_sym_do] = ACTIONS(3453),
    [anon_sym_try] = ACTIONS(3453),
    [anon_sym_break] = ACTIONS(3453),
    [anon_sym_continue] = ACTIONS(3453),
    [anon_sym_debugger] = ACTIONS(3453),
    [anon_sym_return] = ACTIONS(3453),
    [anon_sym_throw] = ACTIONS(3453),
    [anon_sym_SEMI] = ACTIONS(3453),
    [anon_sym_yield] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(3453),
    [anon_sym_LTtemplate_GT] = ACTIONS(3453),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [anon_sym_class] = ACTIONS(3453),
    [anon_sym_async] = ACTIONS(3453),
    [anon_sym_function] = ACTIONS(3453),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_using] = ACTIONS(3453),
    [anon_sym_PLUS] = ACTIONS(3453),
    [anon_sym_DASH] = ACTIONS(3453),
    [anon_sym_SLASH] = ACTIONS(3453),
    [anon_sym_LT] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_void] = ACTIONS(3453),
    [anon_sym_delete] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3453),
    [sym_number] = ACTIONS(3453),
    [sym_private_property_identifier] = ACTIONS(3453),
    [sym_this] = ACTIONS(3453),
    [sym_super] = ACTIONS(3453),
    [sym_true] = ACTIONS(3453),
    [sym_false] = ACTIONS(3453),
    [sym_null] = ACTIONS(3453),
    [sym_undefined] = ACTIONS(3453),
    [anon_sym_AT] = ACTIONS(3453),
    [anon_sym_static] = ACTIONS(3453),
    [anon_sym_readonly] = ACTIONS(3453),
    [anon_sym_get] = ACTIONS(3453),
    [anon_sym_set] = ACTIONS(3453),
    [anon_sym_declare] = ACTIONS(3453),
    [anon_sym_public] = ACTIONS(3453),
    [anon_sym_private] = ACTIONS(3453),
    [anon_sym_protected] = ACTIONS(3453),
    [anon_sym_override] = ACTIONS(3453),
    [anon_sym_module] = ACTIONS(3453),
    [anon_sym_any] = ACTIONS(3453),
    [anon_sym_number] = ACTIONS(3453),
    [anon_sym_boolean] = ACTIONS(3453),
    [anon_sym_string] = ACTIONS(3453),
    [anon_sym_symbol] = ACTIONS(3453),
    [anon_sym_object] = ACTIONS(3453),
    [anon_sym_abstract] = ACTIONS(3453),
    [anon_sym_interface] = ACTIONS(3453),
    [anon_sym_enum] = ACTIONS(3453),
    [sym_html_comment] = ACTIONS(5),
  },
  [1708] = {
    [sym_comment] = STATE(1708),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1709] = {
    [sym_comment] = STATE(1709),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1710] = {
    [sym_comment] = STATE(1710),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1711] = {
    [sym_comment] = STATE(1711),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1712] = {
    [sym_comment] = STATE(1712),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1713] = {
    [sym_comment] = STATE(1713),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1714] = {
    [sym_comment] = STATE(1714),
    [ts_builtin_sym_end] = ACTIONS(3629),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1715] = {
    [sym_comment] = STATE(1715),
    [ts_builtin_sym_end] = ACTIONS(3537),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1716] = {
    [sym_comment] = STATE(1716),
    [ts_builtin_sym_end] = ACTIONS(3623),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1717] = {
    [sym_comment] = STATE(1717),
    [ts_builtin_sym_end] = ACTIONS(3621),
    [sym_identifier] = ACTIONS(3369),
    [anon_sym_export] = ACTIONS(3369),
    [anon_sym_type] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym_import] = ACTIONS(3369),
    [anon_sym_with] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_LPAREN] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_debugger] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_LTtemplate_GT] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_function] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_SLASH] = ACTIONS(3369),
    [anon_sym_LT] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_void] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3369),
    [sym_number] = ACTIONS(3369),
    [sym_private_property_identifier] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
    [sym_super] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_null] = ACTIONS(3369),
    [sym_undefined] = ACTIONS(3369),
    [anon_sym_AT] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_get] = ACTIONS(3369),
    [anon_sym_set] = ACTIONS(3369),
    [anon_sym_declare] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_module] = ACTIONS(3369),
    [anon_sym_any] = ACTIONS(3369),
    [anon_sym_number] = ACTIONS(3369),
    [anon_sym_boolean] = ACTIONS(3369),
    [anon_sym_string] = ACTIONS(3369),
    [anon_sym_symbol] = ACTIONS(3369),
    [anon_sym_object] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_interface] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [sym_html_comment] = ACTIONS(5),
  },
  [1718] = {
    [sym_comment] = STATE(1718),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1719] = {
    [sym_comment] = STATE(1719),
    [ts_builtin_sym_end] = ACTIONS(3557),
    [sym_identifier] = ACTIONS(3401),
    [anon_sym_export] = ACTIONS(3401),
    [anon_sym_type] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3401),
    [anon_sym_typeof] = ACTIONS(3401),
    [anon_sym_import] = ACTIONS(3401),
    [anon_sym_with] = ACTIONS(3401),
    [anon_sym_var] = ACTIONS(3401),
    [anon_sym_let] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_await] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_debugger] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3401),
    [anon_sym_yield] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LTtemplate_GT] = ACTIONS(3401),
    [anon_sym_DQUOTE] = ACTIONS(3401),
    [anon_sym_SQUOTE] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_SLASH] = ACTIONS(3401),
    [anon_sym_LT] = ACTIONS(3401),
    [anon_sym_TILDE] = ACTIONS(3401),
    [anon_sym_void] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_PLUS_PLUS] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3401),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3401),
    [sym_number] = ACTIONS(3401),
    [sym_private_property_identifier] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
    [sym_super] = ACTIONS(3401),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [sym_null] = ACTIONS(3401),
    [sym_undefined] = ACTIONS(3401),
    [anon_sym_AT] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_declare] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_override] = ACTIONS(3401),
    [anon_sym_module] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_abstract] = ACTIONS(3401),
    [anon_sym_interface] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [sym_html_comment] = ACTIONS(5),
  },
  [1720] = {
    [sym_comment] = STATE(1720),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1721] = {
    [sym_comment] = STATE(1721),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1722] = {
    [sym_comment] = STATE(1722),
    [ts_builtin_sym_end] = ACTIONS(2218),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_typeof] = ACTIONS(2216),
    [anon_sym_import] = ACTIONS(2216),
    [anon_sym_with] = ACTIONS(2216),
    [anon_sym_var] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_await] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_debugger] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LTtemplate_GT] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_void] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym_number] = ACTIONS(2216),
    [sym_private_property_identifier] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [anon_sym_abstract] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1723] = {
    [sym_comment] = STATE(1723),
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1724] = {
    [sym_comment] = STATE(1724),
    [ts_builtin_sym_end] = ACTIONS(3653),
    [sym_identifier] = ACTIONS(3449),
    [anon_sym_export] = ACTIONS(3449),
    [anon_sym_type] = ACTIONS(3449),
    [anon_sym_namespace] = ACTIONS(3449),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_RBRACE] = ACTIONS(3449),
    [anon_sym_typeof] = ACTIONS(3449),
    [anon_sym_import] = ACTIONS(3449),
    [anon_sym_with] = ACTIONS(3449),
    [anon_sym_var] = ACTIONS(3449),
    [anon_sym_let] = ACTIONS(3449),
    [anon_sym_const] = ACTIONS(3449),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_if] = ACTIONS(3449),
    [anon_sym_switch] = ACTIONS(3449),
    [anon_sym_for] = ACTIONS(3449),
    [anon_sym_LPAREN] = ACTIONS(3449),
    [anon_sym_await] = ACTIONS(3449),
    [anon_sym_while] = ACTIONS(3449),
    [anon_sym_do] = ACTIONS(3449),
    [anon_sym_try] = ACTIONS(3449),
    [anon_sym_break] = ACTIONS(3449),
    [anon_sym_continue] = ACTIONS(3449),
    [anon_sym_debugger] = ACTIONS(3449),
    [anon_sym_return] = ACTIONS(3449),
    [anon_sym_throw] = ACTIONS(3449),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym_yield] = ACTIONS(3449),
    [anon_sym_LBRACK] = ACTIONS(3449),
    [anon_sym_LTtemplate_GT] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_class] = ACTIONS(3449),
    [anon_sym_async] = ACTIONS(3449),
    [anon_sym_function] = ACTIONS(3449),
    [anon_sym_new] = ACTIONS(3449),
    [anon_sym_using] = ACTIONS(3449),
    [anon_sym_PLUS] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3449),
    [anon_sym_SLASH] = ACTIONS(3449),
    [anon_sym_LT] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_void] = ACTIONS(3449),
    [anon_sym_delete] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3449),
    [sym_number] = ACTIONS(3449),
    [sym_private_property_identifier] = ACTIONS(3449),
    [sym_this] = ACTIONS(3449),
    [sym_super] = ACTIONS(3449),
    [sym_true] = ACTIONS(3449),
    [sym_false] = ACTIONS(3449),
    [sym_null] = ACTIONS(3449),
    [sym_undefined] = ACTIONS(3449),
    [anon_sym_AT] = ACTIONS(3449),
    [anon_sym_static] = ACTIONS(3449),
    [anon_sym_readonly] = ACTIONS(3449),
    [anon_sym_get] = ACTIONS(3449),
    [anon_sym_set] = ACTIONS(3449),
    [anon_sym_declare] = ACTIONS(3449),
    [anon_sym_public] = ACTIONS(3449),
    [anon_sym_private] = ACTIONS(3449),
    [anon_sym_protected] = ACTIONS(3449),
    [anon_sym_override] = ACTIONS(3449),
    [anon_sym_module] = ACTIONS(3449),
    [anon_sym_any] = ACTIONS(3449),
    [anon_sym_number] = ACTIONS(3449),
    [anon_sym_boolean] = ACTIONS(3449),
    [anon_sym_string] = ACTIONS(3449),
    [anon_sym_symbol] = ACTIONS(3449),
    [anon_sym_object] = ACTIONS(3449),
    [anon_sym_abstract] = ACTIONS(3449),
    [anon_sym_interface] = ACTIONS(3449),
    [anon_sym_enum] = ACTIONS(3449),
    [sym_html_comment] = ACTIONS(5),
  },
  [1725] = {
    [sym_comment] = STATE(1725),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym_identifier] = ACTIONS(3455),
    [anon_sym_export] = ACTIONS(3455),
    [anon_sym_type] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(3455),
    [anon_sym_typeof] = ACTIONS(3455),
    [anon_sym_import] = ACTIONS(3455),
    [anon_sym_with] = ACTIONS(3455),
    [anon_sym_var] = ACTIONS(3455),
    [anon_sym_let] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_BANG] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_LPAREN] = ACTIONS(3455),
    [anon_sym_await] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_debugger] = ACTIONS(3455),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_SEMI] = ACTIONS(3455),
    [anon_sym_yield] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_LTtemplate_GT] = ACTIONS(3455),
    [anon_sym_DQUOTE] = ACTIONS(3455),
    [anon_sym_SQUOTE] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_async] = ACTIONS(3455),
    [anon_sym_function] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_SLASH] = ACTIONS(3455),
    [anon_sym_LT] = ACTIONS(3455),
    [anon_sym_TILDE] = ACTIONS(3455),
    [anon_sym_void] = ACTIONS(3455),
    [anon_sym_delete] = ACTIONS(3455),
    [anon_sym_PLUS_PLUS] = ACTIONS(3455),
    [anon_sym_DASH_DASH] = ACTIONS(3455),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3455),
    [sym_number] = ACTIONS(3455),
    [sym_private_property_identifier] = ACTIONS(3455),
    [sym_this] = ACTIONS(3455),
    [sym_super] = ACTIONS(3455),
    [sym_true] = ACTIONS(3455),
    [sym_false] = ACTIONS(3455),
    [sym_null] = ACTIONS(3455),
    [sym_undefined] = ACTIONS(3455),
    [anon_sym_AT] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_readonly] = ACTIONS(3455),
    [anon_sym_get] = ACTIONS(3455),
    [anon_sym_set] = ACTIONS(3455),
    [anon_sym_declare] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_override] = ACTIONS(3455),
    [anon_sym_module] = ACTIONS(3455),
    [anon_sym_any] = ACTIONS(3455),
    [anon_sym_number] = ACTIONS(3455),
    [anon_sym_boolean] = ACTIONS(3455),
    [anon_sym_string] = ACTIONS(3455),
    [anon_sym_symbol] = ACTIONS(3455),
    [anon_sym_object] = ACTIONS(3455),
    [anon_sym_abstract] = ACTIONS(3455),
    [anon_sym_interface] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [sym_html_comment] = ACTIONS(5),
  },
  [1726] = {
    [sym_comment] = STATE(1726),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1727] = {
    [sym_comment] = STATE(1727),
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1728] = {
    [sym_comment] = STATE(1728),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1729] = {
    [sym_comment] = STATE(1729),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1730] = {
    [sym_comment] = STATE(1730),
    [ts_builtin_sym_end] = ACTIONS(3513),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1731] = {
    [sym_comment] = STATE(1731),
    [ts_builtin_sym_end] = ACTIONS(3659),
    [sym_identifier] = ACTIONS(3259),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_type] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_RBRACE] = ACTIONS(3259),
    [anon_sym_typeof] = ACTIONS(3259),
    [anon_sym_import] = ACTIONS(3259),
    [anon_sym_with] = ACTIONS(3259),
    [anon_sym_var] = ACTIONS(3259),
    [anon_sym_let] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_await] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_debugger] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym_yield] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_LTtemplate_GT] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_async] = ACTIONS(3259),
    [anon_sym_function] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_void] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3259),
    [sym_number] = ACTIONS(3259),
    [sym_private_property_identifier] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
    [sym_super] = ACTIONS(3259),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [sym_null] = ACTIONS(3259),
    [sym_undefined] = ACTIONS(3259),
    [anon_sym_AT] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_readonly] = ACTIONS(3259),
    [anon_sym_get] = ACTIONS(3259),
    [anon_sym_set] = ACTIONS(3259),
    [anon_sym_declare] = ACTIONS(3259),
    [anon_sym_public] = ACTIONS(3259),
    [anon_sym_private] = ACTIONS(3259),
    [anon_sym_protected] = ACTIONS(3259),
    [anon_sym_override] = ACTIONS(3259),
    [anon_sym_module] = ACTIONS(3259),
    [anon_sym_any] = ACTIONS(3259),
    [anon_sym_number] = ACTIONS(3259),
    [anon_sym_boolean] = ACTIONS(3259),
    [anon_sym_string] = ACTIONS(3259),
    [anon_sym_symbol] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3259),
    [anon_sym_abstract] = ACTIONS(3259),
    [anon_sym_interface] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1732] = {
    [sym_comment] = STATE(1732),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3339),
    [anon_sym_export] = ACTIONS(3339),
    [anon_sym_type] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3339),
    [anon_sym_typeof] = ACTIONS(3339),
    [anon_sym_import] = ACTIONS(3339),
    [anon_sym_with] = ACTIONS(3339),
    [anon_sym_var] = ACTIONS(3339),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_await] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_debugger] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_yield] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LTtemplate_GT] = ACTIONS(3339),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_async] = ACTIONS(3339),
    [anon_sym_function] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_SLASH] = ACTIONS(3339),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_void] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3339),
    [sym_number] = ACTIONS(3339),
    [sym_private_property_identifier] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
    [sym_super] = ACTIONS(3339),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [sym_null] = ACTIONS(3339),
    [sym_undefined] = ACTIONS(3339),
    [anon_sym_AT] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3339),
    [anon_sym_set] = ACTIONS(3339),
    [anon_sym_declare] = ACTIONS(3339),
    [anon_sym_public] = ACTIONS(3339),
    [anon_sym_private] = ACTIONS(3339),
    [anon_sym_protected] = ACTIONS(3339),
    [anon_sym_override] = ACTIONS(3339),
    [anon_sym_module] = ACTIONS(3339),
    [anon_sym_any] = ACTIONS(3339),
    [anon_sym_number] = ACTIONS(3339),
    [anon_sym_boolean] = ACTIONS(3339),
    [anon_sym_string] = ACTIONS(3339),
    [anon_sym_symbol] = ACTIONS(3339),
    [anon_sym_object] = ACTIONS(3339),
    [anon_sym_abstract] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1733] = {
    [sym_comment] = STATE(1733),
    [ts_builtin_sym_end] = ACTIONS(3611),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1734] = {
    [sym_comment] = STATE(1734),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1735] = {
    [sym_comment] = STATE(1735),
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1736] = {
    [sym_comment] = STATE(1736),
    [ts_builtin_sym_end] = ACTIONS(3601),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1737] = {
    [sym_comment] = STATE(1737),
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_identifier] = ACTIONS(3451),
    [anon_sym_export] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym_import] = ACTIONS(3451),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_debugger] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LTtemplate_GT] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_SLASH] = ACTIONS(3451),
    [anon_sym_LT] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3451),
    [anon_sym_void] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_PLUS_PLUS] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3451),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3451),
    [sym_number] = ACTIONS(3451),
    [sym_private_property_identifier] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
    [sym_super] = ACTIONS(3451),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [sym_null] = ACTIONS(3451),
    [sym_undefined] = ACTIONS(3451),
    [anon_sym_AT] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_get] = ACTIONS(3451),
    [anon_sym_set] = ACTIONS(3451),
    [anon_sym_declare] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_any] = ACTIONS(3451),
    [anon_sym_number] = ACTIONS(3451),
    [anon_sym_boolean] = ACTIONS(3451),
    [anon_sym_string] = ACTIONS(3451),
    [anon_sym_symbol] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1738] = {
    [sym_comment] = STATE(1738),
    [ts_builtin_sym_end] = ACTIONS(3599),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1739] = {
    [sym_comment] = STATE(1739),
    [ts_builtin_sym_end] = ACTIONS(3483),
    [sym_identifier] = ACTIONS(3441),
    [anon_sym_export] = ACTIONS(3441),
    [anon_sym_type] = ACTIONS(3441),
    [anon_sym_namespace] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_typeof] = ACTIONS(3441),
    [anon_sym_import] = ACTIONS(3441),
    [anon_sym_with] = ACTIONS(3441),
    [anon_sym_var] = ACTIONS(3441),
    [anon_sym_let] = ACTIONS(3441),
    [anon_sym_const] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_if] = ACTIONS(3441),
    [anon_sym_switch] = ACTIONS(3441),
    [anon_sym_for] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_await] = ACTIONS(3441),
    [anon_sym_while] = ACTIONS(3441),
    [anon_sym_do] = ACTIONS(3441),
    [anon_sym_try] = ACTIONS(3441),
    [anon_sym_break] = ACTIONS(3441),
    [anon_sym_continue] = ACTIONS(3441),
    [anon_sym_debugger] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3441),
    [anon_sym_throw] = ACTIONS(3441),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym_yield] = ACTIONS(3441),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LTtemplate_GT] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_class] = ACTIONS(3441),
    [anon_sym_async] = ACTIONS(3441),
    [anon_sym_function] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3441),
    [anon_sym_using] = ACTIONS(3441),
    [anon_sym_PLUS] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3441),
    [anon_sym_SLASH] = ACTIONS(3441),
    [anon_sym_LT] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_void] = ACTIONS(3441),
    [anon_sym_delete] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3441),
    [sym_number] = ACTIONS(3441),
    [sym_private_property_identifier] = ACTIONS(3441),
    [sym_this] = ACTIONS(3441),
    [sym_super] = ACTIONS(3441),
    [sym_true] = ACTIONS(3441),
    [sym_false] = ACTIONS(3441),
    [sym_null] = ACTIONS(3441),
    [sym_undefined] = ACTIONS(3441),
    [anon_sym_AT] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3441),
    [anon_sym_readonly] = ACTIONS(3441),
    [anon_sym_get] = ACTIONS(3441),
    [anon_sym_set] = ACTIONS(3441),
    [anon_sym_declare] = ACTIONS(3441),
    [anon_sym_public] = ACTIONS(3441),
    [anon_sym_private] = ACTIONS(3441),
    [anon_sym_protected] = ACTIONS(3441),
    [anon_sym_override] = ACTIONS(3441),
    [anon_sym_module] = ACTIONS(3441),
    [anon_sym_any] = ACTIONS(3441),
    [anon_sym_number] = ACTIONS(3441),
    [anon_sym_boolean] = ACTIONS(3441),
    [anon_sym_string] = ACTIONS(3441),
    [anon_sym_symbol] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3441),
    [anon_sym_abstract] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3441),
    [anon_sym_enum] = ACTIONS(3441),
    [sym_html_comment] = ACTIONS(5),
  },
  [1740] = {
    [sym_comment] = STATE(1740),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1741] = {
    [sym_comment] = STATE(1741),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1742] = {
    [sym_comment] = STATE(1742),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1743] = {
    [sym_comment] = STATE(1743),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1744] = {
    [sym_comment] = STATE(1744),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1745] = {
    [sym_comment] = STATE(1745),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1746] = {
    [sym_comment] = STATE(1746),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1747] = {
    [sym_comment] = STATE(1747),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1748] = {
    [sym_comment] = STATE(1748),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1749] = {
    [sym_comment] = STATE(1749),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1750] = {
    [sym_comment] = STATE(1750),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1751] = {
    [sym_comment] = STATE(1751),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3217),
    [anon_sym_export] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym_import] = ACTIONS(3217),
    [anon_sym_with] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_LPAREN] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_debugger] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_LTtemplate_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_function] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_void] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3217),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
    [sym_super] = ACTIONS(3217),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [sym_null] = ACTIONS(3217),
    [sym_undefined] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_get] = ACTIONS(3217),
    [anon_sym_set] = ACTIONS(3217),
    [anon_sym_declare] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_module] = ACTIONS(3217),
    [anon_sym_any] = ACTIONS(3217),
    [anon_sym_number] = ACTIONS(3217),
    [anon_sym_boolean] = ACTIONS(3217),
    [anon_sym_string] = ACTIONS(3217),
    [anon_sym_symbol] = ACTIONS(3217),
    [anon_sym_object] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [sym_html_comment] = ACTIONS(5),
  },
  [1752] = {
    [sym_comment] = STATE(1752),
    [ts_builtin_sym_end] = ACTIONS(3587),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1753] = {
    [sym_comment] = STATE(1753),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1754] = {
    [sym_comment] = STATE(1754),
    [ts_builtin_sym_end] = ACTIONS(3589),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1755] = {
    [sym_comment] = STATE(1755),
    [ts_builtin_sym_end] = ACTIONS(3661),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1756] = {
    [sym_comment] = STATE(1756),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1757] = {
    [sym_comment] = STATE(1757),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1758] = {
    [sym_comment] = STATE(1758),
    [ts_builtin_sym_end] = ACTIONS(3603),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1759] = {
    [sym_comment] = STATE(1759),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1760] = {
    [sym_comment] = STATE(1760),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1761] = {
    [sym_comment] = STATE(1761),
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2246),
    [anon_sym_type] = ACTIONS(2246),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_typeof] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2246),
    [anon_sym_let] = ACTIONS(2246),
    [anon_sym_const] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_await] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_debugger] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LTtemplate_GT] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2246),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [anon_sym_void] = ACTIONS(2246),
    [anon_sym_delete] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2246),
    [anon_sym_DASH_DASH] = ACTIONS(2246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2246),
    [sym_number] = ACTIONS(2246),
    [sym_private_property_identifier] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_null] = ACTIONS(2246),
    [sym_undefined] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_readonly] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_declare] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_override] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_any] = ACTIONS(2246),
    [anon_sym_number] = ACTIONS(2246),
    [anon_sym_boolean] = ACTIONS(2246),
    [anon_sym_string] = ACTIONS(2246),
    [anon_sym_symbol] = ACTIONS(2246),
    [anon_sym_object] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1762] = {
    [sym_comment] = STATE(1762),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1763] = {
    [sym_comment] = STATE(1763),
    [ts_builtin_sym_end] = ACTIONS(3523),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1764] = {
    [sym_comment] = STATE(1764),
    [ts_builtin_sym_end] = ACTIONS(3665),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1765] = {
    [sym_comment] = STATE(1765),
    [ts_builtin_sym_end] = ACTIONS(3521),
    [sym_identifier] = ACTIONS(3397),
    [anon_sym_export] = ACTIONS(3397),
    [anon_sym_type] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_with] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_debugger] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_LTtemplate_GT] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_function] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_SLASH] = ACTIONS(3397),
    [anon_sym_LT] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_void] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_PLUS_PLUS] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3397),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3397),
    [sym_number] = ACTIONS(3397),
    [sym_private_property_identifier] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
    [sym_super] = ACTIONS(3397),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [sym_null] = ACTIONS(3397),
    [sym_undefined] = ACTIONS(3397),
    [anon_sym_AT] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_get] = ACTIONS(3397),
    [anon_sym_set] = ACTIONS(3397),
    [anon_sym_declare] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_module] = ACTIONS(3397),
    [anon_sym_any] = ACTIONS(3397),
    [anon_sym_number] = ACTIONS(3397),
    [anon_sym_boolean] = ACTIONS(3397),
    [anon_sym_string] = ACTIONS(3397),
    [anon_sym_symbol] = ACTIONS(3397),
    [anon_sym_object] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1766] = {
    [sym_comment] = STATE(1766),
    [ts_builtin_sym_end] = ACTIONS(3517),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1767] = {
    [sym_comment] = STATE(1767),
    [ts_builtin_sym_end] = ACTIONS(3543),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1768] = {
    [sym_comment] = STATE(1768),
    [ts_builtin_sym_end] = ACTIONS(3507),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1769] = {
    [sym_comment] = STATE(1769),
    [ts_builtin_sym_end] = ACTIONS(3505),
    [sym_identifier] = ACTIONS(3349),
    [anon_sym_export] = ACTIONS(3349),
    [anon_sym_type] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym_import] = ACTIONS(3349),
    [anon_sym_with] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_debugger] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_LTtemplate_GT] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_function] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3349),
    [anon_sym_LT] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_void] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3349),
    [sym_number] = ACTIONS(3349),
    [sym_private_property_identifier] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
    [sym_super] = ACTIONS(3349),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [sym_null] = ACTIONS(3349),
    [sym_undefined] = ACTIONS(3349),
    [anon_sym_AT] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_get] = ACTIONS(3349),
    [anon_sym_set] = ACTIONS(3349),
    [anon_sym_declare] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_module] = ACTIONS(3349),
    [anon_sym_any] = ACTIONS(3349),
    [anon_sym_number] = ACTIONS(3349),
    [anon_sym_boolean] = ACTIONS(3349),
    [anon_sym_string] = ACTIONS(3349),
    [anon_sym_symbol] = ACTIONS(3349),
    [anon_sym_object] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_interface] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [sym_html_comment] = ACTIONS(5),
  },
  [1770] = {
    [sym_comment] = STATE(1770),
    [ts_builtin_sym_end] = ACTIONS(3593),
    [sym_identifier] = ACTIONS(3359),
    [anon_sym_export] = ACTIONS(3359),
    [anon_sym_type] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3359),
    [anon_sym_typeof] = ACTIONS(3359),
    [anon_sym_import] = ACTIONS(3359),
    [anon_sym_with] = ACTIONS(3359),
    [anon_sym_var] = ACTIONS(3359),
    [anon_sym_let] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_await] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_debugger] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_yield] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LTtemplate_GT] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_async] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_SLASH] = ACTIONS(3359),
    [anon_sym_LT] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_void] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3359),
    [sym_number] = ACTIONS(3359),
    [sym_private_property_identifier] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
    [sym_super] = ACTIONS(3359),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [sym_null] = ACTIONS(3359),
    [sym_undefined] = ACTIONS(3359),
    [anon_sym_AT] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3359),
    [anon_sym_get] = ACTIONS(3359),
    [anon_sym_set] = ACTIONS(3359),
    [anon_sym_declare] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_override] = ACTIONS(3359),
    [anon_sym_module] = ACTIONS(3359),
    [anon_sym_any] = ACTIONS(3359),
    [anon_sym_number] = ACTIONS(3359),
    [anon_sym_boolean] = ACTIONS(3359),
    [anon_sym_string] = ACTIONS(3359),
    [anon_sym_symbol] = ACTIONS(3359),
    [anon_sym_object] = ACTIONS(3359),
    [anon_sym_abstract] = ACTIONS(3359),
    [anon_sym_interface] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [sym_html_comment] = ACTIONS(5),
  },
  [1771] = {
    [sym_comment] = STATE(1771),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1772] = {
    [sym_comment] = STATE(1772),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_namespace] = ACTIONS(2176),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2176),
    [anon_sym_import] = ACTIONS(2176),
    [anon_sym_with] = ACTIONS(2176),
    [anon_sym_var] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_switch] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2176),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_debugger] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LTtemplate_GT] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_function] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2176),
    [anon_sym_delete] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_private_property_identifier] = ACTIONS(2176),
    [sym_this] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_null] = ACTIONS(2176),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [anon_sym_abstract] = ACTIONS(2176),
    [anon_sym_interface] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1773] = {
    [sym_comment] = STATE(1773),
    [ts_builtin_sym_end] = ACTIONS(3595),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1774] = {
    [sym_comment] = STATE(1774),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1775] = {
    [sym_comment] = STATE(1775),
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1776] = {
    [sym_comment] = STATE(1776),
    [ts_builtin_sym_end] = ACTIONS(3503),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1777] = {
    [sym_comment] = STATE(1777),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1778] = {
    [sym_comment] = STATE(1778),
    [ts_builtin_sym_end] = ACTIONS(3597),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1779] = {
    [sym_comment] = STATE(1779),
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_export] = ACTIONS(3355),
    [anon_sym_type] = ACTIONS(3355),
    [anon_sym_namespace] = ACTIONS(3355),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_RBRACE] = ACTIONS(3355),
    [anon_sym_typeof] = ACTIONS(3355),
    [anon_sym_import] = ACTIONS(3355),
    [anon_sym_with] = ACTIONS(3355),
    [anon_sym_var] = ACTIONS(3355),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(3355),
    [anon_sym_switch] = ACTIONS(3355),
    [anon_sym_for] = ACTIONS(3355),
    [anon_sym_LPAREN] = ACTIONS(3355),
    [anon_sym_await] = ACTIONS(3355),
    [anon_sym_while] = ACTIONS(3355),
    [anon_sym_do] = ACTIONS(3355),
    [anon_sym_try] = ACTIONS(3355),
    [anon_sym_break] = ACTIONS(3355),
    [anon_sym_continue] = ACTIONS(3355),
    [anon_sym_debugger] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3355),
    [anon_sym_throw] = ACTIONS(3355),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym_yield] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_LTtemplate_GT] = ACTIONS(3355),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_async] = ACTIONS(3355),
    [anon_sym_function] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_PLUS] = ACTIONS(3355),
    [anon_sym_DASH] = ACTIONS(3355),
    [anon_sym_SLASH] = ACTIONS(3355),
    [anon_sym_LT] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_void] = ACTIONS(3355),
    [anon_sym_delete] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3355),
    [sym_number] = ACTIONS(3355),
    [sym_private_property_identifier] = ACTIONS(3355),
    [sym_this] = ACTIONS(3355),
    [sym_super] = ACTIONS(3355),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [sym_null] = ACTIONS(3355),
    [sym_undefined] = ACTIONS(3355),
    [anon_sym_AT] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_readonly] = ACTIONS(3355),
    [anon_sym_get] = ACTIONS(3355),
    [anon_sym_set] = ACTIONS(3355),
    [anon_sym_declare] = ACTIONS(3355),
    [anon_sym_public] = ACTIONS(3355),
    [anon_sym_private] = ACTIONS(3355),
    [anon_sym_protected] = ACTIONS(3355),
    [anon_sym_override] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(3355),
    [anon_sym_any] = ACTIONS(3355),
    [anon_sym_number] = ACTIONS(3355),
    [anon_sym_boolean] = ACTIONS(3355),
    [anon_sym_string] = ACTIONS(3355),
    [anon_sym_symbol] = ACTIONS(3355),
    [anon_sym_object] = ACTIONS(3355),
    [anon_sym_abstract] = ACTIONS(3355),
    [anon_sym_interface] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [sym_html_comment] = ACTIONS(5),
  },
  [1780] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1780),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(5822),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(3681),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3683),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1781] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1781),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6249),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(3687),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1782] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1782),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6213),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(3691),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3693),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1783] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1783),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6194),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(3695),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3697),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1784] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1784),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(5996),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(3699),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3701),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1785] = {
    [sym_comment] = STATE(1785),
    [sym_identifier] = ACTIONS(3703),
    [anon_sym_export] = ACTIONS(3703),
    [anon_sym_type] = ACTIONS(3703),
    [anon_sym_namespace] = ACTIONS(3703),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_typeof] = ACTIONS(3703),
    [anon_sym_import] = ACTIONS(3703),
    [anon_sym_with] = ACTIONS(3703),
    [anon_sym_var] = ACTIONS(3703),
    [anon_sym_let] = ACTIONS(3703),
    [anon_sym_const] = ACTIONS(3703),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_if] = ACTIONS(3703),
    [anon_sym_switch] = ACTIONS(3703),
    [anon_sym_for] = ACTIONS(3703),
    [anon_sym_LPAREN] = ACTIONS(3703),
    [anon_sym_await] = ACTIONS(3703),
    [anon_sym_while] = ACTIONS(3703),
    [anon_sym_do] = ACTIONS(3703),
    [anon_sym_try] = ACTIONS(3703),
    [anon_sym_break] = ACTIONS(3703),
    [anon_sym_continue] = ACTIONS(3703),
    [anon_sym_debugger] = ACTIONS(3703),
    [anon_sym_return] = ACTIONS(3703),
    [anon_sym_throw] = ACTIONS(3703),
    [anon_sym_SEMI] = ACTIONS(3703),
    [anon_sym_yield] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(3703),
    [anon_sym_LTtemplate_GT] = ACTIONS(3703),
    [anon_sym_DQUOTE] = ACTIONS(3703),
    [anon_sym_SQUOTE] = ACTIONS(3703),
    [anon_sym_class] = ACTIONS(3703),
    [anon_sym_async] = ACTIONS(3703),
    [anon_sym_function] = ACTIONS(3703),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_using] = ACTIONS(3703),
    [anon_sym_PLUS] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3703),
    [anon_sym_SLASH] = ACTIONS(3703),
    [anon_sym_LT] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_void] = ACTIONS(3703),
    [anon_sym_delete] = ACTIONS(3703),
    [anon_sym_PLUS_PLUS] = ACTIONS(3703),
    [anon_sym_DASH_DASH] = ACTIONS(3703),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3703),
    [sym_number] = ACTIONS(3703),
    [sym_private_property_identifier] = ACTIONS(3703),
    [sym_this] = ACTIONS(3703),
    [sym_super] = ACTIONS(3703),
    [sym_true] = ACTIONS(3703),
    [sym_false] = ACTIONS(3703),
    [sym_null] = ACTIONS(3703),
    [sym_undefined] = ACTIONS(3703),
    [anon_sym_AT] = ACTIONS(3703),
    [anon_sym_static] = ACTIONS(3703),
    [anon_sym_readonly] = ACTIONS(3703),
    [anon_sym_get] = ACTIONS(3703),
    [anon_sym_set] = ACTIONS(3703),
    [anon_sym_declare] = ACTIONS(3703),
    [anon_sym_public] = ACTIONS(3703),
    [anon_sym_private] = ACTIONS(3703),
    [anon_sym_protected] = ACTIONS(3703),
    [anon_sym_override] = ACTIONS(3703),
    [anon_sym_module] = ACTIONS(3703),
    [anon_sym_any] = ACTIONS(3703),
    [anon_sym_number] = ACTIONS(3703),
    [anon_sym_boolean] = ACTIONS(3703),
    [anon_sym_string] = ACTIONS(3703),
    [anon_sym_symbol] = ACTIONS(3703),
    [anon_sym_object] = ACTIONS(3703),
    [anon_sym_abstract] = ACTIONS(3703),
    [anon_sym_interface] = ACTIONS(3703),
    [anon_sym_enum] = ACTIONS(3703),
    [sym_html_comment] = ACTIONS(5),
  },
  [1786] = {
    [sym_comment] = STATE(1786),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_export] = ACTIONS(3705),
    [anon_sym_type] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3705),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym_import] = ACTIONS(3705),
    [anon_sym_with] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(3705),
    [anon_sym_switch] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3705),
    [anon_sym_LPAREN] = ACTIONS(3705),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_while] = ACTIONS(3705),
    [anon_sym_do] = ACTIONS(3705),
    [anon_sym_try] = ACTIONS(3705),
    [anon_sym_break] = ACTIONS(3705),
    [anon_sym_continue] = ACTIONS(3705),
    [anon_sym_debugger] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3705),
    [anon_sym_throw] = ACTIONS(3705),
    [anon_sym_SEMI] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3705),
    [anon_sym_LTtemplate_GT] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(3705),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_SLASH] = ACTIONS(3705),
    [anon_sym_LT] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [anon_sym_void] = ACTIONS(3705),
    [anon_sym_delete] = ACTIONS(3705),
    [anon_sym_PLUS_PLUS] = ACTIONS(3705),
    [anon_sym_DASH_DASH] = ACTIONS(3705),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3705),
    [sym_number] = ACTIONS(3705),
    [sym_private_property_identifier] = ACTIONS(3705),
    [sym_this] = ACTIONS(3705),
    [sym_super] = ACTIONS(3705),
    [sym_true] = ACTIONS(3705),
    [sym_false] = ACTIONS(3705),
    [sym_null] = ACTIONS(3705),
    [sym_undefined] = ACTIONS(3705),
    [anon_sym_AT] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_get] = ACTIONS(3705),
    [anon_sym_set] = ACTIONS(3705),
    [anon_sym_declare] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_module] = ACTIONS(3705),
    [anon_sym_any] = ACTIONS(3705),
    [anon_sym_number] = ACTIONS(3705),
    [anon_sym_boolean] = ACTIONS(3705),
    [anon_sym_string] = ACTIONS(3705),
    [anon_sym_symbol] = ACTIONS(3705),
    [anon_sym_object] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [sym_html_comment] = ACTIONS(5),
  },
  [1787] = {
    [sym_comment] = STATE(1787),
    [sym_identifier] = ACTIONS(3707),
    [anon_sym_export] = ACTIONS(3707),
    [anon_sym_type] = ACTIONS(3707),
    [anon_sym_namespace] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3707),
    [anon_sym_import] = ACTIONS(3707),
    [anon_sym_with] = ACTIONS(3707),
    [anon_sym_var] = ACTIONS(3707),
    [anon_sym_let] = ACTIONS(3707),
    [anon_sym_const] = ACTIONS(3707),
    [anon_sym_BANG] = ACTIONS(3707),
    [anon_sym_if] = ACTIONS(3707),
    [anon_sym_switch] = ACTIONS(3707),
    [anon_sym_for] = ACTIONS(3707),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_await] = ACTIONS(3707),
    [anon_sym_while] = ACTIONS(3707),
    [anon_sym_do] = ACTIONS(3707),
    [anon_sym_try] = ACTIONS(3707),
    [anon_sym_break] = ACTIONS(3707),
    [anon_sym_continue] = ACTIONS(3707),
    [anon_sym_debugger] = ACTIONS(3707),
    [anon_sym_return] = ACTIONS(3707),
    [anon_sym_throw] = ACTIONS(3707),
    [anon_sym_SEMI] = ACTIONS(3707),
    [anon_sym_yield] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LTtemplate_GT] = ACTIONS(3707),
    [anon_sym_DQUOTE] = ACTIONS(3707),
    [anon_sym_SQUOTE] = ACTIONS(3707),
    [anon_sym_class] = ACTIONS(3707),
    [anon_sym_async] = ACTIONS(3707),
    [anon_sym_function] = ACTIONS(3707),
    [anon_sym_new] = ACTIONS(3707),
    [anon_sym_using] = ACTIONS(3707),
    [anon_sym_PLUS] = ACTIONS(3707),
    [anon_sym_DASH] = ACTIONS(3707),
    [anon_sym_SLASH] = ACTIONS(3707),
    [anon_sym_LT] = ACTIONS(3707),
    [anon_sym_TILDE] = ACTIONS(3707),
    [anon_sym_void] = ACTIONS(3707),
    [anon_sym_delete] = ACTIONS(3707),
    [anon_sym_PLUS_PLUS] = ACTIONS(3707),
    [anon_sym_DASH_DASH] = ACTIONS(3707),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3707),
    [sym_number] = ACTIONS(3707),
    [sym_private_property_identifier] = ACTIONS(3707),
    [sym_this] = ACTIONS(3707),
    [sym_super] = ACTIONS(3707),
    [sym_true] = ACTIONS(3707),
    [sym_false] = ACTIONS(3707),
    [sym_null] = ACTIONS(3707),
    [sym_undefined] = ACTIONS(3707),
    [anon_sym_AT] = ACTIONS(3707),
    [anon_sym_static] = ACTIONS(3707),
    [anon_sym_readonly] = ACTIONS(3707),
    [anon_sym_get] = ACTIONS(3707),
    [anon_sym_set] = ACTIONS(3707),
    [anon_sym_declare] = ACTIONS(3707),
    [anon_sym_public] = ACTIONS(3707),
    [anon_sym_private] = ACTIONS(3707),
    [anon_sym_protected] = ACTIONS(3707),
    [anon_sym_override] = ACTIONS(3707),
    [anon_sym_module] = ACTIONS(3707),
    [anon_sym_any] = ACTIONS(3707),
    [anon_sym_number] = ACTIONS(3707),
    [anon_sym_boolean] = ACTIONS(3707),
    [anon_sym_string] = ACTIONS(3707),
    [anon_sym_symbol] = ACTIONS(3707),
    [anon_sym_object] = ACTIONS(3707),
    [anon_sym_abstract] = ACTIONS(3707),
    [anon_sym_interface] = ACTIONS(3707),
    [anon_sym_enum] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1788] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1788),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3709),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1789] = {
    [sym_comment] = STATE(1789),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_export] = ACTIONS(3705),
    [anon_sym_type] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3705),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym_import] = ACTIONS(3705),
    [anon_sym_with] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(3705),
    [anon_sym_switch] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3705),
    [anon_sym_LPAREN] = ACTIONS(3705),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_while] = ACTIONS(3705),
    [anon_sym_do] = ACTIONS(3705),
    [anon_sym_try] = ACTIONS(3705),
    [anon_sym_break] = ACTIONS(3705),
    [anon_sym_continue] = ACTIONS(3705),
    [anon_sym_debugger] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3705),
    [anon_sym_throw] = ACTIONS(3705),
    [anon_sym_SEMI] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3705),
    [anon_sym_LTtemplate_GT] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(3705),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_SLASH] = ACTIONS(3705),
    [anon_sym_LT] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [anon_sym_void] = ACTIONS(3705),
    [anon_sym_delete] = ACTIONS(3705),
    [anon_sym_PLUS_PLUS] = ACTIONS(3705),
    [anon_sym_DASH_DASH] = ACTIONS(3705),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3705),
    [sym_number] = ACTIONS(3705),
    [sym_private_property_identifier] = ACTIONS(3705),
    [sym_this] = ACTIONS(3705),
    [sym_super] = ACTIONS(3705),
    [sym_true] = ACTIONS(3705),
    [sym_false] = ACTIONS(3705),
    [sym_null] = ACTIONS(3705),
    [sym_undefined] = ACTIONS(3705),
    [anon_sym_AT] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_get] = ACTIONS(3705),
    [anon_sym_set] = ACTIONS(3705),
    [anon_sym_declare] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_module] = ACTIONS(3705),
    [anon_sym_any] = ACTIONS(3705),
    [anon_sym_number] = ACTIONS(3705),
    [anon_sym_boolean] = ACTIONS(3705),
    [anon_sym_string] = ACTIONS(3705),
    [anon_sym_symbol] = ACTIONS(3705),
    [anon_sym_object] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [sym_html_comment] = ACTIONS(5),
  },
  [1790] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1790),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1791] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1791),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3713),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1792] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1792),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3715),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1793] = {
    [sym_comment] = STATE(1793),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_export] = ACTIONS(3705),
    [anon_sym_type] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3705),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym_import] = ACTIONS(3705),
    [anon_sym_with] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(3705),
    [anon_sym_switch] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3705),
    [anon_sym_LPAREN] = ACTIONS(3705),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_while] = ACTIONS(3705),
    [anon_sym_do] = ACTIONS(3705),
    [anon_sym_try] = ACTIONS(3705),
    [anon_sym_break] = ACTIONS(3705),
    [anon_sym_continue] = ACTIONS(3705),
    [anon_sym_debugger] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3705),
    [anon_sym_throw] = ACTIONS(3705),
    [anon_sym_SEMI] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3705),
    [anon_sym_LTtemplate_GT] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(3705),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_SLASH] = ACTIONS(3705),
    [anon_sym_LT] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [anon_sym_void] = ACTIONS(3705),
    [anon_sym_delete] = ACTIONS(3705),
    [anon_sym_PLUS_PLUS] = ACTIONS(3705),
    [anon_sym_DASH_DASH] = ACTIONS(3705),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3705),
    [sym_number] = ACTIONS(3705),
    [sym_private_property_identifier] = ACTIONS(3705),
    [sym_this] = ACTIONS(3705),
    [sym_super] = ACTIONS(3705),
    [sym_true] = ACTIONS(3705),
    [sym_false] = ACTIONS(3705),
    [sym_null] = ACTIONS(3705),
    [sym_undefined] = ACTIONS(3705),
    [anon_sym_AT] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_get] = ACTIONS(3705),
    [anon_sym_set] = ACTIONS(3705),
    [anon_sym_declare] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_module] = ACTIONS(3705),
    [anon_sym_any] = ACTIONS(3705),
    [anon_sym_number] = ACTIONS(3705),
    [anon_sym_boolean] = ACTIONS(3705),
    [anon_sym_string] = ACTIONS(3705),
    [anon_sym_symbol] = ACTIONS(3705),
    [anon_sym_object] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [sym_html_comment] = ACTIONS(5),
  },
  [1794] = {
    [sym_comment] = STATE(1794),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_export] = ACTIONS(3705),
    [anon_sym_type] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3705),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym_import] = ACTIONS(3705),
    [anon_sym_with] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(3705),
    [anon_sym_switch] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3705),
    [anon_sym_LPAREN] = ACTIONS(3705),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_while] = ACTIONS(3705),
    [anon_sym_do] = ACTIONS(3705),
    [anon_sym_try] = ACTIONS(3705),
    [anon_sym_break] = ACTIONS(3705),
    [anon_sym_continue] = ACTIONS(3705),
    [anon_sym_debugger] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3705),
    [anon_sym_throw] = ACTIONS(3705),
    [anon_sym_SEMI] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3705),
    [anon_sym_LTtemplate_GT] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(3705),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_SLASH] = ACTIONS(3705),
    [anon_sym_LT] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [anon_sym_void] = ACTIONS(3705),
    [anon_sym_delete] = ACTIONS(3705),
    [anon_sym_PLUS_PLUS] = ACTIONS(3705),
    [anon_sym_DASH_DASH] = ACTIONS(3705),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3705),
    [sym_number] = ACTIONS(3705),
    [sym_private_property_identifier] = ACTIONS(3705),
    [sym_this] = ACTIONS(3705),
    [sym_super] = ACTIONS(3705),
    [sym_true] = ACTIONS(3705),
    [sym_false] = ACTIONS(3705),
    [sym_null] = ACTIONS(3705),
    [sym_undefined] = ACTIONS(3705),
    [anon_sym_AT] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_get] = ACTIONS(3705),
    [anon_sym_set] = ACTIONS(3705),
    [anon_sym_declare] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_module] = ACTIONS(3705),
    [anon_sym_any] = ACTIONS(3705),
    [anon_sym_number] = ACTIONS(3705),
    [anon_sym_boolean] = ACTIONS(3705),
    [anon_sym_string] = ACTIONS(3705),
    [anon_sym_symbol] = ACTIONS(3705),
    [anon_sym_object] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [sym_html_comment] = ACTIONS(5),
  },
  [1795] = {
    [sym_comment] = STATE(1795),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_export] = ACTIONS(3705),
    [anon_sym_type] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3705),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym_import] = ACTIONS(3705),
    [anon_sym_with] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(3705),
    [anon_sym_switch] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3705),
    [anon_sym_LPAREN] = ACTIONS(3705),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_while] = ACTIONS(3705),
    [anon_sym_do] = ACTIONS(3705),
    [anon_sym_try] = ACTIONS(3705),
    [anon_sym_break] = ACTIONS(3705),
    [anon_sym_continue] = ACTIONS(3705),
    [anon_sym_debugger] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3705),
    [anon_sym_throw] = ACTIONS(3705),
    [anon_sym_SEMI] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3705),
    [anon_sym_LTtemplate_GT] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(3705),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_SLASH] = ACTIONS(3705),
    [anon_sym_LT] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [anon_sym_void] = ACTIONS(3705),
    [anon_sym_delete] = ACTIONS(3705),
    [anon_sym_PLUS_PLUS] = ACTIONS(3705),
    [anon_sym_DASH_DASH] = ACTIONS(3705),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3705),
    [sym_number] = ACTIONS(3705),
    [sym_private_property_identifier] = ACTIONS(3705),
    [sym_this] = ACTIONS(3705),
    [sym_super] = ACTIONS(3705),
    [sym_true] = ACTIONS(3705),
    [sym_false] = ACTIONS(3705),
    [sym_null] = ACTIONS(3705),
    [sym_undefined] = ACTIONS(3705),
    [anon_sym_AT] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_get] = ACTIONS(3705),
    [anon_sym_set] = ACTIONS(3705),
    [anon_sym_declare] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_module] = ACTIONS(3705),
    [anon_sym_any] = ACTIONS(3705),
    [anon_sym_number] = ACTIONS(3705),
    [anon_sym_boolean] = ACTIONS(3705),
    [anon_sym_string] = ACTIONS(3705),
    [anon_sym_symbol] = ACTIONS(3705),
    [anon_sym_object] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [sym_html_comment] = ACTIONS(5),
  },
  [1796] = {
    [sym_comment] = STATE(1796),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_export] = ACTIONS(3705),
    [anon_sym_type] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3705),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym_import] = ACTIONS(3705),
    [anon_sym_with] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(3705),
    [anon_sym_switch] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3705),
    [anon_sym_LPAREN] = ACTIONS(3705),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_while] = ACTIONS(3705),
    [anon_sym_do] = ACTIONS(3705),
    [anon_sym_try] = ACTIONS(3705),
    [anon_sym_break] = ACTIONS(3705),
    [anon_sym_continue] = ACTIONS(3705),
    [anon_sym_debugger] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3705),
    [anon_sym_throw] = ACTIONS(3705),
    [anon_sym_SEMI] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3705),
    [anon_sym_LTtemplate_GT] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(3705),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_SLASH] = ACTIONS(3705),
    [anon_sym_LT] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [anon_sym_void] = ACTIONS(3705),
    [anon_sym_delete] = ACTIONS(3705),
    [anon_sym_PLUS_PLUS] = ACTIONS(3705),
    [anon_sym_DASH_DASH] = ACTIONS(3705),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3705),
    [sym_number] = ACTIONS(3705),
    [sym_private_property_identifier] = ACTIONS(3705),
    [sym_this] = ACTIONS(3705),
    [sym_super] = ACTIONS(3705),
    [sym_true] = ACTIONS(3705),
    [sym_false] = ACTIONS(3705),
    [sym_null] = ACTIONS(3705),
    [sym_undefined] = ACTIONS(3705),
    [anon_sym_AT] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_get] = ACTIONS(3705),
    [anon_sym_set] = ACTIONS(3705),
    [anon_sym_declare] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_module] = ACTIONS(3705),
    [anon_sym_any] = ACTIONS(3705),
    [anon_sym_number] = ACTIONS(3705),
    [anon_sym_boolean] = ACTIONS(3705),
    [anon_sym_string] = ACTIONS(3705),
    [anon_sym_symbol] = ACTIONS(3705),
    [anon_sym_object] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [sym_html_comment] = ACTIONS(5),
  },
  [1797] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1797),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3717),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1798] = {
    [sym_comment] = STATE(1798),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_export] = ACTIONS(3719),
    [anon_sym_type] = ACTIONS(3719),
    [anon_sym_namespace] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(3719),
    [anon_sym_typeof] = ACTIONS(3719),
    [anon_sym_import] = ACTIONS(3719),
    [anon_sym_with] = ACTIONS(3719),
    [anon_sym_var] = ACTIONS(3719),
    [anon_sym_let] = ACTIONS(3719),
    [anon_sym_const] = ACTIONS(3719),
    [anon_sym_BANG] = ACTIONS(3719),
    [anon_sym_if] = ACTIONS(3719),
    [anon_sym_switch] = ACTIONS(3719),
    [anon_sym_for] = ACTIONS(3719),
    [anon_sym_LPAREN] = ACTIONS(3719),
    [anon_sym_await] = ACTIONS(3719),
    [anon_sym_while] = ACTIONS(3719),
    [anon_sym_do] = ACTIONS(3719),
    [anon_sym_try] = ACTIONS(3719),
    [anon_sym_break] = ACTIONS(3719),
    [anon_sym_continue] = ACTIONS(3719),
    [anon_sym_debugger] = ACTIONS(3719),
    [anon_sym_return] = ACTIONS(3719),
    [anon_sym_throw] = ACTIONS(3719),
    [anon_sym_SEMI] = ACTIONS(3719),
    [anon_sym_yield] = ACTIONS(3719),
    [anon_sym_LBRACK] = ACTIONS(3719),
    [anon_sym_LTtemplate_GT] = ACTIONS(3719),
    [anon_sym_DQUOTE] = ACTIONS(3719),
    [anon_sym_SQUOTE] = ACTIONS(3719),
    [anon_sym_class] = ACTIONS(3719),
    [anon_sym_async] = ACTIONS(3719),
    [anon_sym_function] = ACTIONS(3719),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_using] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_SLASH] = ACTIONS(3719),
    [anon_sym_LT] = ACTIONS(3719),
    [anon_sym_TILDE] = ACTIONS(3719),
    [anon_sym_void] = ACTIONS(3719),
    [anon_sym_delete] = ACTIONS(3719),
    [anon_sym_PLUS_PLUS] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3719),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3719),
    [sym_number] = ACTIONS(3719),
    [sym_private_property_identifier] = ACTIONS(3719),
    [sym_this] = ACTIONS(3719),
    [sym_super] = ACTIONS(3719),
    [sym_true] = ACTIONS(3719),
    [sym_false] = ACTIONS(3719),
    [sym_null] = ACTIONS(3719),
    [sym_undefined] = ACTIONS(3719),
    [anon_sym_AT] = ACTIONS(3719),
    [anon_sym_static] = ACTIONS(3719),
    [anon_sym_readonly] = ACTIONS(3719),
    [anon_sym_get] = ACTIONS(3719),
    [anon_sym_set] = ACTIONS(3719),
    [anon_sym_declare] = ACTIONS(3719),
    [anon_sym_public] = ACTIONS(3719),
    [anon_sym_private] = ACTIONS(3719),
    [anon_sym_protected] = ACTIONS(3719),
    [anon_sym_override] = ACTIONS(3719),
    [anon_sym_module] = ACTIONS(3719),
    [anon_sym_any] = ACTIONS(3719),
    [anon_sym_number] = ACTIONS(3719),
    [anon_sym_boolean] = ACTIONS(3719),
    [anon_sym_string] = ACTIONS(3719),
    [anon_sym_symbol] = ACTIONS(3719),
    [anon_sym_object] = ACTIONS(3719),
    [anon_sym_abstract] = ACTIONS(3719),
    [anon_sym_interface] = ACTIONS(3719),
    [anon_sym_enum] = ACTIONS(3719),
    [sym_html_comment] = ACTIONS(5),
  },
  [1799] = {
    [sym_comment] = STATE(1799),
    [sym_identifier] = ACTIONS(3173),
    [anon_sym_export] = ACTIONS(3173),
    [anon_sym_type] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym_import] = ACTIONS(3173),
    [anon_sym_with] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_debugger] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_LTtemplate_GT] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_function] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_SLASH] = ACTIONS(3173),
    [anon_sym_LT] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3173),
    [sym_number] = ACTIONS(3173),
    [sym_private_property_identifier] = ACTIONS(3173),
    [sym_this] = ACTIONS(3173),
    [sym_super] = ACTIONS(3173),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [sym_null] = ACTIONS(3173),
    [sym_undefined] = ACTIONS(3173),
    [anon_sym_AT] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_readonly] = ACTIONS(3173),
    [anon_sym_get] = ACTIONS(3173),
    [anon_sym_set] = ACTIONS(3173),
    [anon_sym_declare] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_override] = ACTIONS(3173),
    [anon_sym_module] = ACTIONS(3173),
    [anon_sym_any] = ACTIONS(3173),
    [anon_sym_number] = ACTIONS(3173),
    [anon_sym_boolean] = ACTIONS(3173),
    [anon_sym_string] = ACTIONS(3173),
    [anon_sym_symbol] = ACTIONS(3173),
    [anon_sym_object] = ACTIONS(3173),
    [anon_sym_abstract] = ACTIONS(3173),
    [anon_sym_interface] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [sym_html_comment] = ACTIONS(5),
  },
  [1800] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1800),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3721),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1801] = {
    [sym_comment] = STATE(1801),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_export] = ACTIONS(3705),
    [anon_sym_type] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3705),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym_import] = ACTIONS(3705),
    [anon_sym_with] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(3705),
    [anon_sym_switch] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3705),
    [anon_sym_LPAREN] = ACTIONS(3705),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_while] = ACTIONS(3705),
    [anon_sym_do] = ACTIONS(3705),
    [anon_sym_try] = ACTIONS(3705),
    [anon_sym_break] = ACTIONS(3705),
    [anon_sym_continue] = ACTIONS(3705),
    [anon_sym_debugger] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3705),
    [anon_sym_throw] = ACTIONS(3705),
    [anon_sym_SEMI] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3705),
    [anon_sym_LTtemplate_GT] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(3705),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_SLASH] = ACTIONS(3705),
    [anon_sym_LT] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [anon_sym_void] = ACTIONS(3705),
    [anon_sym_delete] = ACTIONS(3705),
    [anon_sym_PLUS_PLUS] = ACTIONS(3705),
    [anon_sym_DASH_DASH] = ACTIONS(3705),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3705),
    [sym_number] = ACTIONS(3705),
    [sym_private_property_identifier] = ACTIONS(3705),
    [sym_this] = ACTIONS(3705),
    [sym_super] = ACTIONS(3705),
    [sym_true] = ACTIONS(3705),
    [sym_false] = ACTIONS(3705),
    [sym_null] = ACTIONS(3705),
    [sym_undefined] = ACTIONS(3705),
    [anon_sym_AT] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_get] = ACTIONS(3705),
    [anon_sym_set] = ACTIONS(3705),
    [anon_sym_declare] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_module] = ACTIONS(3705),
    [anon_sym_any] = ACTIONS(3705),
    [anon_sym_number] = ACTIONS(3705),
    [anon_sym_boolean] = ACTIONS(3705),
    [anon_sym_string] = ACTIONS(3705),
    [anon_sym_symbol] = ACTIONS(3705),
    [anon_sym_object] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [sym_html_comment] = ACTIONS(5),
  },
  [1802] = {
    [sym_comment] = STATE(1802),
    [sym_identifier] = ACTIONS(3163),
    [anon_sym_export] = ACTIONS(3163),
    [anon_sym_type] = ACTIONS(3163),
    [anon_sym_namespace] = ACTIONS(3163),
    [anon_sym_LBRACE] = ACTIONS(3163),
    [anon_sym_typeof] = ACTIONS(3163),
    [anon_sym_import] = ACTIONS(3163),
    [anon_sym_with] = ACTIONS(3163),
    [anon_sym_var] = ACTIONS(3163),
    [anon_sym_let] = ACTIONS(3163),
    [anon_sym_const] = ACTIONS(3163),
    [anon_sym_BANG] = ACTIONS(3163),
    [anon_sym_if] = ACTIONS(3163),
    [anon_sym_switch] = ACTIONS(3163),
    [anon_sym_for] = ACTIONS(3163),
    [anon_sym_LPAREN] = ACTIONS(3163),
    [anon_sym_await] = ACTIONS(3163),
    [anon_sym_while] = ACTIONS(3163),
    [anon_sym_do] = ACTIONS(3163),
    [anon_sym_try] = ACTIONS(3163),
    [anon_sym_break] = ACTIONS(3163),
    [anon_sym_continue] = ACTIONS(3163),
    [anon_sym_debugger] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3163),
    [anon_sym_throw] = ACTIONS(3163),
    [anon_sym_SEMI] = ACTIONS(3163),
    [anon_sym_yield] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_LTtemplate_GT] = ACTIONS(3163),
    [anon_sym_DQUOTE] = ACTIONS(3163),
    [anon_sym_SQUOTE] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3163),
    [anon_sym_async] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3163),
    [anon_sym_new] = ACTIONS(3163),
    [anon_sym_using] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3163),
    [anon_sym_DASH] = ACTIONS(3163),
    [anon_sym_SLASH] = ACTIONS(3163),
    [anon_sym_LT] = ACTIONS(3163),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_void] = ACTIONS(3163),
    [anon_sym_delete] = ACTIONS(3163),
    [anon_sym_PLUS_PLUS] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3163),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3163),
    [sym_number] = ACTIONS(3163),
    [sym_private_property_identifier] = ACTIONS(3163),
    [sym_this] = ACTIONS(3163),
    [sym_super] = ACTIONS(3163),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [sym_null] = ACTIONS(3163),
    [sym_undefined] = ACTIONS(3163),
    [anon_sym_AT] = ACTIONS(3163),
    [anon_sym_static] = ACTIONS(3163),
    [anon_sym_readonly] = ACTIONS(3163),
    [anon_sym_get] = ACTIONS(3163),
    [anon_sym_set] = ACTIONS(3163),
    [anon_sym_declare] = ACTIONS(3163),
    [anon_sym_public] = ACTIONS(3163),
    [anon_sym_private] = ACTIONS(3163),
    [anon_sym_protected] = ACTIONS(3163),
    [anon_sym_override] = ACTIONS(3163),
    [anon_sym_module] = ACTIONS(3163),
    [anon_sym_any] = ACTIONS(3163),
    [anon_sym_number] = ACTIONS(3163),
    [anon_sym_boolean] = ACTIONS(3163),
    [anon_sym_string] = ACTIONS(3163),
    [anon_sym_symbol] = ACTIONS(3163),
    [anon_sym_object] = ACTIONS(3163),
    [anon_sym_abstract] = ACTIONS(3163),
    [anon_sym_interface] = ACTIONS(3163),
    [anon_sym_enum] = ACTIONS(3163),
    [sym_html_comment] = ACTIONS(5),
  },
  [1803] = {
    [sym_comment] = STATE(1803),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_export] = ACTIONS(3705),
    [anon_sym_type] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3705),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym_import] = ACTIONS(3705),
    [anon_sym_with] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(3705),
    [anon_sym_switch] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3705),
    [anon_sym_LPAREN] = ACTIONS(3705),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_while] = ACTIONS(3705),
    [anon_sym_do] = ACTIONS(3705),
    [anon_sym_try] = ACTIONS(3705),
    [anon_sym_break] = ACTIONS(3705),
    [anon_sym_continue] = ACTIONS(3705),
    [anon_sym_debugger] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3705),
    [anon_sym_throw] = ACTIONS(3705),
    [anon_sym_SEMI] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3705),
    [anon_sym_LTtemplate_GT] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(3705),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_SLASH] = ACTIONS(3705),
    [anon_sym_LT] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [anon_sym_void] = ACTIONS(3705),
    [anon_sym_delete] = ACTIONS(3705),
    [anon_sym_PLUS_PLUS] = ACTIONS(3705),
    [anon_sym_DASH_DASH] = ACTIONS(3705),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3705),
    [sym_number] = ACTIONS(3705),
    [sym_private_property_identifier] = ACTIONS(3705),
    [sym_this] = ACTIONS(3705),
    [sym_super] = ACTIONS(3705),
    [sym_true] = ACTIONS(3705),
    [sym_false] = ACTIONS(3705),
    [sym_null] = ACTIONS(3705),
    [sym_undefined] = ACTIONS(3705),
    [anon_sym_AT] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_get] = ACTIONS(3705),
    [anon_sym_set] = ACTIONS(3705),
    [anon_sym_declare] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_module] = ACTIONS(3705),
    [anon_sym_any] = ACTIONS(3705),
    [anon_sym_number] = ACTIONS(3705),
    [anon_sym_boolean] = ACTIONS(3705),
    [anon_sym_string] = ACTIONS(3705),
    [anon_sym_symbol] = ACTIONS(3705),
    [anon_sym_object] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [sym_html_comment] = ACTIONS(5),
  },
  [1804] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1804),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3723),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1805] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1805),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1806] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1806),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3727),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1807] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1807),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1808] = {
    [sym_import] = STATE(6319),
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1808),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4265),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4497),
    [sym_asserts] = STATE(4838),
    [sym__type] = STATE(4275),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_predicate] = STATE(4836),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4157),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(3731),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(3733),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_asserts] = ACTIONS(3735),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1809] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1809),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4307),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4793),
    [sym_asserts] = STATE(6889),
    [sym__type] = STATE(4316),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_predicate] = STATE(6890),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3927),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(3739),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_asserts] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1810] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1810),
    [sym_formal_parameters] = STATE(7428),
    [sym_rest_pattern] = STATE(6811),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4840),
    [sym_tuple_parameter] = STATE(6821),
    [sym_optional_tuple_parameter] = STATE(6821),
    [sym_optional_type] = STATE(6821),
    [sym_rest_type] = STATE(6821),
    [sym__tuple_type_member] = STATE(6869),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1811] = {
    [sym_import] = STATE(5875),
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1811),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4500),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4843),
    [sym_asserts] = STATE(5396),
    [sym__type] = STATE(4498),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_predicate] = STATE(5391),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4279),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(3743),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(3775),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_asserts] = ACTIONS(3783),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1812] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1812),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3791),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1813] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1813),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4920),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5695),
    [sym__type] = STATE(4919),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_type_parameter] = STATE(6320),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(3795),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1814] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1814),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3797),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1815] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1815),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3799),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1816] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1816),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3801),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1817] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1817),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3803),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1818] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1818),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3805),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1819] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1819),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1820] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1820),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3809),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1821] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1821),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3811),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1822] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1822),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3813),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1823] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1823),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3815),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1824] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1824),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3817),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1825] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1825),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1826] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1826),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3821),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1827] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1827),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3823),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1828] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1828),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3825),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1829] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1829),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3827),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1830] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1830),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3829),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1831] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1831),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3831),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1832] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1832),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3833),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1833] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1833),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1834] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1834),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3837),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1835] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1835),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3839),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1836] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1836),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3841),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1837] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1837),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3843),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1838] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1838),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3845),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1839] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1839),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3847),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1840] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1840),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3849),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1841] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1841),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3851),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1842] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1842),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3853),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1843] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1843),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3855),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1844] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1844),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3857),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1845] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1845),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1846] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1846),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1847] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1847),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3863),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1848] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1848),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3865),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1849] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1849),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1850] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1850),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3869),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1851] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1851),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3871),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1852] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1852),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3873),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1853] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1853),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3875),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1854] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1854),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3877),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1855] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1855),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4956),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5644),
    [sym__type] = STATE(4954),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1856] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1856),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4863),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5680),
    [sym__type] = STATE(4864),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1857] = {
    [sym_import] = STATE(6319),
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1857),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4265),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4497),
    [sym__type] = STATE(4275),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1858] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1858),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4862),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4859),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1859] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1859),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4807),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5633),
    [sym__type] = STATE(4806),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1860] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1860),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4953),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5690),
    [sym__type] = STATE(4945),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1861] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1861),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4831),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5737),
    [sym__type] = STATE(4832),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1862] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1862),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5488),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6090),
    [sym__type] = STATE(5455),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1863] = {
    [sym_import] = STATE(6324),
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1863),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4307),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4793),
    [sym__type] = STATE(4316),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1864] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1864),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym_asserts] = STATE(3952),
    [sym__type] = STATE(3953),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_predicate] = STATE(3952),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3927),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(3739),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_asserts] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1865] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1865),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym_asserts] = STATE(2998),
    [sym__type] = STATE(3000),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_predicate] = STATE(2998),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(2878),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(3879),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(3907),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_asserts] = ACTIONS(3915),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1866] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1866),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym_asserts] = STATE(4472),
    [sym__type] = STATE(4463),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_predicate] = STATE(4472),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4279),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(3743),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(3775),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_asserts] = ACTIONS(3783),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1867] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1867),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym_asserts] = STATE(4246),
    [sym__type] = STATE(4228),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_predicate] = STATE(4246),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4157),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(3731),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(3733),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_asserts] = ACTIONS(3735),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1868] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1868),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym_asserts] = STATE(2495),
    [sym__type] = STATE(2496),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_predicate] = STATE(2495),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2456),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(3923),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(3951),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_asserts] = ACTIONS(3959),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1869] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1869),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym_asserts] = STATE(3096),
    [sym__type] = STATE(3097),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_predicate] = STATE(3096),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(2878),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(3879),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(3907),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_asserts] = ACTIONS(3915),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1870] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1870),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym_asserts] = STATE(4420),
    [sym__type] = STATE(4419),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_predicate] = STATE(4420),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4279),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(3743),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(3775),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_asserts] = ACTIONS(3783),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1871] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1871),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym_asserts] = STATE(2567),
    [sym__type] = STATE(2566),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_predicate] = STATE(2567),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2456),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(3923),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(3951),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_asserts] = ACTIONS(3959),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1872] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1872),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym_asserts] = STATE(4025),
    [sym__type] = STATE(3928),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_predicate] = STATE(4025),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3927),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(3739),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_asserts] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1873] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1873),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym_asserts] = STATE(4258),
    [sym__type] = STATE(4213),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_predicate] = STATE(4258),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4157),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(3731),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(3733),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_asserts] = ACTIONS(3735),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1874] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6380),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1874),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6380),
    [sym_pair] = STATE(6380),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6347),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(3967),
    [anon_sym_export] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(3967),
    [anon_sym_namespace] = ACTIONS(3967),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(3977),
    [anon_sym_let] = ACTIONS(3967),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3993),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_get] = ACTIONS(3997),
    [anon_sym_set] = ACTIONS(3997),
    [anon_sym_declare] = ACTIONS(3967),
    [anon_sym_public] = ACTIONS(3999),
    [anon_sym_private] = ACTIONS(3999),
    [anon_sym_protected] = ACTIONS(3999),
    [anon_sym_override] = ACTIONS(4001),
    [anon_sym_module] = ACTIONS(3967),
    [anon_sym_any] = ACTIONS(3967),
    [anon_sym_number] = ACTIONS(3967),
    [anon_sym_boolean] = ACTIONS(3967),
    [anon_sym_string] = ACTIONS(3967),
    [anon_sym_symbol] = ACTIONS(3967),
    [anon_sym_object] = ACTIONS(3967),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1875] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6380),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1875),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6380),
    [sym_pair] = STATE(6380),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6347),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(3967),
    [anon_sym_export] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(3967),
    [anon_sym_namespace] = ACTIONS(3967),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_let] = ACTIONS(3967),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3993),
    [anon_sym_readonly] = ACTIONS(3995),
    [anon_sym_get] = ACTIONS(3997),
    [anon_sym_set] = ACTIONS(3997),
    [anon_sym_declare] = ACTIONS(3967),
    [anon_sym_public] = ACTIONS(3999),
    [anon_sym_private] = ACTIONS(3999),
    [anon_sym_protected] = ACTIONS(3999),
    [anon_sym_override] = ACTIONS(4001),
    [anon_sym_module] = ACTIONS(3967),
    [anon_sym_any] = ACTIONS(3967),
    [anon_sym_number] = ACTIONS(3967),
    [anon_sym_boolean] = ACTIONS(3967),
    [anon_sym_string] = ACTIONS(3967),
    [anon_sym_symbol] = ACTIONS(3967),
    [anon_sym_object] = ACTIONS(3967),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1876] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6391),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1876),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_export] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4009),
    [anon_sym_namespace] = ACTIONS(4009),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(4013),
    [anon_sym_let] = ACTIONS(4009),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4015),
    [anon_sym_new] = ACTIONS(4017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_readonly] = ACTIONS(4021),
    [anon_sym_get] = ACTIONS(4023),
    [anon_sym_set] = ACTIONS(4023),
    [anon_sym_declare] = ACTIONS(4009),
    [anon_sym_public] = ACTIONS(4025),
    [anon_sym_private] = ACTIONS(4025),
    [anon_sym_protected] = ACTIONS(4025),
    [anon_sym_override] = ACTIONS(4027),
    [anon_sym_module] = ACTIONS(4009),
    [anon_sym_any] = ACTIONS(4009),
    [anon_sym_number] = ACTIONS(4009),
    [anon_sym_boolean] = ACTIONS(4009),
    [anon_sym_string] = ACTIONS(4009),
    [anon_sym_symbol] = ACTIONS(4009),
    [anon_sym_object] = ACTIONS(4009),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1877] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6391),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1877),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(4029),
    [anon_sym_export] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4029),
    [anon_sym_namespace] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(4033),
    [anon_sym_let] = ACTIONS(4029),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4035),
    [anon_sym_new] = ACTIONS(4037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4039),
    [anon_sym_readonly] = ACTIONS(4041),
    [anon_sym_get] = ACTIONS(4043),
    [anon_sym_set] = ACTIONS(4043),
    [anon_sym_declare] = ACTIONS(4029),
    [anon_sym_public] = ACTIONS(4045),
    [anon_sym_private] = ACTIONS(4045),
    [anon_sym_protected] = ACTIONS(4045),
    [anon_sym_override] = ACTIONS(4047),
    [anon_sym_module] = ACTIONS(4029),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1878] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6391),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1878),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_export] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4009),
    [anon_sym_namespace] = ACTIONS(4009),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(4049),
    [anon_sym_let] = ACTIONS(4009),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4015),
    [anon_sym_new] = ACTIONS(4017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_readonly] = ACTIONS(4021),
    [anon_sym_get] = ACTIONS(4023),
    [anon_sym_set] = ACTIONS(4023),
    [anon_sym_declare] = ACTIONS(4009),
    [anon_sym_public] = ACTIONS(4025),
    [anon_sym_private] = ACTIONS(4025),
    [anon_sym_protected] = ACTIONS(4025),
    [anon_sym_override] = ACTIONS(4027),
    [anon_sym_module] = ACTIONS(4009),
    [anon_sym_any] = ACTIONS(4009),
    [anon_sym_number] = ACTIONS(4009),
    [anon_sym_boolean] = ACTIONS(4009),
    [anon_sym_string] = ACTIONS(4009),
    [anon_sym_symbol] = ACTIONS(4009),
    [anon_sym_object] = ACTIONS(4009),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1879] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6391),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1879),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(4029),
    [anon_sym_export] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4029),
    [anon_sym_namespace] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(4051),
    [anon_sym_let] = ACTIONS(4029),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4035),
    [anon_sym_new] = ACTIONS(4037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4039),
    [anon_sym_readonly] = ACTIONS(4041),
    [anon_sym_get] = ACTIONS(4043),
    [anon_sym_set] = ACTIONS(4043),
    [anon_sym_declare] = ACTIONS(4029),
    [anon_sym_public] = ACTIONS(4045),
    [anon_sym_private] = ACTIONS(4045),
    [anon_sym_protected] = ACTIONS(4045),
    [anon_sym_override] = ACTIONS(4047),
    [anon_sym_module] = ACTIONS(4029),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1880] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6391),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1880),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_export] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4009),
    [anon_sym_namespace] = ACTIONS(4009),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(4053),
    [anon_sym_let] = ACTIONS(4009),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4015),
    [anon_sym_new] = ACTIONS(4017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_readonly] = ACTIONS(4021),
    [anon_sym_get] = ACTIONS(4023),
    [anon_sym_set] = ACTIONS(4023),
    [anon_sym_declare] = ACTIONS(4009),
    [anon_sym_public] = ACTIONS(4025),
    [anon_sym_private] = ACTIONS(4025),
    [anon_sym_protected] = ACTIONS(4025),
    [anon_sym_override] = ACTIONS(4027),
    [anon_sym_module] = ACTIONS(4009),
    [anon_sym_any] = ACTIONS(4009),
    [anon_sym_number] = ACTIONS(4009),
    [anon_sym_boolean] = ACTIONS(4009),
    [anon_sym_string] = ACTIONS(4009),
    [anon_sym_symbol] = ACTIONS(4009),
    [anon_sym_object] = ACTIONS(4009),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1881] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6391),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1881),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(4055),
    [anon_sym_export] = ACTIONS(4057),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4055),
    [anon_sym_namespace] = ACTIONS(4055),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(4059),
    [anon_sym_let] = ACTIONS(4055),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4061),
    [anon_sym_new] = ACTIONS(4063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4065),
    [anon_sym_readonly] = ACTIONS(4067),
    [anon_sym_get] = ACTIONS(4069),
    [anon_sym_set] = ACTIONS(4069),
    [anon_sym_declare] = ACTIONS(4055),
    [anon_sym_public] = ACTIONS(4071),
    [anon_sym_private] = ACTIONS(4071),
    [anon_sym_protected] = ACTIONS(4071),
    [anon_sym_override] = ACTIONS(4073),
    [anon_sym_module] = ACTIONS(4055),
    [anon_sym_any] = ACTIONS(4055),
    [anon_sym_number] = ACTIONS(4055),
    [anon_sym_boolean] = ACTIONS(4055),
    [anon_sym_string] = ACTIONS(4055),
    [anon_sym_symbol] = ACTIONS(4055),
    [anon_sym_object] = ACTIONS(4055),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1882] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6391),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1882),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(4075),
    [anon_sym_export] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4075),
    [anon_sym_namespace] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(4053),
    [anon_sym_let] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4079),
    [anon_sym_new] = ACTIONS(4081),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4083),
    [anon_sym_readonly] = ACTIONS(4085),
    [anon_sym_get] = ACTIONS(4087),
    [anon_sym_set] = ACTIONS(4087),
    [anon_sym_declare] = ACTIONS(4075),
    [anon_sym_public] = ACTIONS(4089),
    [anon_sym_private] = ACTIONS(4089),
    [anon_sym_protected] = ACTIONS(4089),
    [anon_sym_override] = ACTIONS(4091),
    [anon_sym_module] = ACTIONS(4075),
    [anon_sym_any] = ACTIONS(4075),
    [anon_sym_number] = ACTIONS(4075),
    [anon_sym_boolean] = ACTIONS(4075),
    [anon_sym_string] = ACTIONS(4075),
    [anon_sym_symbol] = ACTIONS(4075),
    [anon_sym_object] = ACTIONS(4075),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1883] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6391),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1883),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(4029),
    [anon_sym_export] = ACTIONS(4031),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4029),
    [anon_sym_namespace] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(4049),
    [anon_sym_let] = ACTIONS(4029),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4035),
    [anon_sym_new] = ACTIONS(4037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4039),
    [anon_sym_readonly] = ACTIONS(4041),
    [anon_sym_get] = ACTIONS(4043),
    [anon_sym_set] = ACTIONS(4043),
    [anon_sym_declare] = ACTIONS(4029),
    [anon_sym_public] = ACTIONS(4045),
    [anon_sym_private] = ACTIONS(4045),
    [anon_sym_protected] = ACTIONS(4045),
    [anon_sym_override] = ACTIONS(4047),
    [anon_sym_module] = ACTIONS(4029),
    [anon_sym_any] = ACTIONS(4029),
    [anon_sym_number] = ACTIONS(4029),
    [anon_sym_boolean] = ACTIONS(4029),
    [anon_sym_string] = ACTIONS(4029),
    [anon_sym_symbol] = ACTIONS(4029),
    [anon_sym_object] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1884] = {
    [sym_export_statement] = STATE(4850),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6391),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1884),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4850),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4850),
    [sym_property_signature] = STATE(4850),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4850),
    [sym_index_signature] = STATE(4850),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_export] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4009),
    [anon_sym_namespace] = ACTIONS(4009),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(4093),
    [anon_sym_RBRACE] = ACTIONS(4095),
    [anon_sym_let] = ACTIONS(4009),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4015),
    [anon_sym_new] = ACTIONS(4017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_readonly] = ACTIONS(4021),
    [anon_sym_get] = ACTIONS(4023),
    [anon_sym_set] = ACTIONS(4023),
    [anon_sym_declare] = ACTIONS(4009),
    [anon_sym_public] = ACTIONS(4025),
    [anon_sym_private] = ACTIONS(4025),
    [anon_sym_protected] = ACTIONS(4025),
    [anon_sym_override] = ACTIONS(4027),
    [anon_sym_module] = ACTIONS(4009),
    [anon_sym_any] = ACTIONS(4009),
    [anon_sym_number] = ACTIONS(4009),
    [anon_sym_boolean] = ACTIONS(4009),
    [anon_sym_string] = ACTIONS(4009),
    [anon_sym_symbol] = ACTIONS(4009),
    [anon_sym_object] = ACTIONS(4009),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4099),
    [sym_html_comment] = ACTIONS(5),
  },
  [1885] = {
    [sym_export_statement] = STATE(4856),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6388),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6391),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(1885),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6388),
    [sym_method_definition] = STATE(6391),
    [sym_pair] = STATE(6391),
    [sym_pair_pattern] = STATE(6388),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4856),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4856),
    [sym_property_signature] = STATE(4856),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4856),
    [sym_index_signature] = STATE(4856),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [aux_sym_object_repeat1] = STATE(6384),
    [aux_sym_object_pattern_repeat1] = STATE(6379),
    [sym_identifier] = ACTIONS(4055),
    [anon_sym_export] = ACTIONS(4057),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4055),
    [anon_sym_namespace] = ACTIONS(4055),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(3975),
    [anon_sym_RBRACE] = ACTIONS(4101),
    [anon_sym_let] = ACTIONS(4055),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_SEMI] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4061),
    [anon_sym_new] = ACTIONS(4063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4065),
    [anon_sym_readonly] = ACTIONS(4067),
    [anon_sym_get] = ACTIONS(4069),
    [anon_sym_set] = ACTIONS(4069),
    [anon_sym_declare] = ACTIONS(4055),
    [anon_sym_public] = ACTIONS(4071),
    [anon_sym_private] = ACTIONS(4071),
    [anon_sym_protected] = ACTIONS(4071),
    [anon_sym_override] = ACTIONS(4073),
    [anon_sym_module] = ACTIONS(4055),
    [anon_sym_any] = ACTIONS(4055),
    [anon_sym_number] = ACTIONS(4055),
    [anon_sym_boolean] = ACTIONS(4055),
    [anon_sym_string] = ACTIONS(4055),
    [anon_sym_symbol] = ACTIONS(4055),
    [anon_sym_object] = ACTIONS(4055),
    [anon_sym_abstract] = ACTIONS(4003),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4005),
    [sym_html_comment] = ACTIONS(5),
  },
  [1886] = {
    [sym_variable_declarator] = STATE(5708),
    [sym_object_pattern] = STATE(4537),
    [sym_array_pattern] = STATE(4537),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1886),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1887] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1887),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5521),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4109),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1888] = {
    [sym_nested_identifier] = STATE(381),
    [sym_string] = STATE(338),
    [sym_comment] = STATE(1888),
    [sym__module] = STATE(462),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4113),
    [anon_sym_SQUOTE] = ACTIONS(4115),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1889] = {
    [sym_variable_declarator] = STATE(5708),
    [sym_object_pattern] = STATE(4537),
    [sym_array_pattern] = STATE(4537),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1889),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1890] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1890),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5534),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4117),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1891] = {
    [sym_nested_identifier] = STATE(381),
    [sym_string] = STATE(338),
    [sym_comment] = STATE(1891),
    [sym__module] = STATE(462),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4113),
    [anon_sym_SQUOTE] = ACTIONS(4115),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1892] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1892),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5743),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4119),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1893] = {
    [sym_nested_identifier] = STATE(1197),
    [sym_string] = STATE(1527),
    [sym_comment] = STATE(1893),
    [sym__module] = STATE(1730),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4121),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4123),
    [anon_sym_SQUOTE] = ACTIONS(4125),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1894] = {
    [sym_nested_identifier] = STATE(1197),
    [sym_string] = STATE(1527),
    [sym_comment] = STATE(1894),
    [sym__module] = STATE(1730),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4121),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4123),
    [anon_sym_SQUOTE] = ACTIONS(4125),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1895] = {
    [sym_nested_identifier] = STATE(1197),
    [sym_string] = STATE(1527),
    [sym_comment] = STATE(1895),
    [sym__module] = STATE(1730),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4121),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4123),
    [anon_sym_SQUOTE] = ACTIONS(4125),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1896] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1896),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5688),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4127),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1897] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1897),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5576),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4129),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1898] = {
    [sym_variable_declarator] = STATE(5708),
    [sym_object_pattern] = STATE(4537),
    [sym_array_pattern] = STATE(4537),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1898),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1899] = {
    [sym_nested_identifier] = STATE(381),
    [sym_string] = STATE(338),
    [sym_comment] = STATE(1899),
    [sym__module] = STATE(462),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4113),
    [anon_sym_SQUOTE] = ACTIONS(4115),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1900] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1900),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5397),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1901] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1901),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(2948),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1902] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1902),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4890),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1903] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1903),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5452),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1904] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1904),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5651),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1905] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1905),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(6192),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(5449),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(5539),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1906] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1906),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5479),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1907] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1907),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5616),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1908] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1908),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2570),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1909] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1909),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4001),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1910] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1910),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4427),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1911] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1911),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5575),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1912] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1912),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(3955),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1913] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1913),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(3956),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1914] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1914),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4435),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1915] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1915),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5569),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1916] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1916),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(3949),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1917] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1917),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(3094),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1918] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1918),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(3092),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1919] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1919),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5323),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1920] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1920),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4388),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1921] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1921),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4385),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1922] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1922),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2519),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1923] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1923),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2569),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1924] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1924),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(2931),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1925] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1925),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5158),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1926] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1926),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4000),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1927] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1927),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4519),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1928] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1928),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4433),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1929] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1929),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4518),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1930] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1930),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(2944),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1931] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1931),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2581),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1932] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1932),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5133),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1933] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1933),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2518),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1934] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1934),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2532),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(4143),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1935] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1935),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2520),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1936] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1936),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(2973),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(4145),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1937] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1937),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5726),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1938] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1938),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(3009),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1939] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1939),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4331),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1940] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1940),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(6253),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(4379),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1941] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1941),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2524),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1942] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1942),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5298),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1943] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1943),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4257),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1944] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1944),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4227),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1945] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1945),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(6253),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(4377),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1946] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1946),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4376),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1947] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1947),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4372),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1948] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1948),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4371),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1949] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1949),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4517),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1950] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1950),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5195),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1951] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1951),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5474),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1952] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1952),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5683),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1953] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1953),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4428),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1954] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1954),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(6210),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(2956),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1955] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(1955),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4469),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [1956] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1956),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4861),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1957] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1957),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2526),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1958] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1958),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2523),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1959] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1959),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(2996),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1960] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1960),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(6210),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(2954),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1961] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1961),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(2993),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1962] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1962),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2468),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1963] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1963),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5081),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1964] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1964),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(3139),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1965] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1965),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5623),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1966] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1966),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5720),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1967] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1967),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5632),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1968] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1968),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5083),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1969] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1969),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(3948),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1970] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1970),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(2953),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1971] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1971),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5339),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1972] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1972),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5390),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1973] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1973),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4254),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1974] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1974),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5265),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1975] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1975),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5151),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1976] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1976),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(3131),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1977] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1977),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(6192),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3985),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1978] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1978),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4218),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1979] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1979),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5712),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1980] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1980),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5166),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1981] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1981),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5573),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1982] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1982),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4224),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1983] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1983),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(6192),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(4002),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1984] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1984),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4230),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1985] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1985),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4215),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1986] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1986),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4212),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1987] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1987),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4208),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1988] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1988),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5821),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1989] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(1989),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5821),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(4202),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1990] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1990),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4003),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1991] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1991),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5714),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1992] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1992),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5698),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1993] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1993),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5171),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1994] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(1994),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(2947),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [1995] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1995),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5694),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1996] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(1996),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4034),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1997] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1997),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2556),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1998] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1998),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2572),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [1999] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(1999),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2568),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [2000] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(2000),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(6000),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(2555),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [2001] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(2001),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4220),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [2002] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(2002),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4038),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [2003] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(2003),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4022),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [2004] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(2004),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4037),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [2005] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(2005),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(4019),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [2006] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(2006),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5535),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [2007] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(2007),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4223),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [2008] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(2008),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5704),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [2009] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(2009),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4222),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [2010] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(2010),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(6000),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(2553),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [2011] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(2011),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5093),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [2012] = {
    [sym_nested_identifier] = STATE(7157),
    [sym_string] = STATE(2499),
    [sym_comment] = STATE(2012),
    [sym_formal_parameters] = STATE(7383),
    [sym_nested_type_identifier] = STATE(2449),
    [sym__type] = STATE(2472),
    [sym_constructor_type] = STATE(2482),
    [sym__primary_type] = STATE(2493),
    [sym_template_literal_type] = STATE(2467),
    [sym_infer_type] = STATE(2482),
    [sym_conditional_type] = STATE(2467),
    [sym_generic_type] = STATE(2467),
    [sym_type_query] = STATE(2467),
    [sym_index_type_query] = STATE(2467),
    [sym_lookup_type] = STATE(2467),
    [sym_literal_type] = STATE(2467),
    [sym__number] = STATE(2576),
    [sym_existential_type] = STATE(2467),
    [sym_flow_maybe_type] = STATE(2467),
    [sym_parenthesized_type] = STATE(2467),
    [sym_predefined_type] = STATE(2467),
    [sym_object_type] = STATE(2467),
    [sym_type_parameters] = STATE(7072),
    [sym_array_type] = STATE(2467),
    [sym_tuple_type] = STATE(2467),
    [sym_readonly_type] = STATE(2482),
    [sym_union_type] = STATE(2467),
    [sym_intersection_type] = STATE(2467),
    [sym_function_type] = STATE(2482),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_PIPE] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3943),
    [anon_sym_DASH] = ACTIONS(3943),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3945),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3947),
    [sym_number] = ACTIONS(3949),
    [sym_this] = ACTIONS(4137),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_null] = ACTIONS(3949),
    [sym_undefined] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_QMARK] = ACTIONS(3955),
    [anon_sym_any] = ACTIONS(3945),
    [anon_sym_number] = ACTIONS(3945),
    [anon_sym_boolean] = ACTIONS(3945),
    [anon_sym_string] = ACTIONS(3945),
    [anon_sym_symbol] = ACTIONS(3945),
    [anon_sym_object] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_infer] = ACTIONS(3961),
    [anon_sym_keyof] = ACTIONS(3963),
    [anon_sym_unique] = ACTIONS(3965),
    [anon_sym_unknown] = ACTIONS(3945),
    [anon_sym_never] = ACTIONS(3945),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3927),
    [sym_html_comment] = ACTIONS(5),
  },
  [2013] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(2013),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5457),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [2014] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(2014),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(5537),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [2015] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(2015),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(3106),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [2016] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(2016),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5211),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [2017] = {
    [sym_nested_identifier] = STATE(7360),
    [sym_string] = STATE(3048),
    [sym_comment] = STATE(2017),
    [sym_formal_parameters] = STATE(7424),
    [sym_nested_type_identifier] = STATE(2840),
    [sym__type] = STATE(3107),
    [sym_constructor_type] = STATE(3044),
    [sym__primary_type] = STATE(3039),
    [sym_template_literal_type] = STATE(3036),
    [sym_infer_type] = STATE(3044),
    [sym_conditional_type] = STATE(3036),
    [sym_generic_type] = STATE(3036),
    [sym_type_query] = STATE(3036),
    [sym_index_type_query] = STATE(3036),
    [sym_lookup_type] = STATE(3036),
    [sym_literal_type] = STATE(3036),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3036),
    [sym_flow_maybe_type] = STATE(3036),
    [sym_parenthesized_type] = STATE(3036),
    [sym_predefined_type] = STATE(3036),
    [sym_object_type] = STATE(3036),
    [sym_type_parameters] = STATE(6722),
    [sym_array_type] = STATE(3036),
    [sym_tuple_type] = STATE(3036),
    [sym_readonly_type] = STATE(3044),
    [sym_union_type] = STATE(3036),
    [sym_intersection_type] = STATE(3036),
    [sym_function_type] = STATE(3044),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_STAR] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_PIPE] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3903),
    [sym_number] = ACTIONS(3905),
    [sym_this] = ACTIONS(4133),
    [sym_true] = ACTIONS(3905),
    [sym_false] = ACTIONS(3905),
    [sym_null] = ACTIONS(3905),
    [sym_undefined] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3911),
    [anon_sym_any] = ACTIONS(3901),
    [anon_sym_number] = ACTIONS(3901),
    [anon_sym_boolean] = ACTIONS(3901),
    [anon_sym_string] = ACTIONS(3901),
    [anon_sym_symbol] = ACTIONS(3901),
    [anon_sym_object] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_infer] = ACTIONS(3917),
    [anon_sym_keyof] = ACTIONS(3919),
    [anon_sym_unique] = ACTIONS(3921),
    [anon_sym_unknown] = ACTIONS(3901),
    [anon_sym_never] = ACTIONS(3901),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3883),
    [sym_html_comment] = ACTIONS(5),
  },
  [2018] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(2018),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4329),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [2019] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(2019),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(4250),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [2020] = {
    [sym_nested_identifier] = STATE(7429),
    [sym_string] = STATE(3966),
    [sym_comment] = STATE(2020),
    [sym_formal_parameters] = STATE(7428),
    [sym_nested_type_identifier] = STATE(3903),
    [sym__type] = STATE(3960),
    [sym_constructor_type] = STATE(3975),
    [sym__primary_type] = STATE(3976),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3975),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3979),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6627),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3975),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3975),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(164),
    [anon_sym_PIPE] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [2021] = {
    [sym_nested_identifier] = STATE(7189),
    [sym_string] = STATE(4340),
    [sym_comment] = STATE(2021),
    [sym_formal_parameters] = STATE(7503),
    [sym_nested_type_identifier] = STATE(4262),
    [sym__type] = STATE(4466),
    [sym_constructor_type] = STATE(4457),
    [sym__primary_type] = STATE(4489),
    [sym_template_literal_type] = STATE(4482),
    [sym_infer_type] = STATE(4457),
    [sym_conditional_type] = STATE(4482),
    [sym_generic_type] = STATE(4482),
    [sym_type_query] = STATE(4482),
    [sym_index_type_query] = STATE(4482),
    [sym_lookup_type] = STATE(4482),
    [sym_literal_type] = STATE(4482),
    [sym__number] = STATE(4473),
    [sym_existential_type] = STATE(4482),
    [sym_flow_maybe_type] = STATE(4482),
    [sym_parenthesized_type] = STATE(4482),
    [sym_predefined_type] = STATE(4482),
    [sym_object_type] = STATE(4482),
    [sym_type_parameters] = STATE(7119),
    [sym_array_type] = STATE(4482),
    [sym_tuple_type] = STATE(4482),
    [sym_readonly_type] = STATE(4457),
    [sym_union_type] = STATE(4482),
    [sym_intersection_type] = STATE(4482),
    [sym_function_type] = STATE(4457),
    [sym_identifier] = ACTIONS(4139),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_DQUOTE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3767),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(3769),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3771),
    [sym_number] = ACTIONS(3773),
    [sym_this] = ACTIONS(4141),
    [sym_true] = ACTIONS(3773),
    [sym_false] = ACTIONS(3773),
    [sym_null] = ACTIONS(3773),
    [sym_undefined] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_any] = ACTIONS(3769),
    [anon_sym_number] = ACTIONS(3769),
    [anon_sym_boolean] = ACTIONS(3769),
    [anon_sym_string] = ACTIONS(3769),
    [anon_sym_symbol] = ACTIONS(3769),
    [anon_sym_object] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_infer] = ACTIONS(3785),
    [anon_sym_keyof] = ACTIONS(3787),
    [anon_sym_unique] = ACTIONS(3789),
    [anon_sym_unknown] = ACTIONS(3769),
    [anon_sym_never] = ACTIONS(3769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3747),
    [sym_html_comment] = ACTIONS(5),
  },
  [2022] = {
    [sym_nested_identifier] = STATE(7209),
    [sym_string] = STATE(4255),
    [sym_comment] = STATE(2022),
    [sym_formal_parameters] = STATE(7255),
    [sym_nested_type_identifier] = STATE(4090),
    [sym__type] = STATE(5463),
    [sym_constructor_type] = STATE(4260),
    [sym__primary_type] = STATE(4214),
    [sym_template_literal_type] = STATE(4232),
    [sym_infer_type] = STATE(4260),
    [sym_conditional_type] = STATE(4232),
    [sym_generic_type] = STATE(4232),
    [sym_type_query] = STATE(4232),
    [sym_index_type_query] = STATE(4232),
    [sym_lookup_type] = STATE(4232),
    [sym_literal_type] = STATE(4232),
    [sym__number] = STATE(4231),
    [sym_existential_type] = STATE(4232),
    [sym_flow_maybe_type] = STATE(4232),
    [sym_parenthesized_type] = STATE(4232),
    [sym_predefined_type] = STATE(4232),
    [sym_object_type] = STATE(4232),
    [sym_type_parameters] = STATE(6952),
    [sym_array_type] = STATE(4232),
    [sym_tuple_type] = STATE(4232),
    [sym_readonly_type] = STATE(4260),
    [sym_union_type] = STATE(4232),
    [sym_intersection_type] = STATE(4232),
    [sym_function_type] = STATE(4260),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_any] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_boolean] = ACTIONS(1375),
    [anon_sym_string] = ACTIONS(1375),
    [anon_sym_symbol] = ACTIONS(1375),
    [anon_sym_object] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_infer] = ACTIONS(1369),
    [anon_sym_keyof] = ACTIONS(1371),
    [anon_sym_unique] = ACTIONS(1373),
    [anon_sym_unknown] = ACTIONS(1375),
    [anon_sym_never] = ACTIONS(1375),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1377),
    [sym_html_comment] = ACTIONS(5),
  },
  [2023] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2023),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2024] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2024),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1117),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(1117),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1117),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1117),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2025] = {
    [sym_export_statement] = STATE(4849),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6695),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6696),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(2025),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6695),
    [sym_method_definition] = STATE(6696),
    [sym_pair] = STATE(6696),
    [sym_pair_pattern] = STATE(6695),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4849),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4849),
    [sym_property_signature] = STATE(4849),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4849),
    [sym_index_signature] = STATE(4849),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [sym_identifier] = ACTIONS(4149),
    [anon_sym_export] = ACTIONS(4151),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4149),
    [anon_sym_namespace] = ACTIONS(4149),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(4153),
    [anon_sym_RBRACE] = ACTIONS(4153),
    [anon_sym_let] = ACTIONS(4149),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4156),
    [anon_sym_new] = ACTIONS(4158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4160),
    [anon_sym_readonly] = ACTIONS(4162),
    [anon_sym_get] = ACTIONS(4164),
    [anon_sym_set] = ACTIONS(4164),
    [anon_sym_declare] = ACTIONS(4149),
    [anon_sym_public] = ACTIONS(4166),
    [anon_sym_private] = ACTIONS(4166),
    [anon_sym_protected] = ACTIONS(4166),
    [anon_sym_override] = ACTIONS(4168),
    [anon_sym_module] = ACTIONS(4149),
    [anon_sym_any] = ACTIONS(4149),
    [anon_sym_number] = ACTIONS(4149),
    [anon_sym_boolean] = ACTIONS(4149),
    [anon_sym_string] = ACTIONS(4149),
    [anon_sym_symbol] = ACTIONS(4149),
    [anon_sym_object] = ACTIONS(4149),
    [anon_sym_abstract] = ACTIONS(4003),
    [sym_html_comment] = ACTIONS(5),
  },
  [2026] = {
    [sym_export_statement] = STATE(4841),
    [sym_object_pattern] = STATE(4344),
    [sym_object_assignment_pattern] = STATE(6695),
    [sym_array_pattern] = STATE(4344),
    [sym__call_signature] = STATE(5291),
    [sym__destructuring_pattern] = STATE(7382),
    [sym_spread_element] = STATE(6696),
    [sym_string] = STATE(4240),
    [sym_comment] = STATE(2026),
    [sym_decorator] = STATE(5733),
    [sym_formal_parameters] = STATE(4276),
    [sym_rest_pattern] = STATE(6695),
    [sym_method_definition] = STATE(6696),
    [sym_pair] = STATE(6696),
    [sym_pair_pattern] = STATE(6695),
    [sym__property_name] = STATE(4086),
    [sym_computed_property_name] = STATE(4240),
    [sym_method_signature] = STATE(4841),
    [sym_accessibility_modifier] = STATE(3756),
    [sym_override_modifier] = STATE(3769),
    [sym_call_signature] = STATE(4841),
    [sym_property_signature] = STATE(4841),
    [sym_type_parameters] = STATE(6903),
    [sym_construct_signature] = STATE(4841),
    [sym_index_signature] = STATE(4841),
    [aux_sym_export_statement_repeat1] = STATE(5606),
    [sym_identifier] = ACTIONS(4149),
    [anon_sym_export] = ACTIONS(4151),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_type] = ACTIONS(4149),
    [anon_sym_namespace] = ACTIONS(4149),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_COMMA] = ACTIONS(4153),
    [anon_sym_RBRACE] = ACTIONS(4153),
    [anon_sym_let] = ACTIONS(4149),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(4156),
    [anon_sym_new] = ACTIONS(4158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_LT] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3991),
    [sym_private_property_identifier] = ACTIONS(3991),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4160),
    [anon_sym_readonly] = ACTIONS(4162),
    [anon_sym_get] = ACTIONS(4164),
    [anon_sym_set] = ACTIONS(4164),
    [anon_sym_declare] = ACTIONS(4149),
    [anon_sym_public] = ACTIONS(4166),
    [anon_sym_private] = ACTIONS(4166),
    [anon_sym_protected] = ACTIONS(4166),
    [anon_sym_override] = ACTIONS(4168),
    [anon_sym_module] = ACTIONS(4149),
    [anon_sym_any] = ACTIONS(4149),
    [anon_sym_number] = ACTIONS(4149),
    [anon_sym_boolean] = ACTIONS(4149),
    [anon_sym_string] = ACTIONS(4149),
    [anon_sym_symbol] = ACTIONS(4149),
    [anon_sym_object] = ACTIONS(4149),
    [anon_sym_abstract] = ACTIONS(4003),
    [sym_html_comment] = ACTIONS(5),
  },
  [2027] = {
    [sym_variable_declarator] = STATE(5708),
    [sym_object_pattern] = STATE(4537),
    [sym_array_pattern] = STATE(4537),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(2027),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2028] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2028),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2029] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2029),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2030] = {
    [sym_variable_declarator] = STATE(5604),
    [sym_object_pattern] = STATE(4537),
    [sym_array_pattern] = STATE(4537),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(2030),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2031] = {
    [sym_variable_declarator] = STATE(5725),
    [sym_object_pattern] = STATE(4537),
    [sym_array_pattern] = STATE(4537),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(2031),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2032] = {
    [sym_variable_declarator] = STATE(5597),
    [sym_object_pattern] = STATE(4537),
    [sym_array_pattern] = STATE(4537),
    [sym__destructuring_pattern] = STATE(4461),
    [sym_comment] = STATE(2032),
    [sym_identifier] = ACTIONS(4170),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2033] = {
    [sym_variable_declarator] = STATE(5716),
    [sym_object_pattern] = STATE(4537),
    [sym_array_pattern] = STATE(4537),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(2033),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2034] = {
    [sym_nested_identifier] = STATE(324),
    [sym_string] = STATE(325),
    [sym_comment] = STATE(2034),
    [sym__module] = STATE(349),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4174),
    [anon_sym_SQUOTE] = ACTIONS(4176),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2035] = {
    [sym_nested_identifier] = STATE(992),
    [sym_string] = STATE(1046),
    [sym_comment] = STATE(2035),
    [sym__module] = STATE(1320),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4180),
    [anon_sym_SQUOTE] = ACTIONS(4182),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2036] = {
    [sym_nested_identifier] = STATE(1197),
    [sym_string] = STATE(1527),
    [sym_comment] = STATE(2036),
    [sym__module] = STATE(1730),
    [sym_identifier] = ACTIONS(4121),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4123),
    [anon_sym_SQUOTE] = ACTIONS(4125),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2037] = {
    [sym_nested_identifier] = STATE(317),
    [sym_string] = STATE(316),
    [sym_comment] = STATE(2037),
    [sym__module] = STATE(342),
    [sym_identifier] = ACTIONS(4184),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4186),
    [anon_sym_SQUOTE] = ACTIONS(4188),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2038] = {
    [sym_nested_identifier] = STATE(2447),
    [sym_string] = STATE(2460),
    [sym_comment] = STATE(2038),
    [sym__module] = STATE(2604),
    [sym_identifier] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2039] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2039),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1242),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2040] = {
    [sym_nested_identifier] = STATE(294),
    [sym_string] = STATE(293),
    [sym_comment] = STATE(2040),
    [sym__module] = STATE(323),
    [sym_identifier] = ACTIONS(4192),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [anon_sym_SQUOTE] = ACTIONS(4196),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2041] = {
    [sym_nested_identifier] = STATE(5025),
    [sym_string] = STATE(5740),
    [sym_comment] = STATE(2041),
    [sym__module] = STATE(6887),
    [sym_identifier] = ACTIONS(4198),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1965),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2042] = {
    [sym_nested_identifier] = STATE(2447),
    [sym_string] = STATE(2460),
    [sym_comment] = STATE(2042),
    [sym__module] = STATE(2604),
    [sym_identifier] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2043] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2043),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2044] = {
    [sym_nested_identifier] = STATE(2447),
    [sym_string] = STATE(2460),
    [sym_comment] = STATE(2044),
    [sym__module] = STATE(2604),
    [sym_identifier] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_of] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2045] = {
    [sym_nested_identifier] = STATE(381),
    [sym_string] = STATE(338),
    [sym_comment] = STATE(2045),
    [sym__module] = STATE(462),
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4113),
    [anon_sym_SQUOTE] = ACTIONS(4115),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2046] = {
    [sym_nested_identifier] = STATE(1002),
    [sym_string] = STATE(1231),
    [sym_comment] = STATE(2046),
    [sym__module] = STATE(1271),
    [sym_identifier] = ACTIONS(4200),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4202),
    [anon_sym_SQUOTE] = ACTIONS(4204),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2047] = {
    [sym_variable_declarator] = STATE(5696),
    [sym_object_pattern] = STATE(4537),
    [sym_array_pattern] = STATE(4537),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(2047),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2048] = {
    [sym_nested_identifier] = STATE(949),
    [sym_string] = STATE(1009),
    [sym_comment] = STATE(2048),
    [sym__module] = STATE(1149),
    [sym_identifier] = ACTIONS(4206),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4208),
    [anon_sym_SQUOTE] = ACTIONS(4210),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2049] = {
    [sym_nested_identifier] = STATE(2447),
    [sym_string] = STATE(2460),
    [sym_comment] = STATE(2049),
    [sym__module] = STATE(2604),
    [sym_identifier] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1189),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2050] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2050),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2051] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2051),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1183),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2052] = {
    [sym_comment] = STATE(2052),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4212),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2053] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2053),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2054] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2054),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1289),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1265),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2055] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2055),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1262),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2056] = {
    [sym_comment] = STATE(2056),
    [aux_sym_object_repeat1] = STATE(6276),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4212),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2057] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2057),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2058] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2058),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1249),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2059] = {
    [sym_nested_identifier] = STATE(2469),
    [sym_string] = STATE(2489),
    [sym_comment] = STATE(2059),
    [sym__module] = STATE(2669),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(144),
    [anon_sym_SQUOTE] = ACTIONS(146),
    [anon_sym_EQ_GT] = ACTIONS(154),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2060] = {
    [sym_comment] = STATE(2060),
    [aux_sym_object_repeat1] = STATE(6287),
    [aux_sym_object_pattern_repeat1] = STATE(6281),
    [sym_identifier] = ACTIONS(4212),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(160),
    [anon_sym_DASH_EQ] = ACTIONS(160),
    [anon_sym_STAR_EQ] = ACTIONS(160),
    [anon_sym_SLASH_EQ] = ACTIONS(160),
    [anon_sym_PERCENT_EQ] = ACTIONS(160),
    [anon_sym_CARET_EQ] = ACTIONS(160),
    [anon_sym_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(160),
    [anon_sym_LT_LT_EQ] = ACTIONS(160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(160),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(160),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(1283), 1,
      anon_sym_COLON,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2061), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2062), 1,
      sym_comment,
    ACTIONS(4214), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4216), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [170] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      anon_sym_EQ,
    ACTIONS(4224), 1,
      anon_sym_LPAREN,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4231), 1,
      anon_sym_LT,
    STATE(2063), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [265] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    STATE(2064), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5708), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2065), 1,
      sym_comment,
    ACTIONS(4234), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4236), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [433] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4184), 1,
      sym_identifier,
    ACTIONS(4186), 1,
      anon_sym_DQUOTE,
    ACTIONS(4188), 1,
      anon_sym_SQUOTE,
    STATE(316), 1,
      sym_string,
    STATE(317), 1,
      sym_nested_identifier,
    STATE(342), 1,
      sym__module,
    STATE(2066), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [526] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    STATE(2067), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5604), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [619] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2068), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [712] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    STATE(2069), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5696), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [805] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1016), 1,
      anon_sym_EQ,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2782), 1,
      anon_sym_LT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    STATE(2070), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [900] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4198), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_comment,
    STATE(5025), 1,
      sym_nested_identifier,
    STATE(5740), 1,
      sym_string,
    STATE(6887), 1,
      sym__module,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [993] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4178), 1,
      sym_identifier,
    ACTIONS(4180), 1,
      anon_sym_DQUOTE,
    ACTIONS(4182), 1,
      anon_sym_SQUOTE,
    STATE(992), 1,
      sym_nested_identifier,
    STATE(1046), 1,
      sym_string,
    STATE(1320), 1,
      sym__module,
    STATE(2072), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1086] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4121), 1,
      sym_identifier,
    ACTIONS(4123), 1,
      anon_sym_DQUOTE,
    ACTIONS(4125), 1,
      anon_sym_SQUOTE,
    STATE(1197), 1,
      sym_nested_identifier,
    STATE(1527), 1,
      sym_string,
    STATE(1730), 1,
      sym__module,
    STATE(2073), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1179] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1016), 1,
      anon_sym_EQ,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2782), 1,
      anon_sym_LT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(2074), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1274] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    STATE(2075), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5716), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1367] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4242), 1,
      anon_sym_LPAREN,
    ACTIONS(4244), 1,
      anon_sym_DOT,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4248), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4252), 1,
      anon_sym_LT,
    STATE(2076), 1,
      sym_comment,
    STATE(4096), 1,
      sym_arguments,
    STATE(4259), 1,
      sym_type_arguments,
    ACTIONS(4250), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4240), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4222), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1464] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1254), 1,
      anon_sym_COLON,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2077), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1559] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_EQ,
    ACTIONS(4224), 1,
      anon_sym_LPAREN,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4231), 1,
      anon_sym_LT,
    STATE(2078), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1654] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    STATE(2079), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5725), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1747] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    STATE(2080), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5592), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1840] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_RBRACK,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(215), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1937] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2082), 1,
      sym_comment,
    ACTIONS(4254), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4256), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2012] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4200), 1,
      sym_identifier,
    ACTIONS(4202), 1,
      anon_sym_DQUOTE,
    ACTIONS(4204), 1,
      anon_sym_SQUOTE,
    STATE(1002), 1,
      sym_nested_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1271), 1,
      sym__module,
    STATE(2083), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2105] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2084), 1,
      sym_comment,
    ACTIONS(4258), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4260), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2085), 1,
      sym_comment,
    ACTIONS(4262), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4264), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2255] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4111), 1,
      sym_identifier,
    ACTIONS(4113), 1,
      anon_sym_DQUOTE,
    ACTIONS(4115), 1,
      anon_sym_SQUOTE,
    STATE(338), 1,
      sym_string,
    STATE(381), 1,
      sym_nested_identifier,
    STATE(462), 1,
      sym__module,
    STATE(2086), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2348] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    ACTIONS(4220), 1,
      anon_sym_EQ,
    ACTIONS(4224), 1,
      anon_sym_LPAREN,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4231), 1,
      anon_sym_LT,
    STATE(2087), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2443] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(67), 1,
      anon_sym_DQUOTE,
    ACTIONS(69), 1,
      anon_sym_SQUOTE,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4190), 1,
      sym_identifier,
    STATE(2088), 1,
      sym_comment,
    STATE(2447), 1,
      sym_nested_identifier,
    STATE(2460), 1,
      sym_string,
    STATE(2604), 1,
      sym__module,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2536] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4266), 1,
      sym_identifier,
    STATE(2089), 1,
      sym_comment,
    STATE(4507), 1,
      sym_nested_identifier,
    STATE(4684), 1,
      sym_string,
    STATE(5107), 1,
      sym__module,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2629] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4172), 1,
      sym_identifier,
    ACTIONS(4174), 1,
      anon_sym_DQUOTE,
    ACTIONS(4176), 1,
      anon_sym_SQUOTE,
    STATE(324), 1,
      sym_nested_identifier,
    STATE(325), 1,
      sym_string,
    STATE(349), 1,
      sym__module,
    STATE(2090), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2091), 1,
      sym_comment,
    ACTIONS(4268), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4270), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2797] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1016), 1,
      anon_sym_EQ,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2782), 1,
      anon_sym_LT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2092), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2892] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      sym_identifier,
    ACTIONS(4194), 1,
      anon_sym_DQUOTE,
    ACTIONS(4196), 1,
      anon_sym_SQUOTE,
    STATE(293), 1,
      sym_string,
    STATE(294), 1,
      sym_nested_identifier,
    STATE(323), 1,
      sym__module,
    STATE(2093), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2985] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2094), 1,
      sym_comment,
    ACTIONS(4272), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4274), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3060] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4206), 1,
      sym_identifier,
    ACTIONS(4208), 1,
      anon_sym_DQUOTE,
    ACTIONS(4210), 1,
      anon_sym_SQUOTE,
    STATE(949), 1,
      sym_nested_identifier,
    STATE(1009), 1,
      sym_string,
    STATE(1149), 1,
      sym__module,
    STATE(2095), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3153] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    STATE(2096), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3231] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2097), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3323] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    STATE(2098), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4240), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4250), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3419] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2099), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3511] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1309), 1,
      anon_sym_EQ_GT,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2100), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2101), 1,
      sym_comment,
    ACTIONS(3173), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3175), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3677] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(1309), 1,
      anon_sym_EQ_GT,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2102), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3769] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    STATE(2103), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4240), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4250), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3865] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1319), 1,
      anon_sym_EQ,
    ACTIONS(1325), 1,
      anon_sym_EQ_GT,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2104), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3957] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4288), 1,
      anon_sym_EQ,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4309), 1,
      anon_sym_QMARK,
    ACTIONS(4312), 1,
      anon_sym_extends,
    STATE(2105), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    STATE(7041), 1,
      sym_type_annotation,
    ACTIONS(4291), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4303), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4057] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1325), 1,
      anon_sym_EQ_GT,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2106), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4149] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2107), 1,
      sym_comment,
    ACTIONS(3163), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3165), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4223] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_in,
    ACTIONS(1234), 1,
      anon_sym_of,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2108), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 34,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4319] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4314), 1,
      anon_sym_EQ,
    ACTIONS(4316), 1,
      anon_sym_EQ_GT,
    STATE(2109), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4240), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4250), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4415] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4288), 1,
      anon_sym_EQ,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4318), 1,
      anon_sym_DOT,
    ACTIONS(4321), 1,
      anon_sym_LT,
    STATE(2110), 1,
      sym_comment,
    STATE(4210), 1,
      sym_type_arguments,
    ACTIONS(4291), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4303), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4312), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4222), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4509] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1117), 1,
      anon_sym_COLON,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2111), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4603] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4312), 1,
      anon_sym_extends,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    ACTIONS(4329), 1,
      anon_sym_RPAREN,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4334), 1,
      anon_sym_QMARK,
    STATE(2112), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4303), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4327), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4222), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4700] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_in,
    ACTIONS(1234), 1,
      anon_sym_of,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4336), 1,
      sym_identifier,
    ACTIONS(4338), 1,
      anon_sym_LBRACK,
    STATE(2113), 1,
      sym_comment,
    STATE(6926), 1,
      sym__destructuring_pattern,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 33,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4793] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    STATE(2114), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4250), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4240), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4222), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4888] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4343), 1,
      anon_sym_QMARK,
    STATE(2115), 1,
      sym_comment,
    ACTIONS(4341), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4971] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1393), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2116), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5062] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(212), 1,
      anon_sym_EQ,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2117), 1,
      sym_comment,
    ACTIONS(4345), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5145] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1381), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2118), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5236] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5327] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2120), 1,
      sym_comment,
    ACTIONS(4262), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4264), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [5400] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1389), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2121), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5491] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1385), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2122), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5582] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4291), 1,
      anon_sym_RPAREN,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4312), 1,
      anon_sym_extends,
    ACTIONS(4334), 1,
      anon_sym_QMARK,
    ACTIONS(4349), 1,
      anon_sym_EQ,
    ACTIONS(4355), 1,
      anon_sym_EQ_GT,
    STATE(2123), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4303), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4352), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4222), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5679] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4359), 1,
      anon_sym_LPAREN,
    ACTIONS(4361), 1,
      anon_sym_DOT,
    STATE(2124), 1,
      sym_comment,
    STATE(2199), 1,
      sym_arguments,
    ACTIONS(4357), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [5756] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2125), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5847] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2126), 1,
      sym_comment,
    ACTIONS(4272), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4274), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [5920] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    STATE(2127), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4240), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4250), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6015] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4312), 1,
      anon_sym_extends,
    ACTIONS(4314), 1,
      anon_sym_EQ,
    ACTIONS(4316), 1,
      anon_sym_EQ_GT,
    STATE(2128), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4297), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6106] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1391), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6197] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4312), 1,
      anon_sym_extends,
    STATE(2130), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4297), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6288] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1395), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2131), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6379] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1262), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    STATE(2132), 1,
      sym_comment,
    ACTIONS(4372), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2063), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6464] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4377), 1,
      anon_sym_class,
    ACTIONS(4380), 1,
      anon_sym_AT,
    STATE(2133), 1,
      sym_comment,
    STATE(2139), 1,
      aux_sym_export_statement_repeat1,
    STATE(2189), 1,
      sym_decorator,
    ACTIONS(4375), 55,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6543] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4355), 1,
      anon_sym_EQ_GT,
    ACTIONS(4383), 1,
      anon_sym_EQ,
    STATE(2134), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4250), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4240), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4222), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6638] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4312), 1,
      anon_sym_extends,
    STATE(2135), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4297), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6729] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1117), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2136), 1,
      sym_comment,
    ACTIONS(4385), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6812] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4355), 1,
      anon_sym_EQ_GT,
    ACTIONS(4383), 1,
      anon_sym_EQ,
    STATE(2137), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4240), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4250), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6907] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1383), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6998] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4380), 1,
      anon_sym_AT,
    STATE(2189), 1,
      sym_decorator,
    STATE(2139), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4375), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [7073] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4387), 1,
      anon_sym_EQ,
    ACTIONS(4389), 1,
      anon_sym_EQ_GT,
    STATE(2140), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4240), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4250), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7168] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4334), 1,
      anon_sym_QMARK,
    STATE(2141), 1,
      sym_comment,
    ACTIONS(4327), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7251] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2142), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7342] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(144), 1,
      anon_sym_DQUOTE,
    ACTIONS(146), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1397), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      sym_identifier,
    STATE(2143), 1,
      sym_comment,
    STATE(2469), 1,
      sym_nested_identifier,
    STATE(2489), 1,
      sym_string,
    STATE(2669), 1,
      sym__module,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7433] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_EQ_GT,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(1236), 1,
      anon_sym_COLON,
    ACTIONS(4391), 1,
      sym_identifier,
    STATE(2144), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7515] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    ACTIONS(4395), 1,
      anon_sym_EQ_GT,
    STATE(2145), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4240), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4250), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7609] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(212), 1,
      anon_sym_EQ,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    STATE(2146), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4345), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4372), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7697] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4397), 1,
      anon_sym_EQ,
    ACTIONS(4399), 1,
      anon_sym_EQ_GT,
    STATE(2147), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4240), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4250), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7791] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    STATE(2148), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4250), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4240), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4222), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7885] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_EQ_GT,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(1199), 1,
      anon_sym_COLON,
    ACTIONS(4401), 1,
      sym_identifier,
    STATE(2149), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7967] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4312), 1,
      anon_sym_extends,
    ACTIONS(4355), 1,
      anon_sym_EQ_GT,
    ACTIONS(4383), 1,
      anon_sym_EQ,
    STATE(2150), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4297), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8057] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_EQ_GT,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_COLON,
    ACTIONS(4212), 1,
      sym_identifier,
    STATE(2151), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8139] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4312), 1,
      anon_sym_extends,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    STATE(2152), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4297), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8229] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4403), 1,
      anon_sym_EQ,
    ACTIONS(4405), 1,
      anon_sym_EQ_GT,
    STATE(2153), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4240), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4250), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8323] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2154), 1,
      sym_comment,
    ACTIONS(3401), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8393] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4312), 1,
      anon_sym_extends,
    ACTIONS(4341), 1,
      anon_sym_COLON,
    STATE(2155), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4303), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4407), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4222), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8487] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1205), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    STATE(2156), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4372), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8571] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_EQ_GT,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(1229), 1,
      anon_sym_COLON,
    ACTIONS(4411), 1,
      sym_identifier,
    STATE(2157), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8653] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4341), 1,
      anon_sym_COLON,
    STATE(2158), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4303), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4312), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4222), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8745] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2159), 1,
      sym_comment,
    ACTIONS(4413), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8815] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2160), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4372), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8899] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1189), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4415), 1,
      anon_sym_EQ_GT,
    STATE(2161), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4372), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8983] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2162), 1,
      sym_comment,
    ACTIONS(3333), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [9053] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_EQ_GT,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(1181), 1,
      anon_sym_COLON,
    ACTIONS(4417), 1,
      sym_identifier,
    STATE(2163), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9135] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    ACTIONS(4422), 1,
      anon_sym_EQ_GT,
    STATE(2164), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4372), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4419), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9223] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    STATE(2165), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4250), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4240), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4222), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9317] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4387), 1,
      anon_sym_EQ,
    ACTIONS(4389), 1,
      anon_sym_EQ_GT,
    STATE(2166), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9407] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4343), 1,
      anon_sym_QMARK,
    STATE(2167), 1,
      sym_comment,
    ACTIONS(4341), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9487] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    ACTIONS(4334), 1,
      anon_sym_QMARK,
    STATE(2168), 1,
      sym_comment,
    ACTIONS(4327), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9567] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4415), 1,
      anon_sym_EQ_GT,
    STATE(2169), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9644] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2170), 1,
      sym_comment,
    ACTIONS(3227), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [9713] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    STATE(2171), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2172), 1,
      sym_comment,
    ACTIONS(4214), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4216), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9861] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2173), 1,
      sym_comment,
    ACTIONS(4357), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [9930] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2933), 1,
      anon_sym_COLON,
    STATE(2174), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10009] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4312), 1,
      anon_sym_extends,
    STATE(2175), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4297), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4303), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10098] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    STATE(2176), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10177] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_in,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4424), 1,
      anon_sym_of,
    STATE(2177), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2178), 1,
      sym_comment,
    ACTIONS(3173), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3175), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10329] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4314), 1,
      anon_sym_EQ,
    ACTIONS(4316), 1,
      anon_sym_EQ_GT,
    STATE(2179), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10406] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3023), 1,
      anon_sym_EQ_GT,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    STATE(2180), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4372), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10489] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1205), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    STATE(2181), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10566] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4397), 1,
      anon_sym_EQ,
    ACTIONS(4399), 1,
      anon_sym_EQ_GT,
    STATE(2182), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10655] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2183), 1,
      sym_comment,
    ACTIONS(4268), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4270), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10726] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4403), 1,
      anon_sym_EQ,
    ACTIONS(4405), 1,
      anon_sym_EQ_GT,
    STATE(2184), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10815] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2185), 1,
      sym_comment,
    ACTIONS(4426), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4272), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4274), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10888] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_QMARK,
    ACTIONS(4349), 1,
      anon_sym_EQ,
    ACTIONS(4355), 1,
      anon_sym_EQ_GT,
    STATE(2186), 1,
      sym_comment,
    ACTIONS(4352), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10969] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2187), 1,
      sym_comment,
    ACTIONS(4428), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [11038] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    STATE(2188), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11115] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2189), 1,
      sym_comment,
    ACTIONS(4430), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [11184] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_EQ_GT,
    STATE(2190), 1,
      sym_comment,
    ACTIONS(4419), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11265] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1205), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    ACTIONS(4385), 1,
      anon_sym_COLON,
    STATE(2191), 1,
      sym_comment,
    ACTIONS(4372), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4432), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11352] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2971), 1,
      anon_sym_COLON,
    STATE(2192), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11431] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    STATE(2193), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11508] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    STATE(2194), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4250), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4240), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4222), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11601] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    STATE(2195), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11680] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2971), 1,
      anon_sym_COLON,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    STATE(2196), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11759] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1189), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4415), 1,
      anon_sym_EQ_GT,
    STATE(2197), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11836] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    STATE(2198), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4240), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4250), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11929] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2199), 1,
      sym_comment,
    ACTIONS(4436), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [11998] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    ACTIONS(4395), 1,
      anon_sym_EQ_GT,
    STATE(2200), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12087] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2201), 1,
      sym_comment,
    ACTIONS(3229), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12156] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    ACTIONS(4438), 1,
      anon_sym_in,
    ACTIONS(4441), 1,
      anon_sym_of,
    STATE(2202), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12237] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2203), 1,
      sym_comment,
    ACTIONS(3219), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12306] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2204), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12383] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1205), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    ACTIONS(4385), 1,
      anon_sym_COLON,
    STATE(2205), 1,
      sym_comment,
    ACTIONS(4443), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12464] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2206), 1,
      sym_comment,
    ACTIONS(3221), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12533] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2207), 1,
      sym_comment,
    ACTIONS(4446), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12602] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2208), 1,
      sym_comment,
    ACTIONS(4448), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4262), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4264), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12675] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1262), 1,
      anon_sym_EQ,
    ACTIONS(2061), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    STATE(2209), 1,
      sym_comment,
    ACTIONS(4372), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2063), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2210), 1,
      sym_comment,
    ACTIONS(4262), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4264), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12831] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1289), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_EQ_GT,
    STATE(2211), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4372), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12914] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    STATE(2212), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12993] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2213), 1,
      sym_comment,
    ACTIONS(4234), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4236), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13064] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2857), 1,
      anon_sym_COLON,
    STATE(2214), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13143] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    STATE(2215), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13220] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    ACTIONS(4385), 1,
      anon_sym_COLON,
    STATE(2216), 1,
      sym_comment,
    ACTIONS(4372), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2063), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13305] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2217), 1,
      sym_comment,
    ACTIONS(4254), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4256), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13376] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    STATE(2218), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13455] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4316), 1,
      anon_sym_EQ_GT,
    STATE(2219), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2220), 1,
      sym_comment,
    ACTIONS(4258), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4260), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13603] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_EQ_GT,
    STATE(2221), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4372), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13686] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    STATE(2222), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13761] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2223), 1,
      sym_comment,
    ACTIONS(4262), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4264), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2224), 1,
      sym_comment,
    ACTIONS(4272), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4274), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13903] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2225), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13980] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2226), 1,
      sym_comment,
    ACTIONS(4452), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14049] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2227), 1,
      sym_comment,
    ACTIONS(3163), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3165), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14120] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2857), 1,
      anon_sym_COLON,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    STATE(2228), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14199] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2933), 1,
      anon_sym_COLON,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    STATE(2229), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2230), 1,
      sym_comment,
    ACTIONS(4272), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4274), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14349] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    STATE(2231), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14426] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2232), 1,
      sym_comment,
    ACTIONS(4454), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14494] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    STATE(2233), 1,
      sym_comment,
    ACTIONS(4456), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14572] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4212), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14650] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2235), 1,
      sym_comment,
    ACTIONS(4459), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14718] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2236), 1,
      sym_comment,
    ACTIONS(4461), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14786] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4463), 1,
      sym_identifier,
    STATE(2237), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14864] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4355), 1,
      anon_sym_EQ_GT,
    STATE(2238), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14940] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4401), 1,
      sym_identifier,
    STATE(2239), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15018] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_COMMA,
    ACTIONS(4419), 1,
      anon_sym_RBRACK,
    ACTIONS(4465), 1,
      anon_sym_COLON,
    ACTIONS(4467), 1,
      anon_sym_EQ_GT,
    STATE(2240), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15100] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1289), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_EQ_GT,
    STATE(2241), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15176] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4297), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_DOT,
    ACTIONS(4306), 1,
      anon_sym_LT,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    STATE(2242), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4222), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15264] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    ACTIONS(4467), 1,
      anon_sym_EQ_GT,
    STATE(2243), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4372), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15346] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4426), 1,
      anon_sym_COMMA,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(4272), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4274), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15418] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1319), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    ACTIONS(4469), 1,
      anon_sym_EQ_GT,
    STATE(2245), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4372), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15500] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2246), 1,
      sym_comment,
    ACTIONS(4471), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15568] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2247), 1,
      sym_comment,
    ACTIONS(4473), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15636] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_EQ_GT,
    STATE(2248), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15712] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4341), 1,
      anon_sym_COLON,
    STATE(2249), 1,
      sym_comment,
    ACTIONS(4456), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15790] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    STATE(2250), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15866] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_EQ_GT,
    STATE(2251), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15942] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_EQ_GT,
    STATE(2252), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16018] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2253), 1,
      sym_comment,
    ACTIONS(4475), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16086] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_QMARK,
    ACTIONS(4349), 1,
      anon_sym_EQ,
    STATE(2254), 1,
      sym_comment,
    ACTIONS(4352), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16164] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2255), 1,
      sym_comment,
    ACTIONS(4477), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4448), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      sym_comment,
    ACTIONS(4262), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4264), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16304] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2257), 1,
      sym_comment,
    ACTIONS(4479), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16372] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    ACTIONS(4438), 1,
      anon_sym_in,
    ACTIONS(4441), 1,
      anon_sym_of,
    STATE(2258), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16450] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1205), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    STATE(2259), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4372), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16532] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4246), 1,
      anon_sym_EQ_GT,
    ACTIONS(4288), 1,
      anon_sym_EQ,
    STATE(2260), 1,
      sym_comment,
    ACTIONS(4352), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16610] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2261), 1,
      sym_comment,
    ACTIONS(4471), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16678] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4352), 1,
      anon_sym_RBRACK,
    ACTIONS(4395), 1,
      anon_sym_EQ_GT,
    ACTIONS(4481), 1,
      anon_sym_EQ,
    ACTIONS(4484), 1,
      anon_sym_in,
    ACTIONS(4486), 1,
      anon_sym_COLON,
    STATE(2262), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16762] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    STATE(2263), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16836] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1262), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    STATE(2264), 1,
      sym_comment,
    ACTIONS(4419), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16914] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    ACTIONS(4488), 1,
      anon_sym_EQ_GT,
    STATE(2265), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4372), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16996] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4355), 1,
      anon_sym_EQ_GT,
    ACTIONS(4383), 1,
      anon_sym_EQ,
    STATE(2266), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17072] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4417), 1,
      sym_identifier,
    STATE(2267), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17150] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2268), 1,
      sym_comment,
    ACTIONS(4490), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17218] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2269), 1,
      sym_comment,
    ACTIONS(4479), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17286] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    STATE(2270), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17360] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4314), 1,
      anon_sym_EQ,
    STATE(2271), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17434] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    STATE(2272), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17510] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4411), 1,
      sym_identifier,
    STATE(2273), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17588] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1277), 1,
      anon_sym_EQ_GT,
    ACTIONS(4391), 1,
      sym_identifier,
    STATE(2274), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17666] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2275), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4500), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4895), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17793] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4465), 1,
      anon_sym_COLON,
    ACTIONS(4467), 1,
      anon_sym_EQ_GT,
    STATE(2276), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17870] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4288), 1,
      anon_sym_EQ,
    STATE(2277), 1,
      sym_comment,
    ACTIONS(4352), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17945] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4448), 1,
      anon_sym_COMMA,
    STATE(2278), 1,
      sym_comment,
    ACTIONS(4262), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4264), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [18016] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    ACTIONS(4395), 1,
      anon_sym_EQ_GT,
    ACTIONS(4484), 1,
      anon_sym_in,
    ACTIONS(4486), 1,
      anon_sym_COLON,
    STATE(2279), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18095] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2280), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4518), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4520), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4936), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18222] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4426), 1,
      anon_sym_COMMA,
    STATE(2281), 1,
      sym_comment,
    ACTIONS(4272), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4274), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [18293] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3023), 1,
      anon_sym_EQ_GT,
    STATE(2282), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18368] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2283), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4522), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4524), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4885), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18495] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4383), 1,
      anon_sym_EQ,
    STATE(2284), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18568] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2285), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4097), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4099), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4850), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18695] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    STATE(2286), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18768] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_COMMA,
    ACTIONS(4419), 1,
      anon_sym_RBRACK,
    ACTIONS(4467), 1,
      anon_sym_EQ_GT,
    STATE(2287), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18847] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2288), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4526), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4528), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4926), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18974] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2289), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4530), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4532), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4799), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19101] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    ACTIONS(4367), 1,
      anon_sym_LBRACK,
    STATE(2290), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4372), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19182] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4352), 1,
      anon_sym_RBRACK,
    ACTIONS(4395), 1,
      anon_sym_EQ_GT,
    ACTIONS(4481), 1,
      anon_sym_EQ,
    STATE(2291), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19261] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2292), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3981), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4005), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4856), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19388] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3023), 1,
      anon_sym_EQ_GT,
    STATE(2293), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19463] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4387), 1,
      anon_sym_EQ,
    ACTIONS(4389), 1,
      anon_sym_EQ_GT,
    STATE(2294), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19538] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4389), 1,
      anon_sym_EQ_GT,
    STATE(2295), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19613] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4467), 1,
      anon_sym_EQ_GT,
    ACTIONS(4534), 1,
      anon_sym_COLON,
    STATE(2296), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19690] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2297), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4536), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4538), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4865), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19817] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    ACTIONS(4395), 1,
      anon_sym_EQ_GT,
    ACTIONS(4484), 1,
      anon_sym_in,
    ACTIONS(4540), 1,
      anon_sym_COLON,
    STATE(2298), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19896] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2299), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4542), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4544), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4837), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20023] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1319), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4469), 1,
      anon_sym_EQ_GT,
    STATE(2300), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20097] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_EQ_GT,
    STATE(2301), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20171] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4387), 1,
      anon_sym_EQ,
    STATE(2302), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20243] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4352), 1,
      anon_sym_RBRACK,
    ACTIONS(4481), 1,
      anon_sym_EQ,
    STATE(2303), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20319] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    ACTIONS(4385), 1,
      anon_sym_COLON,
    STATE(2304), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20395] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4399), 1,
      anon_sym_EQ_GT,
    STATE(2305), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20469] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4395), 1,
      anon_sym_EQ_GT,
    STATE(2306), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20543] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_EQ_GT,
    STATE(2307), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20617] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4438), 1,
      anon_sym_in,
    ACTIONS(4441), 1,
      anon_sym_of,
    STATE(2308), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20695] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4405), 1,
      anon_sym_EQ_GT,
    STATE(2309), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20769] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    ACTIONS(4395), 1,
      anon_sym_EQ_GT,
    STATE(2310), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20843] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1281), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4467), 1,
      anon_sym_EQ_GT,
    STATE(2311), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20917] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4467), 1,
      anon_sym_EQ_GT,
    STATE(2312), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20991] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4469), 1,
      anon_sym_EQ_GT,
    STATE(2313), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21065] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4397), 1,
      anon_sym_EQ,
    ACTIONS(4399), 1,
      anon_sym_EQ_GT,
    STATE(2314), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21139] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4403), 1,
      anon_sym_EQ,
    ACTIONS(4405), 1,
      anon_sym_EQ_GT,
    STATE(2315), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21213] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_in,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    ACTIONS(4424), 1,
      anon_sym_of,
    STATE(2316), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21291] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2317), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4546), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21414] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2318), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4548), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21537] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4550), 1,
      anon_sym_EQ,
    STATE(2319), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21610] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1385), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2320), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21683] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2321), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4552), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21806] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4403), 1,
      anon_sym_EQ,
    STATE(2322), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21877] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4554), 1,
      anon_sym_EQ,
    STATE(2323), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21950] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2324), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4556), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22073] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4558), 1,
      anon_sym_EQ,
    STATE(2325), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22146] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2326), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4560), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22269] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2327), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4562), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22392] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2328), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4564), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22515] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4566), 1,
      anon_sym_EQ,
    STATE(2329), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22588] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1383), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2330), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22661] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4341), 1,
      anon_sym_COLON,
    STATE(2331), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22734] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2332), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22807] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2333), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4568), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22930] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1115), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2334), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23003] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4570), 1,
      anon_sym_EQ,
    STATE(2335), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23076] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1389), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2336), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23149] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2337), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4572), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23272] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2338), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4574), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23395] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1391), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2339), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23468] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2340), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4576), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23591] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    STATE(2341), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23662] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4578), 1,
      anon_sym_EQ,
    STATE(2342), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23735] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4580), 1,
      anon_sym_EQ,
    STATE(2343), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23808] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4438), 1,
      anon_sym_in,
    ACTIONS(4441), 1,
      anon_sym_of,
    STATE(2344), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23883] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2345), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4582), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24006] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2346), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4584), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24129] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2347), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4586), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24252] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4588), 1,
      anon_sym_EQ,
    STATE(2348), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24325] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4590), 1,
      anon_sym_EQ,
    STATE(2349), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24398] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2350), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4592), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24521] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2351), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4594), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24644] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    STATE(2352), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24717] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2353), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24790] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    ACTIONS(4596), 1,
      anon_sym_EQ,
    STATE(2354), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24863] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2355), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4598), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24986] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2356), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4600), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25109] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2357), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4602), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25232] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4397), 1,
      anon_sym_EQ,
    STATE(2358), 1,
      sym_comment,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4222), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25303] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2359), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4604), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25426] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2360), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4606), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25549] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2361), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4608), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25672] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1393), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2362), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25745] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1395), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2363), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25818] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2364), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4610), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25941] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2365), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4612), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26064] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1381), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2366), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26137] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2367), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4614), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26260] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2368), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4616), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26383] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2369), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4618), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26506] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1397), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ_GT,
    STATE(2370), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26579] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4566), 1,
      anon_sym_EQ,
    STATE(2371), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26649] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4588), 1,
      anon_sym_EQ,
    STATE(2372), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26719] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4550), 1,
      anon_sym_EQ,
    STATE(2373), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26789] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_EQ,
    STATE(2374), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26859] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4558), 1,
      anon_sym_EQ,
    STATE(2375), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26929] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4554), 1,
      anon_sym_EQ,
    STATE(2376), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26999] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4578), 1,
      anon_sym_EQ,
    STATE(2377), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27069] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4596), 1,
      anon_sym_EQ,
    STATE(2378), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27139] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4580), 1,
      anon_sym_EQ,
    STATE(2379), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27209] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4570), 1,
      anon_sym_EQ,
    STATE(2380), 1,
      sym_comment,
    ACTIONS(4222), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4229), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4218), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27279] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2381), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4932), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27398] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2382), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4872), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27517] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2383), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4849), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27636] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2384), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4889), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27755] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2385), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4897), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27874] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2386), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5263), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27993] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2387), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4841), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28112] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2388), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4846), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28231] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2389), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4866), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28350] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_abstract,
    ACTIONS(4494), 1,
      anon_sym_export,
    ACTIONS(4496), 1,
      anon_sym_STAR,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_async,
    ACTIONS(4506), 1,
      anon_sym_new,
    ACTIONS(4508), 1,
      anon_sym_static,
    ACTIONS(4510), 1,
      anon_sym_readonly,
    ACTIONS(4516), 1,
      anon_sym_override,
    STATE(2390), 1,
      sym_comment,
    STATE(3724), 1,
      sym_accessibility_modifier,
    STATE(3781), 1,
      sym_override_modifier,
    STATE(4100), 1,
      sym__property_name,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5606), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4514), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4812), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4492), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28469] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4620), 1,
      anon_sym_STAR,
    ACTIONS(4622), 1,
      anon_sym_default,
    ACTIONS(4624), 1,
      anon_sym_type,
    ACTIONS(4626), 1,
      anon_sym_EQ,
    ACTIONS(4628), 1,
      anon_sym_as,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4633), 1,
      anon_sym_RBRACE,
    ACTIONS(4638), 1,
      anon_sym_module,
    STATE(2391), 1,
      sym_comment,
    STATE(5109), 1,
      sym_internal_module,
    STATE(5110), 1,
      sym_declaration,
    STATE(5142), 1,
      aux_sym_export_statement_repeat1,
    STATE(5608), 1,
      sym_export_clause,
    STATE(5733), 1,
      sym_decorator,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7061), 1,
      sym_namespace_export,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5108), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28593] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4620), 1,
      anon_sym_STAR,
    ACTIONS(4622), 1,
      anon_sym_default,
    ACTIONS(4624), 1,
      anon_sym_type,
    ACTIONS(4626), 1,
      anon_sym_EQ,
    ACTIONS(4628), 1,
      anon_sym_as,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4638), 1,
      anon_sym_module,
    ACTIONS(4640), 1,
      anon_sym_RBRACE,
    STATE(2392), 1,
      sym_comment,
    STATE(5109), 1,
      sym_internal_module,
    STATE(5110), 1,
      sym_declaration,
    STATE(5142), 1,
      aux_sym_export_statement_repeat1,
    STATE(5608), 1,
      sym_export_clause,
    STATE(5733), 1,
      sym_decorator,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7061), 1,
      sym_namespace_export,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5108), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28717] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4620), 1,
      anon_sym_STAR,
    ACTIONS(4622), 1,
      anon_sym_default,
    ACTIONS(4624), 1,
      anon_sym_type,
    ACTIONS(4626), 1,
      anon_sym_EQ,
    ACTIONS(4628), 1,
      anon_sym_as,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4638), 1,
      anon_sym_module,
    ACTIONS(4643), 1,
      anon_sym_RBRACE,
    STATE(2393), 1,
      sym_comment,
    STATE(5109), 1,
      sym_internal_module,
    STATE(5110), 1,
      sym_declaration,
    STATE(5142), 1,
      aux_sym_export_statement_repeat1,
    STATE(5608), 1,
      sym_export_clause,
    STATE(5733), 1,
      sym_decorator,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    STATE(7061), 1,
      sym_namespace_export,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5108), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28841] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4620), 1,
      anon_sym_STAR,
    ACTIONS(4622), 1,
      anon_sym_default,
    ACTIONS(4624), 1,
      anon_sym_type,
    ACTIONS(4626), 1,
      anon_sym_EQ,
    ACTIONS(4628), 1,
      anon_sym_as,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4638), 1,
      anon_sym_module,
    ACTIONS(4646), 1,
      anon_sym_RBRACE,
    STATE(2394), 1,
      sym_comment,
    STATE(5109), 1,
      sym_internal_module,
    STATE(5110), 1,
      sym_declaration,
    STATE(5142), 1,
      aux_sym_export_statement_repeat1,
    STATE(5608), 1,
      sym_export_clause,
    STATE(5733), 1,
      sym_decorator,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7061), 1,
      sym_namespace_export,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5108), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28965] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4620), 1,
      anon_sym_STAR,
    ACTIONS(4622), 1,
      anon_sym_default,
    ACTIONS(4624), 1,
      anon_sym_type,
    ACTIONS(4626), 1,
      anon_sym_EQ,
    ACTIONS(4628), 1,
      anon_sym_as,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4638), 1,
      anon_sym_module,
    ACTIONS(4649), 1,
      anon_sym_RBRACE,
    STATE(2395), 1,
      sym_comment,
    STATE(5109), 1,
      sym_internal_module,
    STATE(5110), 1,
      sym_declaration,
    STATE(5142), 1,
      aux_sym_export_statement_repeat1,
    STATE(5608), 1,
      sym_export_clause,
    STATE(5733), 1,
      sym_decorator,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7061), 1,
      sym_namespace_export,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5108), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [29089] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4654), 1,
      anon_sym_RBRACE,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    STATE(2396), 1,
      sym_comment,
    STATE(2424), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29206] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4674), 1,
      anon_sym_RBRACE,
    STATE(2397), 1,
      sym_comment,
    STATE(2406), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29323] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4676), 1,
      anon_sym_RBRACE,
    STATE(2398), 1,
      sym_comment,
    STATE(2425), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29440] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4680), 1,
      anon_sym_RBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    ACTIONS(4684), 1,
      anon_sym_async,
    ACTIONS(4686), 1,
      anon_sym_static,
    ACTIONS(4688), 1,
      anon_sym_readonly,
    ACTIONS(4694), 1,
      anon_sym_override,
    STATE(2399), 1,
      sym_comment,
    STATE(3744), 1,
      sym_accessibility_modifier,
    STATE(3771), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6379), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6384), 1,
      aux_sym_object_repeat1,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4690), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4692), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6388), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6391), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4678), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29551] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4696), 1,
      anon_sym_RBRACE,
    STATE(2400), 1,
      sym_comment,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29668] = 31,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4701), 1,
      anon_sym_STAR,
    ACTIONS(4704), 1,
      anon_sym_RBRACE,
    ACTIONS(4706), 1,
      anon_sym_SEMI,
    ACTIONS(4709), 1,
      anon_sym_LBRACK,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4715), 1,
      anon_sym_SQUOTE,
    ACTIONS(4718), 1,
      anon_sym_async,
    ACTIONS(4727), 1,
      anon_sym_AT,
    ACTIONS(4730), 1,
      anon_sym_static,
    ACTIONS(4733), 1,
      anon_sym_readonly,
    ACTIONS(4739), 1,
      anon_sym_declare,
    ACTIONS(4745), 1,
      anon_sym_override,
    ACTIONS(4748), 1,
      anon_sym_abstract,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(4721), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4724), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4736), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2401), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4742), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4698), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29783] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4751), 1,
      anon_sym_RBRACE,
    STATE(2402), 1,
      sym_comment,
    STATE(2428), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29900] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4753), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2403), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30017] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    ACTIONS(4757), 1,
      anon_sym_RBRACE,
    ACTIONS(4759), 1,
      anon_sym_async,
    ACTIONS(4761), 1,
      anon_sym_static,
    ACTIONS(4763), 1,
      anon_sym_readonly,
    ACTIONS(4769), 1,
      anon_sym_override,
    STATE(2404), 1,
      sym_comment,
    STATE(3744), 1,
      sym_accessibility_modifier,
    STATE(3771), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6379), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6384), 1,
      aux_sym_object_repeat1,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4765), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4767), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6388), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6391), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4755), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30128] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4771), 1,
      anon_sym_RBRACE,
    STATE(2405), 1,
      sym_comment,
    STATE(2416), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30245] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4773), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2406), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30362] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4775), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2407), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30479] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4777), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2408), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30596] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4779), 1,
      anon_sym_RBRACE,
    STATE(2408), 1,
      aux_sym_class_body_repeat1,
    STATE(2409), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30713] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4781), 1,
      anon_sym_RBRACE,
    STATE(2410), 1,
      sym_comment,
    STATE(2426), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30830] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    ACTIONS(4785), 1,
      anon_sym_RBRACE,
    ACTIONS(4787), 1,
      anon_sym_async,
    ACTIONS(4789), 1,
      anon_sym_static,
    ACTIONS(4791), 1,
      anon_sym_readonly,
    ACTIONS(4797), 1,
      anon_sym_override,
    STATE(2411), 1,
      sym_comment,
    STATE(3744), 1,
      sym_accessibility_modifier,
    STATE(3771), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6347), 1,
      aux_sym_object_repeat1,
    STATE(6379), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4793), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4795), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6380), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6388), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4783), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30941] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    ACTIONS(4801), 1,
      anon_sym_RBRACE,
    ACTIONS(4803), 1,
      anon_sym_async,
    ACTIONS(4805), 1,
      anon_sym_static,
    ACTIONS(4807), 1,
      anon_sym_readonly,
    ACTIONS(4813), 1,
      anon_sym_override,
    STATE(2412), 1,
      sym_comment,
    STATE(3744), 1,
      sym_accessibility_modifier,
    STATE(3771), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6347), 1,
      aux_sym_object_repeat1,
    STATE(6379), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4809), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4811), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6380), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6388), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4799), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31052] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4815), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      aux_sym_class_body_repeat1,
    STATE(2413), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31169] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4817), 1,
      anon_sym_RBRACE,
    STATE(2400), 1,
      aux_sym_class_body_repeat1,
    STATE(2414), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31286] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    ACTIONS(4821), 1,
      anon_sym_RBRACE,
    ACTIONS(4823), 1,
      anon_sym_async,
    ACTIONS(4825), 1,
      anon_sym_static,
    ACTIONS(4827), 1,
      anon_sym_readonly,
    ACTIONS(4833), 1,
      anon_sym_override,
    STATE(2415), 1,
      sym_comment,
    STATE(3744), 1,
      sym_accessibility_modifier,
    STATE(3771), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6379), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6384), 1,
      aux_sym_object_repeat1,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4829), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4831), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6388), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6391), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4819), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31397] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4835), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2416), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31514] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4837), 1,
      anon_sym_RBRACE,
    STATE(2417), 1,
      sym_comment,
    STATE(2418), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31631] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4839), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2418), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31748] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4841), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2419), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31865] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4843), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      sym_comment,
    STATE(2431), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31982] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    ACTIONS(4847), 1,
      anon_sym_RBRACE,
    ACTIONS(4849), 1,
      anon_sym_async,
    ACTIONS(4851), 1,
      anon_sym_static,
    ACTIONS(4853), 1,
      anon_sym_readonly,
    ACTIONS(4859), 1,
      anon_sym_override,
    STATE(2421), 1,
      sym_comment,
    STATE(3744), 1,
      sym_accessibility_modifier,
    STATE(3771), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6379), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6384), 1,
      aux_sym_object_repeat1,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4855), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4857), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6388), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6391), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4845), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32093] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4861), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2422), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32210] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4863), 1,
      anon_sym_RBRACE,
    STATE(2422), 1,
      aux_sym_class_body_repeat1,
    STATE(2423), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32327] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4865), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2424), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32444] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4867), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2425), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32561] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4869), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2426), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32678] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4871), 1,
      anon_sym_RBRACE,
    STATE(2427), 1,
      sym_comment,
    STATE(2430), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32795] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4873), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2428), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32912] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    ACTIONS(4877), 1,
      anon_sym_RBRACE,
    ACTIONS(4879), 1,
      anon_sym_async,
    ACTIONS(4881), 1,
      anon_sym_static,
    ACTIONS(4883), 1,
      anon_sym_readonly,
    ACTIONS(4889), 1,
      anon_sym_override,
    STATE(2429), 1,
      sym_comment,
    STATE(3744), 1,
      sym_accessibility_modifier,
    STATE(3771), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(6379), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6384), 1,
      aux_sym_object_repeat1,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4885), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4887), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6388), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6391), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4875), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33023] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4891), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2430), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33140] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4893), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2431), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33257] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    STATE(2407), 1,
      aux_sym_class_body_repeat1,
    STATE(2432), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33374] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4897), 1,
      anon_sym_RBRACE,
    STATE(2419), 1,
      aux_sym_class_body_repeat1,
    STATE(2433), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33491] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4899), 1,
      anon_sym_RBRACE,
    STATE(2434), 1,
      sym_comment,
    STATE(2435), 1,
      aux_sym_class_body_repeat1,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33608] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4502), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4652), 1,
      anon_sym_STAR,
    ACTIONS(4656), 1,
      anon_sym_SEMI,
    ACTIONS(4658), 1,
      anon_sym_async,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_static,
    ACTIONS(4664), 1,
      anon_sym_readonly,
    ACTIONS(4668), 1,
      anon_sym_declare,
    ACTIONS(4672), 1,
      anon_sym_abstract,
    ACTIONS(4901), 1,
      anon_sym_RBRACE,
    STATE(2401), 1,
      aux_sym_class_body_repeat1,
    STATE(2435), 1,
      sym_comment,
    STATE(3535), 1,
      aux_sym_export_statement_repeat1,
    STATE(3646), 1,
      sym_method_definition,
    STATE(3680), 1,
      sym_class_static_block,
    STATE(3699), 1,
      sym_accessibility_modifier,
    STATE(3773), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4053), 1,
      sym__property_name,
    STATE(5626), 1,
      sym_method_signature,
    ACTIONS(3989), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4666), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6200), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33725] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2436), 1,
      sym_comment,
    ACTIONS(2160), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2162), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [33787] = 31,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4620), 1,
      anon_sym_STAR,
    ACTIONS(4622), 1,
      anon_sym_default,
    ACTIONS(4624), 1,
      anon_sym_type,
    ACTIONS(4628), 1,
      anon_sym_as,
    ACTIONS(4638), 1,
      anon_sym_module,
    ACTIONS(4903), 1,
      anon_sym_EQ,
    STATE(2437), 1,
      sym_comment,
    STATE(5109), 1,
      sym_internal_module,
    STATE(5110), 1,
      sym_declaration,
    STATE(5142), 1,
      aux_sym_export_statement_repeat1,
    STATE(5608), 1,
      sym_export_clause,
    STATE(5733), 1,
      sym_decorator,
    STATE(7061), 1,
      sym_namespace_export,
    ACTIONS(4636), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5108), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [33901] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2438), 1,
      sym_comment,
    ACTIONS(2216), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2218), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [33963] = 32,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4620), 1,
      anon_sym_STAR,
    ACTIONS(4622), 1,
      anon_sym_default,
    ACTIONS(4624), 1,
      anon_sym_type,
    ACTIONS(4626), 1,
      anon_sym_EQ,
    ACTIONS(4628), 1,
      anon_sym_as,
    ACTIONS(4638), 1,
      anon_sym_module,
    STATE(2439), 1,
      sym_comment,
    STATE(5109), 1,
      sym_internal_module,
    STATE(5110), 1,
      sym_declaration,
    STATE(5142), 1,
      aux_sym_export_statement_repeat1,
    STATE(5608), 1,
      sym_export_clause,
    STATE(5733), 1,
      sym_decorator,
    STATE(7061), 1,
      sym_namespace_export,
    ACTIONS(4905), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5108), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [34079] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4919), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_LT,
    STATE(2440), 1,
      sym_comment,
    STATE(2564), 1,
      sym_type_arguments,
    STATE(2650), 1,
      sym_arguments,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(4909), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34156] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LT,
    ACTIONS(4923), 1,
      anon_sym_DOT,
    STATE(2441), 1,
      sym_comment,
    STATE(2538), 1,
      sym_arguments,
    STATE(2539), 1,
      sym_type_arguments,
    ACTIONS(4250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4240), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34227] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_async,
    ACTIONS(4929), 1,
      anon_sym_static,
    ACTIONS(4931), 1,
      anon_sym_readonly,
    ACTIONS(4937), 1,
      anon_sym_override,
    STATE(2442), 1,
      sym_comment,
    STATE(3744), 1,
      sym_accessibility_modifier,
    STATE(3771), 1,
      sym_override_modifier,
    STATE(4551), 1,
      sym__property_name,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4933), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4935), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6695), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6696), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4925), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [34330] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LT,
    ACTIONS(4943), 1,
      anon_sym_DOT,
    STATE(2443), 1,
      sym_comment,
    STATE(2525), 1,
      sym_type_arguments,
    STATE(2527), 1,
      sym_arguments,
    ACTIONS(4939), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4941), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34401] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    ACTIONS(4949), 1,
      anon_sym_is,
    STATE(2444), 1,
      sym_comment,
    STATE(2558), 1,
      sym_type_arguments,
    ACTIONS(4945), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4312), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34470] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_DOT,
    STATE(2445), 1,
      sym_comment,
    STATE(2511), 1,
      sym_type_arguments,
    STATE(2513), 1,
      sym_arguments,
    ACTIONS(4951), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34541] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    STATE(2446), 1,
      sym_comment,
    STATE(2558), 1,
      sym_type_arguments,
    ACTIONS(4945), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4312), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34607] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(4959), 1,
      anon_sym_DOT,
    STATE(2447), 1,
      sym_comment,
    STATE(2671), 1,
      sym_statement_block,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2113), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [34673] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2448), 1,
      sym_comment,
    ACTIONS(2160), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2162), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34733] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LT,
    STATE(2449), 1,
      sym_comment,
    STATE(2549), 1,
      sym_type_arguments,
    ACTIONS(4961), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2450), 1,
      sym_comment,
    ACTIONS(4446), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4965), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34857] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2451), 1,
      sym_comment,
    ACTIONS(4452), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4967), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34917] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4969), 1,
      sym__automatic_semicolon,
    STATE(2452), 1,
      sym_comment,
    ACTIONS(2140), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2166), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34981] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4949), 1,
      anon_sym_is,
    STATE(2453), 1,
      sym_comment,
    ACTIONS(4971), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4973), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2454), 1,
      sym_comment,
    ACTIONS(4428), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4975), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35103] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2455), 1,
      sym_comment,
    ACTIONS(2216), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2218), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35163] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4977), 1,
      anon_sym_is,
    STATE(2456), 1,
      sym_comment,
    ACTIONS(4961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35225] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2457), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [35285] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(4983), 1,
      anon_sym_DOT,
    STATE(2458), 1,
      sym_comment,
    STATE(2671), 1,
      sym_statement_block,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2113), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [35351] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2459), 1,
      sym_comment,
    ACTIONS(2061), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [35411] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(2460), 1,
      sym_comment,
    STATE(2671), 1,
      sym_statement_block,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2113), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [35475] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    STATE(2461), 1,
      sym_comment,
    STATE(2609), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4985), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4987), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [35541] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4949), 1,
      anon_sym_is,
    STATE(2462), 1,
      sym_comment,
    ACTIONS(4991), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4993), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2463), 1,
      sym_comment,
    ACTIONS(4995), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4997), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2464), 1,
      sym_comment,
    ACTIONS(4999), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5001), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35721] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2465), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35780] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2466), 1,
      sym_comment,
    ACTIONS(5007), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5009), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35839] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2467), 1,
      sym_comment,
    ACTIONS(4961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2468), 1,
      sym_comment,
    ACTIONS(5011), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5013), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35957] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    ACTIONS(5017), 1,
      anon_sym_DOT,
    STATE(2469), 1,
      sym_comment,
    STATE(2766), 1,
      sym_statement_block,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2113), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2470), 1,
      sym_comment,
    ACTIONS(3435), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3645), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36081] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2471), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36140] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5027), 1,
      anon_sym_extends,
    STATE(2472), 1,
      sym_comment,
    ACTIONS(5019), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5021), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36205] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2473), 1,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5031), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2474), 1,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5031), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36323] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2475), 1,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5031), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2476), 1,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5035), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36441] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2477), 1,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5035), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2478), 1,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5035), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36559] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_DOT,
    STATE(2479), 1,
      sym_comment,
    ACTIONS(5037), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5039), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2480), 1,
      sym_comment,
    ACTIONS(5044), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5046), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36679] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2481), 1,
      sym_comment,
    ACTIONS(5048), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5050), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2482), 1,
      sym_comment,
    ACTIONS(5052), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5054), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36797] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3587), 1,
      anon_sym_extends,
    STATE(2483), 1,
      sym_comment,
    ACTIONS(5056), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5059), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2142), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36864] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5074), 1,
      anon_sym_extends,
    STATE(2484), 1,
      sym_comment,
    ACTIONS(5068), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5071), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5062), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36931] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5084), 1,
      anon_sym_RPAREN,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2485), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(7475), 1,
      sym_type_annotation,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37056] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    ACTIONS(5126), 1,
      anon_sym_DOT,
    STATE(2486), 1,
      sym_comment,
    STATE(2766), 1,
      sym_statement_block,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2113), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37121] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2487), 1,
      sym_comment,
    ACTIONS(5128), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37180] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5132), 1,
      sym__automatic_semicolon,
    STATE(2488), 1,
      sym_comment,
    ACTIONS(2190), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2192), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37241] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    STATE(2489), 1,
      sym_comment,
    STATE(2766), 1,
      sym_statement_block,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2113), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37304] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5134), 1,
      anon_sym_DOT,
    STATE(2490), 1,
      sym_comment,
    ACTIONS(5037), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5039), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37365] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2491), 1,
      sym_comment,
    ACTIONS(5137), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(5139), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2492), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37487] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5141), 1,
      anon_sym_LBRACK,
    STATE(2493), 1,
      sym_comment,
    ACTIONS(5052), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5054), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37548] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5143), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2494), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(7394), 1,
      sym_type_annotation,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37673] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2495), 1,
      sym_comment,
    ACTIONS(5145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5147), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37732] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5027), 1,
      anon_sym_extends,
    STATE(2496), 1,
      sym_comment,
    ACTIONS(5145), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5147), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37797] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5156), 1,
      anon_sym_RBRACE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5163), 1,
      anon_sym_readonly,
    STATE(2497), 1,
      sym_comment,
    STATE(3780), 1,
      sym_override_modifier,
    STATE(4103), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [37892] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2498), 1,
      sym_comment,
    ACTIONS(4971), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4973), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37951] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2499), 1,
      sym_comment,
    ACTIONS(5167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5169), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2500), 1,
      sym_comment,
    ACTIONS(4479), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5171), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38069] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2501), 1,
      sym_comment,
    ACTIONS(4479), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5171), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2502), 1,
      sym_comment,
    ACTIONS(3433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3547), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38187] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2503), 1,
      sym_comment,
    ACTIONS(5173), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5175), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38246] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2504), 1,
      sym_comment,
    ACTIONS(5177), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5179), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38305] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4919), 1,
      anon_sym_QMARK_DOT,
    STATE(2505), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(2178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2180), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2506), 1,
      sym_comment,
    ACTIONS(3419), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3587), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38431] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2507), 1,
      sym_comment,
    ACTIONS(5181), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5183), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38490] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2508), 1,
      sym_comment,
    ACTIONS(4471), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5185), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38549] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5187), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2509), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(7494), 1,
      sym_type_annotation,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2510), 1,
      sym_comment,
    ACTIONS(5177), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5179), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2511), 1,
      sym_comment,
    ACTIONS(5189), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38792] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5163), 1,
      anon_sym_readonly,
    ACTIONS(5193), 1,
      anon_sym_RBRACE,
    STATE(2512), 1,
      sym_comment,
    STATE(3780), 1,
      sym_override_modifier,
    STATE(4103), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38887] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2513), 1,
      sym_comment,
    ACTIONS(5196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5198), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2514), 1,
      sym_comment,
    ACTIONS(4471), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5185), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39005] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2515), 1,
      sym_comment,
    ACTIONS(4477), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5200), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2516), 1,
      sym_comment,
    ACTIONS(4991), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4993), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39123] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5163), 1,
      anon_sym_readonly,
    ACTIONS(5202), 1,
      anon_sym_RBRACE,
    STATE(2517), 1,
      sym_comment,
    STATE(3780), 1,
      sym_override_modifier,
    STATE(4103), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [39218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2518), 1,
      sym_comment,
    ACTIONS(5205), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5207), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39277] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5027), 1,
      anon_sym_extends,
    STATE(2519), 1,
      sym_comment,
    ACTIONS(5209), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5211), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2520), 1,
      sym_comment,
    ACTIONS(5213), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5215), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39401] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5217), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2521), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(7362), 1,
      sym_type_annotation,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [39526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2522), 1,
      sym_comment,
    ACTIONS(3437), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3625), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2523), 1,
      sym_comment,
    ACTIONS(5219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5221), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    STATE(2524), 1,
      sym_comment,
    ACTIONS(5223), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5225), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39705] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2525), 1,
      sym_comment,
    ACTIONS(5227), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5229), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2526), 1,
      sym_comment,
    ACTIONS(5231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5233), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39823] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2527), 1,
      sym_comment,
    ACTIONS(5235), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5237), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2528), 1,
      sym_comment,
    ACTIONS(5239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5241), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39941] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2529), 1,
      sym_comment,
    ACTIONS(5243), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5245), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2530), 1,
      sym_comment,
    ACTIONS(5247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5249), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40059] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2531), 1,
      sym_comment,
    ACTIONS(5247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5249), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40118] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5027), 1,
      anon_sym_extends,
    STATE(2532), 1,
      sym_comment,
    ACTIONS(5251), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5253), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40183] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5255), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2533), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(7608), 1,
      sym_type_annotation,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40308] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5257), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2534), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(7277), 1,
      sym_type_annotation,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40433] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4963), 1,
      anon_sym_extends,
    STATE(2535), 1,
      sym_comment,
    ACTIONS(5251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5253), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2536), 1,
      sym_comment,
    ACTIONS(5247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5249), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40553] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2537), 1,
      sym_comment,
    ACTIONS(4995), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4997), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2538), 1,
      sym_comment,
    ACTIONS(5259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5261), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40671] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2539), 1,
      sym_comment,
    ACTIONS(5263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5265), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2540), 1,
      sym_comment,
    ACTIONS(4995), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4997), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2541), 1,
      sym_comment,
    ACTIONS(5267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5269), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40848] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5163), 1,
      anon_sym_readonly,
    ACTIONS(5271), 1,
      anon_sym_RBRACE,
    STATE(2542), 1,
      sym_comment,
    STATE(3780), 1,
      sym_override_modifier,
    STATE(4103), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [40943] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2543), 1,
      sym_comment,
    ACTIONS(5267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5269), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2544), 1,
      sym_comment,
    ACTIONS(4475), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5274), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41061] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2545), 1,
      sym_comment,
    ACTIONS(4490), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5276), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2546), 1,
      sym_comment,
    ACTIONS(5181), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5183), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41179] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2547), 1,
      sym_comment,
    ACTIONS(4473), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5278), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41238] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5280), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2548), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(7526), 1,
      sym_type_annotation,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41363] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2549), 1,
      sym_comment,
    ACTIONS(5282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2550), 1,
      sym_comment,
    ACTIONS(5267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5269), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41481] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2551), 1,
      sym_comment,
    ACTIONS(5286), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41540] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5163), 1,
      anon_sym_readonly,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    STATE(2552), 1,
      sym_comment,
    STATE(3780), 1,
      sym_override_modifier,
    STATE(4103), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [41635] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5141), 1,
      anon_sym_LBRACK,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(5293), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5295), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41696] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5301), 1,
      anon_sym_extends,
    STATE(2554), 1,
      sym_comment,
    ACTIONS(5297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5299), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41757] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5054), 1,
      anon_sym_extends,
    ACTIONS(5141), 1,
      anon_sym_LBRACK,
    STATE(2555), 1,
      sym_comment,
    ACTIONS(5052), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5303), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5305), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41822] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5027), 1,
      anon_sym_extends,
    STATE(2556), 1,
      sym_comment,
    ACTIONS(5307), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5309), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41887] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2557), 1,
      sym_comment,
    ACTIONS(5311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5313), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2558), 1,
      sym_comment,
    ACTIONS(5315), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5317), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42005] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2559), 1,
      sym_comment,
    ACTIONS(5319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5321), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42064] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5323), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2560), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(7334), 1,
      sym_type_annotation,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42189] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2561), 1,
      sym_comment,
    ACTIONS(3421), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3603), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2562), 1,
      sym_comment,
    ACTIONS(2204), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2206), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [42307] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2563), 1,
      sym_comment,
    ACTIONS(5139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5137), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42366] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    STATE(2564), 1,
      sym_comment,
    STATE(2704), 1,
      sym_arguments,
    ACTIONS(5325), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42429] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2565), 1,
      sym_comment,
    ACTIONS(2274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2276), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [42488] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5027), 1,
      anon_sym_extends,
    STATE(2566), 1,
      sym_comment,
    ACTIONS(5329), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5331), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42553] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2567), 1,
      sym_comment,
    ACTIONS(5329), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5331), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42612] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5027), 1,
      anon_sym_extends,
    STATE(2568), 1,
      sym_comment,
    ACTIONS(5333), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5335), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42677] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    STATE(2569), 1,
      sym_comment,
    ACTIONS(5337), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5339), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2570), 1,
      sym_comment,
    ACTIONS(5341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5343), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2571), 1,
      sym_comment,
    ACTIONS(5345), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5347), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42856] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5027), 1,
      anon_sym_extends,
    STATE(2572), 1,
      sym_comment,
    ACTIONS(5349), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5351), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42921] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2573), 1,
      sym_comment,
    ACTIONS(4454), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5353), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2574), 1,
      sym_comment,
    ACTIONS(5355), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5074), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43039] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5259), 1,
      anon_sym_QMARK,
    STATE(2575), 1,
      sym_comment,
    ACTIONS(5261), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2576), 1,
      sym_comment,
    ACTIONS(5361), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5363), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43161] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    STATE(2577), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43222] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4969), 1,
      sym__automatic_semicolon,
    STATE(2578), 1,
      sym_comment,
    ACTIONS(2140), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2166), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43283] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2579), 1,
      sym_comment,
    ACTIONS(4461), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5365), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2580), 1,
      sym_comment,
    ACTIONS(4459), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5367), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43401] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5023), 1,
      anon_sym_AMP,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5027), 1,
      anon_sym_extends,
    STATE(2581), 1,
      sym_comment,
    ACTIONS(5369), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5371), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2582), 1,
      sym_comment,
    ACTIONS(5373), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43525] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2583), 1,
      sym_comment,
    ACTIONS(5377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5379), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43584] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5385), 1,
      anon_sym_DOT,
    STATE(2584), 1,
      sym_comment,
    ACTIONS(5381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5383), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43645] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2585), 1,
      sym_comment,
    ACTIONS(5387), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5389), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2586), 1,
      sym_comment,
    ACTIONS(5391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43763] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2587), 1,
      sym_comment,
    ACTIONS(5395), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5397), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43822] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2588), 1,
      sym_comment,
    ACTIONS(5387), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5389), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43881] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2589), 1,
      sym_comment,
    ACTIONS(5391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43940] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5399), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2590), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(7516), 1,
      sym_type_annotation,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [44065] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2591), 1,
      sym_comment,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5403), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2592), 1,
      sym_comment,
    ACTIONS(5128), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44183] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2593), 1,
      sym_comment,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5403), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44242] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(2594), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [44348] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2595), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5451), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44464] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5467), 1,
      anon_sym_LT,
    STATE(2596), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [44542] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2597), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [44662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2598), 1,
      sym_comment,
    ACTIONS(2184), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2188), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44720] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5271), 1,
      anon_sym_RBRACE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2599), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44806] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2600), 1,
      sym_comment,
    ACTIONS(2290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2294), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44864] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5514), 1,
      anon_sym_STAR,
    ACTIONS(5516), 1,
      anon_sym_LBRACE,
    ACTIONS(5518), 1,
      anon_sym_async,
    ACTIONS(5520), 1,
      anon_sym_readonly,
    STATE(2601), 1,
      sym_comment,
    STATE(3673), 1,
      sym_statement_block,
    STATE(3783), 1,
      sym_override_modifier,
    STATE(4070), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5522), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44952] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4973), 1,
      anon_sym_extends,
    STATE(2602), 1,
      sym_comment,
    ACTIONS(5524), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5527), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45016] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5202), 1,
      anon_sym_RBRACE,
    ACTIONS(5530), 1,
      anon_sym_LBRACK,
    STATE(2603), 1,
      sym_comment,
    STATE(4103), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2604), 1,
      sym_comment,
    ACTIONS(2252), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [45162] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5271), 1,
      anon_sym_RBRACE,
    ACTIONS(5530), 1,
      anon_sym_LBRACK,
    STATE(2605), 1,
      sym_comment,
    STATE(4103), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45250] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2606), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45370] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2607), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45490] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5536), 1,
      anon_sym_LT,
    STATE(2608), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [45568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2609), 1,
      sym_comment,
    ACTIONS(5539), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5541), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2610), 1,
      sym_comment,
    ACTIONS(2240), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45684] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2611), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5543), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [45800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2612), 1,
      sym_comment,
    ACTIONS(2210), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2214), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45858] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2613), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5545), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [45974] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(2614), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [46064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2615), 1,
      sym_comment,
    ACTIONS(2296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2298), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [46122] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5547), 1,
      anon_sym_COMMA,
    ACTIONS(5550), 1,
      anon_sym_RBRACE,
    STATE(2616), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46242] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2617), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5554), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46358] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2618), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5556), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46474] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2619), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5560), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46590] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5596), 1,
      anon_sym_LT,
    STATE(2620), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [46670] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5603), 1,
      anon_sym_LT,
    STATE(2621), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46754] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(2622), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2623), 1,
      sym_comment,
    ACTIONS(5606), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5545), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46916] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2624), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5608), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2625), 1,
      sym_comment,
    ACTIONS(5610), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5612), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2626), 1,
      sym_comment,
    ACTIONS(5614), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2627), 1,
      sym_comment,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5620), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47210] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5596), 1,
      anon_sym_LT,
    STATE(2628), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [47296] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5622), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2629), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [47376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2630), 1,
      sym_comment,
    ACTIONS(5625), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5627), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47434] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5413), 1,
      anon_sym_GT,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    ACTIONS(5631), 1,
      anon_sym_in,
    STATE(2631), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5629), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47552] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(2632), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [47650] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(2633), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [47750] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2634), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5634), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [47866] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5636), 1,
      anon_sym_DOT,
    ACTIONS(5638), 1,
      anon_sym_LT,
    STATE(2635), 1,
      sym_comment,
    STATE(3073), 1,
      sym_arguments,
    STATE(3074), 1,
      sym_type_arguments,
    ACTIONS(4951), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47934] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(2636), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [48036] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2637), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5640), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48156] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    STATE(2638), 1,
      sym_comment,
    ACTIONS(5062), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48216] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5642), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2639), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [48294] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2640), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5645), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48410] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5596), 1,
      anon_sym_LT,
    STATE(2641), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [48494] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2642), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5647), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48610] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5596), 1,
      anon_sym_LT,
    STATE(2643), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48696] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5638), 1,
      anon_sym_LT,
    ACTIONS(5649), 1,
      anon_sym_DOT,
    STATE(2644), 1,
      sym_comment,
    STATE(3071), 1,
      sym_arguments,
    STATE(3072), 1,
      sym_type_arguments,
    ACTIONS(4939), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4941), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [48764] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5547), 1,
      anon_sym_COMMA,
    ACTIONS(5550), 1,
      anon_sym_RBRACE,
    STATE(2645), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48884] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5651), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2646), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48968] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2647), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5645), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [49084] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2648), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5647), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49200] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5638), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_DOT,
    STATE(2649), 1,
      sym_comment,
    STATE(3069), 1,
      sym_arguments,
    STATE(3070), 1,
      sym_type_arguments,
    ACTIONS(4250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4240), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [49268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2650), 1,
      sym_comment,
    ACTIONS(5656), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5658), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2651), 1,
      sym_comment,
    ACTIONS(5660), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5662), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2652), 1,
      sym_comment,
    ACTIONS(5664), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5666), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49442] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2653), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49562] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2654), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5670), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49682] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2655), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5672), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49802] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2656), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5674), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [49918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2657), 1,
      sym_comment,
    ACTIONS(5676), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5678), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49976] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(2658), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50070] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2659), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5556), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2660), 1,
      sym_comment,
    ACTIONS(5680), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5682), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2661), 1,
      sym_comment,
    ACTIONS(2154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2158), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50302] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5550), 1,
      anon_sym_RBRACE,
    ACTIONS(5684), 1,
      anon_sym_COMMA,
    STATE(2662), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5543), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2663), 1,
      sym_comment,
    ACTIONS(2312), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50480] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    STATE(2664), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2665), 1,
      sym_comment,
    ACTIONS(2246), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50646] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2666), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5687), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50762] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2667), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5689), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50878] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2668), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5634), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [50994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2669), 1,
      sym_comment,
    ACTIONS(2252), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51052] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5638), 1,
      anon_sym_LT,
    ACTIONS(5691), 1,
      anon_sym_DOT,
    ACTIONS(5693), 1,
      anon_sym_is,
    STATE(2670), 1,
      sym_comment,
    STATE(2952), 1,
      sym_type_arguments,
    ACTIONS(4945), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4312), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51118] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2671), 1,
      sym_comment,
    ACTIONS(2258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2260), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [51176] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      anon_sym_EQ,
    STATE(2672), 1,
      sym_comment,
    ACTIONS(5695), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2673), 1,
      sym_comment,
    ACTIONS(5701), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2674), 1,
      sym_comment,
    ACTIONS(5705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5687), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2675), 1,
      sym_comment,
    ACTIONS(2296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2298), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51410] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2676), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5707), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51530] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2677), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5709), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51650] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2678), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5556), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [51766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2679), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51824] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2680), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5711), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [51940] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5713), 1,
      anon_sym_LT,
    STATE(2681), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [52020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2682), 1,
      sym_comment,
    ACTIONS(5716), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5718), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52078] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2683), 1,
      sym_comment,
    ACTIONS(2142), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52138] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2684), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5560), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52254] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2685), 1,
      sym_comment,
    ACTIONS(2178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2180), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52312] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2686), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5720), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [52428] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2687), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5722), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52548] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5202), 1,
      anon_sym_RBRACE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52634] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5193), 1,
      anon_sym_RBRACE,
    ACTIONS(5530), 1,
      anon_sym_LBRACK,
    STATE(2689), 1,
      sym_comment,
    STATE(4103), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52722] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2690), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5645), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [52838] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2691), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5451), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52954] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5193), 1,
      anon_sym_RBRACE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2692), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [53040] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2693), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [53144] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2694), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5711), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [53260] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2695), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5724), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [53376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2696), 1,
      sym_comment,
    ACTIONS(5726), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5728), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53434] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2697), 1,
      sym_comment,
    ACTIONS(2274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2276), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2698), 1,
      sym_comment,
    ACTIONS(2204), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2206), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2699), 1,
      sym_comment,
    ACTIONS(2246), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [53608] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2700), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [53714] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2701), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5674), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [53830] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5622), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2702), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [53916] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2703), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [54014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2704), 1,
      sym_comment,
    ACTIONS(5730), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5732), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54072] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2705), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [54162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2706), 1,
      sym_comment,
    ACTIONS(5734), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5736), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54220] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2707), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5545), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [54336] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2708), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5550), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5738), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54454] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2709), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5740), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54574] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2710), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5543), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [54690] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2711), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [54794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2712), 1,
      sym_comment,
    ACTIONS(5742), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54852] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2713), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [54958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2714), 1,
      sym_comment,
    ACTIONS(5744), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5645), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55016] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2715), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [55102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2716), 1,
      sym_comment,
    ACTIONS(5746), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5748), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2717), 1,
      sym_comment,
    ACTIONS(5750), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5752), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55218] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5713), 1,
      anon_sym_LT,
    STATE(2718), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [55304] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2719), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [55404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2720), 1,
      sym_comment,
    ACTIONS(5754), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5647), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55462] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2721), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5756), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55582] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2722), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [55684] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5622), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2723), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [55768] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2724), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5554), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55884] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    ACTIONS(5530), 1,
      anon_sym_LBRACK,
    STATE(2725), 1,
      sym_comment,
    STATE(4103), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [55972] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2726), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [56070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2727), 1,
      sym_comment,
    ACTIONS(5758), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5760), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56128] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5321), 1,
      anon_sym_extends,
    STATE(2728), 1,
      sym_comment,
    ACTIONS(5766), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5769), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5762), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5764), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56192] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5622), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2729), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [56278] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2730), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [56378] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2731), 1,
      sym_comment,
    ACTIONS(5064), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5772), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5062), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56440] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2732), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5674), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [56556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2733), 1,
      sym_comment,
    ACTIONS(5775), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5777), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56614] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2734), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5689), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [56730] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2735), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [56820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2736), 1,
      sym_comment,
    ACTIONS(2262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2264), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56878] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2737), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5687), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [56994] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5169), 1,
      anon_sym_extends,
    STATE(2738), 1,
      sym_comment,
    ACTIONS(5779), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57058] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [57160] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5789), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2740), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2741), 1,
      sym_comment,
    ACTIONS(5792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5794), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2742), 1,
      sym_comment,
    ACTIONS(2190), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2192), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57352] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2743), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5647), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57468] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2744), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5796), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57588] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5713), 1,
      anon_sym_LT,
    STATE(2745), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [57672] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2746), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5689), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [57788] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5638), 1,
      anon_sym_LT,
    ACTIONS(5798), 1,
      anon_sym_QMARK_DOT,
    STATE(2747), 1,
      sym_comment,
    STATE(3047), 1,
      sym_type_arguments,
    STATE(3193), 1,
      sym_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(4909), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57862] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(2748), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5800), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57932] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5804), 1,
      anon_sym_LT,
    STATE(2749), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58008] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5156), 1,
      anon_sym_RBRACE,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5530), 1,
      anon_sym_LBRACK,
    STATE(2750), 1,
      sym_comment,
    STATE(4103), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2751), 1,
      sym_comment,
    ACTIONS(5762), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5764), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58154] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5584), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2752), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5800), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58224] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2753), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [58318] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2754), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5724), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [58434] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2755), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5634), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58550] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2756), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5687), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [58666] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2757), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5724), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58782] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2758), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [58890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2759), 1,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58948] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2760), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5711), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [59064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2761), 1,
      sym_comment,
    ACTIONS(5807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5809), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59122] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2762), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5811), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59242] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5419), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_GT_GT,
    ACTIONS(5425), 1,
      anon_sym_AMP,
    ACTIONS(5427), 1,
      anon_sym_CARET,
    ACTIONS(5429), 1,
      anon_sym_PIPE,
    ACTIONS(5433), 1,
      anon_sym_PERCENT,
    ACTIONS(5435), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5437), 1,
      anon_sym_LT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5455), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5461), 1,
      sym__ternary_qmark,
    STATE(2763), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5405), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5413), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5423), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5441), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5443), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5439), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5560), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [59358] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5813), 1,
      anon_sym_LT,
    STATE(2764), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [59434] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2765), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5800), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [59504] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2766), 1,
      sym_comment,
    ACTIONS(2258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2260), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59562] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2767), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(5685), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5816), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2768), 1,
      sym_comment,
    ACTIONS(2304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2308), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2769), 1,
      sym_comment,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59798] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5713), 1,
      anon_sym_LT,
    STATE(2770), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [59884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2771), 1,
      sym_comment,
    ACTIONS(5818), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5820), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2772), 1,
      sym_comment,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60000] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2773), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5545), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2774), 1,
      sym_comment,
    ACTIONS(5822), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5824), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2775), 1,
      sym_comment,
    ACTIONS(5826), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5828), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60232] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2776), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5543), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2777), 1,
      sym_comment,
    ACTIONS(2196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2200), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2778), 1,
      sym_comment,
    ACTIONS(5830), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5832), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2779), 1,
      sym_comment,
    ACTIONS(5834), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5836), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2780), 1,
      sym_comment,
    ACTIONS(2268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2272), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60580] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2781), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5451), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [60696] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2782), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5554), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [60812] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5838), 1,
      anon_sym_COMMA,
    ACTIONS(5841), 1,
      anon_sym_RBRACE,
    STATE(2783), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5543), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60932] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5843), 1,
      anon_sym_LT,
    STATE(2784), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [61016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2785), 1,
      sym_comment,
    ACTIONS(5846), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5848), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2786), 1,
      sym_comment,
    ACTIONS(2190), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2192), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [61132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2787), 1,
      sym_comment,
    ACTIONS(2230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2234), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61190] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2788), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [61284] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5850), 1,
      sym__automatic_semicolon,
    STATE(2789), 1,
      sym_comment,
    ACTIONS(2190), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2192), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [61344] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5156), 1,
      anon_sym_RBRACE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2790), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5512), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [61430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2791), 1,
      sym_comment,
    ACTIONS(5852), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5724), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61488] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2792), 1,
      sym_comment,
    ACTIONS(2144), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5854), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2142), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61550] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5857), 1,
      sym__automatic_semicolon,
    STATE(2793), 1,
      sym_comment,
    ACTIONS(2140), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2166), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [61610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2794), 1,
      sym_comment,
    ACTIONS(5859), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5861), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2795), 1,
      sym_comment,
    ACTIONS(5863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5865), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61726] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2796), 1,
      sym_comment,
    ACTIONS(5697), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5867), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5695), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61788] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2797), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [61896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2798), 1,
      sym_comment,
    ACTIONS(2262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2264), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [61954] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    ACTIONS(5870), 1,
      anon_sym_COMMA,
    ACTIONS(5872), 1,
      anon_sym_RBRACK,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2799), 1,
      sym_comment,
    STATE(5271), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62073] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5876), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2800), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [62152] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2801), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [62255] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2802), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [62360] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5876), 1,
      anon_sym_LT,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2803), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [62445] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(5909), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2804), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(6317), 1,
      aux_sym_array_repeat1,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62564] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2805), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [62661] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2806), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [62760] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4343), 1,
      anon_sym_QMARK,
    STATE(2807), 1,
      sym_comment,
    ACTIONS(4341), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62823] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2808), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [62924] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5876), 1,
      anon_sym_LT,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2809), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [63007] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2810), 1,
      sym_comment,
    ACTIONS(2144), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5911), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2142), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63068] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2811), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5913), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [63183] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5876), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2812), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [63268] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2813), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5451), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63383] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5693), 1,
      anon_sym_is,
    STATE(2814), 1,
      sym_comment,
    ACTIONS(4991), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4993), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63442] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5451), 1,
      anon_sym_COMMA,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2815), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5915), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63559] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2816), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5724), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63674] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2817), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5634), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63789] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    ACTIONS(5870), 1,
      anon_sym_COMMA,
    ACTIONS(5923), 1,
      anon_sym_RBRACE,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2818), 1,
      sym_comment,
    STATE(5271), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63908] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2819), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5674), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64023] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2820), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [64112] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5163), 1,
      anon_sym_readonly,
    STATE(2821), 1,
      sym_comment,
    STATE(3780), 1,
      sym_override_modifier,
    STATE(4103), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [64199] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5110), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2822), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5800), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [64268] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5451), 1,
      anon_sym_COMMA,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2823), 1,
      sym_comment,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5929), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64385] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2824), 1,
      sym_comment,
    ACTIONS(5064), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5931), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5062), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64446] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2825), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5545), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64561] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2826), 1,
      sym_comment,
    STATE(3153), 1,
      sym_type_arguments,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5933), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [64676] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2827), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5711), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64791] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2828), 1,
      sym_comment,
    ACTIONS(5697), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5935), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5695), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64852] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2829), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [64945] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(2830), 1,
      sym_comment,
    STATE(3230), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4985), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4987), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [65008] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2831), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [65115] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2832), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5687), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65230] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2833), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5543), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65345] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5937), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2834), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [65420] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2835), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5689), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65535] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2836), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5674), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65650] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2837), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5560), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65765] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5940), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2838), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2839), 1,
      sym_comment,
    ACTIONS(4446), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4965), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [65941] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5638), 1,
      anon_sym_LT,
    STATE(2840), 1,
      sym_comment,
    STATE(2963), 1,
      sym_type_arguments,
    ACTIONS(4961), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [66002] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5156), 1,
      anon_sym_RBRACE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2841), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2842), 1,
      sym_comment,
    ACTIONS(2061), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [66140] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5942), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2843), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66259] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2844), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5556), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2845), 1,
      sym_comment,
    ACTIONS(4452), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4967), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [66431] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2846), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66512] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    ACTIONS(5870), 1,
      anon_sym_COMMA,
    ACTIONS(5944), 1,
      anon_sym_RBRACK,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2847), 1,
      sym_comment,
    STATE(5271), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66631] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5946), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2848), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [66714] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5949), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2849), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [66789] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2850), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5556), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66904] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5952), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2851), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [66987] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5955), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2852), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [67064] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5451), 1,
      anon_sym_COMMA,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2853), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67181] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2854), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5647), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67296] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    ACTIONS(4334), 1,
      anon_sym_QMARK,
    STATE(2855), 1,
      sym_comment,
    ACTIONS(4327), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67359] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2856), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5645), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67474] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2857), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5554), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67589] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    ACTIONS(5870), 1,
      anon_sym_COMMA,
    ACTIONS(5958), 1,
      anon_sym_RBRACK,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2858), 1,
      sym_comment,
    STATE(5271), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67708] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2859), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5634), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67823] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2860), 1,
      sym_comment,
    STATE(6066), 1,
      aux_sym_array_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67942] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2861), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5645), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68057] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5962), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2862), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [68134] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5965), 1,
      anon_sym_static,
    ACTIONS(5967), 1,
      anon_sym_readonly,
    ACTIONS(5969), 1,
      anon_sym_abstract,
    STATE(2863), 1,
      sym_comment,
    STATE(3742), 1,
      sym_accessibility_modifier,
    STATE(3788), 1,
      sym_override_modifier,
    STATE(4414), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68219] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5451), 1,
      anon_sym_COMMA,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2864), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5971), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68336] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2865), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5711), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [68451] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2866), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5560), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [68566] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3587), 1,
      anon_sym_extends,
    STATE(2867), 1,
      sym_comment,
    ACTIONS(5056), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5059), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2142), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68631] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5193), 1,
      anon_sym_RBRACE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2868), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68712] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5973), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2869), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68831] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2870), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5720), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [68946] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5975), 1,
      anon_sym_static,
    ACTIONS(5977), 1,
      anon_sym_readonly,
    ACTIONS(5979), 1,
      anon_sym_abstract,
    STATE(2871), 1,
      sym_comment,
    STATE(3740), 1,
      sym_accessibility_modifier,
    STATE(3807), 1,
      sym_override_modifier,
    STATE(4439), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69031] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2872), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5689), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69146] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2873), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5554), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69261] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5074), 1,
      anon_sym_extends,
    STATE(2874), 1,
      sym_comment,
    ACTIONS(5068), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5071), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5062), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69326] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2875), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5687), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69441] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5981), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2876), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69560] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5983), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2877), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69679] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5985), 1,
      anon_sym_is,
    STATE(2878), 1,
      sym_comment,
    ACTIONS(4961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69738] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5693), 1,
      anon_sym_is,
    STATE(2879), 1,
      sym_comment,
    ACTIONS(4971), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4973), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69797] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5638), 1,
      anon_sym_LT,
    ACTIONS(5691), 1,
      anon_sym_DOT,
    STATE(2880), 1,
      sym_comment,
    STATE(2952), 1,
      sym_type_arguments,
    ACTIONS(4945), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4312), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69860] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    ACTIONS(5987), 1,
      anon_sym_COMMA,
    ACTIONS(5989), 1,
      anon_sym_RBRACK,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2881), 1,
      sym_comment,
    STATE(6233), 1,
      aux_sym_array_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69979] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2882), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70094] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2883), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5647), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70209] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(5991), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2884), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(6361), 1,
      aux_sym_array_repeat1,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70328] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5883), 1,
      anon_sym_GT_GT,
    ACTIONS(5887), 1,
      anon_sym_AMP,
    ACTIONS(5889), 1,
      anon_sym_CARET,
    ACTIONS(5891), 1,
      anon_sym_PIPE,
    ACTIONS(5895), 1,
      anon_sym_PERCENT,
    ACTIONS(5897), 1,
      anon_sym_LT,
    ACTIONS(5905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5919), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5921), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2885), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5879), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5881), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5885), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5901), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5724), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70443] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5897), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2886), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5800), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [70512] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5068), 1,
      anon_sym_LBRACK,
    STATE(2887), 1,
      sym_comment,
    ACTIONS(5071), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5993), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5074), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5062), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70579] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2888), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [70694] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5056), 1,
      anon_sym_LBRACK,
    STATE(2889), 1,
      sym_comment,
    ACTIONS(5059), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5997), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3587), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2142), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70761] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    ACTIONS(5987), 1,
      anon_sym_COMMA,
    ACTIONS(6001), 1,
      anon_sym_RBRACK,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2890), 1,
      sym_comment,
    STATE(6216), 1,
      aux_sym_array_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70880] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6003), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2891), 1,
      sym_comment,
    STATE(6136), 1,
      aux_sym_array_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70999] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6005), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2892), 1,
      sym_comment,
    STATE(6080), 1,
      aux_sym_array_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71118] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2893), 1,
      sym_comment,
    ACTIONS(4428), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4975), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [71175] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    ACTIONS(5870), 1,
      anon_sym_COMMA,
    ACTIONS(6007), 1,
      anon_sym_RBRACK,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2894), 1,
      sym_comment,
    STATE(5271), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2895), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [71351] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2896), 1,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [71408] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    ACTIONS(5987), 1,
      anon_sym_COMMA,
    ACTIONS(6009), 1,
      anon_sym_RBRACK,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2897), 1,
      sym_comment,
    STATE(6216), 1,
      aux_sym_array_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71527] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(6011), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2898), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71646] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(6013), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2899), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71765] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2900), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6015), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [71880] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2901), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5543), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71995] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    ACTIONS(5870), 1,
      anon_sym_COMMA,
    ACTIONS(6017), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2902), 1,
      sym_comment,
    STATE(5271), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72114] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2903), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5545), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [72229] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2904), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [72318] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(6019), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2905), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72437] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(6021), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2906), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72556] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(6023), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2907), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72675] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(6025), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2908), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72794] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5271), 1,
      anon_sym_RBRACE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2909), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [72875] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6027), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2910), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [72954] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5202), 1,
      anon_sym_RBRACE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2911), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [73035] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(6030), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2912), 1,
      sym_comment,
    STATE(6060), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73154] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2913), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73257] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2914), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73362] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6027), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2915), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73447] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2916), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5407), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73544] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2917), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73643] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2918), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73744] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6027), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2919), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73827] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6027), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2920), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 16,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73912] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5451), 1,
      anon_sym_COMMA,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2921), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6032), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74029] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4288), 1,
      anon_sym_EQ,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_comment,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5169), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74094] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6034), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2923), 1,
      sym_comment,
    STATE(6226), 1,
      aux_sym_array_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74213] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2924), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [74306] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2925), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [74413] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6036), 1,
      anon_sym_RPAREN,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2926), 1,
      sym_comment,
    STATE(5774), 1,
      aux_sym_array_repeat1,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74532] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2927), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5674), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74646] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_QMARK,
    ACTIONS(3587), 1,
      anon_sym_extends,
    ACTIONS(5056), 1,
      anon_sym_LBRACK,
    ACTIONS(5911), 1,
      anon_sym_COLON,
    STATE(2928), 1,
      sym_comment,
    ACTIONS(5059), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5997), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2142), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74716] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2929), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74830] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5530), 1,
      anon_sym_LBRACK,
    STATE(2930), 1,
      sym_comment,
    STATE(4103), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74910] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    ACTIONS(6076), 1,
      anon_sym_PIPE,
    ACTIONS(6078), 1,
      anon_sym_extends,
    STATE(2931), 1,
      sym_comment,
    ACTIONS(5333), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5335), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2932), 1,
      sym_comment,
    ACTIONS(5181), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5183), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75028] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    ACTIONS(6080), 1,
      anon_sym_SEMI,
    ACTIONS(6082), 1,
      sym__automatic_semicolon,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2933), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75144] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6088), 1,
      sym_regex_flags,
    STATE(2934), 1,
      sym_comment,
    ACTIONS(6084), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6086), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75202] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5169), 1,
      anon_sym_extends,
    STATE(2935), 1,
      sym_comment,
    ACTIONS(5779), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2936), 1,
      sym_comment,
    ACTIONS(5177), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5179), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2937), 1,
      sym_comment,
    ACTIONS(5177), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5179), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75376] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4973), 1,
      anon_sym_extends,
    ACTIONS(5524), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_RPAREN,
    STATE(2938), 1,
      sym_comment,
    ACTIONS(5527), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6090), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6092), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75444] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_QMARK,
    ACTIONS(4349), 1,
      anon_sym_EQ,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(2939), 1,
      sym_comment,
    ACTIONS(4352), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5169), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75512] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2940), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6099), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75626] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_LBRACK,
    ACTIONS(5074), 1,
      anon_sym_extends,
    ACTIONS(6101), 1,
      anon_sym_RPAREN,
    STATE(2941), 1,
      sym_comment,
    ACTIONS(5064), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5071), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5931), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5062), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75694] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6106), 1,
      anon_sym_RBRACE,
    STATE(2942), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75784] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6108), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2943), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [75866] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    ACTIONS(6076), 1,
      anon_sym_PIPE,
    ACTIONS(6078), 1,
      anon_sym_extends,
    STATE(2944), 1,
      sym_comment,
    ACTIONS(5349), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5351), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75928] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6111), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2945), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [76002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2946), 1,
      sym_comment,
    ACTIONS(5355), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5074), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2947), 1,
      sym_comment,
    ACTIONS(5341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5343), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76114] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    STATE(2948), 1,
      sym_comment,
    ACTIONS(5337), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5339), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76172] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2949), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5720), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2950), 1,
      sym_comment,
    ACTIONS(5139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5137), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2951), 1,
      sym_comment,
    ACTIONS(5319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5321), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2952), 1,
      sym_comment,
    ACTIONS(5315), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5317), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76454] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    ACTIONS(6076), 1,
      anon_sym_PIPE,
    ACTIONS(6078), 1,
      anon_sym_extends,
    STATE(2953), 1,
      sym_comment,
    ACTIONS(5307), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5309), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76516] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5054), 1,
      anon_sym_extends,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      sym_comment,
    ACTIONS(5052), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5303), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5305), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6116), 1,
      anon_sym_extends,
    STATE(2955), 1,
      sym_comment,
    ACTIONS(5297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5299), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76636] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(2956), 1,
      sym_comment,
    ACTIONS(5293), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5295), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2957), 1,
      sym_comment,
    ACTIONS(5128), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2958), 1,
      sym_comment,
    ACTIONS(5173), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5175), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76806] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2959), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5629), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76920] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(2960), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5512), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2961), 1,
      sym_comment,
    ACTIONS(5048), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5050), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77054] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      anon_sym_STAR,
    ACTIONS(6120), 1,
      anon_sym_async,
    ACTIONS(6122), 1,
      anon_sym_readonly,
    STATE(2962), 1,
      sym_comment,
    STATE(3767), 1,
      sym_override_modifier,
    STATE(4061), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6124), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2963), 1,
      sym_comment,
    ACTIONS(5282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2964), 1,
      sym_comment,
    ACTIONS(5181), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5183), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77248] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4973), 1,
      anon_sym_extends,
    ACTIONS(5524), 1,
      anon_sym_LBRACK,
    ACTIONS(6130), 1,
      anon_sym_RPAREN,
    STATE(2965), 1,
      sym_comment,
    ACTIONS(5527), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6126), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6128), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77316] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6133), 1,
      anon_sym_DOT,
    STATE(2966), 1,
      sym_comment,
    ACTIONS(5381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5383), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77374] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5514), 1,
      anon_sym_STAR,
    ACTIONS(5518), 1,
      anon_sym_async,
    ACTIONS(5530), 1,
      anon_sym_LBRACK,
    ACTIONS(6135), 1,
      anon_sym_abstract,
    STATE(2967), 1,
      sym_comment,
    STATE(4070), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5522), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2968), 1,
      sym_comment,
    ACTIONS(5377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5379), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2969), 1,
      sym_comment,
    ACTIONS(4461), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5365), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2970), 1,
      sym_comment,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5403), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2971), 1,
      sym_comment,
    ACTIONS(5128), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77676] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4963), 1,
      anon_sym_extends,
    STATE(2972), 1,
      sym_comment,
    ACTIONS(5251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5253), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77734] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    ACTIONS(6076), 1,
      anon_sym_PIPE,
    ACTIONS(6078), 1,
      anon_sym_extends,
    STATE(2973), 1,
      sym_comment,
    ACTIONS(5251), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5253), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77796] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(2974), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6137), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2975), 1,
      sym_comment,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5403), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77966] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3587), 1,
      anon_sym_extends,
    ACTIONS(5056), 1,
      anon_sym_LBRACK,
    ACTIONS(6139), 1,
      anon_sym_RPAREN,
    STATE(2976), 1,
      sym_comment,
    ACTIONS(2144), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5059), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5911), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2142), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2977), 1,
      sym_comment,
    ACTIONS(5391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78090] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2978), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6142), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78204] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(5169), 1,
      anon_sym_extends,
    STATE(2979), 1,
      sym_comment,
    ACTIONS(5779), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78268] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6144), 1,
      anon_sym_STAR,
    ACTIONS(6146), 1,
      anon_sym_async,
    ACTIONS(6148), 1,
      anon_sym_readonly,
    STATE(2980), 1,
      sym_comment,
    STATE(3768), 1,
      sym_override_modifier,
    STATE(4091), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6150), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78350] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    ACTIONS(6152), 1,
      anon_sym_SEMI,
    ACTIONS(6154), 1,
      sym__automatic_semicolon,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2981), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78466] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6156), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2982), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [78542] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5068), 1,
      anon_sym_LBRACK,
    ACTIONS(5074), 1,
      anon_sym_extends,
    ACTIONS(5355), 1,
      anon_sym_QMARK,
    ACTIONS(5931), 1,
      anon_sym_COLON,
    STATE(2983), 1,
      sym_comment,
    ACTIONS(5071), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5993), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5062), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2984), 1,
      sym_comment,
    ACTIONS(5387), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5389), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78668] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2985), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2986), 1,
      sym_comment,
    ACTIONS(5391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78838] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_LBRACK,
    ACTIONS(5074), 1,
      anon_sym_extends,
    ACTIONS(5993), 1,
      anon_sym_RPAREN,
    STATE(2987), 1,
      sym_comment,
    ACTIONS(5064), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5071), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5772), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5062), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2988), 1,
      sym_comment,
    ACTIONS(4454), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5353), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2989), 1,
      sym_comment,
    ACTIONS(5387), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5389), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79018] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5261), 1,
      anon_sym_extends,
    STATE(2990), 1,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79076] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      anon_sym_STAR,
    ACTIONS(6120), 1,
      anon_sym_async,
    ACTIONS(6159), 1,
      anon_sym_abstract,
    STATE(2991), 1,
      sym_comment,
    STATE(4059), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6124), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2992), 1,
      sym_comment,
    ACTIONS(5373), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5375), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2993), 1,
      sym_comment,
    ACTIONS(5205), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5207), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2994), 1,
      sym_comment,
    ACTIONS(4459), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5367), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79322] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    ACTIONS(6161), 1,
      anon_sym_SEMI,
    ACTIONS(6163), 1,
      sym__automatic_semicolon,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(2995), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79438] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    ACTIONS(6076), 1,
      anon_sym_PIPE,
    ACTIONS(6078), 1,
      anon_sym_extends,
    STATE(2996), 1,
      sym_comment,
    ACTIONS(5369), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5371), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2997), 1,
      sym_comment,
    ACTIONS(5345), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5347), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2998), 1,
      sym_comment,
    ACTIONS(5329), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5331), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79612] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6165), 1,
      anon_sym_STAR,
    ACTIONS(6167), 1,
      anon_sym_async,
    ACTIONS(6169), 1,
      anon_sym_readonly,
    STATE(2999), 1,
      sym_comment,
    STATE(3779), 1,
      sym_override_modifier,
    STATE(4126), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6171), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79694] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    ACTIONS(6076), 1,
      anon_sym_PIPE,
    ACTIONS(6078), 1,
      anon_sym_extends,
    STATE(3000), 1,
      sym_comment,
    ACTIONS(5329), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5331), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79756] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3001), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5724), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79870] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6173), 1,
      anon_sym_STAR,
    ACTIONS(6175), 1,
      anon_sym_async,
    ACTIONS(6177), 1,
      anon_sym_readonly,
    STATE(3002), 1,
      sym_comment,
    STATE(3775), 1,
      sym_override_modifier,
    STATE(4056), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79952] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6181), 1,
      anon_sym_RBRACE,
    STATE(3003), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80042] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3004), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6183), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80156] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3005), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6015), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80270] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    ACTIONS(5169), 1,
      anon_sym_extends,
    STATE(3006), 1,
      sym_comment,
    ACTIONS(5779), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80334] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3007), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3008), 1,
      sym_comment,
    ACTIONS(4991), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4993), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80480] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    ACTIONS(6076), 1,
      anon_sym_PIPE,
    ACTIONS(6078), 1,
      anon_sym_extends,
    STATE(3009), 1,
      sym_comment,
    ACTIONS(5209), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5211), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80542] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6062), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3010), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5800), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [80610] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3011), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5629), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3012), 1,
      sym_comment,
    ACTIONS(3419), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3587), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80780] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3013), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6185), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80894] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3014), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5560), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81008] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5090), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5094), 1,
      anon_sym_GT_GT,
    ACTIONS(5098), 1,
      anon_sym_AMP,
    ACTIONS(5100), 1,
      anon_sym_CARET,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    ACTIONS(5106), 1,
      anon_sym_PERCENT,
    ACTIONS(5108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5110), 1,
      anon_sym_LT,
    ACTIONS(5118), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5124), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3015), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5076), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5096), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5114), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6099), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5112), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81122] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3016), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81236] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3017), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5634), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81350] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3018), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5645), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81464] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3019), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5647), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3020), 1,
      sym_comment,
    ACTIONS(5261), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81636] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3021), 1,
      sym_comment,
    ACTIONS(5139), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5137), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81696] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5068), 1,
      anon_sym_LBRACK,
    STATE(3022), 1,
      sym_comment,
    ACTIONS(5074), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5071), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5062), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81760] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5056), 1,
      anon_sym_LBRACK,
    STATE(3023), 1,
      sym_comment,
    ACTIONS(3587), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5059), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2142), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81824] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3024), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6187), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81938] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3587), 1,
      anon_sym_extends,
    ACTIONS(5056), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_RPAREN,
    STATE(3025), 1,
      sym_comment,
    ACTIONS(2144), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5059), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5854), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2142), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82006] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3026), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5554), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3027), 1,
      sym_comment,
    ACTIONS(4475), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5274), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3028), 1,
      sym_comment,
    ACTIONS(4490), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5276), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3029), 1,
      sym_comment,
    ACTIONS(4473), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5278), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82288] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    STATE(3030), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3031), 1,
      sym_comment,
    ACTIONS(5361), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5363), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82402] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3032), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82516] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3033), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5687), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82630] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3034), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82736] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3035), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82828] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3036), 1,
      sym_comment,
    ACTIONS(4961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82884] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6189), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3037), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [82968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3038), 1,
      sym_comment,
    ACTIONS(3421), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3603), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83024] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(3039), 1,
      sym_comment,
    ACTIONS(5052), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5054), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83082] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6189), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3040), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [83164] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3041), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83264] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3042), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83362] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3043), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3044), 1,
      sym_comment,
    ACTIONS(5052), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5054), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83514] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3045), 1,
      sym_comment,
    ACTIONS(5769), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5766), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5321), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5762), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5764), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3046), 1,
      sym_comment,
    ACTIONS(4971), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4973), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83632] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    STATE(3047), 1,
      sym_comment,
    STATE(3180), 1,
      sym_arguments,
    ACTIONS(5325), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3048), 1,
      sym_comment,
    ACTIONS(5167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5169), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83748] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3049), 1,
      sym_comment,
    ACTIONS(5395), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5397), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83804] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6189), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3050), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [83888] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    ACTIONS(6192), 1,
      anon_sym_SEMI,
    ACTIONS(6194), 1,
      sym__automatic_semicolon,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3051), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84004] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3052), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6196), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84118] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3053), 1,
      sym_comment,
    ACTIONS(2142), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84176] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5798), 1,
      anon_sym_QMARK_DOT,
    STATE(3054), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(2178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2180), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3055), 1,
      sym_comment,
    ACTIONS(5286), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3056), 1,
      sym_comment,
    ACTIONS(5267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5269), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3057), 1,
      sym_comment,
    ACTIONS(5267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5269), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3058), 1,
      sym_comment,
    ACTIONS(3435), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3645), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84464] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4973), 1,
      anon_sym_extends,
    STATE(3059), 1,
      sym_comment,
    ACTIONS(5524), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5527), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84526] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    ACTIONS(6198), 1,
      anon_sym_SEMI,
    ACTIONS(6200), 1,
      sym__automatic_semicolon,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3060), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84642] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3061), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84746] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3062), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84848] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3063), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5550), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84962] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5566), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5568), 1,
      anon_sym_GT_GT,
    ACTIONS(5572), 1,
      anon_sym_AMP,
    ACTIONS(5574), 1,
      anon_sym_CARET,
    ACTIONS(5576), 1,
      anon_sym_PIPE,
    ACTIONS(5580), 1,
      anon_sym_PERCENT,
    ACTIONS(5582), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 1,
      anon_sym_LT,
    ACTIONS(5592), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5594), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3064), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5558), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5562), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5570), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5578), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5588), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5590), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5841), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5586), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3065), 1,
      sym_comment,
    ACTIONS(5267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5269), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85132] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3066), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6202), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85246] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6204), 1,
      sym__automatic_semicolon,
    STATE(3067), 1,
      sym_comment,
    ACTIONS(2166), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2142), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3068), 1,
      sym_comment,
    ACTIONS(4995), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4997), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3069), 1,
      sym_comment,
    ACTIONS(5259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5261), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3070), 1,
      sym_comment,
    ACTIONS(5263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5265), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3071), 1,
      sym_comment,
    ACTIONS(5235), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5237), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3072), 1,
      sym_comment,
    ACTIONS(5227), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5229), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3073), 1,
      sym_comment,
    ACTIONS(5196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5198), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3074), 1,
      sym_comment,
    ACTIONS(5189), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85700] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6173), 1,
      anon_sym_STAR,
    ACTIONS(6175), 1,
      anon_sym_async,
    ACTIONS(6206), 1,
      anon_sym_abstract,
    STATE(3075), 1,
      sym_comment,
    STATE(4056), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85778] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3076), 1,
      sym_comment,
    ACTIONS(4995), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4997), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3077), 1,
      sym_comment,
    ACTIONS(4995), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4997), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85890] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6208), 1,
      anon_sym_static,
    ACTIONS(6210), 1,
      anon_sym_readonly,
    ACTIONS(6212), 1,
      anon_sym_abstract,
    STATE(3078), 1,
      sym_comment,
    STATE(3813), 1,
      sym_override_modifier,
    STATE(4390), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3079), 1,
      sym_comment,
    ACTIONS(5247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5249), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3080), 1,
      sym_comment,
    ACTIONS(5247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5249), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3081), 1,
      sym_comment,
    ACTIONS(5247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5249), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86138] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1057), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3082), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86228] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3083), 1,
      sym_comment,
    ACTIONS(5137), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(5139), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86288] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5321), 1,
      anon_sym_extends,
    STATE(3084), 1,
      sym_comment,
    ACTIONS(5766), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5769), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5762), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5764), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3085), 1,
      sym_comment,
    ACTIONS(5311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5313), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3086), 1,
      sym_comment,
    ACTIONS(4999), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5001), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86462] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_STAR,
    ACTIONS(6216), 1,
      anon_sym_async,
    ACTIONS(6218), 1,
      anon_sym_readonly,
    STATE(3087), 1,
      sym_comment,
    STATE(3772), 1,
      sym_override_modifier,
    STATE(4117), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6220), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3088), 1,
      sym_comment,
    ACTIONS(5239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5241), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3089), 1,
      sym_comment,
    ACTIONS(4479), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5171), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3090), 1,
      sym_comment,
    ACTIONS(5007), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5009), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86712] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_DOT,
    STATE(3091), 1,
      sym_comment,
    ACTIONS(5037), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5039), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3092), 1,
      sym_comment,
    ACTIONS(5231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5233), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3093), 1,
      sym_comment,
    ACTIONS(3433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3547), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3094), 1,
      sym_comment,
    ACTIONS(5219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5221), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86938] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5134), 1,
      anon_sym_DOT,
    STATE(3095), 1,
      sym_comment,
    ACTIONS(5037), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5039), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3096), 1,
      sym_comment,
    ACTIONS(5145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5147), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87052] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    ACTIONS(6076), 1,
      anon_sym_PIPE,
    ACTIONS(6078), 1,
      anon_sym_extends,
    STATE(3097), 1,
      sym_comment,
    ACTIONS(5145), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5147), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3098), 1,
      sym_comment,
    ACTIONS(4479), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5171), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87170] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      anon_sym_EQ,
    STATE(3099), 1,
      sym_comment,
    ACTIONS(5695), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3100), 1,
      sym_comment,
    ACTIONS(4471), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5185), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3101), 1,
      sym_comment,
    ACTIONS(4471), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5185), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87340] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3102), 1,
      sym_comment,
    ACTIONS(4477), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5200), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3103), 1,
      sym_comment,
    ACTIONS(5044), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5046), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3104), 1,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5035), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3105), 1,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5035), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3106), 1,
      sym_comment,
    ACTIONS(5213), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5215), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87620] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    STATE(3107), 1,
      sym_comment,
    ACTIONS(5223), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5225), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3108), 1,
      sym_comment,
    ACTIONS(5243), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5245), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3109), 1,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5035), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87790] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6189), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3110), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [87868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3111), 1,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5031), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87924] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3112), 1,
      sym_comment,
    ACTIONS(3437), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3625), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87980] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4314), 1,
      anon_sym_EQ,
    ACTIONS(5169), 1,
      anon_sym_extends,
    STATE(3113), 1,
      sym_comment,
    ACTIONS(5779), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3114), 1,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5031), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88100] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_STAR,
    ACTIONS(6224), 1,
      anon_sym_async,
    ACTIONS(6226), 1,
      anon_sym_readonly,
    STATE(3115), 1,
      sym_comment,
    STATE(3777), 1,
      sym_override_modifier,
    STATE(4062), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6228), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88182] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(3116), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88272] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6232), 1,
      anon_sym_RBRACE,
    STATE(3117), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3118), 1,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5031), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88418] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5857), 1,
      sym__automatic_semicolon,
    STATE(3119), 1,
      sym_comment,
    ACTIONS(2140), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2166), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88478] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4973), 1,
      anon_sym_extends,
    ACTIONS(5524), 1,
      anon_sym_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_RPAREN,
    STATE(3120), 1,
      sym_comment,
    ACTIONS(5527), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6090), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6234), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3121), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88602] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    STATE(3122), 1,
      sym_comment,
    ACTIONS(5062), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88660] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    ACTIONS(4334), 1,
      anon_sym_QMARK,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3123), 1,
      sym_comment,
    ACTIONS(4327), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5169), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88728] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3124), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [88816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3125), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3126), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5005), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88928] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3127), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5545), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89042] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3128), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5543), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89156] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3129), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5738), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89270] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6239), 1,
      anon_sym_static,
    ACTIONS(6241), 1,
      anon_sym_readonly,
    ACTIONS(6243), 1,
      anon_sym_abstract,
    STATE(3130), 1,
      sym_comment,
    STATE(3836), 1,
      sym_override_modifier,
    STATE(4403), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3131), 1,
      sym_comment,
    ACTIONS(5011), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5013), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [89406] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_STAR,
    ACTIONS(6224), 1,
      anon_sym_async,
    ACTIONS(6245), 1,
      anon_sym_abstract,
    STATE(3132), 1,
      sym_comment,
    STATE(4065), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6228), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89484] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3133), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89574] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3134), 1,
      sym_comment,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5779), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5169), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89636] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3135), 1,
      sym_comment,
    ACTIONS(5527), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5524), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4973), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89698] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(5459), 1,
      anon_sym_satisfies,
    ACTIONS(6042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6044), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6046), 1,
      anon_sym_GT_GT,
    ACTIONS(6050), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_CARET,
    ACTIONS(6054), 1,
      anon_sym_PIPE,
    ACTIONS(6058), 1,
      anon_sym_PERCENT,
    ACTIONS(6060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_LT,
    ACTIONS(6070), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6072), 1,
      sym__ternary_qmark,
    ACTIONS(6247), 1,
      anon_sym_SEMI,
    ACTIONS(6249), 1,
      sym__automatic_semicolon,
    STATE(2830), 1,
      sym_type_arguments,
    STATE(3136), 1,
      sym_comment,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5445), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6038), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6040), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6048), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6066), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89814] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    ACTIONS(6253), 1,
      anon_sym_COMMA,
    ACTIONS(6255), 1,
      anon_sym_RBRACE,
    STATE(3137), 1,
      sym_comment,
    STATE(6379), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7346), 1,
      sym__property_name,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6388), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6251), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89896] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    ACTIONS(6253), 1,
      anon_sym_COMMA,
    ACTIONS(6259), 1,
      anon_sym_RBRACE,
    STATE(3138), 1,
      sym_comment,
    STATE(6381), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7346), 1,
      sym__property_name,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6392), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6257), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89978] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6074), 1,
      anon_sym_AMP,
    ACTIONS(6076), 1,
      anon_sym_PIPE,
    ACTIONS(6078), 1,
      anon_sym_extends,
    STATE(3139), 1,
      sym_comment,
    ACTIONS(5019), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5021), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90040] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3140), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [90131] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6283), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3141), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90244] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    ACTIONS(6317), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3142), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90357] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6319), 1,
      anon_sym_STAR,
    STATE(3143), 1,
      sym_comment,
    STATE(4942), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6321), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90430] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5193), 1,
      anon_sym_RBRACE,
    STATE(3144), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90497] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(3145), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90580] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6323), 1,
      anon_sym_STAR,
    STATE(3146), 1,
      sym_comment,
    STATE(4959), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6325), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90653] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5167), 1,
      anon_sym_QMARK,
    STATE(3147), 1,
      sym_comment,
    ACTIONS(5169), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5779), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90716] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    ACTIONS(6327), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3148), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90829] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(4341), 1,
      anon_sym_COLON,
    ACTIONS(5169), 1,
      anon_sym_extends,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3149), 1,
      sym_comment,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6329), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3150), 1,
      sym_comment,
    ACTIONS(5775), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5777), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90951] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3151), 1,
      sym_comment,
    ACTIONS(5822), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5824), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91006] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6333), 1,
      sym__automatic_semicolon,
    STATE(3152), 1,
      sym_comment,
    ACTIONS(2416), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2294), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91065] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    STATE(3153), 1,
      sym_comment,
    STATE(2609), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6335), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4985), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4987), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [91128] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3154), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5800), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [91195] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6337), 1,
      anon_sym_STAR,
    STATE(3155), 1,
      sym_comment,
    STATE(4955), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6339), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91268] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6341), 1,
      sym__automatic_semicolon,
    STATE(3156), 1,
      sym_comment,
    ACTIONS(2412), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2240), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91327] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6343), 1,
      sym__automatic_semicolon,
    STATE(3157), 1,
      sym_comment,
    ACTIONS(2408), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2210), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2214), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91386] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(3158), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91467] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6323), 1,
      anon_sym_STAR,
    ACTIONS(6345), 1,
      anon_sym_async,
    STATE(3159), 1,
      sym_comment,
    STATE(4041), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6347), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91542] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6319), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_async,
    STATE(3160), 1,
      sym_comment,
    STATE(4115), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6351), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91617] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      anon_sym_STAR,
    ACTIONS(6120), 1,
      anon_sym_async,
    STATE(3161), 1,
      sym_comment,
    STATE(4057), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6124), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91692] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6357), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3162), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3163), 1,
      sym_comment,
    ACTIONS(5758), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5760), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3164), 1,
      sym_comment,
    ACTIONS(5754), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5647), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91915] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_STAR,
    STATE(3165), 1,
      sym_comment,
    STATE(4935), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6391), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91988] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6181), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92069] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3167), 1,
      sym_comment,
    ACTIONS(5746), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5748), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3168), 1,
      sym_comment,
    ACTIONS(5744), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5645), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92179] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6181), 1,
      anon_sym_RBRACE,
    STATE(3169), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92262] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6393), 1,
      sym__automatic_semicolon,
    STATE(3170), 1,
      sym_comment,
    ACTIONS(2420), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2272), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92321] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5931), 1,
      anon_sym_of,
    ACTIONS(6395), 1,
      anon_sym_in,
    STATE(3171), 1,
      sym_comment,
    ACTIONS(5062), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92382] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3172), 1,
      sym_comment,
    ACTIONS(6398), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92439] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5724), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3173), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3174), 1,
      sym_comment,
    ACTIONS(5742), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92607] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3175), 1,
      sym_comment,
    ACTIONS(2230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2234), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92662] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6418), 1,
      sym__automatic_semicolon,
    STATE(3176), 1,
      sym_comment,
    ACTIONS(2424), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2200), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92721] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6420), 1,
      sym__automatic_semicolon,
    STATE(3177), 1,
      sym_comment,
    ACTIONS(2428), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92780] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5530), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_STAR,
    ACTIONS(6216), 1,
      anon_sym_async,
    STATE(3178), 1,
      sym_comment,
    STATE(4117), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6220), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92855] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3179), 1,
      sym_comment,
    ACTIONS(5734), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5736), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3180), 1,
      sym_comment,
    ACTIONS(5730), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5732), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92965] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5056), 1,
      anon_sym_LBRACK,
    ACTIONS(5911), 1,
      anon_sym_COLON,
    STATE(3181), 1,
      sym_comment,
    ACTIONS(5059), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3587), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2142), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93030] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4383), 1,
      anon_sym_EQ,
    ACTIONS(5169), 1,
      anon_sym_extends,
    STATE(3182), 1,
      sym_comment,
    ACTIONS(5779), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93093] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_STAR,
    STATE(3183), 1,
      sym_comment,
    STATE(4848), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6422), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3184), 1,
      sym_comment,
    ACTIONS(5726), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5728), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93221] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5451), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3185), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93334] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3186), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93407] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5068), 1,
      anon_sym_LBRACK,
    ACTIONS(5931), 1,
      anon_sym_COLON,
    STATE(3187), 1,
      sym_comment,
    ACTIONS(5071), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5074), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5062), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93472] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    ACTIONS(6424), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3188), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93585] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6426), 1,
      sym__automatic_semicolon,
    STATE(3189), 1,
      sym_comment,
    ACTIONS(2390), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2234), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6428), 1,
      sym_regex_flags,
    STATE(3190), 1,
      sym_comment,
    ACTIONS(6084), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6086), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [93701] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6144), 1,
      anon_sym_STAR,
    ACTIONS(6146), 1,
      anon_sym_async,
    STATE(3191), 1,
      sym_comment,
    STATE(4091), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6150), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3192), 1,
      sym_comment,
    ACTIONS(5846), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5848), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93831] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3193), 1,
      sym_comment,
    ACTIONS(5656), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5658), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3194), 1,
      sym_comment,
    ACTIONS(5660), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5662), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93941] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3195), 1,
      sym_comment,
    ACTIONS(5664), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5666), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93996] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      anon_sym_EQ,
    ACTIONS(5935), 1,
      anon_sym_of,
    ACTIONS(6430), 1,
      anon_sym_in,
    STATE(3196), 1,
      sym_comment,
    ACTIONS(5695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94057] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3197), 1,
      sym_comment,
    ACTIONS(5676), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5678), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94112] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6165), 1,
      anon_sym_STAR,
    STATE(3198), 1,
      sym_comment,
    STATE(4981), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6433), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94185] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6165), 1,
      anon_sym_STAR,
    ACTIONS(6167), 1,
      anon_sym_async,
    STATE(3199), 1,
      sym_comment,
    STATE(4126), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6171), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94260] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5911), 1,
      anon_sym_of,
    ACTIONS(6435), 1,
      anon_sym_in,
    STATE(3200), 1,
      sym_comment,
    ACTIONS(2142), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94321] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3201), 1,
      sym_comment,
    ACTIONS(5762), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5764), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3202), 1,
      sym_comment,
    ACTIONS(5680), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5682), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94431] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_STAR,
    STATE(3203), 1,
      sym_comment,
    STATE(4804), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6440), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94504] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6232), 1,
      anon_sym_RBRACE,
    STATE(3204), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94585] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6442), 1,
      anon_sym_STAR,
    ACTIONS(6444), 1,
      anon_sym_async,
    STATE(3205), 1,
      sym_comment,
    STATE(4083), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6446), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94660] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5321), 1,
      anon_sym_extends,
    STATE(3206), 1,
      sym_comment,
    ACTIONS(5769), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5766), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(5762), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5764), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94721] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6232), 1,
      anon_sym_RBRACE,
    STATE(3207), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94804] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5193), 1,
      anon_sym_RBRACE,
    STATE(3208), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94871] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3209), 1,
      sym_comment,
    ACTIONS(5610), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5612), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3210), 1,
      sym_comment,
    ACTIONS(5606), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5545), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94981] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3211), 1,
      sym_comment,
    ACTIONS(2364), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2158), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95038] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5202), 1,
      anon_sym_RBRACE,
    STATE(3212), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95105] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(5514), 1,
      anon_sym_STAR,
    STATE(3213), 1,
      sym_comment,
    STATE(4835), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6448), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95178] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5202), 1,
      anon_sym_RBRACE,
    STATE(3214), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95245] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6106), 1,
      anon_sym_RBRACE,
    STATE(3215), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95328] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3216), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95411] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3217), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3218), 1,
      sym_comment,
    ACTIONS(5716), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5718), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95547] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6450), 1,
      sym__automatic_semicolon,
    STATE(3219), 1,
      sym_comment,
    ACTIONS(2394), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2312), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95606] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      anon_sym_STAR,
    STATE(3220), 1,
      sym_comment,
    STATE(4947), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6452), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95679] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3221), 1,
      sym_comment,
    ACTIONS(2154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2158), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95734] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6106), 1,
      anon_sym_RBRACE,
    STATE(3222), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95815] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6454), 1,
      sym__automatic_semicolon,
    STATE(3223), 1,
      sym_comment,
    ACTIONS(2404), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95874] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    STATE(3224), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95931] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6456), 1,
      sym__automatic_semicolon,
    STATE(3225), 1,
      sym_comment,
    ACTIONS(2400), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2308), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95990] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3226), 1,
      sym_comment,
    ACTIONS(5139), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5137), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96049] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5319), 1,
      anon_sym_QMARK,
    STATE(3227), 1,
      sym_comment,
    ACTIONS(5321), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5769), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5766), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(5762), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5764), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3228), 1,
      sym_comment,
    ACTIONS(2312), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96167] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3229), 1,
      sym_comment,
    ACTIONS(2400), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2308), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3230), 1,
      sym_comment,
    ACTIONS(5539), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5541), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96279] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4341), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3231), 1,
      sym_comment,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5169), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96344] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6173), 1,
      anon_sym_STAR,
    ACTIONS(6175), 1,
      anon_sym_async,
    STATE(3232), 1,
      sym_comment,
    STATE(4056), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96419] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3233), 1,
      sym_comment,
    ACTIONS(2404), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96476] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    STATE(3234), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96543] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6458), 1,
      anon_sym_STAR,
    ACTIONS(6460), 1,
      anon_sym_async,
    STATE(3235), 1,
      sym_comment,
    STATE(4121), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6462), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96618] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5554), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3236), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96731] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_STAR,
    STATE(3237), 1,
      sym_comment,
    STATE(4960), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6466), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96804] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3238), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96917] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6173), 1,
      anon_sym_STAR,
    STATE(3239), 1,
      sym_comment,
    STATE(4934), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6470), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96990] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3240), 1,
      sym_comment,
    ACTIONS(6472), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6474), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97049] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3241), 1,
      sym_comment,
    ACTIONS(5826), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5828), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97104] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3242), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [97203] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3243), 1,
      sym_comment,
    ACTIONS(5830), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5832), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3244), 1,
      sym_comment,
    ACTIONS(5834), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5836), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97313] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6476), 1,
      anon_sym_STAR,
    STATE(3245), 1,
      sym_comment,
    STATE(4877), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6478), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97386] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5068), 1,
      anon_sym_LBRACK,
    STATE(3246), 1,
      sym_comment,
    ACTIONS(5074), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5071), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5062), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97449] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5056), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_comment,
    ACTIONS(3587), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5059), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2142), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97512] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3248), 1,
      sym_comment,
    ACTIONS(6126), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6128), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97571] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6480), 1,
      sym__automatic_semicolon,
    STATE(3249), 1,
      sym_comment,
    ACTIONS(2428), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97630] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6482), 1,
      sym__automatic_semicolon,
    STATE(3250), 1,
      sym_comment,
    ACTIONS(2424), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2200), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3251), 1,
      sym_comment,
    ACTIONS(2420), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2272), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97746] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5169), 1,
      anon_sym_extends,
    STATE(3252), 1,
      sym_comment,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5779), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97807] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    ACTIONS(6486), 1,
      anon_sym_async,
    STATE(3253), 1,
      sym_comment,
    STATE(4129), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6488), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97882] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6490), 1,
      sym__automatic_semicolon,
    STATE(3254), 1,
      sym_comment,
    ACTIONS(2394), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2312), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97941] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5543), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3255), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98054] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    STATE(3256), 1,
      sym_comment,
    STATE(4893), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6492), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98127] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6494), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3257), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [98200] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5545), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3258), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98313] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5556), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3259), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98426] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6497), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3260), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [98507] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3261), 1,
      sym_comment,
    ACTIONS(6090), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6234), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98566] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6500), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3262), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [98641] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3263), 1,
      sym_comment,
    ACTIONS(5852), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5724), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98696] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5560), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3264), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98809] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3265), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [98896] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3266), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [98973] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5711), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3267), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99086] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3268), 1,
      sym_comment,
    ACTIONS(2350), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2180), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99143] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3269), 1,
      sym_comment,
    ACTIONS(2390), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2234), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99200] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6506), 1,
      sym__automatic_semicolon,
    STATE(3270), 1,
      sym_comment,
    ACTIONS(2354), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2184), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2188), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99259] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3271), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3272), 1,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99415] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5560), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3273), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99528] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5524), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_comment,
    ACTIONS(4973), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5527), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99589] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3275), 1,
      sym_comment,
    ACTIONS(2354), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2184), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2188), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99646] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_QMARK,
    ACTIONS(4349), 1,
      anon_sym_EQ,
    STATE(3276), 1,
      sym_comment,
    ACTIONS(4352), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99707] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3277), 1,
      sym_comment,
    ACTIONS(6090), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6092), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99766] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3278), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99869] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6508), 1,
      sym__automatic_semicolon,
    STATE(3279), 1,
      sym_comment,
    ACTIONS(2364), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2158), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99928] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5674), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3280), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100041] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3281), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [100124] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3282), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [100219] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5711), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3283), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100332] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5634), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3284), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100445] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    ACTIONS(6510), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3285), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100558] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3286), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [100655] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5645), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3287), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100768] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6337), 1,
      anon_sym_STAR,
    ACTIONS(6512), 1,
      anon_sym_async,
    STATE(3288), 1,
      sym_comment,
    STATE(4046), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6514), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100843] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3289), 1,
      sym_comment,
    ACTIONS(5807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5809), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3290), 1,
      sym_comment,
    ACTIONS(5701), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100953] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    ACTIONS(4438), 1,
      anon_sym_in,
    ACTIONS(4441), 1,
      anon_sym_of,
    STATE(3291), 1,
      sym_comment,
    ACTIONS(4218), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101014] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5766), 1,
      anon_sym_LBRACK,
    STATE(3292), 1,
      sym_comment,
    ACTIONS(5321), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5769), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5762), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5764), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101075] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3293), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [101156] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6516), 1,
      anon_sym_LPAREN,
    ACTIONS(6519), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_LT,
    ACTIONS(6524), 1,
      anon_sym_QMARK,
    STATE(3294), 1,
      sym_comment,
    ACTIONS(5716), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5718), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101219] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3295), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [101302] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6526), 1,
      sym__automatic_semicolon,
    STATE(3296), 1,
      sym_comment,
    ACTIONS(2416), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2294), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101361] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3297), 1,
      sym_comment,
    ACTIONS(5792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5794), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101416] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    STATE(3298), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101473] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3299), 1,
      sym_comment,
    ACTIONS(5705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5687), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101528] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3300), 1,
      sym_comment,
    ACTIONS(2412), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2240), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101585] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3301), 1,
      sym_comment,
    ACTIONS(2408), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2210), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2214), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101642] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5647), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3302), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101755] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5689), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3303), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101868] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5687), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3304), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101981] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4314), 1,
      anon_sym_EQ,
    STATE(3305), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102038] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [102143] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3307), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [102234] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3308), 1,
      sym_comment,
    ACTIONS(6528), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6530), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102293] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3309), 1,
      sym_comment,
    ACTIONS(6528), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6530), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102352] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3310), 1,
      sym_comment,
    ACTIONS(6528), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6530), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102411] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    ACTIONS(6532), 1,
      anon_sym_RBRACK,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3311), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3312), 1,
      sym_comment,
    ACTIONS(5818), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5820), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102579] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6534), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3313), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 14,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [102662] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3314), 1,
      sym_comment,
    ACTIONS(6537), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6539), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102721] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4288), 1,
      anon_sym_EQ,
    ACTIONS(5167), 1,
      anon_sym_QMARK,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3315), 1,
      sym_comment,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5169), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102786] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(5169), 1,
      anon_sym_extends,
    STATE(3316), 1,
      sym_comment,
    ACTIONS(5779), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [102849] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(162), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    STATE(3317), 1,
      sym_comment,
    STATE(7346), 1,
      sym__property_name,
    STATE(7382), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6543), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6695), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6541), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102926] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6337), 1,
      anon_sym_STAR,
    ACTIONS(6512), 1,
      anon_sym_async,
    STATE(3318), 1,
      sym_comment,
    STATE(4048), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6514), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103001] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3319), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [103106] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5687), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3320), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103219] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5674), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3321), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103332] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6534), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3322), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [103413] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6428), 1,
      sym_regex_flags,
    STATE(3323), 1,
      sym_comment,
    ACTIONS(6084), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6086), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [103470] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5689), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3324), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103583] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      anon_sym_STAR,
    ACTIONS(6120), 1,
      anon_sym_async,
    STATE(3325), 1,
      sym_comment,
    STATE(4069), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6124), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103658] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3326), 1,
      sym_comment,
    ACTIONS(2350), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2180), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103715] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3327), 1,
      sym_comment,
    ACTIONS(5859), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5861), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3328), 1,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103825] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6144), 1,
      anon_sym_STAR,
    STATE(3329), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6545), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103898] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3330), 1,
      sym_comment,
    ACTIONS(6547), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6549), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103957] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3331), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [104056] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_comment,
    ACTIONS(5169), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104117] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6337), 1,
      anon_sym_STAR,
    ACTIONS(6512), 1,
      anon_sym_async,
    STATE(3333), 1,
      sym_comment,
    STATE(4049), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6514), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104192] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3334), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [104289] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6458), 1,
      anon_sym_STAR,
    STATE(3335), 1,
      sym_comment,
    STATE(4904), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6551), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3336), 1,
      sym_comment,
    ACTIONS(2178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2180), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104417] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6553), 1,
      anon_sym_STAR,
    ACTIONS(6555), 1,
      anon_sym_async,
    STATE(3337), 1,
      sym_comment,
    STATE(4050), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6557), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104492] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3338), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [104587] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6553), 1,
      anon_sym_STAR,
    STATE(3339), 1,
      sym_comment,
    STATE(4922), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6559), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104660] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3340), 1,
      sym_comment,
    ACTIONS(5625), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5627), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104715] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6442), 1,
      anon_sym_STAR,
    STATE(3341), 1,
      sym_comment,
    STATE(4915), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6561), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104788] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5634), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3342), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104901] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    ACTIONS(6563), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3343), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3344), 1,
      sym_comment,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5620), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105069] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6534), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3345), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [105152] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3346), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [105255] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3347), 1,
      sym_comment,
    ACTIONS(2268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2272), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3348), 1,
      sym_comment,
    ACTIONS(2196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2200), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105365] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3349), 1,
      sym_comment,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3350), 1,
      sym_comment,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105475] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5156), 1,
      anon_sym_RBRACE,
    STATE(3351), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105542] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    ACTIONS(6565), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3352), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105655] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3353), 1,
      sym_comment,
    ACTIONS(2304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2308), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105710] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5156), 1,
      anon_sym_RBRACE,
    STATE(3354), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105777] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4387), 1,
      anon_sym_EQ,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3355), 1,
      sym_comment,
    ACTIONS(5169), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105840] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5645), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3356), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105953] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3357), 1,
      sym_comment,
    ACTIONS(5863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5865), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106008] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6567), 1,
      anon_sym_STAR,
    STATE(3358), 1,
      sym_comment,
    STATE(4974), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6569), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106081] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3359), 1,
      sym_comment,
    ACTIONS(5614), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106136] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6571), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3360), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [106209] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6574), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3361), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [106284] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6577), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3362), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [106365] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5556), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3363), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106478] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6580), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3364), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [106551] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3365), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106634] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(6305), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3366), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5800), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [106701] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5724), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3367), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106814] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5451), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3368), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106927] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5556), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3369), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107040] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6583), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3370), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 15,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [107121] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5554), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3371), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107234] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6586), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3372), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [107309] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5543), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3373), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107422] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3374), 1,
      sym_comment,
    ACTIONS(5261), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107479] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3375), 1,
      sym_comment,
    ACTIONS(5750), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5752), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107534] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5629), 1,
      anon_sym_of,
    ACTIONS(6263), 1,
      anon_sym_GT,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    ACTIONS(6589), 1,
      anon_sym_in,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3376), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107649] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5545), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3377), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107762] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3378), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [107849] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3379), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107930] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6592), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3380), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [108007] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3381), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108108] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5647), 1,
      anon_sym_of,
    ACTIONS(6265), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6404), 1,
      anon_sym_AMP,
    ACTIONS(6406), 1,
      anon_sym_CARET,
    ACTIONS(6408), 1,
      anon_sym_PIPE,
    ACTIONS(6414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6416), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3382), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6410), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6412), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108221] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3383), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108324] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6592), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3384), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [108407] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    STATE(3385), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108474] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3386), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108569] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3387), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108666] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6595), 1,
      anon_sym_STAR,
    ACTIONS(6597), 1,
      anon_sym_async,
    STATE(3388), 1,
      sym_comment,
    STATE(4073), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6599), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108741] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3389), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108840] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6592), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3390), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [108921] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6592), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3391), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 14,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [109004] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3392), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [109095] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3393), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [109200] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6595), 1,
      anon_sym_STAR,
    STATE(3394), 1,
      sym_comment,
    STATE(4967), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6601), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109273] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5687), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3395), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109386] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5689), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3396), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109499] = 24,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2452), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6605), 1,
      anon_sym_COMMA,
    ACTIONS(6607), 1,
      anon_sym_RBRACE,
    ACTIONS(6609), 1,
      anon_sym_async,
    ACTIONS(6611), 1,
      anon_sym_static,
    ACTIONS(6613), 1,
      anon_sym_readonly,
    ACTIONS(6619), 1,
      anon_sym_override,
    STATE(3397), 1,
      sym_comment,
    STATE(3744), 1,
      sym_accessibility_modifier,
    STATE(3771), 1,
      sym_override_modifier,
    STATE(4782), 1,
      sym__property_name,
    STATE(5913), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6615), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(6617), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5915), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(6603), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109592] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5647), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3398), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109705] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5645), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3399), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109818] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5634), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3400), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109931] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5711), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3401), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110044] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6621), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      anon_sym_COLON,
    ACTIONS(6626), 1,
      anon_sym_LT,
    ACTIONS(6629), 1,
      anon_sym_QMARK,
    STATE(3402), 1,
      sym_comment,
    ACTIONS(4218), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110107] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3403), 1,
      sym_comment,
    ACTIONS(6631), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6633), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3404), 1,
      sym_comment,
    ACTIONS(2210), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2214), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110221] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3405), 1,
      sym_comment,
    ACTIONS(6631), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6633), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110280] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5560), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3406), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110393] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5674), 1,
      anon_sym_COLON,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3407), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110506] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3408), 1,
      sym_comment,
    ACTIONS(6631), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6633), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110565] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3409), 1,
      sym_comment,
    ACTIONS(2240), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3410), 1,
      sym_comment,
    ACTIONS(2290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2294), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110675] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3411), 1,
      sym_comment,
    ACTIONS(2184), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2188), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110730] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    ACTIONS(6635), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3412), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110843] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1057), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3413), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110926] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3414), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [111027] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1057), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3415), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111108] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6534), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3416), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [111185] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3417), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5800), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [111252] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5271), 1,
      anon_sym_RBRACE,
    STATE(3418), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111319] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5271), 1,
      anon_sym_RBRACE,
    STATE(3419), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111386] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3420), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [111473] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5545), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3421), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111586] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6289), 1,
      anon_sym_GT_GT,
    ACTIONS(6293), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_CARET,
    ACTIONS(6297), 1,
      anon_sym_PIPE,
    ACTIONS(6301), 1,
      anon_sym_PERCENT,
    ACTIONS(6303), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_LT,
    ACTIONS(6313), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6315), 1,
      sym__ternary_qmark,
    ACTIONS(6637), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3422), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6281), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6291), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6299), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6307), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111699] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5543), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3423), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111812] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3424), 1,
      sym_comment,
    ACTIONS(6639), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6641), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111871] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3425), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111926] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5724), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3426), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112039] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5451), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3427), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112152] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5554), 1,
      anon_sym_RBRACK,
    ACTIONS(6359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6361), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6363), 1,
      anon_sym_GT_GT,
    ACTIONS(6367), 1,
      anon_sym_AMP,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym_PIPE,
    ACTIONS(6375), 1,
      anon_sym_PERCENT,
    ACTIONS(6377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    ACTIONS(6387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6389), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3428), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6373), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112265] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6645), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3429), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [112341] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3430), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [112435] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3431), 1,
      sym_comment,
    STATE(4959), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112503] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3587), 1,
      anon_sym_extends,
    STATE(3432), 1,
      sym_comment,
    ACTIONS(5056), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5059), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2142), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112565] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_QMARK,
    ACTIONS(4973), 1,
      anon_sym_extends,
    STATE(3433), 1,
      sym_comment,
    ACTIONS(5527), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5524), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112627] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3434), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112737] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_comment,
    STATE(4981), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112805] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6682), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3436), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5601), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [112885] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6398), 1,
      anon_sym_COMMA,
    STATE(3437), 1,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112941] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3438), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113051] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1057), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113127] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_comment,
    STATE(4893), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113195] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3441), 1,
      sym_comment,
    STATE(4934), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113263] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3442), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113373] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5074), 1,
      anon_sym_extends,
    STATE(3443), 1,
      sym_comment,
    ACTIONS(5068), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5071), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5062), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113435] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_comment,
    STATE(4967), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113503] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3445), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113613] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3446), 1,
      sym_comment,
    STATE(4992), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113681] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3447), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113791] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3448), 1,
      sym_comment,
    STATE(4955), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113859] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3449), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113969] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6605), 1,
      anon_sym_COMMA,
    ACTIONS(6685), 1,
      anon_sym_RBRACE,
    STATE(3450), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    STATE(5843), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114053] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4383), 1,
      anon_sym_EQ,
    STATE(3451), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114109] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6181), 1,
      anon_sym_RBRACE,
    STATE(3452), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114185] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_comment,
    STATE(4848), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114253] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3454), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114363] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6687), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3455), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5463), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [114437] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3456), 1,
      sym_comment,
    STATE(4942), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114505] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3457), 1,
      sym_comment,
    STATE(4904), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114573] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(5453), 1,
      anon_sym_BANG,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(3458), 1,
      sym_comment,
    STATE(3582), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114683] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3459), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114793] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    STATE(3460), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [114849] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3461), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114959] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3462), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115035] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(6660), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3463), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5800), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [115101] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3464), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115211] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6690), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3465), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [115283] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3466), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115393] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(5169), 1,
      anon_sym_extends,
    STATE(3467), 1,
      sym_comment,
    ACTIONS(5779), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115455] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3468), 1,
      sym_comment,
    STATE(4449), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115523] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5261), 1,
      anon_sym_extends,
    STATE(3469), 1,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115579] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3470), 1,
      sym_comment,
    STATE(4974), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115647] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3471), 1,
      sym_comment,
    STATE(4922), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115715] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3472), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115783] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3473), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115893] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3474), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116003] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3475), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116113] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    ACTIONS(6678), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6680), 1,
      sym__ternary_qmark,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3476), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116223] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5524), 1,
      anon_sym_LBRACK,
    STATE(3477), 1,
      sym_comment,
    ACTIONS(4973), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5527), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116283] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3478), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [116369] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6232), 1,
      anon_sym_RBRACE,
    STATE(3479), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116445] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6670), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3480), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [116549] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3481), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [116649] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5409), 1,
      anon_sym_BANG,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    ACTIONS(6676), 1,
      anon_sym_PIPE,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3482), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [116751] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5766), 1,
      anon_sym_LBRACK,
    STATE(3483), 1,
      sym_comment,
    ACTIONS(5321), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5769), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5762), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5764), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116811] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3484), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6693), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116893] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3485), 1,
      sym_comment,
    ACTIONS(5169), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116953] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3486), 1,
      sym_comment,
    STATE(4944), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117021] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3487), 1,
      sym_comment,
    STATE(4390), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117089] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6645), 1,
      anon_sym_LT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3488), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [117171] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3489), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5409), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117261] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3490), 1,
      sym_comment,
    STATE(4835), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117329] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6088), 1,
      sym_regex_flags,
    STATE(3491), 1,
      sym_comment,
    ACTIONS(6084), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(6086), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [117385] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5078), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_BANG,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5122), 1,
      anon_sym_satisfies,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6645), 1,
      anon_sym_LT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3492), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [117467] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6645), 1,
      anon_sym_LT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3493), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5409), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5407), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [117547] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3494), 1,
      sym_comment,
    STATE(4960), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117615] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2452), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6700), 1,
      anon_sym_async,
    ACTIONS(6702), 1,
      anon_sym_static,
    ACTIONS(6704), 1,
      anon_sym_readonly,
    ACTIONS(6710), 1,
      anon_sym_override,
    STATE(3495), 1,
      sym_comment,
    STATE(3744), 1,
      sym_accessibility_modifier,
    STATE(3771), 1,
      sym_override_modifier,
    STATE(4782), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6698), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(6706), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(6708), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6696), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(6696), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117703] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    ACTIONS(6674), 1,
      anon_sym_CARET,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3496), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117801] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4288), 1,
      anon_sym_EQ,
    STATE(3497), 1,
      sym_comment,
    ACTIONS(4352), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117859] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3498), 1,
      sym_comment,
    ACTIONS(5169), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117921] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3499), 1,
      sym_comment,
    STATE(4935), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117989] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_RBRACE,
    STATE(3500), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118065] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(3501), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118141] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4397), 1,
      anon_sym_EQ,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3502), 1,
      sym_comment,
    ACTIONS(5169), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118203] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3503), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118279] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4915), 1,
      anon_sym_LBRACK,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6643), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6652), 1,
      anon_sym_GT_GT,
    ACTIONS(6658), 1,
      anon_sym_PERCENT,
    ACTIONS(6660), 1,
      anon_sym_LT,
    ACTIONS(6672), 1,
      anon_sym_AMP,
    STATE(2461), 1,
      sym_type_arguments,
    STATE(3504), 1,
      sym_comment,
    STATE(6297), 1,
      sym_optional_chain,
    ACTIONS(5120), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5409), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6648), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6650), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6654), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [118375] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    STATE(3505), 1,
      sym_comment,
    ACTIONS(1043), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118431] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3506), 1,
      sym_comment,
    ACTIONS(5261), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118487] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3507), 1,
      sym_comment,
    STATE(4877), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118555] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    STATE(3508), 1,
      sym_comment,
    ACTIONS(4456), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118613] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3509), 1,
      sym_comment,
    STATE(4915), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118681] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3510), 1,
      sym_comment,
    STATE(4947), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118749] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      anon_sym_EQ,
    ACTIONS(5935), 1,
      anon_sym_COLON,
    STATE(3511), 1,
      sym_comment,
    ACTIONS(5867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5695), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118809] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3512), 1,
      sym_comment,
    STATE(4804), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118877] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3513), 1,
      sym_comment,
    ACTIONS(5139), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(5137), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118935] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4403), 1,
      anon_sym_EQ,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3514), 1,
      sym_comment,
    ACTIONS(5169), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118997] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5524), 1,
      anon_sym_LBRACK,
    STATE(3515), 1,
      sym_comment,
    ACTIONS(5527), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4973), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119056] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6712), 1,
      anon_sym_abstract,
    STATE(3516), 1,
      sym_comment,
    STATE(4298), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119125] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5854), 1,
      anon_sym_RBRACK,
    ACTIONS(5911), 1,
      anon_sym_COMMA,
    STATE(3517), 1,
      sym_comment,
    ACTIONS(2142), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119184] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6714), 1,
      anon_sym_readonly,
    STATE(3518), 1,
      sym_comment,
    STATE(3813), 1,
      sym_override_modifier,
    STATE(4390), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119257] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    STATE(3519), 1,
      sym_comment,
    ACTIONS(5925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119316] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_abstract,
    STATE(3520), 1,
      sym_comment,
    STATE(4423), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119385] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3521), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6718), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119464] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_abstract,
    STATE(3522), 1,
      sym_comment,
    STATE(4390), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119533] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3523), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6693), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119608] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3524), 1,
      sym_comment,
    ACTIONS(5752), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6720), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6723), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119663] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6726), 1,
      anon_sym_readonly,
    STATE(3525), 1,
      sym_comment,
    STATE(3837), 1,
      sym_override_modifier,
    STATE(4335), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119736] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      anon_sym_EQ,
    ACTIONS(5867), 1,
      anon_sym_RBRACK,
    ACTIONS(5935), 1,
      anon_sym_COMMA,
    STATE(3526), 1,
      sym_comment,
    ACTIONS(5695), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119795] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3527), 1,
      sym_comment,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5169), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119854] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3528), 1,
      sym_comment,
    ACTIONS(2158), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6728), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6731), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119909] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6734), 1,
      anon_sym_abstract,
    STATE(3529), 1,
      sym_comment,
    STATE(4300), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119978] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6736), 1,
      anon_sym_readonly,
    STATE(3530), 1,
      sym_comment,
    STATE(3841), 1,
      sym_override_modifier,
    STATE(4303), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120051] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    STATE(3531), 1,
      sym_comment,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120106] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5766), 1,
      anon_sym_LBRACK,
    STATE(3532), 1,
      sym_comment,
    ACTIONS(5769), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5321), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5762), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5764), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120165] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3533), 1,
      sym_comment,
    ACTIONS(5261), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120220] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3534), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6693), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120293] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6738), 1,
      anon_sym_STAR,
    ACTIONS(6740), 1,
      anon_sym_async,
    ACTIONS(6742), 1,
      anon_sym_static,
    ACTIONS(6744), 1,
      anon_sym_readonly,
    ACTIONS(6748), 1,
      anon_sym_declare,
    ACTIONS(6750), 1,
      anon_sym_abstract,
    STATE(3535), 1,
      sym_comment,
    STATE(3611), 1,
      sym_method_definition,
    STATE(3698), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      aux_sym_export_statement_repeat1,
    STATE(3764), 1,
      sym_override_modifier,
    STATE(3812), 1,
      sym_decorator,
    STATE(4067), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6746), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4670), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(4492), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120386] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6605), 1,
      anon_sym_COMMA,
    ACTIONS(6685), 1,
      anon_sym_RBRACE,
    STATE(3536), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(5843), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120461] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6752), 1,
      anon_sym_abstract,
    STATE(3537), 1,
      sym_comment,
    STATE(4449), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120530] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      anon_sym_readonly,
    STATE(3538), 1,
      sym_comment,
    STATE(3820), 1,
      sym_override_modifier,
    STATE(4449), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120603] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4352), 1,
      anon_sym_RBRACK,
    ACTIONS(4481), 1,
      anon_sym_EQ,
    STATE(3539), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120662] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3540), 1,
      sym_comment,
    ACTIONS(5865), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6756), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6759), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120717] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    STATE(3541), 1,
      sym_comment,
    ACTIONS(5925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120776] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6398), 1,
      anon_sym_COMMA,
    STATE(3542), 1,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120831] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3543), 1,
      sym_comment,
    ACTIONS(2308), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6762), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6765), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120886] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4387), 1,
      anon_sym_EQ,
    STATE(3544), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120941] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    STATE(3545), 1,
      sym_comment,
    ACTIONS(5169), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5782), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121002] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5772), 1,
      anon_sym_RBRACK,
    ACTIONS(5931), 1,
      anon_sym_COMMA,
    STATE(3546), 1,
      sym_comment,
    ACTIONS(5062), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121061] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6605), 1,
      anon_sym_COMMA,
    ACTIONS(6685), 1,
      anon_sym_RBRACE,
    STATE(3547), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(5843), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121138] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_readonly,
    STATE(3548), 1,
      sym_comment,
    STATE(3827), 1,
      sym_override_modifier,
    STATE(4426), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121211] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3549), 1,
      sym_comment,
    ACTIONS(2286), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6770), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121266] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3550), 1,
      sym_comment,
    ACTIONS(5616), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6776), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6779), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121321] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4973), 1,
      anon_sym_extends,
    STATE(3551), 1,
      sym_comment,
    ACTIONS(5524), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5527), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121380] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3552), 1,
      sym_comment,
    ACTIONS(5620), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6782), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6785), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121435] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3553), 1,
      sym_comment,
    ACTIONS(2188), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6788), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6791), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121490] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3554), 1,
      sym_comment,
    STATE(4415), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121556] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(6232), 1,
      anon_sym_RBRACE,
    STATE(3555), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121618] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3556), 1,
      sym_comment,
    STATE(4425), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121684] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3557), 1,
      sym_comment,
    STATE(4438), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121750] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3558), 1,
      sym_comment,
    STATE(4446), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121816] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3559), 1,
      sym_comment,
    STATE(4361), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121882] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(6106), 1,
      anon_sym_RBRACE,
    STATE(3560), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121944] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3561), 1,
      sym_comment,
    STATE(4398), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122010] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1057), 1,
      anon_sym_RBRACE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    STATE(3562), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122072] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1057), 1,
      anon_sym_RBRACE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    STATE(3563), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122134] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4403), 1,
      anon_sym_EQ,
    STATE(3564), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122188] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3565), 1,
      sym_comment,
    STATE(4480), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122254] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3566), 1,
      sym_comment,
    STATE(4354), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122320] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6605), 1,
      anon_sym_COMMA,
    ACTIONS(6685), 1,
      anon_sym_RBRACE,
    STATE(3567), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    STATE(5843), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122390] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2144), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5911), 1,
      anon_sym_of,
    ACTIONS(6435), 1,
      anon_sym_in,
    STATE(3568), 1,
      sym_comment,
    ACTIONS(2142), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2148), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122448] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3569), 1,
      sym_comment,
    STATE(4474), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122514] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      anon_sym_EQ,
    ACTIONS(5935), 1,
      anon_sym_of,
    ACTIONS(6430), 1,
      anon_sym_in,
    STATE(3570), 1,
      sym_comment,
    ACTIONS(5695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122572] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_EQ,
    ACTIONS(5931), 1,
      anon_sym_of,
    ACTIONS(6395), 1,
      anon_sym_in,
    STATE(3571), 1,
      sym_comment,
    ACTIONS(5062), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122630] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3572), 1,
      sym_comment,
    STATE(4443), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122696] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    STATE(3573), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122758] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(6181), 1,
      anon_sym_RBRACE,
    STATE(3574), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122820] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(6181), 1,
      anon_sym_RBRACE,
    STATE(3575), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122882] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3576), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6718), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122952] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    STATE(3577), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123014] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(3578), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123076] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3579), 1,
      sym_comment,
    STATE(4306), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123142] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(3580), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123204] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    STATE(3581), 1,
      sym_comment,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123258] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(3582), 1,
      sym_comment,
    STATE(3230), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4985), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4987), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [123316] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4397), 1,
      anon_sym_EQ,
    STATE(3583), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123370] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(4438), 1,
      anon_sym_in,
    ACTIONS(4441), 1,
      anon_sym_of,
    STATE(3584), 1,
      sym_comment,
    ACTIONS(4218), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123428] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3585), 1,
      sym_comment,
    STATE(4395), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123494] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3586), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6693), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123562] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3587), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6718), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123634] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(6232), 1,
      anon_sym_RBRACE,
    STATE(3588), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123696] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3589), 1,
      sym_comment,
    STATE(4363), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123762] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    ACTIONS(6106), 1,
      anon_sym_RBRACE,
    STATE(3590), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123824] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3591), 1,
      sym_comment,
    STATE(4327), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123890] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    STATE(3592), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123944] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3593), 1,
      sym_comment,
    STATE(4313), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124010] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6088), 1,
      sym_regex_flags,
    STATE(3594), 1,
      sym_comment,
    ACTIONS(6084), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6086), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [124064] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4636), 1,
      sym__automatic_semicolon,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3595), 1,
      sym_comment,
    STATE(4337), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124130] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124192] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    STATE(3597), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124254] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3598), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6718), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124319] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4570), 1,
      anon_sym_EQ,
    STATE(3599), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124372] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4578), 1,
      anon_sym_EQ,
    STATE(3600), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4588), 1,
      anon_sym_EQ,
    STATE(3601), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124478] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4550), 1,
      anon_sym_EQ,
    STATE(3602), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124531] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4580), 1,
      anon_sym_EQ,
    STATE(3603), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124584] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4596), 1,
      anon_sym_EQ,
    STATE(3604), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124637] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_EQ,
    STATE(3605), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124690] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4554), 1,
      anon_sym_EQ,
    STATE(3606), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124743] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4558), 1,
      anon_sym_EQ,
    STATE(3607), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124796] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4566), 1,
      anon_sym_EQ,
    STATE(3608), 1,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4222), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124849] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_async,
    ACTIONS(6798), 1,
      anon_sym_readonly,
    STATE(3609), 1,
      sym_comment,
    STATE(3770), 1,
      sym_override_modifier,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6800), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124923] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6804), 1,
      sym__automatic_semicolon,
    STATE(3610), 1,
      sym_comment,
    ACTIONS(6802), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124973] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6808), 1,
      anon_sym_SEMI,
    ACTIONS(6811), 1,
      sym__automatic_semicolon,
    STATE(3611), 1,
      sym_comment,
    ACTIONS(6806), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125025] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6815), 1,
      sym__automatic_semicolon,
    STATE(3612), 1,
      sym_comment,
    ACTIONS(6813), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125075] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6819), 1,
      sym__automatic_semicolon,
    STATE(3613), 1,
      sym_comment,
    ACTIONS(6817), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125125] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6823), 1,
      sym__automatic_semicolon,
    STATE(3614), 1,
      sym_comment,
    ACTIONS(6821), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125175] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6827), 1,
      sym__automatic_semicolon,
    STATE(3615), 1,
      sym_comment,
    ACTIONS(6825), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125225] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6831), 1,
      sym__automatic_semicolon,
    STATE(3616), 1,
      sym_comment,
    ACTIONS(6829), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125275] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6835), 1,
      sym__automatic_semicolon,
    STATE(3617), 1,
      sym_comment,
    ACTIONS(6833), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125325] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6831), 1,
      sym__automatic_semicolon,
    STATE(3618), 1,
      sym_comment,
    ACTIONS(6829), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125375] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    STATE(3619), 1,
      sym_comment,
    ACTIONS(6693), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125429] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6823), 1,
      sym__automatic_semicolon,
    STATE(3620), 1,
      sym_comment,
    ACTIONS(6821), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125479] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6804), 1,
      sym__automatic_semicolon,
    STATE(3621), 1,
      sym_comment,
    ACTIONS(6802), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125529] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5151), 1,
      anon_sym_EQ,
    STATE(3622), 1,
      sym_comment,
    ACTIONS(6693), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125583] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6839), 1,
      sym__automatic_semicolon,
    STATE(3623), 1,
      sym_comment,
    ACTIONS(6837), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125633] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6835), 1,
      sym__automatic_semicolon,
    STATE(3624), 1,
      sym_comment,
    ACTIONS(6833), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125683] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6815), 1,
      sym__automatic_semicolon,
    STATE(3625), 1,
      sym_comment,
    ACTIONS(6813), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125733] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6843), 1,
      sym__automatic_semicolon,
    STATE(3626), 1,
      sym_comment,
    ACTIONS(6841), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125783] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2248), 1,
      sym__automatic_semicolon,
    STATE(3627), 1,
      sym_comment,
    ACTIONS(2246), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125833] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6843), 1,
      sym__automatic_semicolon,
    STATE(3628), 1,
      sym_comment,
    ACTIONS(6841), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125883] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6847), 1,
      sym__automatic_semicolon,
    STATE(3629), 1,
      sym_comment,
    ACTIONS(6845), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125933] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6835), 1,
      sym__automatic_semicolon,
    STATE(3630), 1,
      sym_comment,
    ACTIONS(6833), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125983] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6804), 1,
      sym__automatic_semicolon,
    STATE(3631), 1,
      sym_comment,
    ACTIONS(6802), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126033] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6804), 1,
      sym__automatic_semicolon,
    STATE(3632), 1,
      sym_comment,
    ACTIONS(6802), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126083] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6804), 1,
      sym__automatic_semicolon,
    STATE(3633), 1,
      sym_comment,
    ACTIONS(6802), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126133] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6804), 1,
      sym__automatic_semicolon,
    STATE(3634), 1,
      sym_comment,
    ACTIONS(6802), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126183] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6851), 1,
      sym__automatic_semicolon,
    STATE(3635), 1,
      sym_comment,
    ACTIONS(6849), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126233] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6853), 1,
      sym__automatic_semicolon,
    STATE(3636), 1,
      sym_comment,
    ACTIONS(2140), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126283] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6815), 1,
      sym__automatic_semicolon,
    STATE(3637), 1,
      sym_comment,
    ACTIONS(6813), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126333] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6857), 1,
      sym__automatic_semicolon,
    STATE(3638), 1,
      sym_comment,
    ACTIONS(6855), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126383] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6847), 1,
      sym__automatic_semicolon,
    STATE(3639), 1,
      sym_comment,
    ACTIONS(6845), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126433] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6835), 1,
      sym__automatic_semicolon,
    STATE(3640), 1,
      sym_comment,
    ACTIONS(6833), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126483] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6859), 1,
      sym__automatic_semicolon,
    STATE(3641), 1,
      sym_comment,
    ACTIONS(2190), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126533] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6823), 1,
      sym__automatic_semicolon,
    STATE(3642), 1,
      sym_comment,
    ACTIONS(6821), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126583] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6851), 1,
      sym__automatic_semicolon,
    STATE(3643), 1,
      sym_comment,
    ACTIONS(6849), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126633] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6804), 1,
      sym__automatic_semicolon,
    STATE(3644), 1,
      sym_comment,
    ACTIONS(6802), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126683] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6815), 1,
      sym__automatic_semicolon,
    STATE(3645), 1,
      sym_comment,
    ACTIONS(6813), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126733] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6863), 1,
      anon_sym_SEMI,
    ACTIONS(6866), 1,
      sym__automatic_semicolon,
    STATE(3646), 1,
      sym_comment,
    ACTIONS(6861), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126785] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6868), 1,
      sym__automatic_semicolon,
    STATE(3647), 1,
      sym_comment,
    ACTIONS(2140), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126835] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6870), 1,
      sym__automatic_semicolon,
    STATE(3648), 1,
      sym_comment,
    ACTIONS(2190), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126885] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6831), 1,
      sym__automatic_semicolon,
    STATE(3649), 1,
      sym_comment,
    ACTIONS(6829), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126935] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6851), 1,
      sym__automatic_semicolon,
    STATE(3650), 1,
      sym_comment,
    ACTIONS(6849), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126985] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6831), 1,
      sym__automatic_semicolon,
    STATE(3651), 1,
      sym_comment,
    ACTIONS(6829), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127035] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6823), 1,
      sym__automatic_semicolon,
    STATE(3652), 1,
      sym_comment,
    ACTIONS(6821), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127085] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6831), 1,
      sym__automatic_semicolon,
    STATE(3653), 1,
      sym_comment,
    ACTIONS(6829), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127135] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6823), 1,
      sym__automatic_semicolon,
    STATE(3654), 1,
      sym_comment,
    ACTIONS(6821), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127185] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6823), 1,
      sym__automatic_semicolon,
    STATE(3655), 1,
      sym_comment,
    ACTIONS(6821), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127235] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6851), 1,
      sym__automatic_semicolon,
    STATE(3656), 1,
      sym_comment,
    ACTIONS(6849), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127285] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6815), 1,
      sym__automatic_semicolon,
    STATE(3657), 1,
      sym_comment,
    ACTIONS(6813), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127335] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6823), 1,
      sym__automatic_semicolon,
    STATE(3658), 1,
      sym_comment,
    ACTIONS(6821), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127385] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6605), 1,
      anon_sym_COMMA,
    ACTIONS(6685), 1,
      anon_sym_RBRACE,
    STATE(3659), 1,
      sym_comment,
    STATE(5843), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127441] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6874), 1,
      sym__automatic_semicolon,
    STATE(3660), 1,
      sym_comment,
    ACTIONS(6872), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127491] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6878), 1,
      sym__automatic_semicolon,
    STATE(3661), 1,
      sym_comment,
    ACTIONS(6876), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127541] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6851), 1,
      sym__automatic_semicolon,
    STATE(3662), 1,
      sym_comment,
    ACTIONS(6849), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127591] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6835), 1,
      sym__automatic_semicolon,
    STATE(3663), 1,
      sym_comment,
    ACTIONS(6833), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127641] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6605), 1,
      anon_sym_COMMA,
    ACTIONS(6685), 1,
      anon_sym_RBRACE,
    STATE(3664), 1,
      sym_comment,
    STATE(5843), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127697] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2192), 1,
      sym__automatic_semicolon,
    STATE(3665), 1,
      sym_comment,
    ACTIONS(2190), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127747] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6880), 1,
      anon_sym_STAR,
    STATE(3666), 1,
      sym_comment,
    STATE(4910), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6882), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127812] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6880), 1,
      anon_sym_STAR,
    ACTIONS(6884), 1,
      anon_sym_async,
    STATE(3667), 1,
      sym_comment,
    STATE(4910), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6882), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127879] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    STATE(3668), 1,
      sym_comment,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6800), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127944] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_async,
    STATE(3669), 1,
      sym_comment,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6800), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128011] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3670), 1,
      sym_comment,
    ACTIONS(6886), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128058] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3671), 1,
      sym_comment,
    ACTIONS(6886), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128105] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6888), 1,
      anon_sym_STAR,
    ACTIONS(6890), 1,
      anon_sym_async,
    STATE(3672), 1,
      sym_comment,
    STATE(4990), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6892), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128172] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3673), 1,
      sym_comment,
    ACTIONS(6894), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128219] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3674), 1,
      sym_comment,
    ACTIONS(6718), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128270] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6888), 1,
      anon_sym_STAR,
    STATE(3675), 1,
      sym_comment,
    STATE(4990), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6892), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128335] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3676), 1,
      sym_comment,
    ACTIONS(6718), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2474), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128386] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3677), 1,
      sym_comment,
    ACTIONS(2246), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128433] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6896), 1,
      anon_sym_STAR,
    STATE(3678), 1,
      sym_comment,
    STATE(4911), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6898), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128498] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3679), 1,
      sym_comment,
    ACTIONS(2190), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128545] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3680), 1,
      sym_comment,
    ACTIONS(6861), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128592] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6900), 1,
      anon_sym_EQ_GT,
    STATE(3681), 1,
      sym_comment,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128655] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3682), 1,
      sym_comment,
    ACTIONS(6902), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128702] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3683), 1,
      sym_comment,
    STATE(4990), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128762] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3684), 1,
      sym_comment,
    STATE(4960), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128822] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3685), 1,
      sym_comment,
    STATE(4942), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128882] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6904), 1,
      anon_sym_LPAREN,
    ACTIONS(6906), 1,
      anon_sym_DOT,
    STATE(3686), 1,
      sym_comment,
    STATE(3784), 1,
      sym_arguments,
    ACTIONS(4357), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128934] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3687), 1,
      sym_comment,
    STATE(4992), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128994] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3688), 1,
      sym_comment,
    STATE(4911), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129054] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3689), 1,
      sym_comment,
    STATE(4967), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129114] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3690), 1,
      sym_comment,
    STATE(4930), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129174] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3691), 1,
      sym_comment,
    STATE(4922), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129234] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3692), 1,
      sym_comment,
    STATE(4974), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129294] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3693), 1,
      sym_comment,
    STATE(4915), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129354] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3694), 1,
      sym_comment,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129414] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3695), 1,
      sym_comment,
    STATE(4912), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129474] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3696), 1,
      sym_comment,
    STATE(4904), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129534] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3697), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129594] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_STAR,
    ACTIONS(6224), 1,
      anon_sym_async,
    ACTIONS(6908), 1,
      anon_sym_static,
    ACTIONS(6910), 1,
      anon_sym_readonly,
    ACTIONS(6912), 1,
      anon_sym_declare,
    ACTIONS(6914), 1,
      anon_sym_abstract,
    STATE(3698), 1,
      sym_comment,
    STATE(3778), 1,
      sym_override_modifier,
    STATE(4074), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6228), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129670] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5514), 1,
      anon_sym_STAR,
    ACTIONS(5518), 1,
      anon_sym_async,
    ACTIONS(6916), 1,
      anon_sym_static,
    ACTIONS(6918), 1,
      anon_sym_readonly,
    ACTIONS(6920), 1,
      anon_sym_declare,
    ACTIONS(6922), 1,
      anon_sym_abstract,
    STATE(3699), 1,
      sym_comment,
    STATE(3783), 1,
      sym_override_modifier,
    STATE(4070), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5522), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129746] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3700), 1,
      sym_comment,
    STATE(4893), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129806] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3701), 1,
      sym_comment,
    STATE(4884), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129866] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3702), 1,
      sym_comment,
    STATE(4877), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129926] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3703), 1,
      sym_comment,
    STATE(4981), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129986] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3704), 1,
      sym_comment,
    STATE(4804), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130046] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3705), 1,
      sym_comment,
    STATE(4868), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130106] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3706), 1,
      sym_comment,
    STATE(4934), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130166] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3707), 1,
      sym_comment,
    STATE(4910), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130226] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3708), 1,
      sym_comment,
    STATE(4959), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130286] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_comment,
    STATE(4947), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130346] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3710), 1,
      sym_comment,
    STATE(4896), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130406] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3711), 1,
      sym_comment,
    STATE(4962), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130466] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3712), 1,
      sym_comment,
    STATE(4955), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130526] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2961), 1,
      anon_sym_namespace,
    ACTIONS(2963), 1,
      anon_sym_import,
    ACTIONS(2965), 1,
      anon_sym_var,
    ACTIONS(2967), 1,
      anon_sym_let,
    ACTIONS(2969), 1,
      anon_sym_const,
    ACTIONS(2973), 1,
      anon_sym_class,
    ACTIONS(2975), 1,
      anon_sym_async,
    ACTIONS(2977), 1,
      anon_sym_function,
    ACTIONS(2979), 1,
      anon_sym_declare,
    ACTIONS(2981), 1,
      anon_sym_module,
    ACTIONS(2983), 1,
      anon_sym_abstract,
    ACTIONS(2985), 1,
      anon_sym_interface,
    ACTIONS(2987), 1,
      anon_sym_enum,
    ACTIONS(2999), 1,
      anon_sym_type,
    ACTIONS(6924), 1,
      anon_sym_default,
    STATE(1064), 1,
      sym_declaration,
    STATE(1185), 1,
      sym_internal_module,
    STATE(3713), 1,
      sym_comment,
    STATE(5095), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(1205), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130611] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6926), 1,
      anon_sym_RBRACE,
    STATE(3714), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130672] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2885), 1,
      anon_sym_namespace,
    ACTIONS(2887), 1,
      anon_sym_import,
    ACTIONS(2889), 1,
      anon_sym_var,
    ACTIONS(2891), 1,
      anon_sym_let,
    ACTIONS(2893), 1,
      anon_sym_const,
    ACTIONS(2897), 1,
      anon_sym_class,
    ACTIONS(2899), 1,
      anon_sym_async,
    ACTIONS(2901), 1,
      anon_sym_function,
    ACTIONS(2903), 1,
      anon_sym_declare,
    ACTIONS(2907), 1,
      anon_sym_abstract,
    ACTIONS(2909), 1,
      anon_sym_interface,
    ACTIONS(2911), 1,
      anon_sym_enum,
    ACTIONS(3011), 1,
      anon_sym_type,
    ACTIONS(3013), 1,
      anon_sym_module,
    ACTIONS(3015), 1,
      anon_sym_global,
    STATE(3715), 1,
      sym_comment,
    STATE(5328), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6925), 1,
      sym_internal_module,
    STATE(6938), 1,
      sym_declaration,
    STATE(6924), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130757] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3025), 1,
      anon_sym_type,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4638), 1,
      anon_sym_module,
    ACTIONS(6928), 1,
      anon_sym_default,
    STATE(3716), 1,
      sym_comment,
    STATE(5101), 1,
      sym_declaration,
    STATE(5109), 1,
      sym_internal_module,
    STATE(5142), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(5108), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130842] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6930), 1,
      anon_sym_RBRACE,
    STATE(3717), 1,
      sym_comment,
    STATE(5494), 1,
      sym__property_name,
    STATE(6065), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130903] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6932), 1,
      anon_sym_RBRACE,
    STATE(3718), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130964] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6934), 1,
      anon_sym_RBRACE,
    STATE(3719), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131025] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6936), 1,
      anon_sym_RBRACE,
    STATE(3720), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131086] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_RBRACE,
    STATE(3721), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131147] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2923), 1,
      anon_sym_namespace,
    ACTIONS(2925), 1,
      anon_sym_import,
    ACTIONS(2927), 1,
      anon_sym_var,
    ACTIONS(2929), 1,
      anon_sym_let,
    ACTIONS(2931), 1,
      anon_sym_const,
    ACTIONS(2935), 1,
      anon_sym_class,
    ACTIONS(2937), 1,
      anon_sym_async,
    ACTIONS(2939), 1,
      anon_sym_function,
    ACTIONS(2941), 1,
      anon_sym_declare,
    ACTIONS(2945), 1,
      anon_sym_abstract,
    ACTIONS(2947), 1,
      anon_sym_interface,
    ACTIONS(2949), 1,
      anon_sym_enum,
    ACTIONS(3017), 1,
      anon_sym_type,
    ACTIONS(3019), 1,
      anon_sym_module,
    ACTIONS(3021), 1,
      anon_sym_global,
    STATE(1274), 1,
      sym_declaration,
    STATE(1315), 1,
      sym_internal_module,
    STATE(3722), 1,
      sym_comment,
    STATE(5125), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(1318), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131232] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6940), 1,
      anon_sym_RBRACE,
    STATE(3723), 1,
      sym_comment,
    STATE(5469), 1,
      sym__property_name,
    STATE(6081), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131293] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_STAR,
    ACTIONS(6216), 1,
      anon_sym_async,
    ACTIONS(6218), 1,
      anon_sym_readonly,
    ACTIONS(6942), 1,
      anon_sym_static,
    STATE(3724), 1,
      sym_comment,
    STATE(3772), 1,
      sym_override_modifier,
    STATE(4117), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6220), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131364] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2923), 1,
      anon_sym_namespace,
    ACTIONS(2925), 1,
      anon_sym_import,
    ACTIONS(2927), 1,
      anon_sym_var,
    ACTIONS(2929), 1,
      anon_sym_let,
    ACTIONS(2931), 1,
      anon_sym_const,
    ACTIONS(2935), 1,
      anon_sym_class,
    ACTIONS(2937), 1,
      anon_sym_async,
    ACTIONS(2939), 1,
      anon_sym_function,
    ACTIONS(2941), 1,
      anon_sym_declare,
    ACTIONS(2943), 1,
      anon_sym_module,
    ACTIONS(2945), 1,
      anon_sym_abstract,
    ACTIONS(2947), 1,
      anon_sym_interface,
    ACTIONS(2949), 1,
      anon_sym_enum,
    ACTIONS(3017), 1,
      anon_sym_type,
    ACTIONS(6944), 1,
      anon_sym_default,
    STATE(1255), 1,
      sym_declaration,
    STATE(1315), 1,
      sym_internal_module,
    STATE(3725), 1,
      sym_comment,
    STATE(5125), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(1318), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131449] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6946), 1,
      anon_sym_RBRACE,
    STATE(3726), 1,
      sym_comment,
    STATE(5183), 1,
      sym__property_name,
    STATE(6316), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131510] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6948), 1,
      anon_sym_RBRACE,
    STATE(3727), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131571] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6950), 1,
      anon_sym_RBRACE,
    STATE(3728), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131632] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_RBRACE,
    STATE(3729), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131693] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2752), 1,
      anon_sym_namespace,
    ACTIONS(2758), 1,
      anon_sym_import,
    ACTIONS(2760), 1,
      anon_sym_var,
    ACTIONS(2762), 1,
      anon_sym_let,
    ACTIONS(2764), 1,
      anon_sym_const,
    ACTIONS(2772), 1,
      anon_sym_class,
    ACTIONS(2774), 1,
      anon_sym_async,
    ACTIONS(2776), 1,
      anon_sym_function,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2789), 1,
      anon_sym_declare,
    ACTIONS(2793), 1,
      anon_sym_abstract,
    ACTIONS(2795), 1,
      anon_sym_interface,
    ACTIONS(2797), 1,
      anon_sym_enum,
    ACTIONS(2827), 1,
      anon_sym_type,
    ACTIONS(2829), 1,
      anon_sym_module,
    ACTIONS(2831), 1,
      anon_sym_global,
    STATE(1647), 1,
      sym_internal_module,
    STATE(1732), 1,
      sym_declaration,
    STATE(3730), 1,
      sym_comment,
    STATE(5112), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(1772), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131778] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6954), 1,
      anon_sym_RBRACE,
    STATE(3731), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131839] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2961), 1,
      anon_sym_namespace,
    ACTIONS(2963), 1,
      anon_sym_import,
    ACTIONS(2965), 1,
      anon_sym_var,
    ACTIONS(2967), 1,
      anon_sym_let,
    ACTIONS(2969), 1,
      anon_sym_const,
    ACTIONS(2973), 1,
      anon_sym_class,
    ACTIONS(2975), 1,
      anon_sym_async,
    ACTIONS(2977), 1,
      anon_sym_function,
    ACTIONS(2979), 1,
      anon_sym_declare,
    ACTIONS(2983), 1,
      anon_sym_abstract,
    ACTIONS(2985), 1,
      anon_sym_interface,
    ACTIONS(2987), 1,
      anon_sym_enum,
    ACTIONS(2999), 1,
      anon_sym_type,
    ACTIONS(3001), 1,
      anon_sym_module,
    ACTIONS(3003), 1,
      anon_sym_global,
    STATE(1150), 1,
      sym_declaration,
    STATE(1185), 1,
      sym_internal_module,
    STATE(3732), 1,
      sym_comment,
    STATE(5095), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(1205), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131924] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6956), 1,
      anon_sym_AT,
    STATE(3812), 1,
      sym_decorator,
    STATE(3733), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4375), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [131973] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6959), 1,
      anon_sym_RBRACE,
    STATE(3734), 1,
      sym_comment,
    STATE(5143), 1,
      sym__property_name,
    STATE(6362), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132034] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2847), 1,
      anon_sym_namespace,
    ACTIONS(2849), 1,
      anon_sym_import,
    ACTIONS(2851), 1,
      anon_sym_var,
    ACTIONS(2853), 1,
      anon_sym_let,
    ACTIONS(2855), 1,
      anon_sym_const,
    ACTIONS(2859), 1,
      anon_sym_class,
    ACTIONS(2861), 1,
      anon_sym_async,
    ACTIONS(2863), 1,
      anon_sym_function,
    ACTIONS(2865), 1,
      anon_sym_declare,
    ACTIONS(2867), 1,
      anon_sym_module,
    ACTIONS(2869), 1,
      anon_sym_abstract,
    ACTIONS(2871), 1,
      anon_sym_interface,
    ACTIONS(2873), 1,
      anon_sym_enum,
    ACTIONS(3005), 1,
      anon_sym_type,
    ACTIONS(6961), 1,
      anon_sym_default,
    STATE(1358), 1,
      sym_internal_module,
    STATE(1605), 1,
      sym_declaration,
    STATE(3735), 1,
      sym_comment,
    STATE(5167), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(1364), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132119] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6963), 1,
      anon_sym_RBRACE,
    STATE(3736), 1,
      sym_comment,
    STATE(5016), 1,
      sym__property_name,
    STATE(5773), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132180] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6965), 1,
      anon_sym_RBRACE,
    STATE(3737), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132241] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2752), 1,
      anon_sym_namespace,
    ACTIONS(2758), 1,
      anon_sym_import,
    ACTIONS(2760), 1,
      anon_sym_var,
    ACTIONS(2762), 1,
      anon_sym_let,
    ACTIONS(2764), 1,
      anon_sym_const,
    ACTIONS(2772), 1,
      anon_sym_class,
    ACTIONS(2774), 1,
      anon_sym_async,
    ACTIONS(2776), 1,
      anon_sym_function,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2789), 1,
      anon_sym_declare,
    ACTIONS(2791), 1,
      anon_sym_module,
    ACTIONS(2793), 1,
      anon_sym_abstract,
    ACTIONS(2795), 1,
      anon_sym_interface,
    ACTIONS(2797), 1,
      anon_sym_enum,
    ACTIONS(2827), 1,
      anon_sym_type,
    ACTIONS(6967), 1,
      anon_sym_default,
    STATE(1637), 1,
      sym_declaration,
    STATE(1647), 1,
      sym_internal_module,
    STATE(3738), 1,
      sym_comment,
    STATE(5112), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(1772), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132326] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6969), 1,
      anon_sym_RBRACE,
    STATE(3739), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132387] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6208), 1,
      anon_sym_static,
    ACTIONS(6210), 1,
      anon_sym_readonly,
    ACTIONS(6212), 1,
      anon_sym_abstract,
    STATE(3740), 1,
      sym_comment,
    STATE(3813), 1,
      sym_override_modifier,
    STATE(4390), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132454] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_RBRACE,
    STATE(3741), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132515] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_static,
    ACTIONS(6975), 1,
      anon_sym_readonly,
    ACTIONS(6977), 1,
      anon_sym_abstract,
    STATE(3742), 1,
      sym_comment,
    STATE(3830), 1,
      sym_override_modifier,
    STATE(4418), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132582] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6714), 1,
      anon_sym_readonly,
    ACTIONS(6979), 1,
      anon_sym_STAR,
    STATE(3743), 1,
      sym_comment,
    STATE(3776), 1,
      sym_override_modifier,
    STATE(4060), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6981), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132649] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_static,
    STATE(3744), 1,
      sym_comment,
    STATE(3765), 1,
      sym_override_modifier,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132720] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6985), 1,
      anon_sym_RBRACE,
    STATE(3745), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132781] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2847), 1,
      anon_sym_namespace,
    ACTIONS(2849), 1,
      anon_sym_import,
    ACTIONS(2851), 1,
      anon_sym_var,
    ACTIONS(2853), 1,
      anon_sym_let,
    ACTIONS(2855), 1,
      anon_sym_const,
    ACTIONS(2859), 1,
      anon_sym_class,
    ACTIONS(2861), 1,
      anon_sym_async,
    ACTIONS(2863), 1,
      anon_sym_function,
    ACTIONS(2865), 1,
      anon_sym_declare,
    ACTIONS(2869), 1,
      anon_sym_abstract,
    ACTIONS(2871), 1,
      anon_sym_interface,
    ACTIONS(2873), 1,
      anon_sym_enum,
    ACTIONS(3005), 1,
      anon_sym_type,
    ACTIONS(3007), 1,
      anon_sym_module,
    ACTIONS(3009), 1,
      anon_sym_global,
    STATE(1322), 1,
      sym_declaration,
    STATE(1358), 1,
      sym_internal_module,
    STATE(3746), 1,
      sym_comment,
    STATE(5167), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(1364), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132866] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3025), 1,
      anon_sym_type,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3045), 1,
      anon_sym_module,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3049), 1,
      anon_sym_global,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    STATE(3747), 1,
      sym_comment,
    STATE(5104), 1,
      sym_declaration,
    STATE(5109), 1,
      sym_internal_module,
    STATE(5142), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(5108), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132951] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      anon_sym_RBRACE,
    STATE(3748), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133012] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6989), 1,
      anon_sym_RBRACE,
    STATE(3749), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133073] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6991), 1,
      anon_sym_RBRACE,
    STATE(3750), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133134] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6993), 1,
      anon_sym_RBRACE,
    STATE(3751), 1,
      sym_comment,
    STATE(5380), 1,
      sym__property_name,
    STATE(6140), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133195] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3752), 1,
      sym_comment,
    ACTIONS(4413), 33,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [133240] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6995), 1,
      anon_sym_RBRACE,
    STATE(3753), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133301] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6997), 1,
      anon_sym_RBRACE,
    STATE(3754), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133362] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6999), 1,
      anon_sym_RBRACE,
    STATE(3755), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133423] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5163), 1,
      anon_sym_readonly,
    ACTIONS(7001), 1,
      anon_sym_static,
    STATE(3756), 1,
      sym_comment,
    STATE(3780), 1,
      sym_override_modifier,
    STATE(4103), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133494] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2885), 1,
      anon_sym_namespace,
    ACTIONS(2887), 1,
      anon_sym_import,
    ACTIONS(2889), 1,
      anon_sym_var,
    ACTIONS(2891), 1,
      anon_sym_let,
    ACTIONS(2893), 1,
      anon_sym_const,
    ACTIONS(2897), 1,
      anon_sym_class,
    ACTIONS(2899), 1,
      anon_sym_async,
    ACTIONS(2901), 1,
      anon_sym_function,
    ACTIONS(2903), 1,
      anon_sym_declare,
    ACTIONS(2905), 1,
      anon_sym_module,
    ACTIONS(2907), 1,
      anon_sym_abstract,
    ACTIONS(2909), 1,
      anon_sym_interface,
    ACTIONS(2911), 1,
      anon_sym_enum,
    ACTIONS(3011), 1,
      anon_sym_type,
    ACTIONS(7003), 1,
      anon_sym_default,
    STATE(3757), 1,
      sym_comment,
    STATE(5328), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
    STATE(6925), 1,
      sym_internal_module,
    STATE(7093), 1,
      sym_declaration,
    STATE(6924), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [133579] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      anon_sym_RBRACE,
    STATE(3758), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133640] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(7007), 1,
      anon_sym_RBRACE,
    STATE(3759), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133701] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(4516), 1,
      anon_sym_override,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7009), 1,
      anon_sym_STAR,
    ACTIONS(7011), 1,
      anon_sym_readonly,
    STATE(3760), 1,
      sym_comment,
    STATE(3782), 1,
      sym_override_modifier,
    STATE(4068), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(7013), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133768] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(7015), 1,
      anon_sym_RBRACE,
    STATE(3761), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133829] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      anon_sym_RBRACE,
    STATE(3762), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133890] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_RBRACE,
    STATE(3763), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133951] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_STAR,
    ACTIONS(6224), 1,
      anon_sym_async,
    ACTIONS(7021), 1,
      anon_sym_readonly,
    STATE(3764), 1,
      sym_comment,
    STATE(4075), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6228), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134015] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6794), 1,
      anon_sym_STAR,
    ACTIONS(6796), 1,
      anon_sym_async,
    ACTIONS(6798), 1,
      anon_sym_readonly,
    STATE(3765), 1,
      sym_comment,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6800), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134079] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3766), 1,
      sym_comment,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2470), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134125] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6337), 1,
      anon_sym_STAR,
    ACTIONS(6512), 1,
      anon_sym_async,
    ACTIONS(7023), 1,
      anon_sym_readonly,
    STATE(3767), 1,
      sym_comment,
    STATE(4047), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6514), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134189] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6458), 1,
      anon_sym_STAR,
    ACTIONS(6460), 1,
      anon_sym_async,
    ACTIONS(7025), 1,
      anon_sym_readonly,
    STATE(3768), 1,
      sym_comment,
    STATE(4121), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6462), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134253] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_STAR,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5161), 1,
      anon_sym_async,
    ACTIONS(5163), 1,
      anon_sym_readonly,
    STATE(3769), 1,
      sym_comment,
    STATE(4103), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5165), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134317] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6880), 1,
      anon_sym_STAR,
    ACTIONS(6884), 1,
      anon_sym_async,
    ACTIONS(7027), 1,
      anon_sym_readonly,
    STATE(3770), 1,
      sym_comment,
    STATE(4910), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6882), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134381] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 1,
      anon_sym_STAR,
    STATE(3771), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134445] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6165), 1,
      anon_sym_STAR,
    ACTIONS(6167), 1,
      anon_sym_async,
    ACTIONS(6169), 1,
      anon_sym_readonly,
    STATE(3772), 1,
      sym_comment,
    STATE(4126), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6171), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134509] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(5514), 1,
      anon_sym_STAR,
    ACTIONS(5518), 1,
      anon_sym_async,
    ACTIONS(5520), 1,
      anon_sym_readonly,
    STATE(3773), 1,
      sym_comment,
    STATE(4070), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5522), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134573] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3774), 1,
      sym_comment,
    STATE(5621), 1,
      sym__property_name,
    STATE(6732), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134631] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6595), 1,
      anon_sym_STAR,
    ACTIONS(6597), 1,
      anon_sym_async,
    ACTIONS(7029), 1,
      anon_sym_readonly,
    STATE(3775), 1,
      sym_comment,
    STATE(4073), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6599), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134695] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(7031), 1,
      anon_sym_STAR,
    STATE(3776), 1,
      sym_comment,
    STATE(4992), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(7033), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134755] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      anon_sym_STAR,
    ACTIONS(6120), 1,
      anon_sym_async,
    ACTIONS(7035), 1,
      anon_sym_readonly,
    STATE(3777), 1,
      sym_comment,
    STATE(4066), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6124), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134819] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      anon_sym_STAR,
    ACTIONS(6120), 1,
      anon_sym_async,
    ACTIONS(7037), 1,
      anon_sym_readonly,
    STATE(3778), 1,
      sym_comment,
    STATE(4058), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6124), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134883] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6319), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_async,
    ACTIONS(7039), 1,
      anon_sym_readonly,
    STATE(3779), 1,
      sym_comment,
    STATE(4115), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6351), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134947] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6144), 1,
      anon_sym_STAR,
    ACTIONS(6146), 1,
      anon_sym_async,
    ACTIONS(6148), 1,
      anon_sym_readonly,
    STATE(3780), 1,
      sym_comment,
    STATE(4091), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6150), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135011] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_STAR,
    ACTIONS(6216), 1,
      anon_sym_async,
    ACTIONS(6218), 1,
      anon_sym_readonly,
    STATE(3781), 1,
      sym_comment,
    STATE(4117), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6220), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135075] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(6979), 1,
      anon_sym_STAR,
    STATE(3782), 1,
      sym_comment,
    STATE(4944), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(7041), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135135] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6173), 1,
      anon_sym_STAR,
    ACTIONS(6175), 1,
      anon_sym_async,
    ACTIONS(6177), 1,
      anon_sym_readonly,
    STATE(3783), 1,
      sym_comment,
    STATE(4056), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135199] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3784), 1,
      sym_comment,
    ACTIONS(4436), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [135242] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7043), 1,
      anon_sym_readonly,
    STATE(3785), 1,
      sym_comment,
    STATE(4430), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135299] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7045), 1,
      anon_sym_readonly,
    STATE(3786), 1,
      sym_comment,
    STATE(4360), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135356] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3787), 1,
      sym_comment,
    STATE(4902), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135411] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7047), 1,
      anon_sym_readonly,
    STATE(3788), 1,
      sym_comment,
    STATE(4416), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135468] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7049), 1,
      anon_sym_readonly,
    STATE(3789), 1,
      sym_comment,
    STATE(4401), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135525] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3790), 1,
      sym_comment,
    STATE(4942), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135580] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3791), 1,
      sym_comment,
    ACTIONS(4357), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [135623] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3792), 1,
      sym_comment,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135678] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3793), 1,
      sym_comment,
    STATE(4835), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135733] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3794), 1,
      sym_comment,
    STATE(4848), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135788] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3795), 1,
      sym_comment,
    STATE(4962), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135843] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3796), 1,
      sym_comment,
    STATE(4960), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135898] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3797), 1,
      sym_comment,
    STATE(4959), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135953] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3798), 1,
      sym_comment,
    STATE(4955), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136008] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_comment,
    STATE(4947), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136063] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3800), 1,
      sym_comment,
    STATE(4896), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136118] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3801), 1,
      sym_comment,
    STATE(4935), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136173] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3802), 1,
      sym_comment,
    STATE(4910), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136228] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3803), 1,
      sym_comment,
    ACTIONS(4446), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [136271] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3804), 1,
      sym_comment,
    ACTIONS(4452), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [136314] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3805), 1,
      sym_comment,
    STATE(4934), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136369] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3806), 1,
      sym_comment,
    STATE(4390), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136424] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6714), 1,
      anon_sym_readonly,
    STATE(3807), 1,
      sym_comment,
    STATE(4390), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136481] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3808), 1,
      sym_comment,
    STATE(4992), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136536] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3809), 1,
      sym_comment,
    STATE(4944), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136591] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3810), 1,
      sym_comment,
    STATE(4911), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136646] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3811), 1,
      sym_comment,
    STATE(4449), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136701] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3812), 1,
      sym_comment,
    ACTIONS(4430), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [136744] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      anon_sym_readonly,
    STATE(3813), 1,
      sym_comment,
    STATE(4449), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136801] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3814), 1,
      sym_comment,
    STATE(4930), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136856] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3815), 1,
      sym_comment,
    STATE(4922), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136911] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3816), 1,
      sym_comment,
    STATE(4967), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136966] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3817), 1,
      sym_comment,
    STATE(4431), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137021] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_comment,
    STATE(4974), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137076] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3819), 1,
      sym_comment,
    STATE(4868), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137131] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7051), 1,
      anon_sym_readonly,
    STATE(3820), 1,
      sym_comment,
    STATE(4327), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137188] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3821), 1,
      sym_comment,
    STATE(4327), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137243] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3822), 1,
      sym_comment,
    STATE(4915), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137298] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3823), 1,
      sym_comment,
    STATE(4912), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137353] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3824), 1,
      sym_comment,
    STATE(4990), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137408] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3825), 1,
      sym_comment,
    STATE(4981), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137463] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3826), 1,
      sym_comment,
    STATE(4904), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137518] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_readonly,
    STATE(3827), 1,
      sym_comment,
    STATE(4310), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137575] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3828), 1,
      sym_comment,
    STATE(4309), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137630] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_readonly,
    STATE(3829), 1,
      sym_comment,
    STATE(4299), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137687] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7057), 1,
      anon_sym_readonly,
    STATE(3830), 1,
      sym_comment,
    STATE(4406), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137744] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3831), 1,
      sym_comment,
    STATE(4804), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137799] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3832), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137854] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3833), 1,
      sym_comment,
    STATE(4486), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137909] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3834), 1,
      sym_comment,
    STATE(4442), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137964] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7059), 1,
      anon_sym_readonly,
    STATE(3835), 1,
      sym_comment,
    STATE(4465), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138021] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_readonly,
    STATE(3836), 1,
      sym_comment,
    STATE(4448), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138078] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_readonly,
    STATE(3837), 1,
      sym_comment,
    STATE(4485), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138135] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3838), 1,
      sym_comment,
    STATE(4893), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138190] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    STATE(3839), 1,
      sym_comment,
    STATE(4434), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138245] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3840), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138300] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_LBRACK,
    ACTIONS(7065), 1,
      anon_sym_readonly,
    STATE(3841), 1,
      sym_comment,
    STATE(4429), 1,
      sym__property_name,
    ACTIONS(3991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4240), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138357] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3842), 1,
      sym_comment,
    ACTIONS(4428), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [138400] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3843), 1,
      sym_comment,
    STATE(4877), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138455] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    STATE(3844), 1,
      sym_comment,
    STATE(4884), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4552), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138510] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7067), 1,
      sym_identifier,
    STATE(3845), 1,
      sym_comment,
    STATE(7291), 1,
      sym_mapped_type_clause,
    ACTIONS(7069), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [138550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3846), 1,
      sym_comment,
    ACTIONS(4452), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4967), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [138585] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_DOT,
    ACTIONS(4282), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(3847), 1,
      sym_comment,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    ACTIONS(4250), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4240), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138632] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7073), 1,
      anon_sym_DOT,
    ACTIONS(7075), 1,
      anon_sym_QMARK_DOT,
    STATE(3848), 1,
      sym_comment,
    STATE(3912), 1,
      sym_arguments,
    STATE(4011), 1,
      sym_type_arguments,
    ACTIONS(4939), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4941), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138679] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7077), 1,
      anon_sym_DOT,
    ACTIONS(7079), 1,
      anon_sym_QMARK_DOT,
    STATE(3849), 1,
      sym_comment,
    STATE(3908), 1,
      sym_arguments,
    STATE(4036), 1,
      sym_type_arguments,
    ACTIONS(4951), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4953), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3850), 1,
      sym_comment,
    ACTIONS(4446), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4965), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [138761] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3851), 1,
      sym_comment,
    ACTIONS(4428), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4975), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [138796] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2216), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3852), 1,
      sym_comment,
    ACTIONS(2218), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [138830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2160), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3853), 1,
      sym_comment,
    ACTIONS(2162), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [138864] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4945), 1,
      anon_sym_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7081), 1,
      anon_sym_DOT,
    ACTIONS(7083), 1,
      anon_sym_is,
    STATE(3854), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4312), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138905] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3855), 1,
      sym_comment,
    ACTIONS(5401), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5403), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138938] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3856), 1,
      sym_comment,
    ACTIONS(5048), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5050), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138971] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3857), 1,
      sym_comment,
    ACTIONS(4995), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4997), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3858), 1,
      sym_comment,
    ACTIONS(5173), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5175), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139037] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3859), 1,
      sym_comment,
    ACTIONS(5247), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5249), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3860), 1,
      sym_comment,
    ACTIONS(5267), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5269), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139103] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3861), 1,
      sym_comment,
    ACTIONS(5029), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5031), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3862), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5288), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3863), 1,
      sym_comment,
    ACTIONS(5177), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5179), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3864), 1,
      sym_comment,
    ACTIONS(5267), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5269), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139235] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3865), 1,
      sym_comment,
    ACTIONS(4995), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4997), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3866), 1,
      sym_comment,
    ACTIONS(4995), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4997), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139301] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3867), 1,
      sym_comment,
    ACTIONS(5181), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5183), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3868), 1,
      sym_comment,
    ACTIONS(5177), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5179), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139367] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3869), 1,
      sym_comment,
    ACTIONS(5181), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5183), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3870), 1,
      sym_comment,
    ACTIONS(5128), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5130), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139433] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3871), 1,
      sym_comment,
    ACTIONS(5401), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5403), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3872), 1,
      sym_comment,
    ACTIONS(5267), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5269), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139499] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3873), 1,
      sym_comment,
    ACTIONS(5247), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5249), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3874), 1,
      sym_comment,
    ACTIONS(5128), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5130), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139565] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3875), 1,
      sym_comment,
    ACTIONS(5387), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5389), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3876), 1,
      sym_comment,
    ACTIONS(5247), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5249), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3877), 1,
      sym_comment,
    ACTIONS(5387), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5389), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3878), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5046), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3879), 1,
      sym_comment,
    ACTIONS(5033), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5035), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3880), 1,
      sym_comment,
    ACTIONS(5033), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5035), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139763] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3881), 1,
      sym_comment,
    ACTIONS(5033), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5035), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139796] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3882), 1,
      sym_comment,
    ACTIONS(5029), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5031), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139829] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3883), 1,
      sym_comment,
    ACTIONS(5029), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5031), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3884), 1,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5005), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139895] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3885), 1,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5005), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3886), 1,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5005), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139961] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3887), 1,
      sym_comment,
    ACTIONS(5391), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5393), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3888), 1,
      sym_comment,
    ACTIONS(5391), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5393), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140027] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7085), 1,
      sym_identifier,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7089), 1,
      anon_sym_type,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7093), 1,
      anon_sym_typeof,
    STATE(3889), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(5602), 1,
      sym_import_require_clause,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(6944), 1,
      sym_import_clause,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [140081] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7097), 1,
      sym_identifier,
    ACTIONS(7099), 1,
      anon_sym_type,
    ACTIONS(7101), 1,
      anon_sym_typeof,
    STATE(3890), 1,
      sym_comment,
    STATE(5718), 1,
      sym_import_require_clause,
    STATE(5719), 1,
      sym_string,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(6709), 1,
      sym_import_clause,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [140135] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7103), 1,
      sym_identifier,
    ACTIONS(7105), 1,
      anon_sym_type,
    ACTIONS(7107), 1,
      anon_sym_typeof,
    STATE(3891), 1,
      sym_comment,
    STATE(5585), 1,
      sym_string,
    STATE(5588), 1,
      sym_import_require_clause,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(7115), 1,
      sym_import_clause,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [140189] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4945), 1,
      anon_sym_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7081), 1,
      anon_sym_DOT,
    STATE(3892), 1,
      sym_comment,
    STATE(4013), 1,
      sym_type_arguments,
    ACTIONS(4312), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140227] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7109), 1,
      sym_identifier,
    ACTIONS(7111), 1,
      anon_sym_type,
    ACTIONS(7113), 1,
      anon_sym_typeof,
    STATE(3893), 1,
      sym_comment,
    STATE(5600), 1,
      sym_import_require_clause,
    STATE(5605), 1,
      sym_string,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(7064), 1,
      sym_import_clause,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [140281] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7115), 1,
      sym_identifier,
    ACTIONS(7117), 1,
      anon_sym_type,
    ACTIONS(7119), 1,
      anon_sym_typeof,
    STATE(3894), 1,
      sym_comment,
    STATE(5711), 1,
      sym_import_require_clause,
    STATE(5713), 1,
      sym_string,
    STATE(6541), 1,
      sym_import_clause,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [140335] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4479), 1,
      anon_sym_EQ,
    STATE(3895), 1,
      sym_comment,
    ACTIONS(5171), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_EQ,
    STATE(3896), 1,
      sym_comment,
    ACTIONS(3587), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140397] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2276), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5037), 1,
      anon_sym_EQ,
    STATE(3897), 1,
      sym_comment,
    ACTIONS(5039), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [140430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2160), 1,
      anon_sym_PIPE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3898), 1,
      sym_comment,
    ACTIONS(2162), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140461] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4242), 1,
      anon_sym_LPAREN,
    ACTIONS(4244), 1,
      anon_sym_DOT,
    ACTIONS(4248), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4250), 1,
      anon_sym_PIPE,
    ACTIONS(7121), 1,
      anon_sym_LT,
    STATE(3899), 1,
      sym_comment,
    STATE(4096), 1,
      sym_arguments,
    STATE(4259), 1,
      sym_type_arguments,
    ACTIONS(4240), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140504] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3421), 1,
      anon_sym_EQ,
    STATE(3900), 1,
      sym_comment,
    ACTIONS(3603), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140535] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4242), 1,
      anon_sym_LPAREN,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(7121), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_DOT,
    ACTIONS(7125), 1,
      anon_sym_QMARK_DOT,
    STATE(3901), 1,
      sym_comment,
    STATE(4085), 1,
      sym_arguments,
    STATE(4239), 1,
      sym_type_arguments,
    ACTIONS(4941), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2216), 1,
      anon_sym_PIPE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3902), 1,
      sym_comment,
    ACTIONS(2218), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140609] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4961), 1,
      anon_sym_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(3903), 1,
      sym_comment,
    STATE(3974), 1,
      sym_type_arguments,
    ACTIONS(4963), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3437), 1,
      anon_sym_EQ,
    STATE(3904), 1,
      sym_comment,
    ACTIONS(3625), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140675] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4242), 1,
      anon_sym_LPAREN,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(7121), 1,
      anon_sym_LT,
    ACTIONS(7127), 1,
      anon_sym_DOT,
    ACTIONS(7129), 1,
      anon_sym_QMARK_DOT,
    STATE(3905), 1,
      sym_comment,
    STATE(4131), 1,
      sym_arguments,
    STATE(4206), 1,
      sym_type_arguments,
    ACTIONS(4953), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3435), 1,
      anon_sym_EQ,
    STATE(3906), 1,
      sym_comment,
    ACTIONS(3645), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140749] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4479), 1,
      anon_sym_EQ,
    STATE(3907), 1,
      sym_comment,
    ACTIONS(5171), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140780] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3908), 1,
      sym_comment,
    ACTIONS(5196), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5198), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140811] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4471), 1,
      anon_sym_EQ,
    STATE(3909), 1,
      sym_comment,
    ACTIONS(5185), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4475), 1,
      anon_sym_EQ,
    STATE(3910), 1,
      sym_comment,
    ACTIONS(5274), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4490), 1,
      anon_sym_EQ,
    STATE(3911), 1,
      sym_comment,
    ACTIONS(5276), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3912), 1,
      sym_comment,
    ACTIONS(5235), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5237), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140935] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4473), 1,
      anon_sym_EQ,
    STATE(3913), 1,
      sym_comment,
    ACTIONS(5278), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4459), 1,
      anon_sym_EQ,
    STATE(3914), 1,
      sym_comment,
    ACTIONS(5367), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140997] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7131), 1,
      anon_sym_DOT,
    ACTIONS(7133), 1,
      anon_sym_QMARK_DOT,
    STATE(3915), 1,
      sym_comment,
    ACTIONS(5381), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5383), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4471), 1,
      anon_sym_EQ,
    STATE(3916), 1,
      sym_comment,
    ACTIONS(5185), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141063] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4477), 1,
      anon_sym_EQ,
    STATE(3917), 1,
      sym_comment,
    ACTIONS(5200), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141094] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2206), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5037), 1,
      anon_sym_EQ,
    STATE(3918), 1,
      sym_comment,
    ACTIONS(5039), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [141127] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4461), 1,
      anon_sym_EQ,
    STATE(3919), 1,
      sym_comment,
    ACTIONS(5365), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141158] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3433), 1,
      anon_sym_EQ,
    STATE(3920), 1,
      sym_comment,
    ACTIONS(3547), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141189] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    STATE(3921), 1,
      sym_comment,
    ACTIONS(5353), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3922), 1,
      sym_comment,
    ACTIONS(5259), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5261), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141251] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_EQ,
    ACTIONS(7083), 1,
      anon_sym_is,
    STATE(3923), 1,
      sym_comment,
    ACTIONS(4993), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141283] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4979), 1,
      anon_sym_EQ,
    STATE(3924), 1,
      sym_comment,
    ACTIONS(4981), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [141313] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2061), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3925), 1,
      sym_comment,
    ACTIONS(2063), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [141343] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_EQ,
    ACTIONS(7083), 1,
      anon_sym_is,
    STATE(3926), 1,
      sym_comment,
    ACTIONS(4973), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4961), 1,
      anon_sym_EQ,
    ACTIONS(7135), 1,
      anon_sym_is,
    STATE(3927), 1,
      sym_comment,
    ACTIONS(4963), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141407] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5145), 1,
      anon_sym_EQ,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(3928), 1,
      sym_comment,
    ACTIONS(5147), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141442] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5181), 1,
      anon_sym_PIPE,
    STATE(3929), 1,
      sym_comment,
    ACTIONS(5183), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141471] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7149), 1,
      sym_number,
    ACTIONS(7151), 1,
      anon_sym_unique,
    STATE(3930), 1,
      sym_comment,
    STATE(7333), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141508] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7153), 1,
      sym_number,
    STATE(3931), 1,
      sym_comment,
    STATE(7336), 1,
      sym_string,
    STATE(7337), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141547] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5044), 1,
      anon_sym_PIPE,
    STATE(3932), 1,
      sym_comment,
    ACTIONS(5046), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5033), 1,
      anon_sym_PIPE,
    STATE(3933), 1,
      sym_comment,
    ACTIONS(5035), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141605] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5033), 1,
      anon_sym_PIPE,
    STATE(3934), 1,
      sym_comment,
    ACTIONS(5035), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141634] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5033), 1,
      anon_sym_PIPE,
    STATE(3935), 1,
      sym_comment,
    ACTIONS(5035), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141663] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7155), 1,
      sym_number,
    STATE(3936), 1,
      sym_comment,
    STATE(7341), 1,
      sym_string,
    STATE(7342), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5029), 1,
      anon_sym_PIPE,
    STATE(3937), 1,
      sym_comment,
    ACTIONS(5031), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141731] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5029), 1,
      anon_sym_PIPE,
    STATE(3938), 1,
      sym_comment,
    ACTIONS(5031), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5029), 1,
      anon_sym_PIPE,
    STATE(3939), 1,
      sym_comment,
    ACTIONS(5031), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    STATE(3940), 1,
      sym_comment,
    ACTIONS(5005), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3941), 1,
      sym_comment,
    ACTIONS(7157), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [141845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3942), 1,
      sym_comment,
    ACTIONS(7159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [141872] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7161), 1,
      sym_number,
    STATE(3943), 1,
      sym_comment,
    STATE(7289), 1,
      sym_predefined_type,
    STATE(7352), 1,
      sym_string,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    STATE(3944), 1,
      sym_comment,
    ACTIONS(5005), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    STATE(3945), 1,
      sym_comment,
    ACTIONS(5005), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141969] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7163), 1,
      sym_number,
    STATE(3946), 1,
      sym_comment,
    STATE(7589), 1,
      sym_string,
    STATE(7590), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5373), 1,
      anon_sym_EQ,
    STATE(3947), 1,
      sym_comment,
    ACTIONS(5375), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142037] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5205), 1,
      anon_sym_EQ,
    STATE(3948), 1,
      sym_comment,
    ACTIONS(5207), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142066] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_EQ,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(3949), 1,
      sym_comment,
    ACTIONS(5371), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [142101] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5345), 1,
      anon_sym_EQ,
    STATE(3950), 1,
      sym_comment,
    ACTIONS(5347), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142130] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7165), 1,
      sym_number,
    STATE(3951), 1,
      sym_comment,
    STATE(7579), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142167] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5329), 1,
      anon_sym_EQ,
    STATE(3952), 1,
      sym_comment,
    ACTIONS(5331), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142196] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5329), 1,
      anon_sym_EQ,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(3953), 1,
      sym_comment,
    ACTIONS(5331), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [142231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5267), 1,
      anon_sym_PIPE,
    STATE(3954), 1,
      sym_comment,
    ACTIONS(5269), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142260] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5349), 1,
      anon_sym_EQ,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(3955), 1,
      sym_comment,
    ACTIONS(5351), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [142295] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5333), 1,
      anon_sym_EQ,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(3956), 1,
      sym_comment,
    ACTIONS(5335), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [142330] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7167), 1,
      sym_number,
    STATE(3957), 1,
      sym_comment,
    STATE(7594), 1,
      sym_string,
    STATE(7598), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142369] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3958), 1,
      sym_comment,
    ACTIONS(7169), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [142396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5395), 1,
      anon_sym_EQ,
    STATE(3959), 1,
      sym_comment,
    ACTIONS(5397), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142425] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5019), 1,
      anon_sym_EQ,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(3960), 1,
      sym_comment,
    ACTIONS(5021), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [142460] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7171), 1,
      sym_number,
    STATE(3961), 1,
      sym_comment,
    STATE(7194), 1,
      sym_string,
    STATE(7196), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142499] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7173), 1,
      sym_number,
    STATE(3962), 1,
      sym_comment,
    STATE(7177), 1,
      sym_string,
    STATE(7181), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142538] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7175), 1,
      sym_number,
    STATE(3963), 1,
      sym_comment,
    STATE(7171), 1,
      sym_string,
    STATE(7174), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142577] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7177), 1,
      sym_number,
    STATE(3964), 1,
      sym_comment,
    STATE(7586), 1,
      sym_string,
    STATE(7587), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142616] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4945), 1,
      anon_sym_PIPE,
    ACTIONS(7121), 1,
      anon_sym_LT,
    ACTIONS(7179), 1,
      anon_sym_DOT,
    ACTIONS(7181), 1,
      anon_sym_is,
    STATE(3965), 1,
      sym_comment,
    STATE(4210), 1,
      sym_type_arguments,
    ACTIONS(4312), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5167), 1,
      anon_sym_EQ,
    STATE(3966), 1,
      sym_comment,
    ACTIONS(5169), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142682] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7183), 1,
      sym_number,
    STATE(3967), 1,
      sym_comment,
    STATE(7167), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142719] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5387), 1,
      anon_sym_PIPE,
    STATE(3968), 1,
      sym_comment,
    ACTIONS(5389), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142748] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7185), 1,
      sym_number,
    STATE(3969), 1,
      sym_comment,
    STATE(7465), 1,
      sym_string,
    STATE(7466), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142787] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_EQ,
    STATE(3970), 1,
      sym_comment,
    ACTIONS(4973), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142816] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7187), 1,
      sym_number,
    STATE(3971), 1,
      sym_comment,
    STATE(7462), 1,
      sym_string,
    STATE(7463), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142855] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3972), 1,
      sym_comment,
    ACTIONS(7189), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [142882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    STATE(3973), 1,
      sym_comment,
    ACTIONS(5393), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5282), 1,
      anon_sym_EQ,
    STATE(3974), 1,
      sym_comment,
    ACTIONS(5284), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5052), 1,
      anon_sym_EQ,
    STATE(3975), 1,
      sym_comment,
    ACTIONS(5054), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142969] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5052), 1,
      anon_sym_EQ,
    ACTIONS(7191), 1,
      anon_sym_LBRACK,
    STATE(3976), 1,
      sym_comment,
    ACTIONS(5054), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5387), 1,
      anon_sym_PIPE,
    STATE(3977), 1,
      sym_comment,
    ACTIONS(5389), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143029] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4961), 1,
      anon_sym_EQ,
    STATE(3978), 1,
      sym_comment,
    ACTIONS(4963), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5361), 1,
      anon_sym_EQ,
    STATE(3979), 1,
      sym_comment,
    ACTIONS(5363), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143087] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7193), 1,
      sym_number,
    STATE(3980), 1,
      sym_comment,
    STATE(7453), 1,
      sym_string,
    STATE(7456), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    STATE(3981), 1,
      sym_comment,
    ACTIONS(5393), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143155] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    STATE(3982), 1,
      sym_comment,
    ACTIONS(5249), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143184] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    STATE(3983), 1,
      sym_comment,
    ACTIONS(5249), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3984), 1,
      sym_comment,
    ACTIONS(7195), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143240] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5293), 1,
      anon_sym_EQ,
    ACTIONS(7191), 1,
      anon_sym_LBRACK,
    STATE(3985), 1,
      sym_comment,
    ACTIONS(5295), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3986), 1,
      sym_comment,
    ACTIONS(7197), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    STATE(3987), 1,
      sym_comment,
    ACTIONS(5249), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143327] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    STATE(3988), 1,
      sym_comment,
    ACTIONS(4997), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143356] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5297), 1,
      anon_sym_EQ,
    ACTIONS(7199), 1,
      anon_sym_extends,
    STATE(3989), 1,
      sym_comment,
    ACTIONS(5299), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [143387] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    STATE(3990), 1,
      sym_comment,
    ACTIONS(4997), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143416] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    STATE(3991), 1,
      sym_comment,
    ACTIONS(4997), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143445] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3992), 1,
      sym_comment,
    ACTIONS(7201), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3993), 1,
      sym_comment,
    ACTIONS(7203), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143499] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7205), 1,
      anon_sym_LPAREN,
    ACTIONS(7207), 1,
      anon_sym_DOT,
    ACTIONS(7209), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7211), 1,
      anon_sym_LT,
    STATE(3994), 1,
      sym_comment,
    STATE(4238), 1,
      sym_arguments,
    STATE(4481), 1,
      sym_type_arguments,
    ACTIONS(4953), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143538] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7205), 1,
      anon_sym_LPAREN,
    ACTIONS(7211), 1,
      anon_sym_LT,
    ACTIONS(7213), 1,
      anon_sym_DOT,
    ACTIONS(7215), 1,
      anon_sym_QMARK_DOT,
    STATE(3995), 1,
      sym_comment,
    STATE(4236), 1,
      sym_arguments,
    STATE(4479), 1,
      sym_type_arguments,
    ACTIONS(4941), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143577] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7205), 1,
      anon_sym_LPAREN,
    ACTIONS(7211), 1,
      anon_sym_LT,
    ACTIONS(7217), 1,
      anon_sym_DOT,
    ACTIONS(7219), 1,
      anon_sym_QMARK_DOT,
    STATE(3996), 1,
      sym_comment,
    STATE(4235), 1,
      sym_arguments,
    STATE(4477), 1,
      sym_type_arguments,
    ACTIONS(4240), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143616] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7221), 1,
      sym_number,
    STATE(3997), 1,
      sym_comment,
    STATE(7447), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5267), 1,
      anon_sym_PIPE,
    STATE(3998), 1,
      sym_comment,
    ACTIONS(5269), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5239), 1,
      anon_sym_EQ,
    STATE(3999), 1,
      sym_comment,
    ACTIONS(5241), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143711] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5231), 1,
      anon_sym_EQ,
    STATE(4000), 1,
      sym_comment,
    ACTIONS(5233), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5219), 1,
      anon_sym_EQ,
    STATE(4001), 1,
      sym_comment,
    ACTIONS(5221), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143769] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5303), 1,
      anon_sym_EQ,
    ACTIONS(7191), 1,
      anon_sym_LBRACK,
    STATE(4002), 1,
      sym_comment,
    ACTIONS(5054), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5305), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [143802] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5307), 1,
      anon_sym_EQ,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(4003), 1,
      sym_comment,
    ACTIONS(5309), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [143837] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5263), 1,
      anon_sym_EQ,
    STATE(4004), 1,
      sym_comment,
    ACTIONS(5265), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5401), 1,
      anon_sym_PIPE,
    STATE(4005), 1,
      sym_comment,
    ACTIONS(5403), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143895] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5128), 1,
      anon_sym_PIPE,
    STATE(4006), 1,
      sym_comment,
    ACTIONS(5130), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4007), 1,
      sym_comment,
    ACTIONS(7223), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143951] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7225), 1,
      sym_number,
    STATE(4008), 1,
      sym_comment,
    STATE(7323), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143988] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7227), 1,
      sym_number,
    STATE(4009), 1,
      sym_comment,
    STATE(7325), 1,
      sym_string,
    STATE(7326), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [144027] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7229), 1,
      sym_number,
    STATE(4010), 1,
      sym_comment,
    STATE(7328), 1,
      sym_string,
    STATE(7329), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [144066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5227), 1,
      anon_sym_EQ,
    STATE(4011), 1,
      sym_comment,
    ACTIONS(5229), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144095] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    ACTIONS(7151), 1,
      anon_sym_unique,
    ACTIONS(7231), 1,
      sym_number,
    STATE(4012), 1,
      sym_comment,
    STATE(7331), 1,
      sym_string,
    STATE(7332), 1,
      sym_predefined_type,
    ACTIONS(7147), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [144134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5315), 1,
      anon_sym_EQ,
    STATE(4013), 1,
      sym_comment,
    ACTIONS(5317), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144163] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5267), 1,
      anon_sym_PIPE,
    STATE(4014), 1,
      sym_comment,
    ACTIONS(5269), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_EQ,
    STATE(4015), 1,
      sym_comment,
    ACTIONS(4993), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144221] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5286), 1,
      anon_sym_PIPE,
    STATE(4016), 1,
      sym_comment,
    ACTIONS(5288), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5243), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      sym_comment,
    ACTIONS(5245), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5401), 1,
      anon_sym_PIPE,
    STATE(4018), 1,
      sym_comment,
    ACTIONS(5403), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144308] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5223), 1,
      anon_sym_EQ,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    STATE(4019), 1,
      sym_comment,
    ACTIONS(5225), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144339] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5048), 1,
      anon_sym_PIPE,
    STATE(4020), 1,
      sym_comment,
    ACTIONS(5050), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5173), 1,
      anon_sym_PIPE,
    STATE(4021), 1,
      sym_comment,
    ACTIONS(5175), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144397] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5213), 1,
      anon_sym_EQ,
    STATE(4022), 1,
      sym_comment,
    ACTIONS(5215), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5177), 1,
      anon_sym_PIPE,
    STATE(4023), 1,
      sym_comment,
    ACTIONS(5179), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144455] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5181), 1,
      anon_sym_PIPE,
    STATE(4024), 1,
      sym_comment,
    ACTIONS(5183), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5145), 1,
      anon_sym_EQ,
    STATE(4025), 1,
      sym_comment,
    ACTIONS(5147), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144513] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5377), 1,
      anon_sym_EQ,
    STATE(4026), 1,
      sym_comment,
    ACTIONS(5379), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4027), 1,
      sym_comment,
    ACTIONS(7233), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [144569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5128), 1,
      anon_sym_PIPE,
    STATE(4028), 1,
      sym_comment,
    ACTIONS(5130), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5319), 1,
      anon_sym_EQ,
    STATE(4029), 1,
      sym_comment,
    ACTIONS(5321), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144627] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5007), 1,
      anon_sym_EQ,
    STATE(4030), 1,
      sym_comment,
    ACTIONS(5009), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4999), 1,
      anon_sym_EQ,
    STATE(4031), 1,
      sym_comment,
    ACTIONS(5001), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144685] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5355), 1,
      anon_sym_EQ,
    STATE(4032), 1,
      sym_comment,
    ACTIONS(5074), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5311), 1,
      anon_sym_EQ,
    STATE(4033), 1,
      sym_comment,
    ACTIONS(5313), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144743] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    STATE(4034), 1,
      sym_comment,
    ACTIONS(5013), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5177), 1,
      anon_sym_PIPE,
    STATE(4035), 1,
      sym_comment,
    ACTIONS(5179), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144801] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5189), 1,
      anon_sym_EQ,
    STATE(4036), 1,
      sym_comment,
    ACTIONS(5191), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(4037), 1,
      sym_comment,
    ACTIONS(5343), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144859] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    STATE(4038), 1,
      sym_comment,
    ACTIONS(5339), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5139), 1,
      anon_sym_EQ,
    STATE(4039), 1,
      sym_comment,
    ACTIONS(5137), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144919] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4649), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4040), 1,
      sym_comment,
    STATE(4705), 1,
      sym_formal_parameters,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7087), 1,
      sym_type_parameters,
    ACTIONS(4636), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [144963] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7245), 1,
      anon_sym_BANG,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7251), 1,
      anon_sym_QMARK,
    STATE(4041), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5375), 1,
      sym_type_annotation,
    STATE(5943), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6708), 1,
      sym__call_signature,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145011] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4646), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4042), 1,
      sym_comment,
    STATE(4705), 1,
      sym_formal_parameters,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7087), 1,
      sym_type_parameters,
    ACTIONS(4636), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145055] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_type,
    STATE(4043), 1,
      sym_comment,
    STATE(5561), 1,
      sym_import_require_clause,
    STATE(5563), 1,
      sym_string,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(7082), 1,
      sym_import_clause,
    ACTIONS(7257), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
  [145103] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(204), 1,
      anon_sym_unique,
    STATE(4044), 1,
      sym_comment,
    STATE(4345), 1,
      sym_type_predicate,
    STATE(7146), 1,
      sym_predefined_type,
    ACTIONS(7259), 2,
      sym_identifier,
      sym_this,
    ACTIONS(206), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [145137] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(204), 1,
      anon_sym_unique,
    STATE(3008), 1,
      sym_type_predicate,
    STATE(4045), 1,
      sym_comment,
    STATE(7408), 1,
      sym_predefined_type,
    ACTIONS(7261), 2,
      sym_identifier,
      sym_this,
    ACTIONS(206), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [145171] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_BANG,
    ACTIONS(7267), 1,
      anon_sym_QMARK,
    STATE(4046), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5223), 1,
      sym_type_annotation,
    STATE(6259), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6538), 1,
      sym__call_signature,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145219] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7269), 1,
      anon_sym_BANG,
    ACTIONS(7271), 1,
      anon_sym_QMARK,
    STATE(4047), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5148), 1,
      sym_type_annotation,
    STATE(6359), 1,
      sym__initializer,
    STATE(6465), 1,
      sym__call_signature,
    STATE(6489), 1,
      sym_type_parameters,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145267] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7273), 1,
      anon_sym_BANG,
    ACTIONS(7275), 1,
      anon_sym_QMARK,
    STATE(4048), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5118), 1,
      sym_type_annotation,
    STATE(6385), 1,
      sym__initializer,
    STATE(6458), 1,
      sym__call_signature,
    STATE(6489), 1,
      sym_type_parameters,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145315] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7277), 1,
      anon_sym_BANG,
    ACTIONS(7279), 1,
      anon_sym_QMARK,
    STATE(4049), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5199), 1,
      sym_type_annotation,
    STATE(6289), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6528), 1,
      sym__call_signature,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145363] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7283), 1,
      anon_sym_BANG,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(7287), 1,
      anon_sym_QMARK,
    STATE(4050), 1,
      sym_comment,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4870), 1,
      sym__call_signature,
    STATE(5243), 1,
      sym_type_annotation,
    STATE(6236), 1,
      sym__initializer,
    STATE(6498), 1,
      sym_type_parameters,
    ACTIONS(7281), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145411] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_type,
    STATE(4051), 1,
      sym_comment,
    STATE(5666), 1,
      sym_string,
    STATE(5667), 1,
      sym_import_require_clause,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(6962), 1,
      sym_import_clause,
    ACTIONS(7257), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
  [145459] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4640), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4052), 1,
      sym_comment,
    STATE(4705), 1,
      sym_formal_parameters,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7087), 1,
      sym_type_parameters,
    ACTIONS(4636), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145503] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_QMARK,
    STATE(4053), 1,
      sym_comment,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4844), 1,
      sym__call_signature,
    STATE(5411), 1,
      sym_type_annotation,
    STATE(6114), 1,
      sym__initializer,
    STATE(6498), 1,
      sym_type_parameters,
    ACTIONS(7289), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145551] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_type,
    STATE(4054), 1,
      sym_comment,
    STATE(5664), 1,
      sym_import_require_clause,
    STATE(5665), 1,
      sym_string,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(6755), 1,
      sym_import_clause,
    ACTIONS(7257), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
  [145599] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4643), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4055), 1,
      sym_comment,
    STATE(4705), 1,
      sym_formal_parameters,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    STATE(7087), 1,
      sym_type_parameters,
    ACTIONS(4636), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145643] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_BANG,
    ACTIONS(7299), 1,
      anon_sym_QMARK,
    STATE(4056), 1,
      sym_comment,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4964), 1,
      sym__call_signature,
    STATE(5136), 1,
      sym_type_annotation,
    STATE(5818), 1,
      sym__initializer,
    STATE(6498), 1,
      sym_type_parameters,
    ACTIONS(7295), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145691] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7303), 1,
      anon_sym_BANG,
    ACTIONS(7305), 1,
      anon_sym_QMARK,
    STATE(4057), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5379), 1,
      sym_type_annotation,
    STATE(6137), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6598), 1,
      sym__call_signature,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145739] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7307), 1,
      anon_sym_BANG,
    ACTIONS(7309), 1,
      anon_sym_QMARK,
    STATE(4058), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5381), 1,
      sym_type_annotation,
    STATE(6132), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6601), 1,
      sym__call_signature,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145787] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7311), 1,
      anon_sym_BANG,
    ACTIONS(7313), 1,
      anon_sym_QMARK,
    STATE(4059), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5431), 1,
      sym_type_annotation,
    STATE(6096), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6626), 1,
      sym__call_signature,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145835] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7297), 1,
      anon_sym_BANG,
    ACTIONS(7315), 1,
      anon_sym_QMARK,
    STATE(4060), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5136), 1,
      sym_type_annotation,
    STATE(5763), 1,
      sym__call_signature,
    STATE(5764), 1,
      sym__initializer,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7295), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145883] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7317), 1,
      anon_sym_BANG,
    ACTIONS(7319), 1,
      anon_sym_QMARK,
    STATE(4061), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5438), 1,
      sym_type_annotation,
    STATE(6091), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6631), 1,
      sym__call_signature,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145931] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7323), 1,
      anon_sym_BANG,
    ACTIONS(7325), 1,
      anon_sym_QMARK,
    STATE(4062), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5024), 1,
      sym_type_annotation,
    STATE(5769), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6804), 1,
      sym__call_signature,
    ACTIONS(7321), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145979] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4945), 1,
      anon_sym_PIPE,
    ACTIONS(7121), 1,
      anon_sym_LT,
    ACTIONS(7179), 1,
      anon_sym_DOT,
    STATE(4063), 1,
      sym_comment,
    STATE(4210), 1,
      sym_type_arguments,
    ACTIONS(4312), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146013] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4633), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4064), 1,
      sym_comment,
    STATE(4705), 1,
      sym_formal_parameters,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7087), 1,
      sym_type_parameters,
    ACTIONS(4636), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146057] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7327), 1,
      anon_sym_BANG,
    ACTIONS(7329), 1,
      anon_sym_QMARK,
    STATE(4065), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5072), 1,
      sym_type_annotation,
    STATE(5776), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6801), 1,
      sym__call_signature,
    ACTIONS(7321), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146105] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7331), 1,
      anon_sym_BANG,
    ACTIONS(7333), 1,
      anon_sym_QMARK,
    STATE(4066), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5413), 1,
      sym_type_annotation,
    STATE(5982), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6673), 1,
      sym__call_signature,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146153] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7337), 1,
      anon_sym_BANG,
    ACTIONS(7339), 1,
      anon_sym_QMARK,
    STATE(4067), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5307), 1,
      sym_type_annotation,
    STATE(5901), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6700), 1,
      sym__call_signature,
    ACTIONS(7335), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146201] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7343), 1,
      anon_sym_BANG,
    ACTIONS(7345), 1,
      anon_sym_QMARK,
    STATE(4068), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5404), 1,
      sym_type_annotation,
    STATE(5945), 1,
      sym__initializer,
    STATE(5946), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146249] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7347), 1,
      anon_sym_BANG,
    ACTIONS(7349), 1,
      anon_sym_QMARK,
    STATE(4069), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5403), 1,
      sym_type_annotation,
    STATE(5968), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6684), 1,
      sym__call_signature,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146297] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(7343), 1,
      anon_sym_BANG,
    ACTIONS(7351), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_comment,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4938), 1,
      sym__call_signature,
    STATE(5404), 1,
      sym_type_annotation,
    STATE(5984), 1,
      sym__initializer,
    STATE(6498), 1,
      sym_type_parameters,
    ACTIONS(7341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146345] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(204), 1,
      anon_sym_unique,
    STATE(4015), 1,
      sym_type_predicate,
    STATE(4071), 1,
      sym_comment,
    STATE(7200), 1,
      sym_predefined_type,
    ACTIONS(7353), 2,
      sym_identifier,
      sym_this,
    ACTIONS(206), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [146379] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(204), 1,
      anon_sym_unique,
    STATE(4072), 1,
      sym_comment,
    STATE(4248), 1,
      sym_type_predicate,
    STATE(7299), 1,
      sym_predefined_type,
    ACTIONS(7355), 2,
      sym_identifier,
      sym_this,
    ACTIONS(206), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [146413] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(7359), 1,
      anon_sym_BANG,
    ACTIONS(7361), 1,
      anon_sym_QMARK,
    STATE(4073), 1,
      sym_comment,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4918), 1,
      sym__call_signature,
    STATE(5361), 1,
      sym_type_annotation,
    STATE(5937), 1,
      sym__initializer,
    STATE(6498), 1,
      sym_type_parameters,
    ACTIONS(7357), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146461] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7363), 1,
      anon_sym_BANG,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    STATE(4074), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5138), 1,
      sym_type_annotation,
    STATE(5810), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6775), 1,
      sym__call_signature,
    ACTIONS(7321), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146509] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7367), 1,
      anon_sym_BANG,
    ACTIONS(7369), 1,
      anon_sym_QMARK,
    STATE(4075), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5139), 1,
      sym_type_annotation,
    STATE(5814), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6769), 1,
      sym__call_signature,
    ACTIONS(7321), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146557] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_type,
    STATE(4076), 1,
      sym_comment,
    STATE(5654), 1,
      sym_import_require_clause,
    STATE(5655), 1,
      sym_string,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(6715), 1,
      sym_import_clause,
    ACTIONS(7257), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
  [146605] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_type,
    STATE(4077), 1,
      sym_comment,
    STATE(5642), 1,
      sym_string,
    STATE(5645), 1,
      sym_import_require_clause,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(7092), 1,
      sym_import_clause,
    ACTIONS(7257), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
  [146653] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(204), 1,
      anon_sym_unique,
    STATE(2516), 1,
      sym_type_predicate,
    STATE(4078), 1,
      sym_comment,
    STATE(7536), 1,
      sym_predefined_type,
    ACTIONS(7371), 2,
      sym_identifier,
      sym_this,
    ACTIONS(206), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [146687] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    STATE(4079), 1,
      sym_comment,
    STATE(2609), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5265), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [146719] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4473), 1,
      anon_sym_PIPE,
    STATE(4080), 1,
      sym_comment,
    ACTIONS(5278), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4081), 1,
      sym_comment,
    ACTIONS(5183), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146771] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4082), 1,
      sym_comment,
    ACTIONS(4997), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146796] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7375), 1,
      anon_sym_QMARK,
    STATE(4083), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4553), 1,
      sym__call_signature,
    STATE(5325), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7373), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4084), 1,
      sym_comment,
    ACTIONS(5269), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5235), 1,
      anon_sym_PIPE,
    STATE(4085), 1,
      sym_comment,
    ACTIONS(5237), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146889] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7379), 1,
      anon_sym_COLON,
    ACTIONS(7381), 1,
      anon_sym_QMARK,
    STATE(4086), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4668), 1,
      sym__call_signature,
    STATE(5432), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7377), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146930] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_LT,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7385), 1,
      anon_sym_is,
    STATE(4087), 1,
      sym_comment,
    STATE(4375), 1,
      sym_type_arguments,
    ACTIONS(4312), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146963] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4088), 1,
      sym_comment,
    ACTIONS(5269), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4089), 1,
      sym_comment,
    ACTIONS(5005), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147013] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4961), 1,
      anon_sym_PIPE,
    ACTIONS(7121), 1,
      anon_sym_LT,
    STATE(4090), 1,
      sym_comment,
    STATE(4199), 1,
      sym_type_arguments,
    ACTIONS(4963), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147044] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7389), 1,
      anon_sym_QMARK,
    STATE(4091), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(5185), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7387), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147085] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4092), 1,
      sym_comment,
    ACTIONS(5005), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4093), 1,
      sym_comment,
    ACTIONS(5005), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147135] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4094), 1,
      sym_comment,
    ACTIONS(5031), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4095), 1,
      sym_comment,
    ACTIONS(5031), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5259), 1,
      anon_sym_PIPE,
    STATE(4096), 1,
      sym_comment,
    ACTIONS(5261), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4097), 1,
      sym_comment,
    ACTIONS(5269), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4098), 1,
      sym_comment,
    ACTIONS(5288), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4099), 1,
      sym_comment,
    ACTIONS(5031), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147287] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7391), 1,
      anon_sym_QMARK,
    STATE(4100), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5427), 1,
      sym__call_signature,
    STATE(5432), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7377), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147328] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5263), 1,
      anon_sym_PIPE,
    STATE(4101), 1,
      sym_comment,
    STATE(2609), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5265), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147361] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4452), 1,
      anon_sym_PIPE,
    STATE(4102), 1,
      sym_comment,
    ACTIONS(4967), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147388] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7395), 1,
      anon_sym_QMARK,
    STATE(4103), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4602), 1,
      sym__call_signature,
    STATE(5276), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7393), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4104), 1,
      sym_comment,
    ACTIONS(5035), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4490), 1,
      anon_sym_PIPE,
    STATE(4105), 1,
      sym_comment,
    ACTIONS(5276), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147481] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4106), 1,
      sym_comment,
    ACTIONS(5035), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147506] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(4107), 1,
      sym_comment,
    ACTIONS(5200), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147533] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4471), 1,
      anon_sym_PIPE,
    STATE(4108), 1,
      sym_comment,
    ACTIONS(5185), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4475), 1,
      anon_sym_PIPE,
    STATE(4109), 1,
      sym_comment,
    ACTIONS(5274), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4471), 1,
      anon_sym_PIPE,
    STATE(4110), 1,
      sym_comment,
    ACTIONS(5185), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4111), 1,
      sym_comment,
    ACTIONS(5035), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147639] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4479), 1,
      anon_sym_PIPE,
    STATE(4112), 1,
      sym_comment,
    ACTIONS(5171), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4479), 1,
      anon_sym_PIPE,
    STATE(4113), 1,
      sym_comment,
    ACTIONS(5171), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4114), 1,
      sym_comment,
    ACTIONS(5046), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147718] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_QMARK,
    STATE(4115), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5303), 1,
      sym_type_annotation,
    STATE(5310), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7397), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147759] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4428), 1,
      anon_sym_PIPE,
    STATE(4116), 1,
      sym_comment,
    ACTIONS(4975), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147786] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7401), 1,
      anon_sym_QMARK,
    STATE(4117), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5276), 1,
      sym_type_annotation,
    STATE(5277), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7393), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147827] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5381), 1,
      anon_sym_PIPE,
    ACTIONS(7403), 1,
      anon_sym_DOT,
    ACTIONS(7405), 1,
      anon_sym_QMARK_DOT,
    STATE(4118), 1,
      sym_comment,
    ACTIONS(5383), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147858] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2206), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5037), 1,
      anon_sym_PIPE,
    STATE(4119), 1,
      sym_comment,
    ACTIONS(5039), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147887] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4120), 1,
      sym_comment,
    ACTIONS(4997), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147912] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_QMARK,
    STATE(4121), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4559), 1,
      sym__call_signature,
    STATE(5303), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7397), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147953] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4446), 1,
      anon_sym_PIPE,
    STATE(4122), 1,
      sym_comment,
    ACTIONS(4965), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_PIPE,
    STATE(4123), 1,
      sym_comment,
    ACTIONS(5353), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4124), 1,
      sym_comment,
    ACTIONS(4997), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4461), 1,
      anon_sym_PIPE,
    STATE(4125), 1,
      sym_comment,
    ACTIONS(5365), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148059] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7409), 1,
      anon_sym_QMARK,
    STATE(4126), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5177), 1,
      sym__call_signature,
    STATE(5185), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7387), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148100] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4459), 1,
      anon_sym_PIPE,
    STATE(4127), 1,
      sym_comment,
    ACTIONS(5367), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148127] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7081), 1,
      anon_sym_DOT,
    ACTIONS(7411), 1,
      anon_sym_EQ,
    ACTIONS(7416), 1,
      anon_sym_COLON,
    ACTIONS(7418), 1,
      anon_sym_extends,
    STATE(4013), 1,
      sym_type_arguments,
    STATE(4128), 1,
      sym_comment,
    STATE(5617), 1,
      sym_constraint,
    STATE(6830), 1,
      sym_default_type,
    ACTIONS(7413), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(4312), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [148170] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7421), 1,
      anon_sym_QMARK,
    STATE(4129), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5275), 1,
      sym__call_signature,
    STATE(5325), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7373), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4130), 1,
      sym_comment,
    ACTIONS(5389), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5196), 1,
      anon_sym_PIPE,
    STATE(4131), 1,
      sym_comment,
    ACTIONS(5198), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148263] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2276), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5037), 1,
      anon_sym_PIPE,
    STATE(4132), 1,
      sym_comment,
    ACTIONS(5039), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148292] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4133), 1,
      sym_comment,
    ACTIONS(5249), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148317] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4134), 1,
      sym_comment,
    ACTIONS(5050), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4135), 1,
      sym_comment,
    ACTIONS(5175), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4136), 1,
      sym_comment,
    ACTIONS(5393), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4137), 1,
      sym_comment,
    ACTIONS(5389), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4138), 1,
      sym_comment,
    ACTIONS(5179), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4139), 1,
      sym_comment,
    ACTIONS(5393), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4140), 1,
      sym_comment,
    ACTIONS(5179), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4141), 1,
      sym_comment,
    ACTIONS(5249), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148517] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4142), 1,
      sym_comment,
    ACTIONS(5249), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4143), 1,
      sym_comment,
    ACTIONS(5183), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148567] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4144), 1,
      sym_comment,
    ACTIONS(5130), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4145), 1,
      sym_comment,
    ACTIONS(5403), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148617] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4146), 1,
      sym_comment,
    ACTIONS(5130), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4147), 1,
      sym_comment,
    ACTIONS(5403), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148667] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4148), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5388), 1,
      sym_type_annotation,
    STATE(6118), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6607), 1,
      sym__call_signature,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148709] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4633), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    STATE(4149), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148743] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4150), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5398), 1,
      sym_type_annotation,
    STATE(5957), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6691), 1,
      sym__call_signature,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148785] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4151), 1,
      sym_comment,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4876), 1,
      sym__call_signature,
    STATE(4994), 1,
      sym_type_annotation,
    STATE(6227), 1,
      sym__initializer,
    STATE(6498), 1,
      sym_type_parameters,
    ACTIONS(7427), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148827] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4152), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5335), 1,
      sym_type_annotation,
    STATE(5966), 1,
      sym__call_signature,
    STATE(5967), 1,
      sym__initializer,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7429), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148869] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4153), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5358), 1,
      sym_type_annotation,
    STATE(5936), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6703), 1,
      sym__call_signature,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148911] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4154), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5130), 1,
      sym_type_annotation,
    STATE(5799), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6899), 1,
      sym__call_signature,
    ACTIONS(7431), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148953] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4155), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5410), 1,
      sym_type_annotation,
    STATE(5977), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6677), 1,
      sym__call_signature,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148995] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_PIPE,
    ACTIONS(7181), 1,
      anon_sym_is,
    STATE(4156), 1,
      sym_comment,
    ACTIONS(4973), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [149023] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4961), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_is,
    STATE(4157), 1,
      sym_comment,
    ACTIONS(4963), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [149051] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4158), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5459), 1,
      sym_type_annotation,
    STATE(6009), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6666), 1,
      sym__call_signature,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149093] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_type,
    STATE(4159), 1,
      sym_comment,
    STATE(5642), 1,
      sym_string,
    STATE(5645), 1,
      sym_import_require_clause,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(7092), 1,
      sym_import_clause,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
  [149137] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4160), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5186), 1,
      sym__call_signature,
    STATE(5187), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7435), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149175] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_type,
    STATE(4161), 1,
      sym_comment,
    STATE(5664), 1,
      sym_import_require_clause,
    STATE(5665), 1,
      sym_string,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(6755), 1,
      sym_import_clause,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
  [149219] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4162), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5270), 1,
      sym__call_signature,
    STATE(5274), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7437), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149257] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4163), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5217), 1,
      sym_type_annotation,
    STATE(6275), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6534), 1,
      sym__call_signature,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149299] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_type,
    STATE(4164), 1,
      sym_comment,
    STATE(5666), 1,
      sym_string,
    STATE(5667), 1,
      sym_import_require_clause,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(6962), 1,
      sym_import_clause,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
  [149343] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4165), 1,
      sym_comment,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4946), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_annotation,
    STATE(5909), 1,
      sym__initializer,
    STATE(6498), 1,
      sym_type_parameters,
    ACTIONS(7441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149385] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7081), 1,
      anon_sym_DOT,
    ACTIONS(7443), 1,
      anon_sym_QMARK,
    STATE(4013), 1,
      sym_type_arguments,
    STATE(4166), 1,
      sym_comment,
    STATE(7041), 1,
      sym_type_annotation,
    ACTIONS(4312), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149421] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4167), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4562), 1,
      sym__call_signature,
    STATE(5311), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7446), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149459] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5179), 1,
      sym_type_annotation,
    STATE(6307), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6517), 1,
      sym__call_signature,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149501] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2061), 1,
      anon_sym_PIPE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4169), 1,
      sym_comment,
    ACTIONS(2063), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [149527] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_type,
    STATE(4170), 1,
      sym_comment,
    STATE(5654), 1,
      sym_import_require_clause,
    STATE(5655), 1,
      sym_string,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(6715), 1,
      sym_import_clause,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
  [149571] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_PIPE,
    ACTIONS(7181), 1,
      anon_sym_is,
    STATE(4171), 1,
      sym_comment,
    ACTIONS(4993), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [149599] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4172), 1,
      sym_comment,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4921), 1,
      sym__call_signature,
    STATE(5335), 1,
      sym_type_annotation,
    STATE(5929), 1,
      sym__initializer,
    STATE(6498), 1,
      sym_type_parameters,
    ACTIONS(7429), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149641] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4646), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    STATE(4173), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [149675] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5232), 1,
      sym_type_annotation,
    STATE(5845), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6867), 1,
      sym__call_signature,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149717] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4175), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5113), 1,
      sym_type_annotation,
    STATE(5750), 1,
      sym__call_signature,
    STATE(5753), 1,
      sym__initializer,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7450), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149759] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4176), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5279), 1,
      sym_type_annotation,
    STATE(6155), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6590), 1,
      sym__call_signature,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149801] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4177), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5254), 1,
      sym_type_annotation,
    STATE(5257), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7452), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149839] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4178), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4545), 1,
      sym__call_signature,
    STATE(5227), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7454), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149877] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4179), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5260), 1,
      sym_type_annotation,
    STATE(6231), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6545), 1,
      sym__call_signature,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149919] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4180), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5311), 1,
      sym_type_annotation,
    STATE(5314), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7446), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149957] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4643), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    STATE(4181), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [149991] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4182), 1,
      sym_comment,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4961), 1,
      sym__call_signature,
    STATE(5113), 1,
      sym_type_annotation,
    STATE(5790), 1,
      sym__initializer,
    STATE(6498), 1,
      sym_type_parameters,
    ACTIONS(7450), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150033] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4640), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    STATE(4183), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [150067] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(7087), 1,
      anon_sym_STAR,
    ACTIONS(7091), 1,
      anon_sym_LBRACE,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_type,
    STATE(4184), 1,
      sym_comment,
    STATE(5561), 1,
      sym_import_require_clause,
    STATE(5563), 1,
      sym_string,
    STATE(6552), 1,
      sym__import_identifier,
    STATE(7082), 1,
      sym_import_clause,
    STATE(7515), 2,
      sym_namespace_import,
      sym_named_imports,
  [150111] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4185), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5363), 1,
      sym_type_annotation,
    STATE(6157), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6588), 1,
      sym__call_signature,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150153] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4186), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5236), 1,
      sym_type_annotation,
    STATE(6244), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6543), 1,
      sym__call_signature,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150195] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4187), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4601), 1,
      sym__call_signature,
    STATE(5254), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7452), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150233] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4188), 1,
      sym_comment,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4817), 1,
      sym__call_signature,
    STATE(5317), 1,
      sym_type_annotation,
    STATE(6172), 1,
      sym__initializer,
    STATE(6498), 1,
      sym_type_parameters,
    ACTIONS(7456), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150275] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4189), 1,
      sym_comment,
    STATE(4705), 1,
      sym_formal_parameters,
    STATE(7087), 1,
      sym_type_parameters,
    ACTIONS(4905), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4636), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [150311] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_LT,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(4190), 1,
      sym_comment,
    STATE(4375), 1,
      sym_type_arguments,
    ACTIONS(4312), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150341] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4191), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym_type_annotation,
    STATE(5854), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6745), 1,
      sym__call_signature,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150383] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4979), 1,
      anon_sym_PIPE,
    STATE(4192), 1,
      sym_comment,
    ACTIONS(4981), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [150409] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4649), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    STATE(4193), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [150443] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4194), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4577), 1,
      sym__call_signature,
    STATE(5187), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7435), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150481] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4195), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5123), 1,
      sym_type_annotation,
    STATE(6377), 1,
      sym__initializer,
    STATE(6462), 1,
      sym__call_signature,
    STATE(6489), 1,
      sym_type_parameters,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150523] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4196), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5227), 1,
      sym_type_annotation,
    STATE(5229), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7454), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150561] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4197), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4554), 1,
      sym__call_signature,
    STATE(5274), 1,
      sym_type_annotation,
    STATE(6903), 1,
      sym_type_parameters,
    ACTIONS(7437), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150599] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4198), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5168), 1,
      sym_type_annotation,
    STATE(6203), 1,
      sym__initializer,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6505), 1,
      sym__call_signature,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150641] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    STATE(4199), 1,
      sym_comment,
    ACTIONS(5284), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3435), 1,
      anon_sym_PIPE,
    STATE(4200), 1,
      sym_comment,
    ACTIONS(3645), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150691] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5319), 1,
      anon_sym_PIPE,
    STATE(4201), 1,
      sym_comment,
    ACTIONS(5321), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150716] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5293), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_LBRACK,
    STATE(4202), 1,
      sym_comment,
    ACTIONS(5295), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150743] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5243), 1,
      anon_sym_PIPE,
    STATE(4203), 1,
      sym_comment,
    ACTIONS(5245), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150768] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5297), 1,
      anon_sym_PIPE,
    ACTIONS(7460), 1,
      anon_sym_extends,
    STATE(4204), 1,
      sym_comment,
    ACTIONS(5299), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [150795] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_LBRACK,
    STATE(4205), 1,
      sym_comment,
    ACTIONS(5054), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(5305), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5189), 1,
      anon_sym_PIPE,
    STATE(4206), 1,
      sym_comment,
    ACTIONS(5191), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150849] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3421), 1,
      anon_sym_PIPE,
    STATE(4207), 1,
      sym_comment,
    ACTIONS(3603), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150874] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4208), 1,
      sym_comment,
    ACTIONS(5309), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [150903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4209), 1,
      sym_comment,
    ACTIONS(4965), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    STATE(4210), 1,
      sym_comment,
    ACTIONS(5317), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150951] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5139), 1,
      anon_sym_PIPE,
    STATE(4211), 1,
      sym_comment,
    ACTIONS(5137), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150976] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5337), 1,
      anon_sym_PIPE,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    STATE(4212), 1,
      sym_comment,
    ACTIONS(5339), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151003] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4213), 1,
      sym_comment,
    ACTIONS(5147), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151032] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      anon_sym_LBRACK,
    STATE(4214), 1,
      sym_comment,
    ACTIONS(5054), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151059] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_PIPE,
    STATE(4215), 1,
      sym_comment,
    ACTIONS(5343), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3437), 1,
      anon_sym_PIPE,
    STATE(4216), 1,
      sym_comment,
    ACTIONS(3625), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151109] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7468), 1,
      anon_sym_DOT,
    ACTIONS(7470), 1,
      anon_sym_QMARK_DOT,
    STATE(4217), 1,
      sym_comment,
    ACTIONS(5383), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5205), 1,
      anon_sym_PIPE,
    STATE(4218), 1,
      sym_comment,
    ACTIONS(5207), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5239), 1,
      anon_sym_PIPE,
    STATE(4219), 1,
      sym_comment,
    ACTIONS(5241), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5231), 1,
      anon_sym_PIPE,
    STATE(4220), 1,
      sym_comment,
    ACTIONS(5233), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4221), 1,
      sym_comment,
    ACTIONS(6519), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [151234] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4222), 1,
      sym_comment,
    ACTIONS(5335), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151263] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5219), 1,
      anon_sym_PIPE,
    STATE(4223), 1,
      sym_comment,
    ACTIONS(5221), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151288] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4224), 1,
      sym_comment,
    ACTIONS(5351), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151317] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5373), 1,
      anon_sym_PIPE,
    STATE(4225), 1,
      sym_comment,
    ACTIONS(5375), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4226), 1,
      sym_comment,
    ACTIONS(4975), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151365] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5213), 1,
      anon_sym_PIPE,
    STATE(4227), 1,
      sym_comment,
    ACTIONS(5215), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151390] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4228), 1,
      sym_comment,
    ACTIONS(5331), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151419] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3433), 1,
      anon_sym_PIPE,
    STATE(4229), 1,
      sym_comment,
    ACTIONS(3547), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151444] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4230), 1,
      sym_comment,
    ACTIONS(5021), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151473] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    STATE(4231), 1,
      sym_comment,
    ACTIONS(5363), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151498] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4961), 1,
      anon_sym_PIPE,
    STATE(4232), 1,
      sym_comment,
    ACTIONS(4963), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151523] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5355), 1,
      anon_sym_PIPE,
    STATE(4233), 1,
      sym_comment,
    ACTIONS(5074), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5395), 1,
      anon_sym_PIPE,
    STATE(4234), 1,
      sym_comment,
    ACTIONS(5397), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151573] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4235), 1,
      sym_comment,
    ACTIONS(5261), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4236), 1,
      sym_comment,
    ACTIONS(5237), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151619] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5377), 1,
      anon_sym_PIPE,
    STATE(4237), 1,
      sym_comment,
    ACTIONS(5379), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4238), 1,
      sym_comment,
    ACTIONS(5198), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151667] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5227), 1,
      anon_sym_PIPE,
    STATE(4239), 1,
      sym_comment,
    ACTIONS(5229), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4240), 1,
      sym_comment,
    ACTIONS(6624), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [151715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4241), 1,
      sym_comment,
    ACTIONS(4967), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151738] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_type,
    ACTIONS(7476), 1,
      anon_sym_COMMA,
    ACTIONS(7478), 1,
      anon_sym_RBRACE,
    ACTIONS(7480), 1,
      anon_sym_typeof,
    STATE(4242), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6243), 1,
      sym_import_specifier,
    STATE(6721), 1,
      sym__import_identifier,
    STATE(7361), 1,
      sym__module_export_name,
  [151781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2276), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4243), 1,
      sym_comment,
    ACTIONS(5039), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [151806] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5007), 1,
      anon_sym_PIPE,
    STATE(4244), 1,
      sym_comment,
    ACTIONS(5009), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151831] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2206), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4245), 1,
      sym_comment,
    ACTIONS(5039), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [151856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5329), 1,
      anon_sym_PIPE,
    STATE(4246), 1,
      sym_comment,
    ACTIONS(5331), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151881] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5345), 1,
      anon_sym_PIPE,
    STATE(4247), 1,
      sym_comment,
    ACTIONS(5347), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_PIPE,
    STATE(4248), 1,
      sym_comment,
    ACTIONS(4993), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151931] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4999), 1,
      anon_sym_PIPE,
    STATE(4249), 1,
      sym_comment,
    ACTIONS(5001), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5011), 1,
      anon_sym_PIPE,
    STATE(4250), 1,
      sym_comment,
    ACTIONS(5013), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151981] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3419), 1,
      anon_sym_PIPE,
    STATE(4251), 1,
      sym_comment,
    ACTIONS(3587), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [152006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5311), 1,
      anon_sym_PIPE,
    STATE(4252), 1,
      sym_comment,
    ACTIONS(5313), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [152031] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4253), 1,
      sym_comment,
    ACTIONS(4636), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [152054] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4254), 1,
      sym_comment,
    ACTIONS(5371), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [152083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5167), 1,
      anon_sym_PIPE,
    STATE(4255), 1,
      sym_comment,
    ACTIONS(5169), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [152108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_PIPE,
    STATE(4256), 1,
      sym_comment,
    ACTIONS(4973), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [152133] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5223), 1,
      anon_sym_PIPE,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_comment,
    ACTIONS(5225), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [152160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5145), 1,
      anon_sym_PIPE,
    STATE(4258), 1,
      sym_comment,
    ACTIONS(5147), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [152185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5263), 1,
      anon_sym_PIPE,
    STATE(4259), 1,
      sym_comment,
    ACTIONS(5265), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [152210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    STATE(4260), 1,
      sym_comment,
    ACTIONS(5054), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [152235] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4261), 1,
      sym_comment,
    STATE(4705), 1,
      sym_formal_parameters,
    STATE(7087), 1,
      sym_type_parameters,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [152266] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7211), 1,
      anon_sym_LT,
    STATE(4262), 1,
      sym_comment,
    STATE(4381), 1,
      sym_type_arguments,
    ACTIONS(4963), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152293] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_type,
    ACTIONS(7480), 1,
      anon_sym_typeof,
    ACTIONS(7482), 1,
      anon_sym_RBRACE,
    STATE(4263), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6721), 1,
      sym__import_identifier,
    STATE(6954), 1,
      sym_import_specifier,
    STATE(7361), 1,
      sym__module_export_name,
  [152333] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7484), 1,
      sym_identifier,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    STATE(3150), 1,
      sym_class_body,
    STATE(4264), 1,
      sym_comment,
    STATE(4597), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [152373] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4242), 1,
      anon_sym_LPAREN,
    ACTIONS(7494), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_comment,
    STATE(4504), 1,
      sym_arguments,
    ACTIONS(7492), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152401] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    STATE(4266), 1,
      sym_comment,
    ACTIONS(4905), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4636), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [152427] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7496), 1,
      sym_identifier,
    STATE(3150), 1,
      sym_class_body,
    STATE(4267), 1,
      sym_comment,
    STATE(4597), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [152467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4268), 1,
      sym_comment,
    ACTIONS(2063), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [152489] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7498), 1,
      sym_identifier,
    ACTIONS(7502), 1,
      anon_sym_COMMA,
    ACTIONS(7504), 1,
      anon_sym_RBRACE,
    STATE(4269), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6290), 1,
      sym__module_export_name,
    STATE(6291), 1,
      sym_export_specifier,
    ACTIONS(7500), 2,
      anon_sym_type,
      anon_sym_typeof,
  [152527] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7506), 1,
      sym_identifier,
    STATE(3375), 1,
      sym_class_body,
    STATE(4270), 1,
      sym_comment,
    STATE(4795), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [152567] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7508), 1,
      sym_identifier,
    STATE(3150), 1,
      sym_class_body,
    STATE(4271), 1,
      sym_comment,
    STATE(4597), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [152607] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7510), 1,
      sym_identifier,
    STATE(3150), 1,
      sym_class_body,
    STATE(4272), 1,
      sym_comment,
    STATE(4597), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [152647] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_type,
    ACTIONS(7480), 1,
      anon_sym_typeof,
    ACTIONS(7512), 1,
      anon_sym_RBRACE,
    STATE(4273), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6721), 1,
      sym__import_identifier,
    STATE(6954), 1,
      sym_import_specifier,
    STATE(7361), 1,
      sym__module_export_name,
  [152687] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7514), 1,
      sym_identifier,
    STATE(3375), 1,
      sym_class_body,
    STATE(4274), 1,
      sym_comment,
    STATE(4795), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [152727] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4275), 1,
      sym_comment,
    ACTIONS(7516), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152755] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_COLON,
    STATE(4276), 1,
      sym_comment,
    STATE(4969), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7518), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152781] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7522), 1,
      anon_sym_EQ,
    ACTIONS(7526), 1,
      anon_sym_BANG,
    STATE(4277), 1,
      sym_comment,
    STATE(5246), 1,
      sym_type_annotation,
    STATE(5504), 1,
      sym__initializer,
    ACTIONS(7528), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7524), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152815] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7526), 1,
      anon_sym_BANG,
    STATE(4278), 1,
      sym_comment,
    STATE(5246), 1,
      sym_type_annotation,
    STATE(6237), 1,
      sym__initializer,
    ACTIONS(7528), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7524), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152849] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7530), 1,
      anon_sym_is,
    STATE(4279), 1,
      sym_comment,
    ACTIONS(4963), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152873] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_COLON,
    STATE(4280), 1,
      sym_comment,
    STATE(4808), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7532), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152899] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      sym_identifier,
    STATE(3150), 1,
      sym_class_body,
    STATE(4281), 1,
      sym_comment,
    STATE(4597), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [152939] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7536), 1,
      sym_identifier,
    ACTIONS(7538), 1,
      anon_sym_LBRACE,
    STATE(2733), 1,
      sym_class_body,
    STATE(4282), 1,
      sym_comment,
    STATE(4570), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6584), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [152979] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7540), 1,
      sym_identifier,
    STATE(3375), 1,
      sym_class_body,
    STATE(4283), 1,
      sym_comment,
    STATE(4795), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153019] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7385), 1,
      anon_sym_is,
    STATE(4284), 1,
      sym_comment,
    ACTIONS(4973), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153043] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7542), 1,
      sym_identifier,
    STATE(3375), 1,
      sym_class_body,
    STATE(4285), 1,
      sym_comment,
    STATE(4795), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153083] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7544), 1,
      anon_sym_type,
    ACTIONS(7546), 1,
      anon_sym_as,
    STATE(4286), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(7040), 1,
      sym__import_identifier,
    STATE(7172), 1,
      sym__module_export_name,
    ACTIONS(7257), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [153121] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7548), 1,
      sym_identifier,
    STATE(3375), 1,
      sym_class_body,
    STATE(4287), 1,
      sym_comment,
    STATE(4795), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153161] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7538), 1,
      anon_sym_LBRACE,
    ACTIONS(7550), 1,
      sym_identifier,
    STATE(3524), 1,
      sym_class_body,
    STATE(4288), 1,
      sym_comment,
    STATE(4747), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7104), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153201] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      sym_identifier,
    STATE(3150), 1,
      sym_class_body,
    STATE(4289), 1,
      sym_comment,
    STATE(4597), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153241] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7554), 1,
      sym_identifier,
    STATE(3150), 1,
      sym_class_body,
    STATE(4290), 1,
      sym_comment,
    STATE(4597), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6614), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153281] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7556), 1,
      sym_identifier,
    STATE(3375), 1,
      sym_class_body,
    STATE(4291), 1,
      sym_comment,
    STATE(4795), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153321] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7385), 1,
      anon_sym_is,
    STATE(4292), 1,
      sym_comment,
    ACTIONS(4993), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153345] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7558), 1,
      sym_identifier,
    STATE(3375), 1,
      sym_class_body,
    STATE(4293), 1,
      sym_comment,
    STATE(4795), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153385] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4294), 1,
      sym_comment,
    ACTIONS(4981), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [153407] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(4295), 1,
      sym_comment,
    STATE(3230), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5265), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153435] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7488), 1,
      anon_sym_extends,
    ACTIONS(7490), 1,
      anon_sym_implements,
    ACTIONS(7538), 1,
      anon_sym_LBRACE,
    ACTIONS(7560), 1,
      sym_identifier,
    STATE(2717), 1,
      sym_class_body,
    STATE(4296), 1,
      sym_comment,
    STATE(4764), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6876), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153475] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    STATE(1200), 1,
      sym_class_body,
    STATE(4297), 1,
      sym_comment,
    STATE(4696), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6494), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153512] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7568), 1,
      anon_sym_BANG,
    ACTIONS(7570), 1,
      anon_sym_QMARK,
    STATE(4298), 1,
      sym_comment,
    STATE(5188), 1,
      sym_type_annotation,
    STATE(6313), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153545] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7572), 1,
      anon_sym_BANG,
    ACTIONS(7574), 1,
      anon_sym_QMARK,
    STATE(4299), 1,
      sym_comment,
    STATE(4999), 1,
      sym_type_annotation,
    STATE(6430), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153578] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_QMARK,
    STATE(4300), 1,
      sym_comment,
    STATE(4996), 1,
      sym_type_annotation,
    STATE(6432), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4301), 1,
      sym_comment,
    ACTIONS(7580), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [153632] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4302), 1,
      sym_comment,
    ACTIONS(7582), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [153653] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7584), 1,
      anon_sym_BANG,
    ACTIONS(7586), 1,
      anon_sym_QMARK,
    STATE(4303), 1,
      sym_comment,
    STATE(4995), 1,
      sym_type_annotation,
    STATE(6436), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4304), 1,
      sym_comment,
    ACTIONS(3603), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153707] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4305), 1,
      sym_comment,
    STATE(4717), 1,
      sym_type_parameters,
    STATE(5092), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6663), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153744] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7590), 1,
      anon_sym_BANG,
    ACTIONS(7592), 1,
      anon_sym_QMARK,
    STATE(4306), 1,
      sym_comment,
    STATE(5066), 1,
      sym_type_annotation,
    STATE(6398), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153777] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7594), 1,
      anon_sym_EQ,
    ACTIONS(7596), 1,
      anon_sym_DOT,
    STATE(4307), 1,
      sym_comment,
    STATE(4503), 1,
      sym_arguments,
    ACTIONS(7492), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [153806] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4308), 1,
      sym_comment,
    STATE(4749), 1,
      sym_type_parameters,
    STATE(5079), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6651), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [153843] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7598), 1,
      anon_sym_BANG,
    ACTIONS(7600), 1,
      anon_sym_QMARK,
    STATE(4309), 1,
      sym_comment,
    STATE(5141), 1,
      sym_type_annotation,
    STATE(6365), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153876] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7602), 1,
      anon_sym_BANG,
    ACTIONS(7604), 1,
      anon_sym_QMARK,
    STATE(4310), 1,
      sym_comment,
    STATE(5144), 1,
      sym_type_annotation,
    STATE(6358), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153909] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7606), 1,
      anon_sym_EQ,
    STATE(4311), 1,
      sym_comment,
    ACTIONS(7608), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [153932] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(4312), 1,
      sym_comment,
    STATE(5681), 1,
      sym_type_arguments,
    STATE(6652), 1,
      sym_optional_chain,
    STATE(2759), 2,
      sym_template_string,
      sym_arguments,
  [153967] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7610), 1,
      anon_sym_BANG,
    ACTIONS(7612), 1,
      anon_sym_QMARK,
    STATE(4313), 1,
      sym_comment,
    STATE(5157), 1,
      sym_type_annotation,
    STATE(6341), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7614), 1,
      anon_sym_EQ,
    STATE(4314), 1,
      sym_comment,
    ACTIONS(7582), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154023] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7616), 1,
      anon_sym_EQ,
    STATE(4315), 1,
      sym_comment,
    ACTIONS(7580), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154046] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(7618), 1,
      anon_sym_EQ,
    STATE(4316), 1,
      sym_comment,
    ACTIONS(7516), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [154075] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7620), 1,
      anon_sym_COMMA,
    ACTIONS(7622), 1,
      anon_sym_RBRACE,
    STATE(4317), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(4636), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [154106] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3269), 1,
      sym_class_body,
    STATE(4318), 1,
      sym_comment,
    STATE(4702), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6672), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [154143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4319), 1,
      sym_comment,
    ACTIONS(7608), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [154164] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7626), 1,
      anon_sym_DOT,
    STATE(3272), 1,
      sym_template_string,
    STATE(3542), 1,
      sym_arguments,
    STATE(4320), 1,
      sym_comment,
    STATE(5687), 1,
      sym_type_arguments,
    STATE(6634), 1,
      sym_optional_chain,
  [154201] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4321), 1,
      sym_comment,
    ACTIONS(5397), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7628), 1,
      anon_sym_EQ,
    STATE(4322), 1,
      sym_comment,
    ACTIONS(4448), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154245] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7630), 1,
      anon_sym_EQ,
    STATE(4323), 1,
      sym_comment,
    ACTIONS(7632), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154268] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4324), 1,
      sym_comment,
    ACTIONS(3547), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154289] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7634), 1,
      anon_sym_LBRACE,
    STATE(1122), 1,
      sym_class_body,
    STATE(4325), 1,
      sym_comment,
    STATE(4776), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6533), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [154326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7636), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_comment,
    ACTIONS(4426), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154349] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4327), 1,
      sym_comment,
    STATE(5243), 1,
      sym_type_annotation,
    STATE(6232), 1,
      sym__initializer,
    ACTIONS(7283), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7281), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154380] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_class_body,
    STATE(4328), 1,
      sym_comment,
    STATE(4650), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7003), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [154417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4329), 1,
      sym_comment,
    ACTIONS(5221), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154438] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3275), 1,
      sym_class_body,
    STATE(4330), 1,
      sym_comment,
    STATE(4750), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6647), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [154475] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4331), 1,
      sym_comment,
    ACTIONS(5233), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154496] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7640), 1,
      anon_sym_LBRACE,
    STATE(4332), 1,
      sym_comment,
    STATE(4753), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6802), 1,
      sym_class_body,
    STATE(7073), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [154533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4333), 1,
      sym_comment,
    ACTIONS(5241), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154554] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7642), 1,
      anon_sym_DOT,
    STATE(2759), 1,
      sym_template_string,
    STATE(2896), 1,
      sym_arguments,
    STATE(4334), 1,
      sym_comment,
    STATE(5681), 1,
      sym_type_arguments,
    STATE(6652), 1,
      sym_optional_chain,
  [154591] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7644), 1,
      anon_sym_BANG,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    STATE(4335), 1,
      sym_comment,
    STATE(5176), 1,
      sym_type_annotation,
    STATE(6322), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154624] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3270), 1,
      sym_class_body,
    STATE(4336), 1,
      sym_comment,
    STATE(4758), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7095), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [154661] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7648), 1,
      anon_sym_BANG,
    ACTIONS(7650), 1,
      anon_sym_QMARK,
    STATE(4337), 1,
      sym_comment,
    STATE(5013), 1,
      sym_type_annotation,
    STATE(6409), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154694] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7652), 1,
      anon_sym_COLON,
    STATE(4338), 1,
      sym_comment,
    STATE(5389), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7532), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154719] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4339), 1,
      sym_comment,
    STATE(4751), 1,
      sym_type_parameters,
    STATE(5060), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6644), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [154756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4340), 1,
      sym_comment,
    ACTIONS(5169), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154777] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(4341), 1,
      sym_comment,
    STATE(5687), 1,
      sym_type_arguments,
    STATE(6634), 1,
      sym_optional_chain,
    STATE(3272), 2,
      sym_template_string,
      sym_arguments,
  [154812] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    STATE(1314), 1,
      sym_class_body,
    STATE(4342), 1,
      sym_comment,
    STATE(4611), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6805), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [154849] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7652), 1,
      anon_sym_COLON,
    STATE(4343), 1,
      sym_comment,
    STATE(5501), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7518), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4344), 1,
      sym_comment,
    ACTIONS(7656), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154895] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4345), 1,
      sym_comment,
    ACTIONS(4993), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4346), 1,
      sym_comment,
    ACTIONS(4973), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154937] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4347), 1,
      sym_comment,
    STATE(4664), 1,
      sym_type_parameters,
    STATE(6208), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7118), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [154974] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2598), 1,
      sym_class_body,
    STATE(4348), 1,
      sym_comment,
    STATE(4755), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7109), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [155011] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    STATE(363), 1,
      sym_class_body,
    STATE(4349), 1,
      sym_comment,
    STATE(4797), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6544), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [155048] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1483), 1,
      sym_class_body,
    STATE(4350), 1,
      sym_comment,
    STATE(4770), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6516), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [155085] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(2575), 1,
      sym_arguments,
    STATE(2759), 1,
      sym_template_string,
    STATE(4079), 1,
      sym_type_arguments,
    STATE(4351), 1,
      sym_comment,
    STATE(6652), 1,
      sym_optional_chain,
  [155122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4352), 1,
      sym_comment,
    ACTIONS(3645), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4353), 1,
      sym_comment,
    ACTIONS(3625), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155164] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7666), 1,
      anon_sym_BANG,
    ACTIONS(7668), 1,
      anon_sym_QMARK,
    STATE(4354), 1,
      sym_comment,
    STATE(5008), 1,
      sym_type_annotation,
    STATE(5758), 1,
      sym__initializer,
    ACTIONS(7664), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155197] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7670), 1,
      anon_sym_DOT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3172), 1,
      sym_arguments,
    STATE(4355), 1,
      sym_comment,
    STATE(5681), 1,
      sym_type_arguments,
    STATE(6652), 1,
      sym_optional_chain,
  [155234] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    STATE(372), 1,
      sym_class_body,
    STATE(4356), 1,
      sym_comment,
    STATE(4767), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6513), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [155271] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(7121), 1,
      anon_sym_LT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3020), 1,
      sym_arguments,
    STATE(4101), 1,
      sym_type_arguments,
    STATE(4357), 1,
      sym_comment,
    STATE(6652), 1,
      sym_optional_chain,
  [155308] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7498), 1,
      sym_identifier,
    ACTIONS(7672), 1,
      anon_sym_RBRACE,
    STATE(4358), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6290), 1,
      sym__module_export_name,
    STATE(6999), 1,
      sym_export_specifier,
    ACTIONS(7500), 2,
      anon_sym_type,
      anon_sym_typeof,
  [155343] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3374), 1,
      sym_arguments,
    STATE(4079), 1,
      sym_type_arguments,
    STATE(4359), 1,
      sym_comment,
    STATE(6652), 1,
      sym_optional_chain,
  [155380] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7674), 1,
      anon_sym_BANG,
    ACTIONS(7676), 1,
      anon_sym_QMARK,
    STATE(4360), 1,
      sym_comment,
    STATE(4993), 1,
      sym_type_annotation,
    STATE(6036), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155413] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7678), 1,
      anon_sym_BANG,
    ACTIONS(7680), 1,
      anon_sym_QMARK,
    STATE(4361), 1,
      sym_comment,
    STATE(5278), 1,
      sym_type_annotation,
    STATE(5884), 1,
      sym__initializer,
    ACTIONS(7664), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155446] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2787), 1,
      sym_class_body,
    STATE(4362), 1,
      sym_comment,
    STATE(4675), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6904), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [155483] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4363), 1,
      sym_comment,
    STATE(5327), 1,
      sym_type_annotation,
    STATE(6077), 1,
      sym__initializer,
    ACTIONS(7684), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7682), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155514] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1353), 1,
      sym_class_body,
    STATE(4364), 1,
      sym_comment,
    STATE(4646), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6992), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [155551] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4365), 1,
      sym_comment,
    ACTIONS(7688), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [155572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4366), 1,
      sym_comment,
    ACTIONS(7690), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [155593] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7620), 1,
      anon_sym_COMMA,
    ACTIONS(7692), 1,
      anon_sym_RBRACE,
    STATE(4367), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4636), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4368), 1,
      sym_comment,
    ACTIONS(5379), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155645] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4369), 1,
      sym_comment,
    STATE(4674), 1,
      sym_type_parameters,
    STATE(6144), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6881), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [155682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4370), 1,
      sym_comment,
    ACTIONS(5074), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155703] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4371), 1,
      sym_comment,
    ACTIONS(5343), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    STATE(4372), 1,
      sym_comment,
    ACTIONS(5339), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [155747] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4373), 1,
      sym_comment,
    ACTIONS(5137), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4374), 1,
      sym_comment,
    ACTIONS(5321), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4375), 1,
      sym_comment,
    ACTIONS(5317), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155810] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_extends,
    STATE(4376), 1,
      sym_comment,
    ACTIONS(5309), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [155837] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7700), 1,
      anon_sym_LBRACK,
    STATE(4377), 1,
      sym_comment,
    ACTIONS(5054), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5305), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7702), 1,
      anon_sym_extends,
    STATE(4378), 1,
      sym_comment,
    ACTIONS(5299), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [155885] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7700), 1,
      anon_sym_LBRACK,
    STATE(4379), 1,
      sym_comment,
    ACTIONS(5295), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155908] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7620), 1,
      anon_sym_COMMA,
    ACTIONS(7704), 1,
      anon_sym_RBRACE,
    STATE(4380), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4636), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155939] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4381), 1,
      sym_comment,
    ACTIONS(5284), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155960] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4382), 1,
      sym_comment,
    STATE(4754), 1,
      sym_type_parameters,
    STATE(5046), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6621), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [155997] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7634), 1,
      anon_sym_LBRACE,
    STATE(1208), 1,
      sym_class_body,
    STATE(4383), 1,
      sym_comment,
    STATE(4766), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6509), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [156034] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7706), 1,
      anon_sym_LBRACE,
    STATE(390), 1,
      sym_class_body,
    STATE(4384), 1,
      sym_comment,
    STATE(4579), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6846), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [156071] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_extends,
    STATE(4385), 1,
      sym_comment,
    ACTIONS(5351), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [156098] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7620), 1,
      anon_sym_COMMA,
    STATE(4386), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4636), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [156129] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4387), 1,
      sym_comment,
    ACTIONS(7708), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [156150] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_extends,
    STATE(4388), 1,
      sym_comment,
    ACTIONS(5335), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [156177] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4389), 1,
      sym_comment,
    ACTIONS(5278), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156198] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4390), 1,
      sym_comment,
    STATE(5136), 1,
      sym_type_annotation,
    STATE(5783), 1,
      sym__initializer,
    ACTIONS(7297), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7295), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156229] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4391), 1,
      sym_comment,
    ACTIONS(5276), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156250] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3175), 1,
      sym_class_body,
    STATE(4392), 1,
      sym_comment,
    STATE(4779), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7024), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [156287] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7620), 1,
      anon_sym_COMMA,
    STATE(4393), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6287), 1,
      aux_sym_object_repeat1,
    ACTIONS(4636), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [156318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4394), 1,
      sym_comment,
    ACTIONS(5274), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156339] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7712), 1,
      anon_sym_QMARK,
    STATE(4395), 1,
      sym_comment,
    STATE(5216), 1,
      sym_type_annotation,
    STATE(6279), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4396), 1,
      sym_comment,
    ACTIONS(4448), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156393] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4397), 1,
      sym_comment,
    ACTIONS(7714), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [156414] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7716), 1,
      anon_sym_BANG,
    ACTIONS(7718), 1,
      anon_sym_QMARK,
    STATE(4398), 1,
      sym_comment,
    STATE(5382), 1,
      sym_type_annotation,
    STATE(6130), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156447] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4399), 1,
      sym_comment,
    ACTIONS(5245), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156468] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3533), 1,
      sym_arguments,
    STATE(4079), 1,
      sym_type_arguments,
    STATE(4400), 1,
      sym_comment,
    STATE(6652), 1,
      sym_optional_chain,
  [156505] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7720), 1,
      anon_sym_BANG,
    ACTIONS(7722), 1,
      anon_sym_QMARK,
    STATE(4401), 1,
      sym_comment,
    STATE(5412), 1,
      sym_type_annotation,
    STATE(6110), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4402), 1,
      sym_comment,
    ACTIONS(7632), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156559] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7724), 1,
      anon_sym_BANG,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(4403), 1,
      sym_comment,
    STATE(5414), 1,
      sym_type_annotation,
    STATE(6105), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4404), 1,
      sym_comment,
    ACTIONS(7728), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [156613] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_class_body,
    STATE(4405), 1,
      sym_comment,
    STATE(4790), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6930), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [156650] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7730), 1,
      anon_sym_BANG,
    ACTIONS(7732), 1,
      anon_sym_QMARK,
    STATE(4406), 1,
      sym_comment,
    STATE(5009), 1,
      sym_type_annotation,
    STATE(6412), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156683] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7734), 1,
      anon_sym_LBRACE,
    STATE(1615), 1,
      sym_class_body,
    STATE(4407), 1,
      sym_comment,
    STATE(4655), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7012), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [156720] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7640), 1,
      anon_sym_LBRACE,
    STATE(4408), 1,
      sym_comment,
    STATE(4687), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6653), 1,
      sym_class_body,
    STATE(7074), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [156757] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    STATE(1575), 1,
      sym_class_body,
    STATE(4409), 1,
      sym_comment,
    STATE(4656), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6774), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [156794] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7736), 1,
      anon_sym_LBRACE,
    STATE(997), 1,
      sym_class_body,
    STATE(4410), 1,
      sym_comment,
    STATE(4703), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6482), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [156831] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3469), 1,
      sym_arguments,
    STATE(4079), 1,
      sym_type_arguments,
    STATE(4411), 1,
      sym_comment,
    STATE(6652), 1,
      sym_optional_chain,
  [156868] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(308), 1,
      sym_class_body,
    STATE(4412), 1,
      sym_comment,
    STATE(4704), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6476), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [156905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4413), 1,
      sym_comment,
    ACTIONS(2162), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156926] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7740), 1,
      anon_sym_BANG,
    ACTIONS(7742), 1,
      anon_sym_QMARK,
    STATE(4414), 1,
      sym_comment,
    STATE(5111), 1,
      sym_type_annotation,
    STATE(5898), 1,
      sym__initializer,
    ACTIONS(7321), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156959] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7744), 1,
      anon_sym_BANG,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    STATE(4415), 1,
      sym_comment,
    STATE(5492), 1,
      sym_type_annotation,
    STATE(6067), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156992] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7748), 1,
      anon_sym_BANG,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(4416), 1,
      sym_comment,
    STATE(5497), 1,
      sym_type_annotation,
    STATE(6168), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157025] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7620), 1,
      anon_sym_COMMA,
    STATE(4417), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4636), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [157056] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7752), 1,
      anon_sym_BANG,
    ACTIONS(7754), 1,
      anon_sym_QMARK,
    STATE(4418), 1,
      sym_comment,
    STATE(5503), 1,
      sym_type_annotation,
    STATE(6055), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157089] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_extends,
    STATE(4419), 1,
      sym_comment,
    ACTIONS(5331), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [157116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4420), 1,
      sym_comment,
    ACTIONS(5331), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157137] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4421), 1,
      sym_comment,
    ACTIONS(5347), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157158] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    STATE(1171), 1,
      sym_class_body,
    STATE(4422), 1,
      sym_comment,
    STATE(4711), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6469), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [157195] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7756), 1,
      anon_sym_BANG,
    ACTIONS(7758), 1,
      anon_sym_QMARK,
    STATE(4423), 1,
      sym_comment,
    STATE(5466), 1,
      sym_type_annotation,
    STATE(6030), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157228] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3189), 1,
      sym_class_body,
    STATE(4424), 1,
      sym_comment,
    STATE(4606), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6742), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [157265] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7760), 1,
      anon_sym_BANG,
    ACTIONS(7762), 1,
      anon_sym_QMARK,
    STATE(4425), 1,
      sym_comment,
    STATE(5502), 1,
      sym_type_annotation,
    STATE(6059), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157298] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7764), 1,
      anon_sym_BANG,
    ACTIONS(7766), 1,
      anon_sym_QMARK,
    STATE(4426), 1,
      sym_comment,
    STATE(5465), 1,
      sym_type_annotation,
    STATE(6023), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157331] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    STATE(4427), 1,
      sym_comment,
    ACTIONS(5225), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [157354] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_extends,
    STATE(4428), 1,
      sym_comment,
    ACTIONS(5371), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [157381] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7768), 1,
      anon_sym_BANG,
    ACTIONS(7770), 1,
      anon_sym_QMARK,
    STATE(4429), 1,
      sym_comment,
    STATE(5508), 1,
      sym_type_annotation,
    STATE(6049), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157414] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7772), 1,
      anon_sym_BANG,
    ACTIONS(7774), 1,
      anon_sym_QMARK,
    STATE(4430), 1,
      sym_comment,
    STATE(5117), 1,
      sym_type_annotation,
    STATE(5793), 1,
      sym__initializer,
    ACTIONS(7321), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157447] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7776), 1,
      anon_sym_BANG,
    ACTIONS(7778), 1,
      anon_sym_QMARK,
    STATE(4431), 1,
      sym_comment,
    STATE(5437), 1,
      sym_type_annotation,
    STATE(5995), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157480] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(7620), 1,
      anon_sym_COMMA,
    ACTIONS(7780), 1,
      anon_sym_RBRACE,
    STATE(4432), 1,
      sym_comment,
    STATE(6276), 1,
      aux_sym_object_repeat1,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4636), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [157511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4433), 1,
      sym_comment,
    ACTIONS(5207), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157532] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7782), 1,
      anon_sym_BANG,
    ACTIONS(7784), 1,
      anon_sym_QMARK,
    STATE(4434), 1,
      sym_comment,
    STATE(5514), 1,
      sym_type_annotation,
    STATE(6047), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4435), 1,
      sym_comment,
    ACTIONS(5215), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4436), 1,
      sym_comment,
    ACTIONS(5375), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157607] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1068), 1,
      sym_class_body,
    STATE(4437), 1,
      sym_comment,
    STATE(4619), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6797), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [157644] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7788), 1,
      anon_sym_BANG,
    ACTIONS(7790), 1,
      anon_sym_QMARK,
    STATE(4438), 1,
      sym_comment,
    STATE(5460), 1,
      sym_type_annotation,
    STATE(6026), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157677] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4439), 1,
      sym_comment,
    STATE(5404), 1,
      sym_type_annotation,
    STATE(5953), 1,
      sym__initializer,
    ACTIONS(7343), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157708] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7706), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym_class_body,
    STATE(4440), 1,
      sym_comment,
    STATE(4614), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6800), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [157745] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7792), 1,
      anon_sym_DOT,
    STATE(2759), 1,
      sym_template_string,
    STATE(3437), 1,
      sym_arguments,
    STATE(4441), 1,
      sym_comment,
    STATE(5681), 1,
      sym_type_arguments,
    STATE(6652), 1,
      sym_optional_chain,
  [157782] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7794), 1,
      anon_sym_BANG,
    ACTIONS(7796), 1,
      anon_sym_QMARK,
    STATE(4442), 1,
      sym_comment,
    STATE(5152), 1,
      sym_type_annotation,
    STATE(6351), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157815] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7798), 1,
      anon_sym_BANG,
    ACTIONS(7800), 1,
      anon_sym_QMARK,
    STATE(4443), 1,
      sym_comment,
    STATE(5253), 1,
      sym_type_annotation,
    STATE(5871), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157848] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3411), 1,
      sym_class_body,
    STATE(4444), 1,
      sym_comment,
    STATE(4627), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6976), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [157885] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7736), 1,
      anon_sym_LBRACE,
    STATE(1017), 1,
      sym_class_body,
    STATE(4445), 1,
      sym_comment,
    STATE(4723), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6452), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [157922] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7802), 1,
      anon_sym_BANG,
    ACTIONS(7804), 1,
      anon_sym_QMARK,
    STATE(4446), 1,
      sym_comment,
    STATE(5445), 1,
      sym_type_annotation,
    STATE(6008), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157955] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4447), 1,
      sym_comment,
    ACTIONS(5171), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157976] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7806), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_QMARK,
    STATE(4448), 1,
      sym_comment,
    STATE(5206), 1,
      sym_type_annotation,
    STATE(6288), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158009] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4449), 1,
      sym_comment,
    STATE(5361), 1,
      sym_type_annotation,
    STATE(5947), 1,
      sym__initializer,
    ACTIONS(7359), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7357), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4450), 1,
      sym_comment,
    ACTIONS(5171), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158061] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(3272), 1,
      sym_template_string,
    STATE(3506), 1,
      sym_arguments,
    STATE(4295), 1,
      sym_type_arguments,
    STATE(4451), 1,
      sym_comment,
    STATE(6634), 1,
      sym_optional_chain,
  [158098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4452), 1,
      sym_comment,
    ACTIONS(2218), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158119] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5417), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(2990), 1,
      sym_arguments,
    STATE(3272), 1,
      sym_template_string,
    STATE(4295), 1,
      sym_type_arguments,
    STATE(4453), 1,
      sym_comment,
    STATE(6634), 1,
      sym_optional_chain,
  [158156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4454), 1,
      sym_comment,
    ACTIONS(5185), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158177] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4455), 1,
      sym_comment,
    ACTIONS(5185), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158198] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4456), 1,
      sym_comment,
    ACTIONS(5200), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158219] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4457), 1,
      sym_comment,
    ACTIONS(5054), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158240] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(318), 1,
      sym_class_body,
    STATE(4458), 1,
      sym_comment,
    STATE(4698), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6445), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [158277] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(3553), 1,
      sym_class_body,
    STATE(4459), 1,
      sym_comment,
    STATE(4539), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6922), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [158314] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7734), 1,
      anon_sym_LBRACE,
    STATE(1669), 1,
      sym_class_body,
    STATE(4460), 1,
      sym_comment,
    STATE(4567), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6841), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [158351] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4461), 1,
      sym_comment,
    STATE(5246), 1,
      sym_type_annotation,
    STATE(6228), 1,
      sym__initializer,
    ACTIONS(7528), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7524), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158382] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7498), 1,
      sym_identifier,
    ACTIONS(7810), 1,
      anon_sym_RBRACE,
    STATE(4462), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6290), 1,
      sym__module_export_name,
    STATE(6999), 1,
      sym_export_specifier,
    ACTIONS(7500), 2,
      anon_sym_type,
      anon_sym_typeof,
  [158417] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_extends,
    STATE(4463), 1,
      sym_comment,
    ACTIONS(5147), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [158444] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(414), 1,
      sym_class_body,
    STATE(4464), 1,
      sym_comment,
    STATE(4694), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6783), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [158481] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7812), 1,
      anon_sym_BANG,
    ACTIONS(7814), 1,
      anon_sym_QMARK,
    STATE(4465), 1,
      sym_comment,
    STATE(5192), 1,
      sym_type_annotation,
    STATE(6309), 1,
      sym__initializer,
    ACTIONS(7263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4466), 1,
      sym_comment,
    ACTIONS(5013), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158535] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7522), 1,
      anon_sym_EQ,
    STATE(4467), 1,
      sym_comment,
    STATE(5246), 1,
      sym_type_annotation,
    STATE(5507), 1,
      sym__initializer,
    ACTIONS(7528), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7524), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158566] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_type,
    ACTIONS(7480), 1,
      anon_sym_typeof,
    STATE(4468), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6721), 1,
      sym__import_identifier,
    STATE(6954), 1,
      sym_import_specifier,
    STATE(7361), 1,
      sym__module_export_name,
  [158603] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_extends,
    STATE(4469), 1,
      sym_comment,
    ACTIONS(5021), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [158630] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4470), 1,
      sym_comment,
    ACTIONS(4426), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [158651] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4471), 1,
      sym_comment,
    ACTIONS(3587), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4472), 1,
      sym_comment,
    ACTIONS(5147), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4473), 1,
      sym_comment,
    ACTIONS(5363), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158714] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7816), 1,
      anon_sym_BANG,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    STATE(4474), 1,
      sym_comment,
    STATE(5293), 1,
      sym_type_annotation,
    STATE(5889), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158747] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1133), 1,
      sym_class_body,
    STATE(4475), 1,
      sym_comment,
    STATE(4605), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6818), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [158784] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    ACTIONS(7071), 1,
      anon_sym_LT,
    ACTIONS(7820), 1,
      anon_sym_DOT,
    STATE(3272), 1,
      sym_template_string,
    STATE(3328), 1,
      sym_arguments,
    STATE(4476), 1,
      sym_comment,
    STATE(5687), 1,
      sym_type_arguments,
    STATE(6634), 1,
      sym_optional_chain,
  [158821] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4477), 1,
      sym_comment,
    ACTIONS(5265), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158842] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1355), 1,
      sym_class_body,
    STATE(4478), 1,
      sym_comment,
    STATE(4530), 1,
      sym_type_parameters,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6484), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [158879] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4479), 1,
      sym_comment,
    ACTIONS(5229), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158900] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7822), 1,
      anon_sym_BANG,
    ACTIONS(7824), 1,
      anon_sym_QMARK,
    STATE(4480), 1,
      sym_comment,
    STATE(5330), 1,
      sym_type_annotation,
    STATE(5916), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158933] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4481), 1,
      sym_comment,
    ACTIONS(5191), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4482), 1,
      sym_comment,
    ACTIONS(4963), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4483), 1,
      sym_comment,
    ACTIONS(5367), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158996] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4484), 1,
      sym_comment,
    ACTIONS(5365), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [159017] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7826), 1,
      anon_sym_BANG,
    ACTIONS(7828), 1,
      anon_sym_QMARK,
    STATE(4485), 1,
      sym_comment,
    STATE(5316), 1,
      sym_type_annotation,
    STATE(5902), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159050] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7830), 1,
      anon_sym_BANG,
    ACTIONS(7832), 1,
      anon_sym_QMARK,
    STATE(4486), 1,
      sym_comment,
    STATE(5312), 1,
      sym_type_annotation,
    STATE(5900), 1,
      sym__initializer,
    ACTIONS(7243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159083] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4487), 1,
      sym_comment,
    ACTIONS(5313), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [159104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4488), 1,
      sym_comment,
    ACTIONS(5001), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [159125] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7700), 1,
      anon_sym_LBRACK,
    STATE(4489), 1,
      sym_comment,
    ACTIONS(5054), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [159148] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4490), 1,
      sym_comment,
    ACTIONS(5009), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [159169] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4491), 1,
      sym_comment,
    ACTIONS(5353), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [159190] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7834), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7836), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7838), 1,
      anon_sym_QMARK_COLON,
    STATE(4492), 1,
      sym_comment,
    STATE(5309), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159218] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7834), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7836), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7838), 1,
      anon_sym_QMARK_COLON,
    STATE(4493), 1,
      sym_comment,
    STATE(5308), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159246] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7498), 1,
      sym_identifier,
    STATE(4494), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6290), 1,
      sym__module_export_name,
    STATE(6999), 1,
      sym_export_specifier,
    ACTIONS(7500), 2,
      anon_sym_type,
      anon_sym_typeof,
  [159278] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7840), 1,
      sym_escape_sequence,
    ACTIONS(7842), 1,
      anon_sym_BQUOTE,
    ACTIONS(7844), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7846), 1,
      sym__template_chars,
    STATE(4495), 1,
      sym_comment,
    STATE(4943), 1,
      aux_sym_template_string_repeat1,
    STATE(5301), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5692), 1,
      sym_template_substitution,
    STATE(6193), 1,
      sym_template_type,
  [159312] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7848), 1,
      anon_sym_enum,
    STATE(4496), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5725), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7852), 1,
      anon_sym_DOT,
    STATE(4497), 1,
      sym_comment,
    ACTIONS(7850), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159366] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_extends,
    STATE(4498), 1,
      sym_comment,
    ACTIONS(7516), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7854), 1,
      anon_sym_EQ,
    STATE(4499), 1,
      sym_comment,
    ACTIONS(6398), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [159414] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7205), 1,
      anon_sym_LPAREN,
    ACTIONS(7856), 1,
      anon_sym_DOT,
    STATE(4500), 1,
      sym_comment,
    STATE(4845), 1,
      sym_arguments,
    ACTIONS(7492), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159440] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7834), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7836), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7838), 1,
      anon_sym_QMARK_COLON,
    STATE(4501), 1,
      sym_comment,
    STATE(5204), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159468] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7840), 1,
      sym_escape_sequence,
    ACTIONS(7844), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7846), 1,
      sym__template_chars,
    ACTIONS(7858), 1,
      anon_sym_BQUOTE,
    STATE(4502), 1,
      sym_comment,
    STATE(4943), 1,
      aux_sym_template_string_repeat1,
    STATE(5301), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5692), 1,
      sym_template_substitution,
    STATE(6193), 1,
      sym_template_type,
  [159502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7860), 1,
      anon_sym_EQ,
    STATE(4503), 1,
      sym_comment,
    ACTIONS(7862), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [159524] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4504), 1,
      sym_comment,
    ACTIONS(7862), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [159544] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7840), 1,
      sym_escape_sequence,
    ACTIONS(7844), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7846), 1,
      sym__template_chars,
    ACTIONS(7864), 1,
      anon_sym_BQUOTE,
    STATE(4505), 1,
      sym_comment,
    STATE(4914), 1,
      aux_sym_template_string_repeat1,
    STATE(5301), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5692), 1,
      sym_template_substitution,
    STATE(6193), 1,
      sym_template_type,
  [159578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4506), 1,
      sym_comment,
    ACTIONS(6398), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [159598] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_DOT,
    STATE(4507), 1,
      sym_comment,
    STATE(4997), 1,
      sym_statement_block,
    ACTIONS(2113), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159624] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7870), 1,
      anon_sym_DOT,
    STATE(4508), 1,
      sym_comment,
    STATE(4997), 1,
      sym_statement_block,
    ACTIONS(2113), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159650] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7834), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7836), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7838), 1,
      anon_sym_QMARK_COLON,
    STATE(4509), 1,
      sym_comment,
    STATE(5163), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159678] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7872), 1,
      anon_sym_enum,
    STATE(4510), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5696), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159710] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7526), 1,
      anon_sym_BANG,
    STATE(4511), 1,
      sym_comment,
    STATE(5246), 1,
      sym_type_annotation,
    STATE(6237), 1,
      sym__initializer,
    ACTIONS(7524), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159740] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7834), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7836), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7838), 1,
      anon_sym_QMARK_COLON,
    STATE(4512), 1,
      sym_comment,
    STATE(5392), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159768] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7874), 1,
      anon_sym_enum,
    STATE(4513), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5592), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159800] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7840), 1,
      sym_escape_sequence,
    ACTIONS(7844), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7846), 1,
      sym__template_chars,
    ACTIONS(7876), 1,
      anon_sym_BQUOTE,
    STATE(4514), 1,
      sym_comment,
    STATE(4914), 1,
      aux_sym_template_string_repeat1,
    STATE(5301), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5692), 1,
      sym_template_substitution,
    STATE(6193), 1,
      sym_template_type,
  [159834] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7834), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7836), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7838), 1,
      anon_sym_QMARK_COLON,
    STATE(4515), 1,
      sym_comment,
    STATE(5294), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159862] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7834), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7836), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7838), 1,
      anon_sym_QMARK_COLON,
    STATE(4516), 1,
      sym_comment,
    STATE(5289), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159890] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4517), 1,
      sym_comment,
    ACTIONS(7878), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159916] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4518), 1,
      sym_comment,
    ACTIONS(7880), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159942] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7464), 1,
      anon_sym_PIPE,
    ACTIONS(7466), 1,
      anon_sym_extends,
    STATE(4519), 1,
      sym_comment,
    ACTIONS(7882), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159968] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7834), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7836), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7838), 1,
      anon_sym_QMARK_COLON,
    STATE(4520), 1,
      sym_comment,
    STATE(5272), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159996] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7840), 1,
      sym_escape_sequence,
    ACTIONS(7844), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7846), 1,
      sym__template_chars,
    ACTIONS(7884), 1,
      anon_sym_BQUOTE,
    STATE(4521), 1,
      sym_comment,
    STATE(4943), 1,
      aux_sym_template_string_repeat1,
    STATE(5301), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5692), 1,
      sym_template_substitution,
    STATE(6193), 1,
      sym_template_type,
  [160030] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7840), 1,
      sym_escape_sequence,
    ACTIONS(7844), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7846), 1,
      sym__template_chars,
    ACTIONS(7886), 1,
      anon_sym_BQUOTE,
    STATE(4522), 1,
      sym_comment,
    STATE(4943), 1,
      aux_sym_template_string_repeat1,
    STATE(5301), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5692), 1,
      sym_template_substitution,
    STATE(6193), 1,
      sym_template_type,
  [160064] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_enum,
    STATE(4523), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5708), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160096] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7840), 1,
      sym_escape_sequence,
    ACTIONS(7844), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7846), 1,
      sym__template_chars,
    ACTIONS(7890), 1,
      anon_sym_BQUOTE,
    STATE(4524), 1,
      sym_comment,
    STATE(4943), 1,
      aux_sym_template_string_repeat1,
    STATE(5170), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5692), 1,
      sym_template_substitution,
    STATE(6193), 1,
      sym_template_type,
  [160130] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_enum,
    STATE(4525), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5604), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160162] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7894), 1,
      anon_sym_enum,
    STATE(4526), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5716), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160194] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7834), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7836), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7838), 1,
      anon_sym_QMARK_COLON,
    STATE(4527), 1,
      sym_comment,
    STATE(5210), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [160222] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7840), 1,
      sym_escape_sequence,
    ACTIONS(7844), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7846), 1,
      sym__template_chars,
    ACTIONS(7896), 1,
      anon_sym_BQUOTE,
    STATE(4528), 1,
      sym_comment,
    STATE(4943), 1,
      aux_sym_template_string_repeat1,
    STATE(5301), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5692), 1,
      sym_template_substitution,
    STATE(6193), 1,
      sym_template_type,
  [160256] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4529), 1,
      sym_comment,
    STATE(5360), 1,
      sym_type_annotation,
    STATE(6160), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160283] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_class_body,
    STATE(4530), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6464), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [160314] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4531), 1,
      sym_comment,
    STATE(5212), 1,
      sym_type_annotation,
    ACTIONS(7898), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160337] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4532), 1,
      sym_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [160356] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4533), 1,
      sym_comment,
    ACTIONS(7900), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [160375] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4534), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5710), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160404] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7904), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_STAR,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    STATE(4535), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6617), 1,
      sym__call_signature,
  [160435] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4536), 1,
      sym_comment,
    STATE(5173), 1,
      sym_type_annotation,
    ACTIONS(7910), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4537), 1,
      sym_comment,
    ACTIONS(7656), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [160477] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4538), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5708), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160506] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(3543), 1,
      sym_class_body,
    STATE(4539), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6835), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [160537] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      sym_identifier,
    ACTIONS(7914), 1,
      anon_sym_STAR,
    STATE(4540), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6786), 1,
      sym__call_signature,
  [160568] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4541), 1,
      sym_comment,
    STATE(5458), 1,
      sym_type_annotation,
    STATE(6021), 1,
      sym__initializer,
    ACTIONS(7916), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160595] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4542), 1,
      sym_comment,
    STATE(6754), 1,
      sym_statement_block,
    ACTIONS(7920), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160618] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(7922), 1,
      sym_identifier,
    ACTIONS(7924), 1,
      anon_sym_STAR,
    STATE(4543), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6617), 1,
      sym__call_signature,
  [160649] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4544), 1,
      sym_comment,
    STATE(6747), 1,
      sym_statement_block,
    ACTIONS(7926), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160672] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4545), 1,
      sym_comment,
    STATE(6512), 1,
      sym_statement_block,
    ACTIONS(7928), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160695] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4546), 1,
      sym_comment,
    STATE(5335), 1,
      sym_type_annotation,
    STATE(5922), 1,
      sym__initializer,
    ACTIONS(7429), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160722] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4547), 1,
      sym_comment,
    STATE(5454), 1,
      sym_type_annotation,
    STATE(6019), 1,
      sym__initializer,
    ACTIONS(7916), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160749] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(7930), 1,
      sym_identifier,
    ACTIONS(7932), 1,
      anon_sym_STAR,
    STATE(4548), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6786), 1,
      sym__call_signature,
  [160780] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4549), 1,
      sym_comment,
    STATE(6570), 1,
      sym_statement_block,
    ACTIONS(7934), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160803] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(7936), 1,
      sym_identifier,
    ACTIONS(7938), 1,
      anon_sym_LPAREN,
    STATE(2761), 1,
      sym_arguments,
    STATE(4550), 1,
      sym_comment,
    STATE(6862), 1,
      sym_type_arguments,
    ACTIONS(7940), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [160832] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7942), 1,
      anon_sym_COLON,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(4551), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6702), 1,
      sym__call_signature,
  [160863] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4552), 1,
      sym_comment,
    ACTIONS(6624), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [160882] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4553), 1,
      sym_comment,
    STATE(6514), 1,
      sym_statement_block,
    ACTIONS(7946), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160905] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4554), 1,
      sym_comment,
    STATE(6503), 1,
      sym_statement_block,
    ACTIONS(7948), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160928] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4555), 1,
      sym_comment,
    STATE(6571), 1,
      sym_statement_block,
    ACTIONS(7946), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160951] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(7950), 1,
      sym_identifier,
    STATE(3901), 1,
      sym__type_query_member_expression,
    STATE(3905), 1,
      sym__type_query_subscript_expression,
    STATE(4118), 1,
      sym__type_query_call_expression,
    STATE(4237), 1,
      sym__type_query_instantiation_expression,
    STATE(4556), 1,
      sym_comment,
    STATE(5686), 1,
      sym_import,
  [160982] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(7952), 1,
      sym_identifier,
    ACTIONS(7954), 1,
      anon_sym_STAR,
    STATE(4557), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6617), 1,
      sym__call_signature,
  [161013] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4558), 1,
      sym_comment,
    STATE(6573), 1,
      sym_statement_block,
    ACTIONS(7948), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161036] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4559), 1,
      sym_comment,
    STATE(6519), 1,
      sym_statement_block,
    ACTIONS(7956), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161059] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4560), 1,
      sym_comment,
    STATE(5405), 1,
      sym_type_annotation,
    STATE(5973), 1,
      sym__initializer,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161086] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4561), 1,
      sym_comment,
    STATE(5126), 1,
      sym_type_annotation,
    STATE(5795), 1,
      sym__initializer,
    ACTIONS(7431), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161113] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4562), 1,
      sym_comment,
    STATE(6522), 1,
      sym_statement_block,
    ACTIONS(7958), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161136] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4563), 1,
      sym_comment,
    STATE(5440), 1,
      sym_type_annotation,
    STATE(5999), 1,
      sym__initializer,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161163] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4564), 1,
      sym_comment,
    STATE(6713), 1,
      sym_statement_block,
    ACTIONS(7956), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161186] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(7960), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_STAR,
    STATE(4565), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6617), 1,
      sym__call_signature,
  [161217] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4566), 1,
      sym_comment,
    STATE(6729), 1,
      sym_statement_block,
    ACTIONS(7958), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161240] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7734), 1,
      anon_sym_LBRACE,
    STATE(1763), 1,
      sym_class_body,
    STATE(4567), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6730), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [161271] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4568), 1,
      sym_comment,
    STATE(5518), 1,
      sym_type_annotation,
    STATE(6038), 1,
      sym__initializer,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161298] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4569), 1,
      sym_comment,
    STATE(5515), 1,
      sym_type_annotation,
    STATE(6043), 1,
      sym__initializer,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161325] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2657), 1,
      sym_class_body,
    STATE(4570), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6744), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [161356] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4571), 1,
      sym_comment,
    STATE(6564), 1,
      sym_statement_block,
    ACTIONS(7928), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161379] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(7964), 1,
      sym_identifier,
    STATE(2635), 1,
      sym__type_query_subscript_expression,
    STATE(2644), 1,
      sym__type_query_member_expression,
    STATE(2966), 1,
      sym__type_query_call_expression,
    STATE(2968), 1,
      sym__type_query_instantiation_expression,
    STATE(4572), 1,
      sym_comment,
    STATE(5641), 1,
      sym_import,
  [161410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6204), 1,
      sym__automatic_semicolon,
    STATE(4573), 1,
      sym_comment,
    ACTIONS(2166), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [161431] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4574), 1,
      sym_comment,
    STATE(5489), 1,
      sym_type_annotation,
    STATE(6070), 1,
      sym__initializer,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161458] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4575), 1,
      sym_comment,
    STATE(5467), 1,
      sym_type_annotation,
    STATE(6075), 1,
      sym__initializer,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161485] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4180), 1,
      anon_sym_DQUOTE,
    ACTIONS(4182), 1,
      anon_sym_SQUOTE,
    ACTIONS(7966), 1,
      sym_identifier,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(992), 1,
      sym_nested_identifier,
    STATE(1046), 1,
      sym_string,
    STATE(1320), 1,
      sym__module,
    STATE(4576), 1,
      sym_comment,
  [161516] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4577), 1,
      sym_comment,
    STATE(6574), 1,
      sym_statement_block,
    ACTIONS(7970), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161539] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7972), 1,
      anon_sym_LBRACE,
    ACTIONS(7974), 1,
      anon_sym_LT,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(7978), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1604), 1,
      sym_object_type,
    STATE(4578), 1,
      sym_comment,
    STATE(5131), 1,
      sym_type_parameters,
    STATE(5804), 1,
      sym_extends_type_clause,
  [161570] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7706), 1,
      anon_sym_LBRACE,
    STATE(400), 1,
      sym_class_body,
    STATE(4579), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6814), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [161601] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4580), 1,
      sym_comment,
    STATE(6576), 1,
      sym_statement_block,
    ACTIONS(7980), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161624] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4581), 1,
      sym_comment,
    STATE(6847), 1,
      sym_statement_block,
    ACTIONS(7980), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161647] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(7982), 1,
      sym_identifier,
    ACTIONS(7984), 1,
      anon_sym_STAR,
    STATE(4582), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6786), 1,
      sym__call_signature,
  [161678] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4583), 1,
      sym_comment,
    STATE(6849), 1,
      sym_statement_block,
    ACTIONS(7970), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161701] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4584), 1,
      sym_comment,
    STATE(5246), 1,
      sym_type_annotation,
    STATE(6228), 1,
      sym__initializer,
    ACTIONS(7524), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161728] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4585), 1,
      sym_comment,
    STATE(5402), 1,
      sym_type_annotation,
    STATE(6112), 1,
      sym__initializer,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161755] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(7986), 1,
      sym_identifier,
    ACTIONS(7988), 1,
      anon_sym_STAR,
    STATE(4586), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6617), 1,
      sym__call_signature,
  [161786] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4587), 1,
      sym_comment,
    STATE(5364), 1,
      sym_type_annotation,
    STATE(6148), 1,
      sym__initializer,
    ACTIONS(7423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161813] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4588), 1,
      sym_comment,
    ACTIONS(4327), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161832] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(7990), 1,
      anon_sym_EQ,
    ACTIONS(7994), 1,
      anon_sym_QMARK,
    STATE(4589), 1,
      sym_comment,
    STATE(5640), 1,
      sym_type_annotation,
    STATE(6759), 1,
      sym__initializer,
    ACTIONS(7992), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [161861] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7996), 1,
      sym_identifier,
    ACTIONS(7998), 1,
      anon_sym_DOT,
    STATE(4590), 1,
      sym_comment,
    STATE(5025), 1,
      sym_nested_identifier,
    STATE(5740), 1,
      sym_string,
    STATE(6887), 1,
      sym__module,
  [161892] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    STATE(4591), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6786), 1,
      sym__call_signature,
  [161923] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(208), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7974), 1,
      anon_sym_LT,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(8004), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4592), 1,
      sym_comment,
    STATE(5290), 1,
      sym_type_parameters,
    STATE(6198), 1,
      sym_extends_type_clause,
    STATE(7102), 1,
      sym_object_type,
  [161954] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4593), 1,
      sym_comment,
    STATE(5113), 1,
      sym_type_annotation,
    STATE(5792), 1,
      sym__initializer,
    ACTIONS(7450), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161981] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8006), 1,
      sym_identifier,
    ACTIONS(8008), 1,
      anon_sym_STAR,
    STATE(4594), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6617), 1,
      sym__call_signature,
  [162012] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_identifier,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    STATE(4595), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6746), 1,
      sym__call_signature,
  [162043] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4596), 1,
      sym_comment,
    STATE(5299), 1,
      sym_type_annotation,
    ACTIONS(8014), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162066] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3197), 1,
      sym_class_body,
    STATE(4597), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6785), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [162097] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      sym_identifier,
    ACTIONS(8018), 1,
      anon_sym_STAR,
    STATE(4598), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6786), 1,
      sym__call_signature,
  [162128] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4599), 1,
      sym_comment,
    STATE(6902), 1,
      sym_statement_block,
    ACTIONS(8020), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162151] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(8022), 1,
      sym_identifier,
    STATE(3848), 1,
      sym__type_query_member_expression,
    STATE(3849), 1,
      sym__type_query_subscript_expression,
    STATE(3915), 1,
      sym__type_query_call_expression,
    STATE(4026), 1,
      sym__type_query_instantiation_expression,
    STATE(4600), 1,
      sym_comment,
    STATE(5572), 1,
      sym_import,
  [162182] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4601), 1,
      sym_comment,
    STATE(6985), 1,
      sym_statement_block,
    ACTIONS(8024), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162205] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4602), 1,
      sym_comment,
    STATE(6628), 1,
      sym_statement_block,
    ACTIONS(8026), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162228] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4603), 1,
      sym_comment,
    STATE(6989), 1,
      sym_statement_block,
    ACTIONS(8026), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162251] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8028), 1,
      sym_identifier,
    STATE(4604), 1,
      sym_comment,
    ACTIONS(4961), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [162272] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1022), 1,
      sym_class_body,
    STATE(4605), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6799), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [162303] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3156), 1,
      sym_class_body,
    STATE(4606), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6940), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [162334] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4607), 1,
      sym_comment,
    STATE(5248), 1,
      sym_type_annotation,
    STATE(5866), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162361] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4608), 1,
      sym_comment,
    STATE(5510), 1,
      sym_type_annotation,
    STATE(5971), 1,
      sym__initializer,
    ACTIONS(7916), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162388] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4609), 1,
      sym_comment,
    STATE(5400), 1,
      sym_type_annotation,
    STATE(5969), 1,
      sym__initializer,
    ACTIONS(7916), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4610), 1,
      sym_comment,
    ACTIONS(4426), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162434] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    STATE(1434), 1,
      sym_class_body,
    STATE(4611), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6779), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [162465] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8030), 1,
      sym_identifier,
    ACTIONS(8032), 1,
      anon_sym_STAR,
    STATE(4612), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6594), 1,
      sym__call_signature,
  [162496] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4613), 1,
      sym_comment,
    STATE(4994), 1,
      sym_type_annotation,
    STATE(6221), 1,
      sym__initializer,
    ACTIONS(7427), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162523] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7706), 1,
      anon_sym_LBRACE,
    STATE(394), 1,
      sym_class_body,
    STATE(4614), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6776), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [162554] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4615), 1,
      sym_comment,
    STATE(5716), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162583] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4616), 1,
      sym_comment,
    STATE(5603), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4617), 1,
      sym_comment,
    ACTIONS(2192), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162631] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4618), 1,
      sym_comment,
    STATE(5377), 1,
      sym_type_annotation,
    STATE(6142), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162658] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1174), 1,
      sym_class_body,
    STATE(4619), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6770), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [162689] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      anon_sym_DOT,
    STATE(4620), 1,
      sym_comment,
    STATE(5611), 1,
      sym_arguments,
    ACTIONS(8034), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [162714] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4621), 1,
      sym_comment,
    STATE(5604), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162743] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4123), 1,
      anon_sym_DQUOTE,
    ACTIONS(4125), 1,
      anon_sym_SQUOTE,
    ACTIONS(8038), 1,
      sym_identifier,
    ACTIONS(8040), 1,
      anon_sym_DOT,
    STATE(1197), 1,
      sym_nested_identifier,
    STATE(1527), 1,
      sym_string,
    STATE(1730), 1,
      sym__module,
    STATE(4622), 1,
      sym_comment,
  [162774] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(8044), 1,
      anon_sym_RBRACE,
    STATE(4623), 1,
      sym_comment,
    STATE(5843), 1,
      aux_sym_object_repeat1,
    ACTIONS(4636), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [162799] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4624), 1,
      sym_comment,
    STATE(5221), 1,
      sym_type_annotation,
    STATE(6254), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162826] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4625), 1,
      sym_comment,
    STATE(5717), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162855] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4626), 1,
      sym_comment,
    STATE(5193), 1,
      sym_type_annotation,
    STATE(6299), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162882] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3353), 1,
      sym_class_body,
    STATE(4627), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6843), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [162913] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4628), 1,
      sym_comment,
    STATE(5165), 1,
      sym_type_annotation,
    STATE(6327), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162940] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4629), 1,
      sym_comment,
    STATE(5159), 1,
      sym_type_annotation,
    STATE(6334), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162967] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4630), 1,
      sym_comment,
    STATE(5156), 1,
      sym_type_annotation,
    STATE(6345), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162994] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4631), 1,
      sym_comment,
    STATE(5149), 1,
      sym_type_annotation,
    STATE(6348), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163021] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4632), 1,
      sym_comment,
    STATE(5140), 1,
      sym_type_annotation,
    STATE(6367), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163048] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4633), 1,
      sym_comment,
    STATE(5128), 1,
      sym_type_annotation,
    STATE(6369), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163075] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4634), 1,
      sym_comment,
    STATE(5006), 1,
      sym_type_annotation,
    STATE(6410), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163102] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4635), 1,
      sym_comment,
    STATE(5002), 1,
      sym_type_annotation,
    STATE(6434), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163129] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4636), 1,
      sym_comment,
    STATE(5001), 1,
      sym_type_annotation,
    STATE(6428), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163156] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4637), 1,
      sym_comment,
    STATE(5007), 1,
      sym_type_annotation,
    STATE(6424), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163183] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7974), 1,
      anon_sym_LT,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(8046), 1,
      anon_sym_LBRACE,
    ACTIONS(8048), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1755), 1,
      sym_object_type,
    STATE(4638), 1,
      sym_comment,
    STATE(5318), 1,
      sym_type_parameters,
    STATE(6183), 1,
      sym_extends_type_clause,
  [163214] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4639), 1,
      sym_comment,
    STATE(5068), 1,
      sym_type_annotation,
    STATE(6406), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163241] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4640), 1,
      sym_comment,
    STATE(5071), 1,
      sym_type_annotation,
    STATE(6403), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163268] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4641), 1,
      sym_comment,
    STATE(5164), 1,
      sym_type_annotation,
    STATE(6399), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163295] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4642), 1,
      sym_comment,
    STATE(5094), 1,
      sym_type_annotation,
    STATE(6395), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163322] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4643), 1,
      sym_comment,
    STATE(5121), 1,
      sym_type_annotation,
    STATE(6382), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163349] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4284), 1,
      anon_sym_LT,
    ACTIONS(7936), 1,
      sym_identifier,
    ACTIONS(8050), 1,
      anon_sym_LPAREN,
    STATE(3289), 1,
      sym_arguments,
    STATE(4644), 1,
      sym_comment,
    STATE(6885), 1,
      sym_type_arguments,
    ACTIONS(7940), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [163378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4645), 1,
      sym_comment,
    ACTIONS(6519), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [163397] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1551), 1,
      sym_class_body,
    STATE(4646), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6850), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [163428] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4647), 1,
      sym_comment,
    STATE(5160), 1,
      sym_type_annotation,
    STATE(6346), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163455] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4648), 1,
      sym_comment,
    STATE(5197), 1,
      sym_type_annotation,
    STATE(6304), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163482] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4649), 1,
      sym_comment,
    STATE(5201), 1,
      sym_type_annotation,
    STATE(6294), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163509] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_class_body,
    STATE(4650), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6855), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [163540] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4651), 1,
      sym_comment,
    STATE(5218), 1,
      sym_type_annotation,
    STATE(6273), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163567] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4652), 1,
      sym_comment,
    STATE(5219), 1,
      sym_type_annotation,
    STATE(6271), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4653), 1,
      sym_comment,
    ACTIONS(4448), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [163613] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8052), 1,
      anon_sym_LBRACE,
    ACTIONS(8054), 1,
      anon_sym_COMMA,
    ACTIONS(8056), 1,
      anon_sym_DOT,
    ACTIONS(8058), 1,
      anon_sym_LT,
    ACTIONS(8060), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4654), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6408), 1,
      sym_type_arguments,
  [163644] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7734), 1,
      anon_sym_LBRACE,
    STATE(1699), 1,
      sym_class_body,
    STATE(4655), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6863), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [163675] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    STATE(1329), 1,
      sym_class_body,
    STATE(4656), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6757), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [163706] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    STATE(4657), 1,
      sym_comment,
    ACTIONS(8062), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4636), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [163729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4658), 1,
      sym_comment,
    ACTIONS(7632), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [163748] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4659), 1,
      sym_comment,
    STATE(5230), 1,
      sym_type_annotation,
    STATE(6255), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163775] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4660), 1,
      sym_comment,
    ACTIONS(2248), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4661), 1,
      sym_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [163813] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4662), 1,
      sym_comment,
    STATE(5239), 1,
      sym_type_annotation,
    STATE(6240), 1,
      sym__initializer,
    ACTIONS(7439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163840] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4663), 1,
      sym_comment,
    STATE(5345), 1,
      sym_type_annotation,
    STATE(5925), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163867] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4664), 1,
      sym_comment,
    STATE(6308), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7065), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [163898] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4665), 1,
      sym_comment,
    STATE(5341), 1,
      sym_type_annotation,
    STATE(5924), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163925] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8065), 1,
      sym_identifier,
    ACTIONS(8067), 1,
      anon_sym_STAR,
    STATE(4666), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6786), 1,
      sym__call_signature,
  [163956] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4667), 1,
      sym_comment,
    STATE(5329), 1,
      sym_type_annotation,
    STATE(5912), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163983] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4668), 1,
      sym_comment,
    STATE(7005), 1,
      sym_statement_block,
    ACTIONS(8069), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4669), 1,
      sym_comment,
    ACTIONS(7728), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [164025] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4670), 1,
      sym_comment,
    STATE(5322), 1,
      sym_type_annotation,
    STATE(5911), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164052] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7544), 1,
      anon_sym_type,
    STATE(4671), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(7040), 1,
      sym__import_identifier,
    STATE(7172), 1,
      sym__module_export_name,
  [164083] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4672), 1,
      sym_comment,
    STATE(5304), 1,
      sym_type_annotation,
    STATE(5894), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164110] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4673), 1,
      sym_comment,
    STATE(5295), 1,
      sym_type_annotation,
    STATE(5892), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164137] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4674), 1,
      sym_comment,
    STATE(6204), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7121), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [164168] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2610), 1,
      sym_class_body,
    STATE(4675), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7114), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [164199] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4676), 1,
      sym_comment,
    ACTIONS(5911), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [164218] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4677), 1,
      sym_comment,
    STATE(5590), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164247] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4678), 1,
      sym_comment,
    ACTIONS(5931), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [164266] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4679), 1,
      sym_comment,
    STATE(6123), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164295] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(8071), 1,
      sym_identifier,
    STATE(4467), 1,
      sym__destructuring_pattern,
    STATE(4680), 1,
      sym_comment,
    STATE(5598), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164324] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_identifier,
    STATE(4461), 1,
      sym__destructuring_pattern,
    STATE(4681), 1,
      sym_comment,
    STATE(5597), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164353] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4682), 1,
      sym_comment,
    STATE(5283), 1,
      sym_type_annotation,
    STATE(5887), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4683), 1,
      sym_comment,
    ACTIONS(7582), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [164399] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    STATE(4684), 1,
      sym_comment,
    STATE(4997), 1,
      sym_statement_block,
    ACTIONS(2113), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164422] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4685), 1,
      sym_comment,
    STATE(5282), 1,
      sym_type_annotation,
    STATE(5886), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164449] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4686), 1,
      sym_comment,
    STATE(5317), 1,
      sym_type_annotation,
    STATE(6186), 1,
      sym__initializer,
    ACTIONS(7456), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164476] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7640), 1,
      anon_sym_LBRACE,
    STATE(4687), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6595), 1,
      sym_class_body,
    STATE(7020), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [164507] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4688), 1,
      sym_comment,
    STATE(5592), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164536] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4689), 1,
      sym_comment,
    STATE(5250), 1,
      sym_type_annotation,
    STATE(5870), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4690), 1,
      sym_comment,
    ACTIONS(7608), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [164582] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(8075), 1,
      sym_identifier,
    STATE(2443), 1,
      sym__type_query_member_expression,
    STATE(2445), 1,
      sym__type_query_subscript_expression,
    STATE(2583), 1,
      sym__type_query_instantiation_expression,
    STATE(2584), 1,
      sym__type_query_call_expression,
    STATE(4691), 1,
      sym_comment,
    STATE(5549), 1,
      sym_import,
  [164613] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      sym__automatic_semicolon,
    STATE(4692), 1,
      sym_comment,
    ACTIONS(2192), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [164634] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7411), 1,
      anon_sym_EQ,
    STATE(4693), 1,
      sym_comment,
    STATE(5617), 1,
      sym_constraint,
    STATE(6830), 1,
      sym_default_type,
    ACTIONS(7416), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(8079), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [164661] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(409), 1,
      sym_class_body,
    STATE(4694), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7097), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [164692] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(8081), 1,
      sym_identifier,
    ACTIONS(8083), 1,
      anon_sym_DOT,
    STATE(4507), 1,
      sym_nested_identifier,
    STATE(4684), 1,
      sym_string,
    STATE(4695), 1,
      sym_comment,
    STATE(5107), 1,
      sym__module,
  [164723] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    STATE(1124), 1,
      sym_class_body,
    STATE(4696), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6502), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [164754] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4697), 1,
      sym_comment,
    STATE(5365), 1,
      sym_type_annotation,
    STATE(6146), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164781] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(320), 1,
      sym_class_body,
    STATE(4698), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6459), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [164812] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1377), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7974), 1,
      anon_sym_LT,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(8085), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4699), 1,
      sym_comment,
    STATE(5103), 1,
      sym_object_type,
    STATE(5448), 1,
      sym_type_parameters,
    STATE(6011), 1,
      sym_extends_type_clause,
  [164843] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4700), 1,
      sym_comment,
    ACTIONS(7708), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [164862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4701), 1,
      sym_comment,
    ACTIONS(2264), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164881] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3300), 1,
      sym_class_body,
    STATE(4702), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6659), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [164912] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7736), 1,
      anon_sym_LBRACE,
    STATE(1014), 1,
      sym_class_body,
    STATE(4703), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6497), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [164943] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(335), 1,
      sym_class_body,
    STATE(4704), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6493), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [164974] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4705), 1,
      sym_comment,
    STATE(5284), 1,
      sym_type_annotation,
    ACTIONS(8087), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164997] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4706), 1,
      sym_comment,
    STATE(5384), 1,
      sym_type_annotation,
    STATE(6128), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4707), 1,
      sym_comment,
    ACTIONS(8089), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [165043] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4708), 1,
      sym_comment,
    STATE(5180), 1,
      sym_type_annotation,
    STATE(5823), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165070] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4709), 1,
      sym_comment,
    STATE(5161), 1,
      sym_type_annotation,
    STATE(5819), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165097] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4710), 1,
      sym_comment,
    STATE(5385), 1,
      sym_type_annotation,
    STATE(6126), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165124] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    STATE(1226), 1,
      sym_class_body,
    STATE(4711), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6488), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [165155] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4712), 1,
      sym_comment,
    STATE(5416), 1,
      sym_type_annotation,
    STATE(6121), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165182] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4713), 1,
      sym_comment,
    STATE(5436), 1,
      sym_type_annotation,
    STATE(6104), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165209] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4714), 1,
      sym_comment,
    ACTIONS(7690), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [165228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4715), 1,
      sym_comment,
    ACTIONS(2276), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [165247] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4716), 1,
      sym_comment,
    ACTIONS(2206), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [165266] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4717), 1,
      sym_comment,
    STATE(5061), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6646), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [165297] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4718), 1,
      sym_comment,
    STATE(5470), 1,
      sym_type_annotation,
    STATE(6083), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165324] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7411), 1,
      anon_sym_EQ,
    STATE(4719), 1,
      sym_comment,
    STATE(5542), 1,
      sym_constraint,
    STATE(7055), 1,
      sym_default_type,
    ACTIONS(7416), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(8091), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [165351] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4720), 1,
      sym_comment,
    STATE(5490), 1,
      sym_type_annotation,
    STATE(5949), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8093), 1,
      sym__automatic_semicolon,
    STATE(4721), 1,
      sym_comment,
    ACTIONS(2166), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165399] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4722), 1,
      sym_comment,
    STATE(5184), 1,
      sym_type_annotation,
    STATE(5801), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165426] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7736), 1,
      anon_sym_LBRACE,
    STATE(995), 1,
      sym_class_body,
    STATE(4723), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6479), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [165457] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4724), 1,
      sym_comment,
    STATE(5374), 1,
      sym_type_annotation,
    STATE(5944), 1,
      sym__initializer,
    ACTIONS(7441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4725), 1,
      sym_comment,
    ACTIONS(7688), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [165503] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4726), 1,
      sym_comment,
    STATE(5505), 1,
      sym_type_annotation,
    STATE(6057), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165530] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4727), 1,
      sym_comment,
    STATE(5506), 1,
      sym_type_annotation,
    STATE(6052), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165557] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4728), 1,
      sym_comment,
    STATE(5256), 1,
      sym_type_annotation,
    STATE(6041), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165584] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4729), 1,
      sym_comment,
    STATE(5471), 1,
      sym_type_annotation,
    STATE(6039), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165611] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4730), 1,
      sym_comment,
    STATE(5456), 1,
      sym_type_annotation,
    STATE(6020), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165638] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4731), 1,
      sym_comment,
    STATE(5120), 1,
      sym_type_annotation,
    STATE(5797), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165665] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4732), 1,
      sym_comment,
    STATE(5090), 1,
      sym_type_annotation,
    STATE(5782), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165692] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4733), 1,
      sym_comment,
    STATE(5450), 1,
      sym_type_annotation,
    STATE(6018), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4734), 1,
      sym_comment,
    ACTIONS(2298), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165738] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4735), 1,
      sym_comment,
    STATE(5064), 1,
      sym_type_annotation,
    STATE(5781), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165765] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4736), 1,
      sym_comment,
    STATE(5015), 1,
      sym_type_annotation,
    STATE(5768), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165792] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4737), 1,
      sym_comment,
    STATE(5005), 1,
      sym_type_annotation,
    STATE(5757), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165819] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4738), 1,
      sym_comment,
    STATE(5441), 1,
      sym_type_annotation,
    STATE(6004), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165846] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4739), 1,
      sym_comment,
    STATE(5433), 1,
      sym_type_annotation,
    STATE(5993), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165873] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4740), 1,
      sym_comment,
    STATE(5429), 1,
      sym_type_annotation,
    STATE(5990), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165900] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4741), 1,
      sym_comment,
    STATE(5421), 1,
      sym_type_annotation,
    STATE(5987), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4742), 1,
      sym_comment,
    ACTIONS(5935), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [165946] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4743), 1,
      sym_comment,
    STATE(5181), 1,
      sym_type_annotation,
    STATE(5765), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165973] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7974), 1,
      anon_sym_LT,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(8095), 1,
      anon_sym_LBRACE,
    ACTIONS(8097), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1075), 1,
      sym_object_type,
    STATE(4744), 1,
      sym_comment,
    STATE(5003), 1,
      sym_type_parameters,
    STATE(6422), 1,
      sym_extends_type_clause,
  [166004] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4745), 1,
      sym_comment,
    STATE(5724), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [166033] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4208), 1,
      anon_sym_DQUOTE,
    ACTIONS(4210), 1,
      anon_sym_SQUOTE,
    ACTIONS(8099), 1,
      sym_identifier,
    ACTIONS(8101), 1,
      anon_sym_DOT,
    STATE(949), 1,
      sym_nested_identifier,
    STATE(1009), 1,
      sym_string,
    STATE(1149), 1,
      sym__module,
    STATE(4746), 1,
      sym_comment,
  [166064] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(3550), 1,
      sym_class_body,
    STATE(4747), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6921), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166095] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4748), 1,
      sym_comment,
    STATE(5012), 1,
      sym_type_annotation,
    STATE(5767), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166122] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4749), 1,
      sym_comment,
    STATE(5052), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6623), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166153] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3229), 1,
      sym_class_body,
    STATE(4750), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6622), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166184] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4751), 1,
      sym_comment,
    STATE(5043), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6619), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166215] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4752), 1,
      sym_comment,
    STATE(5725), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [166244] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7640), 1,
      anon_sym_LBRACE,
    STATE(4753), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6687), 1,
      sym_class_body,
    STATE(7083), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166275] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(4754), 1,
      sym_comment,
    STATE(5033), 1,
      sym_class_body,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6604), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166306] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2768), 1,
      sym_class_body,
    STATE(4755), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7056), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166337] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4756), 1,
      sym_comment,
    STATE(5399), 1,
      sym_type_annotation,
    STATE(5961), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166364] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4757), 1,
      sym_comment,
    STATE(5116), 1,
      sym_type_annotation,
    STATE(5803), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166391] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3225), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7076), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166422] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4759), 1,
      sym_comment,
    STATE(5359), 1,
      sym_type_annotation,
    STATE(5941), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166449] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4760), 1,
      sym_comment,
    STATE(5137), 1,
      sym_type_annotation,
    STATE(5808), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166476] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4761), 1,
      sym_comment,
    STATE(5209), 1,
      sym_type_annotation,
    STATE(5839), 1,
      sym__initializer,
    ACTIONS(7448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166503] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4762), 1,
      sym_comment,
    STATE(5356), 1,
      sym_type_annotation,
    STATE(5933), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166530] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4763), 1,
      sym_comment,
    STATE(5355), 1,
      sym_type_annotation,
    STATE(5928), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166557] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2626), 1,
      sym_class_body,
    STATE(4764), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6781), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8103), 1,
      sym__automatic_semicolon,
    STATE(4765), 1,
      sym_comment,
    ACTIONS(2192), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166609] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7634), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_class_body,
    STATE(4766), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6480), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166640] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    STATE(379), 1,
      sym_class_body,
    STATE(4767), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6486), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166671] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4768), 1,
      sym_comment,
    STATE(5320), 1,
      sym_type_annotation,
    STATE(5908), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166698] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4769), 1,
      sym_comment,
    STATE(5319), 1,
      sym_type_annotation,
    STATE(5906), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166725] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1380), 1,
      sym_class_body,
    STATE(4770), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6487), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166756] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4771), 1,
      sym_comment,
    STATE(5306), 1,
      sym_type_annotation,
    STATE(5895), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166783] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4772), 1,
      sym_comment,
    STATE(5699), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [166812] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4773), 1,
      sym_comment,
    STATE(5302), 1,
      sym_type_annotation,
    STATE(5893), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166839] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4774), 1,
      sym_comment,
    STATE(5280), 1,
      sym_type_annotation,
    STATE(5885), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166866] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4775), 1,
      sym_comment,
    STATE(5269), 1,
      sym_type_annotation,
    STATE(5878), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166893] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7634), 1,
      anon_sym_LBRACE,
    STATE(1207), 1,
      sym_class_body,
    STATE(4776), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6511), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [166924] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4105), 1,
      anon_sym_LBRACE,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4777), 1,
      sym_comment,
    STATE(5696), 1,
      sym_variable_declarator,
    STATE(4537), 2,
      sym_object_pattern,
      sym_array_pattern,
  [166953] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4778), 1,
      sym_comment,
    STATE(5203), 1,
      sym_type_annotation,
    STATE(5836), 1,
      sym__initializer,
    ACTIONS(8105), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166980] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3409), 1,
      sym_class_body,
    STATE(4779), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6984), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [167011] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8107), 1,
      anon_sym_EQ,
    STATE(4780), 1,
      sym_comment,
    ACTIONS(4341), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [167032] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4781), 1,
      sym_comment,
    STATE(5249), 1,
      sym_type_annotation,
    STATE(5869), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167059] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    ACTIONS(8109), 1,
      anon_sym_COLON,
    STATE(4782), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6702), 1,
      sym__call_signature,
  [167090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4783), 1,
      sym_comment,
    ACTIONS(8111), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [167109] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4784), 1,
      sym_comment,
    STATE(5247), 1,
      sym_type_annotation,
    STATE(5867), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167136] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(8113), 1,
      sym_identifier,
    STATE(3994), 1,
      sym__type_query_subscript_expression,
    STATE(3995), 1,
      sym__type_query_member_expression,
    STATE(4217), 1,
      sym__type_query_call_expression,
    STATE(4368), 1,
      sym__type_query_instantiation_expression,
    STATE(4785), 1,
      sym_comment,
    STATE(5653), 1,
      sym_import,
  [167167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4786), 1,
      sym_comment,
    ACTIONS(8115), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [167186] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4202), 1,
      anon_sym_DQUOTE,
    ACTIONS(4204), 1,
      anon_sym_SQUOTE,
    ACTIONS(8117), 1,
      sym_identifier,
    ACTIONS(8119), 1,
      anon_sym_DOT,
    STATE(1002), 1,
      sym_nested_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1271), 1,
      sym__module,
    STATE(4787), 1,
      sym_comment,
  [167217] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7974), 1,
      anon_sym_LT,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(8121), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1506), 1,
      sym_object_type,
    STATE(4788), 1,
      sym_comment,
    STATE(5220), 1,
      sym_type_parameters,
    STATE(6264), 1,
      sym_extends_type_clause,
  [167248] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4789), 1,
      sym_comment,
    STATE(5245), 1,
      sym_type_annotation,
    STATE(5864), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167275] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1384), 1,
      sym_class_body,
    STATE(4790), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6996), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [167306] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8125), 1,
      sym_identifier,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    STATE(4791), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6617), 1,
      sym__call_signature,
  [167337] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4792), 1,
      sym_comment,
    STATE(5244), 1,
      sym_type_annotation,
    STATE(5862), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167364] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8129), 1,
      anon_sym_EQ,
    ACTIONS(8131), 1,
      anon_sym_DOT,
    STATE(4793), 1,
      sym_comment,
    ACTIONS(7850), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [167387] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(4794), 1,
      sym_comment,
    STATE(5240), 1,
      sym_type_annotation,
    STATE(5857), 1,
      sym__initializer,
    ACTIONS(7425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167414] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3359), 1,
      sym_class_body,
    STATE(4795), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(7002), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [167445] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8133), 1,
      anon_sym_EQ,
    STATE(4796), 1,
      sym_comment,
    ACTIONS(4327), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [167466] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7564), 1,
      anon_sym_extends,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    STATE(368), 1,
      sym_class_body,
    STATE(4797), 1,
      sym_comment,
    STATE(6325), 1,
      sym_extends_clause,
    STATE(6529), 1,
      sym_class_heritage,
    STATE(7451), 1,
      sym_implements_clause,
  [167497] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8136), 1,
      sym_identifier,
    ACTIONS(8138), 1,
      anon_sym_STAR,
    STATE(4798), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6786), 1,
      sym__call_signature,
  [167528] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4799), 1,
      sym_comment,
    STATE(4816), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8142), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8140), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167550] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8144), 1,
      sym_identifier,
    STATE(4800), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6788), 1,
      sym__call_signature,
  [167578] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_default,
    ACTIONS(8148), 1,
      anon_sym_RBRACE,
    ACTIONS(8150), 1,
      anon_sym_case,
    STATE(4801), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_switch_body_repeat1,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [167604] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4208), 1,
      anon_sym_DQUOTE,
    ACTIONS(4210), 1,
      anon_sym_SQUOTE,
    ACTIONS(8099), 1,
      sym_identifier,
    STATE(949), 1,
      sym_nested_identifier,
    STATE(1009), 1,
      sym_string,
    STATE(1149), 1,
      sym__module,
    STATE(4802), 1,
      sym_comment,
  [167632] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_default,
    ACTIONS(8150), 1,
      anon_sym_case,
    ACTIONS(8152), 1,
      anon_sym_RBRACE,
    STATE(4803), 1,
      sym_comment,
    STATE(4913), 1,
      aux_sym_switch_body_repeat1,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [167658] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8154), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4804), 1,
      sym_comment,
    STATE(5233), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [167686] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8156), 1,
      anon_sym_QMARK,
    STATE(4805), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6986), 1,
      sym__call_signature,
  [167714] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8158), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_GT,
    STATE(4806), 1,
      sym_comment,
    STATE(6260), 1,
      aux_sym_type_arguments_repeat1,
  [167742] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7596), 1,
      anon_sym_DOT,
    ACTIONS(8162), 1,
      anon_sym_COMMA,
    ACTIONS(8164), 1,
      anon_sym_GT,
    STATE(4503), 1,
      sym_arguments,
    STATE(4807), 1,
      sym_comment,
    STATE(6256), 1,
      aux_sym_type_arguments_repeat1,
  [167770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4808), 1,
      sym_comment,
    ACTIONS(8166), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4809), 1,
      sym_comment,
    ACTIONS(8168), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4636), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [167808] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3626), 1,
      sym_statement_block,
    STATE(4810), 1,
      sym_comment,
    ACTIONS(7928), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167830] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8175), 1,
      anon_sym_BQUOTE,
    ACTIONS(8177), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(5692), 1,
      sym_template_substitution,
    ACTIONS(8172), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4811), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [167854] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4812), 1,
      sym_comment,
    STATE(4821), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8182), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8180), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167876] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3660), 1,
      sym_statement_block,
    STATE(4813), 1,
      sym_comment,
    ACTIONS(7934), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167898] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8184), 1,
      sym_identifier,
    STATE(4814), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [167926] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8186), 1,
      sym_identifier,
    STATE(4815), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [167954] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4816), 1,
      sym_comment,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8182), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8180), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167976] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3628), 1,
      sym_statement_block,
    STATE(4817), 1,
      sym_comment,
    ACTIONS(7928), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167998] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4202), 1,
      anon_sym_DQUOTE,
    ACTIONS(4204), 1,
      anon_sym_SQUOTE,
    ACTIONS(8117), 1,
      sym_identifier,
    STATE(1002), 1,
      sym_nested_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1271), 1,
      sym__module,
    STATE(4818), 1,
      sym_comment,
  [168026] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8188), 1,
      anon_sym_BQUOTE,
    ACTIONS(8190), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4819), 1,
      sym_comment,
    STATE(4943), 1,
      aux_sym_template_string_repeat1,
    STATE(5692), 1,
      sym_template_substitution,
    ACTIONS(7840), 2,
      sym__template_chars,
      sym_escape_sequence,
  [168052] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(8192), 1,
      sym_identifier,
    ACTIONS(8194), 1,
      anon_sym_LBRACK,
    STATE(4820), 1,
      sym_comment,
    STATE(5778), 1,
      sym__destructuring_pattern,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
  [168078] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4821), 1,
      sym_comment,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8198), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8196), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168100] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8203), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4822), 2,
      sym_comment,
      aux_sym_object_type_repeat1,
    ACTIONS(8200), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168120] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_default,
    ACTIONS(8150), 1,
      anon_sym_case,
    ACTIONS(8205), 1,
      anon_sym_RBRACE,
    STATE(4823), 1,
      sym_comment,
    STATE(4913), 1,
      aux_sym_switch_body_repeat1,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [168146] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4208), 1,
      anon_sym_DQUOTE,
    ACTIONS(4210), 1,
      anon_sym_SQUOTE,
    ACTIONS(8099), 1,
      sym_identifier,
    STATE(949), 1,
      sym_nested_identifier,
    STATE(1009), 1,
      sym_string,
    STATE(1069), 1,
      sym__module,
    STATE(4824), 1,
      sym_comment,
  [168174] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_LBRACK,
    ACTIONS(8207), 1,
      sym_identifier,
    STATE(4825), 1,
      sym_comment,
    STATE(5523), 1,
      sym__destructuring_pattern,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
  [168200] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4581), 1,
      sym__call_signature,
    STATE(4826), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [168228] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_LBRACK,
    ACTIONS(8211), 1,
      sym_identifier,
    STATE(4827), 1,
      sym_comment,
    STATE(6926), 1,
      sym__destructuring_pattern,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
  [168254] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4828), 1,
      sym_comment,
    ACTIONS(8215), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8213), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168276] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8217), 1,
      anon_sym_export,
    ACTIONS(8219), 1,
      anon_sym_class,
    ACTIONS(8221), 1,
      anon_sym_abstract,
    STATE(4829), 1,
      sym_comment,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
  [168304] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3640), 1,
      sym_statement_block,
    STATE(4830), 1,
      sym_comment,
    ACTIONS(7948), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168326] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7596), 1,
      anon_sym_DOT,
    ACTIONS(8223), 1,
      anon_sym_COMMA,
    ACTIONS(8225), 1,
      anon_sym_GT,
    STATE(4503), 1,
      sym_arguments,
    STATE(4831), 1,
      sym_comment,
    STATE(6437), 1,
      aux_sym_type_arguments_repeat1,
  [168354] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8227), 1,
      anon_sym_COMMA,
    ACTIONS(8229), 1,
      anon_sym_GT,
    STATE(4832), 1,
      sym_comment,
    STATE(6418), 1,
      aux_sym_type_arguments_repeat1,
  [168382] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_LBRACK,
    ACTIONS(8231), 1,
      sym_identifier,
    STATE(4833), 1,
      sym_comment,
    STATE(5988), 1,
      sym__destructuring_pattern,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
  [168408] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4202), 1,
      anon_sym_DQUOTE,
    ACTIONS(4204), 1,
      anon_sym_SQUOTE,
    ACTIONS(8117), 1,
      sym_identifier,
    STATE(1002), 1,
      sym_nested_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1371), 1,
      sym__module,
    STATE(4834), 1,
      sym_comment,
  [168436] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(8233), 1,
      anon_sym_QMARK,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4835), 1,
      sym_comment,
    STATE(4931), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [168464] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4836), 1,
      sym_comment,
    ACTIONS(8235), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [168482] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4837), 1,
      sym_comment,
    STATE(4847), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8239), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8237), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4838), 1,
      sym_comment,
    ACTIONS(8241), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [168522] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4839), 1,
      sym_comment,
    ACTIONS(8245), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168544] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8249), 1,
      anon_sym_QMARK,
    STATE(4840), 1,
      sym_comment,
    ACTIONS(8247), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [168570] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4828), 1,
      aux_sym_object_type_repeat1,
    STATE(4841), 1,
      sym_comment,
    ACTIONS(8245), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8243), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168592] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_default,
    ACTIONS(8150), 1,
      anon_sym_case,
    ACTIONS(8251), 1,
      anon_sym_RBRACE,
    STATE(4842), 1,
      sym_comment,
    STATE(4913), 1,
      aux_sym_switch_body_repeat1,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [168618] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8253), 1,
      anon_sym_DOT,
    STATE(4843), 1,
      sym_comment,
    ACTIONS(7850), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168638] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3661), 1,
      sym_statement_block,
    STATE(4844), 1,
      sym_comment,
    ACTIONS(8069), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4845), 1,
      sym_comment,
    ACTIONS(7862), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [168678] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4846), 1,
      sym_comment,
    STATE(4852), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8257), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8255), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168700] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4847), 1,
      sym_comment,
    ACTIONS(8257), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8255), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168722] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8259), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4848), 1,
      sym_comment,
    STATE(5285), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [168750] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4849), 1,
      sym_comment,
    STATE(4972), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8263), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8261), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168772] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4839), 1,
      aux_sym_object_type_repeat1,
    STATE(4850), 1,
      sym_comment,
    ACTIONS(8267), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8265), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4851), 1,
      sym_comment,
    ACTIONS(6398), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [168812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4852), 1,
      sym_comment,
    ACTIONS(8271), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8269), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168834] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_default,
    ACTIONS(8150), 1,
      anon_sym_case,
    ACTIONS(8273), 1,
      anon_sym_RBRACE,
    STATE(4842), 1,
      aux_sym_switch_body_repeat1,
    STATE(4853), 1,
      sym_comment,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [168860] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4854), 1,
      sym_comment,
    ACTIONS(8263), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8261), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168882] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4855), 1,
      sym_comment,
    ACTIONS(8277), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8275), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168904] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4854), 1,
      aux_sym_object_type_repeat1,
    STATE(4856), 1,
      sym_comment,
    ACTIONS(8281), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4857), 1,
      sym_comment,
    ACTIONS(2248), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [168944] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4858), 1,
      sym_comment,
    ACTIONS(8285), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8283), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168966] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8287), 1,
      anon_sym_COMMA,
    ACTIONS(8289), 1,
      anon_sym_GT,
    STATE(4859), 1,
      sym_comment,
    STATE(6007), 1,
      aux_sym_type_arguments_repeat1,
  [168994] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8291), 1,
      sym_identifier,
    STATE(4860), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [169022] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8293), 1,
      anon_sym_LBRACE,
    ACTIONS(8295), 1,
      anon_sym_COMMA,
    STATE(4861), 1,
      sym_comment,
    STATE(6111), 1,
      aux_sym_implements_clause_repeat1,
  [169050] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7596), 1,
      anon_sym_DOT,
    ACTIONS(8297), 1,
      anon_sym_COMMA,
    ACTIONS(8299), 1,
      anon_sym_GT,
    STATE(4503), 1,
      sym_arguments,
    STATE(4862), 1,
      sym_comment,
    STATE(6003), 1,
      aux_sym_type_arguments_repeat1,
  [169078] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7596), 1,
      anon_sym_DOT,
    ACTIONS(8301), 1,
      anon_sym_COMMA,
    ACTIONS(8303), 1,
      anon_sym_GT,
    STATE(4503), 1,
      sym_arguments,
    STATE(4863), 1,
      sym_comment,
    STATE(6274), 1,
      aux_sym_type_arguments_repeat1,
  [169106] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8305), 1,
      anon_sym_COMMA,
    ACTIONS(8307), 1,
      anon_sym_GT,
    STATE(4864), 1,
      sym_comment,
    STATE(6252), 1,
      aux_sym_type_arguments_repeat1,
  [169134] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4865), 1,
      sym_comment,
    STATE(4874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8311), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8309), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169156] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4866), 1,
      sym_comment,
    STATE(4878), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8315), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169178] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(7990), 1,
      anon_sym_EQ,
    STATE(4867), 1,
      sym_comment,
    STATE(5562), 1,
      sym_type_annotation,
    STATE(7107), 1,
      sym__initializer,
    ACTIONS(8317), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [169204] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(8319), 1,
      anon_sym_QMARK,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4868), 1,
      sym_comment,
    STATE(4903), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [169232] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4869), 1,
      sym_comment,
    STATE(5025), 1,
      sym_nested_identifier,
    STATE(5740), 1,
      sym_string,
    STATE(6467), 1,
      sym__module,
  [169260] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3629), 1,
      sym_statement_block,
    STATE(4870), 1,
      sym_comment,
    ACTIONS(7946), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169282] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(4871), 1,
      sym_comment,
    STATE(5025), 1,
      sym_nested_identifier,
    STATE(5740), 1,
      sym_string,
    STATE(6887), 1,
      sym__module,
  [169310] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4855), 1,
      aux_sym_object_type_repeat1,
    STATE(4872), 1,
      sym_comment,
    ACTIONS(8285), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8283), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169332] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(8081), 1,
      sym_identifier,
    STATE(4507), 1,
      sym_nested_identifier,
    STATE(4684), 1,
      sym_string,
    STATE(4873), 1,
      sym_comment,
    STATE(5107), 1,
      sym__module,
  [169360] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4874), 1,
      sym_comment,
    ACTIONS(8315), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169382] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8321), 1,
      anon_sym_export,
    ACTIONS(8323), 1,
      anon_sym_class,
    ACTIONS(8325), 1,
      anon_sym_abstract,
    STATE(4875), 1,
      sym_comment,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5733), 1,
      sym_decorator,
  [169410] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3630), 1,
      sym_statement_block,
    STATE(4876), 1,
      sym_comment,
    ACTIONS(7948), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169432] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(8327), 1,
      anon_sym_QMARK,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4813), 1,
      sym__call_signature,
    STATE(4877), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [169460] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4878), 1,
      sym_comment,
    ACTIONS(8331), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8329), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169482] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    ACTIONS(1993), 1,
      anon_sym_SQUOTE,
    ACTIONS(8081), 1,
      sym_identifier,
    STATE(4507), 1,
      sym_nested_identifier,
    STATE(4684), 1,
      sym_string,
    STATE(4879), 1,
      sym_comment,
    STATE(4998), 1,
      sym__module,
  [169510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4880), 1,
      sym_comment,
    ACTIONS(4636), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [169528] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3639), 1,
      sym_statement_block,
    STATE(4881), 1,
      sym_comment,
    ACTIONS(7946), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169550] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8333), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4603), 1,
      sym__call_signature,
    STATE(4882), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [169578] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_default,
    ACTIONS(8150), 1,
      anon_sym_case,
    ACTIONS(8335), 1,
      anon_sym_RBRACE,
    STATE(4823), 1,
      aux_sym_switch_body_repeat1,
    STATE(4883), 1,
      sym_comment,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [169604] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    STATE(4884), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6535), 1,
      sym__call_signature,
  [169632] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4885), 1,
      sym_comment,
    STATE(4891), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8341), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8339), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169654] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_default,
    ACTIONS(8150), 1,
      anon_sym_case,
    ACTIONS(8343), 1,
      anon_sym_RBRACE,
    STATE(4886), 1,
      sym_comment,
    STATE(4913), 1,
      aux_sym_switch_body_repeat1,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [169680] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_default,
    ACTIONS(8150), 1,
      anon_sym_case,
    ACTIONS(8345), 1,
      anon_sym_RBRACE,
    STATE(4886), 1,
      aux_sym_switch_body_repeat1,
    STATE(4887), 1,
      sym_comment,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [169706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4888), 1,
      sym_comment,
    ACTIONS(8111), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [169724] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4889), 1,
      sym_comment,
    STATE(4894), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8349), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8347), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169746] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(4890), 1,
      sym_comment,
    ACTIONS(8351), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [169770] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4891), 1,
      sym_comment,
    ACTIONS(8349), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8347), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169792] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8353), 1,
      sym_identifier,
    STATE(4892), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6788), 1,
      sym__call_signature,
  [169820] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8355), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4893), 1,
      sym_comment,
    STATE(5268), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [169848] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4894), 1,
      sym_comment,
    ACTIONS(8359), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8357), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169870] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4895), 1,
      sym_comment,
    STATE(4898), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8363), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8361), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169892] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8365), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4896), 1,
      sym_comment,
    STATE(5372), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [169920] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4897), 1,
      sym_comment,
    STATE(4901), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8369), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169942] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4898), 1,
      sym_comment,
    ACTIONS(8369), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169964] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3613), 1,
      sym_statement_block,
    STATE(4899), 1,
      sym_comment,
    ACTIONS(7926), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4900), 1,
      sym_comment,
    ACTIONS(8115), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [170004] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4901), 1,
      sym_comment,
    ACTIONS(8373), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8371), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170026] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8375), 1,
      anon_sym_QMARK,
    STATE(4902), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6942), 1,
      sym__call_signature,
  [170054] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3615), 1,
      sym_statement_block,
    STATE(4903), 1,
      sym_comment,
    ACTIONS(7920), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170076] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4564), 1,
      sym__call_signature,
    STATE(4904), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [170104] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8379), 1,
      sym_identifier,
    STATE(4905), 1,
      sym_comment,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [170124] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8383), 1,
      anon_sym_AT,
    STATE(5733), 1,
      sym_decorator,
    STATE(4906), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(8381), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [170146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4907), 1,
      sym_comment,
    ACTIONS(8386), 6,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [170164] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8054), 1,
      anon_sym_COMMA,
    ACTIONS(8058), 1,
      anon_sym_LT,
    ACTIONS(8388), 1,
      anon_sym_LBRACE,
    ACTIONS(8390), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4908), 1,
      sym_comment,
    STATE(5663), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6411), 1,
      sym_type_arguments,
  [170192] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    STATE(4909), 1,
      sym_comment,
    ACTIONS(7532), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [170214] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8394), 1,
      anon_sym_QMARK,
    STATE(4910), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6845), 1,
      sym__call_signature,
  [170242] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8396), 1,
      anon_sym_QMARK,
    STATE(4911), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6569), 1,
      sym__call_signature,
  [170270] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8398), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4912), 1,
      sym_comment,
    STATE(6250), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [170298] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8400), 1,
      anon_sym_default,
    ACTIONS(8403), 1,
      anon_sym_RBRACE,
    ACTIONS(8405), 1,
      anon_sym_case,
    STATE(4913), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [170322] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8190), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8408), 1,
      anon_sym_BQUOTE,
    STATE(4811), 1,
      aux_sym_template_string_repeat1,
    STATE(4914), 1,
      sym_comment,
    STATE(5692), 1,
      sym_template_substitution,
    ACTIONS(7840), 2,
      sym__template_chars,
      sym_escape_sequence,
  [170348] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8410), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4555), 1,
      sym__call_signature,
    STATE(4915), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [170376] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4916), 1,
      sym_comment,
    ACTIONS(8414), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170398] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8416), 1,
      anon_sym_export,
    ACTIONS(8418), 1,
      anon_sym_class,
    ACTIONS(8420), 1,
      anon_sym_abstract,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(4917), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [170426] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3662), 1,
      sym_statement_block,
    STATE(4918), 1,
      sym_comment,
    ACTIONS(7956), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170448] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8422), 1,
      anon_sym_COMMA,
    ACTIONS(8424), 1,
      anon_sym_GT,
    STATE(4919), 1,
      sym_comment,
    STATE(6187), 1,
      aux_sym_type_arguments_repeat1,
  [170476] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7596), 1,
      anon_sym_DOT,
    ACTIONS(8426), 1,
      anon_sym_COMMA,
    ACTIONS(8428), 1,
      anon_sym_GT,
    STATE(4503), 1,
      sym_arguments,
    STATE(4920), 1,
      sym_comment,
    STATE(6190), 1,
      aux_sym_type_arguments_repeat1,
  [170504] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3610), 1,
      sym_statement_block,
    STATE(4921), 1,
      sym_comment,
    ACTIONS(7958), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170526] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(8430), 1,
      anon_sym_QMARK,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4881), 1,
      sym__call_signature,
    STATE(4922), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [170554] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8432), 1,
      anon_sym_export,
    ACTIONS(8434), 1,
      anon_sym_class,
    ACTIONS(8436), 1,
      anon_sym_abstract,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(4923), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [170582] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3644), 1,
      sym_statement_block,
    STATE(4924), 1,
      sym_comment,
    ACTIONS(7958), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170604] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4925), 1,
      sym_comment,
    ACTIONS(8440), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8438), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170626] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4858), 1,
      aux_sym_object_type_repeat1,
    STATE(4926), 1,
      sym_comment,
    ACTIONS(8444), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8442), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170648] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_default,
    ACTIONS(8150), 1,
      anon_sym_case,
    ACTIONS(8446), 1,
      anon_sym_RBRACE,
    STATE(4913), 1,
      aux_sym_switch_body_repeat1,
    STATE(4927), 1,
      sym_comment,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [170674] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8056), 1,
      anon_sym_DOT,
    ACTIONS(8058), 1,
      anon_sym_LT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE,
    STATE(4928), 1,
      sym_comment,
    STATE(6408), 1,
      sym_type_arguments,
    ACTIONS(8450), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [170700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4929), 1,
      sym_comment,
    ACTIONS(8089), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [170718] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8452), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4542), 1,
      sym__call_signature,
    STATE(4930), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [170746] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3612), 1,
      sym_statement_block,
    STATE(4931), 1,
      sym_comment,
    ACTIONS(8026), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170768] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4916), 1,
      aux_sym_object_type_repeat1,
    STATE(4932), 1,
      sym_comment,
    ACTIONS(8440), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8438), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170790] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8454), 1,
      sym_identifier,
    STATE(4933), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6788), 1,
      sym__call_signature,
  [170818] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(8456), 1,
      anon_sym_QMARK,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4934), 1,
      sym_comment,
    STATE(4970), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [170846] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    STATE(4935), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6888), 1,
      sym__call_signature,
  [170874] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4925), 1,
      aux_sym_object_type_repeat1,
    STATE(4936), 1,
      sym_comment,
    ACTIONS(8462), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8460), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170896] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8464), 1,
      sym_identifier,
    STATE(4937), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6932), 1,
      sym__call_signature,
  [170924] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3625), 1,
      sym_statement_block,
    STATE(4938), 1,
      sym_comment,
    ACTIONS(8026), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170946] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8466), 1,
      sym_identifier,
    STATE(4939), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6788), 1,
      sym__call_signature,
  [170974] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8468), 1,
      sym_identifier,
    STATE(4940), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [171002] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_LBRACK,
    ACTIONS(8470), 1,
      sym_identifier,
    STATE(4941), 1,
      sym_comment,
    STATE(6076), 1,
      sym__destructuring_pattern,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
  [171028] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8472), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4942), 1,
      sym_comment,
    STATE(5324), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [171056] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8190), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8474), 1,
      anon_sym_BQUOTE,
    STATE(4811), 1,
      aux_sym_template_string_repeat1,
    STATE(4943), 1,
      sym_comment,
    STATE(5692), 1,
      sym_template_substitution,
    ACTIONS(7840), 2,
      sym__template_chars,
      sym_escape_sequence,
  [171082] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8476), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4944), 1,
      sym_comment,
    STATE(5775), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [171110] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8478), 1,
      anon_sym_COMMA,
    ACTIONS(8480), 1,
      anon_sym_GT,
    STATE(4945), 1,
      sym_comment,
    STATE(6202), 1,
      aux_sym_type_arguments_repeat1,
  [171138] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3638), 1,
      sym_statement_block,
    STATE(4946), 1,
      sym_comment,
    ACTIONS(8024), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171160] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      anon_sym_QMARK,
    STATE(4947), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7116), 1,
      sym__call_signature,
  [171188] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8484), 1,
      sym_identifier,
    STATE(4948), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6788), 1,
      sym__call_signature,
  [171216] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8486), 1,
      sym_identifier,
    STATE(4949), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [171244] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_LBRACK,
    ACTIONS(8488), 1,
      sym_identifier,
    STATE(4950), 1,
      sym_comment,
    STATE(6109), 1,
      sym__destructuring_pattern,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
  [171270] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_default,
    ACTIONS(8150), 1,
      anon_sym_case,
    ACTIONS(8490), 1,
      anon_sym_RBRACE,
    STATE(4927), 1,
      aux_sym_switch_body_repeat1,
    STATE(4951), 1,
      sym_comment,
    STATE(6120), 2,
      sym_switch_case,
      sym_switch_default,
  [171296] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8492), 1,
      sym_identifier,
    STATE(4952), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6951), 1,
      sym__call_signature,
  [171324] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7596), 1,
      anon_sym_DOT,
    ACTIONS(8494), 1,
      anon_sym_COMMA,
    ACTIONS(8496), 1,
      anon_sym_GT,
    STATE(4503), 1,
      sym_arguments,
    STATE(4953), 1,
      sym_comment,
    STATE(6207), 1,
      aux_sym_type_arguments_repeat1,
  [171352] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    ACTIONS(8500), 1,
      anon_sym_GT,
    STATE(4954), 1,
      sym_comment,
    STATE(5813), 1,
      aux_sym_type_arguments_repeat1,
  [171380] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8502), 1,
      anon_sym_QMARK,
    STATE(4955), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7058), 1,
      sym__call_signature,
  [171408] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7596), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_COMMA,
    ACTIONS(8506), 1,
      anon_sym_GT,
    STATE(4503), 1,
      sym_arguments,
    STATE(4956), 1,
      sym_comment,
    STATE(5820), 1,
      aux_sym_type_arguments_repeat1,
  [171436] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3650), 1,
      sym_statement_block,
    STATE(4957), 1,
      sym_comment,
    ACTIONS(7956), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171458] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8508), 1,
      sym_identifier,
    STATE(4958), 1,
      sym_comment,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [171478] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8510), 1,
      anon_sym_QMARK,
    STATE(4959), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7018), 1,
      sym__call_signature,
  [171506] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8512), 1,
      anon_sym_QMARK,
    STATE(4960), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7011), 1,
      sym__call_signature,
  [171534] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3616), 1,
      sym_statement_block,
    STATE(4961), 1,
      sym_comment,
    ACTIONS(7970), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171556] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    STATE(4962), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7008), 1,
      sym__call_signature,
  [171584] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8516), 1,
      sym_identifier,
    STATE(4963), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6788), 1,
      sym__call_signature,
  [171612] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3614), 1,
      sym_statement_block,
    STATE(4964), 1,
      sym_comment,
    ACTIONS(7980), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171634] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8518), 1,
      sym_identifier,
    STATE(4965), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [171662] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3973), 1,
      anon_sym_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_LBRACK,
    ACTIONS(8520), 1,
      sym_identifier,
    STATE(4966), 1,
      sym_comment,
    STATE(6153), 1,
      sym__destructuring_pattern,
    STATE(4344), 2,
      sym_object_pattern,
      sym_array_pattern,
  [171688] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(8522), 1,
      anon_sym_QMARK,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4957), 1,
      sym__call_signature,
    STATE(4967), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [171716] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4123), 1,
      anon_sym_DQUOTE,
    ACTIONS(4125), 1,
      anon_sym_SQUOTE,
    ACTIONS(8038), 1,
      sym_identifier,
    STATE(1197), 1,
      sym_nested_identifier,
    STATE(1527), 1,
      sym_string,
    STATE(1730), 1,
      sym__module,
    STATE(4968), 1,
      sym_comment,
  [171744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4969), 1,
      sym_comment,
    ACTIONS(8524), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171762] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3652), 1,
      sym_statement_block,
    STATE(4970), 1,
      sym_comment,
    ACTIONS(7980), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171784] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8526), 1,
      sym_identifier,
    STATE(4971), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6788), 1,
      sym__call_signature,
  [171812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4822), 1,
      aux_sym_object_type_repeat1,
    STATE(4972), 1,
      sym_comment,
    ACTIONS(8530), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171834] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4180), 1,
      anon_sym_DQUOTE,
    ACTIONS(4182), 1,
      anon_sym_SQUOTE,
    ACTIONS(7966), 1,
      sym_identifier,
    STATE(992), 1,
      sym_nested_identifier,
    STATE(1046), 1,
      sym_string,
    STATE(1320), 1,
      sym__module,
    STATE(4973), 1,
      sym_comment,
  [171862] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8532), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4549), 1,
      sym__call_signature,
    STATE(4974), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [171890] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4123), 1,
      anon_sym_DQUOTE,
    ACTIONS(4125), 1,
      anon_sym_SQUOTE,
    ACTIONS(8038), 1,
      sym_identifier,
    STATE(1197), 1,
      sym_nested_identifier,
    STATE(1527), 1,
      sym_string,
    STATE(1682), 1,
      sym__module,
    STATE(4975), 1,
      sym_comment,
  [171918] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1973), 1,
      anon_sym_LT,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(8534), 1,
      sym_identifier,
    STATE(4976), 1,
      sym_comment,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [171946] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8536), 1,
      anon_sym_export,
    ACTIONS(8538), 1,
      anon_sym_class,
    ACTIONS(8540), 1,
      anon_sym_abstract,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(4977), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [171974] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    STATE(4978), 1,
      sym_comment,
    ACTIONS(7518), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6640), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [171996] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4180), 1,
      anon_sym_DQUOTE,
    ACTIONS(4182), 1,
      anon_sym_SQUOTE,
    ACTIONS(7966), 1,
      sym_identifier,
    STATE(992), 1,
      sym_nested_identifier,
    STATE(1046), 1,
      sym_string,
    STATE(1317), 1,
      sym__module,
    STATE(4979), 1,
      sym_comment,
  [172024] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3623), 1,
      sym_statement_block,
    STATE(4980), 1,
      sym_comment,
    ACTIONS(8020), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172046] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8542), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4981), 1,
      sym_comment,
    STATE(5154), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [172074] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8544), 1,
      sym_identifier,
    STATE(4982), 1,
      sym_comment,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [172094] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8190), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8546), 1,
      anon_sym_BQUOTE,
    STATE(4914), 1,
      aux_sym_template_string_repeat1,
    STATE(4983), 1,
      sym_comment,
    STATE(5692), 1,
      sym_template_substitution,
    ACTIONS(7840), 2,
      sym__template_chars,
      sym_escape_sequence,
  [172120] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3651), 1,
      sym_statement_block,
    STATE(4984), 1,
      sym_comment,
    ACTIONS(7970), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4985), 1,
      sym_comment,
    ACTIONS(7900), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [172160] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8548), 1,
      sym_identifier,
    STATE(4986), 1,
      sym_comment,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [172180] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8550), 1,
      sym_identifier,
    STATE(4987), 1,
      sym_comment,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [172200] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8552), 1,
      sym_identifier,
    STATE(4988), 1,
      sym_comment,
    ACTIONS(7095), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [172220] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_catch,
    ACTIONS(8556), 1,
      anon_sym_finally,
    STATE(4989), 1,
      sym_comment,
    STATE(5564), 1,
      sym_catch_clause,
    STATE(7077), 1,
      sym_finally_clause,
    ACTIONS(3127), 2,
      anon_sym_else,
      anon_sym_while,
  [172246] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(8558), 1,
      anon_sym_QMARK,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(4990), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6724), 1,
      sym__call_signature,
  [172274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4991), 1,
      sym_comment,
    ACTIONS(2192), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [172292] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(8560), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4992), 1,
      sym_comment,
    STATE(5959), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [172320] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(4993), 1,
      sym_comment,
    STATE(6419), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172341] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(4994), 1,
      sym_comment,
    STATE(6189), 1,
      sym__initializer,
    ACTIONS(8564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(4995), 1,
      sym_comment,
    STATE(6050), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172383] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(4996), 1,
      sym_comment,
    STATE(6034), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4997), 1,
      sym_comment,
    ACTIONS(2260), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172421] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4998), 1,
      sym_comment,
    ACTIONS(2254), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172438] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(4999), 1,
      sym_comment,
    STATE(6014), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172459] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8568), 1,
      anon_sym_LBRACE,
    ACTIONS(8570), 1,
      anon_sym_SEMI,
    ACTIONS(8572), 1,
      sym__automatic_semicolon,
    ACTIONS(8574), 1,
      sym__function_signature_automatic_semicolon,
    STATE(332), 1,
      sym_statement_block,
    STATE(5000), 1,
      sym_comment,
  [172484] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5001), 1,
      sym_comment,
    STATE(6013), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172505] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5002), 1,
      sym_comment,
    STATE(6062), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172526] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(8095), 1,
      anon_sym_LBRACE,
    ACTIONS(8097), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1179), 1,
      sym_object_type,
    STATE(5003), 1,
      sym_comment,
    STATE(6364), 1,
      sym_extends_type_clause,
  [172551] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5004), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7019), 1,
      sym__call_signature,
  [172576] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5005), 1,
      sym_comment,
    STATE(5975), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172597] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5006), 1,
      sym_comment,
    STATE(6069), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172618] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5007), 1,
      sym_comment,
    STATE(6010), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172639] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5008), 1,
      sym_comment,
    STATE(5974), 1,
      sym__initializer,
    ACTIONS(8580), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172660] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5009), 1,
      sym_comment,
    STATE(5991), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172681] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2206), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5037), 1,
      anon_sym_LBRACE,
    STATE(5010), 1,
      sym_comment,
    ACTIONS(5039), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [172702] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2276), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5037), 1,
      anon_sym_LBRACE,
    STATE(5011), 1,
      sym_comment,
    ACTIONS(5039), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [172723] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5012), 1,
      sym_comment,
    STATE(5960), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172744] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5013), 1,
      sym_comment,
    STATE(5983), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172765] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8570), 1,
      anon_sym_SEMI,
    ACTIONS(8572), 1,
      sym__automatic_semicolon,
    ACTIONS(8574), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8582), 1,
      anon_sym_LBRACE,
    STATE(986), 1,
      sym_statement_block,
    STATE(5014), 1,
      sym_comment,
  [172790] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5015), 1,
      sym_comment,
    STATE(5976), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172811] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8584), 1,
      anon_sym_EQ,
    ACTIONS(8586), 1,
      anon_sym_COMMA,
    ACTIONS(8588), 1,
      anon_sym_RBRACE,
    STATE(5016), 1,
      sym_comment,
    STATE(5807), 1,
      aux_sym_enum_body_repeat1,
    STATE(6858), 1,
      sym__initializer,
  [172836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5017), 1,
      sym_comment,
    ACTIONS(3613), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172853] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5018), 1,
      sym_comment,
    ACTIONS(3615), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172870] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8590), 1,
      anon_sym_LBRACE,
    ACTIONS(8592), 1,
      anon_sym_SEMI,
    ACTIONS(8594), 1,
      sym__automatic_semicolon,
    ACTIONS(8596), 1,
      sym__function_signature_automatic_semicolon,
    STATE(404), 1,
      sym_statement_block,
    STATE(5019), 1,
      sym_comment,
  [172895] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5020), 1,
      sym_comment,
    ACTIONS(3535), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5021), 1,
      sym_comment,
    ACTIONS(3473), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172929] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5022), 1,
      sym_comment,
    ACTIONS(3475), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172946] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5023), 1,
      sym_comment,
    STATE(5948), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [172971] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5024), 1,
      sym_comment,
    STATE(5980), 1,
      sym__initializer,
    ACTIONS(8598), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172992] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    ACTIONS(8600), 1,
      anon_sym_DOT,
    STATE(5025), 1,
      sym_comment,
    STATE(6468), 1,
      sym_statement_block,
    ACTIONS(2113), 2,
      anon_sym_else,
      anon_sym_while,
  [173015] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    ACTIONS(8602), 1,
      anon_sym_DOT,
    STATE(5026), 1,
      sym_comment,
    STATE(6468), 1,
      sym_statement_block,
    ACTIONS(2113), 2,
      anon_sym_else,
      anon_sym_while,
  [173038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5027), 1,
      sym_comment,
    ACTIONS(3559), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173055] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5028), 1,
      sym_comment,
    ACTIONS(3553), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173072] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5029), 1,
      sym_comment,
    ACTIONS(3549), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5030), 1,
      sym_comment,
    ACTIONS(3671), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5031), 1,
      sym_comment,
    ACTIONS(3533), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173123] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5032), 1,
      sym_comment,
    ACTIONS(2364), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5033), 1,
      sym_comment,
    ACTIONS(3523), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5034), 1,
      sym_comment,
    ACTIONS(3521), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5035), 1,
      sym_comment,
    ACTIONS(3505), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173191] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5036), 1,
      sym_comment,
    ACTIONS(3503), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5037), 1,
      sym_comment,
    ACTIONS(3487), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173225] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5038), 1,
      sym_comment,
    ACTIONS(3495), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5039), 1,
      sym_comment,
    ACTIONS(3593), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173259] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5040), 1,
      sym_comment,
    ACTIONS(3621), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5041), 1,
      sym_comment,
    ACTIONS(3623), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173293] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5042), 1,
      sym_comment,
    ACTIONS(3657), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5043), 1,
      sym_comment,
    ACTIONS(2400), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5044), 1,
      sym_comment,
    ACTIONS(2404), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5045), 1,
      sym_comment,
    ACTIONS(2420), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173361] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5046), 1,
      sym_comment,
    ACTIONS(3643), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5047), 1,
      sym_comment,
    ACTIONS(3655), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5048), 1,
      sym_comment,
    ACTIONS(3655), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5049), 1,
      sym_comment,
    ACTIONS(3489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5050), 1,
      sym_comment,
    ACTIONS(3673), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5051), 1,
      sym_comment,
    ACTIONS(3675), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173463] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5052), 1,
      sym_comment,
    ACTIONS(3591), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5053), 1,
      sym_comment,
    ACTIONS(3653), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5054), 1,
      sym_comment,
    ACTIONS(3483), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5055), 1,
      sym_comment,
    ACTIONS(3519), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173531] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5056), 1,
      sym_comment,
    ACTIONS(3519), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5057), 1,
      sym_comment,
    ACTIONS(3519), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5058), 1,
      sym_comment,
    ACTIONS(3567), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5059), 1,
      sym_comment,
    ACTIONS(3577), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173599] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5060), 1,
      sym_comment,
    ACTIONS(2354), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5061), 1,
      sym_comment,
    ACTIONS(2412), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5062), 1,
      sym_comment,
    ACTIONS(2408), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5063), 1,
      sym_comment,
    ACTIONS(3467), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173667] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5064), 1,
      sym_comment,
    STATE(5979), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5065), 1,
      sym_comment,
    ACTIONS(3469), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173705] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5066), 1,
      sym_comment,
    STATE(6071), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5067), 1,
      sym_comment,
    ACTIONS(3469), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173743] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5068), 1,
      sym_comment,
    STATE(5978), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173764] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5069), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7057), 1,
      sym__call_signature,
  [173789] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8592), 1,
      anon_sym_SEMI,
    ACTIONS(8594), 1,
      sym__automatic_semicolon,
    ACTIONS(8596), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8604), 1,
      anon_sym_LBRACE,
    STATE(1164), 1,
      sym_statement_block,
    STATE(5070), 1,
      sym_comment,
  [173814] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5071), 1,
      sym_comment,
    STATE(5965), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173835] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5072), 1,
      sym_comment,
    STATE(6022), 1,
      sym__initializer,
    ACTIONS(8598), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5073), 1,
      sym_comment,
    ACTIONS(3481), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5074), 1,
      sym_comment,
    ACTIONS(3659), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173890] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5075), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7062), 1,
      sym__call_signature,
  [173915] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5076), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7014), 1,
      sym__call_signature,
  [173940] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5077), 1,
      sym_comment,
    ACTIONS(3491), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173957] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5078), 1,
      sym_comment,
    ACTIONS(3493), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5079), 1,
      sym_comment,
    ACTIONS(3509), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5080), 1,
      sym_comment,
    ACTIONS(3579), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174008] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5081), 1,
      sym_comment,
    ACTIONS(8606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174031] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5082), 1,
      sym_comment,
    ACTIONS(3579), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174048] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5083), 1,
      sym_comment,
    ACTIONS(8610), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5084), 1,
      sym_comment,
    ACTIONS(3579), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5085), 1,
      sym_comment,
    ACTIONS(3609), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174105] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5086), 1,
      sym_comment,
    ACTIONS(3637), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5087), 1,
      sym_comment,
    ACTIONS(3637), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174139] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5088), 1,
      sym_comment,
    ACTIONS(3637), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5089), 1,
      sym_comment,
    ACTIONS(3637), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174173] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5090), 1,
      sym_comment,
    STATE(5989), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174194] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8604), 1,
      anon_sym_LBRACE,
    ACTIONS(8612), 1,
      anon_sym_SEMI,
    ACTIONS(8614), 1,
      sym__automatic_semicolon,
    ACTIONS(8616), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1054), 1,
      sym_statement_block,
    STATE(5091), 1,
      sym_comment,
  [174219] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5092), 1,
      sym_comment,
    ACTIONS(2390), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174236] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5093), 1,
      sym_comment,
    ACTIONS(8618), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174259] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5094), 1,
      sym_comment,
    STATE(5962), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174280] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8221), 1,
      anon_sym_abstract,
    ACTIONS(8620), 1,
      anon_sym_class,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5095), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [174305] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5096), 1,
      sym_comment,
    ACTIONS(3639), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174322] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5097), 1,
      sym_comment,
    ACTIONS(3641), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174339] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5098), 1,
      sym_comment,
    ACTIONS(3637), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174356] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5099), 1,
      sym_comment,
    ACTIONS(3637), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174373] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5100), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7068), 1,
      sym__call_signature,
  [174398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5101), 1,
      sym_comment,
    ACTIONS(3663), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5102), 1,
      sym_comment,
    ACTIONS(3665), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5103), 1,
      sym_comment,
    ACTIONS(3661), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174449] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5104), 1,
      sym_comment,
    ACTIONS(3515), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5105), 1,
      sym_comment,
    ACTIONS(3497), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174483] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5106), 1,
      sym_comment,
    ACTIONS(3501), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5107), 1,
      sym_comment,
    ACTIONS(3513), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174517] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5108), 1,
      sym_comment,
    ACTIONS(2350), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5109), 1,
      sym_comment,
    ACTIONS(2350), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174551] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5110), 1,
      sym_comment,
    ACTIONS(3551), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174568] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5111), 1,
      sym_comment,
    STATE(6045), 1,
      sym__initializer,
    ACTIONS(8598), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174589] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8540), 1,
      anon_sym_abstract,
    ACTIONS(8622), 1,
      anon_sym_class,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5112), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [174614] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5113), 1,
      sym_comment,
    STATE(5931), 1,
      sym__initializer,
    ACTIONS(8624), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174635] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5114), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7101), 1,
      sym__call_signature,
  [174660] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5500), 1,
      anon_sym_in,
    STATE(5115), 1,
      sym_comment,
    ACTIONS(6624), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [174679] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5116), 1,
      sym_comment,
    STATE(5956), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174700] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5117), 1,
      sym_comment,
    STATE(6082), 1,
      sym__initializer,
    ACTIONS(8598), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5118), 1,
      sym_comment,
    STATE(5954), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174742] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5119), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7110), 1,
      sym__call_signature,
  [174767] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5120), 1,
      sym_comment,
    STATE(5994), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174788] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5121), 1,
      sym_comment,
    STATE(5952), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174809] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8568), 1,
      anon_sym_LBRACE,
    ACTIONS(8626), 1,
      anon_sym_SEMI,
    ACTIONS(8628), 1,
      sym__automatic_semicolon,
    ACTIONS(8630), 1,
      sym__function_signature_automatic_semicolon,
    STATE(310), 1,
      sym_statement_block,
    STATE(5122), 1,
      sym_comment,
  [174834] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5123), 1,
      sym_comment,
    STATE(5951), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174855] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5124), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7111), 1,
      sym__call_signature,
  [174880] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8325), 1,
      anon_sym_abstract,
    ACTIONS(8632), 1,
      anon_sym_class,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5125), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [174905] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5126), 1,
      sym_comment,
    STATE(6087), 1,
      sym__initializer,
    ACTIONS(8634), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174926] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5127), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7117), 1,
      sym__call_signature,
  [174951] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5128), 1,
      sym_comment,
    STATE(6084), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5129), 1,
      sym_comment,
    ACTIONS(8636), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [174989] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5130), 1,
      sym_comment,
    STATE(6088), 1,
      sym__initializer,
    ACTIONS(8634), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175010] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7972), 1,
      anon_sym_LBRACE,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(7978), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1297), 1,
      sym_object_type,
    STATE(5131), 1,
      sym_comment,
    STATE(5771), 1,
      sym_extends_type_clause,
  [175035] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5132), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7120), 1,
      sym__call_signature,
  [175060] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5133), 1,
      sym_comment,
    ACTIONS(8638), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175083] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5134), 1,
      sym_comment,
    STATE(5393), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [175108] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5135), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7009), 1,
      sym__call_signature,
  [175133] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5136), 1,
      sym_comment,
    STATE(5930), 1,
      sym__initializer,
    ACTIONS(8640), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175154] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5137), 1,
      sym_comment,
    STATE(5950), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175175] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5138), 1,
      sym_comment,
    STATE(6124), 1,
      sym__initializer,
    ACTIONS(8598), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175196] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5139), 1,
      sym_comment,
    STATE(6169), 1,
      sym__initializer,
    ACTIONS(8598), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175217] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5140), 1,
      sym_comment,
    STATE(6095), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175238] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5141), 1,
      sym_comment,
    STATE(6098), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175259] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8642), 1,
      anon_sym_class,
    ACTIONS(8644), 1,
      anon_sym_abstract,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5142), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [175284] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8584), 1,
      anon_sym_EQ,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(8648), 1,
      anon_sym_RBRACE,
    STATE(5143), 1,
      sym_comment,
    STATE(6344), 1,
      aux_sym_enum_body_repeat1,
    STATE(6858), 1,
      sym__initializer,
  [175309] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5144), 1,
      sym_comment,
    STATE(6122), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8650), 1,
      anon_sym_EQ,
    STATE(5145), 1,
      sym_comment,
    ACTIONS(4327), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [175349] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5146), 1,
      sym_comment,
    ACTIONS(6234), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [175366] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8582), 1,
      anon_sym_LBRACE,
    ACTIONS(8626), 1,
      anon_sym_SEMI,
    ACTIONS(8628), 1,
      sym__automatic_semicolon,
    ACTIONS(8630), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1013), 1,
      sym_statement_block,
    STATE(5147), 1,
      sym_comment,
  [175391] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5148), 1,
      sym_comment,
    STATE(5934), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175412] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5149), 1,
      sym_comment,
    STATE(6131), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175433] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5150), 1,
      sym_comment,
    ACTIONS(7970), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175450] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5151), 1,
      sym_comment,
    ACTIONS(8653), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175473] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5152), 1,
      sym_comment,
    STATE(5829), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175494] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5153), 1,
      sym_comment,
    STATE(5334), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [175519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5154), 1,
      sym_comment,
    ACTIONS(7980), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175536] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5155), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7001), 1,
      sym__call_signature,
  [175561] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5156), 1,
      sym_comment,
    STATE(6133), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175582] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5157), 1,
      sym_comment,
    STATE(6135), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175603] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5158), 1,
      sym_comment,
    ACTIONS(8655), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175626] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5159), 1,
      sym_comment,
    STATE(6147), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175647] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5160), 1,
      sym_comment,
    STATE(5921), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175668] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5161), 1,
      sym_comment,
    STATE(5998), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175689] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4924), 1,
      sym__call_signature,
    STATE(5162), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [175714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5163), 1,
      sym_comment,
    ACTIONS(8657), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175731] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5164), 1,
      sym_comment,
    STATE(5964), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175752] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5165), 1,
      sym_comment,
    STATE(6149), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175773] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5166), 1,
      sym_comment,
    ACTIONS(8659), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175796] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8420), 1,
      anon_sym_abstract,
    ACTIONS(8661), 1,
      anon_sym_class,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5167), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [175821] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5168), 1,
      sym_comment,
    STATE(5918), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175842] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5169), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6958), 1,
      sym__call_signature,
  [175867] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8663), 1,
      anon_sym_BQUOTE,
    ACTIONS(8665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8667), 1,
      sym__template_chars,
    STATE(5170), 1,
      sym_comment,
    STATE(5451), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6193), 1,
      sym_template_type,
  [175892] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8669), 1,
      anon_sym_as,
    ACTIONS(8671), 1,
      anon_sym_RBRACK,
    STATE(5171), 1,
      sym_comment,
  [175917] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACE,
    ACTIONS(8675), 1,
      anon_sym_SEMI,
    ACTIONS(8677), 1,
      sym__automatic_semicolon,
    ACTIONS(8679), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1102), 1,
      sym_statement_block,
    STATE(5172), 1,
      sym_comment,
  [175942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5173), 1,
      sym_comment,
    ACTIONS(8681), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175959] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5174), 1,
      sym_comment,
    STATE(5288), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [175984] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8667), 1,
      sym__template_chars,
    ACTIONS(8683), 1,
      anon_sym_BQUOTE,
    STATE(5175), 1,
      sym_comment,
    STATE(5301), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6193), 1,
      sym_template_type,
  [176009] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5176), 1,
      sym_comment,
    STATE(5903), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176030] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5177), 1,
      sym_comment,
    ACTIONS(7980), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176047] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8667), 1,
      sym__template_chars,
    ACTIONS(8685), 1,
      anon_sym_BQUOTE,
    STATE(5178), 1,
      sym_comment,
    STATE(5267), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6193), 1,
      sym_template_type,
  [176072] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5179), 1,
      sym_comment,
    STATE(6150), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176093] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5180), 1,
      sym_comment,
    STATE(6001), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176114] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5181), 1,
      sym_comment,
    STATE(5963), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176135] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5182), 1,
      sym_comment,
    STATE(5344), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [176160] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8584), 1,
      anon_sym_EQ,
    ACTIONS(8687), 1,
      anon_sym_COMMA,
    ACTIONS(8689), 1,
      anon_sym_RBRACE,
    STATE(5183), 1,
      sym_comment,
    STATE(6350), 1,
      aux_sym_enum_body_repeat1,
    STATE(6858), 1,
      sym__initializer,
  [176185] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5184), 1,
      sym_comment,
    STATE(5997), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5185), 1,
      sym_comment,
    ACTIONS(8691), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176223] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5186), 1,
      sym_comment,
    ACTIONS(7970), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176240] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5187), 1,
      sym_comment,
    ACTIONS(8693), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176257] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5188), 1,
      sym_comment,
    STATE(5890), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176278] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8590), 1,
      anon_sym_LBRACE,
    ACTIONS(8612), 1,
      anon_sym_SEMI,
    ACTIONS(8614), 1,
      sym__automatic_semicolon,
    ACTIONS(8616), 1,
      sym__function_signature_automatic_semicolon,
    STATE(401), 1,
      sym_statement_block,
    STATE(5189), 1,
      sym_comment,
  [176303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5190), 1,
      sym_comment,
    ACTIONS(6549), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [176320] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(5191), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(7237), 1,
      sym__module_export_name,
  [176345] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5192), 1,
      sym_comment,
    STATE(5874), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176366] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5193), 1,
      sym_comment,
    STATE(6151), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176387] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8538), 1,
      anon_sym_class,
    ACTIONS(8540), 1,
      anon_sym_abstract,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5194), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [176412] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5195), 1,
      sym_comment,
    ACTIONS(8697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176435] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5196), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6728), 1,
      sym__call_signature,
  [176460] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5197), 1,
      sym_comment,
    STATE(5873), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176481] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5198), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6908), 1,
      sym__call_signature,
  [176506] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5199), 1,
      sym_comment,
    STATE(6152), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176527] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4980), 1,
      sym__call_signature,
    STATE(5200), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [176552] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5201), 1,
      sym_comment,
    STATE(5872), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176573] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(5202), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6143), 1,
      sym__module_export_name,
  [176598] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5203), 1,
      sym_comment,
    STATE(5942), 1,
      sym__initializer,
    ACTIONS(8699), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176619] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5204), 1,
      sym_comment,
    ACTIONS(8701), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176636] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8675), 1,
      anon_sym_SEMI,
    ACTIONS(8677), 1,
      sym__automatic_semicolon,
    ACTIONS(8679), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8703), 1,
      anon_sym_LBRACE,
    STATE(376), 1,
      sym_statement_block,
    STATE(5205), 1,
      sym_comment,
  [176661] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5206), 1,
      sym_comment,
    STATE(5865), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176682] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5207), 1,
      sym_comment,
    STATE(5338), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [176707] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5150), 1,
      sym__call_signature,
    STATE(5208), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [176732] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5209), 1,
      sym_comment,
    STATE(6002), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5210), 1,
      sym_comment,
    ACTIONS(8705), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176770] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5211), 1,
      sym_comment,
    ACTIONS(8707), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176793] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5212), 1,
      sym_comment,
    ACTIONS(8709), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176810] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5213), 1,
      sym_comment,
    STATE(5321), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [176835] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8711), 1,
      anon_sym_EQ,
    STATE(5214), 1,
      sym_comment,
    ACTIONS(4341), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [176854] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACE,
    ACTIONS(8713), 1,
      anon_sym_SEMI,
    ACTIONS(8715), 1,
      sym__automatic_semicolon,
    ACTIONS(8717), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1113), 1,
      sym_statement_block,
    STATE(5215), 1,
      sym_comment,
  [176879] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5216), 1,
      sym_comment,
    STATE(5860), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176900] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5217), 1,
      sym_comment,
    STATE(6162), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176921] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5218), 1,
      sym_comment,
    STATE(5859), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176942] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5219), 1,
      sym_comment,
    STATE(5858), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176963] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(8121), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1480), 1,
      sym_object_type,
    STATE(5220), 1,
      sym_comment,
    STATE(6314), 1,
      sym_extends_type_clause,
  [176988] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5221), 1,
      sym_comment,
    STATE(6163), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177009] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5222), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6972), 1,
      sym__call_signature,
  [177034] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5223), 1,
      sym_comment,
    STATE(5852), 1,
      sym__initializer,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177055] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8667), 1,
      sym__template_chars,
    ACTIONS(8719), 1,
      anon_sym_BQUOTE,
    STATE(5224), 1,
      sym_comment,
    STATE(5451), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6193), 1,
      sym_template_type,
  [177080] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5225), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7030), 1,
      sym__call_signature,
  [177105] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8434), 1,
      anon_sym_class,
    ACTIONS(8436), 1,
      anon_sym_abstract,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5226), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [177130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5227), 1,
      sym_comment,
    ACTIONS(8721), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177147] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5228), 1,
      sym_comment,
    ACTIONS(8723), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [177164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5229), 1,
      sym_comment,
    ACTIONS(7928), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5230), 1,
      sym_comment,
    STATE(5851), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177202] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4636), 1,
      anon_sym_COLON,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(8725), 1,
      anon_sym_COMMA,
    ACTIONS(8727), 1,
      anon_sym_RBRACE,
    STATE(5231), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_object_pattern_repeat1,
  [177227] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5232), 1,
      sym_comment,
    STATE(6006), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5233), 1,
      sym_comment,
    ACTIONS(7934), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177265] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5234), 1,
      sym_comment,
    STATE(5362), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [177290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5235), 1,
      sym_comment,
    ACTIONS(7928), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177307] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5236), 1,
      sym_comment,
    STATE(5850), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177328] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5237), 1,
      sym_comment,
    STATE(5940), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177349] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_LBRACE,
    ACTIONS(8713), 1,
      anon_sym_SEMI,
    ACTIONS(8715), 1,
      sym__automatic_semicolon,
    ACTIONS(8717), 1,
      sym__function_signature_automatic_semicolon,
    STATE(370), 1,
      sym_statement_block,
    STATE(5238), 1,
      sym_comment,
  [177374] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5239), 1,
      sym_comment,
    STATE(5849), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177395] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5240), 1,
      sym_comment,
    STATE(5939), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177416] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5241), 1,
      sym_comment,
    STATE(6170), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [177441] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4636), 1,
      anon_sym_COLON,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    ACTIONS(8725), 1,
      anon_sym_COMMA,
    ACTIONS(8731), 1,
      anon_sym_RBRACE,
    STATE(5242), 1,
      sym_comment,
    STATE(6272), 1,
      aux_sym_object_pattern_repeat1,
  [177466] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5243), 1,
      sym_comment,
    STATE(6181), 1,
      sym__initializer,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177487] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5244), 1,
      sym_comment,
    STATE(5938), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177508] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5245), 1,
      sym_comment,
    STATE(5935), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177529] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5246), 1,
      sym_comment,
    STATE(6125), 1,
      sym__initializer,
    ACTIONS(8735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177550] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5247), 1,
      sym_comment,
    STATE(5932), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177571] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5248), 1,
      sym_comment,
    STATE(6012), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177592] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5249), 1,
      sym_comment,
    STATE(5927), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177613] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5250), 1,
      sym_comment,
    STATE(6017), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177634] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    ACTIONS(8737), 1,
      anon_sym_EQ_GT,
    STATE(5251), 1,
      sym_comment,
    STATE(6893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [177655] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(8740), 1,
      anon_sym_SEMI,
    ACTIONS(8742), 1,
      sym__automatic_semicolon,
    ACTIONS(8744), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3152), 1,
      sym_statement_block,
    STATE(5252), 1,
      sym_comment,
  [177680] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5253), 1,
      sym_comment,
    STATE(5926), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5254), 1,
      sym_comment,
    ACTIONS(8748), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8750), 1,
      anon_sym_COMMA,
    STATE(5255), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5720), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [177737] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5256), 1,
      sym_comment,
    STATE(5766), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5257), 1,
      sym_comment,
    ACTIONS(8024), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177775] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5258), 1,
      sym_comment,
    ACTIONS(6474), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [177792] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4810), 1,
      sym__call_signature,
    STATE(5259), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [177817] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5260), 1,
      sym_comment,
    STATE(5848), 1,
      sym__initializer,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177838] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8667), 1,
      sym__template_chars,
    ACTIONS(8753), 1,
      anon_sym_BQUOTE,
    STATE(5170), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5261), 1,
      sym_comment,
    STATE(6193), 1,
      sym_template_type,
  [177863] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    ACTIONS(8755), 1,
      anon_sym_EQ_GT,
    STATE(5262), 1,
      sym_comment,
    STATE(6640), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [177884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5263), 1,
      sym_comment,
    ACTIONS(8203), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177901] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5264), 1,
      sym_comment,
    ACTIONS(7948), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177918] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5265), 1,
      sym_comment,
    ACTIONS(8758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177941] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5235), 1,
      sym__call_signature,
    STATE(5266), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [177966] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8667), 1,
      sym__template_chars,
    ACTIONS(8760), 1,
      anon_sym_BQUOTE,
    STATE(5267), 1,
      sym_comment,
    STATE(5451), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6193), 1,
      sym_template_type,
  [177991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5268), 1,
      sym_comment,
    ACTIONS(7946), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178008] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5269), 1,
      sym_comment,
    STATE(5879), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5270), 1,
      sym_comment,
    ACTIONS(7948), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178046] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5870), 1,
      anon_sym_COMMA,
    STATE(5255), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5271), 1,
      sym_comment,
    ACTIONS(8762), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [178067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5272), 1,
      sym_comment,
    ACTIONS(8764), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178084] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8058), 1,
      anon_sym_LT,
    ACTIONS(8766), 1,
      anon_sym_LBRACE,
    STATE(5273), 1,
      sym_comment,
    STATE(6411), 1,
      sym_type_arguments,
    ACTIONS(8768), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [178107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5274), 1,
      sym_comment,
    ACTIONS(8770), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5275), 1,
      sym_comment,
    ACTIONS(7946), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178141] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5276), 1,
      sym_comment,
    ACTIONS(8772), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5277), 1,
      sym_comment,
    ACTIONS(8026), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178175] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5278), 1,
      sym_comment,
    STATE(6024), 1,
      sym__initializer,
    ACTIONS(8580), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178196] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5279), 1,
      sym_comment,
    STATE(6214), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178217] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5280), 1,
      sym_comment,
    STATE(5920), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178238] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8667), 1,
      sym__template_chars,
    ACTIONS(8776), 1,
      anon_sym_BQUOTE,
    STATE(5224), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5281), 1,
      sym_comment,
    STATE(6193), 1,
      sym_template_type,
  [178263] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5282), 1,
      sym_comment,
    STATE(6025), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178284] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5283), 1,
      sym_comment,
    STATE(6027), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178305] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5284), 1,
      sym_comment,
    ACTIONS(8778), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178322] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5285), 1,
      sym_comment,
    ACTIONS(8026), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178339] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5286), 1,
      sym_comment,
    STATE(5453), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [178364] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5287), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(7094), 1,
      sym__call_signature,
  [178389] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    ACTIONS(8782), 1,
      anon_sym_SEMI,
    ACTIONS(8784), 1,
      sym__automatic_semicolon,
    ACTIONS(8786), 1,
      sym__function_signature_automatic_semicolon,
    STATE(415), 1,
      sym_statement_block,
    STATE(5288), 1,
      sym_comment,
  [178414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5289), 1,
      sym_comment,
    ACTIONS(8788), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178431] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(208), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(8004), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5290), 1,
      sym_comment,
    STATE(6056), 1,
      sym_extends_type_clause,
    STATE(6790), 1,
      sym_object_type,
  [178456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5291), 1,
      sym_comment,
    ACTIONS(8790), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5292), 1,
      sym_comment,
    ACTIONS(6128), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [178490] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5293), 1,
      sym_comment,
    STATE(5917), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5294), 1,
      sym_comment,
    ACTIONS(8792), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178528] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5295), 1,
      sym_comment,
    STATE(6028), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178549] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    ACTIONS(8794), 1,
      anon_sym_EQ_GT,
    STATE(5296), 1,
      sym_comment,
    STATE(6640), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [178570] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5297), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6568), 1,
      sym__call_signature,
  [178595] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(5298), 1,
      sym_comment,
    ACTIONS(8797), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [178618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5299), 1,
      sym_comment,
    ACTIONS(8799), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178635] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5300), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6753), 1,
      sym__call_signature,
  [178660] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8667), 1,
      sym__template_chars,
    ACTIONS(8801), 1,
      anon_sym_BQUOTE,
    STATE(5301), 1,
      sym_comment,
    STATE(5451), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6193), 1,
      sym_template_type,
  [178685] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5302), 1,
      sym_comment,
    STATE(5910), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5303), 1,
      sym_comment,
    ACTIONS(8803), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178723] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5304), 1,
      sym_comment,
    STATE(6029), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178744] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4899), 1,
      sym__call_signature,
    STATE(5305), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [178769] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5306), 1,
      sym_comment,
    STATE(5905), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178790] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5307), 1,
      sym_comment,
    STATE(5805), 1,
      sym__initializer,
    ACTIONS(8805), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178811] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5308), 1,
      sym_comment,
    ACTIONS(8807), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5309), 1,
      sym_comment,
    ACTIONS(8809), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5310), 1,
      sym_comment,
    ACTIONS(7956), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5311), 1,
      sym_comment,
    ACTIONS(8811), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178879] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5312), 1,
      sym_comment,
    STATE(5899), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5313), 1,
      sym_comment,
    ACTIONS(8813), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [178917] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5314), 1,
      sym_comment,
    ACTIONS(7958), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178934] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5315), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6572), 1,
      sym__call_signature,
  [178959] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5316), 1,
      sym_comment,
    STATE(5888), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178980] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5317), 1,
      sym_comment,
    STATE(5837), 1,
      sym__initializer,
    ACTIONS(8815), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179001] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(8046), 1,
      anon_sym_LBRACE,
    ACTIONS(8048), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1670), 1,
      sym_object_type,
    STATE(5318), 1,
      sym_comment,
    STATE(6085), 1,
      sym_extends_type_clause,
  [179026] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5319), 1,
      sym_comment,
    STATE(5883), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179047] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5320), 1,
      sym_comment,
    STATE(5794), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179068] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(8740), 1,
      anon_sym_SEMI,
    ACTIONS(8742), 1,
      sym__automatic_semicolon,
    ACTIONS(8744), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5321), 1,
      sym_comment,
    STATE(6206), 1,
      sym_statement_block,
  [179093] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5322), 1,
      sym_comment,
    STATE(6033), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179114] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5323), 1,
      sym_comment,
    ACTIONS(8817), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179137] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5324), 1,
      sym_comment,
    ACTIONS(7956), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5325), 1,
      sym_comment,
    ACTIONS(8819), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179171] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5264), 1,
      sym__call_signature,
    STATE(5326), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [179196] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5327), 1,
      sym_comment,
    STATE(5834), 1,
      sym__initializer,
    ACTIONS(8821), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179217] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8436), 1,
      anon_sym_abstract,
    ACTIONS(8823), 1,
      anon_sym_class,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5328), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [179242] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5329), 1,
      sym_comment,
    STATE(6035), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179263] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5330), 1,
      sym_comment,
    STATE(5876), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179284] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5252), 1,
      sym__call_signature,
    STATE(5331), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [179309] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4830), 1,
      sym__call_signature,
    STATE(5332), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [179334] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(5333), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6997), 1,
      sym__module_export_name,
  [179359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5334), 1,
      sym_comment,
    ACTIONS(7958), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179376] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5335), 1,
      sym_comment,
    STATE(6220), 1,
      sym__initializer,
    ACTIONS(8825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179397] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5336), 1,
      sym_comment,
    STATE(5478), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [179422] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5337), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6993), 1,
      sym__call_signature,
  [179447] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8782), 1,
      anon_sym_SEMI,
    ACTIONS(8784), 1,
      sym__automatic_semicolon,
    ACTIONS(8786), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8827), 1,
      anon_sym_LBRACE,
    STATE(1370), 1,
      sym_statement_block,
    STATE(5338), 1,
      sym_comment,
  [179472] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5339), 1,
      sym_comment,
    ACTIONS(8829), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179495] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5340), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6990), 1,
      sym__call_signature,
  [179520] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5341), 1,
      sym_comment,
    STATE(6037), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179541] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5342), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6496), 1,
      sym__call_signature,
  [179566] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5343), 1,
      sym_comment,
    STATE(6485), 1,
      sym__call_signature,
    STATE(6489), 1,
      sym_type_parameters,
  [179591] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(8831), 1,
      anon_sym_SEMI,
    ACTIONS(8833), 1,
      sym__automatic_semicolon,
    ACTIONS(8835), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3176), 1,
      sym_statement_block,
    STATE(5344), 1,
      sym_comment,
  [179616] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5345), 1,
      sym_comment,
    STATE(6040), 1,
      sym__initializer,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179637] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5346), 1,
      sym_comment,
    STATE(6481), 1,
      sym__call_signature,
    STATE(6489), 1,
      sym_type_parameters,
  [179662] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5147), 1,
      sym__call_signature,
    STATE(5347), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [179687] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_comment,
    STATE(6461), 1,
      sym__call_signature,
    STATE(6489), 1,
      sym_type_parameters,
  [179712] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5122), 1,
      sym__call_signature,
    STATE(5349), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [179737] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5014), 1,
      sym__call_signature,
    STATE(5350), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [179762] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8219), 1,
      anon_sym_class,
    ACTIONS(8221), 1,
      anon_sym_abstract,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5351), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [179787] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5352), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6982), 1,
      sym__call_signature,
  [179812] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5353), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6981), 1,
      sym__call_signature,
  [179837] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5000), 1,
      sym__call_signature,
    STATE(5354), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [179862] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5355), 1,
      sym_comment,
    STATE(5861), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179883] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5356), 1,
      sym_comment,
    STATE(5856), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5357), 1,
      sym_comment,
    ACTIONS(5935), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [179921] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5358), 1,
      sym_comment,
    STATE(5853), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179942] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5359), 1,
      sym_comment,
    STATE(5847), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179963] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5360), 1,
      sym_comment,
    STATE(5830), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179984] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5361), 1,
      sym_comment,
    STATE(6230), 1,
      sym__initializer,
    ACTIONS(8837), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180005] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5362), 1,
      sym_comment,
    ACTIONS(7926), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180022] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5363), 1,
      sym_comment,
    STATE(5802), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180043] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5364), 1,
      sym_comment,
    STATE(6215), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180064] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5365), 1,
      sym_comment,
    STATE(5816), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180085] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    ACTIONS(8839), 1,
      anon_sym_EQ_GT,
    STATE(5366), 1,
      sym_comment,
    STATE(6640), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [180106] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    ACTIONS(8842), 1,
      anon_sym_EQ_GT,
    STATE(5367), 1,
      sym_comment,
    STATE(6893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [180127] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5368), 1,
      sym_comment,
    STATE(6483), 1,
      sym__call_signature,
    STATE(6489), 1,
      sym_type_parameters,
  [180152] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5369), 1,
      sym_comment,
    STATE(5487), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [180177] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5370), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6506), 1,
      sym__call_signature,
  [180202] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5371), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6510), 1,
      sym__call_signature,
  [180227] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5372), 1,
      sym_comment,
    ACTIONS(7920), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180244] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5172), 1,
      sym__call_signature,
    STATE(5373), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [180269] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5374), 1,
      sym_comment,
    STATE(5755), 1,
      sym__initializer,
    ACTIONS(8845), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180290] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5375), 1,
      sym_comment,
    STATE(5846), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180311] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8667), 1,
      sym__template_chars,
    ACTIONS(8847), 1,
      anon_sym_BQUOTE,
    STATE(5376), 1,
      sym_comment,
    STATE(5439), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6193), 1,
      sym_template_type,
  [180336] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5377), 1,
      sym_comment,
    STATE(5812), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180357] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5378), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6527), 1,
      sym__call_signature,
  [180382] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5379), 1,
      sym_comment,
    STATE(6217), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180403] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8584), 1,
      anon_sym_EQ,
    ACTIONS(8849), 1,
      anon_sym_COMMA,
    ACTIONS(8851), 1,
      anon_sym_RBRACE,
    STATE(5380), 1,
      sym_comment,
    STATE(6107), 1,
      aux_sym_enum_body_repeat1,
    STATE(6858), 1,
      sym__initializer,
  [180428] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5381), 1,
      sym_comment,
    STATE(6242), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180449] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5382), 1,
      sym_comment,
    STATE(5791), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180470] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5205), 1,
      sym__call_signature,
    STATE(5383), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [180495] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5384), 1,
      sym_comment,
    STATE(5788), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180516] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5385), 1,
      sym_comment,
    STATE(5785), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180537] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5215), 1,
      sym__call_signature,
    STATE(5386), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [180562] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8323), 1,
      anon_sym_class,
    ACTIONS(8325), 1,
      anon_sym_abstract,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5387), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [180587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5388), 1,
      sym_comment,
    STATE(6263), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5389), 1,
      sym_comment,
    ACTIONS(8166), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180625] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5390), 1,
      sym_comment,
    ACTIONS(8853), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5391), 1,
      sym_comment,
    ACTIONS(8235), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180665] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5392), 1,
      sym_comment,
    ACTIONS(8855), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180682] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(8831), 1,
      anon_sym_SEMI,
    ACTIONS(8833), 1,
      sym__automatic_semicolon,
    ACTIONS(8835), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5393), 1,
      sym_comment,
    STATE(6301), 1,
      sym_statement_block,
  [180707] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5394), 1,
      sym_comment,
    STATE(6235), 1,
      sym__call_signature,
    STATE(6903), 1,
      sym_type_parameters,
  [180732] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5238), 1,
      sym__call_signature,
    STATE(5395), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [180757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5396), 1,
      sym_comment,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180774] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5397), 1,
      sym_comment,
    ACTIONS(8857), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180797] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5398), 1,
      sym_comment,
    STATE(5832), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180818] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5399), 1,
      sym_comment,
    STATE(5828), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180839] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5400), 1,
      sym_comment,
    STATE(6042), 1,
      sym__initializer,
    ACTIONS(8859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5401), 1,
      sym_comment,
    ACTIONS(6539), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180877] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5402), 1,
      sym_comment,
    STATE(6266), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180898] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5403), 1,
      sym_comment,
    STATE(6282), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180919] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5404), 1,
      sym_comment,
    STATE(5787), 1,
      sym__initializer,
    ACTIONS(8861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180940] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5405), 1,
      sym_comment,
    STATE(6283), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180961] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5406), 1,
      sym_comment,
    ACTIONS(6530), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5407), 1,
      sym_comment,
    ACTIONS(6530), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180995] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4583), 1,
      sym__call_signature,
    STATE(5408), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [181020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5409), 1,
      sym_comment,
    ACTIONS(6530), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [181037] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5410), 1,
      sym_comment,
    STATE(6286), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181058] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5411), 1,
      sym_comment,
    STATE(5907), 1,
      sym__initializer,
    ACTIONS(8863), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181079] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5412), 1,
      sym_comment,
    STATE(6267), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181100] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5413), 1,
      sym_comment,
    STATE(6321), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181121] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5414), 1,
      sym_comment,
    STATE(6292), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181142] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5415), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6892), 1,
      sym__call_signature,
  [181167] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5416), 1,
      sym_comment,
    STATE(5780), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181188] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5417), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6620), 1,
      sym__call_signature,
  [181213] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5418), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6641), 1,
      sym__call_signature,
  [181238] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5419), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6645), 1,
      sym__call_signature,
  [181263] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5420), 1,
      sym_comment,
    STATE(5482), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [181288] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5421), 1,
      sym_comment,
    STATE(5827), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181309] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5422), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6658), 1,
      sym__call_signature,
  [181334] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5423), 1,
      sym_comment,
    STATE(5476), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [181359] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    ACTIONS(8865), 1,
      anon_sym_EQ_GT,
    STATE(5424), 1,
      sym_comment,
    STATE(6893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181380] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(4984), 1,
      sym__call_signature,
    STATE(5425), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [181405] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(8868), 1,
      anon_sym_SEMI,
    ACTIONS(8870), 1,
      sym__automatic_semicolon,
    ACTIONS(8872), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3296), 1,
      sym_statement_block,
    STATE(5426), 1,
      sym_comment,
  [181430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5427), 1,
      sym_comment,
    ACTIONS(8069), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181447] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5428), 1,
      sym_comment,
    STATE(5462), 1,
      sym__call_signature,
    STATE(6498), 1,
      sym_type_parameters,
  [181472] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5429), 1,
      sym_comment,
    STATE(5826), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181493] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8644), 1,
      anon_sym_abstract,
    ACTIONS(8874), 1,
      anon_sym_class,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5430), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [181518] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5431), 1,
      sym_comment,
    STATE(6323), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181539] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5432), 1,
      sym_comment,
    ACTIONS(8876), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181556] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5433), 1,
      sym_comment,
    STATE(5825), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181577] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5434), 1,
      sym_comment,
    ACTIONS(6633), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [181594] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5426), 1,
      sym__call_signature,
    STATE(5435), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [181619] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5436), 1,
      sym_comment,
    STATE(5779), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181640] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5437), 1,
      sym_comment,
    STATE(6337), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181661] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5438), 1,
      sym_comment,
    STATE(6373), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181682] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8667), 1,
      sym__template_chars,
    ACTIONS(8878), 1,
      anon_sym_BQUOTE,
    STATE(5439), 1,
      sym_comment,
    STATE(5451), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6193), 1,
      sym_template_type,
  [181707] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5440), 1,
      sym_comment,
    STATE(6338), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181728] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5441), 1,
      sym_comment,
    STATE(5972), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181749] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    STATE(5442), 1,
      sym_comment,
    STATE(7041), 1,
      sym_type_annotation,
    ACTIONS(4327), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [181770] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4566), 1,
      sym__call_signature,
    STATE(5443), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [181795] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    ACTIONS(8880), 1,
      anon_sym_EQ_GT,
    STATE(5444), 1,
      sym_comment,
    STATE(6640), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181816] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5445), 1,
      sym_comment,
    STATE(5824), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181837] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    ACTIONS(8883), 1,
      anon_sym_EQ_GT,
    STATE(5446), 1,
      sym_comment,
    STATE(6893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181858] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(5447), 1,
      sym_comment,
    ACTIONS(8886), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [181881] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1377), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7976), 1,
      anon_sym_extends,
    ACTIONS(8085), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5077), 1,
      sym_object_type,
    STATE(5448), 1,
      sym_comment,
    STATE(6063), 1,
      sym_extends_type_clause,
  [181906] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7191), 1,
      anon_sym_LBRACK,
    ACTIONS(8888), 1,
      anon_sym_RBRACE,
    STATE(5449), 1,
      sym_comment,
    ACTIONS(5054), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [181927] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5450), 1,
      sym_comment,
    STATE(5815), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181948] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8890), 1,
      anon_sym_BQUOTE,
    ACTIONS(8892), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8895), 1,
      sym__template_chars,
    STATE(6193), 1,
      sym_template_type,
    STATE(5451), 2,
      sym_comment,
      aux_sym_template_literal_type_repeat1,
  [181971] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(5452), 1,
      sym_comment,
    ACTIONS(8898), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [181994] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    ACTIONS(8900), 1,
      anon_sym_SEMI,
    ACTIONS(8902), 1,
      sym__automatic_semicolon,
    ACTIONS(8904), 1,
      sym__function_signature_automatic_semicolon,
    STATE(455), 1,
      sym_statement_block,
    STATE(5453), 1,
      sym_comment,
  [182019] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5454), 1,
      sym_comment,
    STATE(6046), 1,
      sym__initializer,
    ACTIONS(8859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182040] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(5455), 1,
      sym_comment,
    ACTIONS(8906), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [182063] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5456), 1,
      sym_comment,
    STATE(5811), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182084] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5457), 1,
      sym_comment,
    ACTIONS(8908), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182107] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5458), 1,
      sym_comment,
    STATE(6048), 1,
      sym__initializer,
    ACTIONS(8859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182128] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5459), 1,
      sym_comment,
    STATE(6340), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182149] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5460), 1,
      sym_comment,
    STATE(5806), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5461), 1,
      sym_comment,
    ACTIONS(8910), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [182187] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(8868), 1,
      anon_sym_SEMI,
    ACTIONS(8870), 1,
      sym__automatic_semicolon,
    ACTIONS(8872), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5462), 1,
      sym_comment,
    STATE(5513), 1,
      sym_statement_block,
  [182212] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5463), 1,
      sym_comment,
    ACTIONS(8912), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182235] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4558), 1,
      sym__call_signature,
    STATE(5464), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [182260] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5465), 1,
      sym_comment,
    STATE(6357), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182281] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5466), 1,
      sym_comment,
    STATE(6374), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182302] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5467), 1,
      sym_comment,
    STATE(6387), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182323] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4571), 1,
      sym__call_signature,
    STATE(5468), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [182348] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8584), 1,
      anon_sym_EQ,
    ACTIONS(8914), 1,
      anon_sym_COMMA,
    ACTIONS(8916), 1,
      anon_sym_RBRACE,
    STATE(5469), 1,
      sym_comment,
    STATE(5841), 1,
      aux_sym_enum_body_repeat1,
    STATE(6858), 1,
      sym__initializer,
  [182373] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5470), 1,
      sym_comment,
    STATE(5777), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5471), 1,
      sym_comment,
    STATE(5796), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182415] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4544), 1,
      sym__call_signature,
    STATE(5472), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [182440] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1965), 1,
      anon_sym_DQUOTE,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(5473), 1,
      sym_comment,
    STATE(5677), 1,
      sym_string,
    STATE(6853), 1,
      sym__module_export_name,
  [182465] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5474), 1,
      sym_comment,
    ACTIONS(8918), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182488] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4599), 1,
      sym__call_signature,
    STATE(5475), 1,
      sym_comment,
    STATE(6903), 1,
      sym_type_parameters,
  [182513] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(8920), 1,
      anon_sym_SEMI,
    ACTIONS(8922), 1,
      sym__automatic_semicolon,
    ACTIONS(8924), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3250), 1,
      sym_statement_block,
    STATE(5476), 1,
      sym_comment,
  [182538] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5477), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6851), 1,
      sym__call_signature,
  [182563] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8827), 1,
      anon_sym_LBRACE,
    ACTIONS(8900), 1,
      anon_sym_SEMI,
    ACTIONS(8902), 1,
      sym__automatic_semicolon,
    ACTIONS(8904), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1547), 1,
      sym_statement_block,
    STATE(5478), 1,
      sym_comment,
  [182588] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5479), 1,
      sym_comment,
    ACTIONS(8926), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182611] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5480), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6848), 1,
      sym__call_signature,
  [182636] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5481), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6844), 1,
      sym__call_signature,
  [182661] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(8920), 1,
      anon_sym_SEMI,
    ACTIONS(8922), 1,
      sym__automatic_semicolon,
    ACTIONS(8924), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5482), 1,
      sym_comment,
    STATE(5516), 1,
      sym_statement_block,
  [182686] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5483), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6773), 1,
      sym__call_signature,
  [182711] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5484), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6792), 1,
      sym__call_signature,
  [182736] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5485), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6798), 1,
      sym__call_signature,
  [182761] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5070), 1,
      sym__call_signature,
    STATE(5486), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [182786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5487), 1,
      sym_comment,
    ACTIONS(8020), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182803] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7596), 1,
      anon_sym_DOT,
    STATE(4503), 1,
      sym_arguments,
    STATE(5488), 1,
      sym_comment,
    ACTIONS(8928), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [182826] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5489), 1,
      sym_comment,
    STATE(6389), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182847] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5490), 1,
      sym_comment,
    STATE(5770), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182868] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym_formal_parameters,
    STATE(5491), 1,
      sym_comment,
    STATE(6489), 1,
      sym_type_parameters,
    STATE(6813), 1,
      sym__call_signature,
  [182893] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5492), 1,
      sym_comment,
    STATE(6390), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182914] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5019), 1,
      sym__call_signature,
    STATE(5493), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [182939] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8584), 1,
      anon_sym_EQ,
    ACTIONS(8930), 1,
      anon_sym_COMMA,
    ACTIONS(8932), 1,
      anon_sym_RBRACE,
    STATE(5494), 1,
      sym_comment,
    STATE(6099), 1,
      aux_sym_enum_body_repeat1,
    STATE(6858), 1,
      sym__initializer,
  [182964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5495), 1,
      sym_comment,
    ACTIONS(5931), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [182981] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5496), 1,
      sym_comment,
    ACTIONS(5911), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [182998] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5497), 1,
      sym_comment,
    STATE(6400), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183019] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5091), 1,
      sym__call_signature,
    STATE(5498), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [183044] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8418), 1,
      anon_sym_class,
    ACTIONS(8420), 1,
      anon_sym_abstract,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5499), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [183069] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4343), 1,
      sym_formal_parameters,
    STATE(5189), 1,
      sym__call_signature,
    STATE(5500), 1,
      sym_comment,
    STATE(6498), 1,
      sym_type_parameters,
  [183094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5501), 1,
      sym_comment,
    ACTIONS(8524), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183111] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5502), 1,
      sym_comment,
    STATE(5761), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183132] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5503), 1,
      sym_comment,
    STATE(6413), 1,
      sym__initializer,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183153] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8936), 1,
      anon_sym_in,
    ACTIONS(8938), 1,
      anon_sym_of,
    STATE(5504), 1,
      sym_comment,
    ACTIONS(8934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183174] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5505), 1,
      sym_comment,
    STATE(5760), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183195] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5506), 1,
      sym_comment,
    STATE(5759), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183216] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8940), 1,
      anon_sym_in,
    ACTIONS(8942), 1,
      anon_sym_of,
    STATE(5507), 1,
      sym_comment,
    ACTIONS(8934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183237] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5508), 1,
      sym_comment,
    STATE(5772), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5509), 1,
      sym_comment,
    ACTIONS(6641), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [183275] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5510), 1,
      sym_comment,
    STATE(6044), 1,
      sym__initializer,
    ACTIONS(8859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5511), 1,
      sym_comment,
    ACTIONS(6633), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [183313] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5512), 1,
      sym_comment,
    ACTIONS(6633), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [183330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6526), 1,
      sym__automatic_semicolon,
    STATE(5513), 1,
      sym_comment,
    ACTIONS(2416), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [183349] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym_comment,
    STATE(5789), 1,
      sym__initializer,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183370] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5515), 1,
      sym_comment,
    STATE(6438), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183391] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6482), 1,
      sym__automatic_semicolon,
    STATE(5516), 1,
      sym_comment,
    ACTIONS(2424), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [183410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6480), 1,
      sym__automatic_semicolon,
    STATE(5517), 1,
      sym_comment,
    ACTIONS(2428), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [183429] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    STATE(5518), 1,
      sym_comment,
    STATE(6166), 1,
      sym__initializer,
    ACTIONS(8774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183450] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6450), 1,
      sym__automatic_semicolon,
    STATE(5519), 1,
      sym_comment,
    ACTIONS(2394), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [183469] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8944), 1,
      anon_sym_DQUOTE,
    STATE(5520), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183489] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8948), 1,
      anon_sym_RBRACK,
    STATE(5521), 1,
      sym_comment,
  [183511] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8950), 1,
      sym__glimmer_template_content,
    ACTIONS(8952), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2673), 1,
      sym_glimmer_closing_tag,
    STATE(5522), 1,
      sym_comment,
    STATE(6179), 1,
      aux_sym_glimmer_template_repeat1,
  [183533] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8954), 1,
      anon_sym_EQ,
    STATE(5523), 1,
      sym_comment,
    STATE(6836), 1,
      sym__initializer,
    ACTIONS(7528), 2,
      anon_sym_in,
      anon_sym_of,
  [183553] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5524), 1,
      sym_comment,
    STATE(6970), 1,
      sym_type_parameters,
    STATE(7285), 1,
      sym_formal_parameters,
  [183575] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8956), 1,
      anon_sym_COMMA,
    ACTIONS(8959), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5525), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [183593] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5526), 1,
      sym_comment,
    STATE(6978), 1,
      sym_type_parameters,
    STATE(7298), 1,
      sym_formal_parameters,
  [183615] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8961), 1,
      anon_sym_SQUOTE,
    STATE(5527), 1,
      sym_comment,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183635] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8961), 1,
      anon_sym_DQUOTE,
    STATE(5528), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183655] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8054), 1,
      anon_sym_COMMA,
    ACTIONS(8388), 1,
      anon_sym_LBRACE,
    ACTIONS(8390), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5529), 1,
      sym_comment,
    STATE(5669), 1,
      aux_sym_extends_type_clause_repeat1,
  [183677] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    ACTIONS(8967), 1,
      anon_sym_SEMI,
    ACTIONS(8969), 1,
      sym__automatic_semicolon,
    STATE(5530), 1,
      sym_comment,
    STATE(6643), 1,
      sym_import_attribute,
  [183699] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5531), 1,
      sym_comment,
    ACTIONS(8971), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [183715] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8973), 1,
      anon_sym_SQUOTE,
    STATE(5527), 1,
      aux_sym_string_repeat2,
    STATE(5532), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183735] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8975), 1,
      sym_identifier,
    ACTIONS(8977), 1,
      anon_sym_const,
    ACTIONS(8979), 1,
      anon_sym_GT,
    STATE(5533), 1,
      sym_comment,
    STATE(7017), 1,
      sym_type_parameter,
  [183757] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8981), 1,
      anon_sym_RBRACK,
    STATE(5534), 1,
      sym_comment,
  [183779] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8983), 1,
      anon_sym_QMARK,
    STATE(5535), 1,
      sym_comment,
  [183801] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8973), 1,
      anon_sym_DQUOTE,
    STATE(5528), 1,
      aux_sym_string_repeat1,
    STATE(5536), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183821] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8985), 1,
      anon_sym_COLON,
    STATE(5537), 1,
      sym_comment,
  [183843] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8987), 1,
      anon_sym_SQUOTE,
    STATE(5538), 1,
      sym_comment,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183863] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8888), 1,
      anon_sym_RBRACE,
    STATE(5539), 1,
      sym_comment,
    ACTIONS(5054), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [183881] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8987), 1,
      anon_sym_DQUOTE,
    STATE(5540), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183901] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8989), 1,
      sym_escape_sequence,
    STATE(5541), 1,
      sym_comment,
    ACTIONS(8991), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [183919] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7411), 1,
      anon_sym_EQ,
    STATE(5542), 1,
      sym_comment,
    STATE(6872), 1,
      sym_default_type,
    ACTIONS(8994), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [183939] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8996), 1,
      anon_sym_SQUOTE,
    STATE(5538), 1,
      aux_sym_string_repeat2,
    STATE(5543), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183959] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8996), 1,
      anon_sym_DQUOTE,
    STATE(5540), 1,
      aux_sym_string_repeat1,
    STATE(5544), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183979] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(8998), 1,
      anon_sym_RPAREN,
    STATE(5545), 1,
      sym_comment,
  [184001] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9000), 1,
      anon_sym_SQUOTE,
    STATE(5546), 1,
      sym_comment,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184021] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5547), 1,
      sym_comment,
    STATE(7088), 1,
      sym_type_parameters,
    STATE(7398), 1,
      sym_formal_parameters,
  [184043] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9000), 1,
      anon_sym_DQUOTE,
    STATE(5548), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184063] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(9002), 1,
      anon_sym_LT,
    STATE(2538), 1,
      sym_arguments,
    STATE(2539), 1,
      sym_type_arguments,
    STATE(5549), 1,
      sym_comment,
  [184085] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9004), 1,
      anon_sym_SQUOTE,
    STATE(5546), 1,
      aux_sym_string_repeat2,
    STATE(5550), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184105] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9004), 1,
      anon_sym_DQUOTE,
    STATE(5548), 1,
      aux_sym_string_repeat1,
    STATE(5551), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184125] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(7239), 1,
      anon_sym_LT,
    STATE(4531), 1,
      sym_formal_parameters,
    STATE(5552), 1,
      sym_comment,
    STATE(6886), 1,
      sym_type_parameters,
  [184147] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5553), 1,
      sym_comment,
    STATE(7096), 1,
      sym_type_parameters,
    STATE(7406), 1,
      sym_formal_parameters,
  [184169] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9008), 1,
      anon_sym_COMMA,
    STATE(5554), 1,
      sym_comment,
    STATE(5615), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(9006), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [184189] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5555), 1,
      sym_comment,
    ACTIONS(9012), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184209] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5556), 1,
      sym_comment,
    ACTIONS(9014), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184229] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9016), 1,
      anon_sym_DQUOTE,
    STATE(5557), 1,
      sym_comment,
    STATE(5618), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184249] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9016), 1,
      anon_sym_SQUOTE,
    STATE(5558), 1,
      sym_comment,
    STATE(5619), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184269] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9018), 1,
      anon_sym_SQUOTE,
    STATE(5559), 1,
      sym_comment,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184289] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    ACTIONS(9020), 1,
      anon_sym_SEMI,
    ACTIONS(9022), 1,
      sym__automatic_semicolon,
    STATE(5560), 1,
      sym_comment,
    STATE(6660), 1,
      sym_import_attribute,
  [184311] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5561), 1,
      sym_comment,
    STATE(6661), 1,
      sym_import_attribute,
    ACTIONS(9024), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184331] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7990), 1,
      anon_sym_EQ,
    STATE(5562), 1,
      sym_comment,
    STATE(6923), 1,
      sym__initializer,
    ACTIONS(9026), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [184351] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5563), 1,
      sym_comment,
    STATE(6662), 1,
      sym_import_attribute,
    ACTIONS(9028), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184371] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8556), 1,
      anon_sym_finally,
    STATE(5564), 1,
      sym_comment,
    STATE(6831), 1,
      sym_finally_clause,
    ACTIONS(3179), 2,
      anon_sym_else,
      anon_sym_while,
  [184391] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9018), 1,
      anon_sym_DQUOTE,
    STATE(5565), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184411] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5566), 1,
      sym_comment,
    STATE(6596), 1,
      sym__from_clause,
    ACTIONS(5738), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184431] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9032), 1,
      anon_sym_SQUOTE,
    STATE(5559), 1,
      aux_sym_string_repeat2,
    STATE(5567), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184451] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9032), 1,
      anon_sym_DQUOTE,
    STATE(5565), 1,
      aux_sym_string_repeat1,
    STATE(5568), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184471] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9034), 1,
      anon_sym_COLON,
    STATE(5569), 1,
      sym_comment,
  [184493] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8131), 1,
      anon_sym_DOT,
    ACTIONS(9036), 1,
      anon_sym_COMMA,
    ACTIONS(9038), 1,
      anon_sym_GT,
    STATE(5570), 1,
      sym_comment,
    STATE(6005), 1,
      aux_sym_type_arguments_repeat1,
  [184515] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5571), 1,
      sym_comment,
    STATE(7078), 1,
      sym_type_parameters,
    STATE(7519), 1,
      sym_formal_parameters,
  [184537] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(7071), 1,
      anon_sym_LT,
    STATE(3922), 1,
      sym_arguments,
    STATE(4004), 1,
      sym_type_arguments,
    STATE(5572), 1,
      sym_comment,
  [184559] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9040), 1,
      anon_sym_RBRACK,
    STATE(5573), 1,
      sym_comment,
  [184581] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8975), 1,
      sym_identifier,
    ACTIONS(8977), 1,
      anon_sym_const,
    ACTIONS(9042), 1,
      anon_sym_GT,
    STATE(5574), 1,
      sym_comment,
    STATE(7017), 1,
      sym_type_parameter,
  [184603] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9044), 1,
      anon_sym_RBRACK,
    STATE(5575), 1,
      sym_comment,
  [184625] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9046), 1,
      anon_sym_RBRACK,
    STATE(5576), 1,
      sym_comment,
  [184647] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5577), 1,
      sym_comment,
    STATE(7054), 1,
      sym_type_parameters,
    STATE(7530), 1,
      sym_formal_parameters,
  [184669] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9048), 1,
      anon_sym_DQUOTE,
    STATE(5578), 1,
      sym_comment,
    STATE(5607), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5579), 1,
      sym_comment,
    STATE(6864), 1,
      sym__from_clause,
    ACTIONS(9050), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184709] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9048), 1,
      anon_sym_SQUOTE,
    STATE(5580), 1,
      sym_comment,
    STATE(5609), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184729] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9052), 1,
      anon_sym_SQUOTE,
    STATE(5581), 1,
      sym_comment,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184749] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9052), 1,
      anon_sym_DQUOTE,
    STATE(5582), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184769] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5583), 1,
      sym_comment,
    STATE(6554), 1,
      sym__from_clause,
    ACTIONS(9054), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184789] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    ACTIONS(9056), 1,
      anon_sym_SEMI,
    ACTIONS(9058), 1,
      sym__automatic_semicolon,
    STATE(5584), 1,
      sym_comment,
    STATE(6943), 1,
      sym_import_attribute,
  [184811] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5585), 1,
      sym_comment,
    STATE(6551), 1,
      sym_import_attribute,
    ACTIONS(9060), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184831] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9062), 1,
      anon_sym_SQUOTE,
    STATE(5586), 1,
      sym_comment,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184851] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9062), 1,
      anon_sym_DQUOTE,
    STATE(5587), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184871] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5588), 1,
      sym_comment,
    STATE(6550), 1,
      sym_import_attribute,
    ACTIONS(9064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184891] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(9066), 1,
      anon_sym_class,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5589), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [184913] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5590), 1,
      sym_comment,
    STATE(5649), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9068), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184933] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4636), 1,
      anon_sym_COLON,
    ACTIONS(7235), 1,
      anon_sym_EQ,
    STATE(5591), 1,
      sym_comment,
    ACTIONS(9070), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [184953] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5592), 1,
      sym_comment,
    STATE(5650), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9072), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184973] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9074), 1,
      anon_sym_SQUOTE,
    STATE(5581), 1,
      aux_sym_string_repeat2,
    STATE(5593), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184993] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5594), 1,
      sym_comment,
    STATE(6772), 1,
      sym_type_parameters,
    STATE(7321), 1,
      sym_formal_parameters,
  [185015] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    ACTIONS(9076), 1,
      anon_sym_SEMI,
    ACTIONS(9078), 1,
      sym__automatic_semicolon,
    STATE(5595), 1,
      sym_comment,
    STATE(7108), 1,
      sym_import_attribute,
  [185037] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9074), 1,
      anon_sym_DQUOTE,
    STATE(5582), 1,
      aux_sym_string_repeat1,
    STATE(5596), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185057] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5555), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5597), 1,
      sym_comment,
    ACTIONS(9080), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185077] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5556), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5598), 1,
      sym_comment,
    ACTIONS(9082), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185097] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9084), 1,
      anon_sym_COMMA,
    ACTIONS(5720), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5599), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [185115] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5600), 1,
      sym_comment,
    STATE(6679), 1,
      sym_import_attribute,
    ACTIONS(9087), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185135] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5601), 1,
      sym_comment,
    STATE(6860), 1,
      sym_import_attribute,
    ACTIONS(9089), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5602), 1,
      sym_comment,
    STATE(6859), 1,
      sym_import_attribute,
    ACTIONS(9091), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185175] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5603), 1,
      sym_comment,
    STATE(5671), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9093), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185195] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5604), 1,
      sym_comment,
    STATE(5672), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9095), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185215] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5605), 1,
      sym_comment,
    STATE(6682), 1,
      sym_import_attribute,
    ACTIONS(9097), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185235] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(9099), 1,
      anon_sym_export,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5606), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [185257] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9101), 1,
      anon_sym_DQUOTE,
    STATE(5607), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185277] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5608), 1,
      sym_comment,
    STATE(6689), 1,
      sym__from_clause,
    ACTIONS(9103), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185297] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9101), 1,
      anon_sym_SQUOTE,
    STATE(5609), 1,
      sym_comment,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185317] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(4908), 1,
      sym_nested_type_identifier,
    STATE(5529), 1,
      sym_generic_type,
    STATE(5610), 1,
      sym_comment,
    STATE(7136), 1,
      sym_nested_identifier,
  [185339] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5611), 1,
      sym_comment,
    ACTIONS(9107), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [185355] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8975), 1,
      sym_identifier,
    ACTIONS(8977), 1,
      anon_sym_const,
    ACTIONS(9109), 1,
      anon_sym_GT,
    STATE(5612), 1,
      sym_comment,
    STATE(7017), 1,
      sym_type_parameter,
  [185377] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5613), 1,
      sym_comment,
    STATE(7025), 1,
      sym_type_parameters,
    STATE(7193), 1,
      sym_formal_parameters,
  [185399] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5614), 1,
      sym_comment,
    ACTIONS(3265), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(9111), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185417] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9113), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(5615), 2,
      sym_comment,
      aux_sym_extends_clause_repeat1,
  [185435] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9118), 1,
      anon_sym_QMARK,
    STATE(5616), 1,
      sym_comment,
  [185457] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7411), 1,
      anon_sym_EQ,
    STATE(5617), 1,
      sym_comment,
    STATE(7029), 1,
      sym_default_type,
    ACTIONS(9120), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [185477] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9122), 1,
      anon_sym_DQUOTE,
    STATE(5618), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185497] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9122), 1,
      anon_sym_SQUOTE,
    STATE(5619), 1,
      sym_comment,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185517] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9124), 1,
      anon_sym_RPAREN,
    STATE(5620), 1,
      sym_comment,
  [185539] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8584), 1,
      anon_sym_EQ,
    STATE(5621), 1,
      sym_comment,
    STATE(6858), 1,
      sym__initializer,
    ACTIONS(9126), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [185559] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5622), 1,
      sym_comment,
    STATE(6536), 1,
      sym__from_clause,
    ACTIONS(5971), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185579] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9128), 1,
      anon_sym_RBRACK,
    STATE(5623), 1,
      sym_comment,
  [185601] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9008), 1,
      anon_sym_COMMA,
    STATE(5554), 1,
      aux_sym_extends_clause_repeat1,
    STATE(5624), 1,
      sym_comment,
    ACTIONS(9130), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [185621] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9132), 1,
      anon_sym_SQUOTE,
    STATE(5586), 1,
      aux_sym_string_repeat2,
    STATE(5625), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185641] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5626), 1,
      sym_comment,
    ACTIONS(6866), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [185657] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9132), 1,
      anon_sym_DQUOTE,
    STATE(5587), 1,
      aux_sym_string_repeat1,
    STATE(5627), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185677] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9134), 1,
      anon_sym_SQUOTE,
    STATE(5628), 1,
      sym_comment,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185697] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8975), 1,
      sym_identifier,
    ACTIONS(8977), 1,
      anon_sym_const,
    ACTIONS(9136), 1,
      anon_sym_GT,
    STATE(5629), 1,
      sym_comment,
    STATE(7017), 1,
      sym_type_parameter,
  [185719] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9134), 1,
      anon_sym_DQUOTE,
    STATE(5630), 1,
      sym_comment,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185739] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9138), 1,
      anon_sym_LBRACE,
    ACTIONS(9140), 1,
      anon_sym_COMMA,
    ACTIONS(9143), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5631), 2,
      sym_comment,
      aux_sym_extends_type_clause_repeat1,
  [185759] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9145), 1,
      anon_sym_RBRACK,
    STATE(5632), 1,
      sym_comment,
  [185781] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8131), 1,
      anon_sym_DOT,
    ACTIONS(9147), 1,
      anon_sym_COMMA,
    ACTIONS(9149), 1,
      anon_sym_GT,
    STATE(5633), 1,
      sym_comment,
    STATE(6258), 1,
      aux_sym_type_arguments_repeat1,
  [185803] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9151), 1,
      anon_sym_SQUOTE,
    ACTIONS(9153), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(5634), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [185821] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9156), 1,
      anon_sym_DQUOTE,
    ACTIONS(9158), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(5635), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [185839] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9161), 1,
      anon_sym_SQUOTE,
    STATE(5628), 1,
      aux_sym_string_repeat2,
    STATE(5636), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185859] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9161), 1,
      anon_sym_DQUOTE,
    STATE(5630), 1,
      aux_sym_string_repeat1,
    STATE(5637), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185879] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9163), 1,
      anon_sym_RPAREN,
    STATE(5638), 1,
      sym_comment,
  [185901] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(9165), 1,
      anon_sym_class,
    STATE(4906), 1,
      aux_sym_export_statement_repeat1,
    STATE(5639), 1,
      sym_comment,
    STATE(5733), 1,
      sym_decorator,
  [185923] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7990), 1,
      anon_sym_EQ,
    STATE(5640), 1,
      sym_comment,
    STATE(7105), 1,
      sym__initializer,
    ACTIONS(9167), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [185943] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(9169), 1,
      anon_sym_LT,
    STATE(3069), 1,
      sym_arguments,
    STATE(3070), 1,
      sym_type_arguments,
    STATE(5641), 1,
      sym_comment,
  [185965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5642), 1,
      sym_comment,
    STATE(6532), 1,
      sym_import_attribute,
    ACTIONS(9171), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185985] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9173), 1,
      anon_sym_STAR,
    ACTIONS(9175), 1,
      anon_sym_LBRACE,
    STATE(5643), 1,
      sym_comment,
    STATE(7149), 2,
      sym_namespace_import,
      sym_named_imports,
  [186005] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8131), 1,
      anon_sym_DOT,
    ACTIONS(9177), 1,
      anon_sym_COMMA,
    ACTIONS(9179), 1,
      anon_sym_GT,
    STATE(5644), 1,
      sym_comment,
    STATE(5817), 1,
      aux_sym_type_arguments_repeat1,
  [186027] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5645), 1,
      sym_comment,
    STATE(6531), 1,
      sym_import_attribute,
    ACTIONS(9181), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186047] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5646), 1,
      sym_comment,
    ACTIONS(9183), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186067] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    ACTIONS(9185), 1,
      anon_sym_SEMI,
    ACTIONS(9187), 1,
      sym__automatic_semicolon,
    STATE(5647), 1,
      sym_comment,
    STATE(6530), 1,
      sym_import_attribute,
  [186089] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5648), 1,
      sym_comment,
    ACTIONS(9189), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186109] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5649), 1,
      sym_comment,
    ACTIONS(9191), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186129] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5650), 1,
      sym_comment,
    ACTIONS(9193), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186149] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9195), 1,
      anon_sym_COLON,
    STATE(5651), 1,
      sym_comment,
  [186171] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    ACTIONS(9197), 1,
      anon_sym_SEMI,
    ACTIONS(9199), 1,
      sym__automatic_semicolon,
    STATE(5652), 1,
      sym_comment,
    STATE(7060), 1,
      sym_import_attribute,
  [186193] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7205), 1,
      anon_sym_LPAREN,
    ACTIONS(7211), 1,
      anon_sym_LT,
    STATE(4235), 1,
      sym_arguments,
    STATE(4477), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_comment,
  [186215] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5654), 1,
      sym_comment,
    STATE(7036), 1,
      sym_import_attribute,
    ACTIONS(9201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186235] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5655), 1,
      sym_comment,
    STATE(7035), 1,
      sym_import_attribute,
    ACTIONS(9203), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186255] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5656), 1,
      sym_comment,
    ACTIONS(9205), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186275] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5657), 1,
      sym_comment,
    STATE(6820), 1,
      sym__from_clause,
    ACTIONS(6032), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186295] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5658), 1,
      sym_comment,
    ACTIONS(9207), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186315] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9209), 1,
      anon_sym_RPAREN,
    STATE(5659), 1,
      sym_comment,
  [186337] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    ACTIONS(9211), 1,
      anon_sym_SEMI,
    ACTIONS(9213), 1,
      sym__automatic_semicolon,
    STATE(5660), 1,
      sym_comment,
    STATE(6914), 1,
      sym_import_attribute,
  [186359] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9215), 1,
      sym_identifier,
    STATE(5273), 1,
      sym_nested_type_identifier,
    STATE(5661), 1,
      sym_comment,
    STATE(5880), 1,
      sym_generic_type,
    STATE(7136), 1,
      sym_nested_identifier,
  [186381] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8054), 1,
      anon_sym_COMMA,
    ACTIONS(9217), 1,
      anon_sym_LBRACE,
    ACTIONS(9219), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5631), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5662), 1,
      sym_comment,
  [186403] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8054), 1,
      anon_sym_COMMA,
    ACTIONS(9221), 1,
      anon_sym_LBRACE,
    ACTIONS(9223), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5631), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5663), 1,
      sym_comment,
  [186425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5664), 1,
      sym_comment,
    STATE(6913), 1,
      sym_import_attribute,
    ACTIONS(9225), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186445] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5665), 1,
      sym_comment,
    STATE(6912), 1,
      sym_import_attribute,
    ACTIONS(9227), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186465] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5666), 1,
      sym_comment,
    STATE(6817), 1,
      sym_import_attribute,
    ACTIONS(9229), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186485] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5667), 1,
      sym_comment,
    STATE(6816), 1,
      sym_import_attribute,
    ACTIONS(9231), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186505] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    ACTIONS(9233), 1,
      anon_sym_SEMI,
    ACTIONS(9235), 1,
      sym__automatic_semicolon,
    STATE(5668), 1,
      sym_comment,
    STATE(6815), 1,
      sym_import_attribute,
  [186527] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8054), 1,
      anon_sym_COMMA,
    ACTIONS(9221), 1,
      anon_sym_LBRACE,
    ACTIONS(9223), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5631), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5669), 1,
      sym_comment,
  [186549] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9237), 1,
      anon_sym_EQ_GT,
    STATE(5670), 1,
      sym_comment,
    ACTIONS(4636), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [186567] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5671), 1,
      sym_comment,
    ACTIONS(9239), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5672), 1,
      sym_comment,
    ACTIONS(9241), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186607] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9243), 1,
      anon_sym_EQ_GT,
    STATE(5673), 1,
      sym_comment,
    ACTIONS(4636), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [186625] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    ACTIONS(9245), 1,
      anon_sym_SEMI,
    ACTIONS(9247), 1,
      sym__automatic_semicolon,
    STATE(5674), 1,
      sym_comment,
    STATE(6508), 1,
      sym_import_attribute,
  [186647] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5675), 1,
      sym_comment,
    STATE(6878), 1,
      sym__from_clause,
    ACTIONS(5929), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186667] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5676), 1,
      sym_comment,
    STATE(6823), 1,
      sym_type_parameters,
    STATE(7290), 1,
      sym_formal_parameters,
  [186689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5677), 1,
      sym_comment,
    ACTIONS(9249), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [186705] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5678), 1,
      sym_comment,
    ACTIONS(9251), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186725] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5679), 1,
      sym_comment,
    ACTIONS(9253), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186745] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8131), 1,
      anon_sym_DOT,
    ACTIONS(9255), 1,
      anon_sym_COMMA,
    ACTIONS(9257), 1,
      anon_sym_GT,
    STATE(5680), 1,
      sym_comment,
    STATE(6261), 1,
      aux_sym_type_arguments_repeat1,
  [186767] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    ACTIONS(4989), 1,
      anon_sym_BQUOTE,
    STATE(5681), 1,
      sym_comment,
    STATE(2609), 2,
      sym_template_string,
      sym_arguments,
  [186787] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5682), 1,
      sym_comment,
    STATE(6905), 1,
      sym__from_clause,
    ACTIONS(5552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186807] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9259), 1,
      anon_sym_COLON,
    STATE(5683), 1,
      sym_comment,
  [186829] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8950), 1,
      sym__glimmer_template_content,
    ACTIONS(9261), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3290), 1,
      sym_glimmer_closing_tag,
    STATE(5684), 1,
      sym_comment,
    STATE(6179), 1,
      aux_sym_glimmer_template_repeat1,
  [186851] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5472), 1,
      anon_sym_COMMA,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5685), 1,
      sym_comment,
    ACTIONS(8762), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186871] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4242), 1,
      anon_sym_LPAREN,
    ACTIONS(7121), 1,
      anon_sym_LT,
    STATE(4096), 1,
      sym_arguments,
    STATE(4259), 1,
      sym_type_arguments,
    STATE(5686), 1,
      sym_comment,
  [186893] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    ACTIONS(5447), 1,
      anon_sym_BQUOTE,
    STATE(5687), 1,
      sym_comment,
    STATE(3230), 2,
      sym_template_string,
      sym_arguments,
  [186913] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9263), 1,
      anon_sym_RBRACK,
    STATE(5688), 1,
      sym_comment,
  [186935] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8944), 1,
      anon_sym_SQUOTE,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    STATE(5689), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186955] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8131), 1,
      anon_sym_DOT,
    ACTIONS(9265), 1,
      anon_sym_COMMA,
    ACTIONS(9267), 1,
      anon_sym_GT,
    STATE(5690), 1,
      sym_comment,
    STATE(6205), 1,
      aux_sym_type_arguments_repeat1,
  [186977] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5691), 1,
      sym_comment,
    ACTIONS(8034), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [186993] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5692), 1,
      sym_comment,
    ACTIONS(8989), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [187009] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9269), 1,
      anon_sym_RPAREN,
    STATE(5693), 1,
      sym_comment,
  [187031] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9271), 1,
      anon_sym_RBRACK,
    STATE(5694), 1,
      sym_comment,
  [187053] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8131), 1,
      anon_sym_DOT,
    ACTIONS(9273), 1,
      anon_sym_COMMA,
    ACTIONS(9275), 1,
      anon_sym_GT,
    STATE(5695), 1,
      sym_comment,
    STATE(6188), 1,
      aux_sym_type_arguments_repeat1,
  [187075] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5678), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5696), 1,
      sym_comment,
    ACTIONS(9277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187095] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9279), 1,
      anon_sym_SQUOTE,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    STATE(5697), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187115] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9281), 1,
      anon_sym_RBRACK,
    STATE(5698), 1,
      sym_comment,
  [187137] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5679), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5699), 1,
      sym_comment,
    ACTIONS(9283), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187157] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9279), 1,
      anon_sym_DQUOTE,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    STATE(5700), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187177] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9285), 1,
      anon_sym_SQUOTE,
    STATE(5689), 1,
      aux_sym_string_repeat2,
    STATE(5701), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187197] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9285), 1,
      anon_sym_DQUOTE,
    STATE(5520), 1,
      aux_sym_string_repeat1,
    STATE(5702), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187217] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9287), 1,
      anon_sym_EQ,
    ACTIONS(9289), 1,
      anon_sym_COMMA,
    ACTIONS(9291), 1,
      anon_sym_RBRACK,
    STATE(5703), 1,
      sym_comment,
    STATE(6212), 1,
      aux_sym_array_pattern_repeat1,
  [187239] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9293), 1,
      anon_sym_QMARK,
    STATE(5704), 1,
      sym_comment,
  [187261] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9295), 1,
      anon_sym_SQUOTE,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    STATE(5705), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187281] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9295), 1,
      anon_sym_DQUOTE,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    STATE(5706), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187301] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9287), 1,
      anon_sym_EQ,
    ACTIONS(9289), 1,
      anon_sym_COMMA,
    ACTIONS(9297), 1,
      anon_sym_RBRACK,
    STATE(5707), 1,
      sym_comment,
    STATE(6229), 1,
      aux_sym_array_pattern_repeat1,
  [187323] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5646), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5708), 1,
      sym_comment,
    ACTIONS(9299), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187343] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5709), 1,
      sym_comment,
    STATE(6793), 1,
      sym_type_parameters,
    STATE(7160), 1,
      sym_formal_parameters,
  [187365] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5648), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5710), 1,
      sym_comment,
    ACTIONS(9301), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187385] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5711), 1,
      sym_comment,
    STATE(6739), 1,
      sym_import_attribute,
    ACTIONS(9303), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187405] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9305), 1,
      anon_sym_COLON,
    STATE(5712), 1,
      sym_comment,
  [187427] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5713), 1,
      sym_comment,
    STATE(6734), 1,
      sym_import_attribute,
    ACTIONS(9307), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187447] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9309), 1,
      anon_sym_QMARK,
    STATE(5714), 1,
      sym_comment,
  [187469] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5715), 1,
      sym_comment,
    ACTIONS(9311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187489] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5656), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5716), 1,
      sym_comment,
    ACTIONS(9313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187509] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5658), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5717), 1,
      sym_comment,
    ACTIONS(9315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187529] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5718), 1,
      sym_comment,
    STATE(6711), 1,
      sym_import_attribute,
    ACTIONS(9317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187549] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5719), 1,
      sym_comment,
    STATE(6706), 1,
      sym_import_attribute,
    ACTIONS(9319), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187569] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9321), 1,
      anon_sym_RBRACK,
    STATE(5720), 1,
      sym_comment,
  [187591] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9323), 1,
      anon_sym_DQUOTE,
    STATE(5721), 1,
      sym_comment,
    STATE(5729), 1,
      aux_sym_string_repeat1,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187611] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9323), 1,
      anon_sym_SQUOTE,
    STATE(5722), 1,
      sym_comment,
    STATE(5732), 1,
      aux_sym_string_repeat2,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187631] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5723), 1,
      sym_comment,
    STATE(6449), 1,
      sym__from_clause,
    ACTIONS(9325), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187651] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5724), 1,
      sym_comment,
    STATE(5748), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9327), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187671] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5715), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5725), 1,
      sym_comment,
    ACTIONS(9329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187691] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9331), 1,
      anon_sym_QMARK,
    STATE(5726), 1,
      sym_comment,
  [187713] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5727), 1,
      sym_comment,
    STATE(6685), 1,
      sym__from_clause,
    ACTIONS(9333), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187733] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5728), 1,
      sym_comment,
    STATE(6699), 1,
      sym__from_clause,
    ACTIONS(9335), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187753] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9337), 1,
      anon_sym_DQUOTE,
    STATE(5635), 1,
      aux_sym_string_repeat1,
    STATE(5729), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187773] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8950), 1,
      sym__glimmer_template_content,
    ACTIONS(8952), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2779), 1,
      sym_glimmer_closing_tag,
    STATE(5522), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(5730), 1,
      sym_comment,
  [187795] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_with,
    ACTIONS(9339), 1,
      anon_sym_SEMI,
    ACTIONS(9341), 1,
      sym__automatic_semicolon,
    STATE(5731), 1,
      sym_comment,
    STATE(6796), 1,
      sym_import_attribute,
  [187817] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9337), 1,
      anon_sym_SQUOTE,
    STATE(5634), 1,
      aux_sym_string_repeat2,
    STATE(5732), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5733), 1,
      sym_comment,
    ACTIONS(9343), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [187853] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9345), 1,
      anon_sym_SQUOTE,
    STATE(5705), 1,
      aux_sym_string_repeat2,
    STATE(5734), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187873] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9345), 1,
      anon_sym_DQUOTE,
    STATE(5706), 1,
      aux_sym_string_repeat1,
    STATE(5735), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187893] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8950), 1,
      sym__glimmer_template_content,
    ACTIONS(9261), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3244), 1,
      sym_glimmer_closing_tag,
    STATE(5684), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(5736), 1,
      sym_comment,
  [187915] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8131), 1,
      anon_sym_DOT,
    ACTIONS(9347), 1,
      anon_sym_COMMA,
    ACTIONS(9349), 1,
      anon_sym_GT,
    STATE(5737), 1,
      sym_comment,
    STATE(6439), 1,
      aux_sym_type_arguments_repeat1,
  [187937] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9351), 1,
      anon_sym_EQ,
    STATE(5738), 1,
      sym_comment,
    ACTIONS(4327), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [187955] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9354), 1,
      anon_sym_SQUOTE,
    STATE(5697), 1,
      aux_sym_string_repeat2,
    STATE(5739), 1,
      sym_comment,
    ACTIONS(8963), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187975] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(5740), 1,
      sym_comment,
    STATE(6468), 1,
      sym_statement_block,
    ACTIONS(2113), 2,
      anon_sym_else,
      anon_sym_while,
  [187995] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9354), 1,
      anon_sym_DQUOTE,
    STATE(5700), 1,
      aux_sym_string_repeat1,
    STATE(5741), 1,
      sym_comment,
    ACTIONS(8946), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [188015] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5742), 1,
      sym_comment,
    ACTIONS(2206), 4,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
  [188031] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    ACTIONS(9356), 1,
      anon_sym_RBRACK,
    STATE(5743), 1,
      sym_comment,
  [188053] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5744), 1,
      sym_comment,
    ACTIONS(2276), 4,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
  [188069] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5745), 1,
      sym_comment,
    ACTIONS(3175), 4,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
  [188085] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5746), 1,
      sym_comment,
    ACTIONS(3165), 4,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
  [188101] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5747), 1,
      sym_comment,
    STATE(6450), 1,
      sym__from_clause,
    ACTIONS(5915), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [188121] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9010), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5748), 1,
      sym_comment,
    ACTIONS(9358), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [188141] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9360), 1,
      sym_identifier,
    ACTIONS(9362), 1,
      anon_sym_LBRACE,
    STATE(5747), 1,
      sym_export_clause,
    STATE(5749), 1,
      sym_comment,
  [188160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5750), 1,
      sym_comment,
    ACTIONS(9364), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188175] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9366), 1,
      sym_identifier,
    ACTIONS(9368), 1,
      anon_sym_LBRACK,
    ACTIONS(9370), 1,
      sym_private_property_identifier,
    STATE(5751), 1,
      sym_comment,
  [188194] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9372), 1,
      sym_identifier,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      sym_private_property_identifier,
    STATE(5752), 1,
      sym_comment,
  [188213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5753), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188228] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9380), 1,
      sym_identifier,
    ACTIONS(9382), 1,
      anon_sym_LBRACK,
    ACTIONS(9384), 1,
      sym_private_property_identifier,
    STATE(5754), 1,
      sym_comment,
  [188247] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5755), 1,
      sym_comment,
    ACTIONS(9386), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188262] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9388), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_LBRACK,
    ACTIONS(9392), 1,
      sym_private_property_identifier,
    STATE(5756), 1,
      sym_comment,
  [188281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5757), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5758), 1,
      sym_comment,
    ACTIONS(9396), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188311] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5759), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5760), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188341] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5761), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188356] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9402), 1,
      anon_sym_COMMA,
    ACTIONS(9404), 1,
      anon_sym_RBRACK,
    STATE(5762), 1,
      sym_comment,
    STATE(5863), 1,
      aux_sym_tuple_type_repeat1,
  [188375] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5763), 1,
      sym_comment,
    ACTIONS(9406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5764), 1,
      sym_comment,
    ACTIONS(9408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188405] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5765), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5766), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188435] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5767), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5768), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188465] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5769), 1,
      sym_comment,
    ACTIONS(9410), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5770), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188495] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7972), 1,
      anon_sym_LBRACE,
    ACTIONS(7978), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1614), 1,
      sym_object_type,
    STATE(5771), 1,
      sym_comment,
  [188514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5772), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188529] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9412), 1,
      anon_sym_COMMA,
    ACTIONS(9414), 1,
      anon_sym_RBRACE,
    STATE(5773), 1,
      sym_comment,
    STATE(5809), 1,
      aux_sym_enum_body_repeat1,
  [188548] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(9416), 1,
      anon_sym_RPAREN,
    STATE(5774), 1,
      sym_comment,
    STATE(6185), 1,
      aux_sym_array_repeat1,
  [188567] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5775), 1,
      sym_comment,
    ACTIONS(9406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5776), 1,
      sym_comment,
    ACTIONS(9410), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188597] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5777), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188612] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(9418), 1,
      anon_sym_RPAREN,
    STATE(5778), 1,
      sym_comment,
    STATE(7295), 1,
      sym_type_annotation,
  [188631] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5779), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188646] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5780), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188661] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5781), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5782), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188691] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5783), 1,
      sym_comment,
    ACTIONS(9408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7868), 1,
      anon_sym_DOT,
    STATE(5784), 1,
      sym_comment,
    ACTIONS(9420), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [188723] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5785), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7870), 1,
      anon_sym_DOT,
    STATE(5786), 1,
      sym_comment,
    ACTIONS(9420), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [188755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5787), 1,
      sym_comment,
    ACTIONS(9422), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5788), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188785] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5789), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5790), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5791), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5792), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5793), 1,
      sym_comment,
    ACTIONS(9410), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5794), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5795), 1,
      sym_comment,
    ACTIONS(9424), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5796), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5797), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188920] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6036), 1,
      anon_sym_RPAREN,
    STATE(5798), 1,
      sym_comment,
    STATE(6185), 1,
      aux_sym_array_repeat1,
  [188939] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5799), 1,
      sym_comment,
    ACTIONS(9424), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188954] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6036), 1,
      anon_sym_RPAREN,
    STATE(5774), 1,
      aux_sym_array_repeat1,
    STATE(5800), 1,
      sym_comment,
  [188973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5801), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5802), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5803), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189018] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7972), 1,
      anon_sym_LBRACE,
    ACTIONS(7978), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1299), 1,
      sym_object_type,
    STATE(5804), 1,
      sym_comment,
  [189037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5805), 1,
      sym_comment,
    ACTIONS(9426), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5806), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189067] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9428), 1,
      anon_sym_COMMA,
    ACTIONS(9430), 1,
      anon_sym_RBRACE,
    STATE(5807), 1,
      sym_comment,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
  [189086] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5808), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189101] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9432), 1,
      anon_sym_COMMA,
    ACTIONS(9434), 1,
      anon_sym_RBRACE,
    STATE(5809), 1,
      sym_comment,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
  [189120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5810), 1,
      sym_comment,
    ACTIONS(9410), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189135] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5811), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5812), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189165] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9436), 1,
      anon_sym_COMMA,
    ACTIONS(9438), 1,
      anon_sym_GT,
    STATE(5813), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [189184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5814), 1,
      sym_comment,
    ACTIONS(9410), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189199] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5815), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5816), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189229] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9440), 1,
      anon_sym_COMMA,
    ACTIONS(9442), 1,
      anon_sym_GT,
    STATE(5817), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [189248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5818), 1,
      sym_comment,
    ACTIONS(9408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189263] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5819), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189278] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_GT,
    STATE(5820), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [189297] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7462), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(8608), 1,
      anon_sym_PIPE,
    STATE(5821), 1,
      sym_comment,
  [189316] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9450), 1,
      anon_sym_RBRACK,
    STATE(5762), 1,
      aux_sym_tuple_type_repeat1,
    STATE(5822), 1,
      sym_comment,
  [189335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5823), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5824), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189365] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5825), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5826), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5827), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5828), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189425] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5829), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5830), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189455] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9454), 1,
      sym_identifier,
    ACTIONS(9456), 1,
      anon_sym_require,
    STATE(5831), 1,
      sym_comment,
    STATE(6171), 1,
      sym_nested_identifier,
  [189474] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5832), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189489] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9458), 1,
      anon_sym_LBRACE,
    ACTIONS(9460), 1,
      anon_sym_LPAREN,
    STATE(1081), 1,
      sym_statement_block,
    STATE(5833), 1,
      sym_comment,
  [189508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5834), 1,
      sym_comment,
    ACTIONS(9462), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5835), 1,
      sym_comment,
    ACTIONS(9464), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [189538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5836), 1,
      sym_comment,
    ACTIONS(9466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5837), 1,
      sym_comment,
    ACTIONS(9468), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189568] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9470), 1,
      anon_sym_COMMA,
    ACTIONS(9472), 1,
      anon_sym_RPAREN,
    STATE(5838), 1,
      sym_comment,
    STATE(6117), 1,
      aux_sym_formal_parameters_repeat1,
  [189587] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5839), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189602] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9474), 1,
      anon_sym_COMMA,
    ACTIONS(9476), 1,
      anon_sym_RBRACE,
    STATE(5840), 1,
      sym_comment,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
  [189621] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9478), 1,
      anon_sym_COMMA,
    ACTIONS(9480), 1,
      anon_sym_RBRACE,
    STATE(5841), 1,
      sym_comment,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
  [189640] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9482), 1,
      anon_sym_RBRACE,
    STATE(5842), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
  [189659] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9484), 1,
      anon_sym_RBRACE,
    STATE(5843), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
  [189678] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8975), 1,
      sym_identifier,
    ACTIONS(8977), 1,
      anon_sym_const,
    STATE(5844), 1,
      sym_comment,
    STATE(7017), 1,
      sym_type_parameter,
  [189697] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5845), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5846), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5847), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5848), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5849), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5850), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5851), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5852), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189817] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5853), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5854), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189847] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5855), 1,
      sym_comment,
    ACTIONS(9490), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [189862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5856), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189877] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5857), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189892] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5858), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189907] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5859), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5860), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5861), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5862), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189967] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9492), 1,
      anon_sym_COMMA,
    ACTIONS(9495), 1,
      anon_sym_RBRACK,
    STATE(5863), 2,
      sym_comment,
      aux_sym_tuple_type_repeat1,
  [189984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5864), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5865), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5866), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5867), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4459), 1,
      anon_sym_LBRACE,
    STATE(5868), 1,
      sym_comment,
    ACTIONS(5367), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190061] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5869), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5870), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5871), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5872), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190121] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5873), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5874), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190151] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7205), 1,
      anon_sym_LPAREN,
    ACTIONS(9499), 1,
      anon_sym_DOT,
    STATE(4851), 1,
      sym_arguments,
    STATE(5875), 1,
      sym_comment,
  [190170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5876), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190185] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9503), 1,
      anon_sym_await,
    STATE(83), 1,
      sym__for_header,
    STATE(5877), 1,
      sym_comment,
  [190204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5878), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190219] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5879), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8766), 1,
      anon_sym_LBRACE,
    STATE(5880), 1,
      sym_comment,
    ACTIONS(8768), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [190251] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9505), 1,
      sym_identifier,
    ACTIONS(9507), 1,
      anon_sym_SEMI,
    ACTIONS(9509), 1,
      sym__automatic_semicolon,
    STATE(5881), 1,
      sym_comment,
  [190270] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9511), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_SEMI,
    ACTIONS(9515), 1,
      sym__automatic_semicolon,
    STATE(5882), 1,
      sym_comment,
  [190289] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5883), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5884), 1,
      sym_comment,
    ACTIONS(9396), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190319] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5885), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5886), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190349] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5887), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5888), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5889), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5890), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190409] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8797), 1,
      anon_sym_LBRACE,
    ACTIONS(9517), 1,
      anon_sym_COMMA,
    STATE(5891), 2,
      sym_comment,
      aux_sym_implements_clause_repeat1,
  [190426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5892), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190441] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5893), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5894), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190471] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5895), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9520), 1,
      anon_sym_COMMA,
    ACTIONS(9523), 1,
      anon_sym_RBRACE,
    STATE(5896), 2,
      sym_comment,
      aux_sym_enum_body_repeat1,
  [190503] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5897), 1,
      sym_comment,
    ACTIONS(9525), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [190518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5898), 1,
      sym_comment,
    ACTIONS(9410), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5899), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5900), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5901), 1,
      sym_comment,
    ACTIONS(9527), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5902), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5903), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190608] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9529), 1,
      anon_sym_COMMA,
    ACTIONS(9531), 1,
      anon_sym_RPAREN,
    STATE(5838), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(5904), 1,
      sym_comment,
  [190627] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5905), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5906), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190657] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5907), 1,
      sym_comment,
    ACTIONS(9533), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5908), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190687] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5909), 1,
      sym_comment,
    ACTIONS(9535), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5910), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190717] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5911), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5912), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190747] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9537), 1,
      anon_sym_RBRACE,
    STATE(5913), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
  [190766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5914), 1,
      sym_comment,
    ACTIONS(9539), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [190781] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9537), 1,
      anon_sym_RBRACE,
    STATE(5842), 1,
      aux_sym_object_repeat1,
    STATE(5915), 1,
      sym_comment,
  [190800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5916), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5917), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5918), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190845] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8975), 1,
      sym_identifier,
    ACTIONS(8977), 1,
      anon_sym_const,
    STATE(5919), 1,
      sym_comment,
    STATE(6312), 1,
      sym_type_parameter,
  [190864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5920), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190879] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5921), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5922), 1,
      sym_comment,
    ACTIONS(9541), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5923), 1,
      sym_comment,
    ACTIONS(8089), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [190924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5924), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190939] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5925), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5926), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190969] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5927), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5928), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5929), 1,
      sym_comment,
    ACTIONS(9541), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5930), 1,
      sym_comment,
    ACTIONS(9543), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5931), 1,
      sym_comment,
    ACTIONS(9545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5932), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5933), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5934), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5935), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5936), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191119] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5937), 1,
      sym_comment,
    ACTIONS(9547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191134] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5938), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191149] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5939), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5940), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191179] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5941), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5942), 1,
      sym_comment,
    ACTIONS(9549), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191209] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5943), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191224] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5944), 1,
      sym_comment,
    ACTIONS(9535), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191239] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5945), 1,
      sym_comment,
    ACTIONS(9551), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5946), 1,
      sym_comment,
    ACTIONS(9553), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5947), 1,
      sym_comment,
    ACTIONS(9547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5948), 1,
      sym_comment,
    ACTIONS(9555), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191299] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5949), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5950), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191329] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5951), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5952), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5953), 1,
      sym_comment,
    ACTIONS(9551), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191374] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5954), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191389] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9362), 1,
      anon_sym_LBRACE,
    ACTIONS(9559), 1,
      sym_identifier,
    STATE(5675), 1,
      sym_export_clause,
    STATE(5955), 1,
      sym_comment,
  [191408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5956), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5957), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191438] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    ACTIONS(9561), 1,
      anon_sym_as,
    STATE(5958), 1,
      sym_comment,
    STATE(6667), 1,
      sym__from_clause,
  [191457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5959), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5960), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5961), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5962), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191517] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5963), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5964), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5965), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5966), 1,
      sym_comment,
    ACTIONS(9555), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191577] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5967), 1,
      sym_comment,
    ACTIONS(9541), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5968), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191607] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5969), 1,
      sym_comment,
    ACTIONS(9567), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191622] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9569), 1,
      sym_identifier,
    STATE(3686), 1,
      sym_decorator_member_expression,
    STATE(3791), 1,
      sym_decorator_call_expression,
    STATE(5970), 1,
      sym_comment,
  [191641] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5971), 1,
      sym_comment,
    ACTIONS(9567), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5972), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191671] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5973), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5974), 1,
      sym_comment,
    ACTIONS(9573), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5975), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5976), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191731] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5977), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5978), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191761] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5979), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191776] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5980), 1,
      sym_comment,
    ACTIONS(9575), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191791] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9577), 1,
      anon_sym_LBRACE,
    ACTIONS(9579), 1,
      anon_sym_LPAREN,
    STATE(1117), 1,
      sym_statement_block,
    STATE(5981), 1,
      sym_comment,
  [191810] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5982), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191825] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5983), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5984), 1,
      sym_comment,
    ACTIONS(9551), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191855] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9581), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_SEMI,
    ACTIONS(9585), 1,
      sym__automatic_semicolon,
    STATE(5985), 1,
      sym_comment,
  [191874] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9589), 1,
      anon_sym_SEMI,
    ACTIONS(9591), 1,
      sym__automatic_semicolon,
    STATE(5986), 1,
      sym_comment,
  [191893] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5987), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191908] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(9593), 1,
      anon_sym_RPAREN,
    STATE(5988), 1,
      sym_comment,
    STATE(7284), 1,
      sym_type_annotation,
  [191927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5989), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5990), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191957] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5991), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191972] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9597), 1,
      anon_sym_await,
    STATE(121), 1,
      sym__for_header,
    STATE(5992), 1,
      sym_comment,
  [191991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5993), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5994), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192021] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5995), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192036] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9599), 1,
      anon_sym_COMMA,
    ACTIONS(9601), 1,
      anon_sym_RBRACK,
    STATE(5996), 1,
      sym_comment,
    STATE(6054), 1,
      aux_sym_tuple_type_repeat1,
  [192055] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5997), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5998), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192085] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5999), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192100] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5027), 1,
      anon_sym_extends,
    ACTIONS(9603), 1,
      anon_sym_AMP,
    ACTIONS(9605), 1,
      anon_sym_PIPE,
    STATE(6000), 1,
      sym_comment,
  [192119] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6001), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192134] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6002), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192149] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9607), 1,
      anon_sym_COMMA,
    ACTIONS(9609), 1,
      anon_sym_GT,
    STATE(6003), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [192168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6004), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192183] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9611), 1,
      anon_sym_COMMA,
    ACTIONS(9613), 1,
      anon_sym_GT,
    STATE(6005), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [192202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6006), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192217] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9615), 1,
      anon_sym_COMMA,
    ACTIONS(9617), 1,
      anon_sym_GT,
    STATE(6007), 1,
      sym_comment,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
  [192236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6008), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6009), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6010), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192281] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1377), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8085), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5078), 1,
      sym_object_type,
    STATE(6011), 1,
      sym_comment,
  [192300] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6012), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192315] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6013), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6014), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192345] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    STATE(6015), 1,
      sym_comment,
    STATE(6066), 1,
      aux_sym_array_repeat1,
  [192364] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    STATE(6016), 1,
      sym_comment,
    STATE(6185), 1,
      aux_sym_array_repeat1,
  [192383] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6017), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6018), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192413] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6019), 1,
      sym_comment,
    ACTIONS(9567), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6020), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192443] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6021), 1,
      sym_comment,
    ACTIONS(9567), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6022), 1,
      sym_comment,
    ACTIONS(9575), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6023), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6024), 1,
      sym_comment,
    ACTIONS(9573), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192503] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6025), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6026), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6027), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6028), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6029), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6030), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192593] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7870), 1,
      anon_sym_DOT,
    STATE(6031), 1,
      sym_comment,
    ACTIONS(9619), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [192610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7868), 1,
      anon_sym_DOT,
    STATE(6032), 1,
      sym_comment,
    ACTIONS(9619), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [192627] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6033), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6034), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192657] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6035), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6036), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192687] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6037), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6038), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192717] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6039), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6040), 1,
      sym_comment,
    ACTIONS(9557), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192747] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6041), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6042), 1,
      sym_comment,
    ACTIONS(9621), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192777] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6043), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6044), 1,
      sym_comment,
    ACTIONS(9621), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6045), 1,
      sym_comment,
    ACTIONS(9575), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6046), 1,
      sym_comment,
    ACTIONS(9621), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6047), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6048), 1,
      sym_comment,
    ACTIONS(9621), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6049), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6050), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192897] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9362), 1,
      anon_sym_LBRACE,
    ACTIONS(9623), 1,
      sym_identifier,
    STATE(5657), 1,
      sym_export_clause,
    STATE(6051), 1,
      sym_comment,
  [192916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6052), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192931] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    ACTIONS(9561), 1,
      anon_sym_as,
    STATE(6053), 1,
      sym_comment,
    STATE(6868), 1,
      sym__from_clause,
  [192950] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9625), 1,
      anon_sym_COMMA,
    ACTIONS(9627), 1,
      anon_sym_RBRACK,
    STATE(5863), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6054), 1,
      sym_comment,
  [192969] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6055), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192984] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(208), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8004), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6056), 1,
      sym_comment,
    STATE(6686), 1,
      sym_object_type,
  [193003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6057), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193018] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_DQUOTE,
    ACTIONS(7145), 1,
      anon_sym_SQUOTE,
    STATE(6058), 1,
      sym_comment,
    STATE(7280), 1,
      sym_string,
  [193037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6059), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193052] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(8762), 1,
      anon_sym_RPAREN,
    STATE(6060), 1,
      sym_comment,
    STATE(6191), 1,
      aux_sym_sequence_expression_repeat1,
  [193071] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9629), 1,
      anon_sym_COMMA,
    ACTIONS(9632), 1,
      anon_sym_RBRACE,
    STATE(6061), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [193088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6062), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193103] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1377), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8085), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5051), 1,
      sym_object_type,
    STATE(6063), 1,
      sym_comment,
  [193122] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7255), 1,
      anon_sym_type,
    ACTIONS(9634), 1,
      sym_identifier,
    STATE(6064), 1,
      sym_comment,
    STATE(6794), 1,
      sym__import_identifier,
  [193141] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9636), 1,
      anon_sym_COMMA,
    ACTIONS(9638), 1,
      anon_sym_RBRACE,
    STATE(6065), 1,
      sym_comment,
    STATE(6101), 1,
      aux_sym_enum_body_repeat1,
  [193160] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
    STATE(6066), 1,
      sym_comment,
    STATE(6185), 1,
      aux_sym_array_repeat1,
  [193179] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6067), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193194] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9456), 1,
      anon_sym_require,
    ACTIONS(9642), 1,
      sym_identifier,
    STATE(5784), 1,
      sym_nested_identifier,
    STATE(6068), 1,
      sym_comment,
  [193213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6069), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6070), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193243] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6071), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193258] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3297), 1,
      anon_sym_while,
    ACTIONS(9644), 1,
      anon_sym_else,
    STATE(6072), 1,
      sym_comment,
    STATE(6987), 1,
      sym_else_clause,
  [193277] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8107), 1,
      anon_sym_EQ,
    STATE(6073), 1,
      sym_comment,
    ACTIONS(4441), 2,
      anon_sym_in,
      anon_sym_of,
  [193294] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7255), 1,
      anon_sym_type,
    ACTIONS(9634), 1,
      sym_identifier,
    STATE(6074), 1,
      sym_comment,
    STATE(6842), 1,
      sym__import_identifier,
  [193313] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6075), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193328] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(9646), 1,
      anon_sym_RPAREN,
    STATE(6076), 1,
      sym_comment,
    STATE(7201), 1,
      sym_type_annotation,
  [193347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6077), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9650), 1,
      anon_sym_COMMA,
    ACTIONS(9653), 1,
      anon_sym_RBRACE,
    STATE(6078), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [193379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6079), 1,
      sym_comment,
    ACTIONS(9655), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [193394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(9657), 1,
      anon_sym_RPAREN,
    STATE(6080), 1,
      sym_comment,
    STATE(6185), 1,
      aux_sym_array_repeat1,
  [193413] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9659), 1,
      anon_sym_COMMA,
    ACTIONS(9661), 1,
      anon_sym_RBRACE,
    STATE(5840), 1,
      aux_sym_enum_body_repeat1,
    STATE(6081), 1,
      sym_comment,
  [193432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6082), 1,
      sym_comment,
    ACTIONS(9575), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193447] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6083), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6084), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8046), 1,
      anon_sym_LBRACE,
    ACTIONS(8048), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1692), 1,
      sym_object_type,
    STATE(6085), 1,
      sym_comment,
  [193496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9663), 1,
      anon_sym_COMMA,
    ACTIONS(9666), 1,
      anon_sym_GT,
    STATE(6086), 2,
      sym_comment,
      aux_sym_type_parameters_repeat1,
  [193513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6087), 1,
      sym_comment,
    ACTIONS(9668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193528] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6088), 1,
      sym_comment,
    ACTIONS(9668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193543] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8906), 1,
      anon_sym_GT,
    ACTIONS(9670), 1,
      anon_sym_COMMA,
    STATE(6089), 2,
      sym_comment,
      aux_sym_type_arguments_repeat1,
  [193560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8131), 1,
      anon_sym_DOT,
    STATE(6090), 1,
      sym_comment,
    ACTIONS(9673), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [193577] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6091), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193592] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9675), 1,
      anon_sym_COMMA,
    ACTIONS(9677), 1,
      anon_sym_RBRACK,
    STATE(5863), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6092), 1,
      sym_comment,
  [193611] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    ACTIONS(9561), 1,
      anon_sym_as,
    STATE(6093), 1,
      sym_comment,
    STATE(6692), 1,
      sym__from_clause,
  [193630] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9362), 1,
      anon_sym_LBRACE,
    ACTIONS(9679), 1,
      sym_identifier,
    STATE(5566), 1,
      sym_export_clause,
    STATE(6094), 1,
      sym_comment,
  [193649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6095), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6096), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193679] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LBRACK,
    ACTIONS(9685), 1,
      sym_private_property_identifier,
    STATE(6097), 1,
      sym_comment,
  [193698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6098), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193713] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9687), 1,
      anon_sym_COMMA,
    ACTIONS(9689), 1,
      anon_sym_RBRACE,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
    STATE(6099), 1,
      sym_comment,
  [193732] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9691), 1,
      sym_identifier,
    ACTIONS(9693), 1,
      anon_sym_LBRACK,
    ACTIONS(9695), 1,
      sym_private_property_identifier,
    STATE(6100), 1,
      sym_comment,
  [193751] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9697), 1,
      anon_sym_COMMA,
    ACTIONS(9699), 1,
      anon_sym_RBRACE,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
    STATE(6101), 1,
      sym_comment,
  [193770] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    ACTIONS(9705), 1,
      sym_private_property_identifier,
    STATE(6102), 1,
      sym_comment,
  [193789] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9707), 1,
      sym_identifier,
    ACTIONS(9709), 1,
      anon_sym_LBRACK,
    ACTIONS(9711), 1,
      sym_private_property_identifier,
    STATE(6103), 1,
      sym_comment,
  [193808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6104), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193823] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6105), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193838] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9713), 1,
      anon_sym_COMMA,
    ACTIONS(9715), 1,
      anon_sym_RBRACE,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
    STATE(6106), 1,
      sym_comment,
  [193857] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9717), 1,
      anon_sym_COMMA,
    ACTIONS(9719), 1,
      anon_sym_RBRACE,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
    STATE(6107), 1,
      sym_comment,
  [193876] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9456), 1,
      anon_sym_require,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(6108), 1,
      sym_comment,
    STATE(6285), 1,
      sym_nested_identifier,
  [193895] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(9723), 1,
      anon_sym_RPAREN,
    STATE(6109), 1,
      sym_comment,
    STATE(7129), 1,
      sym_type_annotation,
  [193914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6110), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193929] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8295), 1,
      anon_sym_COMMA,
    ACTIONS(9725), 1,
      anon_sym_LBRACE,
    STATE(5891), 1,
      aux_sym_implements_clause_repeat1,
    STATE(6111), 1,
      sym_comment,
  [193948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6112), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9727), 1,
      anon_sym_LBRACE,
    STATE(6113), 1,
      sym_comment,
    ACTIONS(8813), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [193980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6114), 1,
      sym_comment,
    ACTIONS(9729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193995] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    ACTIONS(9561), 1,
      anon_sym_as,
    STATE(6115), 1,
      sym_comment,
    STATE(6556), 1,
      sym__from_clause,
  [194014] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9362), 1,
      anon_sym_LBRACE,
    ACTIONS(9731), 1,
      sym_identifier,
    STATE(5622), 1,
      sym_export_clause,
    STATE(6116), 1,
      sym_comment,
  [194033] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9733), 1,
      anon_sym_COMMA,
    ACTIONS(9736), 1,
      anon_sym_RPAREN,
    STATE(6117), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [194050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6118), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6119), 1,
      sym_comment,
    ACTIONS(8111), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [194080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6120), 1,
      sym_comment,
    ACTIONS(9738), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [194095] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6121), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6122), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6123), 1,
      sym_comment,
    ACTIONS(8959), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6124), 1,
      sym_comment,
    ACTIONS(9575), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194155] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6125), 1,
      sym_comment,
    ACTIONS(9740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6126), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194185] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6127), 1,
      sym_comment,
    ACTIONS(9742), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194200] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6128), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194215] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9456), 1,
      anon_sym_require,
    ACTIONS(9744), 1,
      sym_identifier,
    STATE(6129), 1,
      sym_comment,
    STATE(6383), 1,
      sym_nested_identifier,
  [194234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6130), 1,
      sym_comment,
    ACTIONS(9497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194249] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6131), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6132), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194279] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6133), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194294] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9746), 1,
      anon_sym_LPAREN,
    ACTIONS(9748), 1,
      anon_sym_await,
    STATE(119), 1,
      sym__for_header,
    STATE(6134), 1,
      sym_comment,
  [194313] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6135), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194328] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(9750), 1,
      anon_sym_RPAREN,
    STATE(6136), 1,
      sym_comment,
    STATE(6185), 1,
      aux_sym_array_repeat1,
  [194347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6137), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194362] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9752), 1,
      sym_identifier,
    ACTIONS(9754), 1,
      anon_sym_SEMI,
    ACTIONS(9756), 1,
      sym__automatic_semicolon,
    STATE(6138), 1,
      sym_comment,
  [194381] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(9760), 1,
      anon_sym_SEMI,
    ACTIONS(9762), 1,
      sym__automatic_semicolon,
    STATE(6139), 1,
      sym_comment,
  [194400] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9764), 1,
      anon_sym_COMMA,
    ACTIONS(9766), 1,
      anon_sym_RBRACE,
    STATE(6106), 1,
      aux_sym_enum_body_repeat1,
    STATE(6140), 1,
      sym_comment,
  [194419] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9768), 1,
      anon_sym_EQ,
    STATE(6141), 1,
      sym_comment,
    ACTIONS(9770), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [194436] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6142), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9772), 1,
      anon_sym_as,
    STATE(6143), 1,
      sym_comment,
    ACTIONS(9774), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [194468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6426), 1,
      sym__automatic_semicolon,
    STATE(6144), 1,
      sym_comment,
    ACTIONS(2390), 2,
      anon_sym_else,
      anon_sym_while,
  [194485] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9776), 1,
      anon_sym_COMMA,
    ACTIONS(9778), 1,
      anon_sym_RBRACK,
    STATE(5863), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6145), 1,
      sym_comment,
  [194504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6146), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6147), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6148), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194549] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6149), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6150), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6151), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6152), 1,
      sym_comment,
    ACTIONS(9452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194609] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(9780), 1,
      anon_sym_RPAREN,
    STATE(6153), 1,
      sym_comment,
    STATE(7170), 1,
      sym_type_annotation,
  [194628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7868), 1,
      anon_sym_DOT,
    STATE(6154), 1,
      sym_comment,
    ACTIONS(9782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [194645] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6155), 1,
      sym_comment,
    ACTIONS(9571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194660] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7870), 1,
      anon_sym_DOT,
    STATE(6156), 1,
      sym_comment,
    ACTIONS(9782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [194677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6157), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194692] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9784), 1,
      anon_sym_COMMA,
    ACTIONS(9786), 1,
      anon_sym_RBRACE,
    STATE(6061), 1,
      aux_sym_named_imports_repeat1,
    STATE(6158), 1,
      sym_comment,
  [194711] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7255), 1,
      anon_sym_type,
    ACTIONS(9634), 1,
      sym_identifier,
    STATE(6159), 1,
      sym_comment,
    STATE(6956), 1,
      sym__import_identifier,
  [194730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6160), 1,
      sym_comment,
    ACTIONS(9488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194745] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7255), 1,
      anon_sym_type,
    ACTIONS(9634), 1,
      sym_identifier,
    STATE(6161), 1,
      sym_comment,
    STATE(6964), 1,
      sym__import_identifier,
  [194764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6162), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194779] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6163), 1,
      sym_comment,
    ACTIONS(9486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9788), 1,
      anon_sym_as,
    STATE(6164), 1,
      sym_comment,
    ACTIONS(9790), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [194811] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    ACTIONS(9561), 1,
      anon_sym_as,
    STATE(6165), 1,
      sym_comment,
    STATE(6454), 1,
      sym__from_clause,
  [194830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6166), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194845] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9287), 1,
      anon_sym_EQ,
    STATE(6167), 1,
      sym_comment,
    ACTIONS(9794), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [194862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6168), 1,
      sym_comment,
    ACTIONS(9565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194877] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6169), 1,
      sym_comment,
    ACTIONS(9575), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194892] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6170), 1,
      sym_comment,
    ACTIONS(9796), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194907] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7868), 1,
      anon_sym_DOT,
    STATE(6171), 1,
      sym_comment,
    ACTIONS(9798), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [194924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6172), 1,
      sym_comment,
    ACTIONS(9800), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194939] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7870), 1,
      anon_sym_DOT,
    STATE(6173), 1,
      sym_comment,
    ACTIONS(9798), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [194956] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9802), 1,
      anon_sym_COMMA,
    ACTIONS(9804), 1,
      anon_sym_RBRACE,
    STATE(6078), 1,
      aux_sym_export_clause_repeat1,
    STATE(6174), 1,
      sym_comment,
  [194975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6175), 1,
      sym_comment,
    ACTIONS(9806), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [194990] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(9808), 1,
      anon_sym_EQ,
    STATE(6176), 1,
      sym_comment,
    STATE(7260), 1,
      sym_type_parameters,
  [195009] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6177), 1,
      sym_comment,
    ACTIONS(9810), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [195024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6178), 1,
      sym_comment,
    ACTIONS(8115), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [195039] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9812), 1,
      sym__glimmer_template_content,
    ACTIONS(9815), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(6179), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [195056] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6005), 1,
      anon_sym_RPAREN,
    STATE(6180), 1,
      sym_comment,
    STATE(6185), 1,
      aux_sym_array_repeat1,
  [195075] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6181), 1,
      sym_comment,
    ACTIONS(9817), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195090] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6005), 1,
      anon_sym_RPAREN,
    STATE(6080), 1,
      aux_sym_array_repeat1,
    STATE(6182), 1,
      sym_comment,
  [195109] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8046), 1,
      anon_sym_LBRACE,
    ACTIONS(8048), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1645), 1,
      sym_object_type,
    STATE(6183), 1,
      sym_comment,
  [195128] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_GT,
    STATE(6086), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6184), 1,
      sym_comment,
  [195147] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6099), 1,
      anon_sym_RPAREN,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    STATE(6185), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [195164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6186), 1,
      sym_comment,
    ACTIONS(9800), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195179] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9826), 1,
      anon_sym_COMMA,
    ACTIONS(9828), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6187), 1,
      sym_comment,
  [195198] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9830), 1,
      anon_sym_COMMA,
    ACTIONS(9832), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6188), 1,
      sym_comment,
  [195217] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6189), 1,
      sym_comment,
    ACTIONS(9834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9836), 1,
      anon_sym_COMMA,
    ACTIONS(9838), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6190), 1,
      sym_comment,
  [195251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    ACTIONS(9840), 1,
      anon_sym_COMMA,
    STATE(6191), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [195268] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_AMP,
    ACTIONS(7139), 1,
      anon_sym_PIPE,
    ACTIONS(7141), 1,
      anon_sym_extends,
    STATE(6192), 1,
      sym_comment,
  [195287] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6193), 1,
      sym_comment,
    ACTIONS(9843), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [195302] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9845), 1,
      anon_sym_COMMA,
    ACTIONS(9847), 1,
      anon_sym_RBRACK,
    STATE(6092), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6194), 1,
      sym_comment,
  [195321] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6195), 1,
      sym_comment,
    ACTIONS(3261), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [195336] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6003), 1,
      anon_sym_RPAREN,
    STATE(6185), 1,
      aux_sym_array_repeat1,
    STATE(6196), 1,
      sym_comment,
  [195355] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6003), 1,
      anon_sym_RPAREN,
    STATE(6136), 1,
      aux_sym_array_repeat1,
    STATE(6197), 1,
      sym_comment,
  [195374] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(208), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8004), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6198), 1,
      sym_comment,
    STATE(6795), 1,
      sym_object_type,
  [195393] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9849), 1,
      anon_sym_COMMA,
    ACTIONS(9851), 1,
      anon_sym_GT,
    STATE(6086), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6199), 1,
      sym_comment,
  [195412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6200), 1,
      sym_comment,
    ACTIONS(6866), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195427] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6343), 1,
      sym__automatic_semicolon,
    STATE(6201), 1,
      sym_comment,
    ACTIONS(2408), 2,
      anon_sym_else,
      anon_sym_while,
  [195444] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9853), 1,
      anon_sym_COMMA,
    ACTIONS(9855), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6202), 1,
      sym_comment,
  [195463] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6203), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6341), 1,
      sym__automatic_semicolon,
    STATE(6204), 1,
      sym_comment,
    ACTIONS(2412), 2,
      anon_sym_else,
      anon_sym_while,
  [195495] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9859), 1,
      anon_sym_COMMA,
    ACTIONS(9861), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6205), 1,
      sym_comment,
  [195514] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6333), 1,
      sym__automatic_semicolon,
    STATE(6206), 1,
      sym_comment,
    ACTIONS(2416), 2,
      anon_sym_else,
      anon_sym_while,
  [195531] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9863), 1,
      anon_sym_COMMA,
    ACTIONS(9865), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6207), 1,
      sym_comment,
  [195550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6506), 1,
      sym__automatic_semicolon,
    STATE(6208), 1,
      sym_comment,
    ACTIONS(2354), 2,
      anon_sym_else,
      anon_sym_while,
  [195567] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9867), 1,
      anon_sym_COMMA,
    ACTIONS(9870), 1,
      anon_sym_RBRACK,
    STATE(6209), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [195584] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6078), 1,
      anon_sym_extends,
    ACTIONS(9872), 1,
      anon_sym_AMP,
    ACTIONS(9874), 1,
      anon_sym_PIPE,
    STATE(6210), 1,
      sym_comment,
  [195603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6099), 1,
      anon_sym_RBRACK,
    ACTIONS(9876), 1,
      anon_sym_COMMA,
    STATE(6211), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [195620] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9289), 1,
      anon_sym_COMMA,
    ACTIONS(9879), 1,
      anon_sym_RBRACK,
    STATE(6209), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6212), 1,
      sym_comment,
  [195639] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9881), 1,
      anon_sym_COMMA,
    ACTIONS(9883), 1,
      anon_sym_RBRACK,
    STATE(6145), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6213), 1,
      sym_comment,
  [195658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6214), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6215), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195688] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5987), 1,
      anon_sym_COMMA,
    ACTIONS(9885), 1,
      anon_sym_RBRACK,
    STATE(6211), 1,
      aux_sym_array_repeat1,
    STATE(6216), 1,
      sym_comment,
  [195707] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6217), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9287), 1,
      anon_sym_EQ,
    STATE(6218), 1,
      sym_comment,
    ACTIONS(9870), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [195739] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6219), 1,
      sym_comment,
    ACTIONS(6099), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [195754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6220), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195769] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6221), 1,
      sym_comment,
    ACTIONS(9891), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195784] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9893), 1,
      anon_sym_LBRACE,
    ACTIONS(9895), 1,
      anon_sym_LPAREN,
    STATE(1612), 1,
      sym_statement_block,
    STATE(6222), 1,
      sym_comment,
  [195803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9897), 1,
      anon_sym_COMMA,
    ACTIONS(9899), 1,
      anon_sym_RPAREN,
    STATE(6117), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6223), 1,
      sym_comment,
  [195822] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6454), 1,
      sym__automatic_semicolon,
    STATE(6224), 1,
      sym_comment,
    ACTIONS(2404), 2,
      anon_sym_else,
      anon_sym_while,
  [195839] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9901), 1,
      anon_sym_EQ,
    STATE(6225), 1,
      sym_comment,
    ACTIONS(4441), 2,
      anon_sym_in,
      anon_sym_of,
  [195856] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(9903), 1,
      anon_sym_RPAREN,
    STATE(6185), 1,
      aux_sym_array_repeat1,
    STATE(6226), 1,
      sym_comment,
  [195875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6227), 1,
      sym_comment,
    ACTIONS(9891), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6228), 1,
      sym_comment,
    ACTIONS(8934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195905] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9289), 1,
      anon_sym_COMMA,
    ACTIONS(9905), 1,
      anon_sym_RBRACK,
    STATE(6209), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6229), 1,
      sym_comment,
  [195924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6230), 1,
      sym_comment,
    ACTIONS(9907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195939] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6231), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6232), 1,
      sym_comment,
    ACTIONS(9909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195969] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5987), 1,
      anon_sym_COMMA,
    ACTIONS(9911), 1,
      anon_sym_RBRACK,
    STATE(6211), 1,
      aux_sym_array_repeat1,
    STATE(6233), 1,
      sym_comment,
  [195988] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9913), 1,
      anon_sym_LBRACE,
    ACTIONS(9915), 1,
      anon_sym_LPAREN,
    STATE(1006), 1,
      sym_statement_block,
    STATE(6234), 1,
      sym_comment,
  [196007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6235), 1,
      sym_comment,
    ACTIONS(9917), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6236), 1,
      sym_comment,
    ACTIONS(9909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6237), 1,
      sym_comment,
    ACTIONS(8934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196052] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    ACTIONS(9919), 1,
      anon_sym_LPAREN,
    STATE(6195), 1,
      sym_statement_block,
    STATE(6238), 1,
      sym_comment,
  [196071] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9921), 1,
      anon_sym_COMMA,
    ACTIONS(9923), 1,
      anon_sym_RPAREN,
    STATE(6117), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6239), 1,
      sym_comment,
  [196090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6240), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196105] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9456), 1,
      anon_sym_require,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(6154), 1,
      sym_nested_identifier,
    STATE(6241), 1,
      sym_comment,
  [196124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6242), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196139] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9927), 1,
      anon_sym_COMMA,
    ACTIONS(9929), 1,
      anon_sym_RBRACE,
    STATE(6158), 1,
      aux_sym_named_imports_repeat1,
    STATE(6243), 1,
      sym_comment,
  [196158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6244), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196173] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6034), 1,
      anon_sym_RPAREN,
    STATE(6185), 1,
      aux_sym_array_repeat1,
    STATE(6245), 1,
      sym_comment,
  [196192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9249), 1,
      anon_sym_as,
    STATE(6246), 1,
      sym_comment,
    ACTIONS(9770), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [196209] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9931), 1,
      anon_sym_EQ,
    STATE(6247), 1,
      sym_comment,
    ACTIONS(9770), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [196226] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(6034), 1,
      anon_sym_RPAREN,
    STATE(6226), 1,
      aux_sym_array_repeat1,
    STATE(6248), 1,
      sym_comment,
  [196245] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9933), 1,
      anon_sym_COMMA,
    ACTIONS(9935), 1,
      anon_sym_RBRACK,
    STATE(6249), 1,
      sym_comment,
    STATE(6305), 1,
      aux_sym_tuple_type_repeat1,
  [196264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6250), 1,
      sym_comment,
    ACTIONS(9937), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196279] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6251), 1,
      sym_comment,
    ACTIONS(9790), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [196294] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9939), 1,
      anon_sym_COMMA,
    ACTIONS(9941), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6252), 1,
      sym_comment,
  [196313] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_extends,
    STATE(6253), 1,
      sym_comment,
  [196332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6254), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6255), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9943), 1,
      anon_sym_COMMA,
    ACTIONS(9945), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6256), 1,
      sym_comment,
  [196381] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9947), 1,
      anon_sym_COMMA,
    ACTIONS(9950), 1,
      anon_sym_RBRACE,
    STATE(6257), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [196398] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9952), 1,
      anon_sym_COMMA,
    ACTIONS(9954), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6258), 1,
      sym_comment,
  [196417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6259), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196432] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9958), 1,
      anon_sym_COMMA,
    ACTIONS(9960), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6260), 1,
      sym_comment,
  [196451] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9962), 1,
      anon_sym_COMMA,
    ACTIONS(9964), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6261), 1,
      sym_comment,
  [196470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9966), 1,
      anon_sym_COMMA,
    ACTIONS(9969), 1,
      anon_sym_RBRACE,
    STATE(6262), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [196487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6263), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196502] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8121), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1481), 1,
      sym_object_type,
    STATE(6264), 1,
      sym_comment,
  [196521] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9971), 1,
      anon_sym_RBRACE,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6265), 1,
      sym_comment,
  [196540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6266), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196555] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6267), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196570] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(5909), 1,
      anon_sym_RPAREN,
    STATE(6268), 1,
      sym_comment,
    STATE(6317), 1,
      aux_sym_array_repeat1,
  [196589] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(5909), 1,
      anon_sym_RPAREN,
    STATE(6185), 1,
      aux_sym_array_repeat1,
    STATE(6269), 1,
      sym_comment,
  [196608] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8725), 1,
      anon_sym_COMMA,
    ACTIONS(9973), 1,
      anon_sym_RBRACE,
    STATE(6257), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6270), 1,
      sym_comment,
  [196627] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6271), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196642] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8725), 1,
      anon_sym_COMMA,
    ACTIONS(9975), 1,
      anon_sym_RBRACE,
    STATE(6257), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6272), 1,
      sym_comment,
  [196661] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6273), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196676] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9977), 1,
      anon_sym_COMMA,
    ACTIONS(9979), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6274), 1,
      sym_comment,
  [196695] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6275), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196710] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_RBRACE,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6276), 1,
      sym_comment,
  [196729] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9983), 1,
      anon_sym_RBRACE,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6277), 1,
      sym_comment,
  [196748] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8725), 1,
      anon_sym_COMMA,
    ACTIONS(9985), 1,
      anon_sym_RBRACE,
    STATE(6257), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6278), 1,
      sym_comment,
  [196767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6279), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9987), 1,
      anon_sym_LBRACE,
    STATE(6280), 1,
      sym_comment,
    ACTIONS(8910), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [196799] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8725), 1,
      anon_sym_COMMA,
    ACTIONS(9989), 1,
      anon_sym_RBRACE,
    STATE(6257), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6281), 1,
      sym_comment,
  [196818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6282), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196833] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6283), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7870), 1,
      anon_sym_DOT,
    STATE(6284), 1,
      sym_comment,
    ACTIONS(9991), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [196865] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7868), 1,
      anon_sym_DOT,
    STATE(6285), 1,
      sym_comment,
    ACTIONS(9991), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [196882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6286), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196897] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9993), 1,
      anon_sym_RBRACE,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6287), 1,
      sym_comment,
  [196916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6288), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196931] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6289), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9995), 1,
      anon_sym_as,
    STATE(6290), 1,
      sym_comment,
    ACTIONS(9997), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [196963] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9999), 1,
      anon_sym_COMMA,
    ACTIONS(10001), 1,
      anon_sym_RBRACE,
    STATE(6174), 1,
      aux_sym_export_clause_repeat1,
    STATE(6291), 1,
      sym_comment,
  [196982] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6292), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196997] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6293), 1,
      sym_comment,
    ACTIONS(10003), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [197012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6294), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197027] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6393), 1,
      sym__automatic_semicolon,
    STATE(6295), 1,
      sym_comment,
    ACTIONS(2420), 2,
      anon_sym_else,
      anon_sym_while,
  [197044] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10005), 1,
      sym_identifier,
    ACTIONS(10007), 1,
      anon_sym_LBRACK,
    ACTIONS(10009), 1,
      sym_private_property_identifier,
    STATE(6296), 1,
      sym_comment,
  [197063] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10011), 1,
      sym_identifier,
    ACTIONS(10013), 1,
      anon_sym_LBRACK,
    ACTIONS(10015), 1,
      sym_private_property_identifier,
    STATE(6297), 1,
      sym_comment,
  [197082] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10017), 1,
      sym_identifier,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      sym_private_property_identifier,
    STATE(6298), 1,
      sym_comment,
  [197101] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6299), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197116] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10023), 1,
      sym_identifier,
    ACTIONS(10025), 1,
      anon_sym_LBRACK,
    ACTIONS(10027), 1,
      sym_private_property_identifier,
    STATE(6300), 1,
      sym_comment,
  [197135] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6418), 1,
      sym__automatic_semicolon,
    STATE(6301), 1,
      sym_comment,
    ACTIONS(2424), 2,
      anon_sym_else,
      anon_sym_while,
  [197152] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10029), 1,
      sym_identifier,
    ACTIONS(10031), 1,
      anon_sym_LBRACK,
    ACTIONS(10033), 1,
      sym_private_property_identifier,
    STATE(6302), 1,
      sym_comment,
  [197171] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6420), 1,
      sym__automatic_semicolon,
    STATE(6303), 1,
      sym_comment,
    ACTIONS(2428), 2,
      anon_sym_else,
      anon_sym_while,
  [197188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6304), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197203] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10035), 1,
      anon_sym_COMMA,
    ACTIONS(10037), 1,
      anon_sym_RBRACK,
    STATE(5863), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6305), 1,
      sym_comment,
  [197222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10039), 1,
      anon_sym_EQ,
    STATE(6306), 1,
      sym_comment,
    ACTIONS(9770), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [197239] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6307), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197254] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6456), 1,
      sym__automatic_semicolon,
    STATE(6308), 1,
      sym_comment,
    ACTIONS(2400), 2,
      anon_sym_else,
      anon_sym_while,
  [197271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6309), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197286] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10041), 1,
      anon_sym_DQUOTE,
    ACTIONS(10043), 1,
      anon_sym_SQUOTE,
    STATE(6177), 1,
      sym_string,
    STATE(6310), 1,
      sym_comment,
  [197305] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10045), 1,
      sym_identifier,
    ACTIONS(10047), 1,
      anon_sym_LBRACK,
    ACTIONS(10049), 1,
      sym_private_property_identifier,
    STATE(6311), 1,
      sym_comment,
  [197324] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10051), 1,
      anon_sym_COMMA,
    ACTIONS(10053), 1,
      anon_sym_GT,
    STATE(6199), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6312), 1,
      sym_comment,
  [197343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6313), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197358] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8121), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1379), 1,
      sym_object_type,
    STATE(6314), 1,
      sym_comment,
  [197377] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7936), 1,
      sym_identifier,
    STATE(6315), 1,
      sym_comment,
    ACTIONS(7940), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [197394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10055), 1,
      anon_sym_COMMA,
    ACTIONS(10057), 1,
      anon_sym_RBRACE,
    STATE(6316), 1,
      sym_comment,
    STATE(6352), 1,
      aux_sym_enum_body_repeat1,
  [197413] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(10059), 1,
      anon_sym_RPAREN,
    STATE(6185), 1,
      aux_sym_array_repeat1,
    STATE(6317), 1,
      sym_comment,
  [197432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10061), 1,
      anon_sym_LBRACE,
    STATE(6318), 1,
      sym_comment,
    ACTIONS(8723), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [197449] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4242), 1,
      anon_sym_LPAREN,
    ACTIONS(10063), 1,
      anon_sym_DOT,
    STATE(4506), 1,
      sym_arguments,
    STATE(6319), 1,
      sym_comment,
  [197468] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10065), 1,
      anon_sym_COMMA,
    ACTIONS(10067), 1,
      anon_sym_GT,
    STATE(6184), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6320), 1,
      sym_comment,
  [197487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6321), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6322), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197517] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6323), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197532] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LPAREN,
    ACTIONS(10069), 1,
      anon_sym_DOT,
    STATE(4499), 1,
      sym_arguments,
    STATE(6324), 1,
      sym_comment,
  [197551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7566), 1,
      anon_sym_implements,
    ACTIONS(10071), 1,
      anon_sym_LBRACE,
    STATE(6325), 1,
      sym_comment,
    STATE(7308), 1,
      sym_implements_clause,
  [197570] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8975), 1,
      sym_identifier,
    ACTIONS(8977), 1,
      anon_sym_const,
    STATE(6320), 1,
      sym_type_parameter,
    STATE(6326), 1,
      sym_comment,
  [197589] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6327), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197604] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10073), 1,
      anon_sym_SQUOTE,
    STATE(6328), 1,
      sym_comment,
    ACTIONS(10075), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [197621] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10077), 1,
      anon_sym_DQUOTE,
    STATE(6329), 1,
      sym_comment,
    ACTIONS(10079), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [197638] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(10081), 1,
      anon_sym_EQ,
    STATE(6330), 1,
      sym_comment,
    STATE(7477), 1,
      sym_type_parameters,
  [197657] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10083), 1,
      anon_sym_EQ,
    STATE(6331), 1,
      sym_comment,
    ACTIONS(9770), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [197674] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9289), 1,
      anon_sym_COMMA,
    ACTIONS(9291), 1,
      anon_sym_RBRACK,
    STATE(6209), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6332), 1,
      sym_comment,
  [197693] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10085), 1,
      anon_sym_EQ,
    STATE(6333), 1,
      sym_comment,
    ACTIONS(4327), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [197710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6334), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197725] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5987), 1,
      anon_sym_COMMA,
    ACTIONS(6009), 1,
      anon_sym_RBRACK,
    STATE(6211), 1,
      aux_sym_array_repeat1,
    STATE(6335), 1,
      sym_comment,
  [197744] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5987), 1,
      anon_sym_COMMA,
    ACTIONS(6009), 1,
      anon_sym_RBRACK,
    STATE(6216), 1,
      aux_sym_array_repeat1,
    STATE(6336), 1,
      sym_comment,
  [197763] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6337), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6338), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197793] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9289), 1,
      anon_sym_COMMA,
    ACTIONS(9291), 1,
      anon_sym_RBRACK,
    STATE(6212), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6339), 1,
      sym_comment,
  [197812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6340), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197827] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6341), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197842] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10088), 1,
      anon_sym_COMMA,
    ACTIONS(10090), 1,
      anon_sym_RBRACE,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
    STATE(6342), 1,
      sym_comment,
  [197861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6490), 1,
      sym__automatic_semicolon,
    STATE(6343), 1,
      sym_comment,
    ACTIONS(2394), 2,
      anon_sym_else,
      anon_sym_while,
  [197878] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10092), 1,
      anon_sym_COMMA,
    ACTIONS(10094), 1,
      anon_sym_RBRACE,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
    STATE(6344), 1,
      sym_comment,
  [197897] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6345), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6346), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197927] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(10096), 1,
      anon_sym_RBRACE,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6347), 1,
      sym_comment,
  [197946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6348), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197961] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6508), 1,
      sym__automatic_semicolon,
    STATE(6349), 1,
      sym_comment,
    ACTIONS(2364), 2,
      anon_sym_else,
      anon_sym_while,
  [197978] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10098), 1,
      anon_sym_COMMA,
    ACTIONS(10100), 1,
      anon_sym_RBRACE,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
    STATE(6350), 1,
      sym_comment,
  [197997] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6351), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198012] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10102), 1,
      anon_sym_COMMA,
    ACTIONS(10104), 1,
      anon_sym_RBRACE,
    STATE(5896), 1,
      aux_sym_enum_body_repeat1,
    STATE(6352), 1,
      sym_comment,
  [198031] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9289), 1,
      anon_sym_COMMA,
    ACTIONS(9297), 1,
      anon_sym_RBRACK,
    STATE(6209), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6353), 1,
      sym_comment,
  [198050] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5987), 1,
      anon_sym_COMMA,
    ACTIONS(5989), 1,
      anon_sym_RBRACK,
    STATE(6211), 1,
      aux_sym_array_repeat1,
    STATE(6354), 1,
      sym_comment,
  [198069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5987), 1,
      anon_sym_COMMA,
    ACTIONS(5989), 1,
      anon_sym_RBRACK,
    STATE(6233), 1,
      aux_sym_array_repeat1,
    STATE(6355), 1,
      sym_comment,
  [198088] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9289), 1,
      anon_sym_COMMA,
    ACTIONS(9297), 1,
      anon_sym_RBRACK,
    STATE(6229), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6356), 1,
      sym_comment,
  [198107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6357), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6358), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198137] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6359), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198152] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6360), 1,
      sym_comment,
    ACTIONS(3443), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [198167] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(10106), 1,
      anon_sym_RPAREN,
    STATE(6185), 1,
      aux_sym_array_repeat1,
    STATE(6361), 1,
      sym_comment,
  [198186] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10108), 1,
      anon_sym_COMMA,
    ACTIONS(10110), 1,
      anon_sym_RBRACE,
    STATE(6342), 1,
      aux_sym_enum_body_repeat1,
    STATE(6362), 1,
      sym_comment,
  [198205] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10112), 1,
      anon_sym_COMMA,
    ACTIONS(10114), 1,
      anon_sym_RPAREN,
    STATE(6223), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6363), 1,
      sym_comment,
  [198224] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8095), 1,
      anon_sym_LBRACE,
    ACTIONS(8097), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1225), 1,
      sym_object_type,
    STATE(6364), 1,
      sym_comment,
  [198243] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6365), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6366), 1,
      sym_comment,
    ACTIONS(7900), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [198273] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6367), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198288] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(10116), 1,
      anon_sym_EQ,
    STATE(6368), 1,
      sym_comment,
    STATE(7512), 1,
      sym_type_parameters,
  [198307] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6369), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198322] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10118), 1,
      anon_sym_EQ,
    STATE(6370), 1,
      sym_comment,
    ACTIONS(9770), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [198339] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10120), 1,
      anon_sym_COMMA,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    STATE(6239), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6371), 1,
      sym_comment,
  [198358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    STATE(6372), 1,
      sym_comment,
    ACTIONS(9770), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [198375] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6373), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6374), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198405] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6375), 1,
      sym_comment,
    ACTIONS(3439), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [198420] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(10126), 1,
      anon_sym_EQ,
    STATE(6376), 1,
      sym_comment,
    STATE(7540), 1,
      sym_type_parameters,
  [198439] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6377), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198454] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10128), 1,
      anon_sym_LPAREN,
    ACTIONS(10130), 1,
      anon_sym_await,
    STATE(81), 1,
      sym__for_header,
    STATE(6378), 1,
      sym_comment,
  [198473] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8725), 1,
      anon_sym_COMMA,
    ACTIONS(10132), 1,
      anon_sym_RBRACE,
    STATE(6257), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6379), 1,
      sym_comment,
  [198492] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(10096), 1,
      anon_sym_RBRACE,
    STATE(6277), 1,
      aux_sym_object_repeat1,
    STATE(6380), 1,
      sym_comment,
  [198511] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8725), 1,
      anon_sym_COMMA,
    ACTIONS(10134), 1,
      anon_sym_RBRACE,
    STATE(6257), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6381), 1,
      sym_comment,
  [198530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6382), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198545] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7868), 1,
      anon_sym_DOT,
    STATE(6383), 1,
      sym_comment,
    ACTIONS(10136), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198562] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(10138), 1,
      anon_sym_RBRACE,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6384), 1,
      sym_comment,
  [198581] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6385), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7870), 1,
      anon_sym_DOT,
    STATE(6386), 1,
      sym_comment,
    ACTIONS(10136), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198613] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6387), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198628] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8725), 1,
      anon_sym_COMMA,
    ACTIONS(10132), 1,
      anon_sym_RBRACE,
    STATE(6278), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6388), 1,
      sym_comment,
  [198647] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6389), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6390), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198677] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(10138), 1,
      anon_sym_RBRACE,
    STATE(6265), 1,
      aux_sym_object_repeat1,
    STATE(6391), 1,
      sym_comment,
  [198696] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8725), 1,
      anon_sym_COMMA,
    ACTIONS(10134), 1,
      anon_sym_RBRACE,
    STATE(6270), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6392), 1,
      sym_comment,
  [198715] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(10140), 1,
      anon_sym_EQ,
    STATE(6393), 1,
      sym_comment,
    STATE(7353), 1,
      sym_type_parameters,
  [198734] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_LT,
    ACTIONS(10142), 1,
      anon_sym_EQ,
    STATE(6394), 1,
      sym_comment,
    STATE(7562), 1,
      sym_type_parameters,
  [198753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6395), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198768] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9362), 1,
      anon_sym_LBRACE,
    ACTIONS(10144), 1,
      sym_identifier,
    STATE(5682), 1,
      sym_export_clause,
    STATE(6396), 1,
      sym_comment,
  [198787] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    ACTIONS(9561), 1,
      anon_sym_as,
    STATE(6397), 1,
      sym_comment,
    STATE(6650), 1,
      sym__from_clause,
  [198806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6398), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198821] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6399), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6400), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198851] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10146), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_decorator_member_expression,
    STATE(2173), 1,
      sym_decorator_call_expression,
    STATE(6401), 1,
      sym_comment,
  [198870] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10148), 1,
      sym_identifier,
    ACTIONS(10150), 1,
      anon_sym_SEMI,
    ACTIONS(10152), 1,
      sym__automatic_semicolon,
    STATE(6402), 1,
      sym_comment,
  [198889] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6403), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198904] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10154), 1,
      sym_identifier,
    ACTIONS(10156), 1,
      anon_sym_SEMI,
    ACTIONS(10158), 1,
      sym__automatic_semicolon,
    STATE(6404), 1,
      sym_comment,
  [198923] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10160), 1,
      sym_identifier,
    STATE(4620), 1,
      sym_decorator_member_expression,
    STATE(5691), 1,
      sym_decorator_call_expression,
    STATE(6405), 1,
      sym_comment,
  [198942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6406), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198957] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10162), 1,
      anon_sym_LPAREN,
    ACTIONS(10164), 1,
      anon_sym_await,
    STATE(116), 1,
      sym__for_header,
    STATE(6407), 1,
      sym_comment,
  [198976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACE,
    STATE(6408), 1,
      sym_comment,
    ACTIONS(5317), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [198993] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6409), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6410), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199023] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5282), 1,
      anon_sym_LBRACE,
    STATE(6411), 1,
      sym_comment,
    ACTIONS(5284), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6412), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199055] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6413), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199070] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10166), 1,
      sym_identifier,
    ACTIONS(10168), 1,
      anon_sym_SEMI,
    ACTIONS(10170), 1,
      sym__automatic_semicolon,
    STATE(6414), 1,
      sym_comment,
  [199089] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4490), 1,
      anon_sym_LBRACE,
    STATE(6415), 1,
      sym_comment,
    ACTIONS(5276), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4475), 1,
      anon_sym_LBRACE,
    STATE(6416), 1,
      sym_comment,
    ACTIONS(5274), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199123] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(5991), 1,
      anon_sym_RPAREN,
    STATE(6185), 1,
      aux_sym_array_repeat1,
    STATE(6417), 1,
      sym_comment,
  [199142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10172), 1,
      anon_sym_COMMA,
    ACTIONS(10174), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6418), 1,
      sym_comment,
  [199161] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6419), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4479), 1,
      anon_sym_LBRACE,
    STATE(6420), 1,
      sym_comment,
    ACTIONS(5171), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199193] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4479), 1,
      anon_sym_LBRACE,
    STATE(6421), 1,
      sym_comment,
    ACTIONS(5171), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199210] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8095), 1,
      anon_sym_LBRACE,
    ACTIONS(8097), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1177), 1,
      sym_object_type,
    STATE(6422), 1,
      sym_comment,
  [199229] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4471), 1,
      anon_sym_LBRACE,
    STATE(6423), 1,
      sym_comment,
    ACTIONS(5185), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6424), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199261] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4471), 1,
      anon_sym_LBRACE,
    STATE(6425), 1,
      sym_comment,
    ACTIONS(5185), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4477), 1,
      anon_sym_LBRACE,
    STATE(6426), 1,
      sym_comment,
    ACTIONS(5200), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199295] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4473), 1,
      anon_sym_LBRACE,
    STATE(6427), 1,
      sym_comment,
    ACTIONS(5278), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6428), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199327] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4461), 1,
      anon_sym_LBRACE,
    STATE(6429), 1,
      sym_comment,
    ACTIONS(5365), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6430), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199359] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_LBRACE,
    STATE(6431), 1,
      sym_comment,
    ACTIONS(5353), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [199376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6432), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199391] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10176), 1,
      sym_identifier,
    ACTIONS(10178), 1,
      anon_sym_SEMI,
    ACTIONS(10180), 1,
      sym__automatic_semicolon,
    STATE(6433), 1,
      sym_comment,
  [199410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6434), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_COMMA,
    ACTIONS(5991), 1,
      anon_sym_RPAREN,
    STATE(6361), 1,
      aux_sym_array_repeat1,
    STATE(6435), 1,
      sym_comment,
  [199444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6436), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199459] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10182), 1,
      anon_sym_COMMA,
    ACTIONS(10184), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6437), 1,
      sym_comment,
  [199478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6438), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199493] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10186), 1,
      anon_sym_COMMA,
    ACTIONS(10188), 1,
      anon_sym_GT,
    STATE(6089), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6439), 1,
      sym_comment,
  [199512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10190), 1,
      anon_sym_LBRACE,
    STATE(1602), 1,
      sym_statement_block,
    STATE(6440), 1,
      sym_comment,
  [199528] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6441), 1,
      sym_comment,
    ACTIONS(3467), 2,
      anon_sym_else,
      anon_sym_while,
  [199542] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(95), 1,
      sym_parenthesized_expression,
    STATE(6442), 1,
      sym_comment,
  [199558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10194), 1,
      anon_sym_LBRACE,
    STATE(1083), 1,
      sym_enum_body,
    STATE(6443), 1,
      sym_comment,
  [199574] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(87), 1,
      sym_parenthesized_expression,
    STATE(6444), 1,
      sym_comment,
  [199590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_class_body,
    STATE(6445), 1,
      sym_comment,
  [199606] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10196), 1,
      anon_sym_LPAREN,
    STATE(6446), 1,
      sym_comment,
    STATE(6566), 1,
      sym_parenthesized_expression,
  [199622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6447), 1,
      sym_comment,
    ACTIONS(2298), 2,
      anon_sym_else,
      anon_sym_while,
  [199636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10198), 1,
      anon_sym_LBRACE,
    STATE(1076), 1,
      sym_statement_block,
    STATE(6448), 1,
      sym_comment,
  [199652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10200), 1,
      anon_sym_SEMI,
    ACTIONS(10202), 1,
      sym__automatic_semicolon,
    STATE(6449), 1,
      sym_comment,
  [199668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10204), 1,
      anon_sym_SEMI,
    ACTIONS(10206), 1,
      sym__automatic_semicolon,
    STATE(6450), 1,
      sym_comment,
  [199684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6451), 1,
      sym_comment,
    ACTIONS(10208), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7736), 1,
      anon_sym_LBRACE,
    STATE(983), 1,
      sym_class_body,
    STATE(6452), 1,
      sym_comment,
  [199714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10210), 1,
      anon_sym_SEMI,
    ACTIONS(10212), 1,
      sym__automatic_semicolon,
    STATE(6453), 1,
      sym_comment,
  [199730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10214), 1,
      anon_sym_SEMI,
    ACTIONS(10216), 1,
      sym__automatic_semicolon,
    STATE(6454), 1,
      sym_comment,
  [199746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10194), 1,
      anon_sym_LBRACE,
    STATE(1074), 1,
      sym_enum_body,
    STATE(6455), 1,
      sym_comment,
  [199762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6456), 1,
      sym_comment,
    ACTIONS(10218), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(76), 1,
      sym_parenthesized_expression,
    STATE(6457), 1,
      sym_comment,
  [199792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3656), 1,
      sym_statement_block,
    STATE(6458), 1,
      sym_comment,
  [199808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(328), 1,
      sym_class_body,
    STATE(6459), 1,
      sym_comment,
  [199824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6460), 1,
      sym_comment,
    ACTIONS(5740), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199838] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8568), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_statement_block,
    STATE(6461), 1,
      sym_comment,
  [199854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3631), 1,
      sym_statement_block,
    STATE(6462), 1,
      sym_comment,
  [199870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9913), 1,
      anon_sym_LBRACE,
    STATE(990), 1,
      sym_statement_block,
    STATE(6463), 1,
      sym_comment,
  [199886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1427), 1,
      sym_class_body,
    STATE(6464), 1,
      sym_comment,
  [199902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3643), 1,
      sym_statement_block,
    STATE(6465), 1,
      sym_comment,
  [199918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10220), 1,
      anon_sym_LBRACE,
    STATE(961), 1,
      sym_statement_block,
    STATE(6466), 1,
      sym_comment,
  [199934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6467), 1,
      sym_comment,
    ACTIONS(2254), 2,
      anon_sym_else,
      anon_sym_while,
  [199948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6468), 1,
      sym_comment,
    ACTIONS(2260), 2,
      anon_sym_else,
      anon_sym_while,
  [199962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1245), 1,
      sym_class_body,
    STATE(6469), 1,
      sym_comment,
  [199978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6470), 1,
      sym_comment,
    ACTIONS(10222), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199992] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6471), 1,
      sym_comment,
    ACTIONS(10224), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [200006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(109), 1,
      sym_parenthesized_expression,
    STATE(6472), 1,
      sym_comment,
  [200022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(92), 1,
      sym_parenthesized_expression,
    STATE(6473), 1,
      sym_comment,
  [200038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(4989), 1,
      sym_statement_block,
    STATE(6474), 1,
      sym_comment,
  [200054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6475), 1,
      sym_comment,
    ACTIONS(10226), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(331), 1,
      sym_class_body,
    STATE(6476), 1,
      sym_comment,
  [200084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6477), 1,
      sym_comment,
    ACTIONS(5756), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9913), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_statement_block,
    STATE(6478), 1,
      sym_comment,
  [200114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7736), 1,
      anon_sym_LBRACE,
    STATE(1019), 1,
      sym_class_body,
    STATE(6479), 1,
      sym_comment,
  [200130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7634), 1,
      anon_sym_LBRACE,
    STATE(1021), 1,
      sym_class_body,
    STATE(6480), 1,
      sym_comment,
  [200146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8582), 1,
      anon_sym_LBRACE,
    STATE(1012), 1,
      sym_statement_block,
    STATE(6481), 1,
      sym_comment,
  [200162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7736), 1,
      anon_sym_LBRACE,
    STATE(1018), 1,
      sym_class_body,
    STATE(6482), 1,
      sym_comment,
  [200178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACE,
    STATE(1072), 1,
      sym_statement_block,
    STATE(6483), 1,
      sym_comment,
  [200194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1278), 1,
      sym_class_body,
    STATE(6484), 1,
      sym_comment,
  [200210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8568), 1,
      anon_sym_LBRACE,
    STATE(337), 1,
      sym_statement_block,
    STATE(6485), 1,
      sym_comment,
  [200226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    STATE(385), 1,
      sym_class_body,
    STATE(6486), 1,
      sym_comment,
  [200242] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1306), 1,
      sym_class_body,
    STATE(6487), 1,
      sym_comment,
  [200258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1176), 1,
      sym_class_body,
    STATE(6488), 1,
      sym_comment,
  [200274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(4909), 1,
      sym_formal_parameters,
    STATE(6489), 1,
      sym_comment,
  [200290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6490), 1,
      sym_comment,
    ACTIONS(5722), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200304] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10228), 1,
      sym_identifier,
    ACTIONS(10230), 1,
      anon_sym_STAR,
    STATE(6491), 1,
      sym_comment,
  [200320] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10232), 1,
      sym_identifier,
    ACTIONS(10234), 1,
      anon_sym_STAR,
    STATE(6492), 1,
      sym_comment,
  [200336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7738), 1,
      anon_sym_LBRACE,
    STATE(303), 1,
      sym_class_body,
    STATE(6493), 1,
      sym_comment,
  [200352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1201), 1,
      sym_class_body,
    STATE(6494), 1,
      sym_comment,
  [200368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(6495), 1,
      sym_comment,
    STATE(6683), 1,
      sym__from_clause,
  [200384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8582), 1,
      anon_sym_LBRACE,
    STATE(999), 1,
      sym_statement_block,
    STATE(6496), 1,
      sym_comment,
  [200400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7736), 1,
      anon_sym_LBRACE,
    STATE(1004), 1,
      sym_class_body,
    STATE(6497), 1,
      sym_comment,
  [200416] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4338), 1,
      sym_formal_parameters,
    STATE(6498), 1,
      sym_comment,
  [200432] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10236), 1,
      sym_identifier,
    ACTIONS(10238), 1,
      anon_sym_STAR,
    STATE(6499), 1,
      sym_comment,
  [200448] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6500), 1,
      sym_comment,
    ACTIONS(5848), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6501), 1,
      sym_comment,
    ACTIONS(5820), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1089), 1,
      sym_class_body,
    STATE(6502), 1,
      sym_comment,
  [200492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6503), 1,
      sym_comment,
    ACTIONS(6835), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6504), 1,
      sym_comment,
    ACTIONS(5861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3632), 1,
      sym_statement_block,
    STATE(6505), 1,
      sym_comment,
  [200536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_LBRACE,
    STATE(384), 1,
      sym_statement_block,
    STATE(6506), 1,
      sym_comment,
  [200552] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10240), 1,
      sym_identifier,
    ACTIONS(10242), 1,
      anon_sym_STAR,
    STATE(6507), 1,
      sym_comment,
  [200568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10244), 1,
      anon_sym_SEMI,
    ACTIONS(10246), 1,
      sym__automatic_semicolon,
    STATE(6508), 1,
      sym_comment,
  [200584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7634), 1,
      anon_sym_LBRACE,
    STATE(1238), 1,
      sym_class_body,
    STATE(6509), 1,
      sym_comment,
  [200600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACE,
    STATE(1101), 1,
      sym_statement_block,
    STATE(6510), 1,
      sym_comment,
  [200616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7634), 1,
      anon_sym_LBRACE,
    STATE(1233), 1,
      sym_class_body,
    STATE(6511), 1,
      sym_comment,
  [200632] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6512), 1,
      sym_comment,
    ACTIONS(6843), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    STATE(378), 1,
      sym_class_body,
    STATE(6513), 1,
      sym_comment,
  [200662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6514), 1,
      sym_comment,
    ACTIONS(6847), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200676] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10248), 1,
      sym_identifier,
    ACTIONS(10250), 1,
      sym_private_property_identifier,
    STATE(6515), 1,
      sym_comment,
  [200692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1381), 1,
      sym_class_body,
    STATE(6516), 1,
      sym_comment,
  [200708] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3621), 1,
      sym_statement_block,
    STATE(6517), 1,
      sym_comment,
  [200724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6518), 1,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_else,
      anon_sym_while,
  [200738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6519), 1,
      sym_comment,
    ACTIONS(6851), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200752] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10252), 1,
      sym_identifier,
    ACTIONS(10254), 1,
      sym_private_property_identifier,
    STATE(6520), 1,
      sym_comment,
  [200768] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10256), 1,
      sym_identifier,
    ACTIONS(10258), 1,
      sym_private_property_identifier,
    STATE(6521), 1,
      sym_comment,
  [200784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6522), 1,
      sym_comment,
    ACTIONS(6804), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6523), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [200812] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10260), 1,
      sym_identifier,
    ACTIONS(10262), 1,
      sym_private_property_identifier,
    STATE(6524), 1,
      sym_comment,
  [200828] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10005), 1,
      sym_identifier,
    ACTIONS(10009), 1,
      sym_private_property_identifier,
    STATE(6525), 1,
      sym_comment,
  [200844] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10264), 1,
      sym_identifier,
    ACTIONS(10266), 1,
      anon_sym_STAR,
    STATE(6526), 1,
      sym_comment,
  [200860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_LBRACE,
    STATE(377), 1,
      sym_statement_block,
    STATE(6527), 1,
      sym_comment,
  [200876] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3662), 1,
      sym_statement_block,
    STATE(6528), 1,
      sym_comment,
  [200892] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    STATE(373), 1,
      sym_class_body,
    STATE(6529), 1,
      sym_comment,
  [200908] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10268), 1,
      anon_sym_SEMI,
    ACTIONS(10270), 1,
      sym__automatic_semicolon,
    STATE(6530), 1,
      sym_comment,
  [200924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6531), 1,
      sym_comment,
    ACTIONS(10272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6532), 1,
      sym_comment,
    ACTIONS(10274), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200952] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7634), 1,
      anon_sym_LBRACE,
    STATE(1204), 1,
      sym_class_body,
    STATE(6533), 1,
      sym_comment,
  [200968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3610), 1,
      sym_statement_block,
    STATE(6534), 1,
      sym_comment,
  [200984] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6535), 1,
      sym_comment,
    STATE(6754), 1,
      sym_statement_block,
  [201000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10276), 1,
      anon_sym_SEMI,
    ACTIONS(10278), 1,
      sym__automatic_semicolon,
    STATE(6536), 1,
      sym_comment,
  [201016] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6537), 1,
      sym_comment,
    ACTIONS(3555), 2,
      anon_sym_else,
      anon_sym_while,
  [201030] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3635), 1,
      sym_statement_block,
    STATE(6538), 1,
      sym_comment,
  [201046] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10280), 1,
      anon_sym_LBRACE,
    STATE(6539), 1,
      sym_comment,
    STATE(6968), 1,
      sym_switch_body,
  [201062] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10282), 1,
      anon_sym_LPAREN,
    STATE(107), 1,
      sym__for_header,
    STATE(6540), 1,
      sym_comment,
  [201078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5652), 1,
      sym__from_clause,
    STATE(6541), 1,
      sym_comment,
  [201094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6542), 1,
      sym_comment,
    ACTIONS(3553), 2,
      anon_sym_else,
      anon_sym_while,
  [201108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3634), 1,
      sym_statement_block,
    STATE(6543), 1,
      sym_comment,
  [201124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    STATE(364), 1,
      sym_class_body,
    STATE(6544), 1,
      sym_comment,
  [201140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3633), 1,
      sym_statement_block,
    STATE(6545), 1,
      sym_comment,
  [201156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10198), 1,
      anon_sym_LBRACE,
    STATE(1166), 1,
      sym_statement_block,
    STATE(6546), 1,
      sym_comment,
  [201172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10284), 1,
      anon_sym_LPAREN,
    STATE(1005), 1,
      sym_parenthesized_expression,
    STATE(6547), 1,
      sym_comment,
  [201188] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10286), 1,
      sym_identifier,
    ACTIONS(10288), 1,
      anon_sym_STAR,
    STATE(6548), 1,
      sym_comment,
  [201204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10290), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_enum_body,
    STATE(6549), 1,
      sym_comment,
  [201220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6550), 1,
      sym_comment,
    ACTIONS(9181), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6551), 1,
      sym_comment,
    ACTIONS(10292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10294), 1,
      anon_sym_COMMA,
    ACTIONS(10296), 1,
      anon_sym_from,
    STATE(6552), 1,
      sym_comment,
  [201264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6553), 1,
      sym_comment,
    ACTIONS(3549), 2,
      anon_sym_else,
      anon_sym_while,
  [201278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10298), 1,
      anon_sym_SEMI,
    ACTIONS(10300), 1,
      sym__automatic_semicolon,
    STATE(6554), 1,
      sym_comment,
  [201294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10302), 1,
      anon_sym_SEMI,
    ACTIONS(10304), 1,
      sym__automatic_semicolon,
    STATE(6555), 1,
      sym_comment,
  [201310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10306), 1,
      anon_sym_SEMI,
    ACTIONS(10308), 1,
      sym__automatic_semicolon,
    STATE(6556), 1,
      sym_comment,
  [201326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10290), 1,
      anon_sym_LBRACE,
    STATE(1507), 1,
      sym_enum_body,
    STATE(6557), 1,
      sym_comment,
  [201342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10310), 1,
      anon_sym_LBRACE,
    STATE(1501), 1,
      sym_statement_block,
    STATE(6558), 1,
      sym_comment,
  [201358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6559), 1,
      sym_comment,
    ACTIONS(3535), 2,
      anon_sym_else,
      anon_sym_while,
  [201372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6560), 1,
      sym_comment,
    ACTIONS(10312), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6561), 1,
      sym_comment,
    ACTIONS(10314), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6562), 1,
      sym_comment,
    ACTIONS(3533), 2,
      anon_sym_else,
      anon_sym_while,
  [201414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6563), 1,
      sym_comment,
    ACTIONS(5670), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6564), 1,
      sym_comment,
    ACTIONS(6843), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201442] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_STAR,
    STATE(6565), 1,
      sym_comment,
  [201458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10320), 1,
      anon_sym_LBRACE,
    STATE(1700), 1,
      sym_switch_body,
    STATE(6566), 1,
      sym_comment,
  [201474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10282), 1,
      anon_sym_LPAREN,
    STATE(88), 1,
      sym__for_header,
    STATE(6567), 1,
      sym_comment,
  [201490] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6568), 1,
      sym_comment,
    STATE(6747), 1,
      sym_statement_block,
  [201506] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6569), 1,
      sym_comment,
    STATE(6570), 1,
      sym_statement_block,
  [201522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6570), 1,
      sym_comment,
    ACTIONS(6874), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201536] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6571), 1,
      sym_comment,
    ACTIONS(6847), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6564), 1,
      sym_statement_block,
    STATE(6572), 1,
      sym_comment,
  [201566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6573), 1,
      sym_comment,
    ACTIONS(6835), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6574), 1,
      sym_comment,
    ACTIONS(6831), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6575), 1,
      sym_comment,
    ACTIONS(5672), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6576), 1,
      sym_comment,
    ACTIONS(6823), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6577), 1,
      sym_comment,
    ACTIONS(3525), 2,
      anon_sym_else,
      anon_sym_while,
  [201636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6578), 1,
      sym_comment,
    ACTIONS(10322), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [201650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6579), 1,
      sym_comment,
    ACTIONS(10324), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6580), 1,
      sym_comment,
    ACTIONS(5816), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6581), 1,
      sym_comment,
    ACTIONS(5811), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6582), 1,
      sym_comment,
    ACTIONS(10326), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6583), 1,
      sym_comment,
    ACTIONS(10328), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201720] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2660), 1,
      sym_class_body,
    STATE(6584), 1,
      sym_comment,
  [201736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6585), 1,
      sym_comment,
    ACTIONS(5608), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10282), 1,
      anon_sym_LPAREN,
    STATE(104), 1,
      sym__for_header,
    STATE(6586), 1,
      sym_comment,
  [201766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10330), 1,
      anon_sym_LBRACE,
    STATE(1052), 1,
      sym_switch_body,
    STATE(6587), 1,
      sym_comment,
  [201782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3630), 1,
      sym_statement_block,
    STATE(6588), 1,
      sym_comment,
  [201798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6589), 1,
      sym_comment,
    ACTIONS(5796), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201812] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3653), 1,
      sym_statement_block,
    STATE(6590), 1,
      sym_comment,
  [201828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6591), 1,
      sym_comment,
    ACTIONS(5476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201842] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10332), 1,
      sym_identifier,
    ACTIONS(10334), 1,
      anon_sym_STAR,
    STATE(6592), 1,
      sym_comment,
  [201858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6593), 1,
      sym_comment,
    ACTIONS(3629), 2,
      anon_sym_else,
      anon_sym_while,
  [201872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    STATE(2652), 1,
      sym_statement_block,
    STATE(6594), 1,
      sym_comment,
  [201888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6595), 1,
      sym_comment,
    ACTIONS(3523), 2,
      anon_sym_else,
      anon_sym_while,
  [201902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10336), 1,
      anon_sym_SEMI,
    ACTIONS(10338), 1,
      sym__automatic_semicolon,
    STATE(6596), 1,
      sym_comment,
  [201918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6597), 1,
      sym_comment,
    ACTIONS(10340), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3654), 1,
      sym_statement_block,
    STATE(6598), 1,
      sym_comment,
  [201948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10342), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_statement_block,
    STATE(6599), 1,
      sym_comment,
  [201964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(101), 1,
      sym_parenthesized_expression,
    STATE(6600), 1,
      sym_comment,
  [201980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3655), 1,
      sym_statement_block,
    STATE(6601), 1,
      sym_comment,
  [201996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_parenthesized_expression,
    STATE(6602), 1,
      sym_comment,
  [202012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9577), 1,
      anon_sym_LBRACE,
    STATE(1040), 1,
      sym_statement_block,
    STATE(6603), 1,
      sym_comment,
  [202028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(5027), 1,
      sym_class_body,
    STATE(6604), 1,
      sym_comment,
  [202044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6605), 1,
      sym_comment,
    ACTIONS(3521), 2,
      anon_sym_else,
      anon_sym_while,
  [202058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6606), 1,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_else,
      anon_sym_while,
  [202072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3649), 1,
      sym_statement_block,
    STATE(6607), 1,
      sym_comment,
  [202088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6608), 1,
      sym_comment,
    ACTIONS(3507), 2,
      anon_sym_else,
      anon_sym_while,
  [202102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6609), 1,
      sym_comment,
    ACTIONS(3505), 2,
      anon_sym_else,
      anon_sym_while,
  [202116] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10344), 1,
      sym_identifier,
    ACTIONS(10346), 1,
      anon_sym_STAR,
    STATE(6610), 1,
      sym_comment,
  [202132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6611), 1,
      sym_comment,
    ACTIONS(3503), 2,
      anon_sym_else,
      anon_sym_while,
  [202146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6612), 1,
      sym_comment,
    ACTIONS(3487), 2,
      anon_sym_else,
      anon_sym_while,
  [202160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6613), 1,
      sym_comment,
    ACTIONS(3495), 2,
      anon_sym_else,
      anon_sym_while,
  [202174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3202), 1,
      sym_class_body,
    STATE(6614), 1,
      sym_comment,
  [202190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6615), 1,
      sym_comment,
    ACTIONS(3593), 2,
      anon_sym_else,
      anon_sym_while,
  [202204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6616), 1,
      sym_comment,
    ACTIONS(3621), 2,
      anon_sym_else,
      anon_sym_while,
  [202218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3195), 1,
      sym_statement_block,
    STATE(6617), 1,
      sym_comment,
  [202234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9577), 1,
      anon_sym_LBRACE,
    STATE(1050), 1,
      sym_statement_block,
    STATE(6618), 1,
      sym_comment,
  [202250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(5032), 1,
      sym_class_body,
    STATE(6619), 1,
      sym_comment,
  [202266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    STATE(5519), 1,
      sym_statement_block,
    STATE(6620), 1,
      sym_comment,
  [202282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(5034), 1,
      sym_class_body,
    STATE(6621), 1,
      sym_comment,
  [202298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3211), 1,
      sym_class_body,
    STATE(6622), 1,
      sym_comment,
  [202314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(5039), 1,
      sym_class_body,
    STATE(6623), 1,
      sym_comment,
  [202330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6624), 1,
      sym_comment,
    ACTIONS(10348), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6625), 1,
      sym_comment,
    ACTIONS(3623), 2,
      anon_sym_else,
      anon_sym_while,
  [202358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3642), 1,
      sym_statement_block,
    STATE(6626), 1,
      sym_comment,
  [202374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(6627), 1,
      sym_comment,
    STATE(7270), 1,
      sym_formal_parameters,
  [202390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6628), 1,
      sym_comment,
    ACTIONS(6815), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10350), 1,
      anon_sym_LBRACE,
    STATE(1731), 1,
      sym_statement_block,
    STATE(6629), 1,
      sym_comment,
  [202420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10352), 1,
      anon_sym_LBRACE,
    STATE(1764), 1,
      sym_enum_body,
    STATE(6630), 1,
      sym_comment,
  [202436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3620), 1,
      sym_statement_block,
    STATE(6631), 1,
      sym_comment,
  [202452] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10354), 1,
      sym_identifier,
    ACTIONS(10356), 1,
      sym_private_property_identifier,
    STATE(6632), 1,
      sym_comment,
  [202468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6633), 1,
      sym_comment,
    ACTIONS(3647), 2,
      anon_sym_else,
      anon_sym_while,
  [202482] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10045), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      sym_private_property_identifier,
    STATE(6634), 1,
      sym_comment,
  [202498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6635), 1,
      sym_comment,
    ACTIONS(3649), 2,
      anon_sym_else,
      anon_sym_while,
  [202512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6636), 1,
      sym_comment,
    ACTIONS(3649), 2,
      anon_sym_else,
      anon_sym_while,
  [202526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6637), 1,
      sym_comment,
    STATE(7100), 1,
      sym_statement_block,
  [202542] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6638), 1,
      sym_comment,
    ACTIONS(10358), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [202556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6639), 1,
      sym_comment,
    ACTIONS(3657), 2,
      anon_sym_else,
      anon_sym_while,
  [202570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6640), 1,
      sym_comment,
    ACTIONS(8524), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [202584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3219), 1,
      sym_statement_block,
    STATE(6641), 1,
      sym_comment,
  [202600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10360), 1,
      anon_sym_LBRACE,
    STATE(6642), 1,
      sym_comment,
    STATE(7106), 1,
      sym_enum_body,
  [202616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10362), 1,
      anon_sym_SEMI,
    ACTIONS(10364), 1,
      sym__automatic_semicolon,
    STATE(6643), 1,
      sym_comment,
  [202632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(5044), 1,
      sym_class_body,
    STATE(6644), 1,
      sym_comment,
  [202648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    STATE(5517), 1,
      sym_statement_block,
    STATE(6645), 1,
      sym_comment,
  [202664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(5045), 1,
      sym_class_body,
    STATE(6646), 1,
      sym_comment,
  [202680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3233), 1,
      sym_class_body,
    STATE(6647), 1,
      sym_comment,
  [202696] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10366), 1,
      sym_identifier,
    ACTIONS(10368), 1,
      sym_private_property_identifier,
    STATE(6648), 1,
      sym_comment,
  [202712] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10370), 1,
      sym_identifier,
    ACTIONS(10372), 1,
      sym_private_property_identifier,
    STATE(6649), 1,
      sym_comment,
  [202728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10374), 1,
      anon_sym_SEMI,
    ACTIONS(10376), 1,
      sym__automatic_semicolon,
    STATE(6650), 1,
      sym_comment,
  [202744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(5053), 1,
      sym_class_body,
    STATE(6651), 1,
      sym_comment,
  [202760] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10011), 1,
      sym_identifier,
    ACTIONS(10015), 1,
      sym_private_property_identifier,
    STATE(6652), 1,
      sym_comment,
  [202776] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6653), 1,
      sym_comment,
    ACTIONS(3643), 2,
      anon_sym_else,
      anon_sym_while,
  [202790] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      sym_private_property_identifier,
    STATE(6654), 1,
      sym_comment,
  [202806] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10382), 1,
      sym_identifier,
    ACTIONS(10384), 1,
      sym_private_property_identifier,
    STATE(6655), 1,
      sym_comment,
  [202822] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10388), 1,
      sym_private_property_identifier,
    STATE(6656), 1,
      sym_comment,
  [202838] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10390), 1,
      sym_identifier,
    ACTIONS(10392), 1,
      sym_private_property_identifier,
    STATE(6657), 1,
      sym_comment,
  [202854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3249), 1,
      sym_statement_block,
    STATE(6658), 1,
      sym_comment,
  [202870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3251), 1,
      sym_class_body,
    STATE(6659), 1,
      sym_comment,
  [202886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10394), 1,
      anon_sym_SEMI,
    ACTIONS(10396), 1,
      sym__automatic_semicolon,
    STATE(6660), 1,
      sym_comment,
  [202902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6661), 1,
      sym_comment,
    ACTIONS(10398), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6662), 1,
      sym_comment,
    ACTIONS(10400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(5062), 1,
      sym_class_body,
    STATE(6663), 1,
      sym_comment,
  [202946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6664), 1,
      sym_comment,
    ACTIONS(10402), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6665), 1,
      sym_comment,
    ACTIONS(3651), 2,
      anon_sym_else,
      anon_sym_while,
  [202974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3618), 1,
      sym_statement_block,
    STATE(6666), 1,
      sym_comment,
  [202990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10404), 1,
      anon_sym_SEMI,
    ACTIONS(10406), 1,
      sym__automatic_semicolon,
    STATE(6667), 1,
      sym_comment,
  [203006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6668), 1,
      sym_comment,
    ACTIONS(3655), 2,
      anon_sym_else,
      anon_sym_while,
  [203020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6669), 1,
      sym_comment,
    ACTIONS(3655), 2,
      anon_sym_else,
      anon_sym_while,
  [203034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6670), 1,
      sym_comment,
    ACTIONS(3671), 2,
      anon_sym_else,
      anon_sym_while,
  [203048] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10408), 1,
      sym_identifier,
    ACTIONS(10410), 1,
      anon_sym_STAR,
    STATE(6671), 1,
      sym_comment,
  [203064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3301), 1,
      sym_class_body,
    STATE(6672), 1,
      sym_comment,
  [203080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3658), 1,
      sym_statement_block,
    STATE(6673), 1,
      sym_comment,
  [203096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10310), 1,
      anon_sym_LBRACE,
    STATE(1517), 1,
      sym_statement_block,
    STATE(6674), 1,
      sym_comment,
  [203112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10412), 1,
      anon_sym_LPAREN,
    STATE(1119), 1,
      sym_parenthesized_expression,
    STATE(6675), 1,
      sym_comment,
  [203128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6676), 1,
      sym_comment,
    ACTIONS(3673), 2,
      anon_sym_else,
      anon_sym_while,
  [203142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3616), 1,
      sym_statement_block,
    STATE(6677), 1,
      sym_comment,
  [203158] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10414), 1,
      anon_sym_LBRACE,
    STATE(5085), 1,
      sym_enum_body,
    STATE(6678), 1,
      sym_comment,
  [203174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6679), 1,
      sym_comment,
    ACTIONS(9024), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203188] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym_parenthesized_expression,
    STATE(6680), 1,
      sym_comment,
  [203204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10196), 1,
      anon_sym_LPAREN,
    STATE(6539), 1,
      sym_parenthesized_expression,
    STATE(6681), 1,
      sym_comment,
  [203220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6682), 1,
      sym_comment,
    ACTIONS(10416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10418), 1,
      anon_sym_SEMI,
    ACTIONS(10420), 1,
      sym__automatic_semicolon,
    STATE(6683), 1,
      sym_comment,
  [203250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3614), 1,
      sym_statement_block,
    STATE(6684), 1,
      sym_comment,
  [203266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10422), 1,
      anon_sym_SEMI,
    ACTIONS(10424), 1,
      sym__automatic_semicolon,
    STATE(6685), 1,
      sym_comment,
  [203282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6686), 1,
      sym_comment,
    ACTIONS(3675), 2,
      anon_sym_else,
      anon_sym_while,
  [203296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6687), 1,
      sym_comment,
    ACTIONS(3591), 2,
      anon_sym_else,
      anon_sym_while,
  [203310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6688), 1,
      sym_comment,
    ACTIONS(3653), 2,
      anon_sym_else,
      anon_sym_while,
  [203324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10426), 1,
      anon_sym_SEMI,
    ACTIONS(10428), 1,
      sym__automatic_semicolon,
    STATE(6689), 1,
      sym_comment,
  [203340] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10430), 1,
      anon_sym_SEMI,
    ACTIONS(10432), 1,
      sym__automatic_semicolon,
    STATE(6690), 1,
      sym_comment,
  [203356] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3624), 1,
      sym_statement_block,
    STATE(6691), 1,
      sym_comment,
  [203372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10434), 1,
      anon_sym_SEMI,
    ACTIONS(10436), 1,
      sym__automatic_semicolon,
    STATE(6692), 1,
      sym_comment,
  [203388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10414), 1,
      anon_sym_LBRACE,
    STATE(5102), 1,
      sym_enum_body,
    STATE(6693), 1,
      sym_comment,
  [203404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    STATE(5074), 1,
      sym_statement_block,
    STATE(6694), 1,
      sym_comment,
  [203420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6695), 1,
      sym_comment,
    ACTIONS(9950), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203434] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6696), 1,
      sym_comment,
    ACTIONS(9969), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(6697), 1,
      sym_comment,
    STATE(6698), 1,
      sym__from_clause,
  [203464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10438), 1,
      anon_sym_SEMI,
    ACTIONS(10440), 1,
      sym__automatic_semicolon,
    STATE(6698), 1,
      sym_comment,
  [203480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10442), 1,
      anon_sym_SEMI,
    ACTIONS(10444), 1,
      sym__automatic_semicolon,
    STATE(6699), 1,
      sym_comment,
  [203496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3661), 1,
      sym_statement_block,
    STATE(6700), 1,
      sym_comment,
  [203512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6701), 1,
      sym_comment,
    ACTIONS(3483), 2,
      anon_sym_else,
      anon_sym_while,
  [203526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6702), 1,
      sym_comment,
    STATE(7005), 1,
      sym_statement_block,
  [203542] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3617), 1,
      sym_statement_block,
    STATE(6703), 1,
      sym_comment,
  [203558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6704), 1,
      sym_comment,
    ACTIONS(3519), 2,
      anon_sym_else,
      anon_sym_while,
  [203572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6705), 1,
      sym_comment,
    ACTIONS(3519), 2,
      anon_sym_else,
      anon_sym_while,
  [203586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6706), 1,
      sym_comment,
    ACTIONS(10446), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6707), 1,
      sym_comment,
    ACTIONS(5709), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3629), 1,
      sym_statement_block,
    STATE(6708), 1,
      sym_comment,
  [203630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5660), 1,
      sym__from_clause,
    STATE(6709), 1,
      sym_comment,
  [203646] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6710), 1,
      sym_comment,
    ACTIONS(5707), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6711), 1,
      sym_comment,
    ACTIONS(9225), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9893), 1,
      anon_sym_LBRACE,
    STATE(1386), 1,
      sym_statement_block,
    STATE(6712), 1,
      sym_comment,
  [203690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6713), 1,
      sym_comment,
    ACTIONS(6851), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10360), 1,
      anon_sym_LBRACE,
    STATE(6714), 1,
      sym_comment,
    STATE(7004), 1,
      sym_enum_body,
  [203720] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5584), 1,
      sym__from_clause,
    STATE(6715), 1,
      sym_comment,
  [203736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6716), 1,
      sym_comment,
    ACTIONS(3519), 2,
      anon_sym_else,
      anon_sym_while,
  [203750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6717), 1,
      sym_comment,
    ACTIONS(10448), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6718), 1,
      sym_comment,
    ACTIONS(10450), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6719), 1,
      sym_comment,
    ACTIONS(3527), 2,
      anon_sym_else,
      anon_sym_while,
  [203792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6720), 1,
      sym_comment,
    ACTIONS(3529), 2,
      anon_sym_else,
      anon_sym_while,
  [203806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6721), 1,
      sym_comment,
    ACTIONS(10452), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(6722), 1,
      sym_comment,
    STATE(7315), 1,
      sym_formal_parameters,
  [203836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10282), 1,
      anon_sym_LPAREN,
    STATE(120), 1,
      sym__for_header,
    STATE(6723), 1,
      sym_comment,
  [203852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6571), 1,
      sym_statement_block,
    STATE(6724), 1,
      sym_comment,
  [203868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10454), 1,
      anon_sym_LBRACE,
    STATE(1459), 1,
      sym_switch_body,
    STATE(6725), 1,
      sym_comment,
  [203884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6726), 1,
      sym_comment,
    ACTIONS(5668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10456), 1,
      anon_sym_LPAREN,
    STATE(5614), 1,
      sym_parenthesized_expression,
    STATE(6727), 1,
      sym_comment,
  [203914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6573), 1,
      sym_statement_block,
    STATE(6728), 1,
      sym_comment,
  [203930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6729), 1,
      sym_comment,
    ACTIONS(6804), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7734), 1,
      anon_sym_LBRACE,
    STATE(1673), 1,
      sym_class_body,
    STATE(6730), 1,
      sym_comment,
  [203960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6731), 1,
      sym_comment,
    STATE(6832), 1,
      sym_statement_block,
  [203976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6732), 1,
      sym_comment,
    ACTIONS(10458), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10460), 1,
      anon_sym_LBRACE,
    STATE(6733), 1,
      sym_comment,
    STATE(7099), 1,
      sym_object,
  [204006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6734), 1,
      sym_comment,
    ACTIONS(10462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6735), 1,
      sym_comment,
    ACTIONS(10464), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10466), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_statement_block,
    STATE(6736), 1,
      sym_comment,
  [204050] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(79), 1,
      sym_parenthesized_expression,
    STATE(6737), 1,
      sym_comment,
  [204066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(90), 1,
      sym_parenthesized_expression,
    STATE(6738), 1,
      sym_comment,
  [204082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6739), 1,
      sym_comment,
    ACTIONS(9201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    STATE(6127), 1,
      sym_type_annotation,
    STATE(6740), 1,
      sym_comment,
  [204112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6741), 1,
      sym_comment,
    ACTIONS(3541), 2,
      anon_sym_else,
      anon_sym_while,
  [204126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3157), 1,
      sym_class_body,
    STATE(6742), 1,
      sym_comment,
  [204142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6743), 1,
      sym_comment,
    ACTIONS(3561), 2,
      anon_sym_else,
      anon_sym_while,
  [204156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2727), 1,
      sym_class_body,
    STATE(6744), 1,
      sym_comment,
  [204172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3663), 1,
      sym_statement_block,
    STATE(6745), 1,
      sym_comment,
  [204188] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    STATE(2716), 1,
      sym_statement_block,
    STATE(6746), 1,
      sym_comment,
  [204204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6747), 1,
      sym_comment,
    ACTIONS(6819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10352), 1,
      anon_sym_LBRACE,
    STATE(1636), 1,
      sym_enum_body,
    STATE(6748), 1,
      sym_comment,
  [204234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6749), 1,
      sym_comment,
    ACTIONS(3531), 2,
      anon_sym_else,
      anon_sym_while,
  [204248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6750), 1,
      sym_comment,
    ACTIONS(3565), 2,
      anon_sym_else,
      anon_sym_while,
  [204262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6751), 1,
      sym_comment,
    ACTIONS(3565), 2,
      anon_sym_else,
      anon_sym_while,
  [204276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6752), 1,
      sym_comment,
    ACTIONS(3567), 2,
      anon_sym_else,
      anon_sym_while,
  [204290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6753), 1,
      sym_comment,
    STATE(6902), 1,
      sym_statement_block,
  [204306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6754), 1,
      sym_comment,
    ACTIONS(6827), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5595), 1,
      sym__from_clause,
    STATE(6755), 1,
      sym_comment,
  [204336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9458), 1,
      anon_sym_LBRACE,
    STATE(1232), 1,
      sym_statement_block,
    STATE(6756), 1,
      sym_comment,
  [204352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    STATE(1367), 1,
      sym_class_body,
    STATE(6757), 1,
      sym_comment,
  [204368] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6758), 1,
      sym_comment,
    ACTIONS(3569), 2,
      anon_sym_else,
      anon_sym_while,
  [204382] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6759), 1,
      sym_comment,
    ACTIONS(10468), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [204396] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6760), 1,
      sym_comment,
    ACTIONS(3573), 2,
      anon_sym_else,
      anon_sym_while,
  [204410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6761), 1,
      sym_comment,
    ACTIONS(3575), 2,
      anon_sym_else,
      anon_sym_while,
  [204424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10470), 1,
      anon_sym_LPAREN,
    STATE(1607), 1,
      sym_parenthesized_expression,
    STATE(6762), 1,
      sym_comment,
  [204440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6763), 1,
      sym_comment,
    ACTIONS(3575), 2,
      anon_sym_else,
      anon_sym_while,
  [204454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10350), 1,
      anon_sym_LBRACE,
    STATE(1640), 1,
      sym_statement_block,
    STATE(6764), 1,
      sym_comment,
  [204470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6765), 1,
      sym_comment,
    ACTIONS(9870), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [204484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6766), 1,
      sym_comment,
    ACTIONS(3577), 2,
      anon_sym_else,
      anon_sym_while,
  [204498] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10472), 1,
      sym_identifier,
    ACTIONS(10474), 1,
      sym_private_property_identifier,
    STATE(6767), 1,
      sym_comment,
  [204514] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9458), 1,
      anon_sym_LBRACE,
    STATE(1237), 1,
      sym_statement_block,
    STATE(6768), 1,
      sym_comment,
  [204530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3637), 1,
      sym_statement_block,
    STATE(6769), 1,
      sym_comment,
  [204546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1243), 1,
      sym_class_body,
    STATE(6770), 1,
      sym_comment,
  [204562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5367), 1,
      sym_formal_parameters,
    STATE(6771), 1,
      sym_comment,
  [204578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(6772), 1,
      sym_comment,
    STATE(7162), 1,
      sym_formal_parameters,
  [204594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8604), 1,
      anon_sym_LBRACE,
    STATE(1244), 1,
      sym_statement_block,
    STATE(6773), 1,
      sym_comment,
  [204610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    STATE(1326), 1,
      sym_class_body,
    STATE(6774), 1,
      sym_comment,
  [204626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3645), 1,
      sym_statement_block,
    STATE(6775), 1,
      sym_comment,
  [204642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7706), 1,
      anon_sym_LBRACE,
    STATE(374), 1,
      sym_class_body,
    STATE(6776), 1,
      sym_comment,
  [204658] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10476), 1,
      sym_identifier,
    ACTIONS(10478), 1,
      sym_private_property_identifier,
    STATE(6777), 1,
      sym_comment,
  [204674] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10480), 1,
      sym_identifier,
    STATE(6171), 1,
      sym_nested_identifier,
    STATE(6778), 1,
      sym_comment,
  [204690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    STATE(1436), 1,
      sym_class_body,
    STATE(6779), 1,
      sym_comment,
  [204706] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10482), 1,
      sym_identifier,
    ACTIONS(10484), 1,
      sym_private_property_identifier,
    STATE(6780), 1,
      sym_comment,
  [204722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2795), 1,
      sym_class_body,
    STATE(6781), 1,
      sym_comment,
  [204738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6782), 1,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_else,
      anon_sym_while,
  [204752] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_class_body,
    STATE(6783), 1,
      sym_comment,
  [204768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6784), 1,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_else,
      anon_sym_while,
  [204782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3163), 1,
      sym_class_body,
    STATE(6785), 1,
      sym_comment,
  [204798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3167), 1,
      sym_statement_block,
    STATE(6786), 1,
      sym_comment,
  [204814] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6787), 1,
      sym_comment,
    ACTIONS(3481), 2,
      anon_sym_else,
      anon_sym_while,
  [204828] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3179), 1,
      sym_statement_block,
    STATE(6788), 1,
      sym_comment,
  [204844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6789), 1,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_else,
      anon_sym_while,
  [204858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6790), 1,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_else,
      anon_sym_while,
  [204872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5424), 1,
      sym_formal_parameters,
    STATE(6791), 1,
      sym_comment,
  [204888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8590), 1,
      anon_sym_LBRACE,
    STATE(391), 1,
      sym_statement_block,
    STATE(6792), 1,
      sym_comment,
  [204904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(6793), 1,
      sym_comment,
    STATE(7142), 1,
      sym_formal_parameters,
  [204920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6794), 1,
      sym_comment,
    ACTIONS(10486), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6795), 1,
      sym_comment,
    ACTIONS(3493), 2,
      anon_sym_else,
      anon_sym_while,
  [204948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10488), 1,
      anon_sym_SEMI,
    ACTIONS(10490), 1,
      sym__automatic_semicolon,
    STATE(6796), 1,
      sym_comment,
  [204964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1168), 1,
      sym_class_body,
    STATE(6797), 1,
      sym_comment,
  [204980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8604), 1,
      anon_sym_LBRACE,
    STATE(1167), 1,
      sym_statement_block,
    STATE(6798), 1,
      sym_comment,
  [204996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1163), 1,
      sym_class_body,
    STATE(6799), 1,
      sym_comment,
  [205012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7706), 1,
      anon_sym_LBRACE,
    STATE(395), 1,
      sym_class_body,
    STATE(6800), 1,
      sym_comment,
  [205028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3657), 1,
      sym_statement_block,
    STATE(6801), 1,
      sym_comment,
  [205044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6802), 1,
      sym_comment,
    ACTIONS(3509), 2,
      anon_sym_else,
      anon_sym_while,
  [205058] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10492), 1,
      sym_identifier,
    ACTIONS(10494), 1,
      sym_private_property_identifier,
    STATE(6803), 1,
      sym_comment,
  [205074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3625), 1,
      sym_statement_block,
    STATE(6804), 1,
      sym_comment,
  [205090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    STATE(1587), 1,
      sym_class_body,
    STATE(6805), 1,
      sym_comment,
  [205106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6806), 1,
      sym_comment,
    ACTIONS(3579), 2,
      anon_sym_else,
      anon_sym_while,
  [205120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5446), 1,
      sym_formal_parameters,
    STATE(6807), 1,
      sym_comment,
  [205136] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10496), 1,
      sym_identifier,
    ACTIONS(10498), 1,
      sym_private_property_identifier,
    STATE(6808), 1,
      sym_comment,
  [205152] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10500), 1,
      sym_identifier,
    ACTIONS(10502), 1,
      sym_private_property_identifier,
    STATE(6809), 1,
      sym_comment,
  [205168] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10504), 1,
      sym_identifier,
    ACTIONS(10506), 1,
      sym_private_property_identifier,
    STATE(6810), 1,
      sym_comment,
  [205184] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    STATE(6811), 1,
      sym_comment,
    STATE(7041), 1,
      sym_type_annotation,
  [205200] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9366), 1,
      sym_identifier,
    ACTIONS(9370), 1,
      sym_private_property_identifier,
    STATE(6812), 1,
      sym_comment,
  [205216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8590), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym_statement_block,
    STATE(6813), 1,
      sym_comment,
  [205232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7706), 1,
      anon_sym_LBRACE,
    STATE(403), 1,
      sym_class_body,
    STATE(6814), 1,
      sym_comment,
  [205248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10508), 1,
      anon_sym_SEMI,
    ACTIONS(10510), 1,
      sym__automatic_semicolon,
    STATE(6815), 1,
      sym_comment,
  [205264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6816), 1,
      sym_comment,
    ACTIONS(10512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6817), 1,
      sym_comment,
    ACTIONS(10514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205292] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(1024), 1,
      sym_class_body,
    STATE(6818), 1,
      sym_comment,
  [205308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6819), 1,
      sym_comment,
    ACTIONS(10516), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205322] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10518), 1,
      anon_sym_SEMI,
    ACTIONS(10520), 1,
      sym__automatic_semicolon,
    STATE(6820), 1,
      sym_comment,
  [205338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6821), 1,
      sym_comment,
    ACTIONS(8247), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [205352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6822), 1,
      sym_comment,
    ACTIONS(3579), 2,
      anon_sym_else,
      anon_sym_while,
  [205366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(6823), 1,
      sym_comment,
    STATE(7175), 1,
      sym_formal_parameters,
  [205382] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10522), 1,
      sym_identifier,
    ACTIONS(10524), 1,
      sym_private_property_identifier,
    STATE(6824), 1,
      sym_comment,
  [205398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10526), 1,
      anon_sym_in,
    ACTIONS(10528), 1,
      anon_sym_COLON,
    STATE(6825), 1,
      sym_comment,
  [205414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6826), 1,
      sym_comment,
    ACTIONS(3579), 2,
      anon_sym_else,
      anon_sym_while,
  [205428] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    ACTIONS(10532), 1,
      sym_private_property_identifier,
    STATE(6827), 1,
      sym_comment,
  [205444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6828), 1,
      sym_comment,
    ACTIONS(3581), 2,
      anon_sym_else,
      anon_sym_while,
  [205458] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10534), 1,
      sym_identifier,
    ACTIONS(10536), 1,
      sym_private_property_identifier,
    STATE(6829), 1,
      sym_comment,
  [205474] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6830), 1,
      sym_comment,
    ACTIONS(10538), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [205488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6831), 1,
      sym_comment,
    ACTIONS(3583), 2,
      anon_sym_else,
      anon_sym_while,
  [205502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6832), 1,
      sym_comment,
    ACTIONS(3585), 2,
      anon_sym_else,
      anon_sym_while,
  [205516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9893), 1,
      anon_sym_LBRACE,
    STATE(1407), 1,
      sym_statement_block,
    STATE(6833), 1,
      sym_comment,
  [205532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6834), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [205546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(3528), 1,
      sym_class_body,
    STATE(6835), 1,
      sym_comment,
  [205562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8936), 1,
      anon_sym_in,
    ACTIONS(8938), 1,
      anon_sym_of,
    STATE(6836), 1,
      sym_comment,
  [205578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6837), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [205592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6838), 1,
      sym_comment,
    ACTIONS(5699), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205606] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10540), 1,
      sym_identifier,
    ACTIONS(10542), 1,
      sym_private_property_identifier,
    STATE(6839), 1,
      sym_comment,
  [205622] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10544), 1,
      sym_identifier,
    ACTIONS(10546), 1,
      sym_private_property_identifier,
    STATE(6840), 1,
      sym_comment,
  [205638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7734), 1,
      anon_sym_LBRACE,
    STATE(1765), 1,
      sym_class_body,
    STATE(6841), 1,
      sym_comment,
  [205654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6842), 1,
      sym_comment,
    ACTIONS(10548), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3221), 1,
      sym_class_body,
    STATE(6843), 1,
      sym_comment,
  [205684] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3228), 1,
      sym_statement_block,
    STATE(6844), 1,
      sym_comment,
  [205700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6713), 1,
      sym_statement_block,
    STATE(6845), 1,
      sym_comment,
  [205716] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7706), 1,
      anon_sym_LBRACE,
    STATE(399), 1,
      sym_class_body,
    STATE(6846), 1,
      sym_comment,
  [205732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6847), 1,
      sym_comment,
    ACTIONS(6823), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6729), 1,
      sym_statement_block,
    STATE(6848), 1,
      sym_comment,
  [205762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6849), 1,
      sym_comment,
    ACTIONS(6831), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1424), 1,
      sym_class_body,
    STATE(6850), 1,
      sym_comment,
  [205792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8827), 1,
      anon_sym_LBRACE,
    STATE(1425), 1,
      sym_statement_block,
    STATE(6851), 1,
      sym_comment,
  [205808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10190), 1,
      anon_sym_LBRACE,
    STATE(1404), 1,
      sym_statement_block,
    STATE(6852), 1,
      sym_comment,
  [205824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6853), 1,
      sym_comment,
    ACTIONS(10550), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205838] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10552), 1,
      anon_sym_LPAREN,
    STATE(1084), 1,
      sym_parenthesized_expression,
    STATE(6854), 1,
      sym_comment,
  [205854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_class_body,
    STATE(6855), 1,
      sym_comment,
  [205870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6856), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [205884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10554), 1,
      anon_sym_LBRACE,
    STATE(1512), 1,
      sym_enum_body,
    STATE(6857), 1,
      sym_comment,
  [205900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6858), 1,
      sym_comment,
    ACTIONS(10556), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6859), 1,
      sym_comment,
    ACTIONS(9231), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6860), 1,
      sym_comment,
    ACTIONS(10558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205942] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10560), 1,
      sym_identifier,
    ACTIONS(10562), 1,
      sym_private_property_identifier,
    STATE(6861), 1,
      sym_comment,
  [205958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    STATE(2630), 1,
      sym_arguments,
    STATE(6862), 1,
      sym_comment,
  [205974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7734), 1,
      anon_sym_LBRACE,
    STATE(1770), 1,
      sym_class_body,
    STATE(6863), 1,
      sym_comment,
  [205990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10564), 1,
      anon_sym_SEMI,
    ACTIONS(10566), 1,
      sym__automatic_semicolon,
    STATE(6864), 1,
      sym_comment,
  [206006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10568), 1,
      anon_sym_SEMI,
    ACTIONS(10570), 1,
      sym__automatic_semicolon,
    STATE(6865), 1,
      sym_comment,
  [206022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6866), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [206036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3628), 1,
      sym_statement_block,
    STATE(6867), 1,
      sym_comment,
  [206052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10572), 1,
      anon_sym_SEMI,
    ACTIONS(10574), 1,
      sym__automatic_semicolon,
    STATE(6868), 1,
      sym_comment,
  [206068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6869), 1,
      sym_comment,
    ACTIONS(9495), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [206082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6870), 1,
      sym_comment,
    ACTIONS(10576), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [206096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10554), 1,
      anon_sym_LBRACE,
    STATE(1606), 1,
      sym_enum_body,
    STATE(6871), 1,
      sym_comment,
  [206112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6872), 1,
      sym_comment,
    ACTIONS(10578), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [206126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6873), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [206140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6874), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [206154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6875), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [206168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2627), 1,
      sym_class_body,
    STATE(6876), 1,
      sym_comment,
  [206184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6877), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [206198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10580), 1,
      anon_sym_SEMI,
    ACTIONS(10582), 1,
      sym__automatic_semicolon,
    STATE(6878), 1,
      sym_comment,
  [206214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6879), 1,
      sym_comment,
    ACTIONS(10584), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206228] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10586), 1,
      sym_identifier,
    ACTIONS(10588), 1,
      anon_sym_STAR,
    STATE(6880), 1,
      sym_comment,
  [206244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(6201), 1,
      sym_class_body,
    STATE(6881), 1,
      sym_comment,
  [206260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6882), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [206274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6883), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [206288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6884), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [206302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5411), 1,
      anon_sym_LPAREN,
    STATE(3340), 1,
      sym_arguments,
    STATE(6885), 1,
      sym_comment,
  [206318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    STATE(4596), 1,
      sym_formal_parameters,
    STATE(6886), 1,
      sym_comment,
  [206334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6887), 1,
      sym_comment,
    ACTIONS(3513), 2,
      anon_sym_else,
      anon_sym_while,
  [206348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3612), 1,
      sym_statement_block,
    STATE(6888), 1,
      sym_comment,
  [206364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6889), 1,
      sym_comment,
    ACTIONS(8241), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [206378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6890), 1,
      sym_comment,
    ACTIONS(8235), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [206392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6891), 1,
      sym_comment,
    ACTIONS(2148), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_statement_block,
    STATE(6892), 1,
      sym_comment,
  [206422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6893), 1,
      sym_comment,
    ACTIONS(8166), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [206436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3344), 1,
      sym_class_body,
    STATE(6894), 1,
      sym_comment,
  [206452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6895), 1,
      sym_comment,
    ACTIONS(5532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6896), 1,
      sym_comment,
    ACTIONS(5534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6897), 1,
      sym_comment,
    ACTIONS(10590), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6898), 1,
      sym_comment,
    ACTIONS(10592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3638), 1,
      sym_statement_block,
    STATE(6899), 1,
      sym_comment,
  [206524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10282), 1,
      anon_sym_LPAREN,
    STATE(102), 1,
      sym__for_header,
    STATE(6900), 1,
      sym_comment,
  [206540] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10594), 1,
      anon_sym_LBRACE,
    STATE(1284), 1,
      sym_switch_body,
    STATE(6901), 1,
      sym_comment,
  [206556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6902), 1,
      sym_comment,
    ACTIONS(6839), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206570] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    STATE(4280), 1,
      sym_formal_parameters,
    STATE(6903), 1,
      sym_comment,
  [206586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2612), 1,
      sym_class_body,
    STATE(6904), 1,
      sym_comment,
  [206602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10596), 1,
      anon_sym_SEMI,
    ACTIONS(10598), 1,
      sym__automatic_semicolon,
    STATE(6905), 1,
      sym_comment,
  [206618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6906), 1,
      sym_comment,
    ACTIONS(5640), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206632] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6907), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [206646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    STATE(2600), 1,
      sym_statement_block,
    STATE(6908), 1,
      sym_comment,
  [206662] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10600), 1,
      sym_identifier,
    ACTIONS(10602), 1,
      anon_sym_STAR,
    STATE(6909), 1,
      sym_comment,
  [206678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6910), 1,
      sym_comment,
    ACTIONS(10604), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6911), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [206706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6912), 1,
      sym_comment,
    ACTIONS(10606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6913), 1,
      sym_comment,
    ACTIONS(10608), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10610), 1,
      anon_sym_SEMI,
    ACTIONS(10612), 1,
      sym__automatic_semicolon,
    STATE(6914), 1,
      sym_comment,
  [206750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6915), 1,
      sym_comment,
    ACTIONS(10614), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10616), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_statement_block,
    STATE(6916), 1,
      sym_comment,
  [206780] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(122), 1,
      sym_parenthesized_expression,
    STATE(6917), 1,
      sym_comment,
  [206796] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(117), 1,
      sym_parenthesized_expression,
    STATE(6918), 1,
      sym_comment,
  [206812] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10618), 1,
      sym_identifier,
    STATE(6154), 1,
      sym_nested_identifier,
    STATE(6919), 1,
      sym_comment,
  [206828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6920), 1,
      sym_comment,
    ACTIONS(3557), 2,
      anon_sym_else,
      anon_sym_while,
  [206842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(3540), 1,
      sym_class_body,
    STATE(6921), 1,
      sym_comment,
  [206858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(3549), 1,
      sym_class_body,
    STATE(6922), 1,
      sym_comment,
  [206874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6923), 1,
      sym_comment,
    ACTIONS(10620), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [206888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6924), 1,
      sym_comment,
    ACTIONS(2350), 2,
      anon_sym_else,
      anon_sym_while,
  [206902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6925), 1,
      sym_comment,
    ACTIONS(2350), 2,
      anon_sym_else,
      anon_sym_while,
  [206916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6926), 1,
      sym_comment,
    ACTIONS(7528), 2,
      anon_sym_in,
      anon_sym_of,
  [206930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym_parenthesized_expression,
    STATE(6927), 1,
      sym_comment,
  [206946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10196), 1,
      anon_sym_LPAREN,
    STATE(6901), 1,
      sym_parenthesized_expression,
    STATE(6928), 1,
      sym_comment,
  [206962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6929), 1,
      sym_comment,
    ACTIONS(3545), 2,
      anon_sym_else,
      anon_sym_while,
  [206976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1396), 1,
      sym_class_body,
    STATE(6930), 1,
      sym_comment,
  [206992] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(94), 1,
      sym_parenthesized_expression,
    STATE(6931), 1,
      sym_comment,
  [207008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    STATE(2706), 1,
      sym_statement_block,
    STATE(6932), 1,
      sym_comment,
  [207024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6933), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [207038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6934), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [207052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6935), 1,
      sym_comment,
    ACTIONS(3543), 2,
      anon_sym_else,
      anon_sym_while,
  [207066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6936), 1,
      sym_comment,
    ACTIONS(3539), 2,
      anon_sym_else,
      anon_sym_while,
  [207080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6937), 1,
      sym_comment,
    ACTIONS(3537), 2,
      anon_sym_else,
      anon_sym_while,
  [207094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6938), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [207108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6939), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [207122] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3170), 1,
      sym_class_body,
    STATE(6940), 1,
      sym_comment,
  [207138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(6865), 1,
      sym__from_clause,
    STATE(6941), 1,
      sym_comment,
  [207154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6942), 1,
      sym_comment,
    STATE(6989), 1,
      sym_statement_block,
  [207170] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10622), 1,
      anon_sym_SEMI,
    ACTIONS(10624), 1,
      sym__automatic_semicolon,
    STATE(6943), 1,
      sym_comment,
  [207186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5668), 1,
      sym__from_clause,
    STATE(6944), 1,
      sym_comment,
  [207202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6945), 1,
      sym_comment,
    ACTIONS(3479), 2,
      anon_sym_else,
      anon_sym_while,
  [207216] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6946), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [207230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6947), 1,
      sym_comment,
    ACTIONS(9794), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6948), 1,
      sym_comment,
    ACTIONS(3511), 2,
      anon_sym_else,
      anon_sym_while,
  [207258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6949), 1,
      sym_comment,
    ACTIONS(3501), 2,
      anon_sym_else,
      anon_sym_while,
  [207272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6950), 1,
      sym_comment,
    ACTIONS(3499), 2,
      anon_sym_else,
      anon_sym_while,
  [207286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    STATE(2774), 1,
      sym_statement_block,
    STATE(6951), 1,
      sym_comment,
  [207302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(6952), 1,
      sym_comment,
    STATE(7292), 1,
      sym_formal_parameters,
  [207318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6953), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [207332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6954), 1,
      sym_comment,
    ACTIONS(9632), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6955), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [207360] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6956), 1,
      sym_comment,
    ACTIONS(10626), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207374] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6957), 1,
      sym_comment,
    ACTIONS(3497), 2,
      anon_sym_else,
      anon_sym_while,
  [207388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3177), 1,
      sym_statement_block,
    STATE(6958), 1,
      sym_comment,
  [207404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6959), 1,
      sym_comment,
    ACTIONS(3551), 2,
      anon_sym_else,
      anon_sym_while,
  [207418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6960), 1,
      sym_comment,
    ACTIONS(3605), 2,
      anon_sym_else,
      anon_sym_while,
  [207432] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10628), 1,
      sym_identifier,
    STATE(6383), 1,
      sym_nested_identifier,
    STATE(6961), 1,
      sym_comment,
  [207448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5731), 1,
      sym__from_clause,
    STATE(6962), 1,
      sym_comment,
  [207464] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6963), 1,
      sym_comment,
    ACTIONS(3477), 2,
      anon_sym_else,
      anon_sym_while,
  [207478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6964), 1,
      sym_comment,
    ACTIONS(10630), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6965), 1,
      sym_comment,
    ACTIONS(3475), 2,
      anon_sym_else,
      anon_sym_while,
  [207506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6966), 1,
      sym_comment,
    ACTIONS(3473), 2,
      anon_sym_else,
      anon_sym_while,
  [207520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6967), 1,
      sym_comment,
    ACTIONS(9770), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6968), 1,
      sym_comment,
    ACTIONS(3471), 2,
      anon_sym_else,
      anon_sym_while,
  [207548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6969), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(6970), 1,
      sym_comment,
    STATE(7355), 1,
      sym_formal_parameters,
  [207578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6971), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6972), 1,
      sym_comment,
    STATE(6985), 1,
      sym_statement_block,
  [207608] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10632), 1,
      sym_identifier,
    STATE(5784), 1,
      sym_nested_identifier,
    STATE(6973), 1,
      sym_comment,
  [207624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6974), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6975), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3350), 1,
      sym_class_body,
    STATE(6976), 1,
      sym_comment,
  [207668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6977), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(6978), 1,
      sym_comment,
    STATE(7317), 1,
      sym_formal_parameters,
  [207698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6979), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6980), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3349), 1,
      sym_statement_block,
    STATE(6981), 1,
      sym_comment,
  [207742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3348), 1,
      sym_statement_block,
    STATE(6982), 1,
      sym_comment,
  [207758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6983), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3347), 1,
      sym_class_body,
    STATE(6984), 1,
      sym_comment,
  [207788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6985), 1,
      sym_comment,
    ACTIONS(6857), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6847), 1,
      sym_statement_block,
    STATE(6986), 1,
      sym_comment,
  [207818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6987), 1,
      sym_comment,
    ACTIONS(3607), 2,
      anon_sym_else,
      anon_sym_while,
  [207832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6988), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207846] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6989), 1,
      sym_comment,
    ACTIONS(6815), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6849), 1,
      sym_statement_block,
    STATE(6990), 1,
      sym_comment,
  [207876] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6991), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1549), 1,
      sym_class_body,
    STATE(6992), 1,
      sym_comment,
  [207906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8827), 1,
      anon_sym_LBRACE,
    STATE(1548), 1,
      sym_statement_block,
    STATE(6993), 1,
      sym_comment,
  [207922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6994), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6995), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207950] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      sym_class_body,
    STATE(6996), 1,
      sym_comment,
  [207966] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6997), 1,
      sym_comment,
    ACTIONS(10634), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6998), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [207994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6999), 1,
      sym_comment,
    ACTIONS(9653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [208008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7000), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [208022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3623), 1,
      sym_statement_block,
    STATE(7001), 1,
      sym_comment,
  [208038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3357), 1,
      sym_class_body,
    STATE(7002), 1,
      sym_comment,
  [208054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_class_body,
    STATE(7003), 1,
      sym_comment,
  [208070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7004), 1,
      sym_comment,
    ACTIONS(3609), 2,
      anon_sym_else,
      anon_sym_while,
  [208084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7005), 1,
      sym_comment,
    ACTIONS(6878), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [208098] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10636), 1,
      sym_identifier,
    ACTIONS(10638), 1,
      sym_private_property_identifier,
    STATE(7006), 1,
      sym_comment,
  [208114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7007), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [208128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3615), 1,
      sym_statement_block,
    STATE(7008), 1,
      sym_comment,
  [208144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3613), 1,
      sym_statement_block,
    STATE(7009), 1,
      sym_comment,
  [208160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7010), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [208174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3660), 1,
      sym_statement_block,
    STATE(7011), 1,
      sym_comment,
  [208190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7734), 1,
      anon_sym_LBRACE,
    STATE(1724), 1,
      sym_class_body,
    STATE(7012), 1,
      sym_comment,
  [208206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7013), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [208220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3626), 1,
      sym_statement_block,
    STATE(7014), 1,
      sym_comment,
  [208236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7015), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [208250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6375), 1,
      sym_statement_block,
    STATE(7016), 1,
      sym_comment,
  [208266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7017), 1,
      sym_comment,
    ACTIONS(9666), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [208280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3639), 1,
      sym_statement_block,
    STATE(7018), 1,
      sym_comment,
  [208296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3640), 1,
      sym_statement_block,
    STATE(7019), 1,
      sym_comment,
  [208312] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7640), 1,
      anon_sym_LBRACE,
    STATE(6523), 1,
      sym_class_body,
    STATE(7020), 1,
      sym_comment,
  [208328] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7021), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [208342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7022), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [208356] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7023), 1,
      sym_comment,
    ACTIONS(3615), 2,
      anon_sym_else,
      anon_sym_while,
  [208370] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3404), 1,
      sym_class_body,
    STATE(7024), 1,
      sym_comment,
  [208386] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(7025), 1,
      sym_comment,
    STATE(7273), 1,
      sym_formal_parameters,
  [208402] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10640), 1,
      sym_identifier,
    ACTIONS(10642), 1,
      sym_private_property_identifier,
    STATE(7026), 1,
      sym_comment,
  [208418] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10644), 1,
      sym_identifier,
    ACTIONS(10646), 1,
      sym_private_property_identifier,
    STATE(7027), 1,
      sym_comment,
  [208434] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10648), 1,
      sym_identifier,
    ACTIONS(10650), 1,
      sym_private_property_identifier,
    STATE(7028), 1,
      sym_comment,
  [208450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7029), 1,
      sym_comment,
    ACTIONS(10652), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [208464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3410), 1,
      sym_statement_block,
    STATE(7030), 1,
      sym_comment,
  [208480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(6453), 1,
      sym__from_clause,
    STATE(7031), 1,
      sym_comment,
  [208496] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10654), 1,
      sym_identifier,
    ACTIONS(10656), 1,
      sym_private_property_identifier,
    STATE(7032), 1,
      sym_comment,
  [208512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7033), 1,
      sym_comment,
    ACTIONS(3617), 2,
      anon_sym_else,
      anon_sym_while,
  [208526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7034), 1,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_else,
      anon_sym_while,
  [208540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7035), 1,
      sym_comment,
    ACTIONS(10658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7036), 1,
      sym_comment,
    ACTIONS(10660), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7037), 1,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_else,
      anon_sym_while,
  [208582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7038), 1,
      sym_comment,
    ACTIONS(3631), 2,
      anon_sym_else,
      anon_sym_while,
  [208596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7039), 1,
      sym_comment,
    ACTIONS(10662), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [208610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7040), 1,
      sym_comment,
    ACTIONS(10664), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [208624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7041), 1,
      sym_comment,
    ACTIONS(10666), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [208638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    STATE(6870), 1,
      sym_type_annotation,
    STATE(7042), 1,
      sym_comment,
  [208654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7043), 1,
      sym_comment,
    ACTIONS(3633), 2,
      anon_sym_else,
      anon_sym_while,
  [208668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7044), 1,
      sym_comment,
    ACTIONS(3637), 2,
      anon_sym_else,
      anon_sym_while,
  [208682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7045), 1,
      sym_comment,
    ACTIONS(3637), 2,
      anon_sym_else,
      anon_sym_while,
  [208696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(5251), 1,
      sym_formal_parameters,
    STATE(7046), 1,
      sym_comment,
  [208712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10192), 1,
      anon_sym_LPAREN,
    STATE(99), 1,
      sym_parenthesized_expression,
    STATE(7047), 1,
      sym_comment,
  [208728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10196), 1,
      anon_sym_LPAREN,
    STATE(6725), 1,
      sym_parenthesized_expression,
    STATE(7048), 1,
      sym_comment,
  [208744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7049), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [208758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7050), 1,
      sym_comment,
    ACTIONS(3589), 2,
      anon_sym_else,
      anon_sym_while,
  [208772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7918), 1,
      anon_sym_LBRACE,
    STATE(6360), 1,
      sym_statement_block,
    STATE(7051), 1,
      sym_comment,
  [208788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7052), 1,
      sym_comment,
    ACTIONS(3637), 2,
      anon_sym_else,
      anon_sym_while,
  [208802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7053), 1,
      sym_comment,
    ACTIONS(3637), 2,
      anon_sym_else,
      anon_sym_while,
  [208816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(7054), 1,
      sym_comment,
    STATE(7573), 1,
      sym_formal_parameters,
  [208832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7055), 1,
      sym_comment,
    ACTIONS(10668), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [208846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2661), 1,
      sym_class_body,
    STATE(7056), 1,
      sym_comment,
  [208862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    STATE(2663), 1,
      sym_statement_block,
    STATE(7057), 1,
      sym_comment,
  [208878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3650), 1,
      sym_statement_block,
    STATE(7058), 1,
      sym_comment,
  [208894] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10670), 1,
      sym_identifier,
    ACTIONS(10672), 1,
      sym_private_property_identifier,
    STATE(7059), 1,
      sym_comment,
  [208910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10674), 1,
      anon_sym_SEMI,
    ACTIONS(10676), 1,
      sym__automatic_semicolon,
    STATE(7060), 1,
      sym_comment,
  [208926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(6690), 1,
      sym__from_clause,
    STATE(7061), 1,
      sym_comment,
  [208942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3644), 1,
      sym_statement_block,
    STATE(7062), 1,
      sym_comment,
  [208958] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10678), 1,
      sym_identifier,
    ACTIONS(10680), 1,
      sym_private_property_identifier,
    STATE(7063), 1,
      sym_comment,
  [208974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5560), 1,
      sym__from_clause,
    STATE(7064), 1,
      sym_comment,
  [208990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(6349), 1,
      sym_class_body,
    STATE(7065), 1,
      sym_comment,
  [209006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7066), 1,
      sym_comment,
    ACTIONS(3639), 2,
      anon_sym_else,
      anon_sym_while,
  [209020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7067), 1,
      sym_comment,
    ACTIONS(3641), 2,
      anon_sym_else,
      anon_sym_while,
  [209034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    STATE(6343), 1,
      sym_statement_block,
    STATE(7068), 1,
      sym_comment,
  [209050] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10682), 1,
      sym_identifier,
    ACTIONS(10684), 1,
      sym_private_property_identifier,
    STATE(7069), 1,
      sym_comment,
  [209066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7070), 1,
      sym_comment,
    ACTIONS(3485), 2,
      anon_sym_else,
      anon_sym_while,
  [209080] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10686), 1,
      sym_identifier,
    STATE(6285), 1,
      sym_nested_identifier,
    STATE(7071), 1,
      sym_comment,
  [209096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(7072), 1,
      sym_comment,
    STATE(7402), 1,
      sym_formal_parameters,
  [209112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7640), 1,
      anon_sym_LBRACE,
    STATE(6688), 1,
      sym_class_body,
    STATE(7073), 1,
      sym_comment,
  [209128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7640), 1,
      anon_sym_LBRACE,
    STATE(6605), 1,
      sym_class_body,
    STATE(7074), 1,
      sym_comment,
  [209144] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9707), 1,
      sym_identifier,
    ACTIONS(9711), 1,
      sym_private_property_identifier,
    STATE(7075), 1,
      sym_comment,
  [209160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3279), 1,
      sym_class_body,
    STATE(7076), 1,
      sym_comment,
  [209176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7077), 1,
      sym_comment,
    ACTIONS(3595), 2,
      anon_sym_else,
      anon_sym_while,
  [209190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(7078), 1,
      sym_comment,
    STATE(7529), 1,
      sym_formal_parameters,
  [209206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7079), 1,
      sym_comment,
    ACTIONS(3597), 2,
      anon_sym_else,
      anon_sym_while,
  [209220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7080), 1,
      sym_comment,
    ACTIONS(3637), 2,
      anon_sym_else,
      anon_sym_while,
  [209234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7081), 1,
      sym_comment,
    ACTIONS(3599), 2,
      anon_sym_else,
      anon_sym_while,
  [209248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5530), 1,
      sym__from_clause,
    STATE(7082), 1,
      sym_comment,
  [209264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7640), 1,
      anon_sym_LBRACE,
    STATE(6615), 1,
      sym_class_body,
    STATE(7083), 1,
      sym_comment,
  [209280] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7084), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [209294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7085), 1,
      sym_comment,
    ACTIONS(3601), 2,
      anon_sym_else,
      anon_sym_while,
  [209308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7086), 1,
      sym_comment,
    ACTIONS(3611), 2,
      anon_sym_else,
      anon_sym_while,
  [209322] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    STATE(4536), 1,
      sym_formal_parameters,
    STATE(7087), 1,
      sym_comment,
  [209338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(7088), 1,
      sym_comment,
    STATE(7405), 1,
      sym_formal_parameters,
  [209354] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10688), 1,
      sym_identifier,
    ACTIONS(10690), 1,
      sym_private_property_identifier,
    STATE(7089), 1,
      sym_comment,
  [209370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7090), 1,
      sym_comment,
    ACTIONS(3637), 2,
      anon_sym_else,
      anon_sym_while,
  [209384] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10692), 1,
      sym_identifier,
    STATE(6032), 1,
      sym_nested_identifier,
    STATE(7091), 1,
      sym_comment,
  [209400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5674), 1,
      sym__from_clause,
    STATE(7092), 1,
      sym_comment,
  [209416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7093), 1,
      sym_comment,
    ACTIONS(3663), 2,
      anon_sym_else,
      anon_sym_while,
  [209430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_statement_block,
    STATE(7094), 1,
      sym_comment,
  [209446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7624), 1,
      anon_sym_LBRACE,
    STATE(3223), 1,
      sym_class_body,
    STATE(7095), 1,
      sym_comment,
  [209462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(7096), 1,
      sym_comment,
    STATE(7439), 1,
      sym_formal_parameters,
  [209478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(460), 1,
      sym_class_body,
    STATE(7097), 1,
      sym_comment,
  [209494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3151), 1,
      sym_statement_block,
    STATE(7098), 1,
      sym_comment,
  [209510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7099), 1,
      sym_comment,
    ACTIONS(10694), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209524] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7100), 1,
      sym_comment,
    ACTIONS(3659), 2,
      anon_sym_else,
      anon_sym_while,
  [209538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(3254), 1,
      sym_statement_block,
    STATE(7101), 1,
      sym_comment,
  [209554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7102), 1,
      sym_comment,
    ACTIONS(3661), 2,
      anon_sym_else,
      anon_sym_while,
  [209568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10196), 1,
      anon_sym_LPAREN,
    STATE(6587), 1,
      sym_parenthesized_expression,
    STATE(7103), 1,
      sym_comment,
  [209584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(3552), 1,
      sym_class_body,
    STATE(7104), 1,
      sym_comment,
  [209600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7105), 1,
      sym_comment,
    ACTIONS(10696), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [209614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7106), 1,
      sym_comment,
    ACTIONS(3665), 2,
      anon_sym_else,
      anon_sym_while,
  [209628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7107), 1,
      sym_comment,
    ACTIONS(10698), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [209642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10700), 1,
      anon_sym_SEMI,
    ACTIONS(10702), 1,
      sym__automatic_semicolon,
    STATE(7108), 1,
      sym_comment,
  [209658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2769), 1,
      sym_class_body,
    STATE(7109), 1,
      sym_comment,
  [209674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    STATE(2772), 1,
      sym_statement_block,
    STATE(7110), 1,
      sym_comment,
  [209690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_LBRACE,
    STATE(2777), 1,
      sym_statement_block,
    STATE(7111), 1,
      sym_comment,
  [209706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(6555), 1,
      sym__from_clause,
    STATE(7112), 1,
      sym_comment,
  [209722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7113), 1,
      sym_comment,
    ACTIONS(9736), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [209736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(2780), 1,
      sym_class_body,
    STATE(7114), 1,
      sym_comment,
  [209752] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      anon_sym_from,
    STATE(5647), 1,
      sym__from_clause,
    STATE(7115), 1,
      sym_comment,
  [209768] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3652), 1,
      sym_statement_block,
    STATE(7116), 1,
      sym_comment,
  [209784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_LBRACE,
    STATE(3651), 1,
      sym_statement_block,
    STATE(7117), 1,
      sym_comment,
  [209800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(6224), 1,
      sym_class_body,
    STATE(7118), 1,
      sym_comment,
  [209816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    STATE(7119), 1,
      sym_comment,
    STATE(7525), 1,
      sym_formal_parameters,
  [209832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    STATE(6303), 1,
      sym_statement_block,
    STATE(7120), 1,
      sym_comment,
  [209848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(6295), 1,
      sym_class_body,
    STATE(7121), 1,
      sym_comment,
  [209864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10704), 1,
      anon_sym_EQ_GT,
    STATE(7122), 1,
      sym_comment,
  [209877] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5143), 1,
      anon_sym_RPAREN,
    STATE(7123), 1,
      sym_comment,
  [209890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10706), 1,
      anon_sym_RBRACK,
    STATE(7124), 1,
      sym_comment,
  [209903] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10708), 1,
      sym_identifier,
    STATE(7125), 1,
      sym_comment,
  [209916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6021), 1,
      anon_sym_RPAREN,
    STATE(7126), 1,
      sym_comment,
  [209929] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10710), 1,
      anon_sym_RBRACK,
    STATE(7127), 1,
      sym_comment,
  [209942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10712), 1,
      anon_sym_RBRACK,
    STATE(7128), 1,
      sym_comment,
  [209955] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10714), 1,
      anon_sym_RPAREN,
    STATE(7129), 1,
      sym_comment,
  [209968] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10716), 1,
      anon_sym_RBRACK,
    STATE(7130), 1,
      sym_comment,
  [209981] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10718), 1,
      sym_identifier,
    STATE(7131), 1,
      sym_comment,
  [209994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10720), 1,
      anon_sym_while,
    STATE(7132), 1,
      sym_comment,
  [210007] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10722), 1,
      sym_regex_pattern,
    STATE(7133), 1,
      sym_comment,
  [210020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON,
    STATE(7134), 1,
      sym_comment,
  [210033] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10726), 1,
      sym_identifier,
    STATE(7135), 1,
      sym_comment,
  [210046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    STATE(7136), 1,
      sym_comment,
  [210059] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10730), 1,
      sym_identifier,
    STATE(7137), 1,
      sym_comment,
  [210072] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10732), 1,
      sym_identifier,
    STATE(7138), 1,
      sym_comment,
  [210085] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10734), 1,
      anon_sym_RBRACK,
    STATE(7139), 1,
      sym_comment,
  [210098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10736), 1,
      anon_sym_LBRACK,
    STATE(7140), 1,
      sym_comment,
  [210111] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10738), 1,
      anon_sym_RBRACK,
    STATE(7141), 1,
      sym_comment,
  [210124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10740), 1,
      anon_sym_EQ_GT,
    STATE(7142), 1,
      sym_comment,
  [210137] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10742), 1,
      sym_identifier,
    STATE(7143), 1,
      sym_comment,
  [210150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10744), 1,
      anon_sym_RBRACK,
    STATE(7144), 1,
      sym_comment,
  [210163] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10746), 1,
      sym_identifier,
    STATE(7145), 1,
      sym_comment,
  [210176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7530), 1,
      anon_sym_is,
    STATE(7146), 1,
      sym_comment,
  [210189] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10748), 1,
      anon_sym_RBRACK,
    STATE(7147), 1,
      sym_comment,
  [210202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5958), 1,
      anon_sym_RBRACK,
    STATE(7148), 1,
      sym_comment,
  [210215] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10750), 1,
      anon_sym_from,
    STATE(7149), 1,
      sym_comment,
  [210228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10752), 1,
      anon_sym_RBRACK,
    STATE(7150), 1,
      sym_comment,
  [210241] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    STATE(7151), 1,
      sym_comment,
  [210254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10756), 1,
      anon_sym_from,
    STATE(7152), 1,
      sym_comment,
  [210267] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10758), 1,
      sym_identifier,
    STATE(7153), 1,
      sym_comment,
  [210280] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10760), 1,
      sym_identifier,
    STATE(7154), 1,
      sym_comment,
  [210293] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10762), 1,
      sym_identifier,
    STATE(7155), 1,
      sym_comment,
  [210306] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10764), 1,
      sym_identifier,
    STATE(7156), 1,
      sym_comment,
  [210319] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    STATE(7157), 1,
      sym_comment,
  [210332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10768), 1,
      anon_sym_while,
    STATE(7158), 1,
      sym_comment,
  [210345] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10770), 1,
      sym_identifier,
    STATE(7159), 1,
      sym_comment,
  [210358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10772), 1,
      anon_sym_EQ_GT,
    STATE(7160), 1,
      sym_comment,
  [210371] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10774), 1,
      sym_identifier,
    STATE(7161), 1,
      sym_comment,
  [210384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10776), 1,
      anon_sym_EQ_GT,
    STATE(7162), 1,
      sym_comment,
  [210397] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10778), 1,
      sym_identifier,
    STATE(7163), 1,
      sym_comment,
  [210410] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10780), 1,
      sym_identifier,
    STATE(7164), 1,
      sym_comment,
  [210423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10782), 1,
      anon_sym_LPAREN,
    STATE(7165), 1,
      sym_comment,
  [210436] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10784), 1,
      sym_regex_pattern,
    STATE(7166), 1,
      sym_comment,
  [210449] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10786), 1,
      anon_sym_RBRACK,
    STATE(7167), 1,
      sym_comment,
  [210462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10788), 1,
      anon_sym_RBRACK,
    STATE(7168), 1,
      sym_comment,
  [210475] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10790), 1,
      anon_sym_from,
    STATE(7169), 1,
      sym_comment,
  [210488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10792), 1,
      anon_sym_RPAREN,
    STATE(7170), 1,
      sym_comment,
  [210501] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10794), 1,
      anon_sym_RBRACK,
    STATE(7171), 1,
      sym_comment,
  [210514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10796), 1,
      anon_sym_as,
    STATE(7172), 1,
      sym_comment,
  [210527] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10798), 1,
      anon_sym_EQ,
    STATE(7173), 1,
      sym_comment,
  [210540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10800), 1,
      anon_sym_RBRACK,
    STATE(7174), 1,
      sym_comment,
  [210553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10802), 1,
      anon_sym_EQ_GT,
    STATE(7175), 1,
      sym_comment,
  [210566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10804), 1,
      anon_sym_RBRACK,
    STATE(7176), 1,
      sym_comment,
  [210579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10806), 1,
      anon_sym_RBRACK,
    STATE(7177), 1,
      sym_comment,
  [210592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10808), 1,
      anon_sym_require,
    STATE(7178), 1,
      sym_comment,
  [210605] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10810), 1,
      sym_identifier,
    STATE(7179), 1,
      sym_comment,
  [210618] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10812), 1,
      sym_identifier,
    STATE(7180), 1,
      sym_comment,
  [210631] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10814), 1,
      anon_sym_RBRACK,
    STATE(7181), 1,
      sym_comment,
  [210644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10816), 1,
      anon_sym_RBRACK,
    STATE(7182), 1,
      sym_comment,
  [210657] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10818), 1,
      anon_sym_from,
    STATE(7183), 1,
      sym_comment,
  [210670] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10820), 1,
      sym_identifier,
    STATE(7184), 1,
      sym_comment,
  [210683] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10822), 1,
      anon_sym_EQ_GT,
    STATE(7185), 1,
      sym_comment,
  [210696] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10824), 1,
      anon_sym_EQ_GT,
    STATE(7186), 1,
      sym_comment,
  [210709] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10826), 1,
      sym_identifier,
    STATE(7187), 1,
      sym_comment,
  [210722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10828), 1,
      anon_sym_EQ_GT,
    STATE(7188), 1,
      sym_comment,
  [210735] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10830), 1,
      anon_sym_DOT,
    STATE(7189), 1,
      sym_comment,
  [210748] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10832), 1,
      sym_identifier,
    STATE(7190), 1,
      sym_comment,
  [210761] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10834), 1,
      anon_sym_EQ_GT,
    STATE(7191), 1,
      sym_comment,
  [210774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6307), 1,
      anon_sym_in,
    STATE(7192), 1,
      sym_comment,
  [210787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10836), 1,
      anon_sym_EQ_GT,
    STATE(7193), 1,
      sym_comment,
  [210800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10838), 1,
      anon_sym_RBRACK,
    STATE(7194), 1,
      sym_comment,
  [210813] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10840), 1,
      sym_identifier,
    STATE(7195), 1,
      sym_comment,
  [210826] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10842), 1,
      anon_sym_RBRACK,
    STATE(7196), 1,
      sym_comment,
  [210839] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10844), 1,
      sym_identifier,
    STATE(7197), 1,
      sym_comment,
  [210852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10846), 1,
      anon_sym_COLON,
    STATE(7198), 1,
      sym_comment,
  [210865] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5944), 1,
      anon_sym_RBRACK,
    STATE(7199), 1,
      sym_comment,
  [210878] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7135), 1,
      anon_sym_is,
    STATE(7200), 1,
      sym_comment,
  [210891] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10848), 1,
      anon_sym_RPAREN,
    STATE(7201), 1,
      sym_comment,
  [210904] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10850), 1,
      sym_identifier,
    STATE(7202), 1,
      sym_comment,
  [210917] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10852), 1,
      sym_identifier,
    STATE(7203), 1,
      sym_comment,
  [210930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10854), 1,
      anon_sym_RBRACK,
    STATE(7204), 1,
      sym_comment,
  [210943] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10856), 1,
      sym_identifier,
    STATE(7205), 1,
      sym_comment,
  [210956] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10858), 1,
      sym_identifier,
    STATE(7206), 1,
      sym_comment,
  [210969] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10860), 1,
      anon_sym_RBRACK,
    STATE(7207), 1,
      sym_comment,
  [210982] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10862), 1,
      sym_identifier,
    STATE(7208), 1,
      sym_comment,
  [210995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10864), 1,
      anon_sym_DOT,
    STATE(7209), 1,
      sym_comment,
  [211008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10866), 1,
      anon_sym_while,
    STATE(7210), 1,
      sym_comment,
  [211021] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10868), 1,
      sym_identifier,
    STATE(7211), 1,
      sym_comment,
  [211034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6017), 1,
      anon_sym_COLON,
    STATE(7212), 1,
      sym_comment,
  [211047] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10870), 1,
      sym_identifier,
    STATE(7213), 1,
      sym_comment,
  [211060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5973), 1,
      anon_sym_RPAREN,
    STATE(7214), 1,
      sym_comment,
  [211073] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10872), 1,
      sym_identifier,
    STATE(7215), 1,
      sym_comment,
  [211086] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10874), 1,
      sym_identifier,
    STATE(7216), 1,
      sym_comment,
  [211099] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10876), 1,
      sym_regex_pattern,
    STATE(7217), 1,
      sym_comment,
  [211112] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10878), 1,
      sym_identifier,
    STATE(7218), 1,
      sym_comment,
  [211125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5981), 1,
      anon_sym_RPAREN,
    STATE(7219), 1,
      sym_comment,
  [211138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5983), 1,
      anon_sym_RPAREN,
    STATE(7220), 1,
      sym_comment,
  [211151] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10880), 1,
      anon_sym_EQ,
    STATE(7221), 1,
      sym_comment,
  [211164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5899), 1,
      anon_sym_in,
    STATE(7222), 1,
      sym_comment,
  [211177] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6064), 1,
      anon_sym_in,
    STATE(7223), 1,
      sym_comment,
  [211190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10882), 1,
      anon_sym_EQ_GT,
    STATE(7224), 1,
      sym_comment,
  [211203] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10884), 1,
      anon_sym_class,
    STATE(7225), 1,
      sym_comment,
  [211216] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10886), 1,
      anon_sym_COLON,
    STATE(7226), 1,
      sym_comment,
  [211229] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10888), 1,
      anon_sym_EQ_GT,
    STATE(7227), 1,
      sym_comment,
  [211242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10890), 1,
      anon_sym_EQ_GT,
    STATE(7228), 1,
      sym_comment,
  [211255] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10892), 1,
      anon_sym_EQ,
    STATE(7229), 1,
      sym_comment,
  [211268] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10894), 1,
      anon_sym_namespace,
    STATE(7230), 1,
      sym_comment,
  [211281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10896), 1,
      anon_sym_EQ_GT,
    STATE(7231), 1,
      sym_comment,
  [211294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10898), 1,
      anon_sym_EQ_GT,
    STATE(7232), 1,
      sym_comment,
  [211307] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10900), 1,
      anon_sym_EQ,
    STATE(7233), 1,
      sym_comment,
  [211320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10902), 1,
      anon_sym_EQ,
    STATE(7234), 1,
      sym_comment,
  [211333] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10904), 1,
      anon_sym_EQ_GT,
    STATE(7235), 1,
      sym_comment,
  [211346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6662), 1,
      anon_sym_in,
    STATE(7236), 1,
      sym_comment,
  [211359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10906), 1,
      anon_sym_from,
    STATE(7237), 1,
      sym_comment,
  [211372] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10908), 1,
      sym_identifier,
    STATE(7238), 1,
      sym_comment,
  [211385] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10910), 1,
      anon_sym_EQ_GT,
    STATE(7239), 1,
      sym_comment,
  [211398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5257), 1,
      anon_sym_RPAREN,
    STATE(7240), 1,
      sym_comment,
  [211411] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10912), 1,
      anon_sym_EQ_GT,
    STATE(7241), 1,
      sym_comment,
  [211424] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10914), 1,
      anon_sym_EQ_GT,
    STATE(7242), 1,
      sym_comment,
  [211437] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10916), 1,
      anon_sym_EQ_GT,
    STATE(7243), 1,
      sym_comment,
  [211450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10918), 1,
      anon_sym_EQ_GT,
    STATE(7244), 1,
      sym_comment,
  [211463] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10920), 1,
      anon_sym_EQ_GT,
    STATE(7245), 1,
      sym_comment,
  [211476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10922), 1,
      anon_sym_EQ,
    STATE(7246), 1,
      sym_comment,
  [211489] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10924), 1,
      anon_sym_SLASH2,
    STATE(7247), 1,
      sym_comment,
  [211502] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10926), 1,
      sym_identifier,
    STATE(7248), 1,
      sym_comment,
  [211515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6007), 1,
      anon_sym_RBRACK,
    STATE(7249), 1,
      sym_comment,
  [211528] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10928), 1,
      anon_sym_symbol,
    STATE(7250), 1,
      sym_comment,
  [211541] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10930), 1,
      anon_sym_EQ,
    STATE(7251), 1,
      sym_comment,
  [211554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10932), 1,
      anon_sym_new,
    STATE(7252), 1,
      sym_comment,
  [211567] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9559), 1,
      sym_identifier,
    STATE(7253), 1,
      sym_comment,
  [211580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10934), 1,
      anon_sym_class,
    STATE(7254), 1,
      sym_comment,
  [211593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10936), 1,
      anon_sym_EQ_GT,
    STATE(7255), 1,
      sym_comment,
  [211606] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10938), 1,
      anon_sym_RBRACK,
    STATE(7256), 1,
      sym_comment,
  [211619] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10940), 1,
      anon_sym_EQ,
    STATE(7257), 1,
      sym_comment,
  [211632] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10942), 1,
      anon_sym_RBRACK,
    STATE(7258), 1,
      sym_comment,
  [211645] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10944), 1,
      sym_identifier,
    STATE(7259), 1,
      sym_comment,
  [211658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10946), 1,
      anon_sym_EQ,
    STATE(7260), 1,
      sym_comment,
  [211671] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10948), 1,
      anon_sym_RBRACK,
    STATE(7261), 1,
      sym_comment,
  [211684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10950), 1,
      anon_sym_RBRACK,
    STATE(7262), 1,
      sym_comment,
  [211697] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10952), 1,
      sym_identifier,
    STATE(7263), 1,
      sym_comment,
  [211710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10954), 1,
      anon_sym_RBRACK,
    STATE(7264), 1,
      sym_comment,
  [211723] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10956), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_comment,
  [211736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5923), 1,
      anon_sym_RBRACE,
    STATE(7266), 1,
      sym_comment,
  [211749] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10958), 1,
      anon_sym_RBRACK,
    STATE(7267), 1,
      sym_comment,
  [211762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10960), 1,
      anon_sym_RBRACK,
    STATE(7268), 1,
      sym_comment,
  [211775] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10962), 1,
      anon_sym_RBRACK,
    STATE(7269), 1,
      sym_comment,
  [211788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10964), 1,
      anon_sym_EQ_GT,
    STATE(7270), 1,
      sym_comment,
  [211801] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10966), 1,
      anon_sym_RBRACK,
    STATE(7271), 1,
      sym_comment,
  [211814] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10968), 1,
      anon_sym_RBRACK,
    STATE(7272), 1,
      sym_comment,
  [211827] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10970), 1,
      anon_sym_EQ_GT,
    STATE(7273), 1,
      sym_comment,
  [211840] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10972), 1,
      sym_identifier,
    STATE(7274), 1,
      sym_comment,
  [211853] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10974), 1,
      sym_identifier,
    STATE(7275), 1,
      sym_comment,
  [211866] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10976), 1,
      sym_identifier,
    STATE(7276), 1,
      sym_comment,
  [211879] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10978), 1,
      anon_sym_RPAREN,
    STATE(7277), 1,
      sym_comment,
  [211892] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10980), 1,
      sym_identifier,
    STATE(7278), 1,
      sym_comment,
  [211905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10982), 1,
      anon_sym_from,
    STATE(7279), 1,
      sym_comment,
  [211918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10984), 1,
      anon_sym_RPAREN,
    STATE(7280), 1,
      sym_comment,
  [211931] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_RPAREN,
    STATE(7281), 1,
      sym_comment,
  [211944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10986), 1,
      anon_sym_COLON,
    STATE(7282), 1,
      sym_comment,
  [211957] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10988), 1,
      sym_number,
    STATE(7283), 1,
      sym_comment,
  [211970] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10990), 1,
      anon_sym_RPAREN,
    STATE(7284), 1,
      sym_comment,
  [211983] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10992), 1,
      anon_sym_EQ_GT,
    STATE(7285), 1,
      sym_comment,
  [211996] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10994), 1,
      sym_identifier,
    STATE(7286), 1,
      sym_comment,
  [212009] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10996), 1,
      sym_identifier,
    STATE(7287), 1,
      sym_comment,
  [212022] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10998), 1,
      sym_identifier,
    STATE(7288), 1,
      sym_comment,
  [212035] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11000), 1,
      anon_sym_RBRACK,
    STATE(7289), 1,
      sym_comment,
  [212048] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11002), 1,
      anon_sym_EQ_GT,
    STATE(7290), 1,
      sym_comment,
  [212061] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11004), 1,
      anon_sym_RBRACK,
    STATE(7291), 1,
      sym_comment,
  [212074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11006), 1,
      anon_sym_EQ_GT,
    STATE(7292), 1,
      sym_comment,
  [212087] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11008), 1,
      sym_identifier,
    STATE(7293), 1,
      sym_comment,
  [212100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9847), 1,
      anon_sym_RBRACK,
    STATE(7294), 1,
      sym_comment,
  [212113] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11010), 1,
      anon_sym_RPAREN,
    STATE(7295), 1,
      sym_comment,
  [212126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9450), 1,
      anon_sym_RBRACK,
    STATE(7296), 1,
      sym_comment,
  [212139] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5872), 1,
      anon_sym_RBRACK,
    STATE(7297), 1,
      sym_comment,
  [212152] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11012), 1,
      anon_sym_EQ_GT,
    STATE(7298), 1,
      sym_comment,
  [212165] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7433), 1,
      anon_sym_is,
    STATE(7299), 1,
      sym_comment,
  [212178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6025), 1,
      anon_sym_RPAREN,
    STATE(7300), 1,
      sym_comment,
  [212191] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11014), 1,
      anon_sym_new,
    STATE(7301), 1,
      sym_comment,
  [212204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11016), 1,
      anon_sym_RBRACK,
    STATE(7302), 1,
      sym_comment,
  [212217] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11018), 1,
      anon_sym_RBRACK,
    STATE(7303), 1,
      sym_comment,
  [212230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11020), 1,
      anon_sym_RBRACK,
    STATE(7304), 1,
      sym_comment,
  [212243] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11022), 1,
      anon_sym_RBRACK,
    STATE(7305), 1,
      sym_comment,
  [212256] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11024), 1,
      sym_identifier,
    STATE(7306), 1,
      sym_comment,
  [212269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11026), 1,
      anon_sym_RBRACK,
    STATE(7307), 1,
      sym_comment,
  [212282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11028), 1,
      anon_sym_LBRACE,
    STATE(7308), 1,
      sym_comment,
  [212295] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11030), 1,
      anon_sym_RBRACK,
    STATE(7309), 1,
      sym_comment,
  [212308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11032), 1,
      anon_sym_RBRACK,
    STATE(7310), 1,
      sym_comment,
  [212321] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11034), 1,
      sym_identifier,
    STATE(7311), 1,
      sym_comment,
  [212334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11036), 1,
      anon_sym_RBRACK,
    STATE(7312), 1,
      sym_comment,
  [212347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11038), 1,
      anon_sym_RBRACK,
    STATE(7313), 1,
      sym_comment,
  [212360] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11040), 1,
      anon_sym_readonly,
    STATE(7314), 1,
      sym_comment,
  [212373] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11042), 1,
      anon_sym_EQ_GT,
    STATE(7315), 1,
      sym_comment,
  [212386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11044), 1,
      anon_sym_RBRACK,
    STATE(7316), 1,
      sym_comment,
  [212399] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11046), 1,
      anon_sym_EQ_GT,
    STATE(7317), 1,
      sym_comment,
  [212412] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11048), 1,
      sym_identifier,
    STATE(7318), 1,
      sym_comment,
  [212425] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11050), 1,
      sym_identifier,
    STATE(7319), 1,
      sym_comment,
  [212438] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11052), 1,
      sym_identifier,
    STATE(7320), 1,
      sym_comment,
  [212451] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11054), 1,
      anon_sym_EQ_GT,
    STATE(7321), 1,
      sym_comment,
  [212464] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9883), 1,
      anon_sym_RBRACK,
    STATE(7322), 1,
      sym_comment,
  [212477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11056), 1,
      anon_sym_RBRACK,
    STATE(7323), 1,
      sym_comment,
  [212490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11058), 1,
      anon_sym_RBRACK,
    STATE(7324), 1,
      sym_comment,
  [212503] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11060), 1,
      anon_sym_RBRACK,
    STATE(7325), 1,
      sym_comment,
  [212516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11062), 1,
      anon_sym_RBRACK,
    STATE(7326), 1,
      sym_comment,
  [212529] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11064), 1,
      anon_sym_RBRACK,
    STATE(7327), 1,
      sym_comment,
  [212542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11066), 1,
      anon_sym_RBRACK,
    STATE(7328), 1,
      sym_comment,
  [212555] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11068), 1,
      anon_sym_RBRACK,
    STATE(7329), 1,
      sym_comment,
  [212568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11070), 1,
      anon_sym_RBRACK,
    STATE(7330), 1,
      sym_comment,
  [212581] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11072), 1,
      anon_sym_RBRACK,
    STATE(7331), 1,
      sym_comment,
  [212594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11074), 1,
      anon_sym_RBRACK,
    STATE(7332), 1,
      sym_comment,
  [212607] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11076), 1,
      anon_sym_RBRACK,
    STATE(7333), 1,
      sym_comment,
  [212620] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11078), 1,
      anon_sym_RPAREN,
    STATE(7334), 1,
      sym_comment,
  [212633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11080), 1,
      anon_sym_RBRACK,
    STATE(7335), 1,
      sym_comment,
  [212646] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11082), 1,
      anon_sym_RBRACK,
    STATE(7336), 1,
      sym_comment,
  [212659] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11084), 1,
      anon_sym_RBRACK,
    STATE(7337), 1,
      sym_comment,
  [212672] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11086), 1,
      sym_identifier,
    STATE(7338), 1,
      sym_comment,
  [212685] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11088), 1,
      sym_identifier,
    STATE(7339), 1,
      sym_comment,
  [212698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11090), 1,
      anon_sym_RBRACK,
    STATE(7340), 1,
      sym_comment,
  [212711] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11092), 1,
      anon_sym_RBRACK,
    STATE(7341), 1,
      sym_comment,
  [212724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11094), 1,
      anon_sym_RBRACK,
    STATE(7342), 1,
      sym_comment,
  [212737] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11096), 1,
      anon_sym_RBRACK,
    STATE(7343), 1,
      sym_comment,
  [212750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5586), 1,
      anon_sym_in,
    STATE(7344), 1,
      sym_comment,
  [212763] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11098), 1,
      anon_sym_EQ_GT,
    STATE(7345), 1,
      sym_comment,
  [212776] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11100), 1,
      anon_sym_COLON,
    STATE(7346), 1,
      sym_comment,
  [212789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11102), 1,
      anon_sym_EQ,
    STATE(7347), 1,
      sym_comment,
  [212802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11104), 1,
      anon_sym_EQ_GT,
    STATE(7348), 1,
      sym_comment,
  [212815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11106), 1,
      anon_sym_EQ_GT,
    STATE(7349), 1,
      sym_comment,
  [212828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11108), 1,
      anon_sym_EQ_GT,
    STATE(7350), 1,
      sym_comment,
  [212841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11110), 1,
      anon_sym_EQ_GT,
    STATE(7351), 1,
      sym_comment,
  [212854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11112), 1,
      anon_sym_RBRACK,
    STATE(7352), 1,
      sym_comment,
  [212867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11114), 1,
      anon_sym_EQ,
    STATE(7353), 1,
      sym_comment,
  [212880] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11116), 1,
      anon_sym_symbol,
    STATE(7354), 1,
      sym_comment,
  [212893] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11118), 1,
      anon_sym_EQ_GT,
    STATE(7355), 1,
      sym_comment,
  [212906] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11120), 1,
      sym_identifier,
    STATE(7356), 1,
      sym_comment,
  [212919] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11122), 1,
      anon_sym_EQ,
    STATE(7357), 1,
      sym_comment,
  [212932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11124), 1,
      anon_sym_EQ,
    STATE(7358), 1,
      sym_comment,
  [212945] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11126), 1,
      sym_identifier,
    STATE(7359), 1,
      sym_comment,
  [212958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11128), 1,
      anon_sym_DOT,
    STATE(7360), 1,
      sym_comment,
  [212971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11130), 1,
      anon_sym_as,
    STATE(7361), 1,
      sym_comment,
  [212984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11132), 1,
      anon_sym_RPAREN,
    STATE(7362), 1,
      sym_comment,
  [212997] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11134), 1,
      anon_sym_from,
    STATE(7363), 1,
      sym_comment,
  [213010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9929), 1,
      anon_sym_RBRACE,
    STATE(7364), 1,
      sym_comment,
  [213023] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11136), 1,
      anon_sym_RBRACK,
    STATE(7365), 1,
      sym_comment,
  [213036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11138), 1,
      anon_sym_RPAREN,
    STATE(7366), 1,
      sym_comment,
  [213049] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11140), 1,
      anon_sym_RPAREN,
    STATE(7367), 1,
      sym_comment,
  [213062] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11142), 1,
      anon_sym_RPAREN,
    STATE(7368), 1,
      sym_comment,
  [213075] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11144), 1,
      anon_sym_while,
    STATE(7369), 1,
      sym_comment,
  [213088] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11146), 1,
      sym_identifier,
    STATE(7370), 1,
      sym_comment,
  [213101] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11148), 1,
      sym_identifier,
    STATE(7371), 1,
      sym_comment,
  [213114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11150), 1,
      anon_sym_EQ_GT,
    STATE(7372), 1,
      sym_comment,
  [213127] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11152), 1,
      anon_sym_EQ_GT,
    STATE(7373), 1,
      sym_comment,
  [213140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5439), 1,
      anon_sym_in,
    STATE(7374), 1,
      sym_comment,
  [213153] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11154), 1,
      anon_sym_EQ,
    STATE(7375), 1,
      sym_comment,
  [213166] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11156), 1,
      anon_sym_SLASH2,
    STATE(7376), 1,
      sym_comment,
  [213179] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11158), 1,
      sym_identifier,
    STATE(7377), 1,
      sym_comment,
  [213192] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11160), 1,
      sym_identifier,
    STATE(7378), 1,
      sym_comment,
  [213205] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11162), 1,
      sym_number,
    STATE(7379), 1,
      sym_comment,
  [213218] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11164), 1,
      sym_identifier,
    STATE(7380), 1,
      sym_comment,
  [213231] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5084), 1,
      anon_sym_RPAREN,
    STATE(7381), 1,
      sym_comment,
  [213244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11166), 1,
      anon_sym_EQ,
    STATE(7382), 1,
      sym_comment,
  [213257] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11168), 1,
      anon_sym_EQ_GT,
    STATE(7383), 1,
      sym_comment,
  [213270] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11170), 1,
      sym_identifier,
    STATE(7384), 1,
      sym_comment,
  [213283] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11172), 1,
      sym_identifier,
    STATE(7385), 1,
      sym_comment,
  [213296] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11174), 1,
      sym_identifier,
    STATE(7386), 1,
      sym_comment,
  [213309] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    STATE(7387), 1,
      sym_comment,
  [213322] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11178), 1,
      sym_identifier,
    STATE(7388), 1,
      sym_comment,
  [213335] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11180), 1,
      sym_identifier,
    STATE(7389), 1,
      sym_comment,
  [213348] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11182), 1,
      sym_regex_pattern,
    STATE(7390), 1,
      sym_comment,
  [213361] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11184), 1,
      sym_identifier,
    STATE(7391), 1,
      sym_comment,
  [213374] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11186), 1,
      sym_identifier,
    STATE(7392), 1,
      sym_comment,
  [213387] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11188), 1,
      sym_identifier,
    STATE(7393), 1,
      sym_comment,
  [213400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11190), 1,
      anon_sym_RPAREN,
    STATE(7394), 1,
      sym_comment,
  [213413] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11192), 1,
      anon_sym_EQ,
    STATE(7395), 1,
      sym_comment,
  [213426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8711), 1,
      anon_sym_EQ,
    STATE(7396), 1,
      sym_comment,
  [213439] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9601), 1,
      anon_sym_RBRACK,
    STATE(7397), 1,
      sym_comment,
  [213452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11194), 1,
      anon_sym_EQ_GT,
    STATE(7398), 1,
      sym_comment,
  [213465] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11196), 1,
      sym_identifier,
    STATE(7399), 1,
      sym_comment,
  [213478] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11198), 1,
      sym_identifier,
    STATE(7400), 1,
      sym_comment,
  [213491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10001), 1,
      anon_sym_RBRACE,
    STATE(7401), 1,
      sym_comment,
  [213504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11200), 1,
      anon_sym_EQ_GT,
    STATE(7402), 1,
      sym_comment,
  [213517] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11202), 1,
      sym_identifier,
    STATE(7403), 1,
      sym_comment,
  [213530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11204), 1,
      anon_sym_EQ_GT,
    STATE(7404), 1,
      sym_comment,
  [213543] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11206), 1,
      anon_sym_EQ_GT,
    STATE(7405), 1,
      sym_comment,
  [213556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11208), 1,
      anon_sym_EQ_GT,
    STATE(7406), 1,
      sym_comment,
  [213569] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11210), 1,
      anon_sym_RPAREN,
    STATE(7407), 1,
      sym_comment,
  [213582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5985), 1,
      anon_sym_is,
    STATE(7408), 1,
      sym_comment,
  [213595] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11212), 1,
      anon_sym_class,
    STATE(7409), 1,
      sym_comment,
  [213608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5942), 1,
      anon_sym_RPAREN,
    STATE(7410), 1,
      sym_comment,
  [213621] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11214), 1,
      anon_sym_RBRACK,
    STATE(7411), 1,
      sym_comment,
  [213634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_RBRACK,
    STATE(7412), 1,
      sym_comment,
  [213647] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11218), 1,
      anon_sym_RBRACK,
    STATE(7413), 1,
      sym_comment,
  [213660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11220), 1,
      anon_sym_RBRACK,
    STATE(7414), 1,
      sym_comment,
  [213673] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11222), 1,
      sym_identifier,
    STATE(7415), 1,
      sym_comment,
  [213686] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11224), 1,
      sym_identifier,
    STATE(7416), 1,
      sym_comment,
  [213699] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11226), 1,
      anon_sym_RBRACK,
    STATE(7417), 1,
      sym_comment,
  [213712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11228), 1,
      anon_sym_RBRACK,
    STATE(7418), 1,
      sym_comment,
  [213725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11230), 1,
      anon_sym_RBRACK,
    STATE(7419), 1,
      sym_comment,
  [213738] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11232), 1,
      sym_identifier,
    STATE(7420), 1,
      sym_comment,
  [213751] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11234), 1,
      anon_sym_RBRACK,
    STATE(7421), 1,
      sym_comment,
  [213764] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10144), 1,
      sym_identifier,
    STATE(7422), 1,
      sym_comment,
  [213777] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11236), 1,
      anon_sym_RBRACK,
    STATE(7423), 1,
      sym_comment,
  [213790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11238), 1,
      anon_sym_EQ_GT,
    STATE(7424), 1,
      sym_comment,
  [213803] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11240), 1,
      anon_sym_symbol,
    STATE(7425), 1,
      sym_comment,
  [213816] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11242), 1,
      anon_sym_RBRACK,
    STATE(7426), 1,
      sym_comment,
  [213829] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11244), 1,
      sym_identifier,
    STATE(7427), 1,
      sym_comment,
  [213842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11246), 1,
      anon_sym_EQ_GT,
    STATE(7428), 1,
      sym_comment,
  [213855] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11248), 1,
      anon_sym_DOT,
    STATE(7429), 1,
      sym_comment,
  [213868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11250), 1,
      sym_number,
    STATE(7430), 1,
      sym_comment,
  [213881] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11252), 1,
      anon_sym_symbol,
    STATE(7431), 1,
      sym_comment,
  [213894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6381), 1,
      anon_sym_in,
    STATE(7432), 1,
      sym_comment,
  [213907] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11254), 1,
      anon_sym_EQ_GT,
    STATE(7433), 1,
      sym_comment,
  [213920] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11256), 1,
      sym_identifier,
    STATE(7434), 1,
      sym_comment,
  [213933] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_EQ_GT,
    STATE(7435), 1,
      sym_comment,
  [213946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11260), 1,
      anon_sym_EQ_GT,
    STATE(7436), 1,
      sym_comment,
  [213959] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11262), 1,
      anon_sym_EQ_GT,
    STATE(7437), 1,
      sym_comment,
  [213972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11264), 1,
      anon_sym_new,
    STATE(7438), 1,
      sym_comment,
  [213985] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11266), 1,
      anon_sym_EQ_GT,
    STATE(7439), 1,
      sym_comment,
  [213998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11268), 1,
      sym_number,
    STATE(7440), 1,
      sym_comment,
  [214011] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11270), 1,
      sym_identifier,
    STATE(7441), 1,
      sym_comment,
  [214024] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11272), 1,
      anon_sym_SLASH2,
    STATE(7442), 1,
      sym_comment,
  [214037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11274), 1,
      anon_sym_EQ,
    STATE(7443), 1,
      sym_comment,
  [214050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11276), 1,
      anon_sym_target,
    STATE(7444), 1,
      sym_comment,
  [214063] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11278), 1,
      anon_sym_EQ,
    STATE(7445), 1,
      sym_comment,
  [214076] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11280), 1,
      sym_identifier,
    STATE(7446), 1,
      sym_comment,
  [214089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11282), 1,
      anon_sym_RBRACK,
    STATE(7447), 1,
      sym_comment,
  [214102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11284), 1,
      anon_sym_EQ_GT,
    STATE(7448), 1,
      sym_comment,
  [214115] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9237), 1,
      anon_sym_EQ_GT,
    STATE(7449), 1,
      sym_comment,
  [214128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9243), 1,
      anon_sym_EQ_GT,
    STATE(7450), 1,
      sym_comment,
  [214141] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10071), 1,
      anon_sym_LBRACE,
    STATE(7451), 1,
      sym_comment,
  [214154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11286), 1,
      anon_sym_RBRACK,
    STATE(7452), 1,
      sym_comment,
  [214167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11288), 1,
      anon_sym_RBRACK,
    STATE(7453), 1,
      sym_comment,
  [214180] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11290), 1,
      anon_sym_SLASH2,
    STATE(7454), 1,
      sym_comment,
  [214193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11292), 1,
      anon_sym_EQ,
    STATE(7455), 1,
      sym_comment,
  [214206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11294), 1,
      anon_sym_RBRACK,
    STATE(7456), 1,
      sym_comment,
  [214219] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11296), 1,
      sym_identifier,
    STATE(7457), 1,
      sym_comment,
  [214232] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11298), 1,
      sym_identifier,
    STATE(7458), 1,
      sym_comment,
  [214245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11300), 1,
      anon_sym_class,
    STATE(7459), 1,
      sym_comment,
  [214258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11302), 1,
      anon_sym_namespace,
    STATE(7460), 1,
      sym_comment,
  [214271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11304), 1,
      anon_sym_RBRACK,
    STATE(7461), 1,
      sym_comment,
  [214284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11306), 1,
      anon_sym_RBRACK,
    STATE(7462), 1,
      sym_comment,
  [214297] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11308), 1,
      anon_sym_RBRACK,
    STATE(7463), 1,
      sym_comment,
  [214310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11310), 1,
      anon_sym_RBRACK,
    STATE(7464), 1,
      sym_comment,
  [214323] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11312), 1,
      anon_sym_RBRACK,
    STATE(7465), 1,
      sym_comment,
  [214336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11314), 1,
      anon_sym_RBRACK,
    STATE(7466), 1,
      sym_comment,
  [214349] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11316), 1,
      anon_sym_target,
    STATE(7467), 1,
      sym_comment,
  [214362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11318), 1,
      anon_sym_EQ_GT,
    STATE(7468), 1,
      sym_comment,
  [214375] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11320), 1,
      anon_sym_new,
    STATE(7469), 1,
      sym_comment,
  [214388] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9623), 1,
      sym_identifier,
    STATE(7470), 1,
      sym_comment,
  [214401] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11322), 1,
      anon_sym_class,
    STATE(7471), 1,
      sym_comment,
  [214414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11324), 1,
      anon_sym_EQ,
    STATE(7472), 1,
      sym_comment,
  [214427] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11326), 1,
      anon_sym_EQ_GT,
    STATE(7473), 1,
      sym_comment,
  [214440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11328), 1,
      anon_sym_EQ,
    STATE(7474), 1,
      sym_comment,
  [214453] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11330), 1,
      anon_sym_RPAREN,
    STATE(7475), 1,
      sym_comment,
  [214466] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11332), 1,
      sym_identifier,
    STATE(7476), 1,
      sym_comment,
  [214479] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11334), 1,
      anon_sym_EQ,
    STATE(7477), 1,
      sym_comment,
  [214492] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11336), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_comment,
  [214505] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11338), 1,
      sym_identifier,
    STATE(7479), 1,
      sym_comment,
  [214518] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11340), 1,
      sym_identifier,
    STATE(7480), 1,
      sym_comment,
  [214531] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11342), 1,
      anon_sym_EQ_GT,
    STATE(7481), 1,
      sym_comment,
  [214544] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11344), 1,
      anon_sym_SLASH2,
    STATE(7482), 1,
      sym_comment,
  [214557] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    STATE(7483), 1,
      sym_comment,
  [214570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5399), 1,
      anon_sym_RPAREN,
    STATE(7484), 1,
      sym_comment,
  [214583] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11348), 1,
      anon_sym_while,
    STATE(7485), 1,
      sym_comment,
  [214596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11350), 1,
      anon_sym_EQ_GT,
    STATE(7486), 1,
      sym_comment,
  [214609] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11352), 1,
      anon_sym_EQ_GT,
    STATE(7487), 1,
      sym_comment,
  [214622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5323), 1,
      anon_sym_RPAREN,
    STATE(7488), 1,
      sym_comment,
  [214635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11354), 1,
      anon_sym_EQ_GT,
    STATE(7489), 1,
      sym_comment,
  [214648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6277), 1,
      anon_sym_in,
    STATE(7490), 1,
      sym_comment,
  [214661] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11356), 1,
      anon_sym_EQ,
    STATE(7491), 1,
      sym_comment,
  [214674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11358), 1,
      anon_sym_EQ,
    STATE(7492), 1,
      sym_comment,
  [214687] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11360), 1,
      sym_identifier,
    STATE(7493), 1,
      sym_comment,
  [214700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11362), 1,
      anon_sym_RPAREN,
    STATE(7494), 1,
      sym_comment,
  [214713] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11364), 1,
      anon_sym_class,
    STATE(7495), 1,
      sym_comment,
  [214726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11366), 1,
      anon_sym_namespace,
    STATE(7496), 1,
      sym_comment,
  [214739] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11368), 1,
      sym_identifier,
    STATE(7497), 1,
      sym_comment,
  [214752] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11370), 1,
      sym_identifier,
    STATE(7498), 1,
      sym_comment,
  [214765] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11372), 1,
      sym_number,
    STATE(7499), 1,
      sym_comment,
  [214778] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11374), 1,
      sym_identifier,
    STATE(7500), 1,
      sym_comment,
  [214791] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11376), 1,
      sym_identifier,
    STATE(7501), 1,
      sym_comment,
  [214804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_symbol,
    STATE(7502), 1,
      sym_comment,
  [214817] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11380), 1,
      anon_sym_EQ_GT,
    STATE(7503), 1,
      sym_comment,
  [214830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_new,
    STATE(7504), 1,
      sym_comment,
  [214843] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9679), 1,
      sym_identifier,
    STATE(7505), 1,
      sym_comment,
  [214856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11384), 1,
      anon_sym_class,
    STATE(7506), 1,
      sym_comment,
  [214869] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5187), 1,
      anon_sym_RPAREN,
    STATE(7507), 1,
      sym_comment,
  [214882] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11386), 1,
      sym_identifier,
    STATE(7508), 1,
      sym_comment,
  [214895] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11388), 1,
      anon_sym_EQ,
    STATE(7509), 1,
      sym_comment,
  [214908] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11390), 1,
      sym_identifier,
    STATE(7510), 1,
      sym_comment,
  [214921] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11392), 1,
      sym_identifier,
    STATE(7511), 1,
      sym_comment,
  [214934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11394), 1,
      anon_sym_EQ,
    STATE(7512), 1,
      sym_comment,
  [214947] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5217), 1,
      anon_sym_RPAREN,
    STATE(7513), 1,
      sym_comment,
  [214960] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11396), 1,
      sym_identifier,
    STATE(7514), 1,
      sym_comment,
  [214973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10296), 1,
      anon_sym_from,
    STATE(7515), 1,
      sym_comment,
  [214986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11398), 1,
      anon_sym_RPAREN,
    STATE(7516), 1,
      sym_comment,
  [214999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11400), 1,
      anon_sym_COLON,
    STATE(7517), 1,
      sym_comment,
  [215012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9935), 1,
      anon_sym_RBRACK,
    STATE(7518), 1,
      sym_comment,
  [215025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11402), 1,
      anon_sym_EQ_GT,
    STATE(7519), 1,
      sym_comment,
  [215038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11404), 1,
      anon_sym_as,
    STATE(7520), 1,
      sym_comment,
  [215051] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11406), 1,
      sym_identifier,
    STATE(7521), 1,
      sym_comment,
  [215064] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11408), 1,
      sym_identifier,
    STATE(7522), 1,
      sym_comment,
  [215077] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11410), 1,
      anon_sym_class,
    STATE(7523), 1,
      sym_comment,
  [215090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11412), 1,
      anon_sym_namespace,
    STATE(7524), 1,
      sym_comment,
  [215103] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11414), 1,
      anon_sym_EQ_GT,
    STATE(7525), 1,
      sym_comment,
  [215116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11416), 1,
      anon_sym_RPAREN,
    STATE(7526), 1,
      sym_comment,
  [215129] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11418), 1,
      sym_identifier,
    STATE(7527), 1,
      sym_comment,
  [215142] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11420), 1,
      sym_identifier,
    STATE(7528), 1,
      sym_comment,
  [215155] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11422), 1,
      anon_sym_EQ_GT,
    STATE(7529), 1,
      sym_comment,
  [215168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11424), 1,
      anon_sym_EQ_GT,
    STATE(7530), 1,
      sym_comment,
  [215181] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11426), 1,
      anon_sym_new,
    STATE(7531), 1,
      sym_comment,
  [215194] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9731), 1,
      sym_identifier,
    STATE(7532), 1,
      sym_comment,
  [215207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11428), 1,
      anon_sym_class,
    STATE(7533), 1,
      sym_comment,
  [215220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11430), 1,
      anon_sym_EQ,
    STATE(7534), 1,
      sym_comment,
  [215233] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11432), 1,
      sym_identifier,
    STATE(7535), 1,
      sym_comment,
  [215246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4977), 1,
      anon_sym_is,
    STATE(7536), 1,
      sym_comment,
  [215259] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11434), 1,
      anon_sym_EQ,
    STATE(7537), 1,
      sym_comment,
  [215272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5280), 1,
      anon_sym_RPAREN,
    STATE(7538), 1,
      sym_comment,
  [215285] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11436), 1,
      sym_identifier,
    STATE(7539), 1,
      sym_comment,
  [215298] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11438), 1,
      anon_sym_EQ,
    STATE(7540), 1,
      sym_comment,
  [215311] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_RPAREN,
    STATE(7541), 1,
      sym_comment,
  [215324] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11440), 1,
      sym_identifier,
    STATE(7542), 1,
      sym_comment,
  [215337] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11442), 1,
      anon_sym_RBRACK,
    STATE(7543), 1,
      sym_comment,
  [215350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11444), 1,
      anon_sym_RBRACK,
    STATE(7544), 1,
      sym_comment,
  [215363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11446), 1,
      anon_sym_COLON,
    STATE(7545), 1,
      sym_comment,
  [215376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11448), 1,
      anon_sym_RBRACK,
    STATE(7546), 1,
      sym_comment,
  [215389] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3175), 1,
      anon_sym_LBRACE,
    STATE(7547), 1,
      sym_comment,
  [215402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11450), 1,
      anon_sym_class,
    STATE(7548), 1,
      sym_comment,
  [215415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11452), 1,
      anon_sym_namespace,
    STATE(7549), 1,
      sym_comment,
  [215428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11454), 1,
      anon_sym_RBRACK,
    STATE(7550), 1,
      sym_comment,
  [215441] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3165), 1,
      anon_sym_LBRACE,
    STATE(7551), 1,
      sym_comment,
  [215454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11456), 1,
      anon_sym_RBRACK,
    STATE(7552), 1,
      sym_comment,
  [215467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11458), 1,
      anon_sym_RBRACK,
    STATE(7553), 1,
      sym_comment,
  [215480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11460), 1,
      anon_sym_RBRACK,
    STATE(7554), 1,
      sym_comment,
  [215493] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9360), 1,
      sym_identifier,
    STATE(7555), 1,
      sym_comment,
  [215506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11462), 1,
      anon_sym_class,
    STATE(7556), 1,
      sym_comment,
  [215519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11464), 1,
      anon_sym_function,
    STATE(7557), 1,
      sym_comment,
  [215532] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11466), 1,
      sym_identifier,
    STATE(7558), 1,
      sym_comment,
  [215545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11468), 1,
      anon_sym_EQ,
    STATE(7559), 1,
      sym_comment,
  [215558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11470), 1,
      anon_sym_RBRACK,
    STATE(7560), 1,
      sym_comment,
  [215571] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11472), 1,
      sym_identifier,
    STATE(7561), 1,
      sym_comment,
  [215584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11474), 1,
      anon_sym_EQ,
    STATE(7562), 1,
      sym_comment,
  [215597] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8379), 1,
      sym_identifier,
    STATE(7563), 1,
      sym_comment,
  [215610] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11476), 1,
      sym_identifier,
    STATE(7564), 1,
      sym_comment,
  [215623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11478), 1,
      anon_sym_COLON,
    STATE(7565), 1,
      sym_comment,
  [215636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11480), 1,
      anon_sym_namespace,
    STATE(7566), 1,
      sym_comment,
  [215649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11482), 1,
      anon_sym_RBRACK,
    STATE(7567), 1,
      sym_comment,
  [215662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8107), 1,
      anon_sym_EQ,
    STATE(7568), 1,
      sym_comment,
  [215675] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11484), 1,
      anon_sym_RBRACK,
    STATE(7569), 1,
      sym_comment,
  [215688] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8544), 1,
      sym_identifier,
    STATE(7570), 1,
      sym_comment,
  [215701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11486), 1,
      anon_sym_function,
    STATE(7571), 1,
      sym_comment,
  [215714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11488), 1,
      anon_sym_EQ_GT,
    STATE(7572), 1,
      sym_comment,
  [215727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11490), 1,
      anon_sym_EQ_GT,
    STATE(7573), 1,
      sym_comment,
  [215740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9901), 1,
      anon_sym_EQ,
    STATE(7574), 1,
      sym_comment,
  [215753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11492), 1,
      anon_sym_EQ_GT,
    STATE(7575), 1,
      sym_comment,
  [215766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5112), 1,
      anon_sym_in,
    STATE(7576), 1,
      sym_comment,
  [215779] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11494), 1,
      ts_builtin_sym_end,
    STATE(7577), 1,
      sym_comment,
  [215792] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11496), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_comment,
  [215805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11498), 1,
      anon_sym_RBRACK,
    STATE(7579), 1,
      sym_comment,
  [215818] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11500), 1,
      sym_identifier,
    STATE(7580), 1,
      sym_comment,
  [215831] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11502), 1,
      anon_sym_class,
    STATE(7581), 1,
      sym_comment,
  [215844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11504), 1,
      anon_sym_RBRACK,
    STATE(7582), 1,
      sym_comment,
  [215857] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11506), 1,
      sym_identifier,
    STATE(7583), 1,
      sym_comment,
  [215870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5500), 1,
      anon_sym_in,
    STATE(7584), 1,
      sym_comment,
  [215883] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11508), 1,
      sym_regex_pattern,
    STATE(7585), 1,
      sym_comment,
  [215896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11510), 1,
      anon_sym_RBRACK,
    STATE(7586), 1,
      sym_comment,
  [215909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11512), 1,
      anon_sym_RBRACK,
    STATE(7587), 1,
      sym_comment,
  [215922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11514), 1,
      anon_sym_RBRACK,
    STATE(7588), 1,
      sym_comment,
  [215935] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11516), 1,
      anon_sym_RBRACK,
    STATE(7589), 1,
      sym_comment,
  [215948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11518), 1,
      anon_sym_RBRACK,
    STATE(7590), 1,
      sym_comment,
  [215961] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8548), 1,
      sym_identifier,
    STATE(7591), 1,
      sym_comment,
  [215974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11520), 1,
      anon_sym_function,
    STATE(7592), 1,
      sym_comment,
  [215987] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11522), 1,
      anon_sym_RBRACK,
    STATE(7593), 1,
      sym_comment,
  [216000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11524), 1,
      anon_sym_RBRACK,
    STATE(7594), 1,
      sym_comment,
  [216013] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11526), 1,
      sym_identifier,
    STATE(7595), 1,
      sym_comment,
  [216026] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8550), 1,
      sym_identifier,
    STATE(7596), 1,
      sym_comment,
  [216039] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11528), 1,
      anon_sym_function,
    STATE(7597), 1,
      sym_comment,
  [216052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11530), 1,
      anon_sym_RBRACK,
    STATE(7598), 1,
      sym_comment,
  [216065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5255), 1,
      anon_sym_RPAREN,
    STATE(7599), 1,
      sym_comment,
  [216078] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11532), 1,
      sym_identifier,
    STATE(7600), 1,
      sym_comment,
  [216091] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8552), 1,
      sym_identifier,
    STATE(7601), 1,
      sym_comment,
  [216104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11534), 1,
      anon_sym_function,
    STATE(7602), 1,
      sym_comment,
  [216117] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11536), 1,
      sym_identifier,
    STATE(7603), 1,
      sym_comment,
  [216130] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11538), 1,
      sym_identifier,
    STATE(7604), 1,
      sym_comment,
  [216143] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11540), 1,
      sym_identifier,
    STATE(7605), 1,
      sym_comment,
  [216156] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8508), 1,
      sym_identifier,
    STATE(7606), 1,
      sym_comment,
  [216169] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11542), 1,
      anon_sym_function,
    STATE(7607), 1,
      sym_comment,
  [216182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11544), 1,
      anon_sym_RPAREN,
    STATE(7608), 1,
      sym_comment,
  [216195] = 1,
    ACTIONS(11546), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2061)] = 0,
  [SMALL_STATE(2062)] = 95,
  [SMALL_STATE(2063)] = 170,
  [SMALL_STATE(2064)] = 265,
  [SMALL_STATE(2065)] = 358,
  [SMALL_STATE(2066)] = 433,
  [SMALL_STATE(2067)] = 526,
  [SMALL_STATE(2068)] = 619,
  [SMALL_STATE(2069)] = 712,
  [SMALL_STATE(2070)] = 805,
  [SMALL_STATE(2071)] = 900,
  [SMALL_STATE(2072)] = 993,
  [SMALL_STATE(2073)] = 1086,
  [SMALL_STATE(2074)] = 1179,
  [SMALL_STATE(2075)] = 1274,
  [SMALL_STATE(2076)] = 1367,
  [SMALL_STATE(2077)] = 1464,
  [SMALL_STATE(2078)] = 1559,
  [SMALL_STATE(2079)] = 1654,
  [SMALL_STATE(2080)] = 1747,
  [SMALL_STATE(2081)] = 1840,
  [SMALL_STATE(2082)] = 1937,
  [SMALL_STATE(2083)] = 2012,
  [SMALL_STATE(2084)] = 2105,
  [SMALL_STATE(2085)] = 2180,
  [SMALL_STATE(2086)] = 2255,
  [SMALL_STATE(2087)] = 2348,
  [SMALL_STATE(2088)] = 2443,
  [SMALL_STATE(2089)] = 2536,
  [SMALL_STATE(2090)] = 2629,
  [SMALL_STATE(2091)] = 2722,
  [SMALL_STATE(2092)] = 2797,
  [SMALL_STATE(2093)] = 2892,
  [SMALL_STATE(2094)] = 2985,
  [SMALL_STATE(2095)] = 3060,
  [SMALL_STATE(2096)] = 3153,
  [SMALL_STATE(2097)] = 3231,
  [SMALL_STATE(2098)] = 3323,
  [SMALL_STATE(2099)] = 3419,
  [SMALL_STATE(2100)] = 3511,
  [SMALL_STATE(2101)] = 3603,
  [SMALL_STATE(2102)] = 3677,
  [SMALL_STATE(2103)] = 3769,
  [SMALL_STATE(2104)] = 3865,
  [SMALL_STATE(2105)] = 3957,
  [SMALL_STATE(2106)] = 4057,
  [SMALL_STATE(2107)] = 4149,
  [SMALL_STATE(2108)] = 4223,
  [SMALL_STATE(2109)] = 4319,
  [SMALL_STATE(2110)] = 4415,
  [SMALL_STATE(2111)] = 4509,
  [SMALL_STATE(2112)] = 4603,
  [SMALL_STATE(2113)] = 4700,
  [SMALL_STATE(2114)] = 4793,
  [SMALL_STATE(2115)] = 4888,
  [SMALL_STATE(2116)] = 4971,
  [SMALL_STATE(2117)] = 5062,
  [SMALL_STATE(2118)] = 5145,
  [SMALL_STATE(2119)] = 5236,
  [SMALL_STATE(2120)] = 5327,
  [SMALL_STATE(2121)] = 5400,
  [SMALL_STATE(2122)] = 5491,
  [SMALL_STATE(2123)] = 5582,
  [SMALL_STATE(2124)] = 5679,
  [SMALL_STATE(2125)] = 5756,
  [SMALL_STATE(2126)] = 5847,
  [SMALL_STATE(2127)] = 5920,
  [SMALL_STATE(2128)] = 6015,
  [SMALL_STATE(2129)] = 6106,
  [SMALL_STATE(2130)] = 6197,
  [SMALL_STATE(2131)] = 6288,
  [SMALL_STATE(2132)] = 6379,
  [SMALL_STATE(2133)] = 6464,
  [SMALL_STATE(2134)] = 6543,
  [SMALL_STATE(2135)] = 6638,
  [SMALL_STATE(2136)] = 6729,
  [SMALL_STATE(2137)] = 6812,
  [SMALL_STATE(2138)] = 6907,
  [SMALL_STATE(2139)] = 6998,
  [SMALL_STATE(2140)] = 7073,
  [SMALL_STATE(2141)] = 7168,
  [SMALL_STATE(2142)] = 7251,
  [SMALL_STATE(2143)] = 7342,
  [SMALL_STATE(2144)] = 7433,
  [SMALL_STATE(2145)] = 7515,
  [SMALL_STATE(2146)] = 7609,
  [SMALL_STATE(2147)] = 7697,
  [SMALL_STATE(2148)] = 7791,
  [SMALL_STATE(2149)] = 7885,
  [SMALL_STATE(2150)] = 7967,
  [SMALL_STATE(2151)] = 8057,
  [SMALL_STATE(2152)] = 8139,
  [SMALL_STATE(2153)] = 8229,
  [SMALL_STATE(2154)] = 8323,
  [SMALL_STATE(2155)] = 8393,
  [SMALL_STATE(2156)] = 8487,
  [SMALL_STATE(2157)] = 8571,
  [SMALL_STATE(2158)] = 8653,
  [SMALL_STATE(2159)] = 8745,
  [SMALL_STATE(2160)] = 8815,
  [SMALL_STATE(2161)] = 8899,
  [SMALL_STATE(2162)] = 8983,
  [SMALL_STATE(2163)] = 9053,
  [SMALL_STATE(2164)] = 9135,
  [SMALL_STATE(2165)] = 9223,
  [SMALL_STATE(2166)] = 9317,
  [SMALL_STATE(2167)] = 9407,
  [SMALL_STATE(2168)] = 9487,
  [SMALL_STATE(2169)] = 9567,
  [SMALL_STATE(2170)] = 9644,
  [SMALL_STATE(2171)] = 9713,
  [SMALL_STATE(2172)] = 9790,
  [SMALL_STATE(2173)] = 9861,
  [SMALL_STATE(2174)] = 9930,
  [SMALL_STATE(2175)] = 10009,
  [SMALL_STATE(2176)] = 10098,
  [SMALL_STATE(2177)] = 10177,
  [SMALL_STATE(2178)] = 10258,
  [SMALL_STATE(2179)] = 10329,
  [SMALL_STATE(2180)] = 10406,
  [SMALL_STATE(2181)] = 10489,
  [SMALL_STATE(2182)] = 10566,
  [SMALL_STATE(2183)] = 10655,
  [SMALL_STATE(2184)] = 10726,
  [SMALL_STATE(2185)] = 10815,
  [SMALL_STATE(2186)] = 10888,
  [SMALL_STATE(2187)] = 10969,
  [SMALL_STATE(2188)] = 11038,
  [SMALL_STATE(2189)] = 11115,
  [SMALL_STATE(2190)] = 11184,
  [SMALL_STATE(2191)] = 11265,
  [SMALL_STATE(2192)] = 11352,
  [SMALL_STATE(2193)] = 11431,
  [SMALL_STATE(2194)] = 11508,
  [SMALL_STATE(2195)] = 11601,
  [SMALL_STATE(2196)] = 11680,
  [SMALL_STATE(2197)] = 11759,
  [SMALL_STATE(2198)] = 11836,
  [SMALL_STATE(2199)] = 11929,
  [SMALL_STATE(2200)] = 11998,
  [SMALL_STATE(2201)] = 12087,
  [SMALL_STATE(2202)] = 12156,
  [SMALL_STATE(2203)] = 12237,
  [SMALL_STATE(2204)] = 12306,
  [SMALL_STATE(2205)] = 12383,
  [SMALL_STATE(2206)] = 12464,
  [SMALL_STATE(2207)] = 12533,
  [SMALL_STATE(2208)] = 12602,
  [SMALL_STATE(2209)] = 12675,
  [SMALL_STATE(2210)] = 12760,
  [SMALL_STATE(2211)] = 12831,
  [SMALL_STATE(2212)] = 12914,
  [SMALL_STATE(2213)] = 12993,
  [SMALL_STATE(2214)] = 13064,
  [SMALL_STATE(2215)] = 13143,
  [SMALL_STATE(2216)] = 13220,
  [SMALL_STATE(2217)] = 13305,
  [SMALL_STATE(2218)] = 13376,
  [SMALL_STATE(2219)] = 13455,
  [SMALL_STATE(2220)] = 13532,
  [SMALL_STATE(2221)] = 13603,
  [SMALL_STATE(2222)] = 13686,
  [SMALL_STATE(2223)] = 13761,
  [SMALL_STATE(2224)] = 13832,
  [SMALL_STATE(2225)] = 13903,
  [SMALL_STATE(2226)] = 13980,
  [SMALL_STATE(2227)] = 14049,
  [SMALL_STATE(2228)] = 14120,
  [SMALL_STATE(2229)] = 14199,
  [SMALL_STATE(2230)] = 14278,
  [SMALL_STATE(2231)] = 14349,
  [SMALL_STATE(2232)] = 14426,
  [SMALL_STATE(2233)] = 14494,
  [SMALL_STATE(2234)] = 14572,
  [SMALL_STATE(2235)] = 14650,
  [SMALL_STATE(2236)] = 14718,
  [SMALL_STATE(2237)] = 14786,
  [SMALL_STATE(2238)] = 14864,
  [SMALL_STATE(2239)] = 14940,
  [SMALL_STATE(2240)] = 15018,
  [SMALL_STATE(2241)] = 15100,
  [SMALL_STATE(2242)] = 15176,
  [SMALL_STATE(2243)] = 15264,
  [SMALL_STATE(2244)] = 15346,
  [SMALL_STATE(2245)] = 15418,
  [SMALL_STATE(2246)] = 15500,
  [SMALL_STATE(2247)] = 15568,
  [SMALL_STATE(2248)] = 15636,
  [SMALL_STATE(2249)] = 15712,
  [SMALL_STATE(2250)] = 15790,
  [SMALL_STATE(2251)] = 15866,
  [SMALL_STATE(2252)] = 15942,
  [SMALL_STATE(2253)] = 16018,
  [SMALL_STATE(2254)] = 16086,
  [SMALL_STATE(2255)] = 16164,
  [SMALL_STATE(2256)] = 16232,
  [SMALL_STATE(2257)] = 16304,
  [SMALL_STATE(2258)] = 16372,
  [SMALL_STATE(2259)] = 16450,
  [SMALL_STATE(2260)] = 16532,
  [SMALL_STATE(2261)] = 16610,
  [SMALL_STATE(2262)] = 16678,
  [SMALL_STATE(2263)] = 16762,
  [SMALL_STATE(2264)] = 16836,
  [SMALL_STATE(2265)] = 16914,
  [SMALL_STATE(2266)] = 16996,
  [SMALL_STATE(2267)] = 17072,
  [SMALL_STATE(2268)] = 17150,
  [SMALL_STATE(2269)] = 17218,
  [SMALL_STATE(2270)] = 17286,
  [SMALL_STATE(2271)] = 17360,
  [SMALL_STATE(2272)] = 17434,
  [SMALL_STATE(2273)] = 17510,
  [SMALL_STATE(2274)] = 17588,
  [SMALL_STATE(2275)] = 17666,
  [SMALL_STATE(2276)] = 17793,
  [SMALL_STATE(2277)] = 17870,
  [SMALL_STATE(2278)] = 17945,
  [SMALL_STATE(2279)] = 18016,
  [SMALL_STATE(2280)] = 18095,
  [SMALL_STATE(2281)] = 18222,
  [SMALL_STATE(2282)] = 18293,
  [SMALL_STATE(2283)] = 18368,
  [SMALL_STATE(2284)] = 18495,
  [SMALL_STATE(2285)] = 18568,
  [SMALL_STATE(2286)] = 18695,
  [SMALL_STATE(2287)] = 18768,
  [SMALL_STATE(2288)] = 18847,
  [SMALL_STATE(2289)] = 18974,
  [SMALL_STATE(2290)] = 19101,
  [SMALL_STATE(2291)] = 19182,
  [SMALL_STATE(2292)] = 19261,
  [SMALL_STATE(2293)] = 19388,
  [SMALL_STATE(2294)] = 19463,
  [SMALL_STATE(2295)] = 19538,
  [SMALL_STATE(2296)] = 19613,
  [SMALL_STATE(2297)] = 19690,
  [SMALL_STATE(2298)] = 19817,
  [SMALL_STATE(2299)] = 19896,
  [SMALL_STATE(2300)] = 20023,
  [SMALL_STATE(2301)] = 20097,
  [SMALL_STATE(2302)] = 20171,
  [SMALL_STATE(2303)] = 20243,
  [SMALL_STATE(2304)] = 20319,
  [SMALL_STATE(2305)] = 20395,
  [SMALL_STATE(2306)] = 20469,
  [SMALL_STATE(2307)] = 20543,
  [SMALL_STATE(2308)] = 20617,
  [SMALL_STATE(2309)] = 20695,
  [SMALL_STATE(2310)] = 20769,
  [SMALL_STATE(2311)] = 20843,
  [SMALL_STATE(2312)] = 20917,
  [SMALL_STATE(2313)] = 20991,
  [SMALL_STATE(2314)] = 21065,
  [SMALL_STATE(2315)] = 21139,
  [SMALL_STATE(2316)] = 21213,
  [SMALL_STATE(2317)] = 21291,
  [SMALL_STATE(2318)] = 21414,
  [SMALL_STATE(2319)] = 21537,
  [SMALL_STATE(2320)] = 21610,
  [SMALL_STATE(2321)] = 21683,
  [SMALL_STATE(2322)] = 21806,
  [SMALL_STATE(2323)] = 21877,
  [SMALL_STATE(2324)] = 21950,
  [SMALL_STATE(2325)] = 22073,
  [SMALL_STATE(2326)] = 22146,
  [SMALL_STATE(2327)] = 22269,
  [SMALL_STATE(2328)] = 22392,
  [SMALL_STATE(2329)] = 22515,
  [SMALL_STATE(2330)] = 22588,
  [SMALL_STATE(2331)] = 22661,
  [SMALL_STATE(2332)] = 22734,
  [SMALL_STATE(2333)] = 22807,
  [SMALL_STATE(2334)] = 22930,
  [SMALL_STATE(2335)] = 23003,
  [SMALL_STATE(2336)] = 23076,
  [SMALL_STATE(2337)] = 23149,
  [SMALL_STATE(2338)] = 23272,
  [SMALL_STATE(2339)] = 23395,
  [SMALL_STATE(2340)] = 23468,
  [SMALL_STATE(2341)] = 23591,
  [SMALL_STATE(2342)] = 23662,
  [SMALL_STATE(2343)] = 23735,
  [SMALL_STATE(2344)] = 23808,
  [SMALL_STATE(2345)] = 23883,
  [SMALL_STATE(2346)] = 24006,
  [SMALL_STATE(2347)] = 24129,
  [SMALL_STATE(2348)] = 24252,
  [SMALL_STATE(2349)] = 24325,
  [SMALL_STATE(2350)] = 24398,
  [SMALL_STATE(2351)] = 24521,
  [SMALL_STATE(2352)] = 24644,
  [SMALL_STATE(2353)] = 24717,
  [SMALL_STATE(2354)] = 24790,
  [SMALL_STATE(2355)] = 24863,
  [SMALL_STATE(2356)] = 24986,
  [SMALL_STATE(2357)] = 25109,
  [SMALL_STATE(2358)] = 25232,
  [SMALL_STATE(2359)] = 25303,
  [SMALL_STATE(2360)] = 25426,
  [SMALL_STATE(2361)] = 25549,
  [SMALL_STATE(2362)] = 25672,
  [SMALL_STATE(2363)] = 25745,
  [SMALL_STATE(2364)] = 25818,
  [SMALL_STATE(2365)] = 25941,
  [SMALL_STATE(2366)] = 26064,
  [SMALL_STATE(2367)] = 26137,
  [SMALL_STATE(2368)] = 26260,
  [SMALL_STATE(2369)] = 26383,
  [SMALL_STATE(2370)] = 26506,
  [SMALL_STATE(2371)] = 26579,
  [SMALL_STATE(2372)] = 26649,
  [SMALL_STATE(2373)] = 26719,
  [SMALL_STATE(2374)] = 26789,
  [SMALL_STATE(2375)] = 26859,
  [SMALL_STATE(2376)] = 26929,
  [SMALL_STATE(2377)] = 26999,
  [SMALL_STATE(2378)] = 27069,
  [SMALL_STATE(2379)] = 27139,
  [SMALL_STATE(2380)] = 27209,
  [SMALL_STATE(2381)] = 27279,
  [SMALL_STATE(2382)] = 27398,
  [SMALL_STATE(2383)] = 27517,
  [SMALL_STATE(2384)] = 27636,
  [SMALL_STATE(2385)] = 27755,
  [SMALL_STATE(2386)] = 27874,
  [SMALL_STATE(2387)] = 27993,
  [SMALL_STATE(2388)] = 28112,
  [SMALL_STATE(2389)] = 28231,
  [SMALL_STATE(2390)] = 28350,
  [SMALL_STATE(2391)] = 28469,
  [SMALL_STATE(2392)] = 28593,
  [SMALL_STATE(2393)] = 28717,
  [SMALL_STATE(2394)] = 28841,
  [SMALL_STATE(2395)] = 28965,
  [SMALL_STATE(2396)] = 29089,
  [SMALL_STATE(2397)] = 29206,
  [SMALL_STATE(2398)] = 29323,
  [SMALL_STATE(2399)] = 29440,
  [SMALL_STATE(2400)] = 29551,
  [SMALL_STATE(2401)] = 29668,
  [SMALL_STATE(2402)] = 29783,
  [SMALL_STATE(2403)] = 29900,
  [SMALL_STATE(2404)] = 30017,
  [SMALL_STATE(2405)] = 30128,
  [SMALL_STATE(2406)] = 30245,
  [SMALL_STATE(2407)] = 30362,
  [SMALL_STATE(2408)] = 30479,
  [SMALL_STATE(2409)] = 30596,
  [SMALL_STATE(2410)] = 30713,
  [SMALL_STATE(2411)] = 30830,
  [SMALL_STATE(2412)] = 30941,
  [SMALL_STATE(2413)] = 31052,
  [SMALL_STATE(2414)] = 31169,
  [SMALL_STATE(2415)] = 31286,
  [SMALL_STATE(2416)] = 31397,
  [SMALL_STATE(2417)] = 31514,
  [SMALL_STATE(2418)] = 31631,
  [SMALL_STATE(2419)] = 31748,
  [SMALL_STATE(2420)] = 31865,
  [SMALL_STATE(2421)] = 31982,
  [SMALL_STATE(2422)] = 32093,
  [SMALL_STATE(2423)] = 32210,
  [SMALL_STATE(2424)] = 32327,
  [SMALL_STATE(2425)] = 32444,
  [SMALL_STATE(2426)] = 32561,
  [SMALL_STATE(2427)] = 32678,
  [SMALL_STATE(2428)] = 32795,
  [SMALL_STATE(2429)] = 32912,
  [SMALL_STATE(2430)] = 33023,
  [SMALL_STATE(2431)] = 33140,
  [SMALL_STATE(2432)] = 33257,
  [SMALL_STATE(2433)] = 33374,
  [SMALL_STATE(2434)] = 33491,
  [SMALL_STATE(2435)] = 33608,
  [SMALL_STATE(2436)] = 33725,
  [SMALL_STATE(2437)] = 33787,
  [SMALL_STATE(2438)] = 33901,
  [SMALL_STATE(2439)] = 33963,
  [SMALL_STATE(2440)] = 34079,
  [SMALL_STATE(2441)] = 34156,
  [SMALL_STATE(2442)] = 34227,
  [SMALL_STATE(2443)] = 34330,
  [SMALL_STATE(2444)] = 34401,
  [SMALL_STATE(2445)] = 34470,
  [SMALL_STATE(2446)] = 34541,
  [SMALL_STATE(2447)] = 34607,
  [SMALL_STATE(2448)] = 34673,
  [SMALL_STATE(2449)] = 34733,
  [SMALL_STATE(2450)] = 34797,
  [SMALL_STATE(2451)] = 34857,
  [SMALL_STATE(2452)] = 34917,
  [SMALL_STATE(2453)] = 34981,
  [SMALL_STATE(2454)] = 35043,
  [SMALL_STATE(2455)] = 35103,
  [SMALL_STATE(2456)] = 35163,
  [SMALL_STATE(2457)] = 35225,
  [SMALL_STATE(2458)] = 35285,
  [SMALL_STATE(2459)] = 35351,
  [SMALL_STATE(2460)] = 35411,
  [SMALL_STATE(2461)] = 35475,
  [SMALL_STATE(2462)] = 35541,
  [SMALL_STATE(2463)] = 35603,
  [SMALL_STATE(2464)] = 35662,
  [SMALL_STATE(2465)] = 35721,
  [SMALL_STATE(2466)] = 35780,
  [SMALL_STATE(2467)] = 35839,
  [SMALL_STATE(2468)] = 35898,
  [SMALL_STATE(2469)] = 35957,
  [SMALL_STATE(2470)] = 36022,
  [SMALL_STATE(2471)] = 36081,
  [SMALL_STATE(2472)] = 36140,
  [SMALL_STATE(2473)] = 36205,
  [SMALL_STATE(2474)] = 36264,
  [SMALL_STATE(2475)] = 36323,
  [SMALL_STATE(2476)] = 36382,
  [SMALL_STATE(2477)] = 36441,
  [SMALL_STATE(2478)] = 36500,
  [SMALL_STATE(2479)] = 36559,
  [SMALL_STATE(2480)] = 36620,
  [SMALL_STATE(2481)] = 36679,
  [SMALL_STATE(2482)] = 36738,
  [SMALL_STATE(2483)] = 36797,
  [SMALL_STATE(2484)] = 36864,
  [SMALL_STATE(2485)] = 36931,
  [SMALL_STATE(2486)] = 37056,
  [SMALL_STATE(2487)] = 37121,
  [SMALL_STATE(2488)] = 37180,
  [SMALL_STATE(2489)] = 37241,
  [SMALL_STATE(2490)] = 37304,
  [SMALL_STATE(2491)] = 37365,
  [SMALL_STATE(2492)] = 37428,
  [SMALL_STATE(2493)] = 37487,
  [SMALL_STATE(2494)] = 37548,
  [SMALL_STATE(2495)] = 37673,
  [SMALL_STATE(2496)] = 37732,
  [SMALL_STATE(2497)] = 37797,
  [SMALL_STATE(2498)] = 37892,
  [SMALL_STATE(2499)] = 37951,
  [SMALL_STATE(2500)] = 38010,
  [SMALL_STATE(2501)] = 38069,
  [SMALL_STATE(2502)] = 38128,
  [SMALL_STATE(2503)] = 38187,
  [SMALL_STATE(2504)] = 38246,
  [SMALL_STATE(2505)] = 38305,
  [SMALL_STATE(2506)] = 38372,
  [SMALL_STATE(2507)] = 38431,
  [SMALL_STATE(2508)] = 38490,
  [SMALL_STATE(2509)] = 38549,
  [SMALL_STATE(2510)] = 38674,
  [SMALL_STATE(2511)] = 38733,
  [SMALL_STATE(2512)] = 38792,
  [SMALL_STATE(2513)] = 38887,
  [SMALL_STATE(2514)] = 38946,
  [SMALL_STATE(2515)] = 39005,
  [SMALL_STATE(2516)] = 39064,
  [SMALL_STATE(2517)] = 39123,
  [SMALL_STATE(2518)] = 39218,
  [SMALL_STATE(2519)] = 39277,
  [SMALL_STATE(2520)] = 39342,
  [SMALL_STATE(2521)] = 39401,
  [SMALL_STATE(2522)] = 39526,
  [SMALL_STATE(2523)] = 39585,
  [SMALL_STATE(2524)] = 39644,
  [SMALL_STATE(2525)] = 39705,
  [SMALL_STATE(2526)] = 39764,
  [SMALL_STATE(2527)] = 39823,
  [SMALL_STATE(2528)] = 39882,
  [SMALL_STATE(2529)] = 39941,
  [SMALL_STATE(2530)] = 40000,
  [SMALL_STATE(2531)] = 40059,
  [SMALL_STATE(2532)] = 40118,
  [SMALL_STATE(2533)] = 40183,
  [SMALL_STATE(2534)] = 40308,
  [SMALL_STATE(2535)] = 40433,
  [SMALL_STATE(2536)] = 40494,
  [SMALL_STATE(2537)] = 40553,
  [SMALL_STATE(2538)] = 40612,
  [SMALL_STATE(2539)] = 40671,
  [SMALL_STATE(2540)] = 40730,
  [SMALL_STATE(2541)] = 40789,
  [SMALL_STATE(2542)] = 40848,
  [SMALL_STATE(2543)] = 40943,
  [SMALL_STATE(2544)] = 41002,
  [SMALL_STATE(2545)] = 41061,
  [SMALL_STATE(2546)] = 41120,
  [SMALL_STATE(2547)] = 41179,
  [SMALL_STATE(2548)] = 41238,
  [SMALL_STATE(2549)] = 41363,
  [SMALL_STATE(2550)] = 41422,
  [SMALL_STATE(2551)] = 41481,
  [SMALL_STATE(2552)] = 41540,
  [SMALL_STATE(2553)] = 41635,
  [SMALL_STATE(2554)] = 41696,
  [SMALL_STATE(2555)] = 41757,
  [SMALL_STATE(2556)] = 41822,
  [SMALL_STATE(2557)] = 41887,
  [SMALL_STATE(2558)] = 41946,
  [SMALL_STATE(2559)] = 42005,
  [SMALL_STATE(2560)] = 42064,
  [SMALL_STATE(2561)] = 42189,
  [SMALL_STATE(2562)] = 42248,
  [SMALL_STATE(2563)] = 42307,
  [SMALL_STATE(2564)] = 42366,
  [SMALL_STATE(2565)] = 42429,
  [SMALL_STATE(2566)] = 42488,
  [SMALL_STATE(2567)] = 42553,
  [SMALL_STATE(2568)] = 42612,
  [SMALL_STATE(2569)] = 42677,
  [SMALL_STATE(2570)] = 42738,
  [SMALL_STATE(2571)] = 42797,
  [SMALL_STATE(2572)] = 42856,
  [SMALL_STATE(2573)] = 42921,
  [SMALL_STATE(2574)] = 42980,
  [SMALL_STATE(2575)] = 43039,
  [SMALL_STATE(2576)] = 43102,
  [SMALL_STATE(2577)] = 43161,
  [SMALL_STATE(2578)] = 43222,
  [SMALL_STATE(2579)] = 43283,
  [SMALL_STATE(2580)] = 43342,
  [SMALL_STATE(2581)] = 43401,
  [SMALL_STATE(2582)] = 43466,
  [SMALL_STATE(2583)] = 43525,
  [SMALL_STATE(2584)] = 43584,
  [SMALL_STATE(2585)] = 43645,
  [SMALL_STATE(2586)] = 43704,
  [SMALL_STATE(2587)] = 43763,
  [SMALL_STATE(2588)] = 43822,
  [SMALL_STATE(2589)] = 43881,
  [SMALL_STATE(2590)] = 43940,
  [SMALL_STATE(2591)] = 44065,
  [SMALL_STATE(2592)] = 44124,
  [SMALL_STATE(2593)] = 44183,
  [SMALL_STATE(2594)] = 44242,
  [SMALL_STATE(2595)] = 44348,
  [SMALL_STATE(2596)] = 44464,
  [SMALL_STATE(2597)] = 44542,
  [SMALL_STATE(2598)] = 44662,
  [SMALL_STATE(2599)] = 44720,
  [SMALL_STATE(2600)] = 44806,
  [SMALL_STATE(2601)] = 44864,
  [SMALL_STATE(2602)] = 44952,
  [SMALL_STATE(2603)] = 45016,
  [SMALL_STATE(2604)] = 45104,
  [SMALL_STATE(2605)] = 45162,
  [SMALL_STATE(2606)] = 45250,
  [SMALL_STATE(2607)] = 45370,
  [SMALL_STATE(2608)] = 45490,
  [SMALL_STATE(2609)] = 45568,
  [SMALL_STATE(2610)] = 45626,
  [SMALL_STATE(2611)] = 45684,
  [SMALL_STATE(2612)] = 45800,
  [SMALL_STATE(2613)] = 45858,
  [SMALL_STATE(2614)] = 45974,
  [SMALL_STATE(2615)] = 46064,
  [SMALL_STATE(2616)] = 46122,
  [SMALL_STATE(2617)] = 46242,
  [SMALL_STATE(2618)] = 46358,
  [SMALL_STATE(2619)] = 46474,
  [SMALL_STATE(2620)] = 46590,
  [SMALL_STATE(2621)] = 46670,
  [SMALL_STATE(2622)] = 46754,
  [SMALL_STATE(2623)] = 46858,
  [SMALL_STATE(2624)] = 46916,
  [SMALL_STATE(2625)] = 47036,
  [SMALL_STATE(2626)] = 47094,
  [SMALL_STATE(2627)] = 47152,
  [SMALL_STATE(2628)] = 47210,
  [SMALL_STATE(2629)] = 47296,
  [SMALL_STATE(2630)] = 47376,
  [SMALL_STATE(2631)] = 47434,
  [SMALL_STATE(2632)] = 47552,
  [SMALL_STATE(2633)] = 47650,
  [SMALL_STATE(2634)] = 47750,
  [SMALL_STATE(2635)] = 47866,
  [SMALL_STATE(2636)] = 47934,
  [SMALL_STATE(2637)] = 48036,
  [SMALL_STATE(2638)] = 48156,
  [SMALL_STATE(2639)] = 48216,
  [SMALL_STATE(2640)] = 48294,
  [SMALL_STATE(2641)] = 48410,
  [SMALL_STATE(2642)] = 48494,
  [SMALL_STATE(2643)] = 48610,
  [SMALL_STATE(2644)] = 48696,
  [SMALL_STATE(2645)] = 48764,
  [SMALL_STATE(2646)] = 48884,
  [SMALL_STATE(2647)] = 48968,
  [SMALL_STATE(2648)] = 49084,
  [SMALL_STATE(2649)] = 49200,
  [SMALL_STATE(2650)] = 49268,
  [SMALL_STATE(2651)] = 49326,
  [SMALL_STATE(2652)] = 49384,
  [SMALL_STATE(2653)] = 49442,
  [SMALL_STATE(2654)] = 49562,
  [SMALL_STATE(2655)] = 49682,
  [SMALL_STATE(2656)] = 49802,
  [SMALL_STATE(2657)] = 49918,
  [SMALL_STATE(2658)] = 49976,
  [SMALL_STATE(2659)] = 50070,
  [SMALL_STATE(2660)] = 50186,
  [SMALL_STATE(2661)] = 50244,
  [SMALL_STATE(2662)] = 50302,
  [SMALL_STATE(2663)] = 50422,
  [SMALL_STATE(2664)] = 50480,
  [SMALL_STATE(2665)] = 50588,
  [SMALL_STATE(2666)] = 50646,
  [SMALL_STATE(2667)] = 50762,
  [SMALL_STATE(2668)] = 50878,
  [SMALL_STATE(2669)] = 50994,
  [SMALL_STATE(2670)] = 51052,
  [SMALL_STATE(2671)] = 51118,
  [SMALL_STATE(2672)] = 51176,
  [SMALL_STATE(2673)] = 51236,
  [SMALL_STATE(2674)] = 51294,
  [SMALL_STATE(2675)] = 51352,
  [SMALL_STATE(2676)] = 51410,
  [SMALL_STATE(2677)] = 51530,
  [SMALL_STATE(2678)] = 51650,
  [SMALL_STATE(2679)] = 51766,
  [SMALL_STATE(2680)] = 51824,
  [SMALL_STATE(2681)] = 51940,
  [SMALL_STATE(2682)] = 52020,
  [SMALL_STATE(2683)] = 52078,
  [SMALL_STATE(2684)] = 52138,
  [SMALL_STATE(2685)] = 52254,
  [SMALL_STATE(2686)] = 52312,
  [SMALL_STATE(2687)] = 52428,
  [SMALL_STATE(2688)] = 52548,
  [SMALL_STATE(2689)] = 52634,
  [SMALL_STATE(2690)] = 52722,
  [SMALL_STATE(2691)] = 52838,
  [SMALL_STATE(2692)] = 52954,
  [SMALL_STATE(2693)] = 53040,
  [SMALL_STATE(2694)] = 53144,
  [SMALL_STATE(2695)] = 53260,
  [SMALL_STATE(2696)] = 53376,
  [SMALL_STATE(2697)] = 53434,
  [SMALL_STATE(2698)] = 53492,
  [SMALL_STATE(2699)] = 53550,
  [SMALL_STATE(2700)] = 53608,
  [SMALL_STATE(2701)] = 53714,
  [SMALL_STATE(2702)] = 53830,
  [SMALL_STATE(2703)] = 53916,
  [SMALL_STATE(2704)] = 54014,
  [SMALL_STATE(2705)] = 54072,
  [SMALL_STATE(2706)] = 54162,
  [SMALL_STATE(2707)] = 54220,
  [SMALL_STATE(2708)] = 54336,
  [SMALL_STATE(2709)] = 54454,
  [SMALL_STATE(2710)] = 54574,
  [SMALL_STATE(2711)] = 54690,
  [SMALL_STATE(2712)] = 54794,
  [SMALL_STATE(2713)] = 54852,
  [SMALL_STATE(2714)] = 54958,
  [SMALL_STATE(2715)] = 55016,
  [SMALL_STATE(2716)] = 55102,
  [SMALL_STATE(2717)] = 55160,
  [SMALL_STATE(2718)] = 55218,
  [SMALL_STATE(2719)] = 55304,
  [SMALL_STATE(2720)] = 55404,
  [SMALL_STATE(2721)] = 55462,
  [SMALL_STATE(2722)] = 55582,
  [SMALL_STATE(2723)] = 55684,
  [SMALL_STATE(2724)] = 55768,
  [SMALL_STATE(2725)] = 55884,
  [SMALL_STATE(2726)] = 55972,
  [SMALL_STATE(2727)] = 56070,
  [SMALL_STATE(2728)] = 56128,
  [SMALL_STATE(2729)] = 56192,
  [SMALL_STATE(2730)] = 56278,
  [SMALL_STATE(2731)] = 56378,
  [SMALL_STATE(2732)] = 56440,
  [SMALL_STATE(2733)] = 56556,
  [SMALL_STATE(2734)] = 56614,
  [SMALL_STATE(2735)] = 56730,
  [SMALL_STATE(2736)] = 56820,
  [SMALL_STATE(2737)] = 56878,
  [SMALL_STATE(2738)] = 56994,
  [SMALL_STATE(2739)] = 57058,
  [SMALL_STATE(2740)] = 57160,
  [SMALL_STATE(2741)] = 57236,
  [SMALL_STATE(2742)] = 57294,
  [SMALL_STATE(2743)] = 57352,
  [SMALL_STATE(2744)] = 57468,
  [SMALL_STATE(2745)] = 57588,
  [SMALL_STATE(2746)] = 57672,
  [SMALL_STATE(2747)] = 57788,
  [SMALL_STATE(2748)] = 57862,
  [SMALL_STATE(2749)] = 57932,
  [SMALL_STATE(2750)] = 58008,
  [SMALL_STATE(2751)] = 58096,
  [SMALL_STATE(2752)] = 58154,
  [SMALL_STATE(2753)] = 58224,
  [SMALL_STATE(2754)] = 58318,
  [SMALL_STATE(2755)] = 58434,
  [SMALL_STATE(2756)] = 58550,
  [SMALL_STATE(2757)] = 58666,
  [SMALL_STATE(2758)] = 58782,
  [SMALL_STATE(2759)] = 58890,
  [SMALL_STATE(2760)] = 58948,
  [SMALL_STATE(2761)] = 59064,
  [SMALL_STATE(2762)] = 59122,
  [SMALL_STATE(2763)] = 59242,
  [SMALL_STATE(2764)] = 59358,
  [SMALL_STATE(2765)] = 59434,
  [SMALL_STATE(2766)] = 59504,
  [SMALL_STATE(2767)] = 59562,
  [SMALL_STATE(2768)] = 59682,
  [SMALL_STATE(2769)] = 59740,
  [SMALL_STATE(2770)] = 59798,
  [SMALL_STATE(2771)] = 59884,
  [SMALL_STATE(2772)] = 59942,
  [SMALL_STATE(2773)] = 60000,
  [SMALL_STATE(2774)] = 60116,
  [SMALL_STATE(2775)] = 60174,
  [SMALL_STATE(2776)] = 60232,
  [SMALL_STATE(2777)] = 60348,
  [SMALL_STATE(2778)] = 60406,
  [SMALL_STATE(2779)] = 60464,
  [SMALL_STATE(2780)] = 60522,
  [SMALL_STATE(2781)] = 60580,
  [SMALL_STATE(2782)] = 60696,
  [SMALL_STATE(2783)] = 60812,
  [SMALL_STATE(2784)] = 60932,
  [SMALL_STATE(2785)] = 61016,
  [SMALL_STATE(2786)] = 61074,
  [SMALL_STATE(2787)] = 61132,
  [SMALL_STATE(2788)] = 61190,
  [SMALL_STATE(2789)] = 61284,
  [SMALL_STATE(2790)] = 61344,
  [SMALL_STATE(2791)] = 61430,
  [SMALL_STATE(2792)] = 61488,
  [SMALL_STATE(2793)] = 61550,
  [SMALL_STATE(2794)] = 61610,
  [SMALL_STATE(2795)] = 61668,
  [SMALL_STATE(2796)] = 61726,
  [SMALL_STATE(2797)] = 61788,
  [SMALL_STATE(2798)] = 61896,
  [SMALL_STATE(2799)] = 61954,
  [SMALL_STATE(2800)] = 62073,
  [SMALL_STATE(2801)] = 62152,
  [SMALL_STATE(2802)] = 62255,
  [SMALL_STATE(2803)] = 62360,
  [SMALL_STATE(2804)] = 62445,
  [SMALL_STATE(2805)] = 62564,
  [SMALL_STATE(2806)] = 62661,
  [SMALL_STATE(2807)] = 62760,
  [SMALL_STATE(2808)] = 62823,
  [SMALL_STATE(2809)] = 62924,
  [SMALL_STATE(2810)] = 63007,
  [SMALL_STATE(2811)] = 63068,
  [SMALL_STATE(2812)] = 63183,
  [SMALL_STATE(2813)] = 63268,
  [SMALL_STATE(2814)] = 63383,
  [SMALL_STATE(2815)] = 63442,
  [SMALL_STATE(2816)] = 63559,
  [SMALL_STATE(2817)] = 63674,
  [SMALL_STATE(2818)] = 63789,
  [SMALL_STATE(2819)] = 63908,
  [SMALL_STATE(2820)] = 64023,
  [SMALL_STATE(2821)] = 64112,
  [SMALL_STATE(2822)] = 64199,
  [SMALL_STATE(2823)] = 64268,
  [SMALL_STATE(2824)] = 64385,
  [SMALL_STATE(2825)] = 64446,
  [SMALL_STATE(2826)] = 64561,
  [SMALL_STATE(2827)] = 64676,
  [SMALL_STATE(2828)] = 64791,
  [SMALL_STATE(2829)] = 64852,
  [SMALL_STATE(2830)] = 64945,
  [SMALL_STATE(2831)] = 65008,
  [SMALL_STATE(2832)] = 65115,
  [SMALL_STATE(2833)] = 65230,
  [SMALL_STATE(2834)] = 65345,
  [SMALL_STATE(2835)] = 65420,
  [SMALL_STATE(2836)] = 65535,
  [SMALL_STATE(2837)] = 65650,
  [SMALL_STATE(2838)] = 65765,
  [SMALL_STATE(2839)] = 65884,
  [SMALL_STATE(2840)] = 65941,
  [SMALL_STATE(2841)] = 66002,
  [SMALL_STATE(2842)] = 66083,
  [SMALL_STATE(2843)] = 66140,
  [SMALL_STATE(2844)] = 66259,
  [SMALL_STATE(2845)] = 66374,
  [SMALL_STATE(2846)] = 66431,
  [SMALL_STATE(2847)] = 66512,
  [SMALL_STATE(2848)] = 66631,
  [SMALL_STATE(2849)] = 66714,
  [SMALL_STATE(2850)] = 66789,
  [SMALL_STATE(2851)] = 66904,
  [SMALL_STATE(2852)] = 66987,
  [SMALL_STATE(2853)] = 67064,
  [SMALL_STATE(2854)] = 67181,
  [SMALL_STATE(2855)] = 67296,
  [SMALL_STATE(2856)] = 67359,
  [SMALL_STATE(2857)] = 67474,
  [SMALL_STATE(2858)] = 67589,
  [SMALL_STATE(2859)] = 67708,
  [SMALL_STATE(2860)] = 67823,
  [SMALL_STATE(2861)] = 67942,
  [SMALL_STATE(2862)] = 68057,
  [SMALL_STATE(2863)] = 68134,
  [SMALL_STATE(2864)] = 68219,
  [SMALL_STATE(2865)] = 68336,
  [SMALL_STATE(2866)] = 68451,
  [SMALL_STATE(2867)] = 68566,
  [SMALL_STATE(2868)] = 68631,
  [SMALL_STATE(2869)] = 68712,
  [SMALL_STATE(2870)] = 68831,
  [SMALL_STATE(2871)] = 68946,
  [SMALL_STATE(2872)] = 69031,
  [SMALL_STATE(2873)] = 69146,
  [SMALL_STATE(2874)] = 69261,
  [SMALL_STATE(2875)] = 69326,
  [SMALL_STATE(2876)] = 69441,
  [SMALL_STATE(2877)] = 69560,
  [SMALL_STATE(2878)] = 69679,
  [SMALL_STATE(2879)] = 69738,
  [SMALL_STATE(2880)] = 69797,
  [SMALL_STATE(2881)] = 69860,
  [SMALL_STATE(2882)] = 69979,
  [SMALL_STATE(2883)] = 70094,
  [SMALL_STATE(2884)] = 70209,
  [SMALL_STATE(2885)] = 70328,
  [SMALL_STATE(2886)] = 70443,
  [SMALL_STATE(2887)] = 70512,
  [SMALL_STATE(2888)] = 70579,
  [SMALL_STATE(2889)] = 70694,
  [SMALL_STATE(2890)] = 70761,
  [SMALL_STATE(2891)] = 70880,
  [SMALL_STATE(2892)] = 70999,
  [SMALL_STATE(2893)] = 71118,
  [SMALL_STATE(2894)] = 71175,
  [SMALL_STATE(2895)] = 71294,
  [SMALL_STATE(2896)] = 71351,
  [SMALL_STATE(2897)] = 71408,
  [SMALL_STATE(2898)] = 71527,
  [SMALL_STATE(2899)] = 71646,
  [SMALL_STATE(2900)] = 71765,
  [SMALL_STATE(2901)] = 71880,
  [SMALL_STATE(2902)] = 71995,
  [SMALL_STATE(2903)] = 72114,
  [SMALL_STATE(2904)] = 72229,
  [SMALL_STATE(2905)] = 72318,
  [SMALL_STATE(2906)] = 72437,
  [SMALL_STATE(2907)] = 72556,
  [SMALL_STATE(2908)] = 72675,
  [SMALL_STATE(2909)] = 72794,
  [SMALL_STATE(2910)] = 72875,
  [SMALL_STATE(2911)] = 72954,
  [SMALL_STATE(2912)] = 73035,
  [SMALL_STATE(2913)] = 73154,
  [SMALL_STATE(2914)] = 73257,
  [SMALL_STATE(2915)] = 73362,
  [SMALL_STATE(2916)] = 73447,
  [SMALL_STATE(2917)] = 73544,
  [SMALL_STATE(2918)] = 73643,
  [SMALL_STATE(2919)] = 73744,
  [SMALL_STATE(2920)] = 73827,
  [SMALL_STATE(2921)] = 73912,
  [SMALL_STATE(2922)] = 74029,
  [SMALL_STATE(2923)] = 74094,
  [SMALL_STATE(2924)] = 74213,
  [SMALL_STATE(2925)] = 74306,
  [SMALL_STATE(2926)] = 74413,
  [SMALL_STATE(2927)] = 74532,
  [SMALL_STATE(2928)] = 74646,
  [SMALL_STATE(2929)] = 74716,
  [SMALL_STATE(2930)] = 74830,
  [SMALL_STATE(2931)] = 74910,
  [SMALL_STATE(2932)] = 74972,
  [SMALL_STATE(2933)] = 75028,
  [SMALL_STATE(2934)] = 75144,
  [SMALL_STATE(2935)] = 75202,
  [SMALL_STATE(2936)] = 75264,
  [SMALL_STATE(2937)] = 75320,
  [SMALL_STATE(2938)] = 75376,
  [SMALL_STATE(2939)] = 75444,
  [SMALL_STATE(2940)] = 75512,
  [SMALL_STATE(2941)] = 75626,
  [SMALL_STATE(2942)] = 75694,
  [SMALL_STATE(2943)] = 75784,
  [SMALL_STATE(2944)] = 75866,
  [SMALL_STATE(2945)] = 75928,
  [SMALL_STATE(2946)] = 76002,
  [SMALL_STATE(2947)] = 76058,
  [SMALL_STATE(2948)] = 76114,
  [SMALL_STATE(2949)] = 76172,
  [SMALL_STATE(2950)] = 76286,
  [SMALL_STATE(2951)] = 76342,
  [SMALL_STATE(2952)] = 76398,
  [SMALL_STATE(2953)] = 76454,
  [SMALL_STATE(2954)] = 76516,
  [SMALL_STATE(2955)] = 76578,
  [SMALL_STATE(2956)] = 76636,
  [SMALL_STATE(2957)] = 76694,
  [SMALL_STATE(2958)] = 76750,
  [SMALL_STATE(2959)] = 76806,
  [SMALL_STATE(2960)] = 76920,
  [SMALL_STATE(2961)] = 76998,
  [SMALL_STATE(2962)] = 77054,
  [SMALL_STATE(2963)] = 77136,
  [SMALL_STATE(2964)] = 77192,
  [SMALL_STATE(2965)] = 77248,
  [SMALL_STATE(2966)] = 77316,
  [SMALL_STATE(2967)] = 77374,
  [SMALL_STATE(2968)] = 77452,
  [SMALL_STATE(2969)] = 77508,
  [SMALL_STATE(2970)] = 77564,
  [SMALL_STATE(2971)] = 77620,
  [SMALL_STATE(2972)] = 77676,
  [SMALL_STATE(2973)] = 77734,
  [SMALL_STATE(2974)] = 77796,
  [SMALL_STATE(2975)] = 77910,
  [SMALL_STATE(2976)] = 77966,
  [SMALL_STATE(2977)] = 78034,
  [SMALL_STATE(2978)] = 78090,
  [SMALL_STATE(2979)] = 78204,
  [SMALL_STATE(2980)] = 78268,
  [SMALL_STATE(2981)] = 78350,
  [SMALL_STATE(2982)] = 78466,
  [SMALL_STATE(2983)] = 78542,
  [SMALL_STATE(2984)] = 78612,
  [SMALL_STATE(2985)] = 78668,
  [SMALL_STATE(2986)] = 78782,
  [SMALL_STATE(2987)] = 78838,
  [SMALL_STATE(2988)] = 78906,
  [SMALL_STATE(2989)] = 78962,
  [SMALL_STATE(2990)] = 79018,
  [SMALL_STATE(2991)] = 79076,
  [SMALL_STATE(2992)] = 79154,
  [SMALL_STATE(2993)] = 79210,
  [SMALL_STATE(2994)] = 79266,
  [SMALL_STATE(2995)] = 79322,
  [SMALL_STATE(2996)] = 79438,
  [SMALL_STATE(2997)] = 79500,
  [SMALL_STATE(2998)] = 79556,
  [SMALL_STATE(2999)] = 79612,
  [SMALL_STATE(3000)] = 79694,
  [SMALL_STATE(3001)] = 79756,
  [SMALL_STATE(3002)] = 79870,
  [SMALL_STATE(3003)] = 79952,
  [SMALL_STATE(3004)] = 80042,
  [SMALL_STATE(3005)] = 80156,
  [SMALL_STATE(3006)] = 80270,
  [SMALL_STATE(3007)] = 80334,
  [SMALL_STATE(3008)] = 80424,
  [SMALL_STATE(3009)] = 80480,
  [SMALL_STATE(3010)] = 80542,
  [SMALL_STATE(3011)] = 80610,
  [SMALL_STATE(3012)] = 80724,
  [SMALL_STATE(3013)] = 80780,
  [SMALL_STATE(3014)] = 80894,
  [SMALL_STATE(3015)] = 81008,
  [SMALL_STATE(3016)] = 81122,
  [SMALL_STATE(3017)] = 81236,
  [SMALL_STATE(3018)] = 81350,
  [SMALL_STATE(3019)] = 81464,
  [SMALL_STATE(3020)] = 81578,
  [SMALL_STATE(3021)] = 81636,
  [SMALL_STATE(3022)] = 81696,
  [SMALL_STATE(3023)] = 81760,
  [SMALL_STATE(3024)] = 81824,
  [SMALL_STATE(3025)] = 81938,
  [SMALL_STATE(3026)] = 82006,
  [SMALL_STATE(3027)] = 82120,
  [SMALL_STATE(3028)] = 82176,
  [SMALL_STATE(3029)] = 82232,
  [SMALL_STATE(3030)] = 82288,
  [SMALL_STATE(3031)] = 82346,
  [SMALL_STATE(3032)] = 82402,
  [SMALL_STATE(3033)] = 82516,
  [SMALL_STATE(3034)] = 82630,
  [SMALL_STATE(3035)] = 82736,
  [SMALL_STATE(3036)] = 82828,
  [SMALL_STATE(3037)] = 82884,
  [SMALL_STATE(3038)] = 82968,
  [SMALL_STATE(3039)] = 83024,
  [SMALL_STATE(3040)] = 83082,
  [SMALL_STATE(3041)] = 83164,
  [SMALL_STATE(3042)] = 83264,
  [SMALL_STATE(3043)] = 83362,
  [SMALL_STATE(3044)] = 83458,
  [SMALL_STATE(3045)] = 83514,
  [SMALL_STATE(3046)] = 83576,
  [SMALL_STATE(3047)] = 83632,
  [SMALL_STATE(3048)] = 83692,
  [SMALL_STATE(3049)] = 83748,
  [SMALL_STATE(3050)] = 83804,
  [SMALL_STATE(3051)] = 83888,
  [SMALL_STATE(3052)] = 84004,
  [SMALL_STATE(3053)] = 84118,
  [SMALL_STATE(3054)] = 84176,
  [SMALL_STATE(3055)] = 84240,
  [SMALL_STATE(3056)] = 84296,
  [SMALL_STATE(3057)] = 84352,
  [SMALL_STATE(3058)] = 84408,
  [SMALL_STATE(3059)] = 84464,
  [SMALL_STATE(3060)] = 84526,
  [SMALL_STATE(3061)] = 84642,
  [SMALL_STATE(3062)] = 84746,
  [SMALL_STATE(3063)] = 84848,
  [SMALL_STATE(3064)] = 84962,
  [SMALL_STATE(3065)] = 85076,
  [SMALL_STATE(3066)] = 85132,
  [SMALL_STATE(3067)] = 85246,
  [SMALL_STATE(3068)] = 85308,
  [SMALL_STATE(3069)] = 85364,
  [SMALL_STATE(3070)] = 85420,
  [SMALL_STATE(3071)] = 85476,
  [SMALL_STATE(3072)] = 85532,
  [SMALL_STATE(3073)] = 85588,
  [SMALL_STATE(3074)] = 85644,
  [SMALL_STATE(3075)] = 85700,
  [SMALL_STATE(3076)] = 85778,
  [SMALL_STATE(3077)] = 85834,
  [SMALL_STATE(3078)] = 85890,
  [SMALL_STATE(3079)] = 85970,
  [SMALL_STATE(3080)] = 86026,
  [SMALL_STATE(3081)] = 86082,
  [SMALL_STATE(3082)] = 86138,
  [SMALL_STATE(3083)] = 86228,
  [SMALL_STATE(3084)] = 86288,
  [SMALL_STATE(3085)] = 86350,
  [SMALL_STATE(3086)] = 86406,
  [SMALL_STATE(3087)] = 86462,
  [SMALL_STATE(3088)] = 86544,
  [SMALL_STATE(3089)] = 86600,
  [SMALL_STATE(3090)] = 86656,
  [SMALL_STATE(3091)] = 86712,
  [SMALL_STATE(3092)] = 86770,
  [SMALL_STATE(3093)] = 86826,
  [SMALL_STATE(3094)] = 86882,
  [SMALL_STATE(3095)] = 86938,
  [SMALL_STATE(3096)] = 86996,
  [SMALL_STATE(3097)] = 87052,
  [SMALL_STATE(3098)] = 87114,
  [SMALL_STATE(3099)] = 87170,
  [SMALL_STATE(3100)] = 87228,
  [SMALL_STATE(3101)] = 87284,
  [SMALL_STATE(3102)] = 87340,
  [SMALL_STATE(3103)] = 87396,
  [SMALL_STATE(3104)] = 87452,
  [SMALL_STATE(3105)] = 87508,
  [SMALL_STATE(3106)] = 87564,
  [SMALL_STATE(3107)] = 87620,
  [SMALL_STATE(3108)] = 87678,
  [SMALL_STATE(3109)] = 87734,
  [SMALL_STATE(3110)] = 87790,
  [SMALL_STATE(3111)] = 87868,
  [SMALL_STATE(3112)] = 87924,
  [SMALL_STATE(3113)] = 87980,
  [SMALL_STATE(3114)] = 88044,
  [SMALL_STATE(3115)] = 88100,
  [SMALL_STATE(3116)] = 88182,
  [SMALL_STATE(3117)] = 88272,
  [SMALL_STATE(3118)] = 88362,
  [SMALL_STATE(3119)] = 88418,
  [SMALL_STATE(3120)] = 88478,
  [SMALL_STATE(3121)] = 88546,
  [SMALL_STATE(3122)] = 88602,
  [SMALL_STATE(3123)] = 88660,
  [SMALL_STATE(3124)] = 88728,
  [SMALL_STATE(3125)] = 88816,
  [SMALL_STATE(3126)] = 88872,
  [SMALL_STATE(3127)] = 88928,
  [SMALL_STATE(3128)] = 89042,
  [SMALL_STATE(3129)] = 89156,
  [SMALL_STATE(3130)] = 89270,
  [SMALL_STATE(3131)] = 89350,
  [SMALL_STATE(3132)] = 89406,
  [SMALL_STATE(3133)] = 89484,
  [SMALL_STATE(3134)] = 89574,
  [SMALL_STATE(3135)] = 89636,
  [SMALL_STATE(3136)] = 89698,
  [SMALL_STATE(3137)] = 89814,
  [SMALL_STATE(3138)] = 89896,
  [SMALL_STATE(3139)] = 89978,
  [SMALL_STATE(3140)] = 90040,
  [SMALL_STATE(3141)] = 90131,
  [SMALL_STATE(3142)] = 90244,
  [SMALL_STATE(3143)] = 90357,
  [SMALL_STATE(3144)] = 90430,
  [SMALL_STATE(3145)] = 90497,
  [SMALL_STATE(3146)] = 90580,
  [SMALL_STATE(3147)] = 90653,
  [SMALL_STATE(3148)] = 90716,
  [SMALL_STATE(3149)] = 90829,
  [SMALL_STATE(3150)] = 90896,
  [SMALL_STATE(3151)] = 90951,
  [SMALL_STATE(3152)] = 91006,
  [SMALL_STATE(3153)] = 91065,
  [SMALL_STATE(3154)] = 91128,
  [SMALL_STATE(3155)] = 91195,
  [SMALL_STATE(3156)] = 91268,
  [SMALL_STATE(3157)] = 91327,
  [SMALL_STATE(3158)] = 91386,
  [SMALL_STATE(3159)] = 91467,
  [SMALL_STATE(3160)] = 91542,
  [SMALL_STATE(3161)] = 91617,
  [SMALL_STATE(3162)] = 91692,
  [SMALL_STATE(3163)] = 91805,
  [SMALL_STATE(3164)] = 91860,
  [SMALL_STATE(3165)] = 91915,
  [SMALL_STATE(3166)] = 91988,
  [SMALL_STATE(3167)] = 92069,
  [SMALL_STATE(3168)] = 92124,
  [SMALL_STATE(3169)] = 92179,
  [SMALL_STATE(3170)] = 92262,
  [SMALL_STATE(3171)] = 92321,
  [SMALL_STATE(3172)] = 92382,
  [SMALL_STATE(3173)] = 92439,
  [SMALL_STATE(3174)] = 92552,
  [SMALL_STATE(3175)] = 92607,
  [SMALL_STATE(3176)] = 92662,
  [SMALL_STATE(3177)] = 92721,
  [SMALL_STATE(3178)] = 92780,
  [SMALL_STATE(3179)] = 92855,
  [SMALL_STATE(3180)] = 92910,
  [SMALL_STATE(3181)] = 92965,
  [SMALL_STATE(3182)] = 93030,
  [SMALL_STATE(3183)] = 93093,
  [SMALL_STATE(3184)] = 93166,
  [SMALL_STATE(3185)] = 93221,
  [SMALL_STATE(3186)] = 93334,
  [SMALL_STATE(3187)] = 93407,
  [SMALL_STATE(3188)] = 93472,
  [SMALL_STATE(3189)] = 93585,
  [SMALL_STATE(3190)] = 93644,
  [SMALL_STATE(3191)] = 93701,
  [SMALL_STATE(3192)] = 93776,
  [SMALL_STATE(3193)] = 93831,
  [SMALL_STATE(3194)] = 93886,
  [SMALL_STATE(3195)] = 93941,
  [SMALL_STATE(3196)] = 93996,
  [SMALL_STATE(3197)] = 94057,
  [SMALL_STATE(3198)] = 94112,
  [SMALL_STATE(3199)] = 94185,
  [SMALL_STATE(3200)] = 94260,
  [SMALL_STATE(3201)] = 94321,
  [SMALL_STATE(3202)] = 94376,
  [SMALL_STATE(3203)] = 94431,
  [SMALL_STATE(3204)] = 94504,
  [SMALL_STATE(3205)] = 94585,
  [SMALL_STATE(3206)] = 94660,
  [SMALL_STATE(3207)] = 94721,
  [SMALL_STATE(3208)] = 94804,
  [SMALL_STATE(3209)] = 94871,
  [SMALL_STATE(3210)] = 94926,
  [SMALL_STATE(3211)] = 94981,
  [SMALL_STATE(3212)] = 95038,
  [SMALL_STATE(3213)] = 95105,
  [SMALL_STATE(3214)] = 95178,
  [SMALL_STATE(3215)] = 95245,
  [SMALL_STATE(3216)] = 95328,
  [SMALL_STATE(3217)] = 95411,
  [SMALL_STATE(3218)] = 95492,
  [SMALL_STATE(3219)] = 95547,
  [SMALL_STATE(3220)] = 95606,
  [SMALL_STATE(3221)] = 95679,
  [SMALL_STATE(3222)] = 95734,
  [SMALL_STATE(3223)] = 95815,
  [SMALL_STATE(3224)] = 95874,
  [SMALL_STATE(3225)] = 95931,
  [SMALL_STATE(3226)] = 95990,
  [SMALL_STATE(3227)] = 96049,
  [SMALL_STATE(3228)] = 96112,
  [SMALL_STATE(3229)] = 96167,
  [SMALL_STATE(3230)] = 96224,
  [SMALL_STATE(3231)] = 96279,
  [SMALL_STATE(3232)] = 96344,
  [SMALL_STATE(3233)] = 96419,
  [SMALL_STATE(3234)] = 96476,
  [SMALL_STATE(3235)] = 96543,
  [SMALL_STATE(3236)] = 96618,
  [SMALL_STATE(3237)] = 96731,
  [SMALL_STATE(3238)] = 96804,
  [SMALL_STATE(3239)] = 96917,
  [SMALL_STATE(3240)] = 96990,
  [SMALL_STATE(3241)] = 97049,
  [SMALL_STATE(3242)] = 97104,
  [SMALL_STATE(3243)] = 97203,
  [SMALL_STATE(3244)] = 97258,
  [SMALL_STATE(3245)] = 97313,
  [SMALL_STATE(3246)] = 97386,
  [SMALL_STATE(3247)] = 97449,
  [SMALL_STATE(3248)] = 97512,
  [SMALL_STATE(3249)] = 97571,
  [SMALL_STATE(3250)] = 97630,
  [SMALL_STATE(3251)] = 97689,
  [SMALL_STATE(3252)] = 97746,
  [SMALL_STATE(3253)] = 97807,
  [SMALL_STATE(3254)] = 97882,
  [SMALL_STATE(3255)] = 97941,
  [SMALL_STATE(3256)] = 98054,
  [SMALL_STATE(3257)] = 98127,
  [SMALL_STATE(3258)] = 98200,
  [SMALL_STATE(3259)] = 98313,
  [SMALL_STATE(3260)] = 98426,
  [SMALL_STATE(3261)] = 98507,
  [SMALL_STATE(3262)] = 98566,
  [SMALL_STATE(3263)] = 98641,
  [SMALL_STATE(3264)] = 98696,
  [SMALL_STATE(3265)] = 98809,
  [SMALL_STATE(3266)] = 98896,
  [SMALL_STATE(3267)] = 98973,
  [SMALL_STATE(3268)] = 99086,
  [SMALL_STATE(3269)] = 99143,
  [SMALL_STATE(3270)] = 99200,
  [SMALL_STATE(3271)] = 99259,
  [SMALL_STATE(3272)] = 99360,
  [SMALL_STATE(3273)] = 99415,
  [SMALL_STATE(3274)] = 99528,
  [SMALL_STATE(3275)] = 99589,
  [SMALL_STATE(3276)] = 99646,
  [SMALL_STATE(3277)] = 99707,
  [SMALL_STATE(3278)] = 99766,
  [SMALL_STATE(3279)] = 99869,
  [SMALL_STATE(3280)] = 99928,
  [SMALL_STATE(3281)] = 100041,
  [SMALL_STATE(3282)] = 100124,
  [SMALL_STATE(3283)] = 100219,
  [SMALL_STATE(3284)] = 100332,
  [SMALL_STATE(3285)] = 100445,
  [SMALL_STATE(3286)] = 100558,
  [SMALL_STATE(3287)] = 100655,
  [SMALL_STATE(3288)] = 100768,
  [SMALL_STATE(3289)] = 100843,
  [SMALL_STATE(3290)] = 100898,
  [SMALL_STATE(3291)] = 100953,
  [SMALL_STATE(3292)] = 101014,
  [SMALL_STATE(3293)] = 101075,
  [SMALL_STATE(3294)] = 101156,
  [SMALL_STATE(3295)] = 101219,
  [SMALL_STATE(3296)] = 101302,
  [SMALL_STATE(3297)] = 101361,
  [SMALL_STATE(3298)] = 101416,
  [SMALL_STATE(3299)] = 101473,
  [SMALL_STATE(3300)] = 101528,
  [SMALL_STATE(3301)] = 101585,
  [SMALL_STATE(3302)] = 101642,
  [SMALL_STATE(3303)] = 101755,
  [SMALL_STATE(3304)] = 101868,
  [SMALL_STATE(3305)] = 101981,
  [SMALL_STATE(3306)] = 102038,
  [SMALL_STATE(3307)] = 102143,
  [SMALL_STATE(3308)] = 102234,
  [SMALL_STATE(3309)] = 102293,
  [SMALL_STATE(3310)] = 102352,
  [SMALL_STATE(3311)] = 102411,
  [SMALL_STATE(3312)] = 102524,
  [SMALL_STATE(3313)] = 102579,
  [SMALL_STATE(3314)] = 102662,
  [SMALL_STATE(3315)] = 102721,
  [SMALL_STATE(3316)] = 102786,
  [SMALL_STATE(3317)] = 102849,
  [SMALL_STATE(3318)] = 102926,
  [SMALL_STATE(3319)] = 103001,
  [SMALL_STATE(3320)] = 103106,
  [SMALL_STATE(3321)] = 103219,
  [SMALL_STATE(3322)] = 103332,
  [SMALL_STATE(3323)] = 103413,
  [SMALL_STATE(3324)] = 103470,
  [SMALL_STATE(3325)] = 103583,
  [SMALL_STATE(3326)] = 103658,
  [SMALL_STATE(3327)] = 103715,
  [SMALL_STATE(3328)] = 103770,
  [SMALL_STATE(3329)] = 103825,
  [SMALL_STATE(3330)] = 103898,
  [SMALL_STATE(3331)] = 103957,
  [SMALL_STATE(3332)] = 104056,
  [SMALL_STATE(3333)] = 104117,
  [SMALL_STATE(3334)] = 104192,
  [SMALL_STATE(3335)] = 104289,
  [SMALL_STATE(3336)] = 104362,
  [SMALL_STATE(3337)] = 104417,
  [SMALL_STATE(3338)] = 104492,
  [SMALL_STATE(3339)] = 104587,
  [SMALL_STATE(3340)] = 104660,
  [SMALL_STATE(3341)] = 104715,
  [SMALL_STATE(3342)] = 104788,
  [SMALL_STATE(3343)] = 104901,
  [SMALL_STATE(3344)] = 105014,
  [SMALL_STATE(3345)] = 105069,
  [SMALL_STATE(3346)] = 105152,
  [SMALL_STATE(3347)] = 105255,
  [SMALL_STATE(3348)] = 105310,
  [SMALL_STATE(3349)] = 105365,
  [SMALL_STATE(3350)] = 105420,
  [SMALL_STATE(3351)] = 105475,
  [SMALL_STATE(3352)] = 105542,
  [SMALL_STATE(3353)] = 105655,
  [SMALL_STATE(3354)] = 105710,
  [SMALL_STATE(3355)] = 105777,
  [SMALL_STATE(3356)] = 105840,
  [SMALL_STATE(3357)] = 105953,
  [SMALL_STATE(3358)] = 106008,
  [SMALL_STATE(3359)] = 106081,
  [SMALL_STATE(3360)] = 106136,
  [SMALL_STATE(3361)] = 106209,
  [SMALL_STATE(3362)] = 106284,
  [SMALL_STATE(3363)] = 106365,
  [SMALL_STATE(3364)] = 106478,
  [SMALL_STATE(3365)] = 106551,
  [SMALL_STATE(3366)] = 106634,
  [SMALL_STATE(3367)] = 106701,
  [SMALL_STATE(3368)] = 106814,
  [SMALL_STATE(3369)] = 106927,
  [SMALL_STATE(3370)] = 107040,
  [SMALL_STATE(3371)] = 107121,
  [SMALL_STATE(3372)] = 107234,
  [SMALL_STATE(3373)] = 107309,
  [SMALL_STATE(3374)] = 107422,
  [SMALL_STATE(3375)] = 107479,
  [SMALL_STATE(3376)] = 107534,
  [SMALL_STATE(3377)] = 107649,
  [SMALL_STATE(3378)] = 107762,
  [SMALL_STATE(3379)] = 107849,
  [SMALL_STATE(3380)] = 107930,
  [SMALL_STATE(3381)] = 108007,
  [SMALL_STATE(3382)] = 108108,
  [SMALL_STATE(3383)] = 108221,
  [SMALL_STATE(3384)] = 108324,
  [SMALL_STATE(3385)] = 108407,
  [SMALL_STATE(3386)] = 108474,
  [SMALL_STATE(3387)] = 108569,
  [SMALL_STATE(3388)] = 108666,
  [SMALL_STATE(3389)] = 108741,
  [SMALL_STATE(3390)] = 108840,
  [SMALL_STATE(3391)] = 108921,
  [SMALL_STATE(3392)] = 109004,
  [SMALL_STATE(3393)] = 109095,
  [SMALL_STATE(3394)] = 109200,
  [SMALL_STATE(3395)] = 109273,
  [SMALL_STATE(3396)] = 109386,
  [SMALL_STATE(3397)] = 109499,
  [SMALL_STATE(3398)] = 109592,
  [SMALL_STATE(3399)] = 109705,
  [SMALL_STATE(3400)] = 109818,
  [SMALL_STATE(3401)] = 109931,
  [SMALL_STATE(3402)] = 110044,
  [SMALL_STATE(3403)] = 110107,
  [SMALL_STATE(3404)] = 110166,
  [SMALL_STATE(3405)] = 110221,
  [SMALL_STATE(3406)] = 110280,
  [SMALL_STATE(3407)] = 110393,
  [SMALL_STATE(3408)] = 110506,
  [SMALL_STATE(3409)] = 110565,
  [SMALL_STATE(3410)] = 110620,
  [SMALL_STATE(3411)] = 110675,
  [SMALL_STATE(3412)] = 110730,
  [SMALL_STATE(3413)] = 110843,
  [SMALL_STATE(3414)] = 110926,
  [SMALL_STATE(3415)] = 111027,
  [SMALL_STATE(3416)] = 111108,
  [SMALL_STATE(3417)] = 111185,
  [SMALL_STATE(3418)] = 111252,
  [SMALL_STATE(3419)] = 111319,
  [SMALL_STATE(3420)] = 111386,
  [SMALL_STATE(3421)] = 111473,
  [SMALL_STATE(3422)] = 111586,
  [SMALL_STATE(3423)] = 111699,
  [SMALL_STATE(3424)] = 111812,
  [SMALL_STATE(3425)] = 111871,
  [SMALL_STATE(3426)] = 111926,
  [SMALL_STATE(3427)] = 112039,
  [SMALL_STATE(3428)] = 112152,
  [SMALL_STATE(3429)] = 112265,
  [SMALL_STATE(3430)] = 112341,
  [SMALL_STATE(3431)] = 112435,
  [SMALL_STATE(3432)] = 112503,
  [SMALL_STATE(3433)] = 112565,
  [SMALL_STATE(3434)] = 112627,
  [SMALL_STATE(3435)] = 112737,
  [SMALL_STATE(3436)] = 112805,
  [SMALL_STATE(3437)] = 112885,
  [SMALL_STATE(3438)] = 112941,
  [SMALL_STATE(3439)] = 113051,
  [SMALL_STATE(3440)] = 113127,
  [SMALL_STATE(3441)] = 113195,
  [SMALL_STATE(3442)] = 113263,
  [SMALL_STATE(3443)] = 113373,
  [SMALL_STATE(3444)] = 113435,
  [SMALL_STATE(3445)] = 113503,
  [SMALL_STATE(3446)] = 113613,
  [SMALL_STATE(3447)] = 113681,
  [SMALL_STATE(3448)] = 113791,
  [SMALL_STATE(3449)] = 113859,
  [SMALL_STATE(3450)] = 113969,
  [SMALL_STATE(3451)] = 114053,
  [SMALL_STATE(3452)] = 114109,
  [SMALL_STATE(3453)] = 114185,
  [SMALL_STATE(3454)] = 114253,
  [SMALL_STATE(3455)] = 114363,
  [SMALL_STATE(3456)] = 114437,
  [SMALL_STATE(3457)] = 114505,
  [SMALL_STATE(3458)] = 114573,
  [SMALL_STATE(3459)] = 114683,
  [SMALL_STATE(3460)] = 114793,
  [SMALL_STATE(3461)] = 114849,
  [SMALL_STATE(3462)] = 114959,
  [SMALL_STATE(3463)] = 115035,
  [SMALL_STATE(3464)] = 115101,
  [SMALL_STATE(3465)] = 115211,
  [SMALL_STATE(3466)] = 115283,
  [SMALL_STATE(3467)] = 115393,
  [SMALL_STATE(3468)] = 115455,
  [SMALL_STATE(3469)] = 115523,
  [SMALL_STATE(3470)] = 115579,
  [SMALL_STATE(3471)] = 115647,
  [SMALL_STATE(3472)] = 115715,
  [SMALL_STATE(3473)] = 115783,
  [SMALL_STATE(3474)] = 115893,
  [SMALL_STATE(3475)] = 116003,
  [SMALL_STATE(3476)] = 116113,
  [SMALL_STATE(3477)] = 116223,
  [SMALL_STATE(3478)] = 116283,
  [SMALL_STATE(3479)] = 116369,
  [SMALL_STATE(3480)] = 116445,
  [SMALL_STATE(3481)] = 116549,
  [SMALL_STATE(3482)] = 116649,
  [SMALL_STATE(3483)] = 116751,
  [SMALL_STATE(3484)] = 116811,
  [SMALL_STATE(3485)] = 116893,
  [SMALL_STATE(3486)] = 116953,
  [SMALL_STATE(3487)] = 117021,
  [SMALL_STATE(3488)] = 117089,
  [SMALL_STATE(3489)] = 117171,
  [SMALL_STATE(3490)] = 117261,
  [SMALL_STATE(3491)] = 117329,
  [SMALL_STATE(3492)] = 117385,
  [SMALL_STATE(3493)] = 117467,
  [SMALL_STATE(3494)] = 117547,
  [SMALL_STATE(3495)] = 117615,
  [SMALL_STATE(3496)] = 117703,
  [SMALL_STATE(3497)] = 117801,
  [SMALL_STATE(3498)] = 117859,
  [SMALL_STATE(3499)] = 117921,
  [SMALL_STATE(3500)] = 117989,
  [SMALL_STATE(3501)] = 118065,
  [SMALL_STATE(3502)] = 118141,
  [SMALL_STATE(3503)] = 118203,
  [SMALL_STATE(3504)] = 118279,
  [SMALL_STATE(3505)] = 118375,
  [SMALL_STATE(3506)] = 118431,
  [SMALL_STATE(3507)] = 118487,
  [SMALL_STATE(3508)] = 118555,
  [SMALL_STATE(3509)] = 118613,
  [SMALL_STATE(3510)] = 118681,
  [SMALL_STATE(3511)] = 118749,
  [SMALL_STATE(3512)] = 118809,
  [SMALL_STATE(3513)] = 118877,
  [SMALL_STATE(3514)] = 118935,
  [SMALL_STATE(3515)] = 118997,
  [SMALL_STATE(3516)] = 119056,
  [SMALL_STATE(3517)] = 119125,
  [SMALL_STATE(3518)] = 119184,
  [SMALL_STATE(3519)] = 119257,
  [SMALL_STATE(3520)] = 119316,
  [SMALL_STATE(3521)] = 119385,
  [SMALL_STATE(3522)] = 119464,
  [SMALL_STATE(3523)] = 119533,
  [SMALL_STATE(3524)] = 119608,
  [SMALL_STATE(3525)] = 119663,
  [SMALL_STATE(3526)] = 119736,
  [SMALL_STATE(3527)] = 119795,
  [SMALL_STATE(3528)] = 119854,
  [SMALL_STATE(3529)] = 119909,
  [SMALL_STATE(3530)] = 119978,
  [SMALL_STATE(3531)] = 120051,
  [SMALL_STATE(3532)] = 120106,
  [SMALL_STATE(3533)] = 120165,
  [SMALL_STATE(3534)] = 120220,
  [SMALL_STATE(3535)] = 120293,
  [SMALL_STATE(3536)] = 120386,
  [SMALL_STATE(3537)] = 120461,
  [SMALL_STATE(3538)] = 120530,
  [SMALL_STATE(3539)] = 120603,
  [SMALL_STATE(3540)] = 120662,
  [SMALL_STATE(3541)] = 120717,
  [SMALL_STATE(3542)] = 120776,
  [SMALL_STATE(3543)] = 120831,
  [SMALL_STATE(3544)] = 120886,
  [SMALL_STATE(3545)] = 120941,
  [SMALL_STATE(3546)] = 121002,
  [SMALL_STATE(3547)] = 121061,
  [SMALL_STATE(3548)] = 121138,
  [SMALL_STATE(3549)] = 121211,
  [SMALL_STATE(3550)] = 121266,
  [SMALL_STATE(3551)] = 121321,
  [SMALL_STATE(3552)] = 121380,
  [SMALL_STATE(3553)] = 121435,
  [SMALL_STATE(3554)] = 121490,
  [SMALL_STATE(3555)] = 121556,
  [SMALL_STATE(3556)] = 121618,
  [SMALL_STATE(3557)] = 121684,
  [SMALL_STATE(3558)] = 121750,
  [SMALL_STATE(3559)] = 121816,
  [SMALL_STATE(3560)] = 121882,
  [SMALL_STATE(3561)] = 121944,
  [SMALL_STATE(3562)] = 122010,
  [SMALL_STATE(3563)] = 122072,
  [SMALL_STATE(3564)] = 122134,
  [SMALL_STATE(3565)] = 122188,
  [SMALL_STATE(3566)] = 122254,
  [SMALL_STATE(3567)] = 122320,
  [SMALL_STATE(3568)] = 122390,
  [SMALL_STATE(3569)] = 122448,
  [SMALL_STATE(3570)] = 122514,
  [SMALL_STATE(3571)] = 122572,
  [SMALL_STATE(3572)] = 122630,
  [SMALL_STATE(3573)] = 122696,
  [SMALL_STATE(3574)] = 122758,
  [SMALL_STATE(3575)] = 122820,
  [SMALL_STATE(3576)] = 122882,
  [SMALL_STATE(3577)] = 122952,
  [SMALL_STATE(3578)] = 123014,
  [SMALL_STATE(3579)] = 123076,
  [SMALL_STATE(3580)] = 123142,
  [SMALL_STATE(3581)] = 123204,
  [SMALL_STATE(3582)] = 123258,
  [SMALL_STATE(3583)] = 123316,
  [SMALL_STATE(3584)] = 123370,
  [SMALL_STATE(3585)] = 123428,
  [SMALL_STATE(3586)] = 123494,
  [SMALL_STATE(3587)] = 123562,
  [SMALL_STATE(3588)] = 123634,
  [SMALL_STATE(3589)] = 123696,
  [SMALL_STATE(3590)] = 123762,
  [SMALL_STATE(3591)] = 123824,
  [SMALL_STATE(3592)] = 123890,
  [SMALL_STATE(3593)] = 123944,
  [SMALL_STATE(3594)] = 124010,
  [SMALL_STATE(3595)] = 124064,
  [SMALL_STATE(3596)] = 124130,
  [SMALL_STATE(3597)] = 124192,
  [SMALL_STATE(3598)] = 124254,
  [SMALL_STATE(3599)] = 124319,
  [SMALL_STATE(3600)] = 124372,
  [SMALL_STATE(3601)] = 124425,
  [SMALL_STATE(3602)] = 124478,
  [SMALL_STATE(3603)] = 124531,
  [SMALL_STATE(3604)] = 124584,
  [SMALL_STATE(3605)] = 124637,
  [SMALL_STATE(3606)] = 124690,
  [SMALL_STATE(3607)] = 124743,
  [SMALL_STATE(3608)] = 124796,
  [SMALL_STATE(3609)] = 124849,
  [SMALL_STATE(3610)] = 124923,
  [SMALL_STATE(3611)] = 124973,
  [SMALL_STATE(3612)] = 125025,
  [SMALL_STATE(3613)] = 125075,
  [SMALL_STATE(3614)] = 125125,
  [SMALL_STATE(3615)] = 125175,
  [SMALL_STATE(3616)] = 125225,
  [SMALL_STATE(3617)] = 125275,
  [SMALL_STATE(3618)] = 125325,
  [SMALL_STATE(3619)] = 125375,
  [SMALL_STATE(3620)] = 125429,
  [SMALL_STATE(3621)] = 125479,
  [SMALL_STATE(3622)] = 125529,
  [SMALL_STATE(3623)] = 125583,
  [SMALL_STATE(3624)] = 125633,
  [SMALL_STATE(3625)] = 125683,
  [SMALL_STATE(3626)] = 125733,
  [SMALL_STATE(3627)] = 125783,
  [SMALL_STATE(3628)] = 125833,
  [SMALL_STATE(3629)] = 125883,
  [SMALL_STATE(3630)] = 125933,
  [SMALL_STATE(3631)] = 125983,
  [SMALL_STATE(3632)] = 126033,
  [SMALL_STATE(3633)] = 126083,
  [SMALL_STATE(3634)] = 126133,
  [SMALL_STATE(3635)] = 126183,
  [SMALL_STATE(3636)] = 126233,
  [SMALL_STATE(3637)] = 126283,
  [SMALL_STATE(3638)] = 126333,
  [SMALL_STATE(3639)] = 126383,
  [SMALL_STATE(3640)] = 126433,
  [SMALL_STATE(3641)] = 126483,
  [SMALL_STATE(3642)] = 126533,
  [SMALL_STATE(3643)] = 126583,
  [SMALL_STATE(3644)] = 126633,
  [SMALL_STATE(3645)] = 126683,
  [SMALL_STATE(3646)] = 126733,
  [SMALL_STATE(3647)] = 126785,
  [SMALL_STATE(3648)] = 126835,
  [SMALL_STATE(3649)] = 126885,
  [SMALL_STATE(3650)] = 126935,
  [SMALL_STATE(3651)] = 126985,
  [SMALL_STATE(3652)] = 127035,
  [SMALL_STATE(3653)] = 127085,
  [SMALL_STATE(3654)] = 127135,
  [SMALL_STATE(3655)] = 127185,
  [SMALL_STATE(3656)] = 127235,
  [SMALL_STATE(3657)] = 127285,
  [SMALL_STATE(3658)] = 127335,
  [SMALL_STATE(3659)] = 127385,
  [SMALL_STATE(3660)] = 127441,
  [SMALL_STATE(3661)] = 127491,
  [SMALL_STATE(3662)] = 127541,
  [SMALL_STATE(3663)] = 127591,
  [SMALL_STATE(3664)] = 127641,
  [SMALL_STATE(3665)] = 127697,
  [SMALL_STATE(3666)] = 127747,
  [SMALL_STATE(3667)] = 127812,
  [SMALL_STATE(3668)] = 127879,
  [SMALL_STATE(3669)] = 127944,
  [SMALL_STATE(3670)] = 128011,
  [SMALL_STATE(3671)] = 128058,
  [SMALL_STATE(3672)] = 128105,
  [SMALL_STATE(3673)] = 128172,
  [SMALL_STATE(3674)] = 128219,
  [SMALL_STATE(3675)] = 128270,
  [SMALL_STATE(3676)] = 128335,
  [SMALL_STATE(3677)] = 128386,
  [SMALL_STATE(3678)] = 128433,
  [SMALL_STATE(3679)] = 128498,
  [SMALL_STATE(3680)] = 128545,
  [SMALL_STATE(3681)] = 128592,
  [SMALL_STATE(3682)] = 128655,
  [SMALL_STATE(3683)] = 128702,
  [SMALL_STATE(3684)] = 128762,
  [SMALL_STATE(3685)] = 128822,
  [SMALL_STATE(3686)] = 128882,
  [SMALL_STATE(3687)] = 128934,
  [SMALL_STATE(3688)] = 128994,
  [SMALL_STATE(3689)] = 129054,
  [SMALL_STATE(3690)] = 129114,
  [SMALL_STATE(3691)] = 129174,
  [SMALL_STATE(3692)] = 129234,
  [SMALL_STATE(3693)] = 129294,
  [SMALL_STATE(3694)] = 129354,
  [SMALL_STATE(3695)] = 129414,
  [SMALL_STATE(3696)] = 129474,
  [SMALL_STATE(3697)] = 129534,
  [SMALL_STATE(3698)] = 129594,
  [SMALL_STATE(3699)] = 129670,
  [SMALL_STATE(3700)] = 129746,
  [SMALL_STATE(3701)] = 129806,
  [SMALL_STATE(3702)] = 129866,
  [SMALL_STATE(3703)] = 129926,
  [SMALL_STATE(3704)] = 129986,
  [SMALL_STATE(3705)] = 130046,
  [SMALL_STATE(3706)] = 130106,
  [SMALL_STATE(3707)] = 130166,
  [SMALL_STATE(3708)] = 130226,
  [SMALL_STATE(3709)] = 130286,
  [SMALL_STATE(3710)] = 130346,
  [SMALL_STATE(3711)] = 130406,
  [SMALL_STATE(3712)] = 130466,
  [SMALL_STATE(3713)] = 130526,
  [SMALL_STATE(3714)] = 130611,
  [SMALL_STATE(3715)] = 130672,
  [SMALL_STATE(3716)] = 130757,
  [SMALL_STATE(3717)] = 130842,
  [SMALL_STATE(3718)] = 130903,
  [SMALL_STATE(3719)] = 130964,
  [SMALL_STATE(3720)] = 131025,
  [SMALL_STATE(3721)] = 131086,
  [SMALL_STATE(3722)] = 131147,
  [SMALL_STATE(3723)] = 131232,
  [SMALL_STATE(3724)] = 131293,
  [SMALL_STATE(3725)] = 131364,
  [SMALL_STATE(3726)] = 131449,
  [SMALL_STATE(3727)] = 131510,
  [SMALL_STATE(3728)] = 131571,
  [SMALL_STATE(3729)] = 131632,
  [SMALL_STATE(3730)] = 131693,
  [SMALL_STATE(3731)] = 131778,
  [SMALL_STATE(3732)] = 131839,
  [SMALL_STATE(3733)] = 131924,
  [SMALL_STATE(3734)] = 131973,
  [SMALL_STATE(3735)] = 132034,
  [SMALL_STATE(3736)] = 132119,
  [SMALL_STATE(3737)] = 132180,
  [SMALL_STATE(3738)] = 132241,
  [SMALL_STATE(3739)] = 132326,
  [SMALL_STATE(3740)] = 132387,
  [SMALL_STATE(3741)] = 132454,
  [SMALL_STATE(3742)] = 132515,
  [SMALL_STATE(3743)] = 132582,
  [SMALL_STATE(3744)] = 132649,
  [SMALL_STATE(3745)] = 132720,
  [SMALL_STATE(3746)] = 132781,
  [SMALL_STATE(3747)] = 132866,
  [SMALL_STATE(3748)] = 132951,
  [SMALL_STATE(3749)] = 133012,
  [SMALL_STATE(3750)] = 133073,
  [SMALL_STATE(3751)] = 133134,
  [SMALL_STATE(3752)] = 133195,
  [SMALL_STATE(3753)] = 133240,
  [SMALL_STATE(3754)] = 133301,
  [SMALL_STATE(3755)] = 133362,
  [SMALL_STATE(3756)] = 133423,
  [SMALL_STATE(3757)] = 133494,
  [SMALL_STATE(3758)] = 133579,
  [SMALL_STATE(3759)] = 133640,
  [SMALL_STATE(3760)] = 133701,
  [SMALL_STATE(3761)] = 133768,
  [SMALL_STATE(3762)] = 133829,
  [SMALL_STATE(3763)] = 133890,
  [SMALL_STATE(3764)] = 133951,
  [SMALL_STATE(3765)] = 134015,
  [SMALL_STATE(3766)] = 134079,
  [SMALL_STATE(3767)] = 134125,
  [SMALL_STATE(3768)] = 134189,
  [SMALL_STATE(3769)] = 134253,
  [SMALL_STATE(3770)] = 134317,
  [SMALL_STATE(3771)] = 134381,
  [SMALL_STATE(3772)] = 134445,
  [SMALL_STATE(3773)] = 134509,
  [SMALL_STATE(3774)] = 134573,
  [SMALL_STATE(3775)] = 134631,
  [SMALL_STATE(3776)] = 134695,
  [SMALL_STATE(3777)] = 134755,
  [SMALL_STATE(3778)] = 134819,
  [SMALL_STATE(3779)] = 134883,
  [SMALL_STATE(3780)] = 134947,
  [SMALL_STATE(3781)] = 135011,
  [SMALL_STATE(3782)] = 135075,
  [SMALL_STATE(3783)] = 135135,
  [SMALL_STATE(3784)] = 135199,
  [SMALL_STATE(3785)] = 135242,
  [SMALL_STATE(3786)] = 135299,
  [SMALL_STATE(3787)] = 135356,
  [SMALL_STATE(3788)] = 135411,
  [SMALL_STATE(3789)] = 135468,
  [SMALL_STATE(3790)] = 135525,
  [SMALL_STATE(3791)] = 135580,
  [SMALL_STATE(3792)] = 135623,
  [SMALL_STATE(3793)] = 135678,
  [SMALL_STATE(3794)] = 135733,
  [SMALL_STATE(3795)] = 135788,
  [SMALL_STATE(3796)] = 135843,
  [SMALL_STATE(3797)] = 135898,
  [SMALL_STATE(3798)] = 135953,
  [SMALL_STATE(3799)] = 136008,
  [SMALL_STATE(3800)] = 136063,
  [SMALL_STATE(3801)] = 136118,
  [SMALL_STATE(3802)] = 136173,
  [SMALL_STATE(3803)] = 136228,
  [SMALL_STATE(3804)] = 136271,
  [SMALL_STATE(3805)] = 136314,
  [SMALL_STATE(3806)] = 136369,
  [SMALL_STATE(3807)] = 136424,
  [SMALL_STATE(3808)] = 136481,
  [SMALL_STATE(3809)] = 136536,
  [SMALL_STATE(3810)] = 136591,
  [SMALL_STATE(3811)] = 136646,
  [SMALL_STATE(3812)] = 136701,
  [SMALL_STATE(3813)] = 136744,
  [SMALL_STATE(3814)] = 136801,
  [SMALL_STATE(3815)] = 136856,
  [SMALL_STATE(3816)] = 136911,
  [SMALL_STATE(3817)] = 136966,
  [SMALL_STATE(3818)] = 137021,
  [SMALL_STATE(3819)] = 137076,
  [SMALL_STATE(3820)] = 137131,
  [SMALL_STATE(3821)] = 137188,
  [SMALL_STATE(3822)] = 137243,
  [SMALL_STATE(3823)] = 137298,
  [SMALL_STATE(3824)] = 137353,
  [SMALL_STATE(3825)] = 137408,
  [SMALL_STATE(3826)] = 137463,
  [SMALL_STATE(3827)] = 137518,
  [SMALL_STATE(3828)] = 137575,
  [SMALL_STATE(3829)] = 137630,
  [SMALL_STATE(3830)] = 137687,
  [SMALL_STATE(3831)] = 137744,
  [SMALL_STATE(3832)] = 137799,
  [SMALL_STATE(3833)] = 137854,
  [SMALL_STATE(3834)] = 137909,
  [SMALL_STATE(3835)] = 137964,
  [SMALL_STATE(3836)] = 138021,
  [SMALL_STATE(3837)] = 138078,
  [SMALL_STATE(3838)] = 138135,
  [SMALL_STATE(3839)] = 138190,
  [SMALL_STATE(3840)] = 138245,
  [SMALL_STATE(3841)] = 138300,
  [SMALL_STATE(3842)] = 138357,
  [SMALL_STATE(3843)] = 138400,
  [SMALL_STATE(3844)] = 138455,
  [SMALL_STATE(3845)] = 138510,
  [SMALL_STATE(3846)] = 138550,
  [SMALL_STATE(3847)] = 138585,
  [SMALL_STATE(3848)] = 138632,
  [SMALL_STATE(3849)] = 138679,
  [SMALL_STATE(3850)] = 138726,
  [SMALL_STATE(3851)] = 138761,
  [SMALL_STATE(3852)] = 138796,
  [SMALL_STATE(3853)] = 138830,
  [SMALL_STATE(3854)] = 138864,
  [SMALL_STATE(3855)] = 138905,
  [SMALL_STATE(3856)] = 138938,
  [SMALL_STATE(3857)] = 138971,
  [SMALL_STATE(3858)] = 139004,
  [SMALL_STATE(3859)] = 139037,
  [SMALL_STATE(3860)] = 139070,
  [SMALL_STATE(3861)] = 139103,
  [SMALL_STATE(3862)] = 139136,
  [SMALL_STATE(3863)] = 139169,
  [SMALL_STATE(3864)] = 139202,
  [SMALL_STATE(3865)] = 139235,
  [SMALL_STATE(3866)] = 139268,
  [SMALL_STATE(3867)] = 139301,
  [SMALL_STATE(3868)] = 139334,
  [SMALL_STATE(3869)] = 139367,
  [SMALL_STATE(3870)] = 139400,
  [SMALL_STATE(3871)] = 139433,
  [SMALL_STATE(3872)] = 139466,
  [SMALL_STATE(3873)] = 139499,
  [SMALL_STATE(3874)] = 139532,
  [SMALL_STATE(3875)] = 139565,
  [SMALL_STATE(3876)] = 139598,
  [SMALL_STATE(3877)] = 139631,
  [SMALL_STATE(3878)] = 139664,
  [SMALL_STATE(3879)] = 139697,
  [SMALL_STATE(3880)] = 139730,
  [SMALL_STATE(3881)] = 139763,
  [SMALL_STATE(3882)] = 139796,
  [SMALL_STATE(3883)] = 139829,
  [SMALL_STATE(3884)] = 139862,
  [SMALL_STATE(3885)] = 139895,
  [SMALL_STATE(3886)] = 139928,
  [SMALL_STATE(3887)] = 139961,
  [SMALL_STATE(3888)] = 139994,
  [SMALL_STATE(3889)] = 140027,
  [SMALL_STATE(3890)] = 140081,
  [SMALL_STATE(3891)] = 140135,
  [SMALL_STATE(3892)] = 140189,
  [SMALL_STATE(3893)] = 140227,
  [SMALL_STATE(3894)] = 140281,
  [SMALL_STATE(3895)] = 140335,
  [SMALL_STATE(3896)] = 140366,
  [SMALL_STATE(3897)] = 140397,
  [SMALL_STATE(3898)] = 140430,
  [SMALL_STATE(3899)] = 140461,
  [SMALL_STATE(3900)] = 140504,
  [SMALL_STATE(3901)] = 140535,
  [SMALL_STATE(3902)] = 140578,
  [SMALL_STATE(3903)] = 140609,
  [SMALL_STATE(3904)] = 140644,
  [SMALL_STATE(3905)] = 140675,
  [SMALL_STATE(3906)] = 140718,
  [SMALL_STATE(3907)] = 140749,
  [SMALL_STATE(3908)] = 140780,
  [SMALL_STATE(3909)] = 140811,
  [SMALL_STATE(3910)] = 140842,
  [SMALL_STATE(3911)] = 140873,
  [SMALL_STATE(3912)] = 140904,
  [SMALL_STATE(3913)] = 140935,
  [SMALL_STATE(3914)] = 140966,
  [SMALL_STATE(3915)] = 140997,
  [SMALL_STATE(3916)] = 141032,
  [SMALL_STATE(3917)] = 141063,
  [SMALL_STATE(3918)] = 141094,
  [SMALL_STATE(3919)] = 141127,
  [SMALL_STATE(3920)] = 141158,
  [SMALL_STATE(3921)] = 141189,
  [SMALL_STATE(3922)] = 141220,
  [SMALL_STATE(3923)] = 141251,
  [SMALL_STATE(3924)] = 141283,
  [SMALL_STATE(3925)] = 141313,
  [SMALL_STATE(3926)] = 141343,
  [SMALL_STATE(3927)] = 141375,
  [SMALL_STATE(3928)] = 141407,
  [SMALL_STATE(3929)] = 141442,
  [SMALL_STATE(3930)] = 141471,
  [SMALL_STATE(3931)] = 141508,
  [SMALL_STATE(3932)] = 141547,
  [SMALL_STATE(3933)] = 141576,
  [SMALL_STATE(3934)] = 141605,
  [SMALL_STATE(3935)] = 141634,
  [SMALL_STATE(3936)] = 141663,
  [SMALL_STATE(3937)] = 141702,
  [SMALL_STATE(3938)] = 141731,
  [SMALL_STATE(3939)] = 141760,
  [SMALL_STATE(3940)] = 141789,
  [SMALL_STATE(3941)] = 141818,
  [SMALL_STATE(3942)] = 141845,
  [SMALL_STATE(3943)] = 141872,
  [SMALL_STATE(3944)] = 141911,
  [SMALL_STATE(3945)] = 141940,
  [SMALL_STATE(3946)] = 141969,
  [SMALL_STATE(3947)] = 142008,
  [SMALL_STATE(3948)] = 142037,
  [SMALL_STATE(3949)] = 142066,
  [SMALL_STATE(3950)] = 142101,
  [SMALL_STATE(3951)] = 142130,
  [SMALL_STATE(3952)] = 142167,
  [SMALL_STATE(3953)] = 142196,
  [SMALL_STATE(3954)] = 142231,
  [SMALL_STATE(3955)] = 142260,
  [SMALL_STATE(3956)] = 142295,
  [SMALL_STATE(3957)] = 142330,
  [SMALL_STATE(3958)] = 142369,
  [SMALL_STATE(3959)] = 142396,
  [SMALL_STATE(3960)] = 142425,
  [SMALL_STATE(3961)] = 142460,
  [SMALL_STATE(3962)] = 142499,
  [SMALL_STATE(3963)] = 142538,
  [SMALL_STATE(3964)] = 142577,
  [SMALL_STATE(3965)] = 142616,
  [SMALL_STATE(3966)] = 142653,
  [SMALL_STATE(3967)] = 142682,
  [SMALL_STATE(3968)] = 142719,
  [SMALL_STATE(3969)] = 142748,
  [SMALL_STATE(3970)] = 142787,
  [SMALL_STATE(3971)] = 142816,
  [SMALL_STATE(3972)] = 142855,
  [SMALL_STATE(3973)] = 142882,
  [SMALL_STATE(3974)] = 142911,
  [SMALL_STATE(3975)] = 142940,
  [SMALL_STATE(3976)] = 142969,
  [SMALL_STATE(3977)] = 143000,
  [SMALL_STATE(3978)] = 143029,
  [SMALL_STATE(3979)] = 143058,
  [SMALL_STATE(3980)] = 143087,
  [SMALL_STATE(3981)] = 143126,
  [SMALL_STATE(3982)] = 143155,
  [SMALL_STATE(3983)] = 143184,
  [SMALL_STATE(3984)] = 143213,
  [SMALL_STATE(3985)] = 143240,
  [SMALL_STATE(3986)] = 143271,
  [SMALL_STATE(3987)] = 143298,
  [SMALL_STATE(3988)] = 143327,
  [SMALL_STATE(3989)] = 143356,
  [SMALL_STATE(3990)] = 143387,
  [SMALL_STATE(3991)] = 143416,
  [SMALL_STATE(3992)] = 143445,
  [SMALL_STATE(3993)] = 143472,
  [SMALL_STATE(3994)] = 143499,
  [SMALL_STATE(3995)] = 143538,
  [SMALL_STATE(3996)] = 143577,
  [SMALL_STATE(3997)] = 143616,
  [SMALL_STATE(3998)] = 143653,
  [SMALL_STATE(3999)] = 143682,
  [SMALL_STATE(4000)] = 143711,
  [SMALL_STATE(4001)] = 143740,
  [SMALL_STATE(4002)] = 143769,
  [SMALL_STATE(4003)] = 143802,
  [SMALL_STATE(4004)] = 143837,
  [SMALL_STATE(4005)] = 143866,
  [SMALL_STATE(4006)] = 143895,
  [SMALL_STATE(4007)] = 143924,
  [SMALL_STATE(4008)] = 143951,
  [SMALL_STATE(4009)] = 143988,
  [SMALL_STATE(4010)] = 144027,
  [SMALL_STATE(4011)] = 144066,
  [SMALL_STATE(4012)] = 144095,
  [SMALL_STATE(4013)] = 144134,
  [SMALL_STATE(4014)] = 144163,
  [SMALL_STATE(4015)] = 144192,
  [SMALL_STATE(4016)] = 144221,
  [SMALL_STATE(4017)] = 144250,
  [SMALL_STATE(4018)] = 144279,
  [SMALL_STATE(4019)] = 144308,
  [SMALL_STATE(4020)] = 144339,
  [SMALL_STATE(4021)] = 144368,
  [SMALL_STATE(4022)] = 144397,
  [SMALL_STATE(4023)] = 144426,
  [SMALL_STATE(4024)] = 144455,
  [SMALL_STATE(4025)] = 144484,
  [SMALL_STATE(4026)] = 144513,
  [SMALL_STATE(4027)] = 144542,
  [SMALL_STATE(4028)] = 144569,
  [SMALL_STATE(4029)] = 144598,
  [SMALL_STATE(4030)] = 144627,
  [SMALL_STATE(4031)] = 144656,
  [SMALL_STATE(4032)] = 144685,
  [SMALL_STATE(4033)] = 144714,
  [SMALL_STATE(4034)] = 144743,
  [SMALL_STATE(4035)] = 144772,
  [SMALL_STATE(4036)] = 144801,
  [SMALL_STATE(4037)] = 144830,
  [SMALL_STATE(4038)] = 144859,
  [SMALL_STATE(4039)] = 144890,
  [SMALL_STATE(4040)] = 144919,
  [SMALL_STATE(4041)] = 144963,
  [SMALL_STATE(4042)] = 145011,
  [SMALL_STATE(4043)] = 145055,
  [SMALL_STATE(4044)] = 145103,
  [SMALL_STATE(4045)] = 145137,
  [SMALL_STATE(4046)] = 145171,
  [SMALL_STATE(4047)] = 145219,
  [SMALL_STATE(4048)] = 145267,
  [SMALL_STATE(4049)] = 145315,
  [SMALL_STATE(4050)] = 145363,
  [SMALL_STATE(4051)] = 145411,
  [SMALL_STATE(4052)] = 145459,
  [SMALL_STATE(4053)] = 145503,
  [SMALL_STATE(4054)] = 145551,
  [SMALL_STATE(4055)] = 145599,
  [SMALL_STATE(4056)] = 145643,
  [SMALL_STATE(4057)] = 145691,
  [SMALL_STATE(4058)] = 145739,
  [SMALL_STATE(4059)] = 145787,
  [SMALL_STATE(4060)] = 145835,
  [SMALL_STATE(4061)] = 145883,
  [SMALL_STATE(4062)] = 145931,
  [SMALL_STATE(4063)] = 145979,
  [SMALL_STATE(4064)] = 146013,
  [SMALL_STATE(4065)] = 146057,
  [SMALL_STATE(4066)] = 146105,
  [SMALL_STATE(4067)] = 146153,
  [SMALL_STATE(4068)] = 146201,
  [SMALL_STATE(4069)] = 146249,
  [SMALL_STATE(4070)] = 146297,
  [SMALL_STATE(4071)] = 146345,
  [SMALL_STATE(4072)] = 146379,
  [SMALL_STATE(4073)] = 146413,
  [SMALL_STATE(4074)] = 146461,
  [SMALL_STATE(4075)] = 146509,
  [SMALL_STATE(4076)] = 146557,
  [SMALL_STATE(4077)] = 146605,
  [SMALL_STATE(4078)] = 146653,
  [SMALL_STATE(4079)] = 146687,
  [SMALL_STATE(4080)] = 146719,
  [SMALL_STATE(4081)] = 146746,
  [SMALL_STATE(4082)] = 146771,
  [SMALL_STATE(4083)] = 146796,
  [SMALL_STATE(4084)] = 146837,
  [SMALL_STATE(4085)] = 146862,
  [SMALL_STATE(4086)] = 146889,
  [SMALL_STATE(4087)] = 146930,
  [SMALL_STATE(4088)] = 146963,
  [SMALL_STATE(4089)] = 146988,
  [SMALL_STATE(4090)] = 147013,
  [SMALL_STATE(4091)] = 147044,
  [SMALL_STATE(4092)] = 147085,
  [SMALL_STATE(4093)] = 147110,
  [SMALL_STATE(4094)] = 147135,
  [SMALL_STATE(4095)] = 147160,
  [SMALL_STATE(4096)] = 147185,
  [SMALL_STATE(4097)] = 147212,
  [SMALL_STATE(4098)] = 147237,
  [SMALL_STATE(4099)] = 147262,
  [SMALL_STATE(4100)] = 147287,
  [SMALL_STATE(4101)] = 147328,
  [SMALL_STATE(4102)] = 147361,
  [SMALL_STATE(4103)] = 147388,
  [SMALL_STATE(4104)] = 147429,
  [SMALL_STATE(4105)] = 147454,
  [SMALL_STATE(4106)] = 147481,
  [SMALL_STATE(4107)] = 147506,
  [SMALL_STATE(4108)] = 147533,
  [SMALL_STATE(4109)] = 147560,
  [SMALL_STATE(4110)] = 147587,
  [SMALL_STATE(4111)] = 147614,
  [SMALL_STATE(4112)] = 147639,
  [SMALL_STATE(4113)] = 147666,
  [SMALL_STATE(4114)] = 147693,
  [SMALL_STATE(4115)] = 147718,
  [SMALL_STATE(4116)] = 147759,
  [SMALL_STATE(4117)] = 147786,
  [SMALL_STATE(4118)] = 147827,
  [SMALL_STATE(4119)] = 147858,
  [SMALL_STATE(4120)] = 147887,
  [SMALL_STATE(4121)] = 147912,
  [SMALL_STATE(4122)] = 147953,
  [SMALL_STATE(4123)] = 147980,
  [SMALL_STATE(4124)] = 148007,
  [SMALL_STATE(4125)] = 148032,
  [SMALL_STATE(4126)] = 148059,
  [SMALL_STATE(4127)] = 148100,
  [SMALL_STATE(4128)] = 148127,
  [SMALL_STATE(4129)] = 148170,
  [SMALL_STATE(4130)] = 148211,
  [SMALL_STATE(4131)] = 148236,
  [SMALL_STATE(4132)] = 148263,
  [SMALL_STATE(4133)] = 148292,
  [SMALL_STATE(4134)] = 148317,
  [SMALL_STATE(4135)] = 148342,
  [SMALL_STATE(4136)] = 148367,
  [SMALL_STATE(4137)] = 148392,
  [SMALL_STATE(4138)] = 148417,
  [SMALL_STATE(4139)] = 148442,
  [SMALL_STATE(4140)] = 148467,
  [SMALL_STATE(4141)] = 148492,
  [SMALL_STATE(4142)] = 148517,
  [SMALL_STATE(4143)] = 148542,
  [SMALL_STATE(4144)] = 148567,
  [SMALL_STATE(4145)] = 148592,
  [SMALL_STATE(4146)] = 148617,
  [SMALL_STATE(4147)] = 148642,
  [SMALL_STATE(4148)] = 148667,
  [SMALL_STATE(4149)] = 148709,
  [SMALL_STATE(4150)] = 148743,
  [SMALL_STATE(4151)] = 148785,
  [SMALL_STATE(4152)] = 148827,
  [SMALL_STATE(4153)] = 148869,
  [SMALL_STATE(4154)] = 148911,
  [SMALL_STATE(4155)] = 148953,
  [SMALL_STATE(4156)] = 148995,
  [SMALL_STATE(4157)] = 149023,
  [SMALL_STATE(4158)] = 149051,
  [SMALL_STATE(4159)] = 149093,
  [SMALL_STATE(4160)] = 149137,
  [SMALL_STATE(4161)] = 149175,
  [SMALL_STATE(4162)] = 149219,
  [SMALL_STATE(4163)] = 149257,
  [SMALL_STATE(4164)] = 149299,
  [SMALL_STATE(4165)] = 149343,
  [SMALL_STATE(4166)] = 149385,
  [SMALL_STATE(4167)] = 149421,
  [SMALL_STATE(4168)] = 149459,
  [SMALL_STATE(4169)] = 149501,
  [SMALL_STATE(4170)] = 149527,
  [SMALL_STATE(4171)] = 149571,
  [SMALL_STATE(4172)] = 149599,
  [SMALL_STATE(4173)] = 149641,
  [SMALL_STATE(4174)] = 149675,
  [SMALL_STATE(4175)] = 149717,
  [SMALL_STATE(4176)] = 149759,
  [SMALL_STATE(4177)] = 149801,
  [SMALL_STATE(4178)] = 149839,
  [SMALL_STATE(4179)] = 149877,
  [SMALL_STATE(4180)] = 149919,
  [SMALL_STATE(4181)] = 149957,
  [SMALL_STATE(4182)] = 149991,
  [SMALL_STATE(4183)] = 150033,
  [SMALL_STATE(4184)] = 150067,
  [SMALL_STATE(4185)] = 150111,
  [SMALL_STATE(4186)] = 150153,
  [SMALL_STATE(4187)] = 150195,
  [SMALL_STATE(4188)] = 150233,
  [SMALL_STATE(4189)] = 150275,
  [SMALL_STATE(4190)] = 150311,
  [SMALL_STATE(4191)] = 150341,
  [SMALL_STATE(4192)] = 150383,
  [SMALL_STATE(4193)] = 150409,
  [SMALL_STATE(4194)] = 150443,
  [SMALL_STATE(4195)] = 150481,
  [SMALL_STATE(4196)] = 150523,
  [SMALL_STATE(4197)] = 150561,
  [SMALL_STATE(4198)] = 150599,
  [SMALL_STATE(4199)] = 150641,
  [SMALL_STATE(4200)] = 150666,
  [SMALL_STATE(4201)] = 150691,
  [SMALL_STATE(4202)] = 150716,
  [SMALL_STATE(4203)] = 150743,
  [SMALL_STATE(4204)] = 150768,
  [SMALL_STATE(4205)] = 150795,
  [SMALL_STATE(4206)] = 150824,
  [SMALL_STATE(4207)] = 150849,
  [SMALL_STATE(4208)] = 150874,
  [SMALL_STATE(4209)] = 150903,
  [SMALL_STATE(4210)] = 150926,
  [SMALL_STATE(4211)] = 150951,
  [SMALL_STATE(4212)] = 150976,
  [SMALL_STATE(4213)] = 151003,
  [SMALL_STATE(4214)] = 151032,
  [SMALL_STATE(4215)] = 151059,
  [SMALL_STATE(4216)] = 151084,
  [SMALL_STATE(4217)] = 151109,
  [SMALL_STATE(4218)] = 151136,
  [SMALL_STATE(4219)] = 151161,
  [SMALL_STATE(4220)] = 151186,
  [SMALL_STATE(4221)] = 151211,
  [SMALL_STATE(4222)] = 151234,
  [SMALL_STATE(4223)] = 151263,
  [SMALL_STATE(4224)] = 151288,
  [SMALL_STATE(4225)] = 151317,
  [SMALL_STATE(4226)] = 151342,
  [SMALL_STATE(4227)] = 151365,
  [SMALL_STATE(4228)] = 151390,
  [SMALL_STATE(4229)] = 151419,
  [SMALL_STATE(4230)] = 151444,
  [SMALL_STATE(4231)] = 151473,
  [SMALL_STATE(4232)] = 151498,
  [SMALL_STATE(4233)] = 151523,
  [SMALL_STATE(4234)] = 151548,
  [SMALL_STATE(4235)] = 151573,
  [SMALL_STATE(4236)] = 151596,
  [SMALL_STATE(4237)] = 151619,
  [SMALL_STATE(4238)] = 151644,
  [SMALL_STATE(4239)] = 151667,
  [SMALL_STATE(4240)] = 151692,
  [SMALL_STATE(4241)] = 151715,
  [SMALL_STATE(4242)] = 151738,
  [SMALL_STATE(4243)] = 151781,
  [SMALL_STATE(4244)] = 151806,
  [SMALL_STATE(4245)] = 151831,
  [SMALL_STATE(4246)] = 151856,
  [SMALL_STATE(4247)] = 151881,
  [SMALL_STATE(4248)] = 151906,
  [SMALL_STATE(4249)] = 151931,
  [SMALL_STATE(4250)] = 151956,
  [SMALL_STATE(4251)] = 151981,
  [SMALL_STATE(4252)] = 152006,
  [SMALL_STATE(4253)] = 152031,
  [SMALL_STATE(4254)] = 152054,
  [SMALL_STATE(4255)] = 152083,
  [SMALL_STATE(4256)] = 152108,
  [SMALL_STATE(4257)] = 152133,
  [SMALL_STATE(4258)] = 152160,
  [SMALL_STATE(4259)] = 152185,
  [SMALL_STATE(4260)] = 152210,
  [SMALL_STATE(4261)] = 152235,
  [SMALL_STATE(4262)] = 152266,
  [SMALL_STATE(4263)] = 152293,
  [SMALL_STATE(4264)] = 152333,
  [SMALL_STATE(4265)] = 152373,
  [SMALL_STATE(4266)] = 152401,
  [SMALL_STATE(4267)] = 152427,
  [SMALL_STATE(4268)] = 152467,
  [SMALL_STATE(4269)] = 152489,
  [SMALL_STATE(4270)] = 152527,
  [SMALL_STATE(4271)] = 152567,
  [SMALL_STATE(4272)] = 152607,
  [SMALL_STATE(4273)] = 152647,
  [SMALL_STATE(4274)] = 152687,
  [SMALL_STATE(4275)] = 152727,
  [SMALL_STATE(4276)] = 152755,
  [SMALL_STATE(4277)] = 152781,
  [SMALL_STATE(4278)] = 152815,
  [SMALL_STATE(4279)] = 152849,
  [SMALL_STATE(4280)] = 152873,
  [SMALL_STATE(4281)] = 152899,
  [SMALL_STATE(4282)] = 152939,
  [SMALL_STATE(4283)] = 152979,
  [SMALL_STATE(4284)] = 153019,
  [SMALL_STATE(4285)] = 153043,
  [SMALL_STATE(4286)] = 153083,
  [SMALL_STATE(4287)] = 153121,
  [SMALL_STATE(4288)] = 153161,
  [SMALL_STATE(4289)] = 153201,
  [SMALL_STATE(4290)] = 153241,
  [SMALL_STATE(4291)] = 153281,
  [SMALL_STATE(4292)] = 153321,
  [SMALL_STATE(4293)] = 153345,
  [SMALL_STATE(4294)] = 153385,
  [SMALL_STATE(4295)] = 153407,
  [SMALL_STATE(4296)] = 153435,
  [SMALL_STATE(4297)] = 153475,
  [SMALL_STATE(4298)] = 153512,
  [SMALL_STATE(4299)] = 153545,
  [SMALL_STATE(4300)] = 153578,
  [SMALL_STATE(4301)] = 153611,
  [SMALL_STATE(4302)] = 153632,
  [SMALL_STATE(4303)] = 153653,
  [SMALL_STATE(4304)] = 153686,
  [SMALL_STATE(4305)] = 153707,
  [SMALL_STATE(4306)] = 153744,
  [SMALL_STATE(4307)] = 153777,
  [SMALL_STATE(4308)] = 153806,
  [SMALL_STATE(4309)] = 153843,
  [SMALL_STATE(4310)] = 153876,
  [SMALL_STATE(4311)] = 153909,
  [SMALL_STATE(4312)] = 153932,
  [SMALL_STATE(4313)] = 153967,
  [SMALL_STATE(4314)] = 154000,
  [SMALL_STATE(4315)] = 154023,
  [SMALL_STATE(4316)] = 154046,
  [SMALL_STATE(4317)] = 154075,
  [SMALL_STATE(4318)] = 154106,
  [SMALL_STATE(4319)] = 154143,
  [SMALL_STATE(4320)] = 154164,
  [SMALL_STATE(4321)] = 154201,
  [SMALL_STATE(4322)] = 154222,
  [SMALL_STATE(4323)] = 154245,
  [SMALL_STATE(4324)] = 154268,
  [SMALL_STATE(4325)] = 154289,
  [SMALL_STATE(4326)] = 154326,
  [SMALL_STATE(4327)] = 154349,
  [SMALL_STATE(4328)] = 154380,
  [SMALL_STATE(4329)] = 154417,
  [SMALL_STATE(4330)] = 154438,
  [SMALL_STATE(4331)] = 154475,
  [SMALL_STATE(4332)] = 154496,
  [SMALL_STATE(4333)] = 154533,
  [SMALL_STATE(4334)] = 154554,
  [SMALL_STATE(4335)] = 154591,
  [SMALL_STATE(4336)] = 154624,
  [SMALL_STATE(4337)] = 154661,
  [SMALL_STATE(4338)] = 154694,
  [SMALL_STATE(4339)] = 154719,
  [SMALL_STATE(4340)] = 154756,
  [SMALL_STATE(4341)] = 154777,
  [SMALL_STATE(4342)] = 154812,
  [SMALL_STATE(4343)] = 154849,
  [SMALL_STATE(4344)] = 154874,
  [SMALL_STATE(4345)] = 154895,
  [SMALL_STATE(4346)] = 154916,
  [SMALL_STATE(4347)] = 154937,
  [SMALL_STATE(4348)] = 154974,
  [SMALL_STATE(4349)] = 155011,
  [SMALL_STATE(4350)] = 155048,
  [SMALL_STATE(4351)] = 155085,
  [SMALL_STATE(4352)] = 155122,
  [SMALL_STATE(4353)] = 155143,
  [SMALL_STATE(4354)] = 155164,
  [SMALL_STATE(4355)] = 155197,
  [SMALL_STATE(4356)] = 155234,
  [SMALL_STATE(4357)] = 155271,
  [SMALL_STATE(4358)] = 155308,
  [SMALL_STATE(4359)] = 155343,
  [SMALL_STATE(4360)] = 155380,
  [SMALL_STATE(4361)] = 155413,
  [SMALL_STATE(4362)] = 155446,
  [SMALL_STATE(4363)] = 155483,
  [SMALL_STATE(4364)] = 155514,
  [SMALL_STATE(4365)] = 155551,
  [SMALL_STATE(4366)] = 155572,
  [SMALL_STATE(4367)] = 155593,
  [SMALL_STATE(4368)] = 155624,
  [SMALL_STATE(4369)] = 155645,
  [SMALL_STATE(4370)] = 155682,
  [SMALL_STATE(4371)] = 155703,
  [SMALL_STATE(4372)] = 155724,
  [SMALL_STATE(4373)] = 155747,
  [SMALL_STATE(4374)] = 155768,
  [SMALL_STATE(4375)] = 155789,
  [SMALL_STATE(4376)] = 155810,
  [SMALL_STATE(4377)] = 155837,
  [SMALL_STATE(4378)] = 155862,
  [SMALL_STATE(4379)] = 155885,
  [SMALL_STATE(4380)] = 155908,
  [SMALL_STATE(4381)] = 155939,
  [SMALL_STATE(4382)] = 155960,
  [SMALL_STATE(4383)] = 155997,
  [SMALL_STATE(4384)] = 156034,
  [SMALL_STATE(4385)] = 156071,
  [SMALL_STATE(4386)] = 156098,
  [SMALL_STATE(4387)] = 156129,
  [SMALL_STATE(4388)] = 156150,
  [SMALL_STATE(4389)] = 156177,
  [SMALL_STATE(4390)] = 156198,
  [SMALL_STATE(4391)] = 156229,
  [SMALL_STATE(4392)] = 156250,
  [SMALL_STATE(4393)] = 156287,
  [SMALL_STATE(4394)] = 156318,
  [SMALL_STATE(4395)] = 156339,
  [SMALL_STATE(4396)] = 156372,
  [SMALL_STATE(4397)] = 156393,
  [SMALL_STATE(4398)] = 156414,
  [SMALL_STATE(4399)] = 156447,
  [SMALL_STATE(4400)] = 156468,
  [SMALL_STATE(4401)] = 156505,
  [SMALL_STATE(4402)] = 156538,
  [SMALL_STATE(4403)] = 156559,
  [SMALL_STATE(4404)] = 156592,
  [SMALL_STATE(4405)] = 156613,
  [SMALL_STATE(4406)] = 156650,
  [SMALL_STATE(4407)] = 156683,
  [SMALL_STATE(4408)] = 156720,
  [SMALL_STATE(4409)] = 156757,
  [SMALL_STATE(4410)] = 156794,
  [SMALL_STATE(4411)] = 156831,
  [SMALL_STATE(4412)] = 156868,
  [SMALL_STATE(4413)] = 156905,
  [SMALL_STATE(4414)] = 156926,
  [SMALL_STATE(4415)] = 156959,
  [SMALL_STATE(4416)] = 156992,
  [SMALL_STATE(4417)] = 157025,
  [SMALL_STATE(4418)] = 157056,
  [SMALL_STATE(4419)] = 157089,
  [SMALL_STATE(4420)] = 157116,
  [SMALL_STATE(4421)] = 157137,
  [SMALL_STATE(4422)] = 157158,
  [SMALL_STATE(4423)] = 157195,
  [SMALL_STATE(4424)] = 157228,
  [SMALL_STATE(4425)] = 157265,
  [SMALL_STATE(4426)] = 157298,
  [SMALL_STATE(4427)] = 157331,
  [SMALL_STATE(4428)] = 157354,
  [SMALL_STATE(4429)] = 157381,
  [SMALL_STATE(4430)] = 157414,
  [SMALL_STATE(4431)] = 157447,
  [SMALL_STATE(4432)] = 157480,
  [SMALL_STATE(4433)] = 157511,
  [SMALL_STATE(4434)] = 157532,
  [SMALL_STATE(4435)] = 157565,
  [SMALL_STATE(4436)] = 157586,
  [SMALL_STATE(4437)] = 157607,
  [SMALL_STATE(4438)] = 157644,
  [SMALL_STATE(4439)] = 157677,
  [SMALL_STATE(4440)] = 157708,
  [SMALL_STATE(4441)] = 157745,
  [SMALL_STATE(4442)] = 157782,
  [SMALL_STATE(4443)] = 157815,
  [SMALL_STATE(4444)] = 157848,
  [SMALL_STATE(4445)] = 157885,
  [SMALL_STATE(4446)] = 157922,
  [SMALL_STATE(4447)] = 157955,
  [SMALL_STATE(4448)] = 157976,
  [SMALL_STATE(4449)] = 158009,
  [SMALL_STATE(4450)] = 158040,
  [SMALL_STATE(4451)] = 158061,
  [SMALL_STATE(4452)] = 158098,
  [SMALL_STATE(4453)] = 158119,
  [SMALL_STATE(4454)] = 158156,
  [SMALL_STATE(4455)] = 158177,
  [SMALL_STATE(4456)] = 158198,
  [SMALL_STATE(4457)] = 158219,
  [SMALL_STATE(4458)] = 158240,
  [SMALL_STATE(4459)] = 158277,
  [SMALL_STATE(4460)] = 158314,
  [SMALL_STATE(4461)] = 158351,
  [SMALL_STATE(4462)] = 158382,
  [SMALL_STATE(4463)] = 158417,
  [SMALL_STATE(4464)] = 158444,
  [SMALL_STATE(4465)] = 158481,
  [SMALL_STATE(4466)] = 158514,
  [SMALL_STATE(4467)] = 158535,
  [SMALL_STATE(4468)] = 158566,
  [SMALL_STATE(4469)] = 158603,
  [SMALL_STATE(4470)] = 158630,
  [SMALL_STATE(4471)] = 158651,
  [SMALL_STATE(4472)] = 158672,
  [SMALL_STATE(4473)] = 158693,
  [SMALL_STATE(4474)] = 158714,
  [SMALL_STATE(4475)] = 158747,
  [SMALL_STATE(4476)] = 158784,
  [SMALL_STATE(4477)] = 158821,
  [SMALL_STATE(4478)] = 158842,
  [SMALL_STATE(4479)] = 158879,
  [SMALL_STATE(4480)] = 158900,
  [SMALL_STATE(4481)] = 158933,
  [SMALL_STATE(4482)] = 158954,
  [SMALL_STATE(4483)] = 158975,
  [SMALL_STATE(4484)] = 158996,
  [SMALL_STATE(4485)] = 159017,
  [SMALL_STATE(4486)] = 159050,
  [SMALL_STATE(4487)] = 159083,
  [SMALL_STATE(4488)] = 159104,
  [SMALL_STATE(4489)] = 159125,
  [SMALL_STATE(4490)] = 159148,
  [SMALL_STATE(4491)] = 159169,
  [SMALL_STATE(4492)] = 159190,
  [SMALL_STATE(4493)] = 159218,
  [SMALL_STATE(4494)] = 159246,
  [SMALL_STATE(4495)] = 159278,
  [SMALL_STATE(4496)] = 159312,
  [SMALL_STATE(4497)] = 159344,
  [SMALL_STATE(4498)] = 159366,
  [SMALL_STATE(4499)] = 159392,
  [SMALL_STATE(4500)] = 159414,
  [SMALL_STATE(4501)] = 159440,
  [SMALL_STATE(4502)] = 159468,
  [SMALL_STATE(4503)] = 159502,
  [SMALL_STATE(4504)] = 159524,
  [SMALL_STATE(4505)] = 159544,
  [SMALL_STATE(4506)] = 159578,
  [SMALL_STATE(4507)] = 159598,
  [SMALL_STATE(4508)] = 159624,
  [SMALL_STATE(4509)] = 159650,
  [SMALL_STATE(4510)] = 159678,
  [SMALL_STATE(4511)] = 159710,
  [SMALL_STATE(4512)] = 159740,
  [SMALL_STATE(4513)] = 159768,
  [SMALL_STATE(4514)] = 159800,
  [SMALL_STATE(4515)] = 159834,
  [SMALL_STATE(4516)] = 159862,
  [SMALL_STATE(4517)] = 159890,
  [SMALL_STATE(4518)] = 159916,
  [SMALL_STATE(4519)] = 159942,
  [SMALL_STATE(4520)] = 159968,
  [SMALL_STATE(4521)] = 159996,
  [SMALL_STATE(4522)] = 160030,
  [SMALL_STATE(4523)] = 160064,
  [SMALL_STATE(4524)] = 160096,
  [SMALL_STATE(4525)] = 160130,
  [SMALL_STATE(4526)] = 160162,
  [SMALL_STATE(4527)] = 160194,
  [SMALL_STATE(4528)] = 160222,
  [SMALL_STATE(4529)] = 160256,
  [SMALL_STATE(4530)] = 160283,
  [SMALL_STATE(4531)] = 160314,
  [SMALL_STATE(4532)] = 160337,
  [SMALL_STATE(4533)] = 160356,
  [SMALL_STATE(4534)] = 160375,
  [SMALL_STATE(4535)] = 160404,
  [SMALL_STATE(4536)] = 160435,
  [SMALL_STATE(4537)] = 160458,
  [SMALL_STATE(4538)] = 160477,
  [SMALL_STATE(4539)] = 160506,
  [SMALL_STATE(4540)] = 160537,
  [SMALL_STATE(4541)] = 160568,
  [SMALL_STATE(4542)] = 160595,
  [SMALL_STATE(4543)] = 160618,
  [SMALL_STATE(4544)] = 160649,
  [SMALL_STATE(4545)] = 160672,
  [SMALL_STATE(4546)] = 160695,
  [SMALL_STATE(4547)] = 160722,
  [SMALL_STATE(4548)] = 160749,
  [SMALL_STATE(4549)] = 160780,
  [SMALL_STATE(4550)] = 160803,
  [SMALL_STATE(4551)] = 160832,
  [SMALL_STATE(4552)] = 160863,
  [SMALL_STATE(4553)] = 160882,
  [SMALL_STATE(4554)] = 160905,
  [SMALL_STATE(4555)] = 160928,
  [SMALL_STATE(4556)] = 160951,
  [SMALL_STATE(4557)] = 160982,
  [SMALL_STATE(4558)] = 161013,
  [SMALL_STATE(4559)] = 161036,
  [SMALL_STATE(4560)] = 161059,
  [SMALL_STATE(4561)] = 161086,
  [SMALL_STATE(4562)] = 161113,
  [SMALL_STATE(4563)] = 161136,
  [SMALL_STATE(4564)] = 161163,
  [SMALL_STATE(4565)] = 161186,
  [SMALL_STATE(4566)] = 161217,
  [SMALL_STATE(4567)] = 161240,
  [SMALL_STATE(4568)] = 161271,
  [SMALL_STATE(4569)] = 161298,
  [SMALL_STATE(4570)] = 161325,
  [SMALL_STATE(4571)] = 161356,
  [SMALL_STATE(4572)] = 161379,
  [SMALL_STATE(4573)] = 161410,
  [SMALL_STATE(4574)] = 161431,
  [SMALL_STATE(4575)] = 161458,
  [SMALL_STATE(4576)] = 161485,
  [SMALL_STATE(4577)] = 161516,
  [SMALL_STATE(4578)] = 161539,
  [SMALL_STATE(4579)] = 161570,
  [SMALL_STATE(4580)] = 161601,
  [SMALL_STATE(4581)] = 161624,
  [SMALL_STATE(4582)] = 161647,
  [SMALL_STATE(4583)] = 161678,
  [SMALL_STATE(4584)] = 161701,
  [SMALL_STATE(4585)] = 161728,
  [SMALL_STATE(4586)] = 161755,
  [SMALL_STATE(4587)] = 161786,
  [SMALL_STATE(4588)] = 161813,
  [SMALL_STATE(4589)] = 161832,
  [SMALL_STATE(4590)] = 161861,
  [SMALL_STATE(4591)] = 161892,
  [SMALL_STATE(4592)] = 161923,
  [SMALL_STATE(4593)] = 161954,
  [SMALL_STATE(4594)] = 161981,
  [SMALL_STATE(4595)] = 162012,
  [SMALL_STATE(4596)] = 162043,
  [SMALL_STATE(4597)] = 162066,
  [SMALL_STATE(4598)] = 162097,
  [SMALL_STATE(4599)] = 162128,
  [SMALL_STATE(4600)] = 162151,
  [SMALL_STATE(4601)] = 162182,
  [SMALL_STATE(4602)] = 162205,
  [SMALL_STATE(4603)] = 162228,
  [SMALL_STATE(4604)] = 162251,
  [SMALL_STATE(4605)] = 162272,
  [SMALL_STATE(4606)] = 162303,
  [SMALL_STATE(4607)] = 162334,
  [SMALL_STATE(4608)] = 162361,
  [SMALL_STATE(4609)] = 162388,
  [SMALL_STATE(4610)] = 162415,
  [SMALL_STATE(4611)] = 162434,
  [SMALL_STATE(4612)] = 162465,
  [SMALL_STATE(4613)] = 162496,
  [SMALL_STATE(4614)] = 162523,
  [SMALL_STATE(4615)] = 162554,
  [SMALL_STATE(4616)] = 162583,
  [SMALL_STATE(4617)] = 162612,
  [SMALL_STATE(4618)] = 162631,
  [SMALL_STATE(4619)] = 162658,
  [SMALL_STATE(4620)] = 162689,
  [SMALL_STATE(4621)] = 162714,
  [SMALL_STATE(4622)] = 162743,
  [SMALL_STATE(4623)] = 162774,
  [SMALL_STATE(4624)] = 162799,
  [SMALL_STATE(4625)] = 162826,
  [SMALL_STATE(4626)] = 162855,
  [SMALL_STATE(4627)] = 162882,
  [SMALL_STATE(4628)] = 162913,
  [SMALL_STATE(4629)] = 162940,
  [SMALL_STATE(4630)] = 162967,
  [SMALL_STATE(4631)] = 162994,
  [SMALL_STATE(4632)] = 163021,
  [SMALL_STATE(4633)] = 163048,
  [SMALL_STATE(4634)] = 163075,
  [SMALL_STATE(4635)] = 163102,
  [SMALL_STATE(4636)] = 163129,
  [SMALL_STATE(4637)] = 163156,
  [SMALL_STATE(4638)] = 163183,
  [SMALL_STATE(4639)] = 163214,
  [SMALL_STATE(4640)] = 163241,
  [SMALL_STATE(4641)] = 163268,
  [SMALL_STATE(4642)] = 163295,
  [SMALL_STATE(4643)] = 163322,
  [SMALL_STATE(4644)] = 163349,
  [SMALL_STATE(4645)] = 163378,
  [SMALL_STATE(4646)] = 163397,
  [SMALL_STATE(4647)] = 163428,
  [SMALL_STATE(4648)] = 163455,
  [SMALL_STATE(4649)] = 163482,
  [SMALL_STATE(4650)] = 163509,
  [SMALL_STATE(4651)] = 163540,
  [SMALL_STATE(4652)] = 163567,
  [SMALL_STATE(4653)] = 163594,
  [SMALL_STATE(4654)] = 163613,
  [SMALL_STATE(4655)] = 163644,
  [SMALL_STATE(4656)] = 163675,
  [SMALL_STATE(4657)] = 163706,
  [SMALL_STATE(4658)] = 163729,
  [SMALL_STATE(4659)] = 163748,
  [SMALL_STATE(4660)] = 163775,
  [SMALL_STATE(4661)] = 163794,
  [SMALL_STATE(4662)] = 163813,
  [SMALL_STATE(4663)] = 163840,
  [SMALL_STATE(4664)] = 163867,
  [SMALL_STATE(4665)] = 163898,
  [SMALL_STATE(4666)] = 163925,
  [SMALL_STATE(4667)] = 163956,
  [SMALL_STATE(4668)] = 163983,
  [SMALL_STATE(4669)] = 164006,
  [SMALL_STATE(4670)] = 164025,
  [SMALL_STATE(4671)] = 164052,
  [SMALL_STATE(4672)] = 164083,
  [SMALL_STATE(4673)] = 164110,
  [SMALL_STATE(4674)] = 164137,
  [SMALL_STATE(4675)] = 164168,
  [SMALL_STATE(4676)] = 164199,
  [SMALL_STATE(4677)] = 164218,
  [SMALL_STATE(4678)] = 164247,
  [SMALL_STATE(4679)] = 164266,
  [SMALL_STATE(4680)] = 164295,
  [SMALL_STATE(4681)] = 164324,
  [SMALL_STATE(4682)] = 164353,
  [SMALL_STATE(4683)] = 164380,
  [SMALL_STATE(4684)] = 164399,
  [SMALL_STATE(4685)] = 164422,
  [SMALL_STATE(4686)] = 164449,
  [SMALL_STATE(4687)] = 164476,
  [SMALL_STATE(4688)] = 164507,
  [SMALL_STATE(4689)] = 164536,
  [SMALL_STATE(4690)] = 164563,
  [SMALL_STATE(4691)] = 164582,
  [SMALL_STATE(4692)] = 164613,
  [SMALL_STATE(4693)] = 164634,
  [SMALL_STATE(4694)] = 164661,
  [SMALL_STATE(4695)] = 164692,
  [SMALL_STATE(4696)] = 164723,
  [SMALL_STATE(4697)] = 164754,
  [SMALL_STATE(4698)] = 164781,
  [SMALL_STATE(4699)] = 164812,
  [SMALL_STATE(4700)] = 164843,
  [SMALL_STATE(4701)] = 164862,
  [SMALL_STATE(4702)] = 164881,
  [SMALL_STATE(4703)] = 164912,
  [SMALL_STATE(4704)] = 164943,
  [SMALL_STATE(4705)] = 164974,
  [SMALL_STATE(4706)] = 164997,
  [SMALL_STATE(4707)] = 165024,
  [SMALL_STATE(4708)] = 165043,
  [SMALL_STATE(4709)] = 165070,
  [SMALL_STATE(4710)] = 165097,
  [SMALL_STATE(4711)] = 165124,
  [SMALL_STATE(4712)] = 165155,
  [SMALL_STATE(4713)] = 165182,
  [SMALL_STATE(4714)] = 165209,
  [SMALL_STATE(4715)] = 165228,
  [SMALL_STATE(4716)] = 165247,
  [SMALL_STATE(4717)] = 165266,
  [SMALL_STATE(4718)] = 165297,
  [SMALL_STATE(4719)] = 165324,
  [SMALL_STATE(4720)] = 165351,
  [SMALL_STATE(4721)] = 165378,
  [SMALL_STATE(4722)] = 165399,
  [SMALL_STATE(4723)] = 165426,
  [SMALL_STATE(4724)] = 165457,
  [SMALL_STATE(4725)] = 165484,
  [SMALL_STATE(4726)] = 165503,
  [SMALL_STATE(4727)] = 165530,
  [SMALL_STATE(4728)] = 165557,
  [SMALL_STATE(4729)] = 165584,
  [SMALL_STATE(4730)] = 165611,
  [SMALL_STATE(4731)] = 165638,
  [SMALL_STATE(4732)] = 165665,
  [SMALL_STATE(4733)] = 165692,
  [SMALL_STATE(4734)] = 165719,
  [SMALL_STATE(4735)] = 165738,
  [SMALL_STATE(4736)] = 165765,
  [SMALL_STATE(4737)] = 165792,
  [SMALL_STATE(4738)] = 165819,
  [SMALL_STATE(4739)] = 165846,
  [SMALL_STATE(4740)] = 165873,
  [SMALL_STATE(4741)] = 165900,
  [SMALL_STATE(4742)] = 165927,
  [SMALL_STATE(4743)] = 165946,
  [SMALL_STATE(4744)] = 165973,
  [SMALL_STATE(4745)] = 166004,
  [SMALL_STATE(4746)] = 166033,
  [SMALL_STATE(4747)] = 166064,
  [SMALL_STATE(4748)] = 166095,
  [SMALL_STATE(4749)] = 166122,
  [SMALL_STATE(4750)] = 166153,
  [SMALL_STATE(4751)] = 166184,
  [SMALL_STATE(4752)] = 166215,
  [SMALL_STATE(4753)] = 166244,
  [SMALL_STATE(4754)] = 166275,
  [SMALL_STATE(4755)] = 166306,
  [SMALL_STATE(4756)] = 166337,
  [SMALL_STATE(4757)] = 166364,
  [SMALL_STATE(4758)] = 166391,
  [SMALL_STATE(4759)] = 166422,
  [SMALL_STATE(4760)] = 166449,
  [SMALL_STATE(4761)] = 166476,
  [SMALL_STATE(4762)] = 166503,
  [SMALL_STATE(4763)] = 166530,
  [SMALL_STATE(4764)] = 166557,
  [SMALL_STATE(4765)] = 166588,
  [SMALL_STATE(4766)] = 166609,
  [SMALL_STATE(4767)] = 166640,
  [SMALL_STATE(4768)] = 166671,
  [SMALL_STATE(4769)] = 166698,
  [SMALL_STATE(4770)] = 166725,
  [SMALL_STATE(4771)] = 166756,
  [SMALL_STATE(4772)] = 166783,
  [SMALL_STATE(4773)] = 166812,
  [SMALL_STATE(4774)] = 166839,
  [SMALL_STATE(4775)] = 166866,
  [SMALL_STATE(4776)] = 166893,
  [SMALL_STATE(4777)] = 166924,
  [SMALL_STATE(4778)] = 166953,
  [SMALL_STATE(4779)] = 166980,
  [SMALL_STATE(4780)] = 167011,
  [SMALL_STATE(4781)] = 167032,
  [SMALL_STATE(4782)] = 167059,
  [SMALL_STATE(4783)] = 167090,
  [SMALL_STATE(4784)] = 167109,
  [SMALL_STATE(4785)] = 167136,
  [SMALL_STATE(4786)] = 167167,
  [SMALL_STATE(4787)] = 167186,
  [SMALL_STATE(4788)] = 167217,
  [SMALL_STATE(4789)] = 167248,
  [SMALL_STATE(4790)] = 167275,
  [SMALL_STATE(4791)] = 167306,
  [SMALL_STATE(4792)] = 167337,
  [SMALL_STATE(4793)] = 167364,
  [SMALL_STATE(4794)] = 167387,
  [SMALL_STATE(4795)] = 167414,
  [SMALL_STATE(4796)] = 167445,
  [SMALL_STATE(4797)] = 167466,
  [SMALL_STATE(4798)] = 167497,
  [SMALL_STATE(4799)] = 167528,
  [SMALL_STATE(4800)] = 167550,
  [SMALL_STATE(4801)] = 167578,
  [SMALL_STATE(4802)] = 167604,
  [SMALL_STATE(4803)] = 167632,
  [SMALL_STATE(4804)] = 167658,
  [SMALL_STATE(4805)] = 167686,
  [SMALL_STATE(4806)] = 167714,
  [SMALL_STATE(4807)] = 167742,
  [SMALL_STATE(4808)] = 167770,
  [SMALL_STATE(4809)] = 167788,
  [SMALL_STATE(4810)] = 167808,
  [SMALL_STATE(4811)] = 167830,
  [SMALL_STATE(4812)] = 167854,
  [SMALL_STATE(4813)] = 167876,
  [SMALL_STATE(4814)] = 167898,
  [SMALL_STATE(4815)] = 167926,
  [SMALL_STATE(4816)] = 167954,
  [SMALL_STATE(4817)] = 167976,
  [SMALL_STATE(4818)] = 167998,
  [SMALL_STATE(4819)] = 168026,
  [SMALL_STATE(4820)] = 168052,
  [SMALL_STATE(4821)] = 168078,
  [SMALL_STATE(4822)] = 168100,
  [SMALL_STATE(4823)] = 168120,
  [SMALL_STATE(4824)] = 168146,
  [SMALL_STATE(4825)] = 168174,
  [SMALL_STATE(4826)] = 168200,
  [SMALL_STATE(4827)] = 168228,
  [SMALL_STATE(4828)] = 168254,
  [SMALL_STATE(4829)] = 168276,
  [SMALL_STATE(4830)] = 168304,
  [SMALL_STATE(4831)] = 168326,
  [SMALL_STATE(4832)] = 168354,
  [SMALL_STATE(4833)] = 168382,
  [SMALL_STATE(4834)] = 168408,
  [SMALL_STATE(4835)] = 168436,
  [SMALL_STATE(4836)] = 168464,
  [SMALL_STATE(4837)] = 168482,
  [SMALL_STATE(4838)] = 168504,
  [SMALL_STATE(4839)] = 168522,
  [SMALL_STATE(4840)] = 168544,
  [SMALL_STATE(4841)] = 168570,
  [SMALL_STATE(4842)] = 168592,
  [SMALL_STATE(4843)] = 168618,
  [SMALL_STATE(4844)] = 168638,
  [SMALL_STATE(4845)] = 168660,
  [SMALL_STATE(4846)] = 168678,
  [SMALL_STATE(4847)] = 168700,
  [SMALL_STATE(4848)] = 168722,
  [SMALL_STATE(4849)] = 168750,
  [SMALL_STATE(4850)] = 168772,
  [SMALL_STATE(4851)] = 168794,
  [SMALL_STATE(4852)] = 168812,
  [SMALL_STATE(4853)] = 168834,
  [SMALL_STATE(4854)] = 168860,
  [SMALL_STATE(4855)] = 168882,
  [SMALL_STATE(4856)] = 168904,
  [SMALL_STATE(4857)] = 168926,
  [SMALL_STATE(4858)] = 168944,
  [SMALL_STATE(4859)] = 168966,
  [SMALL_STATE(4860)] = 168994,
  [SMALL_STATE(4861)] = 169022,
  [SMALL_STATE(4862)] = 169050,
  [SMALL_STATE(4863)] = 169078,
  [SMALL_STATE(4864)] = 169106,
  [SMALL_STATE(4865)] = 169134,
  [SMALL_STATE(4866)] = 169156,
  [SMALL_STATE(4867)] = 169178,
  [SMALL_STATE(4868)] = 169204,
  [SMALL_STATE(4869)] = 169232,
  [SMALL_STATE(4870)] = 169260,
  [SMALL_STATE(4871)] = 169282,
  [SMALL_STATE(4872)] = 169310,
  [SMALL_STATE(4873)] = 169332,
  [SMALL_STATE(4874)] = 169360,
  [SMALL_STATE(4875)] = 169382,
  [SMALL_STATE(4876)] = 169410,
  [SMALL_STATE(4877)] = 169432,
  [SMALL_STATE(4878)] = 169460,
  [SMALL_STATE(4879)] = 169482,
  [SMALL_STATE(4880)] = 169510,
  [SMALL_STATE(4881)] = 169528,
  [SMALL_STATE(4882)] = 169550,
  [SMALL_STATE(4883)] = 169578,
  [SMALL_STATE(4884)] = 169604,
  [SMALL_STATE(4885)] = 169632,
  [SMALL_STATE(4886)] = 169654,
  [SMALL_STATE(4887)] = 169680,
  [SMALL_STATE(4888)] = 169706,
  [SMALL_STATE(4889)] = 169724,
  [SMALL_STATE(4890)] = 169746,
  [SMALL_STATE(4891)] = 169770,
  [SMALL_STATE(4892)] = 169792,
  [SMALL_STATE(4893)] = 169820,
  [SMALL_STATE(4894)] = 169848,
  [SMALL_STATE(4895)] = 169870,
  [SMALL_STATE(4896)] = 169892,
  [SMALL_STATE(4897)] = 169920,
  [SMALL_STATE(4898)] = 169942,
  [SMALL_STATE(4899)] = 169964,
  [SMALL_STATE(4900)] = 169986,
  [SMALL_STATE(4901)] = 170004,
  [SMALL_STATE(4902)] = 170026,
  [SMALL_STATE(4903)] = 170054,
  [SMALL_STATE(4904)] = 170076,
  [SMALL_STATE(4905)] = 170104,
  [SMALL_STATE(4906)] = 170124,
  [SMALL_STATE(4907)] = 170146,
  [SMALL_STATE(4908)] = 170164,
  [SMALL_STATE(4909)] = 170192,
  [SMALL_STATE(4910)] = 170214,
  [SMALL_STATE(4911)] = 170242,
  [SMALL_STATE(4912)] = 170270,
  [SMALL_STATE(4913)] = 170298,
  [SMALL_STATE(4914)] = 170322,
  [SMALL_STATE(4915)] = 170348,
  [SMALL_STATE(4916)] = 170376,
  [SMALL_STATE(4917)] = 170398,
  [SMALL_STATE(4918)] = 170426,
  [SMALL_STATE(4919)] = 170448,
  [SMALL_STATE(4920)] = 170476,
  [SMALL_STATE(4921)] = 170504,
  [SMALL_STATE(4922)] = 170526,
  [SMALL_STATE(4923)] = 170554,
  [SMALL_STATE(4924)] = 170582,
  [SMALL_STATE(4925)] = 170604,
  [SMALL_STATE(4926)] = 170626,
  [SMALL_STATE(4927)] = 170648,
  [SMALL_STATE(4928)] = 170674,
  [SMALL_STATE(4929)] = 170700,
  [SMALL_STATE(4930)] = 170718,
  [SMALL_STATE(4931)] = 170746,
  [SMALL_STATE(4932)] = 170768,
  [SMALL_STATE(4933)] = 170790,
  [SMALL_STATE(4934)] = 170818,
  [SMALL_STATE(4935)] = 170846,
  [SMALL_STATE(4936)] = 170874,
  [SMALL_STATE(4937)] = 170896,
  [SMALL_STATE(4938)] = 170924,
  [SMALL_STATE(4939)] = 170946,
  [SMALL_STATE(4940)] = 170974,
  [SMALL_STATE(4941)] = 171002,
  [SMALL_STATE(4942)] = 171028,
  [SMALL_STATE(4943)] = 171056,
  [SMALL_STATE(4944)] = 171082,
  [SMALL_STATE(4945)] = 171110,
  [SMALL_STATE(4946)] = 171138,
  [SMALL_STATE(4947)] = 171160,
  [SMALL_STATE(4948)] = 171188,
  [SMALL_STATE(4949)] = 171216,
  [SMALL_STATE(4950)] = 171244,
  [SMALL_STATE(4951)] = 171270,
  [SMALL_STATE(4952)] = 171296,
  [SMALL_STATE(4953)] = 171324,
  [SMALL_STATE(4954)] = 171352,
  [SMALL_STATE(4955)] = 171380,
  [SMALL_STATE(4956)] = 171408,
  [SMALL_STATE(4957)] = 171436,
  [SMALL_STATE(4958)] = 171458,
  [SMALL_STATE(4959)] = 171478,
  [SMALL_STATE(4960)] = 171506,
  [SMALL_STATE(4961)] = 171534,
  [SMALL_STATE(4962)] = 171556,
  [SMALL_STATE(4963)] = 171584,
  [SMALL_STATE(4964)] = 171612,
  [SMALL_STATE(4965)] = 171634,
  [SMALL_STATE(4966)] = 171662,
  [SMALL_STATE(4967)] = 171688,
  [SMALL_STATE(4968)] = 171716,
  [SMALL_STATE(4969)] = 171744,
  [SMALL_STATE(4970)] = 171762,
  [SMALL_STATE(4971)] = 171784,
  [SMALL_STATE(4972)] = 171812,
  [SMALL_STATE(4973)] = 171834,
  [SMALL_STATE(4974)] = 171862,
  [SMALL_STATE(4975)] = 171890,
  [SMALL_STATE(4976)] = 171918,
  [SMALL_STATE(4977)] = 171946,
  [SMALL_STATE(4978)] = 171974,
  [SMALL_STATE(4979)] = 171996,
  [SMALL_STATE(4980)] = 172024,
  [SMALL_STATE(4981)] = 172046,
  [SMALL_STATE(4982)] = 172074,
  [SMALL_STATE(4983)] = 172094,
  [SMALL_STATE(4984)] = 172120,
  [SMALL_STATE(4985)] = 172142,
  [SMALL_STATE(4986)] = 172160,
  [SMALL_STATE(4987)] = 172180,
  [SMALL_STATE(4988)] = 172200,
  [SMALL_STATE(4989)] = 172220,
  [SMALL_STATE(4990)] = 172246,
  [SMALL_STATE(4991)] = 172274,
  [SMALL_STATE(4992)] = 172292,
  [SMALL_STATE(4993)] = 172320,
  [SMALL_STATE(4994)] = 172341,
  [SMALL_STATE(4995)] = 172362,
  [SMALL_STATE(4996)] = 172383,
  [SMALL_STATE(4997)] = 172404,
  [SMALL_STATE(4998)] = 172421,
  [SMALL_STATE(4999)] = 172438,
  [SMALL_STATE(5000)] = 172459,
  [SMALL_STATE(5001)] = 172484,
  [SMALL_STATE(5002)] = 172505,
  [SMALL_STATE(5003)] = 172526,
  [SMALL_STATE(5004)] = 172551,
  [SMALL_STATE(5005)] = 172576,
  [SMALL_STATE(5006)] = 172597,
  [SMALL_STATE(5007)] = 172618,
  [SMALL_STATE(5008)] = 172639,
  [SMALL_STATE(5009)] = 172660,
  [SMALL_STATE(5010)] = 172681,
  [SMALL_STATE(5011)] = 172702,
  [SMALL_STATE(5012)] = 172723,
  [SMALL_STATE(5013)] = 172744,
  [SMALL_STATE(5014)] = 172765,
  [SMALL_STATE(5015)] = 172790,
  [SMALL_STATE(5016)] = 172811,
  [SMALL_STATE(5017)] = 172836,
  [SMALL_STATE(5018)] = 172853,
  [SMALL_STATE(5019)] = 172870,
  [SMALL_STATE(5020)] = 172895,
  [SMALL_STATE(5021)] = 172912,
  [SMALL_STATE(5022)] = 172929,
  [SMALL_STATE(5023)] = 172946,
  [SMALL_STATE(5024)] = 172971,
  [SMALL_STATE(5025)] = 172992,
  [SMALL_STATE(5026)] = 173015,
  [SMALL_STATE(5027)] = 173038,
  [SMALL_STATE(5028)] = 173055,
  [SMALL_STATE(5029)] = 173072,
  [SMALL_STATE(5030)] = 173089,
  [SMALL_STATE(5031)] = 173106,
  [SMALL_STATE(5032)] = 173123,
  [SMALL_STATE(5033)] = 173140,
  [SMALL_STATE(5034)] = 173157,
  [SMALL_STATE(5035)] = 173174,
  [SMALL_STATE(5036)] = 173191,
  [SMALL_STATE(5037)] = 173208,
  [SMALL_STATE(5038)] = 173225,
  [SMALL_STATE(5039)] = 173242,
  [SMALL_STATE(5040)] = 173259,
  [SMALL_STATE(5041)] = 173276,
  [SMALL_STATE(5042)] = 173293,
  [SMALL_STATE(5043)] = 173310,
  [SMALL_STATE(5044)] = 173327,
  [SMALL_STATE(5045)] = 173344,
  [SMALL_STATE(5046)] = 173361,
  [SMALL_STATE(5047)] = 173378,
  [SMALL_STATE(5048)] = 173395,
  [SMALL_STATE(5049)] = 173412,
  [SMALL_STATE(5050)] = 173429,
  [SMALL_STATE(5051)] = 173446,
  [SMALL_STATE(5052)] = 173463,
  [SMALL_STATE(5053)] = 173480,
  [SMALL_STATE(5054)] = 173497,
  [SMALL_STATE(5055)] = 173514,
  [SMALL_STATE(5056)] = 173531,
  [SMALL_STATE(5057)] = 173548,
  [SMALL_STATE(5058)] = 173565,
  [SMALL_STATE(5059)] = 173582,
  [SMALL_STATE(5060)] = 173599,
  [SMALL_STATE(5061)] = 173616,
  [SMALL_STATE(5062)] = 173633,
  [SMALL_STATE(5063)] = 173650,
  [SMALL_STATE(5064)] = 173667,
  [SMALL_STATE(5065)] = 173688,
  [SMALL_STATE(5066)] = 173705,
  [SMALL_STATE(5067)] = 173726,
  [SMALL_STATE(5068)] = 173743,
  [SMALL_STATE(5069)] = 173764,
  [SMALL_STATE(5070)] = 173789,
  [SMALL_STATE(5071)] = 173814,
  [SMALL_STATE(5072)] = 173835,
  [SMALL_STATE(5073)] = 173856,
  [SMALL_STATE(5074)] = 173873,
  [SMALL_STATE(5075)] = 173890,
  [SMALL_STATE(5076)] = 173915,
  [SMALL_STATE(5077)] = 173940,
  [SMALL_STATE(5078)] = 173957,
  [SMALL_STATE(5079)] = 173974,
  [SMALL_STATE(5080)] = 173991,
  [SMALL_STATE(5081)] = 174008,
  [SMALL_STATE(5082)] = 174031,
  [SMALL_STATE(5083)] = 174048,
  [SMALL_STATE(5084)] = 174071,
  [SMALL_STATE(5085)] = 174088,
  [SMALL_STATE(5086)] = 174105,
  [SMALL_STATE(5087)] = 174122,
  [SMALL_STATE(5088)] = 174139,
  [SMALL_STATE(5089)] = 174156,
  [SMALL_STATE(5090)] = 174173,
  [SMALL_STATE(5091)] = 174194,
  [SMALL_STATE(5092)] = 174219,
  [SMALL_STATE(5093)] = 174236,
  [SMALL_STATE(5094)] = 174259,
  [SMALL_STATE(5095)] = 174280,
  [SMALL_STATE(5096)] = 174305,
  [SMALL_STATE(5097)] = 174322,
  [SMALL_STATE(5098)] = 174339,
  [SMALL_STATE(5099)] = 174356,
  [SMALL_STATE(5100)] = 174373,
  [SMALL_STATE(5101)] = 174398,
  [SMALL_STATE(5102)] = 174415,
  [SMALL_STATE(5103)] = 174432,
  [SMALL_STATE(5104)] = 174449,
  [SMALL_STATE(5105)] = 174466,
  [SMALL_STATE(5106)] = 174483,
  [SMALL_STATE(5107)] = 174500,
  [SMALL_STATE(5108)] = 174517,
  [SMALL_STATE(5109)] = 174534,
  [SMALL_STATE(5110)] = 174551,
  [SMALL_STATE(5111)] = 174568,
  [SMALL_STATE(5112)] = 174589,
  [SMALL_STATE(5113)] = 174614,
  [SMALL_STATE(5114)] = 174635,
  [SMALL_STATE(5115)] = 174660,
  [SMALL_STATE(5116)] = 174679,
  [SMALL_STATE(5117)] = 174700,
  [SMALL_STATE(5118)] = 174721,
  [SMALL_STATE(5119)] = 174742,
  [SMALL_STATE(5120)] = 174767,
  [SMALL_STATE(5121)] = 174788,
  [SMALL_STATE(5122)] = 174809,
  [SMALL_STATE(5123)] = 174834,
  [SMALL_STATE(5124)] = 174855,
  [SMALL_STATE(5125)] = 174880,
  [SMALL_STATE(5126)] = 174905,
  [SMALL_STATE(5127)] = 174926,
  [SMALL_STATE(5128)] = 174951,
  [SMALL_STATE(5129)] = 174972,
  [SMALL_STATE(5130)] = 174989,
  [SMALL_STATE(5131)] = 175010,
  [SMALL_STATE(5132)] = 175035,
  [SMALL_STATE(5133)] = 175060,
  [SMALL_STATE(5134)] = 175083,
  [SMALL_STATE(5135)] = 175108,
  [SMALL_STATE(5136)] = 175133,
  [SMALL_STATE(5137)] = 175154,
  [SMALL_STATE(5138)] = 175175,
  [SMALL_STATE(5139)] = 175196,
  [SMALL_STATE(5140)] = 175217,
  [SMALL_STATE(5141)] = 175238,
  [SMALL_STATE(5142)] = 175259,
  [SMALL_STATE(5143)] = 175284,
  [SMALL_STATE(5144)] = 175309,
  [SMALL_STATE(5145)] = 175330,
  [SMALL_STATE(5146)] = 175349,
  [SMALL_STATE(5147)] = 175366,
  [SMALL_STATE(5148)] = 175391,
  [SMALL_STATE(5149)] = 175412,
  [SMALL_STATE(5150)] = 175433,
  [SMALL_STATE(5151)] = 175450,
  [SMALL_STATE(5152)] = 175473,
  [SMALL_STATE(5153)] = 175494,
  [SMALL_STATE(5154)] = 175519,
  [SMALL_STATE(5155)] = 175536,
  [SMALL_STATE(5156)] = 175561,
  [SMALL_STATE(5157)] = 175582,
  [SMALL_STATE(5158)] = 175603,
  [SMALL_STATE(5159)] = 175626,
  [SMALL_STATE(5160)] = 175647,
  [SMALL_STATE(5161)] = 175668,
  [SMALL_STATE(5162)] = 175689,
  [SMALL_STATE(5163)] = 175714,
  [SMALL_STATE(5164)] = 175731,
  [SMALL_STATE(5165)] = 175752,
  [SMALL_STATE(5166)] = 175773,
  [SMALL_STATE(5167)] = 175796,
  [SMALL_STATE(5168)] = 175821,
  [SMALL_STATE(5169)] = 175842,
  [SMALL_STATE(5170)] = 175867,
  [SMALL_STATE(5171)] = 175892,
  [SMALL_STATE(5172)] = 175917,
  [SMALL_STATE(5173)] = 175942,
  [SMALL_STATE(5174)] = 175959,
  [SMALL_STATE(5175)] = 175984,
  [SMALL_STATE(5176)] = 176009,
  [SMALL_STATE(5177)] = 176030,
  [SMALL_STATE(5178)] = 176047,
  [SMALL_STATE(5179)] = 176072,
  [SMALL_STATE(5180)] = 176093,
  [SMALL_STATE(5181)] = 176114,
  [SMALL_STATE(5182)] = 176135,
  [SMALL_STATE(5183)] = 176160,
  [SMALL_STATE(5184)] = 176185,
  [SMALL_STATE(5185)] = 176206,
  [SMALL_STATE(5186)] = 176223,
  [SMALL_STATE(5187)] = 176240,
  [SMALL_STATE(5188)] = 176257,
  [SMALL_STATE(5189)] = 176278,
  [SMALL_STATE(5190)] = 176303,
  [SMALL_STATE(5191)] = 176320,
  [SMALL_STATE(5192)] = 176345,
  [SMALL_STATE(5193)] = 176366,
  [SMALL_STATE(5194)] = 176387,
  [SMALL_STATE(5195)] = 176412,
  [SMALL_STATE(5196)] = 176435,
  [SMALL_STATE(5197)] = 176460,
  [SMALL_STATE(5198)] = 176481,
  [SMALL_STATE(5199)] = 176506,
  [SMALL_STATE(5200)] = 176527,
  [SMALL_STATE(5201)] = 176552,
  [SMALL_STATE(5202)] = 176573,
  [SMALL_STATE(5203)] = 176598,
  [SMALL_STATE(5204)] = 176619,
  [SMALL_STATE(5205)] = 176636,
  [SMALL_STATE(5206)] = 176661,
  [SMALL_STATE(5207)] = 176682,
  [SMALL_STATE(5208)] = 176707,
  [SMALL_STATE(5209)] = 176732,
  [SMALL_STATE(5210)] = 176753,
  [SMALL_STATE(5211)] = 176770,
  [SMALL_STATE(5212)] = 176793,
  [SMALL_STATE(5213)] = 176810,
  [SMALL_STATE(5214)] = 176835,
  [SMALL_STATE(5215)] = 176854,
  [SMALL_STATE(5216)] = 176879,
  [SMALL_STATE(5217)] = 176900,
  [SMALL_STATE(5218)] = 176921,
  [SMALL_STATE(5219)] = 176942,
  [SMALL_STATE(5220)] = 176963,
  [SMALL_STATE(5221)] = 176988,
  [SMALL_STATE(5222)] = 177009,
  [SMALL_STATE(5223)] = 177034,
  [SMALL_STATE(5224)] = 177055,
  [SMALL_STATE(5225)] = 177080,
  [SMALL_STATE(5226)] = 177105,
  [SMALL_STATE(5227)] = 177130,
  [SMALL_STATE(5228)] = 177147,
  [SMALL_STATE(5229)] = 177164,
  [SMALL_STATE(5230)] = 177181,
  [SMALL_STATE(5231)] = 177202,
  [SMALL_STATE(5232)] = 177227,
  [SMALL_STATE(5233)] = 177248,
  [SMALL_STATE(5234)] = 177265,
  [SMALL_STATE(5235)] = 177290,
  [SMALL_STATE(5236)] = 177307,
  [SMALL_STATE(5237)] = 177328,
  [SMALL_STATE(5238)] = 177349,
  [SMALL_STATE(5239)] = 177374,
  [SMALL_STATE(5240)] = 177395,
  [SMALL_STATE(5241)] = 177416,
  [SMALL_STATE(5242)] = 177441,
  [SMALL_STATE(5243)] = 177466,
  [SMALL_STATE(5244)] = 177487,
  [SMALL_STATE(5245)] = 177508,
  [SMALL_STATE(5246)] = 177529,
  [SMALL_STATE(5247)] = 177550,
  [SMALL_STATE(5248)] = 177571,
  [SMALL_STATE(5249)] = 177592,
  [SMALL_STATE(5250)] = 177613,
  [SMALL_STATE(5251)] = 177634,
  [SMALL_STATE(5252)] = 177655,
  [SMALL_STATE(5253)] = 177680,
  [SMALL_STATE(5254)] = 177701,
  [SMALL_STATE(5255)] = 177718,
  [SMALL_STATE(5256)] = 177737,
  [SMALL_STATE(5257)] = 177758,
  [SMALL_STATE(5258)] = 177775,
  [SMALL_STATE(5259)] = 177792,
  [SMALL_STATE(5260)] = 177817,
  [SMALL_STATE(5261)] = 177838,
  [SMALL_STATE(5262)] = 177863,
  [SMALL_STATE(5263)] = 177884,
  [SMALL_STATE(5264)] = 177901,
  [SMALL_STATE(5265)] = 177918,
  [SMALL_STATE(5266)] = 177941,
  [SMALL_STATE(5267)] = 177966,
  [SMALL_STATE(5268)] = 177991,
  [SMALL_STATE(5269)] = 178008,
  [SMALL_STATE(5270)] = 178029,
  [SMALL_STATE(5271)] = 178046,
  [SMALL_STATE(5272)] = 178067,
  [SMALL_STATE(5273)] = 178084,
  [SMALL_STATE(5274)] = 178107,
  [SMALL_STATE(5275)] = 178124,
  [SMALL_STATE(5276)] = 178141,
  [SMALL_STATE(5277)] = 178158,
  [SMALL_STATE(5278)] = 178175,
  [SMALL_STATE(5279)] = 178196,
  [SMALL_STATE(5280)] = 178217,
  [SMALL_STATE(5281)] = 178238,
  [SMALL_STATE(5282)] = 178263,
  [SMALL_STATE(5283)] = 178284,
  [SMALL_STATE(5284)] = 178305,
  [SMALL_STATE(5285)] = 178322,
  [SMALL_STATE(5286)] = 178339,
  [SMALL_STATE(5287)] = 178364,
  [SMALL_STATE(5288)] = 178389,
  [SMALL_STATE(5289)] = 178414,
  [SMALL_STATE(5290)] = 178431,
  [SMALL_STATE(5291)] = 178456,
  [SMALL_STATE(5292)] = 178473,
  [SMALL_STATE(5293)] = 178490,
  [SMALL_STATE(5294)] = 178511,
  [SMALL_STATE(5295)] = 178528,
  [SMALL_STATE(5296)] = 178549,
  [SMALL_STATE(5297)] = 178570,
  [SMALL_STATE(5298)] = 178595,
  [SMALL_STATE(5299)] = 178618,
  [SMALL_STATE(5300)] = 178635,
  [SMALL_STATE(5301)] = 178660,
  [SMALL_STATE(5302)] = 178685,
  [SMALL_STATE(5303)] = 178706,
  [SMALL_STATE(5304)] = 178723,
  [SMALL_STATE(5305)] = 178744,
  [SMALL_STATE(5306)] = 178769,
  [SMALL_STATE(5307)] = 178790,
  [SMALL_STATE(5308)] = 178811,
  [SMALL_STATE(5309)] = 178828,
  [SMALL_STATE(5310)] = 178845,
  [SMALL_STATE(5311)] = 178862,
  [SMALL_STATE(5312)] = 178879,
  [SMALL_STATE(5313)] = 178900,
  [SMALL_STATE(5314)] = 178917,
  [SMALL_STATE(5315)] = 178934,
  [SMALL_STATE(5316)] = 178959,
  [SMALL_STATE(5317)] = 178980,
  [SMALL_STATE(5318)] = 179001,
  [SMALL_STATE(5319)] = 179026,
  [SMALL_STATE(5320)] = 179047,
  [SMALL_STATE(5321)] = 179068,
  [SMALL_STATE(5322)] = 179093,
  [SMALL_STATE(5323)] = 179114,
  [SMALL_STATE(5324)] = 179137,
  [SMALL_STATE(5325)] = 179154,
  [SMALL_STATE(5326)] = 179171,
  [SMALL_STATE(5327)] = 179196,
  [SMALL_STATE(5328)] = 179217,
  [SMALL_STATE(5329)] = 179242,
  [SMALL_STATE(5330)] = 179263,
  [SMALL_STATE(5331)] = 179284,
  [SMALL_STATE(5332)] = 179309,
  [SMALL_STATE(5333)] = 179334,
  [SMALL_STATE(5334)] = 179359,
  [SMALL_STATE(5335)] = 179376,
  [SMALL_STATE(5336)] = 179397,
  [SMALL_STATE(5337)] = 179422,
  [SMALL_STATE(5338)] = 179447,
  [SMALL_STATE(5339)] = 179472,
  [SMALL_STATE(5340)] = 179495,
  [SMALL_STATE(5341)] = 179520,
  [SMALL_STATE(5342)] = 179541,
  [SMALL_STATE(5343)] = 179566,
  [SMALL_STATE(5344)] = 179591,
  [SMALL_STATE(5345)] = 179616,
  [SMALL_STATE(5346)] = 179637,
  [SMALL_STATE(5347)] = 179662,
  [SMALL_STATE(5348)] = 179687,
  [SMALL_STATE(5349)] = 179712,
  [SMALL_STATE(5350)] = 179737,
  [SMALL_STATE(5351)] = 179762,
  [SMALL_STATE(5352)] = 179787,
  [SMALL_STATE(5353)] = 179812,
  [SMALL_STATE(5354)] = 179837,
  [SMALL_STATE(5355)] = 179862,
  [SMALL_STATE(5356)] = 179883,
  [SMALL_STATE(5357)] = 179904,
  [SMALL_STATE(5358)] = 179921,
  [SMALL_STATE(5359)] = 179942,
  [SMALL_STATE(5360)] = 179963,
  [SMALL_STATE(5361)] = 179984,
  [SMALL_STATE(5362)] = 180005,
  [SMALL_STATE(5363)] = 180022,
  [SMALL_STATE(5364)] = 180043,
  [SMALL_STATE(5365)] = 180064,
  [SMALL_STATE(5366)] = 180085,
  [SMALL_STATE(5367)] = 180106,
  [SMALL_STATE(5368)] = 180127,
  [SMALL_STATE(5369)] = 180152,
  [SMALL_STATE(5370)] = 180177,
  [SMALL_STATE(5371)] = 180202,
  [SMALL_STATE(5372)] = 180227,
  [SMALL_STATE(5373)] = 180244,
  [SMALL_STATE(5374)] = 180269,
  [SMALL_STATE(5375)] = 180290,
  [SMALL_STATE(5376)] = 180311,
  [SMALL_STATE(5377)] = 180336,
  [SMALL_STATE(5378)] = 180357,
  [SMALL_STATE(5379)] = 180382,
  [SMALL_STATE(5380)] = 180403,
  [SMALL_STATE(5381)] = 180428,
  [SMALL_STATE(5382)] = 180449,
  [SMALL_STATE(5383)] = 180470,
  [SMALL_STATE(5384)] = 180495,
  [SMALL_STATE(5385)] = 180516,
  [SMALL_STATE(5386)] = 180537,
  [SMALL_STATE(5387)] = 180562,
  [SMALL_STATE(5388)] = 180587,
  [SMALL_STATE(5389)] = 180608,
  [SMALL_STATE(5390)] = 180625,
  [SMALL_STATE(5391)] = 180648,
  [SMALL_STATE(5392)] = 180665,
  [SMALL_STATE(5393)] = 180682,
  [SMALL_STATE(5394)] = 180707,
  [SMALL_STATE(5395)] = 180732,
  [SMALL_STATE(5396)] = 180757,
  [SMALL_STATE(5397)] = 180774,
  [SMALL_STATE(5398)] = 180797,
  [SMALL_STATE(5399)] = 180818,
  [SMALL_STATE(5400)] = 180839,
  [SMALL_STATE(5401)] = 180860,
  [SMALL_STATE(5402)] = 180877,
  [SMALL_STATE(5403)] = 180898,
  [SMALL_STATE(5404)] = 180919,
  [SMALL_STATE(5405)] = 180940,
  [SMALL_STATE(5406)] = 180961,
  [SMALL_STATE(5407)] = 180978,
  [SMALL_STATE(5408)] = 180995,
  [SMALL_STATE(5409)] = 181020,
  [SMALL_STATE(5410)] = 181037,
  [SMALL_STATE(5411)] = 181058,
  [SMALL_STATE(5412)] = 181079,
  [SMALL_STATE(5413)] = 181100,
  [SMALL_STATE(5414)] = 181121,
  [SMALL_STATE(5415)] = 181142,
  [SMALL_STATE(5416)] = 181167,
  [SMALL_STATE(5417)] = 181188,
  [SMALL_STATE(5418)] = 181213,
  [SMALL_STATE(5419)] = 181238,
  [SMALL_STATE(5420)] = 181263,
  [SMALL_STATE(5421)] = 181288,
  [SMALL_STATE(5422)] = 181309,
  [SMALL_STATE(5423)] = 181334,
  [SMALL_STATE(5424)] = 181359,
  [SMALL_STATE(5425)] = 181380,
  [SMALL_STATE(5426)] = 181405,
  [SMALL_STATE(5427)] = 181430,
  [SMALL_STATE(5428)] = 181447,
  [SMALL_STATE(5429)] = 181472,
  [SMALL_STATE(5430)] = 181493,
  [SMALL_STATE(5431)] = 181518,
  [SMALL_STATE(5432)] = 181539,
  [SMALL_STATE(5433)] = 181556,
  [SMALL_STATE(5434)] = 181577,
  [SMALL_STATE(5435)] = 181594,
  [SMALL_STATE(5436)] = 181619,
  [SMALL_STATE(5437)] = 181640,
  [SMALL_STATE(5438)] = 181661,
  [SMALL_STATE(5439)] = 181682,
  [SMALL_STATE(5440)] = 181707,
  [SMALL_STATE(5441)] = 181728,
  [SMALL_STATE(5442)] = 181749,
  [SMALL_STATE(5443)] = 181770,
  [SMALL_STATE(5444)] = 181795,
  [SMALL_STATE(5445)] = 181816,
  [SMALL_STATE(5446)] = 181837,
  [SMALL_STATE(5447)] = 181858,
  [SMALL_STATE(5448)] = 181881,
  [SMALL_STATE(5449)] = 181906,
  [SMALL_STATE(5450)] = 181927,
  [SMALL_STATE(5451)] = 181948,
  [SMALL_STATE(5452)] = 181971,
  [SMALL_STATE(5453)] = 181994,
  [SMALL_STATE(5454)] = 182019,
  [SMALL_STATE(5455)] = 182040,
  [SMALL_STATE(5456)] = 182063,
  [SMALL_STATE(5457)] = 182084,
  [SMALL_STATE(5458)] = 182107,
  [SMALL_STATE(5459)] = 182128,
  [SMALL_STATE(5460)] = 182149,
  [SMALL_STATE(5461)] = 182170,
  [SMALL_STATE(5462)] = 182187,
  [SMALL_STATE(5463)] = 182212,
  [SMALL_STATE(5464)] = 182235,
  [SMALL_STATE(5465)] = 182260,
  [SMALL_STATE(5466)] = 182281,
  [SMALL_STATE(5467)] = 182302,
  [SMALL_STATE(5468)] = 182323,
  [SMALL_STATE(5469)] = 182348,
  [SMALL_STATE(5470)] = 182373,
  [SMALL_STATE(5471)] = 182394,
  [SMALL_STATE(5472)] = 182415,
  [SMALL_STATE(5473)] = 182440,
  [SMALL_STATE(5474)] = 182465,
  [SMALL_STATE(5475)] = 182488,
  [SMALL_STATE(5476)] = 182513,
  [SMALL_STATE(5477)] = 182538,
  [SMALL_STATE(5478)] = 182563,
  [SMALL_STATE(5479)] = 182588,
  [SMALL_STATE(5480)] = 182611,
  [SMALL_STATE(5481)] = 182636,
  [SMALL_STATE(5482)] = 182661,
  [SMALL_STATE(5483)] = 182686,
  [SMALL_STATE(5484)] = 182711,
  [SMALL_STATE(5485)] = 182736,
  [SMALL_STATE(5486)] = 182761,
  [SMALL_STATE(5487)] = 182786,
  [SMALL_STATE(5488)] = 182803,
  [SMALL_STATE(5489)] = 182826,
  [SMALL_STATE(5490)] = 182847,
  [SMALL_STATE(5491)] = 182868,
  [SMALL_STATE(5492)] = 182893,
  [SMALL_STATE(5493)] = 182914,
  [SMALL_STATE(5494)] = 182939,
  [SMALL_STATE(5495)] = 182964,
  [SMALL_STATE(5496)] = 182981,
  [SMALL_STATE(5497)] = 182998,
  [SMALL_STATE(5498)] = 183019,
  [SMALL_STATE(5499)] = 183044,
  [SMALL_STATE(5500)] = 183069,
  [SMALL_STATE(5501)] = 183094,
  [SMALL_STATE(5502)] = 183111,
  [SMALL_STATE(5503)] = 183132,
  [SMALL_STATE(5504)] = 183153,
  [SMALL_STATE(5505)] = 183174,
  [SMALL_STATE(5506)] = 183195,
  [SMALL_STATE(5507)] = 183216,
  [SMALL_STATE(5508)] = 183237,
  [SMALL_STATE(5509)] = 183258,
  [SMALL_STATE(5510)] = 183275,
  [SMALL_STATE(5511)] = 183296,
  [SMALL_STATE(5512)] = 183313,
  [SMALL_STATE(5513)] = 183330,
  [SMALL_STATE(5514)] = 183349,
  [SMALL_STATE(5515)] = 183370,
  [SMALL_STATE(5516)] = 183391,
  [SMALL_STATE(5517)] = 183410,
  [SMALL_STATE(5518)] = 183429,
  [SMALL_STATE(5519)] = 183450,
  [SMALL_STATE(5520)] = 183469,
  [SMALL_STATE(5521)] = 183489,
  [SMALL_STATE(5522)] = 183511,
  [SMALL_STATE(5523)] = 183533,
  [SMALL_STATE(5524)] = 183553,
  [SMALL_STATE(5525)] = 183575,
  [SMALL_STATE(5526)] = 183593,
  [SMALL_STATE(5527)] = 183615,
  [SMALL_STATE(5528)] = 183635,
  [SMALL_STATE(5529)] = 183655,
  [SMALL_STATE(5530)] = 183677,
  [SMALL_STATE(5531)] = 183699,
  [SMALL_STATE(5532)] = 183715,
  [SMALL_STATE(5533)] = 183735,
  [SMALL_STATE(5534)] = 183757,
  [SMALL_STATE(5535)] = 183779,
  [SMALL_STATE(5536)] = 183801,
  [SMALL_STATE(5537)] = 183821,
  [SMALL_STATE(5538)] = 183843,
  [SMALL_STATE(5539)] = 183863,
  [SMALL_STATE(5540)] = 183881,
  [SMALL_STATE(5541)] = 183901,
  [SMALL_STATE(5542)] = 183919,
  [SMALL_STATE(5543)] = 183939,
  [SMALL_STATE(5544)] = 183959,
  [SMALL_STATE(5545)] = 183979,
  [SMALL_STATE(5546)] = 184001,
  [SMALL_STATE(5547)] = 184021,
  [SMALL_STATE(5548)] = 184043,
  [SMALL_STATE(5549)] = 184063,
  [SMALL_STATE(5550)] = 184085,
  [SMALL_STATE(5551)] = 184105,
  [SMALL_STATE(5552)] = 184125,
  [SMALL_STATE(5553)] = 184147,
  [SMALL_STATE(5554)] = 184169,
  [SMALL_STATE(5555)] = 184189,
  [SMALL_STATE(5556)] = 184209,
  [SMALL_STATE(5557)] = 184229,
  [SMALL_STATE(5558)] = 184249,
  [SMALL_STATE(5559)] = 184269,
  [SMALL_STATE(5560)] = 184289,
  [SMALL_STATE(5561)] = 184311,
  [SMALL_STATE(5562)] = 184331,
  [SMALL_STATE(5563)] = 184351,
  [SMALL_STATE(5564)] = 184371,
  [SMALL_STATE(5565)] = 184391,
  [SMALL_STATE(5566)] = 184411,
  [SMALL_STATE(5567)] = 184431,
  [SMALL_STATE(5568)] = 184451,
  [SMALL_STATE(5569)] = 184471,
  [SMALL_STATE(5570)] = 184493,
  [SMALL_STATE(5571)] = 184515,
  [SMALL_STATE(5572)] = 184537,
  [SMALL_STATE(5573)] = 184559,
  [SMALL_STATE(5574)] = 184581,
  [SMALL_STATE(5575)] = 184603,
  [SMALL_STATE(5576)] = 184625,
  [SMALL_STATE(5577)] = 184647,
  [SMALL_STATE(5578)] = 184669,
  [SMALL_STATE(5579)] = 184689,
  [SMALL_STATE(5580)] = 184709,
  [SMALL_STATE(5581)] = 184729,
  [SMALL_STATE(5582)] = 184749,
  [SMALL_STATE(5583)] = 184769,
  [SMALL_STATE(5584)] = 184789,
  [SMALL_STATE(5585)] = 184811,
  [SMALL_STATE(5586)] = 184831,
  [SMALL_STATE(5587)] = 184851,
  [SMALL_STATE(5588)] = 184871,
  [SMALL_STATE(5589)] = 184891,
  [SMALL_STATE(5590)] = 184913,
  [SMALL_STATE(5591)] = 184933,
  [SMALL_STATE(5592)] = 184953,
  [SMALL_STATE(5593)] = 184973,
  [SMALL_STATE(5594)] = 184993,
  [SMALL_STATE(5595)] = 185015,
  [SMALL_STATE(5596)] = 185037,
  [SMALL_STATE(5597)] = 185057,
  [SMALL_STATE(5598)] = 185077,
  [SMALL_STATE(5599)] = 185097,
  [SMALL_STATE(5600)] = 185115,
  [SMALL_STATE(5601)] = 185135,
  [SMALL_STATE(5602)] = 185155,
  [SMALL_STATE(5603)] = 185175,
  [SMALL_STATE(5604)] = 185195,
  [SMALL_STATE(5605)] = 185215,
  [SMALL_STATE(5606)] = 185235,
  [SMALL_STATE(5607)] = 185257,
  [SMALL_STATE(5608)] = 185277,
  [SMALL_STATE(5609)] = 185297,
  [SMALL_STATE(5610)] = 185317,
  [SMALL_STATE(5611)] = 185339,
  [SMALL_STATE(5612)] = 185355,
  [SMALL_STATE(5613)] = 185377,
  [SMALL_STATE(5614)] = 185399,
  [SMALL_STATE(5615)] = 185417,
  [SMALL_STATE(5616)] = 185435,
  [SMALL_STATE(5617)] = 185457,
  [SMALL_STATE(5618)] = 185477,
  [SMALL_STATE(5619)] = 185497,
  [SMALL_STATE(5620)] = 185517,
  [SMALL_STATE(5621)] = 185539,
  [SMALL_STATE(5622)] = 185559,
  [SMALL_STATE(5623)] = 185579,
  [SMALL_STATE(5624)] = 185601,
  [SMALL_STATE(5625)] = 185621,
  [SMALL_STATE(5626)] = 185641,
  [SMALL_STATE(5627)] = 185657,
  [SMALL_STATE(5628)] = 185677,
  [SMALL_STATE(5629)] = 185697,
  [SMALL_STATE(5630)] = 185719,
  [SMALL_STATE(5631)] = 185739,
  [SMALL_STATE(5632)] = 185759,
  [SMALL_STATE(5633)] = 185781,
  [SMALL_STATE(5634)] = 185803,
  [SMALL_STATE(5635)] = 185821,
  [SMALL_STATE(5636)] = 185839,
  [SMALL_STATE(5637)] = 185859,
  [SMALL_STATE(5638)] = 185879,
  [SMALL_STATE(5639)] = 185901,
  [SMALL_STATE(5640)] = 185923,
  [SMALL_STATE(5641)] = 185943,
  [SMALL_STATE(5642)] = 185965,
  [SMALL_STATE(5643)] = 185985,
  [SMALL_STATE(5644)] = 186005,
  [SMALL_STATE(5645)] = 186027,
  [SMALL_STATE(5646)] = 186047,
  [SMALL_STATE(5647)] = 186067,
  [SMALL_STATE(5648)] = 186089,
  [SMALL_STATE(5649)] = 186109,
  [SMALL_STATE(5650)] = 186129,
  [SMALL_STATE(5651)] = 186149,
  [SMALL_STATE(5652)] = 186171,
  [SMALL_STATE(5653)] = 186193,
  [SMALL_STATE(5654)] = 186215,
  [SMALL_STATE(5655)] = 186235,
  [SMALL_STATE(5656)] = 186255,
  [SMALL_STATE(5657)] = 186275,
  [SMALL_STATE(5658)] = 186295,
  [SMALL_STATE(5659)] = 186315,
  [SMALL_STATE(5660)] = 186337,
  [SMALL_STATE(5661)] = 186359,
  [SMALL_STATE(5662)] = 186381,
  [SMALL_STATE(5663)] = 186403,
  [SMALL_STATE(5664)] = 186425,
  [SMALL_STATE(5665)] = 186445,
  [SMALL_STATE(5666)] = 186465,
  [SMALL_STATE(5667)] = 186485,
  [SMALL_STATE(5668)] = 186505,
  [SMALL_STATE(5669)] = 186527,
  [SMALL_STATE(5670)] = 186549,
  [SMALL_STATE(5671)] = 186567,
  [SMALL_STATE(5672)] = 186587,
  [SMALL_STATE(5673)] = 186607,
  [SMALL_STATE(5674)] = 186625,
  [SMALL_STATE(5675)] = 186647,
  [SMALL_STATE(5676)] = 186667,
  [SMALL_STATE(5677)] = 186689,
  [SMALL_STATE(5678)] = 186705,
  [SMALL_STATE(5679)] = 186725,
  [SMALL_STATE(5680)] = 186745,
  [SMALL_STATE(5681)] = 186767,
  [SMALL_STATE(5682)] = 186787,
  [SMALL_STATE(5683)] = 186807,
  [SMALL_STATE(5684)] = 186829,
  [SMALL_STATE(5685)] = 186851,
  [SMALL_STATE(5686)] = 186871,
  [SMALL_STATE(5687)] = 186893,
  [SMALL_STATE(5688)] = 186913,
  [SMALL_STATE(5689)] = 186935,
  [SMALL_STATE(5690)] = 186955,
  [SMALL_STATE(5691)] = 186977,
  [SMALL_STATE(5692)] = 186993,
  [SMALL_STATE(5693)] = 187009,
  [SMALL_STATE(5694)] = 187031,
  [SMALL_STATE(5695)] = 187053,
  [SMALL_STATE(5696)] = 187075,
  [SMALL_STATE(5697)] = 187095,
  [SMALL_STATE(5698)] = 187115,
  [SMALL_STATE(5699)] = 187137,
  [SMALL_STATE(5700)] = 187157,
  [SMALL_STATE(5701)] = 187177,
  [SMALL_STATE(5702)] = 187197,
  [SMALL_STATE(5703)] = 187217,
  [SMALL_STATE(5704)] = 187239,
  [SMALL_STATE(5705)] = 187261,
  [SMALL_STATE(5706)] = 187281,
  [SMALL_STATE(5707)] = 187301,
  [SMALL_STATE(5708)] = 187323,
  [SMALL_STATE(5709)] = 187343,
  [SMALL_STATE(5710)] = 187365,
  [SMALL_STATE(5711)] = 187385,
  [SMALL_STATE(5712)] = 187405,
  [SMALL_STATE(5713)] = 187427,
  [SMALL_STATE(5714)] = 187447,
  [SMALL_STATE(5715)] = 187469,
  [SMALL_STATE(5716)] = 187489,
  [SMALL_STATE(5717)] = 187509,
  [SMALL_STATE(5718)] = 187529,
  [SMALL_STATE(5719)] = 187549,
  [SMALL_STATE(5720)] = 187569,
  [SMALL_STATE(5721)] = 187591,
  [SMALL_STATE(5722)] = 187611,
  [SMALL_STATE(5723)] = 187631,
  [SMALL_STATE(5724)] = 187651,
  [SMALL_STATE(5725)] = 187671,
  [SMALL_STATE(5726)] = 187691,
  [SMALL_STATE(5727)] = 187713,
  [SMALL_STATE(5728)] = 187733,
  [SMALL_STATE(5729)] = 187753,
  [SMALL_STATE(5730)] = 187773,
  [SMALL_STATE(5731)] = 187795,
  [SMALL_STATE(5732)] = 187817,
  [SMALL_STATE(5733)] = 187837,
  [SMALL_STATE(5734)] = 187853,
  [SMALL_STATE(5735)] = 187873,
  [SMALL_STATE(5736)] = 187893,
  [SMALL_STATE(5737)] = 187915,
  [SMALL_STATE(5738)] = 187937,
  [SMALL_STATE(5739)] = 187955,
  [SMALL_STATE(5740)] = 187975,
  [SMALL_STATE(5741)] = 187995,
  [SMALL_STATE(5742)] = 188015,
  [SMALL_STATE(5743)] = 188031,
  [SMALL_STATE(5744)] = 188053,
  [SMALL_STATE(5745)] = 188069,
  [SMALL_STATE(5746)] = 188085,
  [SMALL_STATE(5747)] = 188101,
  [SMALL_STATE(5748)] = 188121,
  [SMALL_STATE(5749)] = 188141,
  [SMALL_STATE(5750)] = 188160,
  [SMALL_STATE(5751)] = 188175,
  [SMALL_STATE(5752)] = 188194,
  [SMALL_STATE(5753)] = 188213,
  [SMALL_STATE(5754)] = 188228,
  [SMALL_STATE(5755)] = 188247,
  [SMALL_STATE(5756)] = 188262,
  [SMALL_STATE(5757)] = 188281,
  [SMALL_STATE(5758)] = 188296,
  [SMALL_STATE(5759)] = 188311,
  [SMALL_STATE(5760)] = 188326,
  [SMALL_STATE(5761)] = 188341,
  [SMALL_STATE(5762)] = 188356,
  [SMALL_STATE(5763)] = 188375,
  [SMALL_STATE(5764)] = 188390,
  [SMALL_STATE(5765)] = 188405,
  [SMALL_STATE(5766)] = 188420,
  [SMALL_STATE(5767)] = 188435,
  [SMALL_STATE(5768)] = 188450,
  [SMALL_STATE(5769)] = 188465,
  [SMALL_STATE(5770)] = 188480,
  [SMALL_STATE(5771)] = 188495,
  [SMALL_STATE(5772)] = 188514,
  [SMALL_STATE(5773)] = 188529,
  [SMALL_STATE(5774)] = 188548,
  [SMALL_STATE(5775)] = 188567,
  [SMALL_STATE(5776)] = 188582,
  [SMALL_STATE(5777)] = 188597,
  [SMALL_STATE(5778)] = 188612,
  [SMALL_STATE(5779)] = 188631,
  [SMALL_STATE(5780)] = 188646,
  [SMALL_STATE(5781)] = 188661,
  [SMALL_STATE(5782)] = 188676,
  [SMALL_STATE(5783)] = 188691,
  [SMALL_STATE(5784)] = 188706,
  [SMALL_STATE(5785)] = 188723,
  [SMALL_STATE(5786)] = 188738,
  [SMALL_STATE(5787)] = 188755,
  [SMALL_STATE(5788)] = 188770,
  [SMALL_STATE(5789)] = 188785,
  [SMALL_STATE(5790)] = 188800,
  [SMALL_STATE(5791)] = 188815,
  [SMALL_STATE(5792)] = 188830,
  [SMALL_STATE(5793)] = 188845,
  [SMALL_STATE(5794)] = 188860,
  [SMALL_STATE(5795)] = 188875,
  [SMALL_STATE(5796)] = 188890,
  [SMALL_STATE(5797)] = 188905,
  [SMALL_STATE(5798)] = 188920,
  [SMALL_STATE(5799)] = 188939,
  [SMALL_STATE(5800)] = 188954,
  [SMALL_STATE(5801)] = 188973,
  [SMALL_STATE(5802)] = 188988,
  [SMALL_STATE(5803)] = 189003,
  [SMALL_STATE(5804)] = 189018,
  [SMALL_STATE(5805)] = 189037,
  [SMALL_STATE(5806)] = 189052,
  [SMALL_STATE(5807)] = 189067,
  [SMALL_STATE(5808)] = 189086,
  [SMALL_STATE(5809)] = 189101,
  [SMALL_STATE(5810)] = 189120,
  [SMALL_STATE(5811)] = 189135,
  [SMALL_STATE(5812)] = 189150,
  [SMALL_STATE(5813)] = 189165,
  [SMALL_STATE(5814)] = 189184,
  [SMALL_STATE(5815)] = 189199,
  [SMALL_STATE(5816)] = 189214,
  [SMALL_STATE(5817)] = 189229,
  [SMALL_STATE(5818)] = 189248,
  [SMALL_STATE(5819)] = 189263,
  [SMALL_STATE(5820)] = 189278,
  [SMALL_STATE(5821)] = 189297,
  [SMALL_STATE(5822)] = 189316,
  [SMALL_STATE(5823)] = 189335,
  [SMALL_STATE(5824)] = 189350,
  [SMALL_STATE(5825)] = 189365,
  [SMALL_STATE(5826)] = 189380,
  [SMALL_STATE(5827)] = 189395,
  [SMALL_STATE(5828)] = 189410,
  [SMALL_STATE(5829)] = 189425,
  [SMALL_STATE(5830)] = 189440,
  [SMALL_STATE(5831)] = 189455,
  [SMALL_STATE(5832)] = 189474,
  [SMALL_STATE(5833)] = 189489,
  [SMALL_STATE(5834)] = 189508,
  [SMALL_STATE(5835)] = 189523,
  [SMALL_STATE(5836)] = 189538,
  [SMALL_STATE(5837)] = 189553,
  [SMALL_STATE(5838)] = 189568,
  [SMALL_STATE(5839)] = 189587,
  [SMALL_STATE(5840)] = 189602,
  [SMALL_STATE(5841)] = 189621,
  [SMALL_STATE(5842)] = 189640,
  [SMALL_STATE(5843)] = 189659,
  [SMALL_STATE(5844)] = 189678,
  [SMALL_STATE(5845)] = 189697,
  [SMALL_STATE(5846)] = 189712,
  [SMALL_STATE(5847)] = 189727,
  [SMALL_STATE(5848)] = 189742,
  [SMALL_STATE(5849)] = 189757,
  [SMALL_STATE(5850)] = 189772,
  [SMALL_STATE(5851)] = 189787,
  [SMALL_STATE(5852)] = 189802,
  [SMALL_STATE(5853)] = 189817,
  [SMALL_STATE(5854)] = 189832,
  [SMALL_STATE(5855)] = 189847,
  [SMALL_STATE(5856)] = 189862,
  [SMALL_STATE(5857)] = 189877,
  [SMALL_STATE(5858)] = 189892,
  [SMALL_STATE(5859)] = 189907,
  [SMALL_STATE(5860)] = 189922,
  [SMALL_STATE(5861)] = 189937,
  [SMALL_STATE(5862)] = 189952,
  [SMALL_STATE(5863)] = 189967,
  [SMALL_STATE(5864)] = 189984,
  [SMALL_STATE(5865)] = 189999,
  [SMALL_STATE(5866)] = 190014,
  [SMALL_STATE(5867)] = 190029,
  [SMALL_STATE(5868)] = 190044,
  [SMALL_STATE(5869)] = 190061,
  [SMALL_STATE(5870)] = 190076,
  [SMALL_STATE(5871)] = 190091,
  [SMALL_STATE(5872)] = 190106,
  [SMALL_STATE(5873)] = 190121,
  [SMALL_STATE(5874)] = 190136,
  [SMALL_STATE(5875)] = 190151,
  [SMALL_STATE(5876)] = 190170,
  [SMALL_STATE(5877)] = 190185,
  [SMALL_STATE(5878)] = 190204,
  [SMALL_STATE(5879)] = 190219,
  [SMALL_STATE(5880)] = 190234,
  [SMALL_STATE(5881)] = 190251,
  [SMALL_STATE(5882)] = 190270,
  [SMALL_STATE(5883)] = 190289,
  [SMALL_STATE(5884)] = 190304,
  [SMALL_STATE(5885)] = 190319,
  [SMALL_STATE(5886)] = 190334,
  [SMALL_STATE(5887)] = 190349,
  [SMALL_STATE(5888)] = 190364,
  [SMALL_STATE(5889)] = 190379,
  [SMALL_STATE(5890)] = 190394,
  [SMALL_STATE(5891)] = 190409,
  [SMALL_STATE(5892)] = 190426,
  [SMALL_STATE(5893)] = 190441,
  [SMALL_STATE(5894)] = 190456,
  [SMALL_STATE(5895)] = 190471,
  [SMALL_STATE(5896)] = 190486,
  [SMALL_STATE(5897)] = 190503,
  [SMALL_STATE(5898)] = 190518,
  [SMALL_STATE(5899)] = 190533,
  [SMALL_STATE(5900)] = 190548,
  [SMALL_STATE(5901)] = 190563,
  [SMALL_STATE(5902)] = 190578,
  [SMALL_STATE(5903)] = 190593,
  [SMALL_STATE(5904)] = 190608,
  [SMALL_STATE(5905)] = 190627,
  [SMALL_STATE(5906)] = 190642,
  [SMALL_STATE(5907)] = 190657,
  [SMALL_STATE(5908)] = 190672,
  [SMALL_STATE(5909)] = 190687,
  [SMALL_STATE(5910)] = 190702,
  [SMALL_STATE(5911)] = 190717,
  [SMALL_STATE(5912)] = 190732,
  [SMALL_STATE(5913)] = 190747,
  [SMALL_STATE(5914)] = 190766,
  [SMALL_STATE(5915)] = 190781,
  [SMALL_STATE(5916)] = 190800,
  [SMALL_STATE(5917)] = 190815,
  [SMALL_STATE(5918)] = 190830,
  [SMALL_STATE(5919)] = 190845,
  [SMALL_STATE(5920)] = 190864,
  [SMALL_STATE(5921)] = 190879,
  [SMALL_STATE(5922)] = 190894,
  [SMALL_STATE(5923)] = 190909,
  [SMALL_STATE(5924)] = 190924,
  [SMALL_STATE(5925)] = 190939,
  [SMALL_STATE(5926)] = 190954,
  [SMALL_STATE(5927)] = 190969,
  [SMALL_STATE(5928)] = 190984,
  [SMALL_STATE(5929)] = 190999,
  [SMALL_STATE(5930)] = 191014,
  [SMALL_STATE(5931)] = 191029,
  [SMALL_STATE(5932)] = 191044,
  [SMALL_STATE(5933)] = 191059,
  [SMALL_STATE(5934)] = 191074,
  [SMALL_STATE(5935)] = 191089,
  [SMALL_STATE(5936)] = 191104,
  [SMALL_STATE(5937)] = 191119,
  [SMALL_STATE(5938)] = 191134,
  [SMALL_STATE(5939)] = 191149,
  [SMALL_STATE(5940)] = 191164,
  [SMALL_STATE(5941)] = 191179,
  [SMALL_STATE(5942)] = 191194,
  [SMALL_STATE(5943)] = 191209,
  [SMALL_STATE(5944)] = 191224,
  [SMALL_STATE(5945)] = 191239,
  [SMALL_STATE(5946)] = 191254,
  [SMALL_STATE(5947)] = 191269,
  [SMALL_STATE(5948)] = 191284,
  [SMALL_STATE(5949)] = 191299,
  [SMALL_STATE(5950)] = 191314,
  [SMALL_STATE(5951)] = 191329,
  [SMALL_STATE(5952)] = 191344,
  [SMALL_STATE(5953)] = 191359,
  [SMALL_STATE(5954)] = 191374,
  [SMALL_STATE(5955)] = 191389,
  [SMALL_STATE(5956)] = 191408,
  [SMALL_STATE(5957)] = 191423,
  [SMALL_STATE(5958)] = 191438,
  [SMALL_STATE(5959)] = 191457,
  [SMALL_STATE(5960)] = 191472,
  [SMALL_STATE(5961)] = 191487,
  [SMALL_STATE(5962)] = 191502,
  [SMALL_STATE(5963)] = 191517,
  [SMALL_STATE(5964)] = 191532,
  [SMALL_STATE(5965)] = 191547,
  [SMALL_STATE(5966)] = 191562,
  [SMALL_STATE(5967)] = 191577,
  [SMALL_STATE(5968)] = 191592,
  [SMALL_STATE(5969)] = 191607,
  [SMALL_STATE(5970)] = 191622,
  [SMALL_STATE(5971)] = 191641,
  [SMALL_STATE(5972)] = 191656,
  [SMALL_STATE(5973)] = 191671,
  [SMALL_STATE(5974)] = 191686,
  [SMALL_STATE(5975)] = 191701,
  [SMALL_STATE(5976)] = 191716,
  [SMALL_STATE(5977)] = 191731,
  [SMALL_STATE(5978)] = 191746,
  [SMALL_STATE(5979)] = 191761,
  [SMALL_STATE(5980)] = 191776,
  [SMALL_STATE(5981)] = 191791,
  [SMALL_STATE(5982)] = 191810,
  [SMALL_STATE(5983)] = 191825,
  [SMALL_STATE(5984)] = 191840,
  [SMALL_STATE(5985)] = 191855,
  [SMALL_STATE(5986)] = 191874,
  [SMALL_STATE(5987)] = 191893,
  [SMALL_STATE(5988)] = 191908,
  [SMALL_STATE(5989)] = 191927,
  [SMALL_STATE(5990)] = 191942,
  [SMALL_STATE(5991)] = 191957,
  [SMALL_STATE(5992)] = 191972,
  [SMALL_STATE(5993)] = 191991,
  [SMALL_STATE(5994)] = 192006,
  [SMALL_STATE(5995)] = 192021,
  [SMALL_STATE(5996)] = 192036,
  [SMALL_STATE(5997)] = 192055,
  [SMALL_STATE(5998)] = 192070,
  [SMALL_STATE(5999)] = 192085,
  [SMALL_STATE(6000)] = 192100,
  [SMALL_STATE(6001)] = 192119,
  [SMALL_STATE(6002)] = 192134,
  [SMALL_STATE(6003)] = 192149,
  [SMALL_STATE(6004)] = 192168,
  [SMALL_STATE(6005)] = 192183,
  [SMALL_STATE(6006)] = 192202,
  [SMALL_STATE(6007)] = 192217,
  [SMALL_STATE(6008)] = 192236,
  [SMALL_STATE(6009)] = 192251,
  [SMALL_STATE(6010)] = 192266,
  [SMALL_STATE(6011)] = 192281,
  [SMALL_STATE(6012)] = 192300,
  [SMALL_STATE(6013)] = 192315,
  [SMALL_STATE(6014)] = 192330,
  [SMALL_STATE(6015)] = 192345,
  [SMALL_STATE(6016)] = 192364,
  [SMALL_STATE(6017)] = 192383,
  [SMALL_STATE(6018)] = 192398,
  [SMALL_STATE(6019)] = 192413,
  [SMALL_STATE(6020)] = 192428,
  [SMALL_STATE(6021)] = 192443,
  [SMALL_STATE(6022)] = 192458,
  [SMALL_STATE(6023)] = 192473,
  [SMALL_STATE(6024)] = 192488,
  [SMALL_STATE(6025)] = 192503,
  [SMALL_STATE(6026)] = 192518,
  [SMALL_STATE(6027)] = 192533,
  [SMALL_STATE(6028)] = 192548,
  [SMALL_STATE(6029)] = 192563,
  [SMALL_STATE(6030)] = 192578,
  [SMALL_STATE(6031)] = 192593,
  [SMALL_STATE(6032)] = 192610,
  [SMALL_STATE(6033)] = 192627,
  [SMALL_STATE(6034)] = 192642,
  [SMALL_STATE(6035)] = 192657,
  [SMALL_STATE(6036)] = 192672,
  [SMALL_STATE(6037)] = 192687,
  [SMALL_STATE(6038)] = 192702,
  [SMALL_STATE(6039)] = 192717,
  [SMALL_STATE(6040)] = 192732,
  [SMALL_STATE(6041)] = 192747,
  [SMALL_STATE(6042)] = 192762,
  [SMALL_STATE(6043)] = 192777,
  [SMALL_STATE(6044)] = 192792,
  [SMALL_STATE(6045)] = 192807,
  [SMALL_STATE(6046)] = 192822,
  [SMALL_STATE(6047)] = 192837,
  [SMALL_STATE(6048)] = 192852,
  [SMALL_STATE(6049)] = 192867,
  [SMALL_STATE(6050)] = 192882,
  [SMALL_STATE(6051)] = 192897,
  [SMALL_STATE(6052)] = 192916,
  [SMALL_STATE(6053)] = 192931,
  [SMALL_STATE(6054)] = 192950,
  [SMALL_STATE(6055)] = 192969,
  [SMALL_STATE(6056)] = 192984,
  [SMALL_STATE(6057)] = 193003,
  [SMALL_STATE(6058)] = 193018,
  [SMALL_STATE(6059)] = 193037,
  [SMALL_STATE(6060)] = 193052,
  [SMALL_STATE(6061)] = 193071,
  [SMALL_STATE(6062)] = 193088,
  [SMALL_STATE(6063)] = 193103,
  [SMALL_STATE(6064)] = 193122,
  [SMALL_STATE(6065)] = 193141,
  [SMALL_STATE(6066)] = 193160,
  [SMALL_STATE(6067)] = 193179,
  [SMALL_STATE(6068)] = 193194,
  [SMALL_STATE(6069)] = 193213,
  [SMALL_STATE(6070)] = 193228,
  [SMALL_STATE(6071)] = 193243,
  [SMALL_STATE(6072)] = 193258,
  [SMALL_STATE(6073)] = 193277,
  [SMALL_STATE(6074)] = 193294,
  [SMALL_STATE(6075)] = 193313,
  [SMALL_STATE(6076)] = 193328,
  [SMALL_STATE(6077)] = 193347,
  [SMALL_STATE(6078)] = 193362,
  [SMALL_STATE(6079)] = 193379,
  [SMALL_STATE(6080)] = 193394,
  [SMALL_STATE(6081)] = 193413,
  [SMALL_STATE(6082)] = 193432,
  [SMALL_STATE(6083)] = 193447,
  [SMALL_STATE(6084)] = 193462,
  [SMALL_STATE(6085)] = 193477,
  [SMALL_STATE(6086)] = 193496,
  [SMALL_STATE(6087)] = 193513,
  [SMALL_STATE(6088)] = 193528,
  [SMALL_STATE(6089)] = 193543,
  [SMALL_STATE(6090)] = 193560,
  [SMALL_STATE(6091)] = 193577,
  [SMALL_STATE(6092)] = 193592,
  [SMALL_STATE(6093)] = 193611,
  [SMALL_STATE(6094)] = 193630,
  [SMALL_STATE(6095)] = 193649,
  [SMALL_STATE(6096)] = 193664,
  [SMALL_STATE(6097)] = 193679,
  [SMALL_STATE(6098)] = 193698,
  [SMALL_STATE(6099)] = 193713,
  [SMALL_STATE(6100)] = 193732,
  [SMALL_STATE(6101)] = 193751,
  [SMALL_STATE(6102)] = 193770,
  [SMALL_STATE(6103)] = 193789,
  [SMALL_STATE(6104)] = 193808,
  [SMALL_STATE(6105)] = 193823,
  [SMALL_STATE(6106)] = 193838,
  [SMALL_STATE(6107)] = 193857,
  [SMALL_STATE(6108)] = 193876,
  [SMALL_STATE(6109)] = 193895,
  [SMALL_STATE(6110)] = 193914,
  [SMALL_STATE(6111)] = 193929,
  [SMALL_STATE(6112)] = 193948,
  [SMALL_STATE(6113)] = 193963,
  [SMALL_STATE(6114)] = 193980,
  [SMALL_STATE(6115)] = 193995,
  [SMALL_STATE(6116)] = 194014,
  [SMALL_STATE(6117)] = 194033,
  [SMALL_STATE(6118)] = 194050,
  [SMALL_STATE(6119)] = 194065,
  [SMALL_STATE(6120)] = 194080,
  [SMALL_STATE(6121)] = 194095,
  [SMALL_STATE(6122)] = 194110,
  [SMALL_STATE(6123)] = 194125,
  [SMALL_STATE(6124)] = 194140,
  [SMALL_STATE(6125)] = 194155,
  [SMALL_STATE(6126)] = 194170,
  [SMALL_STATE(6127)] = 194185,
  [SMALL_STATE(6128)] = 194200,
  [SMALL_STATE(6129)] = 194215,
  [SMALL_STATE(6130)] = 194234,
  [SMALL_STATE(6131)] = 194249,
  [SMALL_STATE(6132)] = 194264,
  [SMALL_STATE(6133)] = 194279,
  [SMALL_STATE(6134)] = 194294,
  [SMALL_STATE(6135)] = 194313,
  [SMALL_STATE(6136)] = 194328,
  [SMALL_STATE(6137)] = 194347,
  [SMALL_STATE(6138)] = 194362,
  [SMALL_STATE(6139)] = 194381,
  [SMALL_STATE(6140)] = 194400,
  [SMALL_STATE(6141)] = 194419,
  [SMALL_STATE(6142)] = 194436,
  [SMALL_STATE(6143)] = 194451,
  [SMALL_STATE(6144)] = 194468,
  [SMALL_STATE(6145)] = 194485,
  [SMALL_STATE(6146)] = 194504,
  [SMALL_STATE(6147)] = 194519,
  [SMALL_STATE(6148)] = 194534,
  [SMALL_STATE(6149)] = 194549,
  [SMALL_STATE(6150)] = 194564,
  [SMALL_STATE(6151)] = 194579,
  [SMALL_STATE(6152)] = 194594,
  [SMALL_STATE(6153)] = 194609,
  [SMALL_STATE(6154)] = 194628,
  [SMALL_STATE(6155)] = 194645,
  [SMALL_STATE(6156)] = 194660,
  [SMALL_STATE(6157)] = 194677,
  [SMALL_STATE(6158)] = 194692,
  [SMALL_STATE(6159)] = 194711,
  [SMALL_STATE(6160)] = 194730,
  [SMALL_STATE(6161)] = 194745,
  [SMALL_STATE(6162)] = 194764,
  [SMALL_STATE(6163)] = 194779,
  [SMALL_STATE(6164)] = 194794,
  [SMALL_STATE(6165)] = 194811,
  [SMALL_STATE(6166)] = 194830,
  [SMALL_STATE(6167)] = 194845,
  [SMALL_STATE(6168)] = 194862,
  [SMALL_STATE(6169)] = 194877,
  [SMALL_STATE(6170)] = 194892,
  [SMALL_STATE(6171)] = 194907,
  [SMALL_STATE(6172)] = 194924,
  [SMALL_STATE(6173)] = 194939,
  [SMALL_STATE(6174)] = 194956,
  [SMALL_STATE(6175)] = 194975,
  [SMALL_STATE(6176)] = 194990,
  [SMALL_STATE(6177)] = 195009,
  [SMALL_STATE(6178)] = 195024,
  [SMALL_STATE(6179)] = 195039,
  [SMALL_STATE(6180)] = 195056,
  [SMALL_STATE(6181)] = 195075,
  [SMALL_STATE(6182)] = 195090,
  [SMALL_STATE(6183)] = 195109,
  [SMALL_STATE(6184)] = 195128,
  [SMALL_STATE(6185)] = 195147,
  [SMALL_STATE(6186)] = 195164,
  [SMALL_STATE(6187)] = 195179,
  [SMALL_STATE(6188)] = 195198,
  [SMALL_STATE(6189)] = 195217,
  [SMALL_STATE(6190)] = 195232,
  [SMALL_STATE(6191)] = 195251,
  [SMALL_STATE(6192)] = 195268,
  [SMALL_STATE(6193)] = 195287,
  [SMALL_STATE(6194)] = 195302,
  [SMALL_STATE(6195)] = 195321,
  [SMALL_STATE(6196)] = 195336,
  [SMALL_STATE(6197)] = 195355,
  [SMALL_STATE(6198)] = 195374,
  [SMALL_STATE(6199)] = 195393,
  [SMALL_STATE(6200)] = 195412,
  [SMALL_STATE(6201)] = 195427,
  [SMALL_STATE(6202)] = 195444,
  [SMALL_STATE(6203)] = 195463,
  [SMALL_STATE(6204)] = 195478,
  [SMALL_STATE(6205)] = 195495,
  [SMALL_STATE(6206)] = 195514,
  [SMALL_STATE(6207)] = 195531,
  [SMALL_STATE(6208)] = 195550,
  [SMALL_STATE(6209)] = 195567,
  [SMALL_STATE(6210)] = 195584,
  [SMALL_STATE(6211)] = 195603,
  [SMALL_STATE(6212)] = 195620,
  [SMALL_STATE(6213)] = 195639,
  [SMALL_STATE(6214)] = 195658,
  [SMALL_STATE(6215)] = 195673,
  [SMALL_STATE(6216)] = 195688,
  [SMALL_STATE(6217)] = 195707,
  [SMALL_STATE(6218)] = 195722,
  [SMALL_STATE(6219)] = 195739,
  [SMALL_STATE(6220)] = 195754,
  [SMALL_STATE(6221)] = 195769,
  [SMALL_STATE(6222)] = 195784,
  [SMALL_STATE(6223)] = 195803,
  [SMALL_STATE(6224)] = 195822,
  [SMALL_STATE(6225)] = 195839,
  [SMALL_STATE(6226)] = 195856,
  [SMALL_STATE(6227)] = 195875,
  [SMALL_STATE(6228)] = 195890,
  [SMALL_STATE(6229)] = 195905,
  [SMALL_STATE(6230)] = 195924,
  [SMALL_STATE(6231)] = 195939,
  [SMALL_STATE(6232)] = 195954,
  [SMALL_STATE(6233)] = 195969,
  [SMALL_STATE(6234)] = 195988,
  [SMALL_STATE(6235)] = 196007,
  [SMALL_STATE(6236)] = 196022,
  [SMALL_STATE(6237)] = 196037,
  [SMALL_STATE(6238)] = 196052,
  [SMALL_STATE(6239)] = 196071,
  [SMALL_STATE(6240)] = 196090,
  [SMALL_STATE(6241)] = 196105,
  [SMALL_STATE(6242)] = 196124,
  [SMALL_STATE(6243)] = 196139,
  [SMALL_STATE(6244)] = 196158,
  [SMALL_STATE(6245)] = 196173,
  [SMALL_STATE(6246)] = 196192,
  [SMALL_STATE(6247)] = 196209,
  [SMALL_STATE(6248)] = 196226,
  [SMALL_STATE(6249)] = 196245,
  [SMALL_STATE(6250)] = 196264,
  [SMALL_STATE(6251)] = 196279,
  [SMALL_STATE(6252)] = 196294,
  [SMALL_STATE(6253)] = 196313,
  [SMALL_STATE(6254)] = 196332,
  [SMALL_STATE(6255)] = 196347,
  [SMALL_STATE(6256)] = 196362,
  [SMALL_STATE(6257)] = 196381,
  [SMALL_STATE(6258)] = 196398,
  [SMALL_STATE(6259)] = 196417,
  [SMALL_STATE(6260)] = 196432,
  [SMALL_STATE(6261)] = 196451,
  [SMALL_STATE(6262)] = 196470,
  [SMALL_STATE(6263)] = 196487,
  [SMALL_STATE(6264)] = 196502,
  [SMALL_STATE(6265)] = 196521,
  [SMALL_STATE(6266)] = 196540,
  [SMALL_STATE(6267)] = 196555,
  [SMALL_STATE(6268)] = 196570,
  [SMALL_STATE(6269)] = 196589,
  [SMALL_STATE(6270)] = 196608,
  [SMALL_STATE(6271)] = 196627,
  [SMALL_STATE(6272)] = 196642,
  [SMALL_STATE(6273)] = 196661,
  [SMALL_STATE(6274)] = 196676,
  [SMALL_STATE(6275)] = 196695,
  [SMALL_STATE(6276)] = 196710,
  [SMALL_STATE(6277)] = 196729,
  [SMALL_STATE(6278)] = 196748,
  [SMALL_STATE(6279)] = 196767,
  [SMALL_STATE(6280)] = 196782,
  [SMALL_STATE(6281)] = 196799,
  [SMALL_STATE(6282)] = 196818,
  [SMALL_STATE(6283)] = 196833,
  [SMALL_STATE(6284)] = 196848,
  [SMALL_STATE(6285)] = 196865,
  [SMALL_STATE(6286)] = 196882,
  [SMALL_STATE(6287)] = 196897,
  [SMALL_STATE(6288)] = 196916,
  [SMALL_STATE(6289)] = 196931,
  [SMALL_STATE(6290)] = 196946,
  [SMALL_STATE(6291)] = 196963,
  [SMALL_STATE(6292)] = 196982,
  [SMALL_STATE(6293)] = 196997,
  [SMALL_STATE(6294)] = 197012,
  [SMALL_STATE(6295)] = 197027,
  [SMALL_STATE(6296)] = 197044,
  [SMALL_STATE(6297)] = 197063,
  [SMALL_STATE(6298)] = 197082,
  [SMALL_STATE(6299)] = 197101,
  [SMALL_STATE(6300)] = 197116,
  [SMALL_STATE(6301)] = 197135,
  [SMALL_STATE(6302)] = 197152,
  [SMALL_STATE(6303)] = 197171,
  [SMALL_STATE(6304)] = 197188,
  [SMALL_STATE(6305)] = 197203,
  [SMALL_STATE(6306)] = 197222,
  [SMALL_STATE(6307)] = 197239,
  [SMALL_STATE(6308)] = 197254,
  [SMALL_STATE(6309)] = 197271,
  [SMALL_STATE(6310)] = 197286,
  [SMALL_STATE(6311)] = 197305,
  [SMALL_STATE(6312)] = 197324,
  [SMALL_STATE(6313)] = 197343,
  [SMALL_STATE(6314)] = 197358,
  [SMALL_STATE(6315)] = 197377,
  [SMALL_STATE(6316)] = 197394,
  [SMALL_STATE(6317)] = 197413,
  [SMALL_STATE(6318)] = 197432,
  [SMALL_STATE(6319)] = 197449,
  [SMALL_STATE(6320)] = 197468,
  [SMALL_STATE(6321)] = 197487,
  [SMALL_STATE(6322)] = 197502,
  [SMALL_STATE(6323)] = 197517,
  [SMALL_STATE(6324)] = 197532,
  [SMALL_STATE(6325)] = 197551,
  [SMALL_STATE(6326)] = 197570,
  [SMALL_STATE(6327)] = 197589,
  [SMALL_STATE(6328)] = 197604,
  [SMALL_STATE(6329)] = 197621,
  [SMALL_STATE(6330)] = 197638,
  [SMALL_STATE(6331)] = 197657,
  [SMALL_STATE(6332)] = 197674,
  [SMALL_STATE(6333)] = 197693,
  [SMALL_STATE(6334)] = 197710,
  [SMALL_STATE(6335)] = 197725,
  [SMALL_STATE(6336)] = 197744,
  [SMALL_STATE(6337)] = 197763,
  [SMALL_STATE(6338)] = 197778,
  [SMALL_STATE(6339)] = 197793,
  [SMALL_STATE(6340)] = 197812,
  [SMALL_STATE(6341)] = 197827,
  [SMALL_STATE(6342)] = 197842,
  [SMALL_STATE(6343)] = 197861,
  [SMALL_STATE(6344)] = 197878,
  [SMALL_STATE(6345)] = 197897,
  [SMALL_STATE(6346)] = 197912,
  [SMALL_STATE(6347)] = 197927,
  [SMALL_STATE(6348)] = 197946,
  [SMALL_STATE(6349)] = 197961,
  [SMALL_STATE(6350)] = 197978,
  [SMALL_STATE(6351)] = 197997,
  [SMALL_STATE(6352)] = 198012,
  [SMALL_STATE(6353)] = 198031,
  [SMALL_STATE(6354)] = 198050,
  [SMALL_STATE(6355)] = 198069,
  [SMALL_STATE(6356)] = 198088,
  [SMALL_STATE(6357)] = 198107,
  [SMALL_STATE(6358)] = 198122,
  [SMALL_STATE(6359)] = 198137,
  [SMALL_STATE(6360)] = 198152,
  [SMALL_STATE(6361)] = 198167,
  [SMALL_STATE(6362)] = 198186,
  [SMALL_STATE(6363)] = 198205,
  [SMALL_STATE(6364)] = 198224,
  [SMALL_STATE(6365)] = 198243,
  [SMALL_STATE(6366)] = 198258,
  [SMALL_STATE(6367)] = 198273,
  [SMALL_STATE(6368)] = 198288,
  [SMALL_STATE(6369)] = 198307,
  [SMALL_STATE(6370)] = 198322,
  [SMALL_STATE(6371)] = 198339,
  [SMALL_STATE(6372)] = 198358,
  [SMALL_STATE(6373)] = 198375,
  [SMALL_STATE(6374)] = 198390,
  [SMALL_STATE(6375)] = 198405,
  [SMALL_STATE(6376)] = 198420,
  [SMALL_STATE(6377)] = 198439,
  [SMALL_STATE(6378)] = 198454,
  [SMALL_STATE(6379)] = 198473,
  [SMALL_STATE(6380)] = 198492,
  [SMALL_STATE(6381)] = 198511,
  [SMALL_STATE(6382)] = 198530,
  [SMALL_STATE(6383)] = 198545,
  [SMALL_STATE(6384)] = 198562,
  [SMALL_STATE(6385)] = 198581,
  [SMALL_STATE(6386)] = 198596,
  [SMALL_STATE(6387)] = 198613,
  [SMALL_STATE(6388)] = 198628,
  [SMALL_STATE(6389)] = 198647,
  [SMALL_STATE(6390)] = 198662,
  [SMALL_STATE(6391)] = 198677,
  [SMALL_STATE(6392)] = 198696,
  [SMALL_STATE(6393)] = 198715,
  [SMALL_STATE(6394)] = 198734,
  [SMALL_STATE(6395)] = 198753,
  [SMALL_STATE(6396)] = 198768,
  [SMALL_STATE(6397)] = 198787,
  [SMALL_STATE(6398)] = 198806,
  [SMALL_STATE(6399)] = 198821,
  [SMALL_STATE(6400)] = 198836,
  [SMALL_STATE(6401)] = 198851,
  [SMALL_STATE(6402)] = 198870,
  [SMALL_STATE(6403)] = 198889,
  [SMALL_STATE(6404)] = 198904,
  [SMALL_STATE(6405)] = 198923,
  [SMALL_STATE(6406)] = 198942,
  [SMALL_STATE(6407)] = 198957,
  [SMALL_STATE(6408)] = 198976,
  [SMALL_STATE(6409)] = 198993,
  [SMALL_STATE(6410)] = 199008,
  [SMALL_STATE(6411)] = 199023,
  [SMALL_STATE(6412)] = 199040,
  [SMALL_STATE(6413)] = 199055,
  [SMALL_STATE(6414)] = 199070,
  [SMALL_STATE(6415)] = 199089,
  [SMALL_STATE(6416)] = 199106,
  [SMALL_STATE(6417)] = 199123,
  [SMALL_STATE(6418)] = 199142,
  [SMALL_STATE(6419)] = 199161,
  [SMALL_STATE(6420)] = 199176,
  [SMALL_STATE(6421)] = 199193,
  [SMALL_STATE(6422)] = 199210,
  [SMALL_STATE(6423)] = 199229,
  [SMALL_STATE(6424)] = 199246,
  [SMALL_STATE(6425)] = 199261,
  [SMALL_STATE(6426)] = 199278,
  [SMALL_STATE(6427)] = 199295,
  [SMALL_STATE(6428)] = 199312,
  [SMALL_STATE(6429)] = 199327,
  [SMALL_STATE(6430)] = 199344,
  [SMALL_STATE(6431)] = 199359,
  [SMALL_STATE(6432)] = 199376,
  [SMALL_STATE(6433)] = 199391,
  [SMALL_STATE(6434)] = 199410,
  [SMALL_STATE(6435)] = 199425,
  [SMALL_STATE(6436)] = 199444,
  [SMALL_STATE(6437)] = 199459,
  [SMALL_STATE(6438)] = 199478,
  [SMALL_STATE(6439)] = 199493,
  [SMALL_STATE(6440)] = 199512,
  [SMALL_STATE(6441)] = 199528,
  [SMALL_STATE(6442)] = 199542,
  [SMALL_STATE(6443)] = 199558,
  [SMALL_STATE(6444)] = 199574,
  [SMALL_STATE(6445)] = 199590,
  [SMALL_STATE(6446)] = 199606,
  [SMALL_STATE(6447)] = 199622,
  [SMALL_STATE(6448)] = 199636,
  [SMALL_STATE(6449)] = 199652,
  [SMALL_STATE(6450)] = 199668,
  [SMALL_STATE(6451)] = 199684,
  [SMALL_STATE(6452)] = 199698,
  [SMALL_STATE(6453)] = 199714,
  [SMALL_STATE(6454)] = 199730,
  [SMALL_STATE(6455)] = 199746,
  [SMALL_STATE(6456)] = 199762,
  [SMALL_STATE(6457)] = 199776,
  [SMALL_STATE(6458)] = 199792,
  [SMALL_STATE(6459)] = 199808,
  [SMALL_STATE(6460)] = 199824,
  [SMALL_STATE(6461)] = 199838,
  [SMALL_STATE(6462)] = 199854,
  [SMALL_STATE(6463)] = 199870,
  [SMALL_STATE(6464)] = 199886,
  [SMALL_STATE(6465)] = 199902,
  [SMALL_STATE(6466)] = 199918,
  [SMALL_STATE(6467)] = 199934,
  [SMALL_STATE(6468)] = 199948,
  [SMALL_STATE(6469)] = 199962,
  [SMALL_STATE(6470)] = 199978,
  [SMALL_STATE(6471)] = 199992,
  [SMALL_STATE(6472)] = 200006,
  [SMALL_STATE(6473)] = 200022,
  [SMALL_STATE(6474)] = 200038,
  [SMALL_STATE(6475)] = 200054,
  [SMALL_STATE(6476)] = 200068,
  [SMALL_STATE(6477)] = 200084,
  [SMALL_STATE(6478)] = 200098,
  [SMALL_STATE(6479)] = 200114,
  [SMALL_STATE(6480)] = 200130,
  [SMALL_STATE(6481)] = 200146,
  [SMALL_STATE(6482)] = 200162,
  [SMALL_STATE(6483)] = 200178,
  [SMALL_STATE(6484)] = 200194,
  [SMALL_STATE(6485)] = 200210,
  [SMALL_STATE(6486)] = 200226,
  [SMALL_STATE(6487)] = 200242,
  [SMALL_STATE(6488)] = 200258,
  [SMALL_STATE(6489)] = 200274,
  [SMALL_STATE(6490)] = 200290,
  [SMALL_STATE(6491)] = 200304,
  [SMALL_STATE(6492)] = 200320,
  [SMALL_STATE(6493)] = 200336,
  [SMALL_STATE(6494)] = 200352,
  [SMALL_STATE(6495)] = 200368,
  [SMALL_STATE(6496)] = 200384,
  [SMALL_STATE(6497)] = 200400,
  [SMALL_STATE(6498)] = 200416,
  [SMALL_STATE(6499)] = 200432,
  [SMALL_STATE(6500)] = 200448,
  [SMALL_STATE(6501)] = 200462,
  [SMALL_STATE(6502)] = 200476,
  [SMALL_STATE(6503)] = 200492,
  [SMALL_STATE(6504)] = 200506,
  [SMALL_STATE(6505)] = 200520,
  [SMALL_STATE(6506)] = 200536,
  [SMALL_STATE(6507)] = 200552,
  [SMALL_STATE(6508)] = 200568,
  [SMALL_STATE(6509)] = 200584,
  [SMALL_STATE(6510)] = 200600,
  [SMALL_STATE(6511)] = 200616,
  [SMALL_STATE(6512)] = 200632,
  [SMALL_STATE(6513)] = 200646,
  [SMALL_STATE(6514)] = 200662,
  [SMALL_STATE(6515)] = 200676,
  [SMALL_STATE(6516)] = 200692,
  [SMALL_STATE(6517)] = 200708,
  [SMALL_STATE(6518)] = 200724,
  [SMALL_STATE(6519)] = 200738,
  [SMALL_STATE(6520)] = 200752,
  [SMALL_STATE(6521)] = 200768,
  [SMALL_STATE(6522)] = 200784,
  [SMALL_STATE(6523)] = 200798,
  [SMALL_STATE(6524)] = 200812,
  [SMALL_STATE(6525)] = 200828,
  [SMALL_STATE(6526)] = 200844,
  [SMALL_STATE(6527)] = 200860,
  [SMALL_STATE(6528)] = 200876,
  [SMALL_STATE(6529)] = 200892,
  [SMALL_STATE(6530)] = 200908,
  [SMALL_STATE(6531)] = 200924,
  [SMALL_STATE(6532)] = 200938,
  [SMALL_STATE(6533)] = 200952,
  [SMALL_STATE(6534)] = 200968,
  [SMALL_STATE(6535)] = 200984,
  [SMALL_STATE(6536)] = 201000,
  [SMALL_STATE(6537)] = 201016,
  [SMALL_STATE(6538)] = 201030,
  [SMALL_STATE(6539)] = 201046,
  [SMALL_STATE(6540)] = 201062,
  [SMALL_STATE(6541)] = 201078,
  [SMALL_STATE(6542)] = 201094,
  [SMALL_STATE(6543)] = 201108,
  [SMALL_STATE(6544)] = 201124,
  [SMALL_STATE(6545)] = 201140,
  [SMALL_STATE(6546)] = 201156,
  [SMALL_STATE(6547)] = 201172,
  [SMALL_STATE(6548)] = 201188,
  [SMALL_STATE(6549)] = 201204,
  [SMALL_STATE(6550)] = 201220,
  [SMALL_STATE(6551)] = 201234,
  [SMALL_STATE(6552)] = 201248,
  [SMALL_STATE(6553)] = 201264,
  [SMALL_STATE(6554)] = 201278,
  [SMALL_STATE(6555)] = 201294,
  [SMALL_STATE(6556)] = 201310,
  [SMALL_STATE(6557)] = 201326,
  [SMALL_STATE(6558)] = 201342,
  [SMALL_STATE(6559)] = 201358,
  [SMALL_STATE(6560)] = 201372,
  [SMALL_STATE(6561)] = 201386,
  [SMALL_STATE(6562)] = 201400,
  [SMALL_STATE(6563)] = 201414,
  [SMALL_STATE(6564)] = 201428,
  [SMALL_STATE(6565)] = 201442,
  [SMALL_STATE(6566)] = 201458,
  [SMALL_STATE(6567)] = 201474,
  [SMALL_STATE(6568)] = 201490,
  [SMALL_STATE(6569)] = 201506,
  [SMALL_STATE(6570)] = 201522,
  [SMALL_STATE(6571)] = 201536,
  [SMALL_STATE(6572)] = 201550,
  [SMALL_STATE(6573)] = 201566,
  [SMALL_STATE(6574)] = 201580,
  [SMALL_STATE(6575)] = 201594,
  [SMALL_STATE(6576)] = 201608,
  [SMALL_STATE(6577)] = 201622,
  [SMALL_STATE(6578)] = 201636,
  [SMALL_STATE(6579)] = 201650,
  [SMALL_STATE(6580)] = 201664,
  [SMALL_STATE(6581)] = 201678,
  [SMALL_STATE(6582)] = 201692,
  [SMALL_STATE(6583)] = 201706,
  [SMALL_STATE(6584)] = 201720,
  [SMALL_STATE(6585)] = 201736,
  [SMALL_STATE(6586)] = 201750,
  [SMALL_STATE(6587)] = 201766,
  [SMALL_STATE(6588)] = 201782,
  [SMALL_STATE(6589)] = 201798,
  [SMALL_STATE(6590)] = 201812,
  [SMALL_STATE(6591)] = 201828,
  [SMALL_STATE(6592)] = 201842,
  [SMALL_STATE(6593)] = 201858,
  [SMALL_STATE(6594)] = 201872,
  [SMALL_STATE(6595)] = 201888,
  [SMALL_STATE(6596)] = 201902,
  [SMALL_STATE(6597)] = 201918,
  [SMALL_STATE(6598)] = 201932,
  [SMALL_STATE(6599)] = 201948,
  [SMALL_STATE(6600)] = 201964,
  [SMALL_STATE(6601)] = 201980,
  [SMALL_STATE(6602)] = 201996,
  [SMALL_STATE(6603)] = 202012,
  [SMALL_STATE(6604)] = 202028,
  [SMALL_STATE(6605)] = 202044,
  [SMALL_STATE(6606)] = 202058,
  [SMALL_STATE(6607)] = 202072,
  [SMALL_STATE(6608)] = 202088,
  [SMALL_STATE(6609)] = 202102,
  [SMALL_STATE(6610)] = 202116,
  [SMALL_STATE(6611)] = 202132,
  [SMALL_STATE(6612)] = 202146,
  [SMALL_STATE(6613)] = 202160,
  [SMALL_STATE(6614)] = 202174,
  [SMALL_STATE(6615)] = 202190,
  [SMALL_STATE(6616)] = 202204,
  [SMALL_STATE(6617)] = 202218,
  [SMALL_STATE(6618)] = 202234,
  [SMALL_STATE(6619)] = 202250,
  [SMALL_STATE(6620)] = 202266,
  [SMALL_STATE(6621)] = 202282,
  [SMALL_STATE(6622)] = 202298,
  [SMALL_STATE(6623)] = 202314,
  [SMALL_STATE(6624)] = 202330,
  [SMALL_STATE(6625)] = 202344,
  [SMALL_STATE(6626)] = 202358,
  [SMALL_STATE(6627)] = 202374,
  [SMALL_STATE(6628)] = 202390,
  [SMALL_STATE(6629)] = 202404,
  [SMALL_STATE(6630)] = 202420,
  [SMALL_STATE(6631)] = 202436,
  [SMALL_STATE(6632)] = 202452,
  [SMALL_STATE(6633)] = 202468,
  [SMALL_STATE(6634)] = 202482,
  [SMALL_STATE(6635)] = 202498,
  [SMALL_STATE(6636)] = 202512,
  [SMALL_STATE(6637)] = 202526,
  [SMALL_STATE(6638)] = 202542,
  [SMALL_STATE(6639)] = 202556,
  [SMALL_STATE(6640)] = 202570,
  [SMALL_STATE(6641)] = 202584,
  [SMALL_STATE(6642)] = 202600,
  [SMALL_STATE(6643)] = 202616,
  [SMALL_STATE(6644)] = 202632,
  [SMALL_STATE(6645)] = 202648,
  [SMALL_STATE(6646)] = 202664,
  [SMALL_STATE(6647)] = 202680,
  [SMALL_STATE(6648)] = 202696,
  [SMALL_STATE(6649)] = 202712,
  [SMALL_STATE(6650)] = 202728,
  [SMALL_STATE(6651)] = 202744,
  [SMALL_STATE(6652)] = 202760,
  [SMALL_STATE(6653)] = 202776,
  [SMALL_STATE(6654)] = 202790,
  [SMALL_STATE(6655)] = 202806,
  [SMALL_STATE(6656)] = 202822,
  [SMALL_STATE(6657)] = 202838,
  [SMALL_STATE(6658)] = 202854,
  [SMALL_STATE(6659)] = 202870,
  [SMALL_STATE(6660)] = 202886,
  [SMALL_STATE(6661)] = 202902,
  [SMALL_STATE(6662)] = 202916,
  [SMALL_STATE(6663)] = 202930,
  [SMALL_STATE(6664)] = 202946,
  [SMALL_STATE(6665)] = 202960,
  [SMALL_STATE(6666)] = 202974,
  [SMALL_STATE(6667)] = 202990,
  [SMALL_STATE(6668)] = 203006,
  [SMALL_STATE(6669)] = 203020,
  [SMALL_STATE(6670)] = 203034,
  [SMALL_STATE(6671)] = 203048,
  [SMALL_STATE(6672)] = 203064,
  [SMALL_STATE(6673)] = 203080,
  [SMALL_STATE(6674)] = 203096,
  [SMALL_STATE(6675)] = 203112,
  [SMALL_STATE(6676)] = 203128,
  [SMALL_STATE(6677)] = 203142,
  [SMALL_STATE(6678)] = 203158,
  [SMALL_STATE(6679)] = 203174,
  [SMALL_STATE(6680)] = 203188,
  [SMALL_STATE(6681)] = 203204,
  [SMALL_STATE(6682)] = 203220,
  [SMALL_STATE(6683)] = 203234,
  [SMALL_STATE(6684)] = 203250,
  [SMALL_STATE(6685)] = 203266,
  [SMALL_STATE(6686)] = 203282,
  [SMALL_STATE(6687)] = 203296,
  [SMALL_STATE(6688)] = 203310,
  [SMALL_STATE(6689)] = 203324,
  [SMALL_STATE(6690)] = 203340,
  [SMALL_STATE(6691)] = 203356,
  [SMALL_STATE(6692)] = 203372,
  [SMALL_STATE(6693)] = 203388,
  [SMALL_STATE(6694)] = 203404,
  [SMALL_STATE(6695)] = 203420,
  [SMALL_STATE(6696)] = 203434,
  [SMALL_STATE(6697)] = 203448,
  [SMALL_STATE(6698)] = 203464,
  [SMALL_STATE(6699)] = 203480,
  [SMALL_STATE(6700)] = 203496,
  [SMALL_STATE(6701)] = 203512,
  [SMALL_STATE(6702)] = 203526,
  [SMALL_STATE(6703)] = 203542,
  [SMALL_STATE(6704)] = 203558,
  [SMALL_STATE(6705)] = 203572,
  [SMALL_STATE(6706)] = 203586,
  [SMALL_STATE(6707)] = 203600,
  [SMALL_STATE(6708)] = 203614,
  [SMALL_STATE(6709)] = 203630,
  [SMALL_STATE(6710)] = 203646,
  [SMALL_STATE(6711)] = 203660,
  [SMALL_STATE(6712)] = 203674,
  [SMALL_STATE(6713)] = 203690,
  [SMALL_STATE(6714)] = 203704,
  [SMALL_STATE(6715)] = 203720,
  [SMALL_STATE(6716)] = 203736,
  [SMALL_STATE(6717)] = 203750,
  [SMALL_STATE(6718)] = 203764,
  [SMALL_STATE(6719)] = 203778,
  [SMALL_STATE(6720)] = 203792,
  [SMALL_STATE(6721)] = 203806,
  [SMALL_STATE(6722)] = 203820,
  [SMALL_STATE(6723)] = 203836,
  [SMALL_STATE(6724)] = 203852,
  [SMALL_STATE(6725)] = 203868,
  [SMALL_STATE(6726)] = 203884,
  [SMALL_STATE(6727)] = 203898,
  [SMALL_STATE(6728)] = 203914,
  [SMALL_STATE(6729)] = 203930,
  [SMALL_STATE(6730)] = 203944,
  [SMALL_STATE(6731)] = 203960,
  [SMALL_STATE(6732)] = 203976,
  [SMALL_STATE(6733)] = 203990,
  [SMALL_STATE(6734)] = 204006,
  [SMALL_STATE(6735)] = 204020,
  [SMALL_STATE(6736)] = 204034,
  [SMALL_STATE(6737)] = 204050,
  [SMALL_STATE(6738)] = 204066,
  [SMALL_STATE(6739)] = 204082,
  [SMALL_STATE(6740)] = 204096,
  [SMALL_STATE(6741)] = 204112,
  [SMALL_STATE(6742)] = 204126,
  [SMALL_STATE(6743)] = 204142,
  [SMALL_STATE(6744)] = 204156,
  [SMALL_STATE(6745)] = 204172,
  [SMALL_STATE(6746)] = 204188,
  [SMALL_STATE(6747)] = 204204,
  [SMALL_STATE(6748)] = 204218,
  [SMALL_STATE(6749)] = 204234,
  [SMALL_STATE(6750)] = 204248,
  [SMALL_STATE(6751)] = 204262,
  [SMALL_STATE(6752)] = 204276,
  [SMALL_STATE(6753)] = 204290,
  [SMALL_STATE(6754)] = 204306,
  [SMALL_STATE(6755)] = 204320,
  [SMALL_STATE(6756)] = 204336,
  [SMALL_STATE(6757)] = 204352,
  [SMALL_STATE(6758)] = 204368,
  [SMALL_STATE(6759)] = 204382,
  [SMALL_STATE(6760)] = 204396,
  [SMALL_STATE(6761)] = 204410,
  [SMALL_STATE(6762)] = 204424,
  [SMALL_STATE(6763)] = 204440,
  [SMALL_STATE(6764)] = 204454,
  [SMALL_STATE(6765)] = 204470,
  [SMALL_STATE(6766)] = 204484,
  [SMALL_STATE(6767)] = 204498,
  [SMALL_STATE(6768)] = 204514,
  [SMALL_STATE(6769)] = 204530,
  [SMALL_STATE(6770)] = 204546,
  [SMALL_STATE(6771)] = 204562,
  [SMALL_STATE(6772)] = 204578,
  [SMALL_STATE(6773)] = 204594,
  [SMALL_STATE(6774)] = 204610,
  [SMALL_STATE(6775)] = 204626,
  [SMALL_STATE(6776)] = 204642,
  [SMALL_STATE(6777)] = 204658,
  [SMALL_STATE(6778)] = 204674,
  [SMALL_STATE(6779)] = 204690,
  [SMALL_STATE(6780)] = 204706,
  [SMALL_STATE(6781)] = 204722,
  [SMALL_STATE(6782)] = 204738,
  [SMALL_STATE(6783)] = 204752,
  [SMALL_STATE(6784)] = 204768,
  [SMALL_STATE(6785)] = 204782,
  [SMALL_STATE(6786)] = 204798,
  [SMALL_STATE(6787)] = 204814,
  [SMALL_STATE(6788)] = 204828,
  [SMALL_STATE(6789)] = 204844,
  [SMALL_STATE(6790)] = 204858,
  [SMALL_STATE(6791)] = 204872,
  [SMALL_STATE(6792)] = 204888,
  [SMALL_STATE(6793)] = 204904,
  [SMALL_STATE(6794)] = 204920,
  [SMALL_STATE(6795)] = 204934,
  [SMALL_STATE(6796)] = 204948,
  [SMALL_STATE(6797)] = 204964,
  [SMALL_STATE(6798)] = 204980,
  [SMALL_STATE(6799)] = 204996,
  [SMALL_STATE(6800)] = 205012,
  [SMALL_STATE(6801)] = 205028,
  [SMALL_STATE(6802)] = 205044,
  [SMALL_STATE(6803)] = 205058,
  [SMALL_STATE(6804)] = 205074,
  [SMALL_STATE(6805)] = 205090,
  [SMALL_STATE(6806)] = 205106,
  [SMALL_STATE(6807)] = 205120,
  [SMALL_STATE(6808)] = 205136,
  [SMALL_STATE(6809)] = 205152,
  [SMALL_STATE(6810)] = 205168,
  [SMALL_STATE(6811)] = 205184,
  [SMALL_STATE(6812)] = 205200,
  [SMALL_STATE(6813)] = 205216,
  [SMALL_STATE(6814)] = 205232,
  [SMALL_STATE(6815)] = 205248,
  [SMALL_STATE(6816)] = 205264,
  [SMALL_STATE(6817)] = 205278,
  [SMALL_STATE(6818)] = 205292,
  [SMALL_STATE(6819)] = 205308,
  [SMALL_STATE(6820)] = 205322,
  [SMALL_STATE(6821)] = 205338,
  [SMALL_STATE(6822)] = 205352,
  [SMALL_STATE(6823)] = 205366,
  [SMALL_STATE(6824)] = 205382,
  [SMALL_STATE(6825)] = 205398,
  [SMALL_STATE(6826)] = 205414,
  [SMALL_STATE(6827)] = 205428,
  [SMALL_STATE(6828)] = 205444,
  [SMALL_STATE(6829)] = 205458,
  [SMALL_STATE(6830)] = 205474,
  [SMALL_STATE(6831)] = 205488,
  [SMALL_STATE(6832)] = 205502,
  [SMALL_STATE(6833)] = 205516,
  [SMALL_STATE(6834)] = 205532,
  [SMALL_STATE(6835)] = 205546,
  [SMALL_STATE(6836)] = 205562,
  [SMALL_STATE(6837)] = 205578,
  [SMALL_STATE(6838)] = 205592,
  [SMALL_STATE(6839)] = 205606,
  [SMALL_STATE(6840)] = 205622,
  [SMALL_STATE(6841)] = 205638,
  [SMALL_STATE(6842)] = 205654,
  [SMALL_STATE(6843)] = 205668,
  [SMALL_STATE(6844)] = 205684,
  [SMALL_STATE(6845)] = 205700,
  [SMALL_STATE(6846)] = 205716,
  [SMALL_STATE(6847)] = 205732,
  [SMALL_STATE(6848)] = 205746,
  [SMALL_STATE(6849)] = 205762,
  [SMALL_STATE(6850)] = 205776,
  [SMALL_STATE(6851)] = 205792,
  [SMALL_STATE(6852)] = 205808,
  [SMALL_STATE(6853)] = 205824,
  [SMALL_STATE(6854)] = 205838,
  [SMALL_STATE(6855)] = 205854,
  [SMALL_STATE(6856)] = 205870,
  [SMALL_STATE(6857)] = 205884,
  [SMALL_STATE(6858)] = 205900,
  [SMALL_STATE(6859)] = 205914,
  [SMALL_STATE(6860)] = 205928,
  [SMALL_STATE(6861)] = 205942,
  [SMALL_STATE(6862)] = 205958,
  [SMALL_STATE(6863)] = 205974,
  [SMALL_STATE(6864)] = 205990,
  [SMALL_STATE(6865)] = 206006,
  [SMALL_STATE(6866)] = 206022,
  [SMALL_STATE(6867)] = 206036,
  [SMALL_STATE(6868)] = 206052,
  [SMALL_STATE(6869)] = 206068,
  [SMALL_STATE(6870)] = 206082,
  [SMALL_STATE(6871)] = 206096,
  [SMALL_STATE(6872)] = 206112,
  [SMALL_STATE(6873)] = 206126,
  [SMALL_STATE(6874)] = 206140,
  [SMALL_STATE(6875)] = 206154,
  [SMALL_STATE(6876)] = 206168,
  [SMALL_STATE(6877)] = 206184,
  [SMALL_STATE(6878)] = 206198,
  [SMALL_STATE(6879)] = 206214,
  [SMALL_STATE(6880)] = 206228,
  [SMALL_STATE(6881)] = 206244,
  [SMALL_STATE(6882)] = 206260,
  [SMALL_STATE(6883)] = 206274,
  [SMALL_STATE(6884)] = 206288,
  [SMALL_STATE(6885)] = 206302,
  [SMALL_STATE(6886)] = 206318,
  [SMALL_STATE(6887)] = 206334,
  [SMALL_STATE(6888)] = 206348,
  [SMALL_STATE(6889)] = 206364,
  [SMALL_STATE(6890)] = 206378,
  [SMALL_STATE(6891)] = 206392,
  [SMALL_STATE(6892)] = 206406,
  [SMALL_STATE(6893)] = 206422,
  [SMALL_STATE(6894)] = 206436,
  [SMALL_STATE(6895)] = 206452,
  [SMALL_STATE(6896)] = 206466,
  [SMALL_STATE(6897)] = 206480,
  [SMALL_STATE(6898)] = 206494,
  [SMALL_STATE(6899)] = 206508,
  [SMALL_STATE(6900)] = 206524,
  [SMALL_STATE(6901)] = 206540,
  [SMALL_STATE(6902)] = 206556,
  [SMALL_STATE(6903)] = 206570,
  [SMALL_STATE(6904)] = 206586,
  [SMALL_STATE(6905)] = 206602,
  [SMALL_STATE(6906)] = 206618,
  [SMALL_STATE(6907)] = 206632,
  [SMALL_STATE(6908)] = 206646,
  [SMALL_STATE(6909)] = 206662,
  [SMALL_STATE(6910)] = 206678,
  [SMALL_STATE(6911)] = 206692,
  [SMALL_STATE(6912)] = 206706,
  [SMALL_STATE(6913)] = 206720,
  [SMALL_STATE(6914)] = 206734,
  [SMALL_STATE(6915)] = 206750,
  [SMALL_STATE(6916)] = 206764,
  [SMALL_STATE(6917)] = 206780,
  [SMALL_STATE(6918)] = 206796,
  [SMALL_STATE(6919)] = 206812,
  [SMALL_STATE(6920)] = 206828,
  [SMALL_STATE(6921)] = 206842,
  [SMALL_STATE(6922)] = 206858,
  [SMALL_STATE(6923)] = 206874,
  [SMALL_STATE(6924)] = 206888,
  [SMALL_STATE(6925)] = 206902,
  [SMALL_STATE(6926)] = 206916,
  [SMALL_STATE(6927)] = 206930,
  [SMALL_STATE(6928)] = 206946,
  [SMALL_STATE(6929)] = 206962,
  [SMALL_STATE(6930)] = 206976,
  [SMALL_STATE(6931)] = 206992,
  [SMALL_STATE(6932)] = 207008,
  [SMALL_STATE(6933)] = 207024,
  [SMALL_STATE(6934)] = 207038,
  [SMALL_STATE(6935)] = 207052,
  [SMALL_STATE(6936)] = 207066,
  [SMALL_STATE(6937)] = 207080,
  [SMALL_STATE(6938)] = 207094,
  [SMALL_STATE(6939)] = 207108,
  [SMALL_STATE(6940)] = 207122,
  [SMALL_STATE(6941)] = 207138,
  [SMALL_STATE(6942)] = 207154,
  [SMALL_STATE(6943)] = 207170,
  [SMALL_STATE(6944)] = 207186,
  [SMALL_STATE(6945)] = 207202,
  [SMALL_STATE(6946)] = 207216,
  [SMALL_STATE(6947)] = 207230,
  [SMALL_STATE(6948)] = 207244,
  [SMALL_STATE(6949)] = 207258,
  [SMALL_STATE(6950)] = 207272,
  [SMALL_STATE(6951)] = 207286,
  [SMALL_STATE(6952)] = 207302,
  [SMALL_STATE(6953)] = 207318,
  [SMALL_STATE(6954)] = 207332,
  [SMALL_STATE(6955)] = 207346,
  [SMALL_STATE(6956)] = 207360,
  [SMALL_STATE(6957)] = 207374,
  [SMALL_STATE(6958)] = 207388,
  [SMALL_STATE(6959)] = 207404,
  [SMALL_STATE(6960)] = 207418,
  [SMALL_STATE(6961)] = 207432,
  [SMALL_STATE(6962)] = 207448,
  [SMALL_STATE(6963)] = 207464,
  [SMALL_STATE(6964)] = 207478,
  [SMALL_STATE(6965)] = 207492,
  [SMALL_STATE(6966)] = 207506,
  [SMALL_STATE(6967)] = 207520,
  [SMALL_STATE(6968)] = 207534,
  [SMALL_STATE(6969)] = 207548,
  [SMALL_STATE(6970)] = 207562,
  [SMALL_STATE(6971)] = 207578,
  [SMALL_STATE(6972)] = 207592,
  [SMALL_STATE(6973)] = 207608,
  [SMALL_STATE(6974)] = 207624,
  [SMALL_STATE(6975)] = 207638,
  [SMALL_STATE(6976)] = 207652,
  [SMALL_STATE(6977)] = 207668,
  [SMALL_STATE(6978)] = 207682,
  [SMALL_STATE(6979)] = 207698,
  [SMALL_STATE(6980)] = 207712,
  [SMALL_STATE(6981)] = 207726,
  [SMALL_STATE(6982)] = 207742,
  [SMALL_STATE(6983)] = 207758,
  [SMALL_STATE(6984)] = 207772,
  [SMALL_STATE(6985)] = 207788,
  [SMALL_STATE(6986)] = 207802,
  [SMALL_STATE(6987)] = 207818,
  [SMALL_STATE(6988)] = 207832,
  [SMALL_STATE(6989)] = 207846,
  [SMALL_STATE(6990)] = 207860,
  [SMALL_STATE(6991)] = 207876,
  [SMALL_STATE(6992)] = 207890,
  [SMALL_STATE(6993)] = 207906,
  [SMALL_STATE(6994)] = 207922,
  [SMALL_STATE(6995)] = 207936,
  [SMALL_STATE(6996)] = 207950,
  [SMALL_STATE(6997)] = 207966,
  [SMALL_STATE(6998)] = 207980,
  [SMALL_STATE(6999)] = 207994,
  [SMALL_STATE(7000)] = 208008,
  [SMALL_STATE(7001)] = 208022,
  [SMALL_STATE(7002)] = 208038,
  [SMALL_STATE(7003)] = 208054,
  [SMALL_STATE(7004)] = 208070,
  [SMALL_STATE(7005)] = 208084,
  [SMALL_STATE(7006)] = 208098,
  [SMALL_STATE(7007)] = 208114,
  [SMALL_STATE(7008)] = 208128,
  [SMALL_STATE(7009)] = 208144,
  [SMALL_STATE(7010)] = 208160,
  [SMALL_STATE(7011)] = 208174,
  [SMALL_STATE(7012)] = 208190,
  [SMALL_STATE(7013)] = 208206,
  [SMALL_STATE(7014)] = 208220,
  [SMALL_STATE(7015)] = 208236,
  [SMALL_STATE(7016)] = 208250,
  [SMALL_STATE(7017)] = 208266,
  [SMALL_STATE(7018)] = 208280,
  [SMALL_STATE(7019)] = 208296,
  [SMALL_STATE(7020)] = 208312,
  [SMALL_STATE(7021)] = 208328,
  [SMALL_STATE(7022)] = 208342,
  [SMALL_STATE(7023)] = 208356,
  [SMALL_STATE(7024)] = 208370,
  [SMALL_STATE(7025)] = 208386,
  [SMALL_STATE(7026)] = 208402,
  [SMALL_STATE(7027)] = 208418,
  [SMALL_STATE(7028)] = 208434,
  [SMALL_STATE(7029)] = 208450,
  [SMALL_STATE(7030)] = 208464,
  [SMALL_STATE(7031)] = 208480,
  [SMALL_STATE(7032)] = 208496,
  [SMALL_STATE(7033)] = 208512,
  [SMALL_STATE(7034)] = 208526,
  [SMALL_STATE(7035)] = 208540,
  [SMALL_STATE(7036)] = 208554,
  [SMALL_STATE(7037)] = 208568,
  [SMALL_STATE(7038)] = 208582,
  [SMALL_STATE(7039)] = 208596,
  [SMALL_STATE(7040)] = 208610,
  [SMALL_STATE(7041)] = 208624,
  [SMALL_STATE(7042)] = 208638,
  [SMALL_STATE(7043)] = 208654,
  [SMALL_STATE(7044)] = 208668,
  [SMALL_STATE(7045)] = 208682,
  [SMALL_STATE(7046)] = 208696,
  [SMALL_STATE(7047)] = 208712,
  [SMALL_STATE(7048)] = 208728,
  [SMALL_STATE(7049)] = 208744,
  [SMALL_STATE(7050)] = 208758,
  [SMALL_STATE(7051)] = 208772,
  [SMALL_STATE(7052)] = 208788,
  [SMALL_STATE(7053)] = 208802,
  [SMALL_STATE(7054)] = 208816,
  [SMALL_STATE(7055)] = 208832,
  [SMALL_STATE(7056)] = 208846,
  [SMALL_STATE(7057)] = 208862,
  [SMALL_STATE(7058)] = 208878,
  [SMALL_STATE(7059)] = 208894,
  [SMALL_STATE(7060)] = 208910,
  [SMALL_STATE(7061)] = 208926,
  [SMALL_STATE(7062)] = 208942,
  [SMALL_STATE(7063)] = 208958,
  [SMALL_STATE(7064)] = 208974,
  [SMALL_STATE(7065)] = 208990,
  [SMALL_STATE(7066)] = 209006,
  [SMALL_STATE(7067)] = 209020,
  [SMALL_STATE(7068)] = 209034,
  [SMALL_STATE(7069)] = 209050,
  [SMALL_STATE(7070)] = 209066,
  [SMALL_STATE(7071)] = 209080,
  [SMALL_STATE(7072)] = 209096,
  [SMALL_STATE(7073)] = 209112,
  [SMALL_STATE(7074)] = 209128,
  [SMALL_STATE(7075)] = 209144,
  [SMALL_STATE(7076)] = 209160,
  [SMALL_STATE(7077)] = 209176,
  [SMALL_STATE(7078)] = 209190,
  [SMALL_STATE(7079)] = 209206,
  [SMALL_STATE(7080)] = 209220,
  [SMALL_STATE(7081)] = 209234,
  [SMALL_STATE(7082)] = 209248,
  [SMALL_STATE(7083)] = 209264,
  [SMALL_STATE(7084)] = 209280,
  [SMALL_STATE(7085)] = 209294,
  [SMALL_STATE(7086)] = 209308,
  [SMALL_STATE(7087)] = 209322,
  [SMALL_STATE(7088)] = 209338,
  [SMALL_STATE(7089)] = 209354,
  [SMALL_STATE(7090)] = 209370,
  [SMALL_STATE(7091)] = 209384,
  [SMALL_STATE(7092)] = 209400,
  [SMALL_STATE(7093)] = 209416,
  [SMALL_STATE(7094)] = 209430,
  [SMALL_STATE(7095)] = 209446,
  [SMALL_STATE(7096)] = 209462,
  [SMALL_STATE(7097)] = 209478,
  [SMALL_STATE(7098)] = 209494,
  [SMALL_STATE(7099)] = 209510,
  [SMALL_STATE(7100)] = 209524,
  [SMALL_STATE(7101)] = 209538,
  [SMALL_STATE(7102)] = 209554,
  [SMALL_STATE(7103)] = 209568,
  [SMALL_STATE(7104)] = 209584,
  [SMALL_STATE(7105)] = 209600,
  [SMALL_STATE(7106)] = 209614,
  [SMALL_STATE(7107)] = 209628,
  [SMALL_STATE(7108)] = 209642,
  [SMALL_STATE(7109)] = 209658,
  [SMALL_STATE(7110)] = 209674,
  [SMALL_STATE(7111)] = 209690,
  [SMALL_STATE(7112)] = 209706,
  [SMALL_STATE(7113)] = 209722,
  [SMALL_STATE(7114)] = 209736,
  [SMALL_STATE(7115)] = 209752,
  [SMALL_STATE(7116)] = 209768,
  [SMALL_STATE(7117)] = 209784,
  [SMALL_STATE(7118)] = 209800,
  [SMALL_STATE(7119)] = 209816,
  [SMALL_STATE(7120)] = 209832,
  [SMALL_STATE(7121)] = 209848,
  [SMALL_STATE(7122)] = 209864,
  [SMALL_STATE(7123)] = 209877,
  [SMALL_STATE(7124)] = 209890,
  [SMALL_STATE(7125)] = 209903,
  [SMALL_STATE(7126)] = 209916,
  [SMALL_STATE(7127)] = 209929,
  [SMALL_STATE(7128)] = 209942,
  [SMALL_STATE(7129)] = 209955,
  [SMALL_STATE(7130)] = 209968,
  [SMALL_STATE(7131)] = 209981,
  [SMALL_STATE(7132)] = 209994,
  [SMALL_STATE(7133)] = 210007,
  [SMALL_STATE(7134)] = 210020,
  [SMALL_STATE(7135)] = 210033,
  [SMALL_STATE(7136)] = 210046,
  [SMALL_STATE(7137)] = 210059,
  [SMALL_STATE(7138)] = 210072,
  [SMALL_STATE(7139)] = 210085,
  [SMALL_STATE(7140)] = 210098,
  [SMALL_STATE(7141)] = 210111,
  [SMALL_STATE(7142)] = 210124,
  [SMALL_STATE(7143)] = 210137,
  [SMALL_STATE(7144)] = 210150,
  [SMALL_STATE(7145)] = 210163,
  [SMALL_STATE(7146)] = 210176,
  [SMALL_STATE(7147)] = 210189,
  [SMALL_STATE(7148)] = 210202,
  [SMALL_STATE(7149)] = 210215,
  [SMALL_STATE(7150)] = 210228,
  [SMALL_STATE(7151)] = 210241,
  [SMALL_STATE(7152)] = 210254,
  [SMALL_STATE(7153)] = 210267,
  [SMALL_STATE(7154)] = 210280,
  [SMALL_STATE(7155)] = 210293,
  [SMALL_STATE(7156)] = 210306,
  [SMALL_STATE(7157)] = 210319,
  [SMALL_STATE(7158)] = 210332,
  [SMALL_STATE(7159)] = 210345,
  [SMALL_STATE(7160)] = 210358,
  [SMALL_STATE(7161)] = 210371,
  [SMALL_STATE(7162)] = 210384,
  [SMALL_STATE(7163)] = 210397,
  [SMALL_STATE(7164)] = 210410,
  [SMALL_STATE(7165)] = 210423,
  [SMALL_STATE(7166)] = 210436,
  [SMALL_STATE(7167)] = 210449,
  [SMALL_STATE(7168)] = 210462,
  [SMALL_STATE(7169)] = 210475,
  [SMALL_STATE(7170)] = 210488,
  [SMALL_STATE(7171)] = 210501,
  [SMALL_STATE(7172)] = 210514,
  [SMALL_STATE(7173)] = 210527,
  [SMALL_STATE(7174)] = 210540,
  [SMALL_STATE(7175)] = 210553,
  [SMALL_STATE(7176)] = 210566,
  [SMALL_STATE(7177)] = 210579,
  [SMALL_STATE(7178)] = 210592,
  [SMALL_STATE(7179)] = 210605,
  [SMALL_STATE(7180)] = 210618,
  [SMALL_STATE(7181)] = 210631,
  [SMALL_STATE(7182)] = 210644,
  [SMALL_STATE(7183)] = 210657,
  [SMALL_STATE(7184)] = 210670,
  [SMALL_STATE(7185)] = 210683,
  [SMALL_STATE(7186)] = 210696,
  [SMALL_STATE(7187)] = 210709,
  [SMALL_STATE(7188)] = 210722,
  [SMALL_STATE(7189)] = 210735,
  [SMALL_STATE(7190)] = 210748,
  [SMALL_STATE(7191)] = 210761,
  [SMALL_STATE(7192)] = 210774,
  [SMALL_STATE(7193)] = 210787,
  [SMALL_STATE(7194)] = 210800,
  [SMALL_STATE(7195)] = 210813,
  [SMALL_STATE(7196)] = 210826,
  [SMALL_STATE(7197)] = 210839,
  [SMALL_STATE(7198)] = 210852,
  [SMALL_STATE(7199)] = 210865,
  [SMALL_STATE(7200)] = 210878,
  [SMALL_STATE(7201)] = 210891,
  [SMALL_STATE(7202)] = 210904,
  [SMALL_STATE(7203)] = 210917,
  [SMALL_STATE(7204)] = 210930,
  [SMALL_STATE(7205)] = 210943,
  [SMALL_STATE(7206)] = 210956,
  [SMALL_STATE(7207)] = 210969,
  [SMALL_STATE(7208)] = 210982,
  [SMALL_STATE(7209)] = 210995,
  [SMALL_STATE(7210)] = 211008,
  [SMALL_STATE(7211)] = 211021,
  [SMALL_STATE(7212)] = 211034,
  [SMALL_STATE(7213)] = 211047,
  [SMALL_STATE(7214)] = 211060,
  [SMALL_STATE(7215)] = 211073,
  [SMALL_STATE(7216)] = 211086,
  [SMALL_STATE(7217)] = 211099,
  [SMALL_STATE(7218)] = 211112,
  [SMALL_STATE(7219)] = 211125,
  [SMALL_STATE(7220)] = 211138,
  [SMALL_STATE(7221)] = 211151,
  [SMALL_STATE(7222)] = 211164,
  [SMALL_STATE(7223)] = 211177,
  [SMALL_STATE(7224)] = 211190,
  [SMALL_STATE(7225)] = 211203,
  [SMALL_STATE(7226)] = 211216,
  [SMALL_STATE(7227)] = 211229,
  [SMALL_STATE(7228)] = 211242,
  [SMALL_STATE(7229)] = 211255,
  [SMALL_STATE(7230)] = 211268,
  [SMALL_STATE(7231)] = 211281,
  [SMALL_STATE(7232)] = 211294,
  [SMALL_STATE(7233)] = 211307,
  [SMALL_STATE(7234)] = 211320,
  [SMALL_STATE(7235)] = 211333,
  [SMALL_STATE(7236)] = 211346,
  [SMALL_STATE(7237)] = 211359,
  [SMALL_STATE(7238)] = 211372,
  [SMALL_STATE(7239)] = 211385,
  [SMALL_STATE(7240)] = 211398,
  [SMALL_STATE(7241)] = 211411,
  [SMALL_STATE(7242)] = 211424,
  [SMALL_STATE(7243)] = 211437,
  [SMALL_STATE(7244)] = 211450,
  [SMALL_STATE(7245)] = 211463,
  [SMALL_STATE(7246)] = 211476,
  [SMALL_STATE(7247)] = 211489,
  [SMALL_STATE(7248)] = 211502,
  [SMALL_STATE(7249)] = 211515,
  [SMALL_STATE(7250)] = 211528,
  [SMALL_STATE(7251)] = 211541,
  [SMALL_STATE(7252)] = 211554,
  [SMALL_STATE(7253)] = 211567,
  [SMALL_STATE(7254)] = 211580,
  [SMALL_STATE(7255)] = 211593,
  [SMALL_STATE(7256)] = 211606,
  [SMALL_STATE(7257)] = 211619,
  [SMALL_STATE(7258)] = 211632,
  [SMALL_STATE(7259)] = 211645,
  [SMALL_STATE(7260)] = 211658,
  [SMALL_STATE(7261)] = 211671,
  [SMALL_STATE(7262)] = 211684,
  [SMALL_STATE(7263)] = 211697,
  [SMALL_STATE(7264)] = 211710,
  [SMALL_STATE(7265)] = 211723,
  [SMALL_STATE(7266)] = 211736,
  [SMALL_STATE(7267)] = 211749,
  [SMALL_STATE(7268)] = 211762,
  [SMALL_STATE(7269)] = 211775,
  [SMALL_STATE(7270)] = 211788,
  [SMALL_STATE(7271)] = 211801,
  [SMALL_STATE(7272)] = 211814,
  [SMALL_STATE(7273)] = 211827,
  [SMALL_STATE(7274)] = 211840,
  [SMALL_STATE(7275)] = 211853,
  [SMALL_STATE(7276)] = 211866,
  [SMALL_STATE(7277)] = 211879,
  [SMALL_STATE(7278)] = 211892,
  [SMALL_STATE(7279)] = 211905,
  [SMALL_STATE(7280)] = 211918,
  [SMALL_STATE(7281)] = 211931,
  [SMALL_STATE(7282)] = 211944,
  [SMALL_STATE(7283)] = 211957,
  [SMALL_STATE(7284)] = 211970,
  [SMALL_STATE(7285)] = 211983,
  [SMALL_STATE(7286)] = 211996,
  [SMALL_STATE(7287)] = 212009,
  [SMALL_STATE(7288)] = 212022,
  [SMALL_STATE(7289)] = 212035,
  [SMALL_STATE(7290)] = 212048,
  [SMALL_STATE(7291)] = 212061,
  [SMALL_STATE(7292)] = 212074,
  [SMALL_STATE(7293)] = 212087,
  [SMALL_STATE(7294)] = 212100,
  [SMALL_STATE(7295)] = 212113,
  [SMALL_STATE(7296)] = 212126,
  [SMALL_STATE(7297)] = 212139,
  [SMALL_STATE(7298)] = 212152,
  [SMALL_STATE(7299)] = 212165,
  [SMALL_STATE(7300)] = 212178,
  [SMALL_STATE(7301)] = 212191,
  [SMALL_STATE(7302)] = 212204,
  [SMALL_STATE(7303)] = 212217,
  [SMALL_STATE(7304)] = 212230,
  [SMALL_STATE(7305)] = 212243,
  [SMALL_STATE(7306)] = 212256,
  [SMALL_STATE(7307)] = 212269,
  [SMALL_STATE(7308)] = 212282,
  [SMALL_STATE(7309)] = 212295,
  [SMALL_STATE(7310)] = 212308,
  [SMALL_STATE(7311)] = 212321,
  [SMALL_STATE(7312)] = 212334,
  [SMALL_STATE(7313)] = 212347,
  [SMALL_STATE(7314)] = 212360,
  [SMALL_STATE(7315)] = 212373,
  [SMALL_STATE(7316)] = 212386,
  [SMALL_STATE(7317)] = 212399,
  [SMALL_STATE(7318)] = 212412,
  [SMALL_STATE(7319)] = 212425,
  [SMALL_STATE(7320)] = 212438,
  [SMALL_STATE(7321)] = 212451,
  [SMALL_STATE(7322)] = 212464,
  [SMALL_STATE(7323)] = 212477,
  [SMALL_STATE(7324)] = 212490,
  [SMALL_STATE(7325)] = 212503,
  [SMALL_STATE(7326)] = 212516,
  [SMALL_STATE(7327)] = 212529,
  [SMALL_STATE(7328)] = 212542,
  [SMALL_STATE(7329)] = 212555,
  [SMALL_STATE(7330)] = 212568,
  [SMALL_STATE(7331)] = 212581,
  [SMALL_STATE(7332)] = 212594,
  [SMALL_STATE(7333)] = 212607,
  [SMALL_STATE(7334)] = 212620,
  [SMALL_STATE(7335)] = 212633,
  [SMALL_STATE(7336)] = 212646,
  [SMALL_STATE(7337)] = 212659,
  [SMALL_STATE(7338)] = 212672,
  [SMALL_STATE(7339)] = 212685,
  [SMALL_STATE(7340)] = 212698,
  [SMALL_STATE(7341)] = 212711,
  [SMALL_STATE(7342)] = 212724,
  [SMALL_STATE(7343)] = 212737,
  [SMALL_STATE(7344)] = 212750,
  [SMALL_STATE(7345)] = 212763,
  [SMALL_STATE(7346)] = 212776,
  [SMALL_STATE(7347)] = 212789,
  [SMALL_STATE(7348)] = 212802,
  [SMALL_STATE(7349)] = 212815,
  [SMALL_STATE(7350)] = 212828,
  [SMALL_STATE(7351)] = 212841,
  [SMALL_STATE(7352)] = 212854,
  [SMALL_STATE(7353)] = 212867,
  [SMALL_STATE(7354)] = 212880,
  [SMALL_STATE(7355)] = 212893,
  [SMALL_STATE(7356)] = 212906,
  [SMALL_STATE(7357)] = 212919,
  [SMALL_STATE(7358)] = 212932,
  [SMALL_STATE(7359)] = 212945,
  [SMALL_STATE(7360)] = 212958,
  [SMALL_STATE(7361)] = 212971,
  [SMALL_STATE(7362)] = 212984,
  [SMALL_STATE(7363)] = 212997,
  [SMALL_STATE(7364)] = 213010,
  [SMALL_STATE(7365)] = 213023,
  [SMALL_STATE(7366)] = 213036,
  [SMALL_STATE(7367)] = 213049,
  [SMALL_STATE(7368)] = 213062,
  [SMALL_STATE(7369)] = 213075,
  [SMALL_STATE(7370)] = 213088,
  [SMALL_STATE(7371)] = 213101,
  [SMALL_STATE(7372)] = 213114,
  [SMALL_STATE(7373)] = 213127,
  [SMALL_STATE(7374)] = 213140,
  [SMALL_STATE(7375)] = 213153,
  [SMALL_STATE(7376)] = 213166,
  [SMALL_STATE(7377)] = 213179,
  [SMALL_STATE(7378)] = 213192,
  [SMALL_STATE(7379)] = 213205,
  [SMALL_STATE(7380)] = 213218,
  [SMALL_STATE(7381)] = 213231,
  [SMALL_STATE(7382)] = 213244,
  [SMALL_STATE(7383)] = 213257,
  [SMALL_STATE(7384)] = 213270,
  [SMALL_STATE(7385)] = 213283,
  [SMALL_STATE(7386)] = 213296,
  [SMALL_STATE(7387)] = 213309,
  [SMALL_STATE(7388)] = 213322,
  [SMALL_STATE(7389)] = 213335,
  [SMALL_STATE(7390)] = 213348,
  [SMALL_STATE(7391)] = 213361,
  [SMALL_STATE(7392)] = 213374,
  [SMALL_STATE(7393)] = 213387,
  [SMALL_STATE(7394)] = 213400,
  [SMALL_STATE(7395)] = 213413,
  [SMALL_STATE(7396)] = 213426,
  [SMALL_STATE(7397)] = 213439,
  [SMALL_STATE(7398)] = 213452,
  [SMALL_STATE(7399)] = 213465,
  [SMALL_STATE(7400)] = 213478,
  [SMALL_STATE(7401)] = 213491,
  [SMALL_STATE(7402)] = 213504,
  [SMALL_STATE(7403)] = 213517,
  [SMALL_STATE(7404)] = 213530,
  [SMALL_STATE(7405)] = 213543,
  [SMALL_STATE(7406)] = 213556,
  [SMALL_STATE(7407)] = 213569,
  [SMALL_STATE(7408)] = 213582,
  [SMALL_STATE(7409)] = 213595,
  [SMALL_STATE(7410)] = 213608,
  [SMALL_STATE(7411)] = 213621,
  [SMALL_STATE(7412)] = 213634,
  [SMALL_STATE(7413)] = 213647,
  [SMALL_STATE(7414)] = 213660,
  [SMALL_STATE(7415)] = 213673,
  [SMALL_STATE(7416)] = 213686,
  [SMALL_STATE(7417)] = 213699,
  [SMALL_STATE(7418)] = 213712,
  [SMALL_STATE(7419)] = 213725,
  [SMALL_STATE(7420)] = 213738,
  [SMALL_STATE(7421)] = 213751,
  [SMALL_STATE(7422)] = 213764,
  [SMALL_STATE(7423)] = 213777,
  [SMALL_STATE(7424)] = 213790,
  [SMALL_STATE(7425)] = 213803,
  [SMALL_STATE(7426)] = 213816,
  [SMALL_STATE(7427)] = 213829,
  [SMALL_STATE(7428)] = 213842,
  [SMALL_STATE(7429)] = 213855,
  [SMALL_STATE(7430)] = 213868,
  [SMALL_STATE(7431)] = 213881,
  [SMALL_STATE(7432)] = 213894,
  [SMALL_STATE(7433)] = 213907,
  [SMALL_STATE(7434)] = 213920,
  [SMALL_STATE(7435)] = 213933,
  [SMALL_STATE(7436)] = 213946,
  [SMALL_STATE(7437)] = 213959,
  [SMALL_STATE(7438)] = 213972,
  [SMALL_STATE(7439)] = 213985,
  [SMALL_STATE(7440)] = 213998,
  [SMALL_STATE(7441)] = 214011,
  [SMALL_STATE(7442)] = 214024,
  [SMALL_STATE(7443)] = 214037,
  [SMALL_STATE(7444)] = 214050,
  [SMALL_STATE(7445)] = 214063,
  [SMALL_STATE(7446)] = 214076,
  [SMALL_STATE(7447)] = 214089,
  [SMALL_STATE(7448)] = 214102,
  [SMALL_STATE(7449)] = 214115,
  [SMALL_STATE(7450)] = 214128,
  [SMALL_STATE(7451)] = 214141,
  [SMALL_STATE(7452)] = 214154,
  [SMALL_STATE(7453)] = 214167,
  [SMALL_STATE(7454)] = 214180,
  [SMALL_STATE(7455)] = 214193,
  [SMALL_STATE(7456)] = 214206,
  [SMALL_STATE(7457)] = 214219,
  [SMALL_STATE(7458)] = 214232,
  [SMALL_STATE(7459)] = 214245,
  [SMALL_STATE(7460)] = 214258,
  [SMALL_STATE(7461)] = 214271,
  [SMALL_STATE(7462)] = 214284,
  [SMALL_STATE(7463)] = 214297,
  [SMALL_STATE(7464)] = 214310,
  [SMALL_STATE(7465)] = 214323,
  [SMALL_STATE(7466)] = 214336,
  [SMALL_STATE(7467)] = 214349,
  [SMALL_STATE(7468)] = 214362,
  [SMALL_STATE(7469)] = 214375,
  [SMALL_STATE(7470)] = 214388,
  [SMALL_STATE(7471)] = 214401,
  [SMALL_STATE(7472)] = 214414,
  [SMALL_STATE(7473)] = 214427,
  [SMALL_STATE(7474)] = 214440,
  [SMALL_STATE(7475)] = 214453,
  [SMALL_STATE(7476)] = 214466,
  [SMALL_STATE(7477)] = 214479,
  [SMALL_STATE(7478)] = 214492,
  [SMALL_STATE(7479)] = 214505,
  [SMALL_STATE(7480)] = 214518,
  [SMALL_STATE(7481)] = 214531,
  [SMALL_STATE(7482)] = 214544,
  [SMALL_STATE(7483)] = 214557,
  [SMALL_STATE(7484)] = 214570,
  [SMALL_STATE(7485)] = 214583,
  [SMALL_STATE(7486)] = 214596,
  [SMALL_STATE(7487)] = 214609,
  [SMALL_STATE(7488)] = 214622,
  [SMALL_STATE(7489)] = 214635,
  [SMALL_STATE(7490)] = 214648,
  [SMALL_STATE(7491)] = 214661,
  [SMALL_STATE(7492)] = 214674,
  [SMALL_STATE(7493)] = 214687,
  [SMALL_STATE(7494)] = 214700,
  [SMALL_STATE(7495)] = 214713,
  [SMALL_STATE(7496)] = 214726,
  [SMALL_STATE(7497)] = 214739,
  [SMALL_STATE(7498)] = 214752,
  [SMALL_STATE(7499)] = 214765,
  [SMALL_STATE(7500)] = 214778,
  [SMALL_STATE(7501)] = 214791,
  [SMALL_STATE(7502)] = 214804,
  [SMALL_STATE(7503)] = 214817,
  [SMALL_STATE(7504)] = 214830,
  [SMALL_STATE(7505)] = 214843,
  [SMALL_STATE(7506)] = 214856,
  [SMALL_STATE(7507)] = 214869,
  [SMALL_STATE(7508)] = 214882,
  [SMALL_STATE(7509)] = 214895,
  [SMALL_STATE(7510)] = 214908,
  [SMALL_STATE(7511)] = 214921,
  [SMALL_STATE(7512)] = 214934,
  [SMALL_STATE(7513)] = 214947,
  [SMALL_STATE(7514)] = 214960,
  [SMALL_STATE(7515)] = 214973,
  [SMALL_STATE(7516)] = 214986,
  [SMALL_STATE(7517)] = 214999,
  [SMALL_STATE(7518)] = 215012,
  [SMALL_STATE(7519)] = 215025,
  [SMALL_STATE(7520)] = 215038,
  [SMALL_STATE(7521)] = 215051,
  [SMALL_STATE(7522)] = 215064,
  [SMALL_STATE(7523)] = 215077,
  [SMALL_STATE(7524)] = 215090,
  [SMALL_STATE(7525)] = 215103,
  [SMALL_STATE(7526)] = 215116,
  [SMALL_STATE(7527)] = 215129,
  [SMALL_STATE(7528)] = 215142,
  [SMALL_STATE(7529)] = 215155,
  [SMALL_STATE(7530)] = 215168,
  [SMALL_STATE(7531)] = 215181,
  [SMALL_STATE(7532)] = 215194,
  [SMALL_STATE(7533)] = 215207,
  [SMALL_STATE(7534)] = 215220,
  [SMALL_STATE(7535)] = 215233,
  [SMALL_STATE(7536)] = 215246,
  [SMALL_STATE(7537)] = 215259,
  [SMALL_STATE(7538)] = 215272,
  [SMALL_STATE(7539)] = 215285,
  [SMALL_STATE(7540)] = 215298,
  [SMALL_STATE(7541)] = 215311,
  [SMALL_STATE(7542)] = 215324,
  [SMALL_STATE(7543)] = 215337,
  [SMALL_STATE(7544)] = 215350,
  [SMALL_STATE(7545)] = 215363,
  [SMALL_STATE(7546)] = 215376,
  [SMALL_STATE(7547)] = 215389,
  [SMALL_STATE(7548)] = 215402,
  [SMALL_STATE(7549)] = 215415,
  [SMALL_STATE(7550)] = 215428,
  [SMALL_STATE(7551)] = 215441,
  [SMALL_STATE(7552)] = 215454,
  [SMALL_STATE(7553)] = 215467,
  [SMALL_STATE(7554)] = 215480,
  [SMALL_STATE(7555)] = 215493,
  [SMALL_STATE(7556)] = 215506,
  [SMALL_STATE(7557)] = 215519,
  [SMALL_STATE(7558)] = 215532,
  [SMALL_STATE(7559)] = 215545,
  [SMALL_STATE(7560)] = 215558,
  [SMALL_STATE(7561)] = 215571,
  [SMALL_STATE(7562)] = 215584,
  [SMALL_STATE(7563)] = 215597,
  [SMALL_STATE(7564)] = 215610,
  [SMALL_STATE(7565)] = 215623,
  [SMALL_STATE(7566)] = 215636,
  [SMALL_STATE(7567)] = 215649,
  [SMALL_STATE(7568)] = 215662,
  [SMALL_STATE(7569)] = 215675,
  [SMALL_STATE(7570)] = 215688,
  [SMALL_STATE(7571)] = 215701,
  [SMALL_STATE(7572)] = 215714,
  [SMALL_STATE(7573)] = 215727,
  [SMALL_STATE(7574)] = 215740,
  [SMALL_STATE(7575)] = 215753,
  [SMALL_STATE(7576)] = 215766,
  [SMALL_STATE(7577)] = 215779,
  [SMALL_STATE(7578)] = 215792,
  [SMALL_STATE(7579)] = 215805,
  [SMALL_STATE(7580)] = 215818,
  [SMALL_STATE(7581)] = 215831,
  [SMALL_STATE(7582)] = 215844,
  [SMALL_STATE(7583)] = 215857,
  [SMALL_STATE(7584)] = 215870,
  [SMALL_STATE(7585)] = 215883,
  [SMALL_STATE(7586)] = 215896,
  [SMALL_STATE(7587)] = 215909,
  [SMALL_STATE(7588)] = 215922,
  [SMALL_STATE(7589)] = 215935,
  [SMALL_STATE(7590)] = 215948,
  [SMALL_STATE(7591)] = 215961,
  [SMALL_STATE(7592)] = 215974,
  [SMALL_STATE(7593)] = 215987,
  [SMALL_STATE(7594)] = 216000,
  [SMALL_STATE(7595)] = 216013,
  [SMALL_STATE(7596)] = 216026,
  [SMALL_STATE(7597)] = 216039,
  [SMALL_STATE(7598)] = 216052,
  [SMALL_STATE(7599)] = 216065,
  [SMALL_STATE(7600)] = 216078,
  [SMALL_STATE(7601)] = 216091,
  [SMALL_STATE(7602)] = 216104,
  [SMALL_STATE(7603)] = 216117,
  [SMALL_STATE(7604)] = 216130,
  [SMALL_STATE(7605)] = 216143,
  [SMALL_STATE(7606)] = 216156,
  [SMALL_STATE(7607)] = 216169,
  [SMALL_STATE(7608)] = 216182,
  [SMALL_STATE(7609)] = 216195,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6442),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4534),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6446),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6378),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6457),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6466),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6414),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6471),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7584),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6405),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7581),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7580),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7578),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(776),
  [118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(817),
  [136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5625),
  [148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(7390),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(800),
  [180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4522),
  [182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7236),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7438),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7431),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(804),
  [215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 51),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6738),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7048),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6737),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6736),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6735),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4557),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7523),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7137),
  [401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 93),
  [405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 236),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2229),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(874),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2163),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2034),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(9),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(583),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3893),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6738),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4745),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2031),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4496),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6927),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7048),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5877),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(260),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(589),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6737),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(84),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6736),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5881),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5882),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6735),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(466),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(539),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1324),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(229),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(276),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6471),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5741),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5739),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4281),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(908),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4557),
  [508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(150),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(604),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7585),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1813),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(609),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4983),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3425),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7584),
  [532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3298),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6405),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2174),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(889),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2046),
  [547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7523),
  [550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7135),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7137),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2218),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(871),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2151),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2045),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3894),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6442),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4534),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2027),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4523),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6444),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6446),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6378),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6457),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(103),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6466),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6433),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6414),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6470),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(464),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(543),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1719),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4267),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(914),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4535),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(171),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2212),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(885),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2036),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7581),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7580),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7578),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4692),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4573),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4625),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6680),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6681),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6407),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6473),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6474),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6404),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6402),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6475),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6920),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7225),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7388),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6602),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7103),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6600),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6599),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6139),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6597),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4271),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7548),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7179),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6918),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4525),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6928),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5992),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6916),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5986),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6915),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7459),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7216),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7390),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(86),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7444),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(264),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(283),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1813),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(4819),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3408),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7467),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4819),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 31),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7576),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6401),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7166),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(485),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [1242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 31),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [1249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(793),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(667),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7217),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7133),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4234),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7469),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7250),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4528),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7192),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7223),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7432),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7490),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7222),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4502),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4586),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7164),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7163),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5676),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6326),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4556),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5557),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5558),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7283),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5261),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4255),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5923),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4707),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6119),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4888),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5495),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 5),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 5),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7441),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7446),
  [2119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2122] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(4031),
  [2126] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(4249),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4678),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 231),
  [2154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 231),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 231),
  [2160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [2168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 171),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 171),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 171),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [2178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 148),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 148),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 148),
  [2190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [2194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 171),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, .production_id = 171),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, .production_id = 171),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 88),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 88),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 111),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 111),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 111),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7480),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7527),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 48),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 48),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 48),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 112),
  [2240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 112),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 112),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [2248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 28),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 28),
  [2262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 110),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 110),
  [2266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 167),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 167),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 167),
  [2274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 74),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 74),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 189),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 189),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 189),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 121),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 121),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 121),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 190),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 190),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 190),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 217),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 217),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 217),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3842),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4288),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 148),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 231),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7387),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 48),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 217),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 190),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 189),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 111),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 112),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 121),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 167),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 171),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 171),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [2474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [2546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [2582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7566),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [2766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(86),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5670),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5673),
  [2807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(3792),
  [2810] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(266),
  [2814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(794),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [2819] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(6326),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4552),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7460),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7230),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6165),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7549),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3669),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7231),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7232),
  [3059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(266),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [3064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(6326),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7473),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7481),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7450),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4666),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7349),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7348),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7244),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7243),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7241),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7239),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4582),
  [3107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6234),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6546),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7186),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7188),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7487),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7486),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5981),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6674),
  [3127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6852),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 45),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 99),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 99),
  [3167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 37),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [3173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 45),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 268),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7498),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 239),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7458),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [3203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, .production_id = 105),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 39),
  [3219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 36),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 85),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 26),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 36),
  [3229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [3231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [3235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [3241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4),
  [3243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 32),
  [3245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [3247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 33),
  [3249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 38),
  [3251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 86),
  [3253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 83),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 73),
  [3257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 72),
  [3259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 96),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, .production_id = 105),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 48),
  [3273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 264),
  [3275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 231),
  [3277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 120),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 230),
  [3281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 44),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 46),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 47),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 47),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 228),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 37),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 263),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 217),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 233),
  [3313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 92),
  [3315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 85),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 32),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 97),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [3327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 98),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 24),
  [3333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 6),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 190),
  [3343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 189),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 106),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 230),
  [3351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 140),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [3355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 228),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 87),
  [3359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 226),
  [3361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 143),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 144),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 171),
  [3371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 147),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 171),
  [3375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 151),
  [3379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 167),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 194),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7377),
  [3395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 192),
  [3397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 232),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 148),
  [3401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [3403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 151),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 92),
  [3407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5),
  [3409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 188),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 85),
  [3413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [3415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 105),
  [3419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [3421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [3423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 87),
  [3427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 184),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 181),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [3435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [3437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 268),
  [3441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 121),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 239),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, .production_id = 151),
  [3447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 199),
  [3449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 180),
  [3451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 170),
  [3453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 112),
  [3455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 238),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [3459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 153),
  [3461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 111),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 98),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 39),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5),
  [3469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 151),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 38),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 36),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 33),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 147),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 121),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 32),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 228),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 144),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 143),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 87),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 26),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 24),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 230),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 189),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 140),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 6),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 190),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 170),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 232),
  [3523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 233),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 238),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 112),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 111),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 105),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 217),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 263),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 228),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 230),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 231),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 264),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 85),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 92),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 151),
  [3577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 153),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 120),
  [3581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 48),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 106),
  [3585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [3589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 44),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 181),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 226),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 46),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 47),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 47),
  [3601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 97),
  [3609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 96),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 36),
  [3615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 32),
  [3619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 171),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 171),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [3627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 85),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 167),
  [3631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 92),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 85),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4),
  [3641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 86),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 192),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 199),
  [3649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, .production_id = 151),
  [3651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 148),
  [3653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 180),
  [3655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 188),
  [3657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 194),
  [3659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 72),
  [3663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 83),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 73),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [3671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 87),
  [3675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 184),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7296),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7518),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7322),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7294),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [3703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 237),
  [3705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 267),
  [3707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 198),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [3719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 197),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4436),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4087),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5596),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5571),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7499),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4268),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5281),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7500),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7502),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4604),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6429),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4483),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6431),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6420),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6423),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5594),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7430),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5178),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7252),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7427),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7425),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5547),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7379),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5376),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7504),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7380),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7314),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5735),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5734),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5722),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [4153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3541),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5568),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5637),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5636),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5701),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5544),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5551),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5550),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5536),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5532),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [4214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 145),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 145),
  [4218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [4224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [4229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [4231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 186),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 186),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [4250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [4254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 77),
  [4256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 77),
  [4258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 76),
  [4260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 76),
  [4262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 75),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 75),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [4268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [4272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 74),
  [4274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 74),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [4288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(624),
  [4291] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7286),
  [4303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1860),
  [4309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 13), SHIFT(7042),
  [4312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7287),
  [4321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1859),
  [4324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(819),
  [4327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [4338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(298),
  [4341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [4343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(850),
  [4352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [4359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7306),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 23),
  [4377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 23), SHIFT(4296),
  [4380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 23), SHIFT_REPEAT(6401),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [4385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 31),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6394),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6330),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4407] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 13), REDUCE(sym_rest_pattern, 2),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6176),
  [4413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 74),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6376),
  [4419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 74),
  [4428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [4430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4432] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1), REDUCE(sym_rest_pattern, 2, .production_id = 31),
  [4436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 17),
  [4438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(486),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 31),
  [4446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 75),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [4454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [4456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [4459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 57),
  [4461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 59),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 59),
  [4473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 57),
  [4475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [4477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [4479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 57),
  [4481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(845),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 59),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4471),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7496),
  [4630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2442),
  [4633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2796),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [4640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2672),
  [4643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3099),
  [4646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2828),
  [4649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3511),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5970),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [4698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(4253),
  [4701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(3793),
  [4704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23),
  [4706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(3680),
  [4709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(561),
  [4712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(5557),
  [4715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(5558),
  [4718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(3213),
  [4721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(7314),
  [4724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(4240),
  [4727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(5970),
  [4730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(2601),
  [4733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(2967),
  [4736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(3490),
  [4739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(2871),
  [4742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(3531),
  [4745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(3505),
  [4748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 23), SHIFT_REPEAT(3760),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4734),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6447),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4701),
  [4871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [4905] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 29), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 30),
  [4909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [4939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 57),
  [4941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 57),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [4945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 13),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [4951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 58),
  [4953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 58),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [4961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [4963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [4967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [4971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 15),
  [4973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 15),
  [4975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, .production_id = 66),
  [4981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, .production_id = 66),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [4985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, .production_id = 19),
  [4987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, .production_id = 19),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [4991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2),
  [4993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2),
  [4995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 222),
  [4997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 222),
  [4999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [5001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [5003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 261),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 261),
  [5007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [5009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [5011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, .production_id = 262),
  [5013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, .production_id = 262),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [5019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 289),
  [5021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 289),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [5029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 260),
  [5031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 260),
  [5033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 259),
  [5035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 259),
  [5037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 133),
  [5039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 133),
  [5041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 74), REDUCE(sym_nested_type_identifier, 3, .production_id = 133),
  [5044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 258),
  [5046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 258),
  [5048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 74),
  [5050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 74),
  [5052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [5054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [5056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [5064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [5066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [5068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [5128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 175),
  [5130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 175),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [5134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 88), REDUCE(sym_nested_type_identifier, 3, .production_id = 133),
  [5137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 8),
  [5139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 8),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [5145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 135),
  [5147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 135),
  [5149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [5153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2442),
  [5156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2672),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [5167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [5169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [5171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 57),
  [5173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 75),
  [5175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 75),
  [5177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 136),
  [5179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 136),
  [5181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 137),
  [5183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 137),
  [5185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 59),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [5189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 130),
  [5191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 130),
  [5193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3099),
  [5196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 129),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 129),
  [5200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [5202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2828),
  [5205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 178),
  [5207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 178),
  [5209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3),
  [5211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3),
  [5213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [5215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [5219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 225),
  [5221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 225),
  [5223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [5225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [5227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 128),
  [5229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 128),
  [5231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 224),
  [5233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 224),
  [5235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 68),
  [5237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 68),
  [5239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [5241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [5243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [5245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [5247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 223),
  [5249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 223),
  [5251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [5253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [5259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 17),
  [5261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 17),
  [5263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 127),
  [5265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 127),
  [5267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 221),
  [5269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 221),
  [5271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2796),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [5276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 59),
  [5278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 57),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [5282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 67),
  [5284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 67),
  [5286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 145),
  [5288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 145),
  [5290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3511),
  [5293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [5295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [5297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 65),
  [5299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 65),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [5303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [5305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [5307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [5309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [5311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [5313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [5315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 62),
  [5317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 62),
  [5319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [5321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [5325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 179),
  [5331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 179),
  [5333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 187),
  [5335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 187),
  [5337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [5339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [5341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [5343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [5345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [5347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [5349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 94),
  [5351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 94),
  [5353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [5355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [5357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 17),
  [5359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 17),
  [5361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 16),
  [5363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 16),
  [5365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 59),
  [5367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 57),
  [5369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, .production_id = 65),
  [5371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, .production_id = 65),
  [5373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [5375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [5377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 60),
  [5379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 60),
  [5381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 59),
  [5383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 59),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [5387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 139),
  [5389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 139),
  [5391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 138),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 138),
  [5395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [5397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [5401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 176),
  [5403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 176),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [5407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 71),
  [5409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [5431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [5451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 25),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [5463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [5465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [5467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(220),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [5502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [5524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 15),
  [5527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 15),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [5536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(216),
  [5539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 78),
  [5541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 78),
  [5543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 69),
  [5545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 70),
  [5547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 89), REDUCE(sym_assignment_expression, 3, .production_id = 25),
  [5550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 89),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [5554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [5556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 124),
  [5562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [5596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71), SHIFT(216),
  [5599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [5601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [5603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(216),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 70),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [5614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 150),
  [5616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 150),
  [5618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 149),
  [5620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 149),
  [5622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71), SHIFT(221),
  [5625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 146),
  [5627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 146),
  [5629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 93),
  [5631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 93), SHIFT(701),
  [5634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 119),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [5642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(221),
  [5645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 118),
  [5647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 116),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [5651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(221),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [5656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 54),
  [5658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 54),
  [5660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [5662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [5664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, .production_id = 53),
  [5666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, .production_id = 53),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [5674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 185),
  [5676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52),
  [5678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52),
  [5680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 51),
  [5682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 51),
  [5684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 89), REDUCE(sym_assignment_expression, 3, .production_id = 69),
  [5687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 81),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 71),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [5695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 29),
  [5697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 30),
  [5699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 29),
  [5701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 80),
  [5703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 80),
  [5705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 81),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [5711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 123),
  [5713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71), SHIFT(220),
  [5716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [5718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [5720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [5724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 27),
  [5726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 125),
  [5728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 125),
  [5730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 122),
  [5732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 122),
  [5734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 117),
  [5736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 117),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 119),
  [5744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 118),
  [5746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 117),
  [5748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 117),
  [5750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 84),
  [5752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 84),
  [5754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 116),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [5758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 115),
  [5760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 115),
  [5762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [5764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [5766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [5775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11),
  [5777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11),
  [5779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [5787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [5789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(221),
  [5792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [5794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [5800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion, 2),
  [5802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion, 2),
  [5804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(220),
  [5807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 79),
  [5809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 79),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [5813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(216),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [5818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 29),
  [5820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 29),
  [5822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 169),
  [5824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 169),
  [5826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 18),
  [5828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 18),
  [5830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 20),
  [5836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 20),
  [5838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 69), REDUCE(sym_assignment_expression, 3, .production_id = 69),
  [5841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 69),
  [5843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(220),
  [5846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [5848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [5852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 27),
  [5854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [5859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [5861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [5863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 191),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 191),
  [5867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 29), REDUCE(sym_object_pattern, 3, .production_id = 30),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [5876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71), SHIFT(223),
  [5879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [5881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [5887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [5891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [5901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [5911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [5913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 69),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [5925] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 29), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 30),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [5931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [5933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, .production_id = 49),
  [5935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 30),
  [5937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(218),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [5946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(218),
  [5949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(223),
  [5952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(223),
  [5955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(223),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [5962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(218),
  [5965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [5967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [5969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [5977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [5979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [5993] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5997] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [6027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71), SHIFT(218),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [6056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [6066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [6074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [6076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [6084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 40),
  [6086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 40),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [6090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6095] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 15),
  [6099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [6101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [6108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(215),
  [6111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(215),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [6122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [6126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 40),
  [6128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 40),
  [6130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 15), REDUCE(sym__parameter_name, 2, .production_id = 40),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [6137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 90),
  [6139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3826),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [6148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [6156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(215),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [6167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [6171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [6179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [6189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71), SHIFT(215),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [6208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [6212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [6214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [6222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [6224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [6234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 15),
  [6239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [6251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5231),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5496),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [6259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4676),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [6265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [6279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [6281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [6289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [6319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [6321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [6323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [6325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [6329] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1), REDUCE(sym_rest_pattern, 2),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [6335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, .production_id = 113),
  [6337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [6339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [6345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [6347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [6349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [6351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [6353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [6355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [6363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [6367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [6371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [6373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [6383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [6391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [6395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [6398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 17),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [6404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [6408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [6410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [6430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 29), REDUCE(sym_object_pattern, 3, .production_id = 30),
  [6433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [6435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [6438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [6440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [6442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [6448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [6452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [6458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3341),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [6464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [6470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [6472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 43),
  [6474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 43),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [6484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [6492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [6494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(217),
  [6497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(217),
  [6500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(217),
  [6503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71), SHIFT(222),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [6516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [6521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [6528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 104),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 104),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [6534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71), SHIFT(217),
  [6537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 100),
  [6539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 100),
  [6541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5591),
  [6543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [6545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [6547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, .production_id = 200),
  [6549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 200),
  [6551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [6571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(214),
  [6574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(222),
  [6577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(222),
  [6580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(222),
  [6583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(214),
  [6586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(214),
  [6589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 93), SHIFT(660),
  [6592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71), SHIFT(214),
  [6595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [6605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6891),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [6619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [6621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [6626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1),
  [6631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 158),
  [6633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 158),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [6639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 156),
  [6641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 156),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [6645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 71), SHIFT(219),
  [6648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [6650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [6652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [6660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [6664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [6672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [6676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [6682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(219),
  [6685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6838),
  [6687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(219),
  [6690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(219),
  [6693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 29), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 30),
  [6696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [6698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1),
  [6700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [6702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [6704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [6706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [6708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [6712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [6714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [6718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 29),
  [6720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 84),
  [6723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 84),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [6728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 167), REDUCE(sym_class, 6, .production_id = 231),
  [6731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 167), REDUCE(sym_class, 6, .production_id = 231),
  [6734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3839),
  [6736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [6742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [6744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [6746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [6748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [6756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 115), REDUCE(sym_class, 5, .production_id = 191),
  [6759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 115), REDUCE(sym_class, 5, .production_id = 191),
  [6762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 112), REDUCE(sym_class, 5, .production_id = 190),
  [6765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 112), REDUCE(sym_class, 5, .production_id = 190),
  [6768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [6770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 111), REDUCE(sym_class, 5, .production_id = 189),
  [6773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 111), REDUCE(sym_class, 5, .production_id = 189),
  [6776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 150),
  [6779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 150),
  [6782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 51), REDUCE(sym_class, 4, .production_id = 149),
  [6785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 51), REDUCE(sym_class, 4, .production_id = 149),
  [6788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 48), REDUCE(sym_class, 4, .production_id = 148),
  [6791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 48), REDUCE(sym_class, 4, .production_id = 148),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [6802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 234),
  [6804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 234),
  [6806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 108),
  [6808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 108), SHIFT_REPEAT(3671),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [6813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 121),
  [6815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 121),
  [6817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 309),
  [6819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 309),
  [6821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 171),
  [6823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 171),
  [6825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 310),
  [6827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 310),
  [6829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 195),
  [6831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 195),
  [6833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 265),
  [6835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 265),
  [6837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 325),
  [6839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 325),
  [6841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 290),
  [6843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 290),
  [6845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 266),
  [6847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 266),
  [6849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 217),
  [6851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 217),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [6855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 154),
  [6857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 154),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [6861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [6863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1), SHIFT_REPEAT(3682),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [6872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 291),
  [6874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 291),
  [6876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 91),
  [6878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 91),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [6882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [6886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, .production_id = 108),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [6892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [6894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 11),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [6900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [6902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [6904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7293),
  [6908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [6912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [6914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [6916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [6920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [6922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [6930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5049),
  [6932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5038),
  [6934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [6936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5029),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [6948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [6950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [6952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [6954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [6956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 23), SHIFT_REPEAT(5970),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [6969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [6973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [6981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6613),
  [6991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6789),
  [6995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6611),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [7001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [7005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [7007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [7009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [7011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [7013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [7015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [7017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6553),
  [7019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6542),
  [7021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [7027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [7033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [7035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [7037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [7039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [7041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [7043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [7047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [7049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [7051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [7053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [7055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [7057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [7059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [7063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [7065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [7067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6825),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7226),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [7087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7520),
  [7089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [7091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [7093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [7095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [7097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [7099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [7101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [7103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6306),
  [7105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [7107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [7109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [7111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [7113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [7115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6372),
  [7117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [7119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [7243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 288),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [7253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6247),
  [7255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6251),
  [7257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [7259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [7261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [7263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 255),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [7281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 249),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [7289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 5),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [7295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 159),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [7301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 211),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [7321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 164),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [7335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 109),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [7341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 87),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [7353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [7355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [7357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 209),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [7371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [7373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 249),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [7377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 5),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [7387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 159),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [7393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 87),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [7397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 209),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [7413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13), REDUCE(sym_type_parameter, 1, .production_id = 14),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [7418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13), SHIFT(1902),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [7423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 164),
  [7425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 255),
  [7427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 209),
  [7429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 159),
  [7431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 109),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [7435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 87),
  [7437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 209),
  [7439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 211),
  [7441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 5),
  [7443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13), SHIFT(7042),
  [7446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 159),
  [7448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 288),
  [7450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 87),
  [7452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 5),
  [7454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 249),
  [7456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 249),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6246),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7279),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [7492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 57),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [7496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4464),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5677),
  [7500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [7512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [7516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [7518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [7524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [7532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 22),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4328),
  [7542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [7544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6164),
  [7546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [7548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [7550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [7552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4424),
  [7556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4440),
  [7558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4444),
  [7560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [7580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 137),
  [7582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 138),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [7594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 57),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [7606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 139),
  [7608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 139),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [7614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 138),
  [7616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 137),
  [7618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [7628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 75),
  [7630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 136),
  [7632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 136),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [7636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 74),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [7656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [7664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 308),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [7672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [7682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 281),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [7688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 30),
  [7690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [7708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [7714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [7728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5835),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [7848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7131),
  [7850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 59),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [7854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 17),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [7860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 68),
  [7862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 68),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [7872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7187),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7159),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [7878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [7880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2),
  [7882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [7888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [7892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7211),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7371),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [7898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 174),
  [7900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [7904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [7910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 173),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [7916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 308),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [7920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 318),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [7926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 313),
  [7928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 292),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [7932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [7934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 293),
  [7936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1),
  [7938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [7940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_chain, 1),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [7946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 274),
  [7948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 273),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [7956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 241),
  [7958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 240),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [7962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [7970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 201),
  [7972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [7980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 170),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [7992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 10),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [8002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [8014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 220),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [8020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 327),
  [8022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [8024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 163),
  [8026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 120),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4719),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [8034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [8040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7263),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [8046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [8052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 141),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [8060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 141),
  [8062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 29), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 30),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [8067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [8069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 107),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [8075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [8079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 14),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [8083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7600),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [8087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 126),
  [8089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [8091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 61),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [8095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [8101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7535),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [8105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 281),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [8111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [8113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [8115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [8119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [8121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [8127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [8129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 59),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [8133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(819),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [8166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 82),
  [8168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 29),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [8172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(5692),
  [8175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [8177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(556),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [8194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [8200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(2386),
  [8203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [8235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [8241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [8247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [8293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [8317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 10),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [8351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [8381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 23),
  [8383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 23), SHIFT_REPEAT(6405),
  [8386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 74),
  [8388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 142),
  [8390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 142),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [8400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(7134),
  [8403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [8405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(482),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [8448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 141),
  [8450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 141),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [8524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 21),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [8562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 251),
  [8564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 277),
  [8566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 287),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [8576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 283),
  [8578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 321),
  [8580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 324),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [8598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 213),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [8624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 207),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [8634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 215),
  [8636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [8640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 205),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [8650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(850),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [8657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 203),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [8671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 202),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [8681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 218),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [8691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 205),
  [8693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 207),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [8699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 316),
  [8701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 312),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [8705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 311),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [8709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 219),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [8721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 298),
  [8723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [8729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 304),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [8733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 280),
  [8735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 35),
  [8737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 22), SHIFT(1926),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [8746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 307),
  [8748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 94),
  [8750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(620),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [8755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1873),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [8762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2),
  [8764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 272),
  [8766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 142),
  [8768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 142),
  [8770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 277),
  [8772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 161),
  [8774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 253),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [8778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 172),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [8788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 271),
  [8790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 56),
  [8792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 269),
  [8794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1872),
  [8797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [8799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, .production_id = 257),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [8803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 247),
  [8805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 166),
  [8807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 295),
  [8809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 296),
  [8811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 243),
  [8813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [8815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 298),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [8819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 280),
  [8821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 301),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [8825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 243),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [8837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 247),
  [8839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1978),
  [8842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 22), SHIFT(1867),
  [8845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 94),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [8855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 248),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [8859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 330),
  [8861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 161),
  [8863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 35),
  [8865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 22), SHIFT(2001),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [8876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 35),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [8880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1969),
  [8883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 22), SHIFT(1864),
  [8886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [8890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [8892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(1905),
  [8895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(6193),
  [8898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [8906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [8910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [8928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 57),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [8934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 34),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [8944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [8950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6638),
  [8952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [8956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(4679),
  [8959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [8961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [8971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [8973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [8975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [8977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [8979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5228),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [8987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [8989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [8991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [8994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 132),
  [8996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [9000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [9004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [9006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 114),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [9016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [9018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [9026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 102),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [9032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [9042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6318),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [9048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [9052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [9062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [9070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 30),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [9074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [9084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(573),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [9101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [9107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 17),
  [9109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [9113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 168),
  [9115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 168), SHIFT_REPEAT(562),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [9120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 64),
  [9122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [9126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 87),
  [9128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 270),
  [9130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 50),
  [9132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [9134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [9136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [9138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 227),
  [9140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 227), SHIFT_REPEAT(5661),
  [9143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 227),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [9151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [9153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(6328),
  [9156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [9158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(6329),
  [9161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [9167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 42),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [9217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 182),
  [9219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 182),
  [9221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 183),
  [9223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 183),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [9249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [9261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [9285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [9323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [9337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [9343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [9345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [9351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(624),
  [9354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4269),
  [9364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 201),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [9368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [9378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 206),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [9386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 210),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [9390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [9394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 320),
  [9396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 323),
  [9398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 319),
  [9400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 322),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [9406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 170),
  [9408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 204),
  [9410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 212),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [9422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 208),
  [9424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 214),
  [9426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 216),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [9452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 305),
  [9454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6173),
  [9456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7165),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [9462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 317),
  [9464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5),
  [9466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 315),
  [9468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 314),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [9486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 302),
  [9488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 303),
  [9490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [9492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(1810),
  [9495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [9497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 306),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [9507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [9513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [9517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(1942),
  [9520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 229), SHIFT_REPEAT(3774),
  [9523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 229),
  [9525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 50),
  [9527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 165),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [9533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 95),
  [9535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 162),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [9539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, .production_id = 235),
  [9541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 242),
  [9543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 244),
  [9545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 245),
  [9547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 246),
  [9549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 326),
  [9551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 160),
  [9553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 120),
  [9555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 240),
  [9557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 328),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [9563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 241),
  [9565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 250),
  [9567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 329),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [9571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 252),
  [9573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 331),
  [9575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 254),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [9583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [9589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [9621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, .production_id = 332),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [9629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(4468),
  [9632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [9634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6967),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [9642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5786),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [9648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 300),
  [9650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(4494),
  [9653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [9655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [9663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(5844),
  [9666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [9668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 256),
  [9670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(1862),
  [9673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 59),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [9683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [9685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [9693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [9695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [9703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [9705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [9709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [9711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [9721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6284),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [9725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [9727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [9729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 34),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [9733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(278),
  [9736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [9738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1),
  [9740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 95),
  [9742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 94),
  [9744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6386),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [9754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [9760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [9770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [9774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, .production_id = 87),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [9790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [9792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 285),
  [9794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 90),
  [9796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, .production_id = 292),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [9800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 297),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [9806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [9810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 32),
  [9812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(6638),
  [9815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [9817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 299),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [9823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(430),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [9834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 294),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [9840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(787),
  [9843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [9857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 282),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [9867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(334),
  [9870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [9876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(419),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [9887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 284),
  [9889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 275),
  [9891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 276),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [9907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 278),
  [9909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 279),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [9917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 273),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [9925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [9937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 274),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [9947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(3317),
  [9950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [9956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 286),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [9966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(3495),
  [9969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [9987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [9997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, .production_id = 5),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [10003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [10007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [10009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [10013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [10015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [10019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [10021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [10025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [10027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [10031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [10033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [10047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [10049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [10061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [10071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [10073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1),
  [10075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1),
  [10077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [10079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [10085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(845),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [10150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6935),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [10156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6929),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [10168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [10178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [10224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [10230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7564),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [10238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7561),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [10242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7542),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [10250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [10254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [10258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [10262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [10266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7539),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [10288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [10296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [10318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7511),
  [10320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [10322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter, 1),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [10332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [10334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [10340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [10342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [10346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7476),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [10352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [10354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [10356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [10358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1),
  [10360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [10366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [10368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [10372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [10380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [10384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [10388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [10392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [10410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7218),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [10452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, .production_id = 5),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [10458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [10468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 41),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [10474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [10478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4301),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [10484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [10486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 193),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [10502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4018),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4653),
  [10538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 63),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [10542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [10546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [10548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 196),
  [10550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, .production_id = 193),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [10556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 34),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [10562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [10576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 94),
  [10578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, .production_id = 177),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [10588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7275),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7259),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [10620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 157),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [10626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 152),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [10630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 155),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [10634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, .production_id = 152),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [10638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [10642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [10646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [10652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 134),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [10656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [10662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [10664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, .production_id = 87),
  [10666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 35),
  [10668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 131),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [10672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [10680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [10684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [10694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2),
  [10696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 103),
  [10698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 101),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7482),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [10750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [10756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [10784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7376),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [10790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [10818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [10876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7247),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [10906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [10982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [11028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [11134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [11182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7454),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [11494] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [11508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7442),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [11546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token__function_signature_automatic_semicolon = 7,
  ts_external_token___error_recovery = 8,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [ts_external_token___error_recovery] = sym___error_recovery,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
    [ts_external_token___error_recovery] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [10] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_typescript_external_scanner_create(void);
void tree_sitter_typescript_external_scanner_destroy(void *);
bool tree_sitter_typescript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_typescript_external_scanner_serialize(void *, char *);
void tree_sitter_typescript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_typescript() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_typescript_external_scanner_create,
      tree_sitter_typescript_external_scanner_destroy,
      tree_sitter_typescript_external_scanner_scan,
      tree_sitter_typescript_external_scanner_serialize,
      tree_sitter_typescript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
